README.md
---------

Bryan C. Daniels  
March 5, 2019

This file archive contains data and code used to support the publication "Automated, predictive, and interpretable inference of *C. elegans* escape dynamics," to appear in the Proceedings of the National Academy of Sciences USA.

Using the data and code in this archive, along with other openly available code (including particularly *Sir Isaac*), should allow one to reproduce all analysis and figures from the paper.  

Data folder
-----------

Contains data from the lab of William Ryu of nociceptive response of *C. elegans* worms to 0.1 s laser pulses.  See `info.md` for more information.

Code folder
-----------

Contains code to import data, run *Sir Isaac*, analyze the results, and produce visualizations.

The code here was not originally intended to be particularly user-friendly, but it may be useful as an example of the use of *Sir Isaac*.  Any questions can be addressed to Bryan Daniels (current email address `bryan.daniels.1@asu.edu`).

The provided code was run using Python 2.7.15, Jupyter 4.4.0, and Mathematica 11.1.1.0.

As a quick start: 

* The file `initializeWormFitting.py` will load the worm response data and set up the *Sir Isaac* fitting problems, which can then used to run the inference procedure as in `runWormFitting.py`.
* Instead of running the full inference procedure, one can instead load the results already run for the case used in the paper.  The raw results are provided in the `0034_fitProbs` folder, and the reduced model that appears in the main text of the manuscript is provided in the file `0034_ND402_refit_with_zeroed_w_2_1_wself_2_X_2_init.dat`.
* The figures of the main text can be reproduced using the included Jupyter notebook files (with extension `.ipynb`) and Mathematica notebook file (with extension `.nb`).