(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1215832,      21531]
NotebookOptionsPosition[   1209723,      21391]
NotebookOutlinePosition[   1210110,      21408]
CellTagsIndexPosition[   1210067,      21405]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", "\[IndentingNewLine]", 
  RowBox[{"stream_plots", "_for", 
   RowBox[{"_paper", ".", "nb"}], "\[IndentingNewLine]", "6.14", ".2018", 
   "\[IndentingNewLine]", "Bryan", " ", "Daniels", "\[IndentingNewLine]", 
   "branched", " ", "from", " ", "stream_plot", 
   RowBox[{"_animation", ".", "nb"}], "\[IndentingNewLine]", "Stream", " ", 
   "plots", " ", "for", " ", "worm", " ", "model", " ", "to", " ", "use", " ",
    "in", " ", "the", " ", "paper"}], "\[IndentingNewLine]", "*)"}]], "Input",\

 CellChangeTimes->{{3.729212361673499*^9, 3.729212408653475*^9}, {
  3.738001751884831*^9, 
  3.738001784957198*^9}},ExpressionUUID->"ed9e3406-2c26-4024-89b8-\
60bb754a91a8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", 
  RowBox[{"(", 
   RowBox[{
   "$HomeDirectory", "<>", 
    "\"\</ownCloud/Research/worms/Code/stream_plots_funcs.m\>\""}], 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.729212416123741*^9, 
  3.729212457404564*^9}},ExpressionUUID->"e7adc6f2-dc12-4a07-b7d3-\
dd3c2e979824"],

Cell[BoxData[
 TemplateBox[{
  "General","obspkg",
   "\"\\!\\(\\*RowBox[{\\\"\\\\\\\"PlotLegends`\\\\\\\"\\\"}]\\) is now \
obsolete. The legacy version being loaded may conflict with current \
functionality. See the Compatibility Guide for updating information.\"",2,44,
   9,20516479564487750790,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.743616015505249*^9, 3.752439225816348*^9, 
  3.7542249343135023`*^9},ExpressionUUID->"5c427e5c-5c86-4df6-8083-\
4d64de76366a"],

Cell[BoxData[
 TemplateBox[{
  "Set","write",
   "\"Tag \\!\\(\\*RowBox[{\\\"ListLinePlot\\\"}]\\) in \
\\!\\(\\*RowBox[{\\\"SyntaxInformation\\\", \\\"[\\\", \\\"ListLinePlot\\\", \
\\\"]\\\"}]\\) is Protected.\"",2,44,10,20516479564487750790,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.743616015505249*^9, 3.752439225816348*^9, 
  3.754224934554717*^9},ExpressionUUID->"446d5e0e-bf7d-4a45-b3b6-\
08cff0cbcb39"],

Cell[BoxData[
 TemplateBox[{
  "Global`Arrays","shdw",
   "\"Symbol \\!\\(\\*RowBox[{\\\"\\\\\\\"Arrays\\\\\\\"\\\"}]\\) appears in \
multiple contexts \\!\\(\\*RowBox[{\\\"{\\\", RowBox[{\\\"\\\\\\\"Global`\\\\\
\\\"\\\", \\\",\\\", \\\"\\\\\\\"System`\\\\\\\"\\\"}], \\\"}\\\"}]\\); \
definitions in context \\!\\(\\*RowBox[{\\\"\\\\\\\"Global`\\\\\\\"\\\"}]\\) \
may shadow or be shadowed by other definitions.\"",2,44,11,
   20516479564487750790,"Local","Global`Arrays"},
  "MessageTemplate2"]], "Message", "MSG",
 CellChangeTimes->{3.743616015505249*^9, 3.752439225816348*^9, 
  3.7542249348320293`*^9},ExpressionUUID->"8462fcd7-da85-4990-bbcd-\
dcd0b7e5d7c8"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"MathSBML Version 2.10.1 [11-Feb-2011] using Mathematica \
Version 11.1.1 for Mac OS X x86 (64-bit) (April 27, 2017) (Version 11.1, \
Release 1) loaded 19 December 2018 at 10:15 TimeZone\"\>",
  StripOnInput->False,
  FontWeight->Bold,
  FontColor->GrayLevel[0]]], "Print",
 CellChangeTimes->{3.729212458728263*^9, 3.729215197342367*^9, 
  3.729339819668592*^9, 3.738001802775243*^9, 3.739629465997534*^9, 
  3.740511720035841*^9, 3.743437361314232*^9, 3.743616017934999*^9, 
  3.752439227276436*^9, 
  3.754224935536612*^9},ExpressionUUID->"040c18e5-f4b7-41fb-8594-\
ae0dec27e6f2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Please report MathSBML issues to the MathSBML Tracker, \
(Please include the above text) at \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      PaneSelectorBox[{
       False->"\<\"http://sourceforge.net/tracker/?atid=984327&group_id=71971&\
func=browse\"\>", True->
       StyleBox["\<\"http://sourceforge.net/tracker/?atid=984327&group_id=\
71971&func=browse\"\>", "HyperlinkActive"]}, Dynamic[
        CurrentValue["MouseOver"]],
       BaseStyle->{"Hyperlink"},
       FrameMargins->0,
       ImageSize->Automatic],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL[
        "http://sourceforge.net/tracker/?atid=984327&group_id=71971&func=\
browse"], None},
      ButtonNote->
       "http://sourceforge.net/tracker/?atid=984327&group_id=71971&func=\
browse"],
     Annotation[#, 
      "http://sourceforge.net/tracker/?atid=984327&group_id=71971&func=\
browse", "Hyperlink"]& ],
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]]}],
  SequenceForm[
   Style["Please report MathSBML issues to the MathSBML Tracker, (Please \
include the above text) at ", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"], 
   Style[
    Hyperlink[
    "http://sourceforge.net/tracker/?atid=984327&group_id=71971&func=browse"],
     FontColor -> RGBColor[0, 0, 1], FontWeight -> "Bold"]],
  Editable->False]], "Print",
 CellChangeTimes->{3.729212458728263*^9, 3.729215197342367*^9, 
  3.729339819668592*^9, 3.738001802775243*^9, 3.739629465997534*^9, 
  3.740511720035841*^9, 3.743437361314232*^9, 3.743616017934999*^9, 
  3.752439227276436*^9, 
  3.754224935545719*^9},ExpressionUUID->"5a79d840-d9be-488a-8bb1-\
260408f230d5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"rReduced", "=", 
   RowBox[{"SBMLRead", "[", "\[IndentingNewLine]", 
    RowBox[{
    "$HomeDirectory", "<>", 
     "\"\</ownCloud/Research/worms/Code/0034_reduced_N402.sbml\>\""}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rReducedThree", "=", 
   RowBox[{"SBMLRead", "[", "\[IndentingNewLine]", 
    RowBox[{
    "$HomeDirectory", "<>", 
     "\"\</ownCloud/Research/worms/Code/0034_reducedThree_N402.sbml\>\""}], 
    "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.729212874137918*^9, 3.729212879689087*^9}, {
  3.7380018344973717`*^9, 3.738001875503998*^9}, {3.740511704543239*^9, 
  3.740511710070455*^9}, {3.7436160011921873`*^9, 3.7436160118956614`*^9}, {
  3.743616060230654*^9, 3.743616092777392*^9}, {3.744115125293264*^9, 
  3.74411514781188*^9}, {3.744115206536604*^9, 3.744115210646199*^9}, {
  3.744130891278269*^9, 3.744130943082087*^9}, {3.7441313184632797`*^9, 
  3.744131341887936*^9}, {3.746538689344727*^9, 3.746538692387432*^9}, {
  3.76081278948422*^9, 
  3.7608127901224747`*^9}},ExpressionUUID->"5fee470e-e640-4a98-b40a-\
fd7c2acf551e"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\" A rule with \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"tau\[UnderBracket]1\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" on its right hand side has been previously defined and \
therefore this rule can not be added. This is because a rule is not allowed \
to refer to a variable for which there is a subsequent assignment rule, and \
this would be the subsequent assignment rule.\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style[" A rule with ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["tau\[UnderBracket]1", FontColor -> RGBColor[0, 0, 1], FontWeight -> 
    "Bold"], 
   Style[" on its right hand side has been previously defined and therefore \
this rule can not be added. This is because a rule is not allowed to refer to \
a variable for which there is a subsequent assignment rule, and this would be \
the subsequent assignment rule.", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.7542249958840857`*^9},ExpressionUUID->"0065c9f7-d8bf-42ff-8df7-\
da7eab464885"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\" A rule with \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"tau\[UnderBracket]2\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" on its right hand side has been previously defined and \
therefore this rule can not be added. This is because a rule is not allowed \
to refer to a variable for which there is a subsequent assignment rule, and \
this would be the subsequent assignment rule.\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style[" A rule with ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["tau\[UnderBracket]2", FontColor -> RGBColor[0, 0, 1], FontWeight -> 
    "Bold"], 
   Style[" on its right hand side has been previously defined and therefore \
this rule can not be added. This is because a rule is not allowed to refer to \
a variable for which there is a subsequent assignment rule, and this would be \
the subsequent assignment rule.", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.75422499589498*^9},ExpressionUUID->"0bc6c44b-0db7-4875-9aa7-\
e6f6b2f92a0c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\"addRule: Unknown symbol \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"time\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" is referenced in the MathML for rule (type = \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"assignmentRule\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\") for \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"F1\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\"; \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"\\nMathML expression:\\n\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"<math xmlns=\\\"http://www.w3.org/1998/Math/MathML\\\">\\n \
<apply>\\n  <divide />\\n  <apply>\\n   <minus />\\n   \"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5]], "\[InvisibleSpace]", 
   StyleBox["\<\"<ci>time</ci>\"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5],
    Background->RGBColor[1, 1, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\"\\n   <ci>laserIntensity_delay</ci>\\n  </apply>\\n  \
<cn>0.1</cn>\\n </apply>\\n</math>\"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style["addRule: Unknown symbol ", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"], 
   Style["time", FontColor -> RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style[" is referenced in the MathML for rule (type = ", FontColor -> 
    GrayLevel[0], FontWeight -> "Bold"], 
   Style["assignmentRule", FontColor -> RGBColor[0, 0, 1], FontWeight -> 
    "Bold"], 
   Style[") for ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["F1", FontColor -> RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style["; ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["\nMathML expression:\n", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"], 
   Style["<math xmlns=\"http://www.w3.org/1998/Math/MathML\">\n <apply>\n  \
<divide />\n  <apply>\n   <minus />\n   ", FontWeight -> "Bold", FontColor -> 
    RGBColor[0.5, 0, 0.5], FontSize -> 12], 
   Style["<ci>time</ci>", FontWeight -> "Bold", FontColor -> 
    RGBColor[0.5, 0, 0.5], FontSize -> 12, Background -> RGBColor[1, 1, 0]], 
   Style["\n   <ci>laserIntensity_delay</ci>\n  </apply>\n  <cn>0.1</cn>\n \
</apply>\n</math>", FontWeight -> "Bold", FontColor -> RGBColor[0.5, 0, 0.5], 
    FontSize -> 12]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.7542249959144287`*^9},ExpressionUUID->"27aba094-1425-45f1-9ce6-\
62e2b957672b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\" A rule with \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"laserIntensity\[UnderBracket]timeVarying\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" on its right hand side has been previously defined and \
therefore this rule can not be added. This is because a rule is not allowed \
to refer to a variable for which there is a subsequent assignment rule, and \
this would be the subsequent assignment rule.\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style[" A rule with ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["laserIntensity\[UnderBracket]timeVarying", FontColor -> 
    RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style[" on its right hand side has been previously defined and therefore \
this rule can not be added. This is because a rule is not allowed to refer to \
a variable for which there is a subsequent assignment rule, and this would be \
the subsequent assignment rule.", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.7542249960451107`*^9},ExpressionUUID->"2d1969c6-d911-4625-8d25-\
c64c98d16e5b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\"addRule: Unknown symbol \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"time\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" is referenced in the MathML for rule (type = \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"assignmentRule\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\") for \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"F1\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\"; \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"\\nMathML expression:\\n\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"<math xmlns=\\\"http://www.w3.org/1998/Math/MathML\\\">\\n \
<apply>\\n  <divide />\\n  <apply>\\n   <minus />\\n   \"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5]], "\[InvisibleSpace]", 
   StyleBox["\<\"<ci>time</ci>\"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5],
    Background->RGBColor[1, 1, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\"\\n   <ci>laserIntensity_delay</ci>\\n  </apply>\\n  \
<cn>0.1</cn>\\n </apply>\\n</math>\"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style["addRule: Unknown symbol ", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"], 
   Style["time", FontColor -> RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style[" is referenced in the MathML for rule (type = ", FontColor -> 
    GrayLevel[0], FontWeight -> "Bold"], 
   Style["assignmentRule", FontColor -> RGBColor[0, 0, 1], FontWeight -> 
    "Bold"], 
   Style[") for ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["F1", FontColor -> RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style["; ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["\nMathML expression:\n", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"], 
   Style["<math xmlns=\"http://www.w3.org/1998/Math/MathML\">\n <apply>\n  \
<divide />\n  <apply>\n   <minus />\n   ", FontWeight -> "Bold", FontColor -> 
    RGBColor[0.5, 0, 0.5], FontSize -> 12], 
   Style["<ci>time</ci>", FontWeight -> "Bold", FontColor -> 
    RGBColor[0.5, 0, 0.5], FontSize -> 12, Background -> RGBColor[1, 1, 0]], 
   Style["\n   <ci>laserIntensity_delay</ci>\n  </apply>\n  <cn>0.1</cn>\n \
</apply>\n</math>", FontWeight -> "Bold", FontColor -> RGBColor[0.5, 0, 0.5], 
    FontSize -> 12]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.75422499752463*^9},ExpressionUUID->"62da4400-94d0-4878-94b6-\
93137e4faedd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\" A rule with \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"tau\[UnderBracket]1\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" on its right hand side has been previously defined and \
therefore this rule can not be added. This is because a rule is not allowed \
to refer to a variable for which there is a subsequent assignment rule, and \
this would be the subsequent assignment rule.\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style[" A rule with ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["tau\[UnderBracket]1", FontColor -> RGBColor[0, 0, 1], FontWeight -> 
    "Bold"], 
   Style[" on its right hand side has been previously defined and therefore \
this rule can not be added. This is because a rule is not allowed to refer to \
a variable for which there is a subsequent assignment rule, and this would be \
the subsequent assignment rule.", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.754224999483211*^9},ExpressionUUID->"44830dc1-4673-4630-b208-\
d44833566c56"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\" A rule with \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"tau\[UnderBracket]2\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" on its right hand side has been previously defined and \
therefore this rule can not be added. This is because a rule is not allowed \
to refer to a variable for which there is a subsequent assignment rule, and \
this would be the subsequent assignment rule.\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style[" A rule with ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["tau\[UnderBracket]2", FontColor -> RGBColor[0, 0, 1], FontWeight -> 
    "Bold"], 
   Style[" on its right hand side has been previously defined and therefore \
this rule can not be added. This is because a rule is not allowed to refer to \
a variable for which there is a subsequent assignment rule, and this would be \
the subsequent assignment rule.", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.7542249994985743`*^9},ExpressionUUID->"b373cafb-fbf2-4f89-9c84-\
117cd2ffd567"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\"addRule: Unknown symbol \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"time\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" is referenced in the MathML for rule (type = \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"assignmentRule\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\") for \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"F1\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\"; \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"\\nMathML expression:\\n\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"<math xmlns=\\\"http://www.w3.org/1998/Math/MathML\\\">\\n \
<apply>\\n  <divide />\\n  <apply>\\n   <minus />\\n   \"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5]], "\[InvisibleSpace]", 
   StyleBox["\<\"<ci>time</ci>\"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5],
    Background->RGBColor[1, 1, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\"\\n   <ci>laserIntensity_delay</ci>\\n  </apply>\\n  \
<cn>0.1</cn>\\n </apply>\\n</math>\"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style["addRule: Unknown symbol ", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"], 
   Style["time", FontColor -> RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style[" is referenced in the MathML for rule (type = ", FontColor -> 
    GrayLevel[0], FontWeight -> "Bold"], 
   Style["assignmentRule", FontColor -> RGBColor[0, 0, 1], FontWeight -> 
    "Bold"], 
   Style[") for ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["F1", FontColor -> RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style["; ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["\nMathML expression:\n", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"], 
   Style["<math xmlns=\"http://www.w3.org/1998/Math/MathML\">\n <apply>\n  \
<divide />\n  <apply>\n   <minus />\n   ", FontWeight -> "Bold", FontColor -> 
    RGBColor[0.5, 0, 0.5], FontSize -> 12], 
   Style["<ci>time</ci>", FontWeight -> "Bold", FontColor -> 
    RGBColor[0.5, 0, 0.5], FontSize -> 12, Background -> RGBColor[1, 1, 0]], 
   Style["\n   <ci>laserIntensity_delay</ci>\n  </apply>\n  <cn>0.1</cn>\n \
</apply>\n</math>", FontWeight -> "Bold", FontColor -> RGBColor[0.5, 0, 0.5], 
    FontSize -> 12]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.754224999510207*^9},ExpressionUUID->"0e7067dd-ecbb-43f2-b4ea-\
1fca2b98fa7c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\" A rule with \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"laserIntensity\[UnderBracket]timeVarying\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" on its right hand side has been previously defined and \
therefore this rule can not be added. This is because a rule is not allowed \
to refer to a variable for which there is a subsequent assignment rule, and \
this would be the subsequent assignment rule.\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style[" A rule with ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["laserIntensity\[UnderBracket]timeVarying", FontColor -> 
    RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style[" on its right hand side has been previously defined and therefore \
this rule can not be added. This is because a rule is not allowed to refer to \
a variable for which there is a subsequent assignment rule, and this would be \
the subsequent assignment rule.", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.754224999665987*^9},ExpressionUUID->"9eea8c6f-66fc-4168-aefc-\
8291fa8a27ec"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\" A rule with \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"tau\[UnderBracket]1\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" on its right hand side has been previously defined and \
therefore this rule can not be added. This is because a rule is not allowed \
to refer to a variable for which there is a subsequent assignment rule, and \
this would be the subsequent assignment rule.\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style[" A rule with ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["tau\[UnderBracket]1", FontColor -> RGBColor[0, 0, 1], FontWeight -> 
    "Bold"], 
   Style[" on its right hand side has been previously defined and therefore \
this rule can not be added. This is because a rule is not allowed to refer to \
a variable for which there is a subsequent assignment rule, and this would be \
the subsequent assignment rule.", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.754225001117943*^9},ExpressionUUID->"b1d45bd5-c3e1-452c-9e25-\
7e21bb6982d8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\" A rule with \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"tau\[UnderBracket]2\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" on its right hand side has been previously defined and \
therefore this rule can not be added. This is because a rule is not allowed \
to refer to a variable for which there is a subsequent assignment rule, and \
this would be the subsequent assignment rule.\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style[" A rule with ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["tau\[UnderBracket]2", FontColor -> RGBColor[0, 0, 1], FontWeight -> 
    "Bold"], 
   Style[" on its right hand side has been previously defined and therefore \
this rule can not be added. This is because a rule is not allowed to refer to \
a variable for which there is a subsequent assignment rule, and this would be \
the subsequent assignment rule.", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.754225001129899*^9},ExpressionUUID->"18fcf7e7-bd70-4119-9ff5-\
42595f39a5cf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\"addRule: Unknown symbol \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"time\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" is referenced in the MathML for rule (type = \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"assignmentRule\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\") for \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"F1\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\"; \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"\\nMathML expression:\\n\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"<math xmlns=\\\"http://www.w3.org/1998/Math/MathML\\\">\\n \
<apply>\\n  <divide />\\n  <apply>\\n   <minus />\\n   \"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5]], "\[InvisibleSpace]", 
   StyleBox["\<\"<ci>time</ci>\"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5],
    Background->RGBColor[1, 1, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\"\\n   <ci>laserIntensity_delay</ci>\\n  </apply>\\n  \
<cn>0.1</cn>\\n </apply>\\n</math>\"\>",
    StripOnInput->False,
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.5, 0, 0.5]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style["addRule: Unknown symbol ", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"], 
   Style["time", FontColor -> RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style[" is referenced in the MathML for rule (type = ", FontColor -> 
    GrayLevel[0], FontWeight -> "Bold"], 
   Style["assignmentRule", FontColor -> RGBColor[0, 0, 1], FontWeight -> 
    "Bold"], 
   Style[") for ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["F1", FontColor -> RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style["; ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["\nMathML expression:\n", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"], 
   Style["<math xmlns=\"http://www.w3.org/1998/Math/MathML\">\n <apply>\n  \
<divide />\n  <apply>\n   <minus />\n   ", FontWeight -> "Bold", FontColor -> 
    RGBColor[0.5, 0, 0.5], FontSize -> 12], 
   Style["<ci>time</ci>", FontWeight -> "Bold", FontColor -> 
    RGBColor[0.5, 0, 0.5], FontSize -> 12, Background -> RGBColor[1, 1, 0]], 
   Style["\n   <ci>laserIntensity_delay</ci>\n  </apply>\n  <cn>0.1</cn>\n \
</apply>\n</math>", FontWeight -> "Bold", FontColor -> RGBColor[0.5, 0, 0.5], 
    FontSize -> 12]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.754225001141993*^9},ExpressionUUID->"57a44ac7-c844-4153-a3de-\
75ec94f2be68"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Error: \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], "\[InvisibleSpace]", 
   StyleBox["\<\" A rule with \"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]], "\[InvisibleSpace]", 
   StyleBox["\<\"laserIntensity\[UnderBracket]timeVarying\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 1]], "\[InvisibleSpace]", 
   StyleBox["\<\" on its right hand side has been previously defined and \
therefore this rule can not be added. This is because a rule is not allowed \
to refer to a variable for which there is a subsequent assignment rule, and \
this would be the subsequent assignment rule.\"\>",
    StripOnInput->False,
    FontWeight->"Bold",
    FontColor->GrayLevel[0]]}],
  SequenceForm[
   Style["Error: ", FontColor -> RGBColor[1, 0, 0], FontWeight -> "Bold"], 
   Style[" A rule with ", FontColor -> GrayLevel[0], FontWeight -> "Bold"], 
   Style["laserIntensity\[UnderBracket]timeVarying", FontColor -> 
    RGBColor[0, 0, 1], FontWeight -> "Bold"], 
   Style[" on its right hand side has been previously defined and therefore \
this rule can not be added. This is because a rule is not allowed to refer to \
a variable for which there is a subsequent assignment rule, and this would be \
the subsequent assignment rule.", FontColor -> GrayLevel[0], FontWeight -> 
    "Bold"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7405117228461227`*^9, {3.7436160730864363`*^9, 3.743616094685513*^9}, {
   3.7441151494706907`*^9, 3.7441151641437674`*^9}, 3.7441152116197653`*^9, 
   3.7441309444110193`*^9, 3.74413134285495*^9, 
   3.75422500125424*^9},ExpressionUUID->"62c8ca6b-3a50-4d41-981c-\
344f1ce774cc"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"wormStreamPlot", "[", 
   RowBox[{"sbmlobj_", ",", "laserintensity_", ",", 
    RowBox[{"xmin_:", "25"}], ",", 
    RowBox[{"xmax_:", "55"}], ",", 
    RowBox[{"speedmin_:", "-", "70"}], ",", 
    RowBox[{"speedmax_:", "30"}]}], "]"}], ":=", 
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"ContourPlot", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0", "\[Equal]", 
          RowBox[{
           RowBox[{"wormRHS", "[", 
            RowBox[{"sbmlobj", ",", "laserintensity"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ",", 
         RowBox[{"0", "\[Equal]", 
          RowBox[{
           RowBox[{"wormRHS", "[", 
            RowBox[{"sbmlobj", ",", "laserintensity"}], "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"CTSN`speed", ",", "speedmin", ",", "speedmax"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"CTSN`X\[UnderBracket]2", ",", 
        RowBox[{"xmin", "-", 
         RowBox[{"(", 
          RowBox[{"xmax", "-", "xmin"}], ")"}]}], ",", 
        RowBox[{"xmax", "+", 
         RowBox[{"(", 
          RowBox[{"xmax", "-", "xmin"}], ")"}]}]}], "}"}], ",", 
      RowBox[{"ContourStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Darker", "[", "Green", "]"}], ",", 
           RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Lighter", "[", "Green", "]"}], ",", 
           RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], "}"}]}]}], 
     "]"}], ",", 
    RowBox[{"StreamPlot", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{"wormRHS", "[", 
        RowBox[{"sbmlobj", ",", "laserintensity"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"CTSN`speed", ",", "speedmin", ",", "speedmax"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"CTSN`X\[UnderBracket]2", ",", 
        RowBox[{"xmin", "-", 
         RowBox[{"(", 
          RowBox[{"xmax", "-", "xmin"}], ")"}]}], ",", 
        RowBox[{"xmax", "+", 
         RowBox[{"(", 
          RowBox[{"xmax", "-", "xmin"}], ")"}]}]}], "}"}], ",", 
      RowBox[{"StreamPoints", "\[Rule]", "Fine"}], ",", 
      RowBox[{"StreamScale", "\[Rule]", "Small"}], ",", 
      RowBox[{"StreamStyle", "\[Rule]", 
       RowBox[{"Directive", "[", "Thin", "]"}]}]}], "]"}], ",", 
    RowBox[{"fixedPointPlot2D", "[", 
     RowBox[{"sbmlobj", ",", "laserintensity", ",", "0.045"}], "]"}], ",", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"\"\<input = \>\"", "<>", 
        RowBox[{"ToString", "[", "laserintensity", "]"}]}]}], ","}], "*)"}], 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Speed \!\(\*SubscriptBox[\(v\), \(\\\ \)]\)(px/s)\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(2\)]\)\>\""}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7292126215377903`*^9, 3.729212712801446*^9}, 
   3.7292127506229897`*^9, {3.729212821925973*^9, 3.729212834340724*^9}, {
   3.729212916312024*^9, 3.729212916405224*^9}, {3.729213002287586*^9, 
   3.729213014781167*^9}, {3.729214020305999*^9, 3.729214022757741*^9}, {
   3.729214527513859*^9, 3.729214546371889*^9}, {3.729339728499338*^9, 
   3.7293397505614567`*^9}, {3.738007123117206*^9, 3.7380072015256643`*^9}, {
   3.738007322177998*^9, 3.738007367478052*^9}, {3.7380075709937468`*^9, 
   3.738007582788383*^9}, {3.738007653303546*^9, 3.7380076737407846`*^9}, {
   3.738007767008284*^9, 3.738007777518278*^9}, {3.738007813788245*^9, 
   3.738007867211995*^9}, {3.738007898069569*^9, 3.738007949117968*^9}, {
   3.738007985353847*^9, 3.7380080179985867`*^9}, {3.738008071463636*^9, 
   3.7380080822474413`*^9}, {3.738008440626051*^9, 3.738008440735612*^9}, {
   3.743438401272478*^9, 
   3.74343843361248*^9}},ExpressionUUID->"9b49d7c6-5494-4938-8225-\
5500a00a0b92"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"wormStreamPlot", "[", 
  RowBox[{"rReducedThree", ",", "0"}], "]"}]], "Input",
 CellChangeTimes->{{3.729212837193151*^9, 3.729212837582954*^9}, {
   3.729212885672781*^9, 3.729212937538287*^9}, 3.729214535031591*^9, {
   3.738002097354604*^9, 3.738002097816935*^9}, {3.740511748904126*^9, 
   3.740511750201664*^9}},ExpressionUUID->"720b071a-c4ea-470a-92f4-\
bf2cd4928bb0"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxVlwlYU8cWxwMiAhYEiiIqhC0pKAoBEoKQzGGRHRQQFBVLUao+iSC0WH0q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    "], {{}, {}, 
     TagBox[
      TooltipBox[
       {RGBColor[0, 
         NCache[
          Rational[2, 3], 0.6666666666666666], 0], Thickness[0.004], 
        LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
         18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
         35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 
         52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 
         69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 
         86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 
         102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115,
          116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 
         129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142,
          143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 
         156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168}]},
       RowBox[{"0.`", "\[Equal]", 
         RowBox[{
           RowBox[{"0.`", "\[VeryThinSpace]"}], "+", 
           FractionBox["76.4010071195656`", 
            RowBox[{
              RowBox[{"1.`", "\[VeryThinSpace]"}], "+", 
              SuperscriptBox["2.718281828459045`", 
               RowBox[{
                 RowBox[{"42.0694523628433`", "\[VeryThinSpace]"}], "+", 
                 "Charting`Private`pvar$26925"}]]}]], "+", 
           FractionBox["19.7426245743173`", 
            RowBox[{
              RowBox[{"1.`", "\[VeryThinSpace]"}], "+", 
              SuperscriptBox[
              "2.718281828459045`", "Charting`Private`pvar$26926"]}]], "-", 
           
           RowBox[{"0.7547120106906612`", " ", 
             "Charting`Private`pvar$26925"}]}]}]],
      Annotation[#, 0. == 
       0. + 76.4010071195656/(1. + 
         2.718281828459045^(42.0694523628433 + Charting`Private`pvar$26925)) + 
        19.7426245743173/(1. + 2.718281828459045^Charting`Private`pvar$26926) - 
        0.7547120106906612 Charting`Private`pvar$26925, "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       {RGBColor[
         NCache[
          Rational[1, 3], 0.3333333333333333], 1, 
         NCache[
          Rational[1, 3], 0.3333333333333333]], Thickness[0.004], 
        LineBox[CompressedData["
1:eJwN0FkiQgEAAMAXJ+lKfv11AM4lFNkJlZI9ZacIiZR9X4r5mAtMONLf0xcK
gqCXAaIMMsQwMeKMMEqCMcaZYJIppplhljmSzLPAIinSZFgiS45l8qywyhrr
bLDJFgW2KVJih1322OeAQ4445oQyFU45o8o5F1xS44o619zQ4JYmLe6454FH
nnjmhVfeeOeDT7745odf2nT4I5Acootu/gG0CEol
         "]]},
       RowBox[{"0.`", "\[Equal]", 
         RowBox[{
           RowBox[{"0.`", "\[VeryThinSpace]"}], "-", 
           RowBox[{"1.`", " ", "Charting`Private`pvar$26926"}]}]}]],
      Annotation[#, 0. == 0. - 1. Charting`Private`pvar$26926, 
       "Tooltip"]& ]}], {{}, {
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-35.32415691718406, 85.}, {-35.292155627313775`, 
        84.89860667906191}, {-34.942434982406105`, 
        83.79333715201795}, {-34.5964429381326, 
        82.70262725639822}, {-34.25412490429666, 
        81.62625980206582}, {-34.06389162528642, 81.02964142424146}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-34.00061987883584, 80.83120565671506}, {-33.91542629070174,
         80.56401759888388}, {-33.58029250715128, 
        79.51568345671552}, {-33.2486689634487, 
        78.4810401854239}, {-32.92050106939745, 
        77.45987059487213}, {-32.72868516452453, 76.8645703896028}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-32.664808268092905`, 
        76.66632859321525}, {-32.595734234800965`, 
        76.4519574949233}, {-32.27431386946267, 
        75.45708369544059}, {-31.641294185774417`, 
        73.50558523732595}, {-31.379837028102337`, 72.70389782021113}}]}, 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-31.315257964649774`, 
        72.50588364825293}, {-31.021005296760173`, 
        71.60363769943318}, {-30.505825265078276`, 
        70.03198893437711}, {-30.016950562411374`, 68.54780289079743}}]}, 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-29.951575923929664`, 
        68.35005000256449}, {-29.499911998628164`, 
        66.98571529159625}, {-29.00917876385995, 
        65.51109041387146}, {-28.636569805447657`, 64.39748646848585}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-28.570481600011522`, 
        64.19997085686254}, {-28.526594461396293`, 
        64.06880683192375}, {-28.052159091237204`, 
        62.65886454575315}, {-27.585872653382676`, 
        61.281263555359644`}, {-27.236009987219568`, 60.25393848867411}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-27.16886604840804, 
        60.0567792656751}, {-27.127735147832702`, 
        59.93600386074322}, {-26.677233005492013`, 
        58.62044493824899}, {-26.233852657265324`, 
        57.33194626422199}, {-25.81392460298106, 56.11772735974206}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-25.745607240315913`, 
        55.92097171180761}, {-25.36845734315395, 
        54.83612966156977}, {-24.946442377269264`, 
        53.62881173294453}, {-24.531549205498585`, 
        52.448554052786555`}, {-24.3691840249123, 51.98937736823331}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-24.299749499545513`, 51.7930131290761}, {-24.1237778278419,
         51.295356621095834`}, {-23.723128244299218`, 
        50.169219437872364`}, {-23.32915374248439, 
        49.067939503436584`}, {-22.94140761001129, 
        47.98931381810892}, {-22.89838666639292, 47.87023970935094}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-22.82761396019245, 
        47.67435379411005}, {-22.559889846879898`, 
        46.93334238188939}, {-22.18460045309022, 
        45.90002519477797}, {-21.81553942864226, 
        44.88936225677469}, {-21.45270677353602, 
        43.90135356787952}, {-21.40063835065344, 43.76082714991933}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-21.328273726193974`, 
        43.56552372224961}, {-20.74572657134868, 
        41.993298937413556`}, {-20.369755409524434`, 
        40.98492576598418}, {-20.000597906697703`, 
        40.000766366080576`}, {-19.871953588328818`, 39.66282681964938}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-19.797854864869322`, 
        39.46817470197692}, {-19.458612109039603`, 
        38.57700792144}, {-18.931313293373634`, 
        37.20392560754297}, {-18.304404025725432`, 35.57952742015583}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-18.22892998799361, 
        35.38540471727358}, {-17.654449023375157`, 
        33.91240349447614}, {-17.048292010482317`, 
        32.37575405255558}, {-16.702392752034424`, 31.509640566135843`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-16.625145093434202`, 
        31.31621650617048}, {-16.4636517456604, 
        30.91184568704358}, {-15.89912374957712, 
        29.514512642440064`}, {-15.353303542900175`, 
        28.17758916324493}, {-15.055966734319897`, 27.45752535750306}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-14.976472644750151`, 
        27.265013650180677`}, {-14.826191125629569`, 
        26.90107524945818}, {-14.317786497765299`, 
        25.684970901079822`}, {-13.826866273469923`, 
        24.524134212620655`}, {-13.357915145021165`, 
        23.426780282284106`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-13.275337186286185`, 
        23.23557123177041}, {-12.893808878073525`, 
        22.352838098992322`}, {-12.451671706972501`, 
        21.34237867382316}, {-11.769152970389538`, 
        19.80853602522621}, {-11.594654776641718`, 19.42416803415}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-11.508556121356678`, 
        19.234518121703914`}, {-11.125173079546924`, 
        18.390038494561963`}, {-10.516632315954935`, 
        17.074239428808948`}, {-9.940430961123845, 
        15.848492174945674`}, {-9.753293850984317, 15.456894692307648`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-9.66348886563772, 15.268971483683492`}, {-9.39499526582583,
         14.707129860114733`}, {-8.879623463268455, 
        13.64847405726676}, {-8.39252380861505, 
        12.665860782092324`}, {-7.931904557028953, 
        11.752626050282013`}, {-7.818781386587252, 11.534296801498217`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-7.722963540687856, 
        11.349367063111174`}, {-7.08494497660641, 
        10.117982606132868`}, {-6.328420149096265, 
        8.711924503577544}, {-5.75156220393392, 7.680182105707747}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-5.649859355397619, 7.498423054030411}, {-5.04571896581997, 
        6.460514967386409}, {-4.368605432803989, 
        5.356667262130824}, {-3.764007931664519, 
        4.441724971729446}, {-3.408753820350959, 3.9921298878802167`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-3.279625494693031, 
        3.8287103564726133`}, {-2.665570733818915, 
        3.051587747863189}, {-1.5214652451761903`, 
        2.0971293938976654`}, {-0.7435113325977017, 1.6779776371259512`}, {
        0.002704808091940847, 1.38549445492305}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{0.19925159835499953`, 1.3172109491677324`}, {
        1.0343750210740206`, 1.0741038235949842`}, {1.9972275950555198`, 
        0.8593787568383265}, {3.4133272769371814`, 0.6214934226301922}, {
        4.279830757640065, 0.5124194421611199}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{4.486478809528455, 0.48640693779430266`}, {
        4.780934138698085, 0.4493414031044596}, {6.048117140220568, 
        0.32484327165402715`}, {7.18620349200442, 0.23485283632244278`}, {
        7.797935290399089, 0.19341067239880386`}, {8.36006611578349, 
        0.15930817567382605`}, {8.637227712973989, 0.14414025945804712`}}]}, 
      {Arrowheads[{{0.009803857205065455, 1.}}], 
       ArrowBox[{{8.845195344319926, 0.13275904488927306`}, {8.87324108765353,
         0.13122421650970875`}, {9.882544386660333, 0.08433865410387684}, {
        10.671319035678682`, 0.053925176026178225`}, {11.27836206176427, 
        0.0343193459291633}, {11.742340794513465`, 0.02192527283081252}, {
        12.126440861107044`, 0.013233106880409809`}, {12.404105134527326`, 
        0.0080609308937076}, {12.60302536983505, 0.004960402668675304}, {
        12.810273688800882`, 0.002339114729127082}, {12.926676506271495`, 
        0.0012906589586686198`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{4.828071254756579, 85.}, {4.767107007075102, 
        83.57865678034382}, {4.687402629554419, 81.72977357799373}, {
        4.6487685769588305`, 80.83828434608972}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{4.63975095871369, 80.6302008284967}, {4.609006292852552, 
        79.92076092477762}, {4.531917996969501, 78.1516188206955}, {
        4.4581639412770695`, 76.46858422991892}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{4.4490034934654785`, 76.2605069523899}, {4.381665527659845, 
        74.73294625993319}, {4.30850135423324, 73.08341580325302}, {
        4.264595665538974, 72.09901441296464}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{4.255315362680105, 71.89094244533914}, {4.236562763859163, 
        71.47049386794859}, {4.165767298771326, 69.89091842626169}, {
        4.0961149589697285`, 68.34468947819232}, {4.068259864108019, 
        67.7295680732618}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{4.0588378428044445`, 67.52150247483848}, {4.027605744454371,
         66.83180702374045}, {3.960239655225254, 65.35227106290613}, {
        3.8940166912823773`, 63.90608159568933}, {3.868874484619961, 
        63.360259867224535`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{3.859290691534324, 63.15220165747834}, {3.828936852625739, 
        62.49323862209004}, {3.765000139255341, 61.11374214210828}, {
        3.695221655621878, 59.612984429394}, {3.666128572451498, 
        58.991106280613934`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{3.656395390717189, 58.78305500590977}, {3.6267364086590717`,
         58.14908050588905}, {3.574535438636641, 57.04766952920727}, {
        3.5230959784858835`, 55.96748320919447}, {3.472386403486529, 
        54.90737736071816}, {3.458678459755125, 54.622173756161565`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{3.448679349476845, 54.41413509262437}, {3.4224172552120016`,
         53.867733378822514`}, {3.362785742203425, 52.62713145317179}, {
        3.3041416606637877`, 51.41326250237199}, {3.24780985072766, 
        50.25340465278323}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{3.2376577854518076`, 50.04537339803971}, {
        3.1898157919913297`, 49.06572352532515}, {3.1341340048585096`, 
        47.932053499078116`}, {3.079439649194629, 46.82511644768199}, {
        3.032689967299946, 45.88484295935993}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{3.022325246945657, 45.67682219283722}, {2.973013232273682, 
        44.69144126944251}, {2.8702767694385396`, 42.65556595869457}, {
        2.8121877007762097`, 41.516549693956776`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{2.8015794067415936`, 41.30854120415317}, {
        2.7709704888992475`, 40.70835848352601}, {2.675094390655808, 
        38.849818843936866`}, {2.5862310543417366`, 37.148535323292485`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{2.5752820175784965`, 36.94054449950628}, {
        2.4934067532865423`, 35.39114026909604}, {2.407143238620845, 
        33.77579572904294}, {2.353402621716907, 32.78088187720804}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{2.3421687452434115`, 32.572906234999444`}, {
        2.3238579307111253`, 32.233913419767795`}, {2.2435508295573827`, 
        30.765493341270602`}, {2.1810920182527447`, 29.63683871228015}, {
        2.120443491953954, 28.552144943761743`}, {2.1126220820624826`, 
        28.413660083523084`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{2.100877534123165, 28.205712654285783`}, {
        2.0615350412498765`, 27.509119622773795`}, {2.004296456729379, 
        26.505470336374714`}, {1.8945480485945834`, 24.60713021557675}, {
        1.8616344594934, 24.047013162815432`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{1.8494166584300757`, 23.8390930024897}, {
        1.7906365922604943`, 22.838785277835104`}, {1.6922780600973113`, 
        21.19225295566418}, {1.6003097099042147`, 19.680973046651076`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{1.5874453439834284`, 19.473091897745878`}, {
        1.5115199612290338`, 18.24785647330909}, {1.4284730113616886`, 
        16.930725253568816`}, {1.3499646658427646`, 15.707404019727699`}, {
        1.3243556429126846`, 15.315834325562589`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{1.3107630524899179`, 15.10799951322765}, {1.275800289405324,
         14.573408307402259`}, {1.2057265848214356`, 13.521913167938765`}, {
        1.1394902548631662`, 12.546093652683476`}, {1.028280017812112, 
        10.9520174530358}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{1.013638533501074, 10.744254033529998`}, {
        0.9092419733377387, 9.300751109910847}, {0.7913019079320311, 
        7.723039947808133}, {0.7048773748700756, 6.590141552565241}}]}, 
      {Arrowheads[{{0.006949595496354658, 1.}}], 
       ArrowBox[{{0.6892505740283302, 6.3824504288999915`}, {
        0.5748714762571575, 4.731190629304823}, {0.5542423301017481, 
        3.4916716056776114`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-70., 28.38432142839388}, {-69.9588581136865, 
        28.375272979369655`}, {-67.94897458598437, 
        27.934619710815987`}, {-65.96272777606772, 
        27.50082846833709}, {-65.93071208076091, 27.493861000358223`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-65.72719688553003, 
        27.449570673617078`}, {-63.99900336977473, 
        27.073469737282092`}, {-62.05780136710537, 
        26.652543517650997`}, {-61.65644277529219, 26.565837737736413`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-61.45286030634847, 
        26.521857673258516`}, {-60.139121768059624`, 
        26.238049809443805`}, {-58.24296457263756, 
        25.82998861266052}, {-57.380591476802145`, 25.64513200437923}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-57.17693896004051, 
        25.601477449641486`}, {-56.369329780839095`, 
        25.42835992730113}, {-54.518217392664276`, 
        25.033163753365645`}, {-53.10305337906975, 24.732295680354387`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-52.89932787193419, 24.68898303237415}, {-52.68962740811311,
         24.644400090854063`}, {-51.57858542658481, 
        24.40895807092447}, {-50.47563597895051, 
        24.17576531165422}, {-49.38100292160705, 
        23.944800426316224`}, {-48.823819015619314`, 
        23.827443514873092`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-48.620011878251276`, 
        23.78451661782071}, {-48.294910110951264`, 
        23.716042028183384`}, {-47.21962671578133, 
        23.489469216713402`}, {-46.15742190489542, 
        23.265061091363993`}, {-44.916292480872926`, 
        23.002500465275073`}, {-44.54472867184657, 22.92193368689058}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-44.34117991009145, 
        22.87779788146395}, {-43.719061742333515`, 
        22.742902998450287`}, {-43.28722492250756, 
        22.636247907377815`}, {-42.8849540672138, 
        22.53009298589437}, {-42.145887992592534`, 
        22.318778802020404`}, {-41.52898949187045, 
        22.109446586745563`}, {-41.010445247974324`, 
        21.90207773958645}, {-40.390081139203474`, 21.601041955016754`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-40.2026989486676, 
        21.510113508408008`}, {-39.99937567758815, 
        21.41144954709027}, {-39.1811728431998, 
        20.931811926867258`}, {-38.44955469948636, 
        20.462918667868873`}, {-37.16032233003715, 
        19.596548084358886`}, {-36.69126515241389, 19.27465928663476}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-36.51953423008458, 
        19.156809560081726`}, {-35.95129690314118, 
        18.76685874231875}, {-34.79184955080055, 
        17.972297331720327`}, {-33.14049152852211, 
        16.85191327253042}, {-33.07791341516667, 16.81007899248054}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-32.90476264949222, 
        16.694325460875447`}, {-31.56897199736513, 
        15.8013320925441}, {-30.072828083877475`, 
        14.81633022779512}, {-29.428746953125447`, 14.398922128666838`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-29.253962730530453`, 
        14.285650140670842`}, {-28.64759691460704, 
        13.892684114317236`}, {-27.289971747659123`, 
        13.026680943066005`}, {-25.99664584113903, 
        12.214607904996988`}, {-25.736587812495536`, 12.05418477654558}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-25.559323396457465`, 
        11.944834904394842`}, {-24.678182459557373`, 
        11.401281658061896`}, {-23.427976330093927`, 
        10.643839361203757`}, {-22.241341175920034`, 
        9.937119987534276}, {-21.993433637867728`, 9.791781165768226}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-21.813756257218678`, 
        9.686443107043958}, {-21.113590720207046`, 
        9.275962510165161}, {-20.041953604180165`, 
        8.657642549030049}, {-19.024752707952494`, 
        8.080828093675098}, {-18.197267251940033`, 7.619554154308777}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-18.01517501377595, 
        7.518449778144746}, {-17.141479900907694`, 
        7.0394258104277005`}, {-15.441616008630126`, 
        6.131493758093946}, {-14.337161677127273`, 5.563306765408963}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-14.151954269287273`, 
        5.468026736998554}, {-13.905207798209014`, 
        5.341087911771786}, {-12.511471087801315`, 
        4.652655380259058}, {-11.239892275397578`, 
        4.053193344766967}, {-10.391067233024966`, 3.6786049118661746`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-10.200518085712453`, 
        3.594515137272739}, {-9.673623088418733, 
        3.3619951696857293`}, {-8.244351600223615, 
        2.7888774783906927`}, {-6.908198271038911, 
        2.3124768198687127`}, {-6.3050272730650105`, 
        2.1264120256749393`}}]}, 
      {Arrowheads[{{0.004300912687495347, 1.}}], 
       ArrowBox[{{-6.106002733861441, 
        2.0650173962069864`}, {-5.628115551264546, 
        1.9175998635729306`}, {-4.378950466434603, 1.5897564540489202`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-70., 56.78926650984218}, {-68.18196489171096, 
        55.991356618211995`}, {-66.34842958793493, 
        55.18971110083311}, {-66.18429918717928, 55.11820596076954}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-65.99335426649438, 
        55.035018792303845`}, {-64.53476771354741, 
        54.39957017776846}, {-62.74011728249556, 
        53.620270772023005`}, {-62.172923188359455`, 
        53.374801519025645`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-61.98177709374183, 53.29207765158021}, {-60.9644782947794, 
        52.85181288359674}, {-59.20785075039889, 
        52.094196512489646`}, {-58.156754579257075`, 51.64246716384384}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-57.96539925803679, 51.56022843347072}, {-57.47023464935408,
         51.34742165870176}, {-55.75162999164493, 
        50.61148832223305}, {-54.13548834259338, 49.921999167767304`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-53.94385191970096, 49.84041774233244}, {-52.37145500623367,
         49.1721462012532}, {-50.55286215308009, 
        48.40074364192596}, {-50.109218124518165`, 48.213271821340186`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-49.9173654490031, 
        48.132200133122836`}, {-48.75600898679042, 
        47.64144268728093}, {-47.74859435442863, 
        47.2167775992894}, {-46.75074761101968, 
        46.79593041338489}, {-46.08173082637438, 46.50746005252477}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-45.89047387041338, 46.42499281946076}, {-45.78334730994257,
         46.37880139606755}, {-44.83943393340431, 
        45.96542379183734}, {-43.583099833145326`, 
        45.38725483156783}, {-42.492013655275684`, 
        44.81635971060307}, {-42.159378183790686`, 44.58699575349386}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-41.987910802503535`, 
        44.46876291166373}, {-40.86724468159374, 
        43.69602386810173}, {-39.78397469774889, 
        42.60369462307288}, {-38.978909804864415`, 41.62674056272381}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-38.8491917278702, 41.46383415505705}, {-38.11343618674003, 
        40.50027285768571}, {-37.36559072307699, 
        39.48783216901298}, {-36.64443089110739, 
        38.500546880565544`}, {-36.36662583032454, 38.11906682154471}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-36.24401677757197, 37.95070088699791}, {-35.94343404300453,
         37.53794267805707}, {-35.259759327530205`, 
        36.59940999977998}, {-34.59056589344624, 
        35.68433928402672}, {-33.93501184390855, 
        34.7921511543077}, {-33.7846410231428, 34.588644388005946`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-33.66086709241584, 
        34.421132950172286`}, {-33.292255282073114`, 
        33.922266234133396`}, {-32.193759740277976`, 
        32.446894444605505`}, {-31.16844537632884, 31.08351430958237}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-31.04265998458508, 
        30.91750872064108}, {-30.102333976823164`, 
        29.680566817074798`}, {-29.10940375516348, 
        28.389610979071985`}, {-28.505868758337474`, 
        27.613509964133968`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-28.37801101531174, 
        27.449094437856598`}, {-28.149384133956435`, 
        27.155097311600272`}, {-27.219997273609494`, 
        25.971996001349044`}, {-26.321243174122664`, 
        24.840307048318316`}, {-25.79286719871866, 24.182804260838992`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-25.662399367386687`, 
        24.020452135136146`}, {-25.453121835495942`, 
        23.76003045250808}, {-24.613705970433745`, 
        22.72695510670542}, {-23.801068291640483`, 
        21.736869903697418`}, {-23.02234934574424, 20.798380423111237`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-22.88847377501479, 
        20.638826904765278`}, {-22.256127492860774`, 
        19.885669926065386`}, {-21.047457615260978`, 
        18.469442648603383`}, {-20.180583455634615`, 
        17.473611509443856`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-20.043831441320645`, 
        17.316516142504625`}, {-19.906322237958996`, 
        17.158550946394072`}, {-18.827398502192867`, 
        15.941691365197038`}, {-17.805363549200617`, 
        14.807560450771852`}, {-17.262845400893745`, 
        14.215334831703684`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-17.12215635146572, 
        14.061755343803316`}, {-16.837465306729566`, 
        13.750979878064124`}, {-15.922420723389482`, 
        12.770271395840034`}, {-15.057110471712058`, 
        11.859381660590032`}, {-14.26040990520395, 11.03501577217043}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-14.114558525004087`, 
        10.886331504037068`}, {-13.46397266496615, 
        10.224877085180125`}, {-12.731853055945939`, 
        9.494380773387965}, {-12.039585936695039`, 
        8.816456788380842}, {-11.384700846740113`, 
        8.186793525111492}, {-11.14642119946499, 7.964085629885029}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-10.994257786806404`, 
        7.821866209337786}, {-10.178902355661624`, 
        7.059794861623994}, {-9.098108784597366, 
        6.088476178601258}, {-7.8872354226707575`, 
        5.052379153085633}, {-7.885083035783707, 5.050654581573466}}]}, 
      {Arrowheads[{{0.002793195995193585, 1.}}], 
       ArrowBox[{{-7.722542706926883, 
        4.920421293863234}, {-6.8145287156862215`, 4.192887098517011}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-70., 80.64002635273401}, {-68.82425407376563, 
        79.90692348349017}, {-67.64012727297543, 
        79.17011493056395}, {-66.46396214357374, 
        78.43979062279556}, {-66.46320538069278, 78.43932171878113}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-66.28615837880564, 78.32962018344331}, {-65.29575868556049,
         77.71595056018498}, {-64.1355168989357, 
        76.99859474273221}, {-62.98323678369938, 
        76.28772317043727}, {-62.74270086066853, 76.1396608396979}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-62.565331710200624`, 
        76.03048093222864}, {-61.83891833985152, 
        75.58333584330013}, {-60.702561567392124`, 
        74.88543276132083}, {-59.57416646632119, 
        74.19401392449933}, {-59.01477500426021, 73.8520511157357}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-58.837070368407886`, 
        73.74341810910653}, {-58.45373303663871, 
        73.50907933283565}, {-57.341261278344696`, 
        72.8306289863298}, {-56.23675119143915, 
        72.15866288498177}, {-55.2789409561499, 71.57737953785502}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-55.10086021295137, 
        71.46936422673195}, {-54.051616031793436`, 
        70.83418341775914}, {-52.970990959053275`, 
        70.18167005188454}, {-52.051871111747836`, 
        69.6268691361044}, {-51.535268954772164`, 69.31562854619465}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-51.35686654084025, 69.2081453082644}, {-51.13822625988203, 
        69.07641970645537}, {-50.230015335113, 
        68.5303565418484}, {-49.32736154246933, 
        67.9885753055506}, {-48.308881576163095`, 
        67.37946944427885}, {-47.78432613038549, 67.0659598761115}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-47.60554477712917, 66.95910813087288}, {-47.29895193696528,
         66.77586765611144}, {-46.31096752955757, 
        66.17762544979925}, {-45.34046338571275, 
        65.58479098909197}, {-44.369298732319706`, 
        64.98316922066489}, {-44.05692373152407, 64.77796871902181}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-43.882844927031776`, 
        64.66361559243914}, {-43.46185894340491, 
        64.38706806205128}, {-42.6541547155957, 
        63.79643503642803}, {-41.373959260850945`, 
        62.63139002529518}, {-40.79819977269621, 61.90066044493167}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-40.66929721489783, 
        61.737062772803554`}, {-40.472749519843546`, 
        61.48761275472615}, {-39.7452880088405, 
        60.36472320314218}, {-39.10386296680245, 
        59.262339915991745`}, {-38.58125569723228, 
        58.31632953657784}, {-38.50873001886112, 58.18061115444525}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-38.41056628323428, 
        57.996915893917155`}, {-38.083792642322685`, 
        57.3854195127163}, {-37.13909046626765, 
        55.56794403078251}, {-36.48881756777058, 54.30119148771457}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-36.39370048298197, 
        54.115900344067555`}, {-36.23565909610817, 
        53.8080306339888}, {-35.629037111088074`, 
        52.626060856972494`}, {-35.03342828785152, 
        51.469490926815645`}, {-34.487060459419745`, 
        50.412290227682696`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-34.39126858916533, 
        50.22734709676279}, {-33.875250126729064`, 
        49.232550607080256`}, {-33.311828059370946`, 
        48.15109939031009}, {-32.757713694851944`, 
        47.092886366016046`}, {-32.4638022032954, 46.534539675457744`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-32.36678550172779, 46.35023604730669}, {-32.21290703317207,
         46.05791153419817}, {-31.67740807433132, 
        45.04617489485643}, {-31.150871201670377`, 
        44.05668765358384}, {-30.632950798529926`, 
        43.088461015973394`}, {-30.409567012650182`, 42.67311598563098}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-30.310912299607633`, 
        42.48968394010132}, {-30.123646864909965`, 
        42.14149498202511}, {-29.622959400810497`, 
        41.21578955173897}, {-29.047358139391232`, 
        40.15754753314408}, {-28.482327193297444`, 
        39.12454974937786}, {-28.320501647720683`, 38.83042558832109}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-28.2201009058073, 
        38.64794337341799}, {-27.927866562529143`, 
        38.11679620044032}, {-27.383976247086316`, 
        37.13428688633144}, {-26.850656246968978`, 
        36.17702180705123}, {-26.327906562177123`, 
        35.24500096259969}, {-26.194173568161794`, 35.008236348214155`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-26.091740992121217`, 
        34.82688686489978}, {-25.81572719271074, 
        34.338224352976816`}, {-25.31411813856985, 
        33.45669197818261}, {-24.339523551460417`, 
        31.75979314410752}, {-24.021371900940675`, 31.212282181495016`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-23.916728170878923`, 
        31.032199540767312`}, {-23.401035376044725`, 
        30.144737671401707`}, {-22.498653612322776`, 
        28.611525560065175`}, {-21.801575519867264`, 
        27.443632052177662`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-21.694829121889285`, 
        27.26478777843252}, {-21.63237826029457, 
        27.160156810097927`}, {-20.79957650698309, 
        25.78288647649987}, {-19.997615539411314`, 
        24.471969614270897`}, {-19.52492379700016, 23.709060211006427`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-19.41522574440641, 
        23.532011051195262`}, {-19.226495357579257`, 
        23.227406223411034`}, {-18.486215961486906`, 
        22.04919630392026}, {-17.485806051685113`, 
        20.484971940604215`}, {-17.180358813543755`, 
        20.016808082249106`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-17.066550656740624`, 
        19.842372503373195`}, {-16.541333112724963`, 
        19.037363188578304`}, {-15.648171297329059`, 
        17.693184365327124`}, {-14.801694758220025`, 
        16.43924978833529}, {-14.757790600171177`, 16.37524369819686}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-14.639976980316245`, 
        16.203488003358586`}, {-13.999688553269575`, 
        15.270037492121265`}, {-13.241315400434633`, 
        14.184404778080015`}, {-12.524015942565605`, 
        13.175734864010872`}, {-12.247582242602816`, 
        12.793604586321617`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-12.125506184774514`, 
        12.624851797195625`}, {-11.845230822512905`, 
        12.237410967713176`}, {-11.20302937432636, 
        11.365040643307717`}, {-10.595840184169731`, 
        10.555502494241823`}, {-10.021642773064348`, 
        9.804086312304635}, {-9.624582113652455, 9.293893427891286}}]}, 
      {Arrowheads[{{0.0000713167802104546, 1.}}], 
       ArrowBox[{{-9.496662317942038, 9.129526175684205}, {-9.478416662031545,
         9.106081889285308}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-14.715692287264753`, 85.}, {-14.561016845933182`, 
        83.81599864622706}, {-14.3192700087232, 
        81.97476402845137}, {-14.173442525731156`, 80.86986827205739}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-14.146189598622184`, 
        80.66338014722525}, {-14.081463293532579`, 
        80.17296628042027}, {-13.847596700361324`, 
        78.41060540213377}, {-13.61767022920943, 
        76.68768139359184}, {-13.597061621207953`, 76.53415740131452}}]}, 
      {Arrowheads[{{0.010000000000000018`, 1.}}], 
       ArrowBox[{{-13.56935143467438, 
        76.32773014222558}, {-13.391683880076899`, 
        75.00419425479451}, {-13.169637652963733`, 
        73.36014398574177}, {-13.012392867752423`, 72.19955619970457}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-12.984429247929176`, 
        71.99316311915418}, {-12.930724736508575`, 
        71.596782406585}, {-12.696145984546677`, 
        69.87580682816473}, {-12.522518853643653`, 
        68.6178640906821}, {-12.418305692644081`, 67.8662379845836}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-12.389701412204653`, 
        67.659932718356}, {-12.351296794516845`, 
        67.38294358404688}, {-12.182384708957482`, 
        66.16986231736286}, {-12.01581429636849, 
        64.97901462092878}, {-11.813711052874087`, 63.534370977568564`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-11.78473737369814, 
        63.32811727330439}, {-11.604429641518688`, 
        62.04575211603665}, {-11.403842496765558`, 
        60.6266149564475}, {-11.206658807126937`, 
        59.23914052542959}, {-11.20157398668548, 59.20356383683543}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-11.172105075827325`, 
        58.99738029960334}, {-11.01287857260283, 
        57.883328822982975`}, {-10.822501793193238`, 
        56.559179849107636`}, {-10.635528468898157`, 
        55.266693603803546`}, {-10.57840240622872, 54.874331373806385`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-10.548394393174227`, 
        54.668225607547356`}, {-10.451958599717587`, 
        54.00587008707074}, {-10.2715703649341, 
        52.774029432391046`}, {-10.094141943830259`, 
        51.56849177324632}, {-9.942993456375941, 50.546877980428235`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-9.912471998354517, 50.34084763446695}, {-9.74816454266152, 
        49.23632544156174}, {-9.579615562596624, 
        48.1096967690219}, {-9.414026396211375, 
        47.00937109201702}, {-9.294701586775073, 46.22133652344402}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-9.263519296759991, 
        46.015405145256736`}, {-9.251397043505774, 
        45.9353484105471}, {-9.09172750447982, 
        44.88762872461214}, {-8.780494833667618, 
        42.862156535265775`}, {-8.630813449071182, 41.898161893312086`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-8.598856514815143, 41.69234930359597}, {-8.479555349975525,
         40.92401271989654}, {-8.188909053403547, 
        39.073197278504466`}, {-7.951119565036509, 37.57744540929084}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-7.918418768239121, 37.3717496980533}, {-7.908555943951678, 
        37.30971021108953}, {-7.689262058531392, 
        35.94635897676345}, {-7.476296172872461, 
        34.63586663286894}, {-7.269414298386254, 
        33.37549340284582}, {-7.250290346950974, 33.26010829235246}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-7.21623475458152, 33.0546325410798}, {-7.068372446484135, 
        32.16249951013386}, {-6.872926628577477, 
        30.9941451781729}, {-6.682832856077646, 
        29.867690630402734`}, {-6.5261280330429585`, 
        28.946623304359086`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-6.491146549000706, 
        28.741303180263156`}, {-6.31772549294394, 
        27.72952178119399}, {-5.972059305458217, 
        25.738163614818717`}, {-5.777412410201054, 24.637335907638153`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-5.741147372317819, 24.43223857767009}, {-5.645392303186675,
         23.890694706326613`}, {-5.336596169206769, 
        22.1755587273441}, {-5.044542586595948, 
        20.5811993494976}, {-4.998350439938085, 20.33343659666182}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-4.9601773175218575`, 
        20.12868582020982}, {-4.768387132315357, 
        19.09997276633058}, {-4.507447608402544, 
        17.726470898196297`}, {-4.26083903554956, 
        16.452491006935798`}, {-4.178934063007363, 16.03704793066181}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-4.138647188756615, 
        15.832702547802777`}, {-4.02767643444845, 
        15.269830354390129`}, {-3.807258434108994, 
        14.172267827955462`}, {-3.598988582579669, 
        13.154714672488026`}, {-3.4021392791105773`, 
        12.210666686018982`}, {-3.3046803580368236`, 
        11.751503979951451`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-3.26143582188563, 
        11.547764003938473`}, {-3.215982922951821, 
        11.333619666579477`}, {-2.7977679093259917`, 
        9.42563962115271}, {-2.4333684336175825`, 
        7.839391748391021}, {-2.347328481993386, 7.483835043097448}}]}, 
      {Arrowheads[{{0.004610971126087723, 1.}}], 
       ArrowBox[{{-2.298341670868368, 7.281398978947548}, {-2.11348917226362, 
        6.517503322005947}, {-1.8286805133533868`, 5.4190331924394775`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-70., 10.020058270024428`}, {-69.46842566103365, 
        9.978778445083389}, {-68.18363405626113, 
        9.879250962429149}, {-66.90856533624941, 
        9.780722541753125}, {-65.84682349216865, 9.698886415793709}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-65.63916054709864, 9.682881137130893}, {-64.38759655050833,
         9.58666288633574}, {-63.141696484779, 
        9.491131651594376}, {-61.90551930381044, 
        9.396599478831233}, {-61.48576246882638, 9.364587554154797}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-61.278086697340854`, 
        9.348749572257093}, {-60.67906500760269, 
        9.30306636804631}, {-59.46233359615573, 
        9.210532319239606}, {-57.44060028403502, 
        9.056993362679677}, {-57.12448787615232, 9.033085928057478}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-56.916802170256645`, 
        9.017378754558901}, {-55.44429723490534, 
        8.90601389005209}, {-54.297149857214485`, 
        8.819919009520511}, {-53.15846385549608, 
        8.734664143805768}, {-52.762946326337016`, 8.70511829896547}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-52.555246217548465`, 
        8.689602740905055}, {-52.02812061300065, 
        8.650225544762998}, {-50.90615966864469, 
        8.56661112844049}, {-49.18493387087702, 
        8.437447950944502}, {-48.40134503847732, 8.37794901931595}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-48.193664054989355`, 
        8.362179528830413}, {-47.509147362181395`, 
        8.31020327518824}, {-45.878800142557814`, 
        8.184877101171699}, {-44.29389221200628, 
        8.061469428894881}, {-44.04049014730707, 8.041005900203535}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-43.832887156099645`, 
        8.024240883817322}, {-43.37613723894902, 
        7.987355963224916}, {-42.81918832807637, 
        7.937245916670793}, {-42.31944171566979, 
        7.887450474160541}, {-41.4796752411908, 
        7.788793391869787}, {-40.81125882692973, 
        7.691370323295315}, {-40.25287419812903, 
        7.595165833094317}, {-39.70628504119714, 7.481477396463128}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-39.50237043445815, 
        7.439063944691511}, {-39.251466184733744`, 
        7.386876828402184}, {-38.36029359006039, 
        7.184296906885216}, {-37.53014907875889, 
        6.987272599778206}, {-36.73538897001811, 
        6.795651550328912}, {-35.4475900594651, 6.485351245704114}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-35.24510629590661, 6.436561972007031}, {-34.77587937416467,
         6.323499866144434}, {-32.93143526951321, 
        5.884154159886721}, {-31.191579031091543`, 5.476953636023172}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-30.98862218621468, 
        5.430171485943552}, {-29.978245203155918`, 
        5.197402849975275}, {-28.81477464219431, 
        4.932896112435268}, {-27.694248050647683`, 
        4.68181401282854}, {-26.92546096705116, 4.512260436979797}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-26.72206997565177, 
        4.467403192857201}, {-26.616665428516022`, 
        4.444156551155085}, {-25.578004159392098`, 
        4.218652467726325}, {-24.574241626868655`, 
        4.004030502853679}, {-23.605377830945706`, 
        3.800290656537146}, {-22.671412771623235`, 
        3.6074329287767264`}, {-22.6472892084698, 3.6025865382918503`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-22.443090384394303`, 
        3.5615632768553844`}, {-20.89343801628741, 
        3.250240258614185}, {-19.225576514368818`, 
        2.9283289220560116`}, {-18.354099980697857`, 2.766810535907907}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-18.149308796530878`, 
        2.7288547903588265`}, {-18.042063457406037`, 
        2.7089780714477807`}, {-16.910828528538737`, 
        2.506928416360405}, {-15.82439263416377, 
        2.320136864344451}, {-14.775276680678006`, 
        2.1465603229504864`}, {-14.042478023665824`, 
        2.0325624077419633`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-13.836674588569258`, 
        2.0005465704867222`}, {-12.780855730843255`, 
        1.8362979771427423`}, {-10.911267947972837`, 
        1.5706327891656018`}, {-9.712522027160308, 1.4159116166513268`}}]}, 
      {Arrowheads[{{0.0008668934348753103, 1.}}], 
       ArrowBox[{{-9.505956669867771, 
        1.3892503920112727`}, {-9.147816365648627, 1.343025510798875}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{30., 33.2872336446782}, {29.296412522569696`, 
        32.25447405823525}, {28.177076176292857`, 30.6324379208233}, {
        27.635622770377584`, 29.857740420608522`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{27.51630620930234, 29.68702537737601}, {27.10058964905008, 
        29.092228897185972`}, {26.064837061487, 27.62869162076124}, {
        25.19668526643427, 26.415378910366297`}, {25.10587109370513, 
        26.289744337337567`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{24.98385686646847, 26.120946837105656`}, {24.35649547748605,
         25.25303957251382}, {23.544267694642343`, 24.14167360720382}, {
        22.760001917903146`, 23.081281014436296`}, {22.520895864672344`, 
        22.761573684085466`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{22.39615387513311, 22.594781886389974`}, {22.00192293180291,
         22.067657956523895`}, {21.26825552087608, 21.096600595779265`}, {
        20.558999685122657`, 20.1681089322024}, {19.874155424542643`, 
        19.282182965793307`}, {19.872846344132956`, 19.28050827890279}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{19.744576237050236`, 19.116414259018796`}, {
        19.212175896436477`, 18.435322506108825`}, {18.571514258104607`, 
        17.62402736270579}, {17.354144650763757`, 16.10813302474407}, {
        17.150288673747777`, 15.857417748012134`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{17.018828948625156`, 15.69586786461268}, {16.72358375726047,
         15.334960391545543`}, {16.257882888554843`, 14.774196452901979`}, {
        15.805150568826845`, 14.233938305208284`}, {14.726205816268369`, 
        12.959487160513921`}, {14.336177422115838`, 12.509283384661993`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{14.199798858431993`, 12.351863706412315`}, {
        13.720875709180874`, 11.799050082152359`}, {12.784316728483562`, 
        10.742850889412905`}, {11.91168535509564, 9.781113401584879}, {
        11.419113184105079`, 9.250630548555254}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{11.277392573823976`, 9.09800245037457}, {
        11.098836184544881`, 8.905703517568526}, {10.341623812359058`, 
        8.10848713626409}, {9.230511338765478, 6.975634991053949}, {
        8.363746287032349, 6.121555311607429}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{8.215038889465642, 5.9757299239543835`}, {7.365409216320629,
         5.160430363256538}, {6.595564196296001, 4.436357051892507}, {
        5.3713756200469955`, 3.2777559486005394`}, {5.204889343817124, 
        3.0971108265332377`}}]}, 
      {Arrowheads[{{0.0017014737032733063`, 1.}}], 
       ArrowBox[{{5.063738431064901, 2.9439557170464337`}, {4.583409298583038,
         2.422776934418951}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{30., 83.92076917070716}, {29.707612624963616`, 
        82.83901650780098}, {29.415423355756072`, 81.7615149293581}, {
        29.126133293222615`, 80.69817196948873}, {28.908481305556364`, 
        79.90074426616877}}]}, 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{28.853639253840097`, 79.69981538049962}, {28.83970769445623,
         79.64877329481843}, {28.556111816549915`, 78.61310457197278}, {
        28.275310916596666`, 77.59095146757738}, {27.99727025168947, 
        76.58209964825782}, {27.748434499115536`, 75.68353229504447}}]}, 
      {Arrowheads[{{0.009999999999999983, 1.}}], 
       ArrowBox[{{27.692848881986002`, 75.48280783988011}, {
        27.449330655385204`, 74.60344253134846}, {26.912015084381085`, 
        72.67541855424945}, {26.574053219512788`, 71.47028995797075}}]}, 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{26.517813875948928`, 71.26974768320504}, {
        26.385045595421033`, 70.79631304996536}, {25.946678501864046`, 
        69.24167760498942}, {25.515245717557, 67.7190469895496}, {
        25.384861703410298`, 67.26120371100644}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{25.32781639884272, 67.06088920589139}, {25.0907472424999, 
        66.22842120364588}, {24.673183076692734`, 64.76980024727825}, {
        24.262553220135516`, 63.34318412044674}, {24.17962100045921, 
        63.05668551712595}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{24.12170841405122, 62.85662002767752}, {23.85885767282823, 
        61.94857282315132}, {23.46209643477089, 60.58596635539201}, {
        23.072269505963487`, 59.25536471716881}, {22.955130198850235`, 
        58.85773466409826}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{22.896273397559135`, 58.657944912923476`}, {
        22.6889409574649, 57.95415375016535}, {22.31167486033401, 
        56.67971929606528}, {21.940471214570806`, 55.432061354868615`}, {
        21.710932929466008`, 54.66458008004103}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{21.651252898764174`, 54.465034692552045`}, {
        21.57533002017529, 54.211179926575326`}, {21.21625127714747, 
        53.01707501118544}, {20.86323498548733, 51.84974660869893}, {
        20.516281145194892`, 50.70919471911581}, {20.445458579399112`, 
        50.47780010939738}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{20.38450224729356, 50.278640893419464`}, {20.17538975627014,
         49.59541934243609}, {19.8401804153616, 48.50623966179796}, {
        19.510272719117808`, 47.439474860339644`}, {19.185666667538747`, 
        46.39512493806112}, {19.155477683979676`, 46.2985049743322}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{19.093362233245063`, 46.09970422354705}, {18.86636226062443,
         45.3731898949624}, {18.552359498374855`, 44.3736697310435}, {
        18.243658380790016`, 43.396564446304396`}, {17.83911021930464, 
        42.127450524995695`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.77585437266279, 41.92900968847679}, {17.642161079614564`,
         41.5095985143656}, {17.32201530103311, 40.51153099680664}, {
        17.007679089020712`, 39.537461265378575`}, {16.545401872099365`, 
        38.1259708537826}, {16.49256451058841, 37.96605318356952}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{16.427222662788147`, 37.76828940867951}, {16.09568957285887,
         36.764870656798095`}, {15.543408798932106`, 35.10160304148419}, {
        15.111959287999854`, 33.81581539457151}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{15.045701463286006`, 33.61835661812212}, {
        15.009443371392376`, 33.510301780936835`}, {14.493793290239687`, 
        31.990966875156055`}, {13.996458555474028`, 30.54359832414183}, {
        13.695470818405397`, 29.677703296765635`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{13.627086077032462`, 29.480971004347595`}, {
        13.516242966069901`, 29.162092569178974`}, {13.051950321001804`, 
        27.840346051552306`}, {12.603580620269737`, 26.578358771261822`}, {
        12.235392917191152`, 25.55477476891906}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{12.164832226409054`, 25.35881250442367}, {
        11.753568185051687`, 24.22857250195342}, {11.349841717041711`, 
        23.130594671463534`}, {10.959954459843775`, 22.08219723683788}, {
        10.72231681777075, 21.4510105354714}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{10.648930092084136`, 21.25608886857493}, {
        10.583906413457868`, 21.083380198076444`}, {10.003589942447022`, 
        19.56769797718108}, {9.456052130069931, 18.166033153091433`}, {
        9.140567648980875, 17.373259514523976`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{9.063556906688806, 17.1797410055789}, {8.938655445838936, 
        16.86587902023329}, {8.448762359266373, 15.654728873032452`}, {
        7.9850355154425, 14.526980351235174`}, {7.546880516930665, 
        13.48097643477083}, {7.48102011291164, 13.326570549001062`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{7.399303852381781, 13.134991530061834`}, {7.13277426945285, 
        12.51012842833989}, {6.741193678731033, 11.60784763664283}, {
        6.021344291661013, 9.992865971912433}, {5.712977422567432, 
        9.326224045703967}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{5.625536151447051, 9.137189414385913}, {5.3788020039318285`,
         8.6037879895038}, {4.805769827256336, 7.408418084303106}, {
        4.296097737457868, 6.379725024988639}, {3.795234701984548, 
        5.395632572527385}}]}, 
      {Arrowheads[{{0.005737023439536264, 1.}}], 
       ArrowBox[{{3.7004138424338398`, 5.210190025144853}, {3.293695161541869,
         4.417985905671976}, {2.663451420965012, 3.0575935874904454`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-70., 42.23879298112991}, {-68.98909171067399, 
        41.90823496471321}, {-67.71182329316363, 
        41.49167327385924}, {-66.44449756424405, 
        41.079456471348536`}, {-66.03944015811823, 40.948063304520836`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-65.84132391964685, 40.88379804340212}, {-65.18711452391523,
         40.67158455718109}, {-63.93967417217716, 
        40.26805753135691}, {-62.87905627243326, 
        39.92509105649511}, {-61.877859778163646`, 39.60201218079652}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-61.6796161477607, 
        39.538141002467555`}, {-60.77816582347731, 
        39.247872439180156`}, {-59.737805581870006`, 
        38.91357037486539}, {-58.53065210838663, 
        38.528297517930575`}, {-57.71246902227392, 38.26780998041058}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-57.514005738415555`, 
        38.204624596872506`}, {-57.33261733325182, 
        38.14687539648233}, {-56.14350124510109, 
        37.76919258690393}, {-54.96337051438928, 
        37.39528623040094}, {-53.776782961925115`, 
        37.019312663324}, {-53.54328293389139, 36.94550431395086}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-53.344689329128755`, 
        36.882729734063126`}, {-52.59919442711586, 
        36.64708201852746}, {-51.43060490996151, 
        36.278594296011335`}, {-50.27101441046208, 
        35.913849495775615`}, {-49.37160682607278, 35.63107610284068}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-49.17291661235635, 
        35.568607977320355`}, {-49.12255114909394, 
        35.552773095359555`}, {-47.987343346333425`, 
        35.1952905723024}, {-46.86539100218057, 
        34.84140192660415}, {-45.75669411663539, 
        34.49110715826481}, {-45.20112762069077, 34.31287451336284}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-45.002804666033505`, 
        34.24925004174449}, {-44.67585639130327, 
        34.144360966941264`}, {-43.65894114249321, 
        33.80110056445266}, {-42.75217946777503, 
        33.46129102989201}, {-41.33255284250612, 
        32.79189778721176}, {-41.15805351051715, 32.673178441088005`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-40.98584967816546, 
        32.5560208213781}, {-40.368321579970356`, 
        32.135890089671925`}, {-39.594229581348465`, 
        31.493005946551897`}, {-38.90884571291144, 
        30.862982818057503`}, {-37.89580705053567, 
        29.874334752033565`}, {-37.84943325803438, 29.827407917535538`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-37.70303344118759, 
        29.679262173891225`}, {-36.95010711570945, 
        28.917356641495157`}, {-36.04302514403473, 
        27.99103391472069}, {-34.78313544500226, 26.708374991927254`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-34.63661402524775, 
        26.560349715462873`}, {-33.547374560379104`, 
        25.460705491493258`}, {-32.36898004342332, 
        24.282681910812208`}, {-31.692222527301585`, 
        23.613774167690632`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-31.544090567372603`, 23.46736040406064}, {-31.232251933829,
         23.159138815659034`}, {-30.135616068777143`, 
        22.08761143299548}, {-29.077498285448755`, 
        21.0656349897833}, {-28.554655075580218`, 20.56652666273509}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-28.40399985575992, 
        20.422710556288006`}, {-27.94854853131499, 
        19.98793480649342}, {-26.861781268020106`, 
        18.962684000624265`}, {-25.81719649556411, 
        17.989882572175855`}, {-25.36458205499957, 17.57431625081203}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-25.21116159124923, 
        17.43345380359727}, {-24.814794213947007`, 
        17.06953052114817}, {-23.851470164275455`, 
        16.196618734547343`}, {-22.924120087656114`, 
        15.366138099379475`}, {-22.113017152446364`, 
        14.649056671248314`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-21.956507595869205`, 
        14.511636538174368`}, {-21.17734185357408, 
        13.83247028334265}, {-20.35526862999525, 
        13.125237387165424`}, {-19.563879247236354`, 
        12.452344211804643`}, {-18.8031737052974, 
        11.813790757260307`}, {-18.79119169641406, 11.803873662585085`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-18.63074111932769, 11.67107426482534}, {-18.07315200417838,
         11.20957702353241}, {-17.088537660341512`, 
        10.409125314868932`}, {-16.159305556619156`, 
        9.668775086410303}, {-15.383639884535823`, 9.062096942190063}}]}, 
      {Arrowheads[{{0.0023350278087800463`, 1.}}], 
       ArrowBox[{{-15.219212382606253`, 
        8.934256986128185}, {-14.448429436825117`, 8.340971435688644}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{17.33911083731199, 85.}, {17.17215889426682, 
        83.91425885436614}, {16.88728025199207, 82.07201366859817}, {
        16.702391801270306`, 80.88337410846684}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{16.67037975278132, 80.67757008400609}, {16.60727902480591, 
        80.27189833300238}, {16.332155212708336`, 78.51391284757875}, {
        16.03655072080364, 76.63100281272906}, {16.025681783225604`, 
        76.56218576117166}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{15.993189077082175`, 76.35645707629719}, {15.74629653360637,
         74.79324845801898}, {15.532098995208493`, 73.4538758332391}, {
        15.337546756258392`, 72.24280445757202}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{15.304443762059583`, 72.03717310122966}, {
        15.112441204611876`, 70.84702827141658}, {14.906903555635829`, 
        69.57872227406173}, {14.649898098211272`, 67.99310003955321}, {
        14.63882401790658, 67.92512065974582}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{14.605336098814007`, 67.71955162752658}, {
        14.397105732430024`, 66.44130812789676}, {14.148526458292078`, 
        64.92334653909234}, {13.932073683753616`, 63.608744301519124`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{13.898202858875603`, 63.4032380248374}, {
        13.664007184946115`, 61.98891433003966}, {13.428067185738094`, 
        60.57244370979141}, {13.21384746924659, 59.2942632186664}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{13.179314610759436`, 59.088867168421636`}, {
        12.96882646225197, 57.84099343785103}, {12.74525144463539, 
        56.523153499358735`}, {12.525340931985166`, 55.23342331011812}, {
        12.48225113145782, 54.98202919800198}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{12.447064570868978`, 54.77674409458084}, {
        12.309094924301291`, 53.97180287012916}, {12.096513421583776`, 
        52.7382921793919}, {11.887596423832608`, 51.5328912379063}, {
        11.7375140298803, 50.672045758700946`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{11.70174166231015, 50.46686192539255}, {11.682343931047797`,
         50.355600045672375`}, {11.480755943229335`, 49.206418602690114`}, {
        11.282832460377229`, 48.085346908959544`}, {11.088334467193127`, 
        46.98999847937576}, {10.976771954780183`, 46.364859366939996`}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{10.94018056983286, 46.15982000905879}, {10.897022948378675`,
         45.91798682883384}, {10.708897903933877`, 44.86931195733383}, {
        10.523959333858738`, 43.84397386487571}, {10.199535913318403`, 
        42.06061890091776}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{10.162241660419118`, 41.85570623873244}, {9.816069797254706,
         39.97598928546213}, {9.54405932854105, 38.51614615243024}, {
        9.401742736700275, 37.76014411044405}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{9.36321125594243, 37.555460469858616`}, {9.279892560306418, 
        37.112862012280864`}, {9.023267313715651, 35.76320779652971}, {
        8.773881409933605, 34.46425443669253}, {8.580088324203066, 
        33.46416535428455}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{8.540465960342452, 33.25969008435003}, {8.531432670125117, 
        33.21307286428501}, {8.29561891545504, 32.00673401082287}, {
        8.066137967088215, 30.842308807821823`}, {7.842687646189491, 
        29.716868186797587`}, {7.733822908340294, 29.172966256335116`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{7.69294561637946, 28.96873816146409}, {7.625241895767711, 
        28.63048185306024}, {7.413859619399098, 27.584142211548894`}, {
        7.208366079099578, 26.57630424322283}, {7.008586536885068, 
        25.60542292904129}, {6.85887247891248, 24.887531781767695`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{6.816351371712208, 24.683639596593366`}, {
        6.6254704947747705`, 23.7683501869489}, {6.263113589195578, 
        22.06056383294587}, {5.949697175403154, 20.609229888806347`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{5.905465565687623, 20.40570228826493}, {5.596692507102858, 
        19.002525519132416`}, {5.290686207043093, 17.637708544260125`}, {
        5.0013539295516, 16.370658447449962`}, {4.994452687723879, 
        16.340988679817197`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{4.947266318192638, 16.13812539022748}, {4.727828327571908, 
        15.194719209999807`}, {4.469373057767899, 14.104446192503836`}, {
        4.225088022153009, 13.092880531435842`}, {3.994073122740678, 
        12.153063363269645`}, {3.9775150901335024`, 12.087048763674158`}}]}, 
      {Arrowheads[{{0.008612228659275332, 1.}}], 
       ArrowBox[{{3.9268434362191256`, 11.885027845890177`}, {
        3.7259631336755294`, 11.084145696806292`}, {3.476110321007526, 
        10.110982047288797`}, {3.243169119743823, 9.223743219452018}, {
        3.0257939648915704`, 8.41260001803081}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-55.281921582145124`, 85.}, {-54.77336853731261, 
        84.63371007666352}, {-53.32960213200978, 
        83.59709460056105}, {-51.89957921604853, 
        82.57364831289836}, {-51.89717648599618, 82.57193330958481}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-51.72765191969827, 
        82.45093128830332}, {-50.853927394779696`, 
        81.82729050356556}, {-49.81554690628331, 
        81.08767865509535}, {-48.784826601059095`, 
        80.35475206608403}, {-48.33435594612326, 80.03482741316859}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-48.16454504172851, 79.91422756042681}, {-47.76215532960675,
         79.628450035128}, {-46.75062639208219, 
        78.9087131575667}, {-45.75333308864133, 
        78.19548202873958}, {-44.77446968375114, 77.49361479297701}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-44.60522752932926, 77.37221857590035}, {-43.50955025019649,
         76.56043265400479}, {-43.086560720188565`, 
        76.19691801639767}, {-42.695111697854884`, 
        75.83512937336903}, {-41.97852207256209, 
        75.11498772545214}, {-41.53271723262123, 74.58147765743031}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-41.39916602394694, 74.42165230776908}, {-41.38248093863651,
         74.40168468920285}, {-40.87945174257387, 
        73.6951552844886}, {-40.30873218720063, 
        72.74361905047252}, {-39.81187461235631, 
        71.8043691643197}, {-39.33196824685358, 70.8144560652304}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-39.241109609458334`, 
        70.62704001537506}, {-38.91873711930206, 
        69.96207540200214}, {-38.10874553922924, 
        68.16704961650106}, {-37.52463308281478, 66.83196184850858}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-37.4411496216822, 66.64114628454688}, {-37.34355577849398, 
        66.41807905692468}, {-36.92326631983191, 
        65.45010088912016}, {-36.5095086074202, 
        64.49602560704064}, {-36.102282641258846`, 
        63.5558532106861}, {-35.783742314225115`, 62.8194957136829}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-35.70104802490178, 
        62.628336821357344`}, {-34.91608827387641, 
        60.817167261670775`}, {-34.14930121860533, 
        59.05719021758164}, {-34.04016712907793, 58.80819596402127}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-33.95655704155793, 
        58.617435850272095`}, {-33.400232258227724`, 
        57.348156244217776`}, {-32.667886395436724`, 
        55.688569018007826`}, {-32.27603678424525, 54.80589749457095}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-32.19152758435093, 54.61553399264392}, {-32.09475087869718,
         54.39753698620857}, {-31.531183598345464`, 
        53.1344972210715}, {-30.977184554381594`, 
        51.89944972259663}, {-30.487753283261476`, 50.814333729531235`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-30.401972622430332`, 
        50.62453989461004}, {-29.897891175617342`, 
        49.51333152563344}, {-29.372596840816975`, 
        48.362260827145136`}, {-28.856870742404432`, 
        47.239182395319034`}, {-28.670468169242415`, 46.8358954085198}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-28.583082845679165`, 
        46.64683490773117}, {-28.350712880379735`, 
        46.14409623015511}, {-27.853480523985127`, 
        45.07459371001182}, {-27.364530942462864`, 
        44.028266213247576`}, {-26.883864135812946`, 
        43.0051137398624}, {-26.821106895502645`, 42.872264572843}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-26.7321439694167, 
        42.68394127233314}, {-26.411480104035377`, 
        42.00513628985629}, {-25.94737884713015, 
        41.02833386322923}, {-25.491560365097268`, 
        40.07470645998123}, {-25.04402465793674, 
        39.14425408011229}, {-24.93772515202351, 38.92469234783486}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-24.846965556360864`, 
        38.737228315210324`}, {-24.604771725648547`, 
        38.23697672362241}, {-23.748920858129274`, 
        36.48396456837399}, {-23.014835696511465`, 34.996211479351025`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-22.922675277546805`, 
        34.80943213116456}, {-22.92181443497952, 
        34.80768748183012}, {-22.12345245619928, 
        33.20814546399081}, {-21.35383492178856, 
        31.685338514856056`}, {-21.0489248886647, 31.089100289752256`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-20.95409394824319, 
        30.9036625361219}, {-20.766836865877163`, 
        30.53748950703472}, {-20.19663714221848, 
        29.43378112847712}, {-19.64258960755786, 
        28.371930385664}, {-19.104048118640648`, 
        27.349654285076127`}, {-19.029479631991016`, 
        27.209399592427538`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-18.931705043170588`, 
        27.025496907526808`}, {-18.580366532212203`, 
        26.364669833194256`}, {-18.070898705017868`, 
        25.41469403649915}, {-17.574998493802994`, 
        24.497443901471563`}, {-17.092019755312933`, 
        23.61063643459225}, {-16.953580159602357`, 23.35960896025199}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-16.85299786578176, 
        23.17722675195719}, {-16.164805555315517`, 
        21.929352712235964`}, {-15.28811520900209, 
        20.36850563433051}, {-14.816382166636513`, 19.543544676142922`}}]}, 
      {Arrowheads[{{0.0012284460134279907`, 1.}}], 
       ArrowBox[{{-14.712992947000993`, 
        19.362738877021716`}, {-14.45897679761562, 18.918518550751497`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{30., 8.66970901368605}, {29.084941085773252`, 
        8.320580786127113}, {28.082595197979686`, 7.9420941022719305`}, {
        26.181702063557577`, 7.236557776009757}, {26.09978118455317, 
        7.206825932183499}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{25.903997969037615`, 7.135769614694546}, {
        24.410662610514976`, 6.593787958742869}, {22.76093233201137, 
        6.007968437535628}, {22.335424628585923`, 5.858728017110066}, {
        21.981001530621587`, 5.735134157817115}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{21.78413391124477, 5.667141317724015}, {21.27671808293387, 
        5.492690565397065}, {20.654949369095064`, 5.280696812200114}, {
        19.201828689609304`, 4.789296877159116}, {17.85898156837295, 
        4.343586130174934}, {17.83688031716412, 4.336367025966336}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.638895595531306`, 4.27169773083582}, {
        16.621871946532963`, 3.939499357297853}, {15.485963765236304`, 
        3.57297134457816}, {14.448089758545997`, 3.2406446389905668`}, {
        13.674356611636197`, 2.9932792947581475`}}]}, 
      {Arrowheads[{{0.005952508644899864, 1.}}], 
       ArrowBox[{{13.475978060375521`, 2.9298284173725375`}, {
        12.2018027752659, 2.5212212042666824`}, {11.117967101305457`, 
        2.1630832634430384`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-70., 68.29084325425457}, {-68.77885280101718, 
        67.64575404911587}, {-67.50090421278907, 
        66.97249724127722}, {-66.31459205592498, 66.34925092423683}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-66.13020206027981, 66.25239847459154}, {-65.14571911667485,
         65.73537277160061}, {-64.0653666455675, 
        65.16919102538802}, {-62.99207504962696, 
        64.60792805447845}, {-62.44004069432805, 64.31985553939207}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-62.2553913359165, 
        64.22349848375573}, {-61.925706429817374`, 
        64.05145636504635}, {-60.68308867413354, 
        63.40745904142254}, {-59.450004664388665`, 
        62.76999915603472}, {-58.555894097232105`, 62.30889205366209}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-58.37078208053282, 62.21342682959477}, {-58.22624100996302,
         62.13888469054341}, {-57.011868841063205`, 
        61.51417965106179}, {-55.80708775282574, 
        60.89437401353337}, {-54.66612058558499, 60.308825641682944`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-54.480751898994974`, 
        60.213859812961076`}, {-53.4248591259141, 
        59.67331362193964}, {-52.24741158723992, 
        59.07205886787434}, {-51.07929435159457, 
        58.476864333676886`}, {-50.770648081527064`, 58.31988414133461}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-50.58500150094762, 
        58.225462666807566`}, {-49.92072653881911, 
        57.88760661139409}, {-48.77170814891353, 
        57.30428570102595}, {-47.63223918187786, 
        56.726901602572454`}, {-46.87226457880083, 56.33666844846663}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-46.68698422310047, 56.24153035134331}, {-46.51912257260136,
         56.155336442938406`}, {-45.449161255973344`, 
        55.58947234902858}, {-44.422355231993805`, 
        55.029309320843}, {-43.438704500662745`, 
        54.47484735838163}, {-43.043295670965506`, 54.22509962207936}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-42.86720142390985, 
        54.113875146865496`}, {-42.24927415906596, 
        53.72358053530515}, {-41.31964192434282, 
        52.98267380574757}, {-39.98731059633861, 
        51.53137342481251}, {-39.829173096018685`, 51.305381253731035`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-39.70976193273051, 
        51.13473236913209}, {-38.999584249152335`, 
        50.11982700993043}, {-37.99684864375918, 
        48.485005236441275`}, {-37.47133722967471, 47.623622311179474`}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-37.362863912560975`, 
        47.445820153692445`}, {-37.03197245531349, 
        46.90344515716733}, {-36.106632595245806`, 
        45.37347493764926}, {-35.21012949739491, 
        43.89341181215866}, {-35.20399455030637, 43.883337801851226`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-35.09566272459485, 
        43.70544940068153}, {-34.454876647749266`, 
        42.65323404334592}, {-33.715964511805424`, 
        41.44712105281937}, {-32.9933930895634, 
        40.275072840579014`}, {-32.91837998760327, 40.154200629376824`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-32.808553129067164`, 
        39.97723134142891}, {-32.28716238102317, 
        39.13708940662485}, {-31.596349070007243`, 
        38.03132480782467}, {-30.92002984033809, 
        36.95593310104624}, {-30.59761694393014, 36.446844645098984`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-30.48617934236325, 
        36.27088519326499}, {-30.258204692015717`, 
        35.91091428628957}, {-29.610873625040117`, 
        34.896268363554654`}, {-28.977421505000862`, 
        33.910346154279}, {-28.357233197487503`, 
        32.951498479900124`}, {-28.23600481195568, 32.7653841373184}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-28.122327854729196`, 
        32.590863029344526`}, {-27.75030870250005, 
        32.01972534041802}, {-27.156648020038492`, 
        31.115026735832686`}, {-26.51436364350257, 
        30.144036486770133`}, {-25.887655616293724`, 
        29.20443888543099}, {-25.827246084894945`, 29.11460900690896}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-25.711018151011885`, 
        28.94177632736607}, {-25.276050093123732`, 
        28.29497230660448}, {-24.679073228704368`, 
        27.41437512507985}, {-23.527110094964584`, 
        25.734742453093105`}, {-23.364002187023686`, 25.500380414137265`}}]}, 
      
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-23.24502544787818, 
        25.329428364500522`}, {-22.42797545276855, 
        24.155447867784588`}, {-21.379421750131094`, 
        22.670931347140822`}, {-20.844364631424934`, 21.92525963205774}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-20.722939479535825`, 
        21.75603788339225}, {-20.380083269536016`, 
        21.27822314324702}, {-19.42749200038091, 
        19.971115665565033`}, {-18.51917993206338, 
        18.743401323556732`}, {-18.259175044338466`, 
        18.397285408973374`}}]}, 
      {Arrowheads[{{0.0019220329539285646`, 1.}}], 
       ArrowBox[{{-18.134079091511243`, 
        18.23075892363561}, {-17.65320200403721, 17.590620138593426`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000018`, 1.}}], 
       ArrowBox[{{-24.775616070855214`, 85.}, {-24.49996832886738, 
        83.74626982734387}, {-24.094113155086784`, 
        81.9111004290523}, {-23.876397939707296`, 80.93263981683646}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-23.831160574241757`, 
        80.72933303264459}, {-23.695321007786568`, 
        80.11883980126798}, {-23.26765905223106, 
        78.20287247405987}, {-22.922138203694868`, 76.66415209084502}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-22.87650535907389, 
        76.46093370775802}, {-22.847715704062423`, 
        76.33272370486083}, {-22.53893261822717, 
        74.97459094613554}, {-22.23437591123943, 
        73.64101947598577}, {-21.949706774389444`, 72.39976949343048}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-21.903017535120927`, 
        72.19679123512866}, {-21.637501026341862`, 
        71.04423204573975}, {-21.264906735461988`, 
        69.4271681943821}, {-20.966340791510856`, 68.13789248739772}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-20.91935181369711, 
        67.93498338534283}, {-20.898413340429414`, 
        67.84456629165783}, {-20.53802084124414, 
        66.2964263375669}, {-20.183729237906167`, 
        64.78274833210929}, {-19.97095222261066, 63.878809281534025`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-19.9232300154804, 
        63.67607137516396}, {-19.835538530415498`, 
        63.30353227528508}, {-19.49344871877213, 
        61.8587781670942}, {-19.157459802976064`, 
        60.44848600753667}, {-18.959644800655198`, 59.62347921762853}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-18.911081479547217`, 
        59.42094114324333}, {-18.8275717830273, 
        59.0726557966125}, {-18.503387921465055`, 
        57.72837718712818}, {-18.18451148082856, 
        56.41273983189023}, {-17.93101504146514, 55.37230245265894}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-17.88171142889483, 
        55.16994331271163}, {-17.870942461117814`, 
        55.12574373089864}, {-17.562680862332815`, 
        53.867388884153414`}, {-17.259726684473563`, 
        52.637675291654546`}, {-16.96207992754006, 
        51.43660295340206}, {-16.884506328570343`, 51.12549292636173}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-16.834115967126813`, 
        50.923401661814516`}, {-16.6697405915323, 
        50.2641718693959}, {-16.38270867645029, 
        49.12038203963613}, {-16.1006384066241, 
        48.00280461666779}, {-15.823184006383817`, 
        46.90901075303597}, {-15.816797463752433`, 46.88396419378346}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-15.765335740655877`, 
        46.68214308787867}, {-15.550345475729435`, 
        45.83900044874067}, {-15.282122814660953`, 
        44.792773703781904`}, {-15.018516023178375`, 
        43.770330518159646`}, {-14.759525101281698`, 
        42.77167089187392}, {-14.727253670553713`, 42.64799270418558}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-14.67466800787158, 42.44646152592033}, {-14.50515004897092,
         41.7967948249247}, {-14.255390866246044`, 
        40.845702317312}, {-13.860580299833934`, 
        39.35490960148955}, {-13.610219564081543`, 38.41919204179881}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-13.55638607316575, 
        38.2179905930254}, {-13.477147630315466`, 
        37.92183871379905}, {-13.104654865459603`, 
        36.54350276733405}, {-12.742664013035299`, 
        35.2169148751881}, {-12.462234277756128`, 34.19869041624913}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-12.406931162731514`, 
        33.997887943153614`}, {-12.39073708081151, 
        33.93908815045476}, {-12.048436076557197`, 
        32.70703570622758}, {-11.71532300804131, 
        31.517770655600113`}, {-11.390959883032808`, 
        30.36830611166592}, {-11.282476277782244`, 29.986958491267906`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-11.2254873779859, 
        29.786627931859954`}, {-11.075308721616244`, 
        29.258711542015956`}, {-10.76845462458866, 
        28.189996831009633`}, {-10.470144220787741`, 
        27.160585716893145`}, {-10.180124139051184`, 
        26.168901937912697`}, {-10.066501126056423`, 
        25.785552145287593`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-10.007313399508547`, 25.585860180605}, {-9.62394145712192, 
        24.292411338344742`}, {-9.0978796095024, 
        22.54791493827541}, {-8.806112284209505, 21.597261480267434`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-8.745002305978977, 21.39814935533938}, {-8.60042101414833, 
        20.927066087519425`}, {-8.130339167446358, 
        19.42395438951725}, {-7.686043717744453, 
        18.029624130677163`}, {-7.490188880450816, 17.42611226631411}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-7.425897870283477, 
        17.228004382209605`}, {-7.265944313390575, 
        16.735119597407444`}, {-6.8687819185231875`, 
        15.533648410326496`}, {-6.493486820589617, 
        14.419654381029959`}, {-6.138752652901108, 
        13.386036082391934`}, {-6.101267129525487, 13.278730014202539`}}]}, 
      {Arrowheads[{{0.009311681223483343, 1.}}], 
       ArrowBox[{{-6.032579026335345, 13.08210343356594}, {-5.803273048768913,
         12.425692087286532`}, {-5.41422850941248, 
        11.334427245647554`}, {-5.051485765828486, 
        10.34076685874949}, {-4.713052665733505, 9.434709867507973}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-4.9249084401414125`, 85.}, {-4.90903076808113, 
        84.63574108992111}, {-4.827209649053092, 
        82.7696743818834}, {-4.746821628114886, 
        80.94752438602762}, {-4.74199392481129, 80.83844153717504}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-4.732785098060999, 80.63036639391525}, {-4.659393462559186,
         78.97206881864284}, {-4.5735755709751365`, 
        77.04482255073059}, {-4.547598965962354, 76.46890848814571}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-4.538214090982128, 76.26084121091475}, {-4.508741699614024,
         75.60742385177394}, {-4.444839152583139, 
        74.19730208531878}, {-4.381829813445486, 
        72.81300761540145}, {-4.34920215530801, 72.09955524297}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-4.339687077209809, 71.89149387937385}, {-4.319726387680063,
         71.45502365400982}, {-4.244719287274412, 
        69.8150293976917}, {-4.170950150146939, 
        68.21026028893196}, {-4.148770168149186, 67.73029484846546}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-4.139155526365974, 67.52223806199581}, {-4.098418976297646,
         66.64071632773057}, {-4.027125765726531, 
        65.10639751408755}, {-3.9570705184335946`, 
        63.607303848002886`}, {-3.9454994235767282`, 
        63.361165661523216`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-3.9357189202330702`, 
        63.153116606040996`}, {-3.8882532344188383`, 
        62.14343532947659}, {-3.8206739136822603`, 
        60.714791958508656`}, {-3.7543325562238614`, 
        59.32137373509909}, {-3.7385695287264897`, 58.9922082985262}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-3.7286069190086786`, 
        58.784167883845996`}, {-3.6891480102077243`, 
        57.96018220315607}, {-3.6250391237979325`, 
        56.62821890658785}, {-3.562005896994484, 
        55.32548384539436}, {-3.5278502717070612`, 54.623432039433936`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-3.5177292390422155`, 
        54.41539927174938}, {-3.500048329797383, 
        54.05197701957566}, {-3.4391664222066236`, 
        52.807698429131705`}, {-3.379360174222211, 
        51.59264807406253}, {-3.3206295858441433`, 
        50.40682595436812}, {-3.3130539723371024`, 50.25485441544029}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-3.3026843786747757`, 
        50.04683388938582}, {-3.26297465707242, 
        49.250232070048455`}, {-3.2063247526884098`, 
        48.12036834435428}, {-3.150609237473479, 
        47.01473670053627}, {-3.095828111427629, 
        45.933337138594425`}, {-3.093443287809062, 45.8865161403042}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-3.0828483581435697`, 
        45.678506969357144`}, {-3.0419813745508586`, 
        44.87616965852875}, {-2.937091068304561, 
        42.83453094402594}, {-2.8686356429712667`, 41.51844238234097}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-2.857816791074238, 41.31044473769967}, {-2.835938318734584,
         40.889820557027825`}, {-2.7571555487208923`, 
        39.39290610159612}, {-2.680650959775932, 
        37.954158229086595`}, {-2.637496580505643, 37.15069934775054}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-2.6263258699988823`, 
        36.94272030323049}, {-2.6063364296990983`, 
        36.570551971455735`}, {-2.534123836289789, 
        35.23906236066007}, {-2.4639250573473985`, 
        33.95666442865608}, {-2.3991316084998098`, 32.783344638338384`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-2.3875821571551956`, 
        32.575386286626845`}, {-2.3292164540609597`, 
        31.52704372884917}, {-2.2645303853157035`, 
        30.37377102495924}, {-2.201586421710249, 
        29.260596761620093`}, {-2.1534055361556046`, 
        28.416397933347184`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-2.141537770067332, 
        28.208457499903435`}, {-2.140402075742459, 
        28.188558492085345`}, {-2.0809265080464825`, 
        27.156065079357543`}, {-2.023108879256469, 
        26.161525386439223`}, {-1.9122440809309273`, 
        24.279942612041225`}, {-1.8984579952786822`, 24.04998039705722}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-1.885994191866556, 
        23.842074838359995`}, {-1.8074009658390255`, 
        22.531081072911704`}, {-1.7082753612446195`, 
        20.90653085434871}, {-1.6322734707798692`, 19.684234069925203`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-1.619347746095177, 
        19.476356718166826`}, {-1.6146216899490882`, 
        19.40035014523758}, {-1.5261211303319062`, 
        18.00351200497956}, {-1.4424548607725487`, 
        16.70698949297588}, {-1.3633702585634646`, 
        15.503935231295776`}, {-1.3510087080571347`, 
        15.319434819832509`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-1.3370852174793642`, 
        15.111621913248651`}, {-1.2886525289473747`, 
        14.388747306390188`}, {-1.2180395922291587`, 
        13.35426697423291}, {-1.1512693687136983`, 
        12.39333549079774}, {-1.073487828337839, 
        11.2968599965984}, {-1.0487107006665717`, 10.956045136190026`}}]}, 
      {Arrowheads[{{0.001080983114803943, 1.}}], 
       ArrowBox[{{-1.0336087552861837`, 
        10.748314543887332`}, {-1.000958859372402, 10.299208018472463`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-70., 19.1183087091193}, {-68.78587042359477, 
        18.938793629938893`}, {-67.49873563180951, 
        18.74901689837918}, {-66.39017550130984, 
        18.585628420347675`}, {-65.87901309502699, 18.510449384654176`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-65.67295100936607, 
        18.480142874037263`}, {-65.28885114370351, 
        18.42365151795241}, {-64.19481053921135, 
        18.263098640862907`}, {-63.107909747170886`, 
        18.10393244007058}, {-61.835442618572834`, 
        17.91888829916322}, {-61.55117616556343, 17.877654837669173`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-61.34505446937251, 
        17.847756441523583`}, {-60.57290201062516, 
        17.735754063690266`}, {-59.32006200921839, 
        17.554472731425633`}, {-58.076997919055685`, 
        17.375063303111343`}, {-57.22234327616942, 17.25170423998986}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-57.01620071352133, 
        17.22195005377044}, {-56.854717809641166`, 
        17.198641949264598`}, {-55.641747575623064`, 
        17.02399418633842}, {-54.4380872170014, 
        16.851120014332814`}, {-53.24373673377615, 
        16.68001943324777}, {-52.892915727396975`, 16.629881042153418`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-52.68673194976967, 16.60041381330448}, {-52.05869711896017,
         16.51065677083716}, {-50.88296936556624, 
        16.342996354854815`}, {-49.716553473594374`, 
        16.17703818530075}, {-48.56274551993825, 16.01325015454986}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-48.356559425358824`, 
        15.983799151045954`}, {-47.42128909892385, 
        15.850194530592391`}, {-46.31170426623916, 
        15.68924093566801}, {-45.23069494499052, 
        15.529921477401809`}, {-44.23488313530998, 15.380719785089681`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-44.02902470264733, 
        15.349063372236603`}, {-43.428745733266055`, 
        15.255854667126668`}, {-42.919318544865725`, 
        15.169473305089872`}, {-42.45572687250413, 
        15.08358128384975}, {-41.663526017290934`, 
        14.91325165606429}, {-41.023200943622165`, 
        14.744845456568422`}, {-40.48746183753651, 
        14.578340965060987`}, {-39.98681369952456, 14.385506773051436`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-39.79245365686698, 
        14.310645290626587`}, {-39.412977062195225`, 
        14.16448263273547}, {-38.47669003416877, 
        13.762367580842515`}, {-37.61181308846902, 
        13.371668163768124`}, {-36.78682666868173, 
        12.992060308280157`}, {-35.98512979116915, 12.62249696999982}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-35.795969907015156`, 
        12.535327012657357`}, {-34.88431653401127, 
        12.116141203871114`}, {-33.09222273143891, 
        11.299278786527472`}, {-32.00400709174735, 10.811135960881204`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-31.81397172084025, 
        10.725891456443076`}, {-31.393968843255653`, 
        10.537490018377163`}, {-30.20150103160533, 
        10.010073629501932`}, {-29.052634362095976`, 
        9.507792798598095}, {-27.999122585774412`, 9.052989720420706}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-27.80760088981633, 8.971140519667237}, {-26.88570444950019,
         8.578637810704606}, {-25.864422621082714`, 
        8.14941482298561}, {-24.880304764144135`, 
        7.740629731779324}, {-23.96420122893897, 7.364934311539197}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-23.771174444335678`, 
        7.286700123799073}, {-23.02356096470366, 
        6.9843732389048725`}, {-21.30396316495559, 
        6.30222532092637}, {-19.896143925213487`, 5.75844219782716}}]}, 
      {Arrowheads[{{0.008010608058158468, 1.}}], 
       ArrowBox[{{-19.701827034893064`, 
        5.683469716953656}, {-18.60488603902074, 
        5.271065678908084}, {-17.56022436011817, 
        4.8875033839672835`}, {-16.56991412481301, 4.532180806660481}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-70., 1.2695352871034316`}, {-69.24501105499144, 
        1.262355006049898}, {-67.82010903894317, 
        1.2488494487158677`}, {-66.64218208459238, 
        1.2376902555716263`}, {-65.83461062158142, 1.2300585440745833`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-65.62634109916749, 1.228090355522249}, {-65.4717982865885, 
        1.226629895100397}, {-64.30900784864724, 
        1.2156692613370754`}, {-63.15366015962139, 
        1.204805672176974}, {-61.78550693261765, 
        1.192045682222587}, {-61.46094782075097, 1.1890277395509046`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-61.25267800236354, 
        1.1870911235412047`}, {-60.427937865396686`, 
        1.1794222017288232`}, {-59.0807085968856, 
        1.1669310135024795`}, {-57.74390058077537, 
        1.1545735232746241`}, {-57.08728029304992, 1.148503449244637}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-56.87901037006813, 
        1.1465781145049834`}, {-56.396467617627444`, 
        1.1421172864058469`}, {-55.05945980899883, 
        1.1297940208003554`}, {-53.73287715488952, 
        1.1176037264581495`}, {-52.71361011570234, 1.108266217840068}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-52.505340032852494`, 
        1.1063582549424844`}, {-52.416719655299524`, 
        1.1055464033792295`}, {-51.11137945411744, 
        1.0936192127558364`}, {-49.817248695231825`, 
        1.0818193157802107`}, {-48.534327378642736`, 
        1.070146712452353}, {-48.339936704781685`, 1.0683819254954838`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-48.13166646534974, 
        1.0664911321011656`}, {-47.26261550435012, 
        1.0586014027722628`}, {-46.00704733098643, 
        1.047181664195116}, {-44.784580320276504`, 
        1.0358851115135488`}, {-43.966268618062465`, 
        1.0279310168353648`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-43.75799963445623, 
        1.0259066156082395`}, {-43.634935992895954`, 
        1.0247104212317395`}, {-41.774726077818244`, 
        1.002720744417554}, {-40.485065596629326`, 
        0.9812029535769705}, {-39.59294835096017, 0.9618504264121912}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-39.38473004531141, 
        0.9568444184369672}, {-38.45436957419869, 
        0.9331531215488413}, {-37.443168771671594`, 
        0.9069175318817085}, {-36.4716333871756, 
        0.881419556111663}, {-35.525634961907286`, 
        0.856638456634957}, {-35.22055712467364, 0.8487265134216606}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-35.01234830952342, 0.843326788758231}, {-34.04953994327195,
         0.818357144328655}, {-32.618763098842834`, 
        0.7817858568134067}, {-31.23092867980003, 
        0.7468498774887262}, {-30.8481200057763, 0.7373666934705103}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-30.639905062975572`, 
        0.7322086582641315}, {-29.883660937323675`, 
        0.7134744897541276}, {-28.57576324767359, 
        0.6815914227404212}, {-27.306038987109588`, 
        0.6511324055784165}, {-26.475544962204552`, 0.6315646624567832}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-26.267323928793353`, 
        0.6266586479977662}, {-25.585311644965593`, 
        0.610589367815689}, {-23.932155017511818`, 
        0.5724240459609056}, {-22.34656910474827, 
        0.5366364400140664}, {-22.102840104729946`, 0.5312722255449115}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-21.894611708718667`, 
        0.5266893413797582}, {-20.82855390667494, 
        0.5032265499751712}, {-19.373137149136177`, 
        0.47192176571579847`}, {-17.975346557976316`, 
        0.4424494771075262}, {-17.729992913470124`, 0.4373892592640723}}]}, 
      {Arrowheads[{{0.002128792469461035, 1.}}], 
       ArrowBox[{{-17.52175837365892, 
        0.4330945925347608}, {-16.63518213319536, 0.41480968415035446`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{30., 50.32769018593536}, {29.69479856578147, 
        49.64900147362097}, {29.201720962364444`, 48.55921976133815}, {
        28.716856700450034`, 47.493488106412336`}, {28.278442030868995`, 
        46.53451416913477}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{28.191644483007234`, 46.345183203767235`}, {
        27.770119670820154`, 45.42778182730227}, {27.30824690310469, 
        44.42780720311801}, {26.854037966788873`, 43.449751589180934`}, {
        26.440994001026002`, 42.5653471913917}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{26.352459025843412`, 42.37682264151365}, {
        25.537394146239308`, 40.6470988088528}, {25.075105651237013`, 
        39.672150758127216`}, {24.62118569337107, 38.72058748624077}, {
        24.568830443654836`, 38.61243762276883}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{24.478077676943318`, 38.42497028410178}, {23.95571198838467,
         37.345923231394764`}, {23.30822502778179, 36.02006242216474}, {
        22.651224521662414`, 34.6813686445142}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{22.559461486782116`, 34.49439374469538}, {22.5091901166424, 
        34.39196160077284}, {21.736630416255682`, 32.83424441658509}, {
        20.990545926621643`, 31.34691086960153}, {20.69679547838463, 
        30.768500219068894`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{20.602484790937737`, 30.582797332807008`}, {
        20.270936647740275`, 29.92996095982213}, {19.576074967889326`, 
        28.577430552818686`}, {18.90423327534654, 27.283355514162988`}, {
        18.692837348163994`, 26.88077193266075}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{18.596008091140707`, 26.69636975610901}, {
        18.255411570111917`, 26.047735843855037`}, {17.629609852185457`, 
        24.870571541894833`}, {17.02532318955496, 23.74688850096858}, {
        16.63191912925552, 23.022952948060972`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{16.53247086236547, 22.839949915448763`}, {16.44104665020822,
         22.671712613762487`}, {15.876780234145256`, 21.645043880276564`}, {
        15.332523941366048`, 20.666882300510796`}, {14.503607458705536`, 
        19.201930524476257`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{14.399651383747198`, 19.021450944408066`}, {
        13.699066211042318`, 17.807884797381636`}, {12.949708145583276`, 
        16.533691639353243`}, {12.289836048544716`, 15.429785978263105`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{12.182277299648096`, 15.251430680473009`}, {
        11.56853006925997, 14.241443509192859`}, {10.933912181618744`, 
        13.21627341102256}, {10.334116283753174`, 12.264743274288044`}, {
        9.981459144706125, 11.714881047185077`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{9.869017142545513, 11.539561727420217`}, {9.76693747520621, 
        11.380399337069088`}, {8.724236730371189, 9.797475196886715}, {
        7.79342115571983, 8.435911261893159}, {7.54381641325765, 
        8.08371215401311}}]}, 
      {Arrowheads[{{0.0019114051498769855`, 1.}}], 
       ArrowBox[{{7.423385758680036, 7.913781211655022}, {6.963002211954619, 
        7.264167454961624}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{30., 18.224507672016735`}, {29.375273018618064`, 
        17.72197956921326}, {28.396291885824844`, 16.943220044989992`}, {
        27.448853746542312`, 16.197182735330106`}, {26.733301524512548`, 
        15.639898199365518`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{26.568978999039835`, 15.511920953907701`}, {
        26.532958600770485`, 15.483867640233608`}, {25.648606448509337`, 
        14.803274759700493`}, {25.178990280085806`, 14.444144057995128`}, {
        24.717972683461525`, 14.093725943369373`}, {24.03195480428805, 
        13.580059333005751`}, {23.364977133477076`, 13.085114017927536`}, {
        23.24718973047184, 12.998595676765921`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{23.079328463915594`, 12.875296597601338`}, {
        21.76932572540487, 11.91306073059543}, {20.282592769186092`, 
        10.8459019773333}, {19.70123285480064, 10.43820248429137}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{19.53070727329844, 10.318615303598634`}, {18.89762022991367,
         9.874640305920593}, {17.60725007268054, 8.990278264136764}, {
        16.405371695718685`, 8.185330051813713}, {16.086237890212143`, 
        7.976368813817155}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{15.911989114486357`, 7.862274853018325}, {
        15.285874497260094`, 7.45230986878334}, {13.642990914705713`, 
        6.410475142412346}, {12.388177417619612`, 5.641278125134706}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{12.210606059184654`, 5.532427399844224}, {
        12.182443389992436`, 5.515163765693383}, {10.88603180341065, 
        4.741359184830372}, {9.746843911509359, 4.075661145474741}, {
        8.758206467328005, 3.5026363818499604`}, {8.619654159602106, 
        3.4213741198741006`}}]}, 
      {Arrowheads[{{0.004966404143449975, 1.}}], 
       ArrowBox[{{8.439996175474448, 3.3160029830676376`}, {7.919329158525767,
         3.0106267664752915`}, {6.682668807140066, 2.2248627444703972`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{30., -0.7940077882312745}, {
        29.48295524723333, -0.747399767776652}, {
        28.319060512341935`, -0.6526332569460476}, {
        27.217549140291194`, -0.5698196359321398}, {
        25.846560213832056`, -0.4778713165606218}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{25.638748236761284`, -0.46393395961472716`}, {
        25.198093708158776`, -0.43438051644207243`}, {
        24.983743937293134`, -0.4211460415535046}, {
        24.772421301009217`, -0.40831478731036086`}, {
        24.226515540843277`, -0.3769851475220515}, {
        23.70200269440714, -0.3480592698259321}, {
        22.694699636278074`, -0.2946630292181529}, {
        21.768944455707505`, -0.24947775031879}, {
        21.47946489980646, -0.23642270962957113`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{21.27139755996565, -0.22703922284320943`}, {
        20.920717312094943`, -0.21122413396549114`}, {
        19.050791326343145`, -0.13777056591529396`}, {
        17.59412969397661, -0.08952413216806496}, {
        17.108610694936914`, -0.07585994112625583}}]}, 
      {Arrowheads[{{0.00879186517423031, 1.}}], 
       ArrowBox[{{16.90041430802783, -0.0700005716462418}, {
        16.47313852537646, -0.05797554701644451}, {
        15.615966550643998`, -0.03764095793789596}, {
        14.852252688406896`, -0.022344124858760632`}, {
        14.312739938433571`, -0.013160441373694686`}, {
        13.933458799937057`, -0.0077371769792687825`}, {
        13.668203111960398`, -0.004570186754625}, {
        13.460529598382829`, -0.0024573332613144505`}, {
        13.325902701320999`, -0.0013613022993907787`}, {
        13.238812138949754`, -0.0007843733664883152}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-70., 49.370064391045155`}, {-69.52864087587716, 
        49.189898122623475`}, {-68.400539322252, 
        48.75885896641232}, {-67.27984155061655, 
        48.33156416195074}, {-66.16659692918381, 
        47.90804691814141}, {-66.10785167169274, 47.88574590920652}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-65.91313163731554, 47.81182584464458}, {-65.06065735331467,
         47.48820760827623}, {-63.76299527363766, 
        46.999036609908416`}, {-62.47553604289116, 
        46.514954243378966`}, {-62.01535627177188, 46.34235518244347}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-61.8203431430719, 
        46.269211848042126`}, {-61.198045632002206`, 
        46.03580748571676}, {-59.93060205066179, 
        45.561647344578844`}, {-58.69535391866253, 
        45.09949642957234}, {-57.91883041119737, 44.809684039546454`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-57.72369877767633, 44.73685744184951}, {-57.46950272847397,
         44.64198695325998}, {-56.25304848009611, 
        44.18911891564175}, {-55.04599117352895, 
        43.74089231671767}, {-53.848212632843364`, 
        43.29721388283433}, {-53.81882292320547, 43.2863536628855}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-53.62345595215578, 
        43.214160766035654`}, {-52.65959468211024, 
        42.85799034033835}, {-51.480137321329586`, 
        42.42322168922972}, {-50.30984055050139, 
        41.99290792950844}, {-49.71468760426636, 41.77417843235676}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-49.519193406786734`, 
        41.70233077070728}, {-49.15085580978564, 
        41.56696002628978}, {-48.005334539342314`, 
        41.14528894468896}, {-46.87327673917143, 
        40.727894684706015`}, {-45.75468240927295, 
        40.314777246340924`}, {-45.61111563561564, 40.260489073622104`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-45.41629987367991, 
        40.18682166811531}, {-44.705171993572506`, 
        39.917916599087356`}, {-43.714542823769946`, 
        39.5249624410721}, {-42.05681216963291, 
        38.75062078514366}, {-41.62830448076512, 38.474217196334784`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-41.453278626458264`, 
        38.36131893214593}, {-40.879870965880606`, 
        37.9914494073938}, {-39.653521884633705`, 
        36.90501162010705}, {-38.67259897664092, 
        35.849642665034324`}, {-38.408132870744716`, 35.54421809949425}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-38.271793960815145`, 
        35.38676407645287}, {-37.78489155927603, 
        34.82445400671235}, {-37.01977477254508, 
        33.91958663480877}, {-36.280199106686574`, 
        33.03822768930977}, {-35.58297698538872, 32.20530451683045}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-35.44907606685945, 32.04577208354125}, {-34.85943682035226,
         31.34362261172988}, {-34.17250706715995, 
        30.529201295048317`}, {-33.49963216940708, 
        29.73593803556994}, {-32.75704433478319, 28.866965497753274`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-32.62173432297042, 
        28.708626404551598`}, {-32.450337287227846`, 
        28.508058458001656`}, {-31.433032193331332`, 
        27.328853688825614`}, {-30.44771688771754, 
        26.19832372804182}, {-29.88924354269021, 25.564555665814094`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-29.751543521154733`, 
        25.408290596774883`}, {-29.49439137038647, 
        25.116468575650277`}, {-28.571066871615606`, 
        24.079495387455502`}, {-27.67575462168243, 
        23.083611319262015`}, {-26.9704405788828, 22.30714379464137}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-26.830398570984073`, 
        22.152974070777073`}, {-26.808454620586936`, 
        22.128816371069817`}, {-25.96916686832914, 
        21.21511054287891}, {-25.15621473758828, 
        20.33929030260247}, {-24.36792160104362, 
        19.498152118153683`}, {-23.993533291239917`, 19.10276939469823}}]}, 
      {Arrowheads[{{0.0008590474329260673, 1.}}], 
       ArrowBox[{{-23.850327902261437`, 
        18.951533538168693`}, {-23.604287458695154`, 18.691695989532544`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999983, 1.}}], 
       ArrowBox[{{-70., 35.20638687365918}, {-69.88545227292529, 
        35.17514315732139}, {-68.75174390287563, 
        34.86602493238991}, {-67.62549736088205, 
        34.559599616312234`}, {-66.50676254648195, 
        34.25589116216106}, {-65.98039940962202, 34.113302910249196`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-65.77936624045047, 34.05884436982124}, {-65.3953897610631, 
        33.954827710718284`}, {-64.08981154097305, 
        33.60364118154342}, {-62.7945405881471, 
        33.256122877703014`}, {-61.756383171908766`, 32.97827881772328}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-61.55518532863782, 
        32.924431853130834`}, {-61.50933953219562, 
        32.912162054719474`}, {-60.234287496581814`, 
        32.57179562741865}, {-58.99444916213536, 
        32.24080291332902}, {-57.76405970026286, 
        31.913140416226714`}, {-57.530281249158996`, 
        31.851039197909593`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-57.32898368091113, 
        31.797566244463976`}, {-56.54311911096431, 
        31.588808136111748`}, {-55.3316273942397, 
        31.267806072984115`}, {-54.12945951463171, 
        30.95006717957262}, {-53.30202673560551, 30.731903101463427`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-53.10063068898295, 
        30.678802252717798`}, {-52.93649043668297, 
        30.635524408606063`}, {-51.752720160393494`, 
        30.32417776008444}, {-50.57814868576328, 
        30.016027234007748`}, {-49.41444633682132, 
        29.711008838152342`}, {-49.07158142431953, 29.621075303280755`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-48.87011781652508, 
        29.568231358810806`}, {-48.26328343759657, 
        29.40905858029454}, {-47.12465998808906, 
        29.11017646043436}, {-45.99857598829878, 
        28.814362478571798`}, {-44.906510105156165`, 
        28.521570059884493`}, {-44.84285971157156, 28.503773857473856`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-44.642273515451, 28.447691367705797`}, {-43.86994100559164,
         28.231752629550087`}, {-42.126702134851755`, 
        27.660922618283525`}, {-40.894025511083306`, 
        27.101634459297927`}, {-40.74537213997402, 27.00800597211017}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-40.56913682563941, 
        26.897005153581286`}, {-39.664665422965236`, 
        26.32732894304505}, {-38.68327981676496, 
        25.575145725245704`}, {-37.79564716421613, 
        24.844452718738523`}, {-37.25337070434783, 24.38542972894531}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-37.09439861705397, 
        24.250863971064142`}, {-36.294241426436834`, 
        23.573551616345995`}, {-34.87667015015429, 
        22.36766371099694}, {-33.91639056635681, 21.557867015245595`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-33.75716894979915, 21.42359659946659}, {-33.51984421588836,
         21.223462400444024`}, {-32.472502251515714`, 
        20.349244992764728`}, {-31.45701720317153, 
        19.509600744482018`}, {-30.54911971919623, 18.76651299413455}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-30.38756926297136, 
        18.635054992827566`}, {-29.521617854568557`, 
        17.934031726106358`}, {-28.59972596718648, 
        17.195419226408575`}, {-27.705735821586316`, 
        16.48600442689772}, {-27.132508130280797`, 16.03579717817694}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-26.96870886470265, 
        15.90715088663008}, {-26.839647417768045`, 
        15.805787327573782`}, {-26.001460755731674`, 
        15.154767928436764`}, {-24.40212752068003, 
        13.93123785098923}, {-23.660733848338143`, 13.375629399582552`}}]}, 
      {Arrowheads[{{0.0017789405649204207`, 1.}}], 
       ArrowBox[{{-23.494063668359598`, 
        13.250724960755823`}, {-22.90107098010676, 12.806329814820842`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{23.697703393250247`, 85.}, {23.535152940649645`, 
        84.22677894959556}, {23.11043837831711, 82.21284247913293}, {
        22.837067906377143`, 80.92430061748875}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{22.793842605812852`, 80.72055655960281}, {
        22.693388199646137`, 80.24706098923687}, {22.386784364340947`, 
        78.81971597698347}, {22.08437578370323, 77.4181759917619}, {
        21.917537879983435`, 76.64819964403307}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{21.87343169418758, 76.44464446206209}, {21.785998495745577`,
         76.0411300729117}, {21.491707154463793`, 74.6890152073197}, {
        21.12168859500602, 72.989289935809}, {20.987165107351984`, 
        72.37444125195914}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{20.942648571214573`, 72.17097541762072}, {20.75772774038394,
         71.32578227376588}, {20.39982459059756, 69.6984922211903}, {
        20.047979145646874`, 68.10741977808229}, {20.04695980429002, 
        68.10283624994648}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{20.001744833389697`, 67.89952448408138}, {19.70219140553189,
         66.55256494444185}, {19.362461370252603`, 65.03392772026896}, {
        19.092464633140466`, 63.83440225026861}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{19.046728203138244`, 63.63120715509318}, {
        19.028789039809006`, 63.551508105563634`}, {18.701174414201112`, 
        62.10530610032586}, {18.379223630486866`, 60.69226359104316}, {
        18.12213055278779, 59.56954132550373}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{18.075639952905483`, 59.366517455342404`}, {
        18.062542825724226`, 59.309322464203}, {17.751131999913188`, 
        57.956482719805415`}, {17.444991153053753`, 56.633744357850375`}, {
        17.144120285145924`, 55.341107378337895`}, {17.136417640626156`, 
        55.308208752991675`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.088936797286195`, 55.10541418391147}, {
        16.848519396189698`, 54.07857178126797}, {16.558188486185074`, 
        52.8461375666406}, {16.273127555132056`, 51.64380473445579}, {
        16.131837909726393`, 51.051286028363336`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{16.083527091699537`, 50.84868757675455}, {15.99299332413683,
         50.46902103671963}, {15.71744251430558, 49.31923422543824}, {
        15.446475125638308`, 48.1944443006116}, {15.180091158135014`, 
        47.09465126223971}, {15.108061132965375`, 46.798939144914776`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{15.058769464870956`, 46.5965770951397}, {14.9182906117957, 
        46.01985511032257}, {14.66107348662036, 44.9700558448602}, {
        14.408439782609, 43.945253465852566`}, {14.160389499761619`, 
        42.9454479732997}, {14.061955257405701`, 42.55203377401497}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{14.011401219606919`, 42.34998339169675}, {
        13.768290953395546`, 41.378339495931094`}, {13.387489700942112`, 
        39.871894295777906`}, {13.017550944026084`, 38.422973941499706`}, {
        12.988905097784297`, 38.31185745778374}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{12.936910789196938`, 38.11017290307708}, {
        12.658039884272227`, 37.02844000175606}, {12.308521723305317`, 
        35.685154045206545`}, {11.968561662750112`, 34.389977640510715`}, {
        11.886337855788003`, 34.07926054120806}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{11.833055895637493`, 33.87791233422518}, {
        11.637724904231378`, 33.13977235632814}, {11.315576649373888`, 
        31.931399761318385`}, {11.002079169152575`, 30.764932609992886`}, {
        10.755046751520075`, 29.85425179583749}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{10.700519308962283`, 29.653237304467325`}, {
        10.697316909727048`, 29.64143171404828}, {10.401038335499077`, 
        28.559240727921917`}, {10.112991910870425`, 27.51670330605115}, {
        9.58725489902012, 25.639191696488837`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{9.530618175696025, 25.438761836203106`}, {9.038096996384434,
         23.709962349871102`}, {8.544008106420971, 22.00592731311614}, {
        8.375765825504027, 21.436494345466333`}}]}, 
      {Arrowheads[{{0.009122922580157143, 1.}}], 
       ArrowBox[{{8.316750591986839, 21.236751335712267`}, {8.07710492014388, 
        20.425646390164513`}, {7.635808520113827, 18.959707994026722`}, {
        7.218539988891481, 17.598700537713288`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{11.064364383183804`, 85.}, {10.997843288700508`, 
        84.32207966707725}, {10.79803339010637, 82.29221931018826}, {
        10.655657055206436`, 80.85452252866243}}]}, 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{10.635131429296619`, 80.64725756198038}, {
        10.601853657035218`, 80.31122316335514}, {10.45636662744139, 
        78.86045653990851}, {10.312901915295638`, 77.43633354453176}, {
        10.21843322241069, 76.50257610150145}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{10.1974685714229, 76.29535508147292}, {10.171379291708721`, 
        76.03748066432519}, {10.031825499643723`, 74.66435573692206}, {
        9.858632170084805, 72.96050341386889}, {9.775948027160597, 
        72.15116077173947}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{9.754780005151042, 71.94396042768352}, {9.688281719136748, 
        71.29305087481774}, {9.520774146799551, 69.66199811976861}, {
        9.356109453073216, 68.06734514872151}, {9.328373787705198, 
        67.8002662698714}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{9.306860098972821, 67.59310153124576}, {9.194287637957745, 
        66.50909196167646}, {9.035308701453134, 64.98723855863341}, {
        8.87917264355938, 63.50178493959239}, {8.873705761475675, 
        63.450107451486545`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{8.851794530182026, 63.242984382573646`}, {8.725879464276492,
         62.0527311045534}, {8.575243832788667, 60.636995492309936`}, {
        8.427080418280106, 59.251496541655484`}, {8.410881430404537, 
        59.10080880100202}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{8.388619642745125, 58.89372311694127}, {8.28138922075081, 
        57.896234252590055`}, {8.138170240200784, 56.571208625113655`}, {
        7.997423476630023, 55.276419659226285`}, {7.940119574028476, 
        54.752362384287935`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{7.91747992988533, 54.54531766871719}, {7.859148930038527, 
        54.01186735492792}, {7.723346600426297, 52.77755171221858}, {
        7.590016487793334, 51.57347273109826}, {7.459876208186752, 
        50.40495319417831}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{7.436712044698556, 50.19796650674548}, {7.330127075787954, 
        49.24574328072077}, {7.203406316996222, 48.119522443237585`}, {
        7.078834856345129, 47.01839753089146}, {6.969643315318597, 
        46.05865902527125}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{6.946038763293019, 45.851722106957105`}, {6.836139829464866,
         44.8914354816104}, {6.718016263235692, 43.86559834467544}, {
        6.602041995147159, 42.864857132877546`}, {6.46750402552015, 
        41.713725301689784`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{6.443326110931603, 41.506854578341}, {6.419032545746902, 
        41.29899432703296}, {6.2413024533001416`, 39.793823631282585`}, {
        6.0686481941499, 38.346199731331694`}, {5.951142469768105, 
        37.370459432796}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{5.926239950404879, 37.16367468417545}, {5.900866244639197, 
        36.95297731288551}, {5.737753081111055, 35.61101106164929}, {
        5.579105179908495, 34.31715566332829}, {5.424719017374537, 
        33.06826580362776}, {5.419828508254167, 33.028997090404324`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{5.394088398725771, 32.822314932262486`}, {5.274391069852204,
         31.861196168252945`}, {5.128103903756463, 30.696023557231648`}, {
        4.985897343985957, 29.573816190383212`}, {4.87279472365274, 
        28.68948833385218}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{4.846360173309421, 28.48289385281342}, {4.713255499694789, 
        27.451664450775223`}, {4.455524449526978, 25.481475472569603`}, {
        4.305279101165122, 24.352612693962122`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{4.277800659940198, 24.146154458474776`}, {4.211763106030805,
         23.649983778906996`}, {3.981267113576217, 21.94841364717623}, {
        3.7634673918598285`, 20.37055492862229}, {3.714011445363792, 
        20.018915829552025`}}]}, 
      {Arrowheads[{{0.005490585866967779, 1.}}], 
       ArrowBox[{{3.6850037605717043`, 19.812666897540964`}, {
        3.557625766419918, 18.906990507169972`}, {3.363004062794768, 
        17.548303266744096`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-65.39870409492565, 85.}, {-65.22658853895845, 
        84.88350594305173}, {-63.98109115468256, 
        84.04283595822906}, {-62.9218469839177, 
        83.32814342154248}, {-61.94530112493023, 82.67061621968695}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-61.772470400360376`, 
        82.55438542395046}, {-60.8236463679841, 
        81.91688981600497}, {-59.78460261456738, 
        81.22022503924242}, {-58.57967857426124, 
        80.4177975965786}, {-58.309939720461934`, 80.23860401721996}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-58.13645379244933, 
        80.12335341846097}, {-57.383836801563604`, 
        79.62337304639603}, {-56.19687844190614, 
        78.83672029913876}, {-55.01886978014495, 
        78.05791638465877}, {-54.66361975655868, 77.82304087262101}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-54.48988064481103, 
        77.70817230084509}, {-53.834000140927245`, 
        77.27453328900171}, {-52.65809735422969, 
        76.49893507411518}, {-51.491161420052315`, 
        75.73112173999924}, {-51.01148120654297, 75.41628551807513}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-50.83735780587555, 
        75.30200030874026}, {-50.333192338395094`, 
        74.97109328665385}, {-49.18617433074346, 
        74.21869499270298}, {-48.05209161858285, 
        73.47377213677052}, {-47.355402032673595`, 73.01551666690327}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-47.18139168872808, 72.90105939132559}, {-46.93094420191324,
         72.73632471885648}, {-45.82273208073463, 
        72.00635273896087}, {-44.74120238223292, 
        71.28376214099634}, {-43.72742697571397, 70.57306705786286}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-43.562585281753, 70.44577388821178}, {-42.80727553600502, 
        69.86026147327946}, {-41.37176381347854, 
        68.46521156401677}, {-40.671255543831485`, 67.48083263686915}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-40.550495145678326`, 
        67.31113586621458}, {-40.398827998111756`, 
        67.09800784121589}, {-39.621657586293466`, 
        65.75810625701862}, {-38.934898428493455`, 
        64.44496160464233}, {-38.54519635198967, 63.66362581639964}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-38.45223558803061, 63.47724351011267}, {-38.42183598080577,
         63.416293614011565`}, {-37.93089813085264, 
        62.40404420559916}, {-37.456781551697645`, 
        61.407953397464425`}, {-36.99418291640434, 
        60.42776120766662}, {-36.66031283046477, 59.71685007302841}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-36.57177518817945, 59.52832645744867}, {-36.54119684705034,
         59.463215852746615`}, {-36.095917965713234`, 
        58.51406554924526}, {-35.46172239747509, 
        57.16401685374605}, {-34.839420525404876`, 
        55.84440693420002}, {-34.79890977368534, 55.75884895155197}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-34.70977848955708, 
        55.570605274573566`}, {-34.2290123495026, 
        54.55523579060722}, {-33.63049786976824, 
        53.2965034229676}, {-33.04301016228896, 
        52.06685152814647}, {-32.919364491603694`, 51.80943556487858}}]}, 
      {Arrowheads[{{0.0020154342152171995`, 1.}}], 
       ArrowBox[{{-32.829184795051255`, 
        51.621691883061025`}, {-32.46568230315189, 50.864921803009125`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-43.63608627313574, 85.}, {-42.775853755756756`, 
        84.19518544297142}, {-41.952990442358804`, 
        83.2826811259369}, {-41.284646099555964`, 
        82.38006656732242}, {-40.98468066764698, 
        81.93121827456784}, {-40.93459607457855, 81.84948617691713}}]}, 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-40.82577211187838, 
        81.67189841586662}, {-40.711129636587685`, 
        81.48481553445882}, {-40.08996187897008, 
        80.22873798703259}, {-39.53437429914165, 
        78.99202270602393}, {-39.056227210640735`, 77.90328951667557}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-38.97477961608911, 
        77.71160340745155}, {-38.557105945661505`, 
        76.71381189288924}, {-38.10619693061877, 
        75.5994686503837}, {-37.66955583324767, 
        74.50131153488702}, {-37.413539548993455`, 73.84981107201189}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-37.337363944756035`, 
        73.65596230350467}, {-37.2442883588447, 
        73.41910710704616}, {-36.827500212706376`, 
        72.35262192750804}, {-36.30792159880726, 
        71.02019824912057}, {-35.822028224010936`, 69.77578470142936}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-35.746214003485925`, 
        69.58179431589042}, {-35.29494492944939, 
        68.42761974391134}, {-34.801546873990645`, 
        67.16746491708959}, {-34.315948692001214`, 
        65.93053598952537}, {-34.226408759603956`, 65.70336557027456}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-34.15003361361126, 65.50959533311907}, {-33.83722340413695,
         64.71596924328763}, {-33.36537101039786, 
        63.523764678376374`}, {-32.90039151078393, 
        62.35392229479161}, {-32.61437266037133, 61.637420888788185`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-32.53715525173324, 
        61.443984750654906`}, {-32.44201101430967, 
        61.20564039052351}, {-31.989955629989566`, 
        60.07811726356228}, {-31.544225357823613`, 
        58.97135291390789}, {-31.104820197811815`, 
        57.88534734156037}, {-30.98070031123373, 57.580123367025415`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-30.90224240349053, 57.38718704477048}, {-30.51373753921998,
         56.43181234964282}, {-29.93328565264094, 
        55.012237648731485`}, {-29.363464538074687`, 
        53.626623238826376`}, {-29.32433333259092, 53.532036742879235`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-29.244711509435646`, 
        53.33957783035469}, {-28.80427419552122, 
        52.274969119927455`}, {-28.255714624980552`, 
        50.95727529203478}, {-27.717785826452666`, 
        49.67354175514829}, {-27.64227177960406, 49.49456244801289}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-27.561307186907303`, 
        49.30266455208344}, {-27.190487799937568`, 
        48.42376850926803}, {-26.673820545435262`, 
        47.207955554393976`}, {-26.167022543679497`, 
        46.02295337792041}, {-25.92928565761751, 45.47011430961733}}]}, 
      {Arrowheads[{{0.004034388724242401, 1.}}], 
       ArrowBox[{{-25.847005044251194`, 
        45.278776993871645`}, {-25.66933227540401, 
        44.86561246724159}, {-25.180749740608817`, 43.735932822357526`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-70., 74.31702535999977}, {-69.09839642524616, 
        73.79775437403676}, {-67.97046651467228, 
        73.14952461467527}, {-66.85005544306244, 
        72.50703910650867}, {-66.38774775478235, 72.24250229504061}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-66.2069719334589, 72.13906066822852}, {-65.7370134516771, 
        71.87014600069308}, {-64.42976778454302, 
        71.12738188007916}, {-63.13283452889773, 
        70.39237008544546}, {-62.584524932517766`, 70.08239685571166}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-62.40321350342456, 
        69.97989693662448}, {-61.845976373340314`, 
        69.66487674715452}, {-60.56927242167109, 
        68.94497982175217}, {-59.32890534404274, 
        68.24551592855994}, {-58.77478116233642, 67.93380312971676}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-58.593252948344215`, 
        67.83168763012193}, {-58.09797564479628, 
        67.55307810613937}, {-56.876483323931716`, 
        66.86766635449051}, {-55.66442838144905, 
        66.18928067361331}, {-54.959220740986915`, 65.79555921907611}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-54.77736501444104, 65.69402812799967}, {-54.46168081462956,
         65.51777983573395}, {-53.26811062075455, 
        64.85302261307854}, {-52.083717799824, 
        64.1950090056471}, {-51.13652299232067, 63.67010137619175}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-50.95434754538147, 63.56914507740261}, {-50.90850235183794,
         63.543739013439605`}, {-49.7436459665459, 
        62.89907783550164}, {-48.590330333697466`, 
        62.2608906708788}, {-47.448555453292606`, 
        61.62917751957105}, {-47.30957782900522, 61.55229588251905}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-47.12732699047771, 61.45147574768121}, {-46.31832132533136,
         61.00393838157841}, {-45.21655977859935, 
        60.38507514130185}, {-44.160202641882194`, 
        59.77248968314235}, {-43.51901943721799, 59.3715252759256}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-43.34242719416999, 
        59.26109318173203}, {-43.190553328440565`, 
        59.16611874369164}, {-42.34891525153512, 
        58.56589905954148}, {-41.04903382111448, 
        57.38366512788913}, {-40.35171110874559, 
        56.548644510556784`}, {-40.288908773141095`, 56.46112120120799}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-40.167483697279316`, 
        56.29189939798907}, {-39.76126061060194, 
        55.725774133097744`}, {-38.75655836419502, 
        54.11578194994076}, {-37.97103130591579, 52.75524261991642}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-37.8668899748712, 
        52.57486897743792}, {-37.853862116143624`, 
        52.552304618899214`}, {-37.10670274852252, 
        51.223855691471314`}, {-36.38464411172723, 
        49.9289835345337}, {-35.83428096603251, 48.93887808121458}}]}, 
      {Arrowheads[{{0.006927018767685283, 1.}}], 
       ArrowBox[{{-35.733089040473935`, 
        48.756833411052426`}, {-35.68307047391778, 
        48.66684981403678}, {-34.99736610325422, 
        47.436616195931016`}, {-34.32631656831998, 46.237486352569185`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{30., 62.704862536287}, {29.92475001511136, 
        62.495727751149346`}, {29.42808919253146, 61.12286832139905}, {
        28.939790303480372`, 59.78070888778704}, {28.577169277088373`, 
        58.789822977010104`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{28.505590799988212`, 58.59423005958025}, {
        28.459853347958102`, 58.46924945031331}, {27.98827832596464, 
        57.18849000897786}, {27.482901642943677`, 55.820247473698004`}, {
        27.061763202879074`, 54.68688324412645}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{26.98921689514812, 54.49164723062662}, {26.98665040749485, 
        54.48474032062949}, {26.261439056610246`, 52.56145018488829}, {
        25.555716274057513`, 50.70605131193286}, {25.513800053600345`, 
        50.59611984064136}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{25.439595696335033`, 50.4015079676851}, {
        25.115127949968834`, 49.55054343997618}, {24.681762017746163`, 
        48.419688472451064`}, {24.25561847738951, 47.31348640935751}, {
        23.945591232032754`, 46.513073950865014`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{23.870363677282846`, 46.31885530413136}, {
        23.836697328898858`, 46.231937250695495`}, {23.424998572274227`, 
        45.17504099646506}, {23.020522207515608`, 44.142797646666175`}, {
        22.62326823462299, 43.13520720129883}, {22.347983043628822`, 
        42.44144761398637}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{22.27116424660451, 42.24785283059477}, {22.233236653596393`,
         42.15226966036306}, {21.472959889472108`, 40.252016274549675`}, {
        20.737811137473635`, 38.4337004719895}, {20.717093431662754`, 
        38.38303466590266}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{20.638262265500238`, 38.19025055096017}, {
        20.027790397600967`, 36.69732225268254}, {19.342897669854107`, 
        35.04288161662879}, {19.04855016923452, 34.339967586130456`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{18.96810150020875, 34.14785283036015}, {18.681494029420882`,
         33.46342231187989}, {18.04194055148912, 31.951988086487482`}, {
        17.424237236058815`, 30.508578940451564`}, {17.33982089301122, 
        30.313724062828932`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.25702483586642, 30.122609226528933`}, {16.82838408312997,
         29.133194873772126`}, {16.361575882131845`, 28.068216716194307`}, {
        15.908242702347803`, 27.04454286053192}, {15.579567424706324`, 
        26.309754995286834`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{15.494523256184374`, 26.119629886126813`}, {
        15.467865015292471`, 26.06003260805737}, {15.039923292480477`, 
        25.112545260043067`}, {14.219269625645026`, 23.320076482484872`}, {
        13.75972329071049, 22.332521601725507`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{13.671851361531363`, 22.143686774971968`}, {
        13.442125473958482`, 21.650010938036623`}, {12.706379396052775`, 
        20.09466364918251}, {12.01108839999692, 18.651744274009506`}, {
        11.879480957638512`, 18.383514076780234`}}]}, 
      {Arrowheads[{{0.002364666434416857, 1.}}], 
       ArrowBox[{{11.787736938289548`, 18.196529845770243`}, {
        11.353848932063578`, 17.3122191761011}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-70., 62.42406652250482}, {-69.22545798955906, 
        62.04925178264009}, {-68.08961563580402, 
        61.500820016146946`}, {-66.96129066072054, 
        60.95719184654436}, {-66.24743311786496, 60.61568896648372}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-66.05954716770688, 60.52580605672942}, {-65.63262071248013,
         60.321568368841724`}, {-64.31452710952652, 
        59.69263895636141}, {-63.006764322389955`, 
        59.070199908801285`}, {-62.298948376626406`, 
        58.734184033743816`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-62.110794542548156`, 
        58.64486324974393}, {-61.70941419422698, 
        58.45431912626206}, {-60.4571314697227, 
        57.85977978932901}, {-59.214400687674214`, 
        57.27122760572067}, {-58.346420510905695`, 56.861185783942624`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-58.15809826623599, 56.7722206228105}, {-57.98122184808155, 
        56.68866257543707}, {-56.75759495094469, 
        56.11208469847819}, {-55.54337901742694, 
        55.54137331328682}, {-54.38839549391352, 54.99983374627084}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-54.19975410190431, 
        54.911547364707175`}, {-53.14275710473859, 
        54.41718803353482}, {-51.956351125568006`, 
        53.8637141389742}, {-50.779571328114265`, 
        53.31587093146379}, {-50.42456967311191, 53.150866094260465`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-50.23569604528911, 53.06307759589221}, {-49.61277390931181,
         52.773543267843515`}, {-48.45595886916067, 
        52.23673114811339}, {-47.30912620766081, 
        51.7054345722734}, {-46.457489808419695`, 51.30888958336332}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-46.268675901853676`, 
        51.220972711148825`}, {-46.17975716865544, 
        51.1795697390572}, {-45.07533299598776, 
        50.65905284719846}, {-44.02928694541286, 
        50.14382986795391}, {-43.075052272685916`, 
        49.63384677258032}, {-42.57520003645001, 49.304607014456664`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-42.4012626259119, 
        49.190038934486736`}, {-41.55008188236964, 
        48.629388162503176`}, {-40.08958659911412, 
        47.19911562879145}, {-39.42975842402822, 46.316302144477426`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-39.305067289157876`, 
        46.14947232514813}, {-39.051993294235594`, 
        45.81087336305088}, {-38.11612345688578, 
        44.46346274892811}, {-37.23979423801327, 
        43.15568285699478}, {-36.94744724381714, 42.71591975023964}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-36.83214124152903, 
        42.54247064078954}, {-36.426763973146166`, 
        41.93268168967633}, {-35.638049803212276`, 
        40.74433338342917}, {-34.87041302411373, 
        39.58966979839493}, {-34.52562598894554, 39.0737538672188}}]}, 
      {Arrowheads[{{0.004403275673879891, 1.}}], 
       ArrowBox[{{-34.409897849318234`, 
        38.90058612937164}, {-34.12061493175265, 
        38.467722794715236`}, {-33.387744724007476`, 37.37757790462575}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-29.937691539930753`, 85.}, {-29.882049236240636`, 
        84.78987654734703}, {-29.611578764023125`, 
        83.77147368322312}, {-29.343580193311794`, 
        82.76545067749237}, {-29.077985375681696`, 
        81.77135978430671}, {-28.86300425447586, 80.97544629302311}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-28.808693186211823`, 
        80.77437323267758}, {-28.686433262133093`, 
        80.32173663616265}, {-28.300221468729656`, 
        78.89823290040644}, {-27.919141267879574`, 
        77.49952581729264}, {-27.71534393038199, 76.75484626553944}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-27.660365671357834`, 
        76.55395460626168}, {-27.54326223544679, 
        76.12605630673639}, {-27.06944328102527, 
        74.39504587098232}, {-26.60337542632989, 
        72.70089129439788}, {-26.558020268063853`, 72.53688453530069}}]}, 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-26.502505604833328`, 
        72.33614044472988}, {-26.14505867136066, 
        71.04359257698312}, {-25.69449301611757, 
        69.42314971873799}, {-25.386794688536646`, 68.32276341678913}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-25.330705764664422`, 
        68.1221790197101}, {-25.251678460600626`, 
        67.83956271966252}, {-24.81661500480983, 
        66.29283157975671}, {-24.389302648745172`, 
        64.78295629902053}, {-24.198592242699544`, 64.11339940415463}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-24.141537290551728`, 
        63.91308764671611}, {-23.96974139240666, 
        63.30993687745401}, {-23.557427615726986`, 
        61.870663712246376`}, {-23.15185769863885, 
        60.46202720058688}, {-22.991885795084094`, 59.90930188022055}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-22.933981381396627`, 
        59.70923402521078}, {-22.753031641142236`, 
        59.08402734247553}, {-22.360949443237153`, 
        57.736664137912285`}, {-21.97561110492361, 
        56.41993758689719}, {-21.766778502776997`, 55.71053078099474}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-21.707961656855556`, 
        55.51072926356168}, {-21.597016626201587`, 
        55.13384768943022}, {-21.2251660070711, 
        53.87839444551138}, {-20.860059247532146`, 
        52.653577855140675`}, {-20.51967718103956, 51.518241042033}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-20.45967348246971, 
        51.31879278739358}, {-20.148321532251046`, 
        50.28547210104309}, {-19.801251632764462`, 
        49.13958730381606}, {-19.46004770538051, 
        48.01914789313686}, {-19.24984954845796, 47.33277844974791}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-19.188860799083578`, 
        47.13362915855548}, {-19.124709750099207`, 
        46.92415386900551}, {-18.795237766920543`, 
        45.85460523142202}, {-18.471631755844523`, 
        44.810501980386356`}, {-18.15389171687114, 
        43.791844115898535`}, {-17.95368801798105, 43.155401994619346`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-17.891189624638677`, 
        42.9567212996278}, {-17.65138024616704, 
        42.1943737986412}, {-17.163342009878757`, 
        40.65871836439914}, {-16.68922025414519, 
        39.18168144667247}, {-16.62638654914624, 38.98781711474687}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-16.56216966708059, 
        38.78968518952918}, {-16.228458225105232`, 
        37.760066678961294`}, {-15.780499168897766`, 
        36.390677694765685`}, {-15.344786331661684`, 
        35.070318127585736`}, {-15.265223122525457`, 
        34.831167584334715`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-15.199473854103346`, 
        34.63353888845616}, {-14.920762959535873`, 
        33.79579161092157}, {-14.50787229865922, 
        32.56390177827326}, {-14.106065853652678`, 
        31.374721554970286`}, {-13.871015269351773`, 30.6854867394008}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-13.803787556922066`, 
        30.48835606595253}, {-13.715451516362432`, 
        30.229329802289577`}, {-13.335707113765245`, 
        29.1260390576525}, {-12.966510472837886`, 
        28.06316185848039}, {-12.607539420557107`, 
        27.039010742194577`}, {-12.435950456655833`, 26.55378211412467}}]}, 
      {Arrowheads[{{0.00554602141406492, 1.}}], 
       ArrowBox[{{-12.366511687215134`, 
        26.357419375726412`}, {-12.258471783899674`, 
        26.051898246216425`}, {-11.91898538984235, 
        25.100136907967258`}, {-11.588758065361889`, 24.18203926486842}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-19.72333752070884, 85.}, {-19.560807334919502`, 
        84.0702446463699}, {-19.207440538000416`, 
        82.05792617231448}, {-19.001117914280798`, 80.89751240336365}}]}, 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-18.964657579343122`, 
        80.69244970146754}, {-18.947305256091514`, 
        80.59485558182405}, {-18.690738130810455`, 
        79.15830055500041}, {-18.437599384084166`, 
        77.74691096539047}, {-18.22957268859875, 76.59224602335492}}]}, 
      {Arrowheads[{{0.010000000000000018`, 1.}}], 
       ArrowBox[{{-18.1926433153663, 76.3872672704917}, {-18.187935608603674`,
         76.36113685514523}, {-17.874678714296685`, 
        74.62270064776648}, {-17.56655211371403, 
        72.92132009940082}, {-17.45128897182216, 72.2881925280957}}]}, 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-17.41398423205414, 72.08328175696948}, {-17.26355580685572,
         71.25699521004825}, {-16.965689793721747`, 
        69.62972597970875}, {-16.672954074312116`, 
        68.03951240838238}, {-16.66303642537994, 67.98595404843887}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-16.62511318080148, 
        67.78115684324958}, {-16.385348648626824`, 
        66.48635449606908}, {-16.102873516665866`, 
        64.9702522427689}, {-15.862067964460428`, 63.686065256851315`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-15.82367110673909, 
        63.48135632476512}, {-15.552980447966814`, 
        62.046084706744324`}, {-15.284895139328393`, 
        60.63175941109302}, {-15.048025498639943`, 59.38863216786299}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-15.008976427317101`, 
        59.184046664019625`}, {-14.762113287523608`, 
        57.89549575804895}, {-14.50741674435724, 
        56.57355740065617}, {-14.257183123014894`, 
        55.28241468934956}, {-14.22040178271515, 55.09379475055088}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-14.180537774673093`, 
        54.88936645359685}, {-14.011412423496562`, 
        54.02206762412911}, {-13.770104645802249`, 
        52.79251620499484}, {-13.532968976875448`, 
        51.591148389058674`}, {-13.376445062637972`, 50.80213753477511}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-13.335916522090596`, 
        50.597839945132456`}, {-13.299714603659657`, 
        50.415352133432556`}, {-13.070341526154877`, 
        49.26512743811648}, {-12.844849744361095`, 
        48.14047430311042}, {-12.62323925827833, 
        47.04139272841442}, {-12.516215320437404`, 46.51371305048477}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-12.474815166379008`, 
        46.30959030560649}, {-12.40551006790657, 
        45.96788271402847}, {-12.191662173245819`, 
        44.919944259952544`}, {-11.981695574296076`, 
        43.89757736618666}, {-11.64989242749922, 
        42.295571385934295`}, {-11.636033699790008`, 42.2293409681344}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-11.593375225293235`, 
        42.02547747879335}, {-11.32765040056632, 
        40.755587014766924`}, {-11.014601446176743`, 
        39.27441491952867}, {-10.731953386256983`, 37.94994857551324}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-10.688289869053824`, 
        37.74629807590842}, {-10.414610565744997`, 
        36.4756702242161}, {-10.12693254506155, 
        35.15167895783005}, {-9.846975407638872, 
        33.873662634749685`}, {-9.803313738237405, 33.67581869772232}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-9.758429231048025, 
        33.472433721022796`}, {-9.574371106156322, 
        32.63841192181913}, {-9.309087761750716, 
        31.446001765345937`}, {-9.051196932007317, 
        30.297517659164875`}, {-8.849435283330987, 29.40725374881772}}]}, 
      {Arrowheads[{{0.009978666987955813, 1.}}], 
       ArrowBox[{{-8.803400205782024, 29.20412610577581}, {-8.800485724278158,
         29.191266091410892`}, {-8.556741245915271, 
        28.125553550218918`}, {-8.31975060427069, 
        27.098686523723906`}, {-8.08930090669645, 
        26.108971500060814`}, {-7.86517926054458, 25.154714967364573`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-9.796494999497899, 85.}, {-9.769991951896412, 
        84.69421188917984}, {-9.680714197319116, 
        83.66717942370467}, {-9.504605983181332, 
        81.65047285635795}, {-9.433840571636086, 80.85024052526636}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-9.415493846383653, 80.64277133380601}, {-9.373781170124303,
         80.17107433621638}, {-9.244780439152247, 
        78.71892826261843}, {-9.117531215300552, 
        77.29262574295794}, {-9.045920796770549, 76.49362195195609}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-9.027328407580791, 76.28617463142164}, {-8.992057690224094,
         75.89263640810366}, {-8.83673888395778, 
        74.15990320697881}, {-8.683970752046099, 
        72.46420390447955}, {-8.65436718269052, 72.13732833941665}}]}, 
      {Arrowheads[{{0.009999999999999983, 1.}}], 
       ArrowBox[{{-8.635581242196174, 71.92989845687211}, {-8.533753294489046,
         70.80553850060592}, {-8.386086511286626, 
        69.18390699535789}, {-8.257655410869067, 67.78150159768414}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-8.238647309762184, 67.57409195837106}, {-8.098404967945683,
         66.0517456807387}, {-7.958390207807158, 
        64.54121587136753}, {-7.854376418148722, 63.42627815619006}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-7.835029859707108, 
        63.218899810143114`}, {-7.820926122023264, 
        63.06771996062197}, {-7.68584635004922, 
        61.628121233377776`}, {-7.55298453134024, 
        60.21928297451071}, {-7.444191884788103, 59.07169958456207}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-7.4245348708722965`, 
        58.864350435693275`}, {-7.422340665896327, 
        58.84120518402078}, {-7.293914753717477, 
        57.49388786190794}, {-7.167706794803694, 
        56.177331008172246`}, {-7.043716789154974, 
        54.891534622813666`}, {-7.0268599209241565`, 54.71780038196466}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-7.006745761813677, 54.51049507972668}, {-6.921944736771322,
         53.63649870583222}, {-6.802390637652734, 
        52.41222325722788}, {-6.6849095704918655`, 
        51.216092172384634`}, {-6.6008705796947655`, 50.36473983085478}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-6.580410329584566, 50.15746840036295}, {-6.569356613981368,
         50.045489346686445`}, {-6.455731768121242, 
        48.9004147801333}, {-6.34403503291149, 
        47.78086847272523}, {-6.234266408352109, 
        46.68685042446219}, {-6.1662092974017355`, 46.01253679694462}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-6.145294391519963, 
        45.805310750211454`}, {-6.1264258944430985`, 
        45.61836063534421}, {-6.020513491184462, 
        44.57539910537129}, {-5.916529198576196, 
        43.55796583454342}, {-5.752498960028328, 
        41.966560313431465`}, {-5.720723923244155, 41.6614290640992}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-5.6991513292824205`, 
        41.45427045114173}, {-5.593201347494645, 
        40.436847543680685`}, {-5.438453867605733, 
        38.96562950207096}, {-5.288074026992174, 
        37.54970816538217}, {-5.26255423946236, 37.31163889444694}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-5.240355011404989, 37.1045464947642}, {-5.141879332284557, 
        36.18588551039419}, {-4.999687290113463, 
        34.87096351388692}, {-4.861315407109481, 
        33.60174415264023}, {-4.791188413990546, 32.96325885499108}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-4.768449193321918, 32.75622505201175}, {-4.726581189903194,
         32.375029403434006`}, {-4.595469043443807, 
        31.19089806244826}, {-4.46801472600933, 
        30.050437177986108`}, {-4.344112774223557, 
        28.951961105012117`}, {-4.305916113977887, 28.616410009881374`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-4.282359321636198, 
        28.409467638030485`}, {-4.223657724710281, 
        27.893784198490827`}, {-3.9926664789963953`, 
        25.891585304664602`}, {-3.8025171008285783`, 24.27162365440891}}]}, 
      {Arrowheads[{{0.008141502646894989, 1.}}], 
       ArrowBox[{{-3.778236250197233, 
        24.064764987620887`}, {-3.7741972818580254`, 
        24.030355336223874`}, {-3.56761869113934, 
        22.301174024772852`}, {-3.3724205588866853`, 20.697729611565855`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-0.09241344415091701, 85.}, {-0.09179836213088678, 
        84.2483699393611}, {-0.09089656196408, 
        83.15003080746912}, {-0.09000353165045541, 
        82.06581805884943}, {-0.08897623447866676, 80.8344249763073}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-0.08880247666448382, 
        80.62614622669294}, {-0.08850708234269808, 
        80.2720651151526}, {-0.08703589818858157, 
        78.5182929241712}, {-0.08558877516625579, 
        76.80203699125728}, {-0.08529925578759422, 76.46057125793747}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-0.08512266198153372, 
        76.25229251070836}, {-0.08416611461633747, 
        75.12411881462681}, {-0.08266745532050641, 
        73.35607216367134}, {-0.08158590784326263, 72.08671757027317}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-0.08140844493888447, 
        71.87843882378276}, {-0.08119413114541517, 
        71.62691015408245}, {-0.07974614209106368, 
        69.93663278586007}, {-0.07832348815745199, 
        68.28524005900425}, {-0.07782749563952927, 67.71286392112863}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-0.07764701170286936, 
        67.50458517723418}, {-0.07692616934458009, 
        66.67273197351497}, {-0.07555418565244798, 
        65.09910852939224}, {-0.07420753708105565, 
        63.564369726636066`}, {-0.07400847328395481, 
        63.339010324498545`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-0.07382449712581124, 
        63.13073158365956}, {-0.0728862236304031, 
        62.06851556524642}, {-0.07158854345101102, 
        60.608154923994896`}, {-0.0703127946934001, 
        59.179896681653034`}, {-0.07011994759739425, 58.96515678909978}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-0.06993290293919907, 
        58.756878050993855`}, {-0.0690589773575703, 
        57.783740838220844`}, {-0.06782709144352164, 
        56.419687393698325`}, {-0.06661713695125412, 
        55.08773634808547}, {-0.06616341189788114, 54.591303314709485`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-0.06597305131780892, 
        54.38302457960782}, {-0.06542911388076775, 
        53.787887701382296`}, {-0.06426302223206251, 
        52.52014145358879}, {-0.06311886200513842, 
        51.284497604704946`}, {-0.062124917610526555`, 
        50.217449915250356`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-0.06193057550278343, 
        50.00917118382628}, {-0.060890436003148904`, 
        48.898280172166956`}, {-0.059804695274712306`, 
        47.744897355637974`}, {-0.05873793606131447, 
        46.61799847226901}, {-0.058000576926489106`, 
        45.843596595892244`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-0.05780226100406094, 
        45.635317868213455`}, {-0.057690158362955414`, 
        45.51758352206004}, {-0.05666136217963512, 
        44.44365250501109}, {-0.0556515475113536, 
        43.39620542112215}, {-0.05466071435811084, 
        42.37524227039321}, {-0.053774300522266796`, 41.46974337391898}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-0.05357041165848617, 
        41.26146465162111}, {-0.053134902708212396`, 
        40.816578913232284`}, {-0.051653472737996, 
        39.31886558462275}, {-0.05021468821617263, 
        37.87889466461782}, {-0.04942465359974413, 37.09589027293871}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-0.049214504847944235`, 
        36.887611556862865`}, {-0.04881681291145336, 
        36.493458533270754`}, {-0.047458110592549174`, 
        35.15934957063481}, {-0.0461368450281711, 
        33.87336015676322}, {-0.044944251956018984`, 
        32.722037303921994`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-0.04472759469311341, 
        32.513758594516304`}, {-0.043599679237837356`, 
        31.432909495526108`}, {-0.042381916660715134`, 
        30.275364144030277`}, {-0.04119836155468172, 
        29.160795097888403`}, {-0.04032739220535948, 
        28.348184476880498`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-0.04010415568682406, 
        28.13990577442113}, {-0.040048020816791846`, 
        28.08753218442905}, {-0.038929901344100265`, 
        27.053905230980803`}, {-0.03678635378253096, 
        25.09887851343185}, {-0.0355317695851064, 23.974331842343688`}}]}, 
      {Arrowheads[{{0.0052106203171171156`, 1.}}], 
       ArrowBox[{{-0.03529940648007891, 
        23.766053149866305`}, {-0.034759774046411715`, 
        23.282353563870092`}, {-0.03284422823506722, 21.595530814471246`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-28.456966608624207`, -5.}, {-28.123269914714726`, \
-4.959331579503957}, {-26.8302998961597, -4.802920588990425}, \
{-25.569132116498672`, -4.651469601441164}, {-24.3390563570294, \
-4.504809865757191}, {-24.321183524466917`, -4.502693819660238}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-24.11434928353975, -4.4782057712940855`}, \
{-23.139362399049638`, -4.362772630839525}, {-21.969340023857157`, \
-4.225189145589184}, {-20.82827901274971, -4.091890658907187}, \
{-19.97711641928415, -3.99310811109533}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-19.77022623895899, -3.96909725901293}, {-19.4989799770217, \
-3.9376174958697767`}, {-18.208887238492224`, -3.7889438944220952`}, \
{-16.958000797161283`, -3.6458698545641424`}, {-15.746320653028867`, \
-3.508395376295919}, {-15.631663705973972`, -3.4954785519011486`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-15.424694113641056`, -3.4721621288854414`}, \
{-14.57217523790752, -3.376120529192358}, {-13.433892983609756`, \
-3.248645382828395}, {-12.331473890135584`, -3.1259699372040273`}, \
{-11.28480365528242, -3.010291959326748}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-11.077767362120207`, -2.9875754855212278`}, \
{-9.233488033522267, -2.785373474229712}, {-7.333695670589245, \
-2.5791148980209737`}, {-7.020887875854405, -2.5453387587059497`}, \
{-6.936712294214611, -2.5362621803429106`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-6.729633855650197, -2.51393309584702}, \
{-6.711752381722736, -2.512004952361849}, {-6.380437662693707, \
-2.4763751450801865`}, {-6.053398401921972, -2.4412507042826777`}, \
{-4.367995071156127, -2.260644005615677}, {-2.7992976864207604`, \
-2.0933872871914834`}, {-2.587684227874847, -2.070900172352934}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-2.380571508474109, -2.0488913287865023`}, \
{-1.3420129517692962`, -1.9385288514107453`}, {
        0.009152428744843233, -1.7951170006741102`}, {
        1.5335768398066165`, -1.6332313009748058`}, {
        1.7617038022554816`, -1.608911607043135}}]}, 
      {Arrowheads[{{0.005299751706277109, 1.}}], 
       ArrowBox[{{1.968809090899993, -1.5868329488372082`}, {
        2.9152811596353234`, -1.485933384930211}, {
        4.16392702499075, -1.3519193945381436`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{30., 24.645365693989106`}, {29.677079384137038`, 
        24.29261773249194}, {28.6945345936186, 23.231935419848885`}, {
        28.172811502523274`, 22.67225303539451}, {27.660574362702224`, 
        22.126053999188674`}, {27.158964203237606`, 21.599062213232166`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{27.01536669194876, 21.448198624237502`}, {
        26.905356571908982`, 21.33262195869522}, {26.170758510210703`, 
        20.567642036565562`}, {25.26875421771533, 19.632996029092908`}, {
        24.396792758867534`, 18.738963007197526`}, {24.11750649797067, 
        18.455861429701166`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{23.97123363291094, 18.307590337846012`}, {
        23.554874133667333`, 17.88554297087944}, {22.742998342114706`, 
        17.072735920138623`}, {21.95919494432302, 16.297083007388878`}, {
        21.20149350040564, 15.55512538504399}, {21.01418722684427, 
        15.37379395998824}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{20.864544486740524`, 15.228924646236349`}, {
        20.469894010362555`, 14.846863053103963`}, {19.764396474193767`, 
        14.172296011568788`}, {18.424849125180025`, 12.91272047421705}, {
        17.83477085042461, 12.370367411610946`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.6814248264464, 12.22942393122688}, {17.175993315065348`, 
        11.764871447492808`}, {16.22886432667475, 10.914314389649087`}, {
        15.3355921342737, 10.128125702809417`}, {14.566664689901272`, 
        9.46384845490277}}]}, 
      {Arrowheads[{{0.0022534395787546816`, 1.}}], 
       ArrowBox[{{14.408482703401768`, 9.328357395185893}, {
        13.693243419946587`, 8.7204372057493}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-70., 23.718786537109388`}, {-69.77727135270273, 
        23.67778898528572}, {-68.63052712536661, 
        23.467180937793565`}, {-67.49142021289424, 
        23.25842915983886}, {-66.14645283629207, 
        23.01370971117912}, {-65.90238347249496, 22.9694169761537}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-65.69745187643451, 
        22.932226807172935`}, {-64.81228952265067, 
        22.771591072393793`}, {-63.48867722621521, 
        22.53199340569935}, {-62.17570029557065, 
        22.294943323690305`}, {-61.59840656104099, 22.190706454699924`}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-61.39344210400201, 
        22.15369781944518}, {-60.913778587406185`, 
        22.067089183064258`}, {-59.661528396082964`, 
        21.841540537772627`}, {-58.41894972160102, 
        21.618297387815428`}, {-57.2935934334403, 21.41663290936676}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-57.08857275425492, 
        21.379937040748715`}, {-55.962661861244634`, 
        21.178680884945525`}, {-54.74866255153775, 
        20.962214154115337`}, {-53.54404463483968, 
        20.74795954070209}, {-52.98758439020809, 20.649239984483877`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-52.782507755865, 20.6128580964184}, {-52.348808111150404`, 
        20.535917044705773`}, {-51.16316046793088, 
        20.32604212621308}, {-49.98730919264207, 
        20.118290245310696`}, {-48.82125428528397, 
        19.912661401998626`}, {-48.68050285533125, 19.88788862654894}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-48.4753769271392, 
        19.851785699852442`}, {-47.66499574585657, 
        19.709155596276872`}, {-46.52403578120477, 
        19.50774041659297}, {-45.4038765981735, 
        19.308383451394466`}, {-44.37484177909464, 19.118668625517458`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-44.170395063265225`, 
        19.07891225570629}, {-43.34225731802016, 
        18.91576059308894}, {-41.733191518436975`, 
        18.531121449267562`}, {-40.24173568608623, 
        18.00632400603962}, {-40.164714458125104`, 17.968002580490577`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-39.97824136201724, 
        17.875224069181925`}, {-39.21680409163445, 
        17.496375764115033`}, {-38.30103105247275, 
        17.000869525688444`}, {-37.44765385203759, 
        16.51939629420581}, {-36.32418750605888, 15.877253380553128`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-36.14336209026846, 15.77389847386301}, {-35.96288556878193,
         15.67074298570079}, {-34.55423290362882, 
        14.865688486730045`}, {-33.204656013252745`, 
        14.101992540599666`}, {-32.520074381791616`, 
        13.718752927697151`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-32.338335586964085`, 
        13.6170126790866}, {-32.102072033409776`, 
        13.48474860911167}, {-31.035013910293458`, 
        12.89337974006064}, {-30.003481643903797`, 
        12.327885933446588`}, {-29.007475234240786`, 
        11.78826718926951}, {-28.68514926608397, 11.615561746845989`}}]}, 
      {Arrowheads[{{0.003776626980676107, 1.}}], 
       ArrowBox[{{-28.50156296287705, 
        11.517194389417236`}, {-28.044682670536545`, 
        11.272393408985945`}, {-27.112791942023176`, 10.77813449405243}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-70., 14.56640431050625}, {-69.88554116834538, 
        14.553462727100001`}, {-68.73338548243808, 
        14.42348416175606}, {-67.588934251674, 
        14.294655847834354`}, {-66.23528256311923, 
        14.143370681660661`}, {-65.86043861902185, 14.101588063170746`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-65.65344177698024, 14.07851480771115}, {-64.89256903849558,
         13.99370283234888}, {-63.56053600802758, 
        13.845602370721126`}, {-62.23926936164041, 
        13.6990859398367}, {-61.513334912090926`, 13.61857847328682}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-61.30632522821, 
        13.595620718339543`}, {-60.971925356724945`, 
        13.558535157123135`}, {-59.714332045521964`, 
        13.419412004822913`}, {-58.46648942803151, 
        13.28171648293604}, {-57.228397504253564`, 
        13.145448591462515`}, {-57.16589699295059, 13.138586987475176`}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-56.95886209811177, 
        13.115857710060817`}, {-55.99990934141551, 
        13.01057930638311}, {-54.780878006744715`, 
        12.877079603678602`}, {-53.57130350024118, 
        12.744949483348991`}, {-52.81798914807167, 12.662871040778885`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-52.610935717676384`, 
        12.640311238159038`}, {-52.371185821904916`, 
        12.614188945394277`}, {-51.180730950094684`, 
        12.484770307941613`}, {-50.00014486316924, 
        12.356665889118148`}, {-48.82942756112858, 
        12.229875688923885`}, {-48.469663497057326`, 
        12.190988832969781`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-48.26259082105065, 
        12.168606371439918`}, {-47.66857904397273, 
        12.104399707358827`}, {-46.52315922139882, 
        11.980217802751014`}, {-45.398728003104026`, 
        11.857309833428497`}, {-44.32476511216147, 
        11.735662817715323`}, {-44.122231487462294`, 
        11.711131136946506`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-43.91546388864527, 
        11.686086620338225`}, {-43.330750271644284`, 
        11.615263773935542`}, {-41.71961570714316, 
        11.378158654824533`}, {-40.23041831240483, 
        11.055119371932266`}, {-39.82472801047047, 10.930942395771494`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-39.62556989577027, 
        10.86998246563899}, {-39.204975518161895`, 
        10.741243529182775`}, {-38.28798652365334, 
        10.436279224294177`}, {-37.43315055982928, 
        10.139973447002998`}, {-35.94018052467003, 
        9.615881497387893}, {-35.68321218734346, 9.525709948749673}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-35.48668201965342, 9.456746473486115}, {-34.52383437914244,
         9.118878144061583}, {-33.16708361645465, 
        8.647563008786333}, {-32.05686412083503, 
        8.266086458012088}, {-31.550397524426113`, 8.093838837617477}}]}, 
      {Arrowheads[{{0.00610571337167547, 1.}}], 
       ArrowBox[{{-31.353210624680017`, 
        8.026776222836792}, {-30.982567997040608`, 
        7.900721886617255}, {-29.9441952450714, 
        7.551469294601838}, {-28.941745864927395`, 7.218328681965837}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-70., 5.618266022362417}, {-69.50749166250306, 
        5.59681370787576}, {-68.3452642093399, 
        5.546306635853204}, {-67.19085457469149, 
        5.496251145782822}, {-65.83832438315854, 5.438036987553915}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-65.6302372687275, 5.429102756139353}, {-64.45842046929067, 
        5.378803413017638}, {-63.10872685655262, 
        5.321020685851483}, {-61.770048870456165`, 
        5.2638653848296215`}, {-61.46847056714424, 5.25098800273235}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-61.26038136180469, 5.24210260156772}, {-60.49587871238439, 
        5.209458367473801}, {-59.23152210992248, 
        5.155608044493176}, {-57.97697906307049, 
        5.1023144158877525`}, {-57.09856731758705, 5.065097701111925}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-56.89047518104527, 5.056281214159664}, {-56.73224957182837,
         5.049577481657526}, {-55.49718131394046, 
        4.997385839282982}, {-54.271621967151084`, 
        4.945728086244607}, {-53.05557153146024, 
        4.894604222542399}, {-52.72859264652915, 4.880894082385814}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-52.520496671208285`, 
        4.872168671910849}, {-51.84903000686792, 
        4.84401424817636}, {-50.652451576347175`, 
        4.7939472934024145`}, {-49.466290422871054`, 
        4.744392488476487}, {-48.3585551481294, 4.698186609725349}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-48.15045689309851, 4.68951574220243}, {-47.12521994705266, 
        4.6468193281686885`}, {-45.979648033112426`, 
        4.598793065579583}, {-44.86316821302088, 
        4.55126313842403}, {-43.988749356481456`, 4.510219659300809}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-43.78069959347529, 
        4.500454217898586}, {-42.869235531848275`, 
        4.457671910649395}, {-41.38122279136987, 
        4.366005272259984}, {-40.02359737009712, 
        4.244544747131291}, {-39.627041285977825`, 4.198437871375751}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-39.42015613766173, 4.174383700449939}, {-39.00800153295725,
         4.12646321224614}, {-38.10995429291407, 
        4.011666659650952}, {-36.74473324800643, 
        3.830390053489491}, {-35.45312874649102, 
        3.657304948495552}, {-35.28962993224824, 3.635572539093889}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-35.08316701428921, 
        3.6081293023944165`}, {-34.20980409628859, 
        3.4920411180358637`}, {-32.33072656569497, 
        3.2464904642205665`}, {-30.95241900055458, 3.070652330237033}}]}, 
      {Arrowheads[{{0.008567645099554546, 1.}}], 
       ArrowBox[{{-30.745814684995526`, 
        3.0442947027816913`}, {-30.541227618055657`, 
        3.0181944266185794`}, {-28.834463203632012`, 
        2.805979643578538}, {-27.203589272685363`, 2.608672753449076}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-70., -3.044086462496032}, {-69.77385176626402, \
-3.039425705503266}, {-68.5401673882989, -3.0140483940281233`}, \
{-67.31447932653296, -2.9888847456195355`}, {-66.09664406849431, \
-2.963929392033083}, {-65.83530070005992, -2.958606735184947}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-65.62706506108489, -2.954365698358736}, \
{-64.69457388963224, -2.9353740914574704`}, {-63.30306811340761, \
-2.907096447682066}, {-61.92191235909863, -2.879088636946234}, \
{-61.462347305453214`, -2.869789820276985}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-61.254111106276355`, -2.865576379275135}, \
{-60.551178086945896`, -2.8513532671701864`}, {-59.109188332397366`, \
-2.82217638859476}, {-57.678577465629516`, -2.7932950754110895`}, \
{-57.089384695216594`, -2.7814277301249}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-56.88114810839925, -2.777233490818048}, \
{-56.25934548664234, -2.764709327619175}, {-54.851492395435834`, \
-2.7364191452190165`}, {-53.45492009114899, -2.7084185439279147`}, \
{-52.716410449801025`, -2.693643440406728}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-52.508173298666115`, -2.689477312718321}, \
{-52.0695304729208, -2.6807015394631697`}, {-50.69532354075127, \
-2.653268131824782}, {-49.33229929464037, -2.6261183210127514`}, \
{-48.343427091608156`, -2.606314262092935}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-48.135190024908276`, -2.602143916192253}, \
{-47.99050841481115, -2.599246389977853}, {-46.68000158148663, \
-2.5726466216708603`}, {-45.40077879466681, -2.546319016091775}, \
{-44.15284005435169, -2.520263573240596}, {-43.97049803699462, \
-2.5163194960078177`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-43.76226792063229, -2.5118154564396082`}, \
{-43.28132134357868, -2.5014125308153665`}, {-42.70292774303045, \
-2.4876774764312386`}, {-42.17855280878205, -2.474017877736915}, \
{-41.278548238289105`, -2.4469229993937387`}, {-40.53327006962998, \
-2.420124858010534}, {-39.882904481978095`, -2.3936202037634597`}, \
{-39.59887529366234, -2.3805377685892455`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-39.39081705657847, -2.370954569005951}, \
{-38.69130583563803, -2.3387349571560048`}, {-37.57482405228495, \
-2.2851076380106257`}, {-36.50078343288735, -2.232709996661855}, \
{-35.45454157807783, -2.181513836606131}, {-35.230065860396394`, \
-2.1705575558202588`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-35.022034682173945`, -2.160403905241199}, \
{-33.83444131077336, -2.102439477859477}, {-32.266038292696635`, \
-2.0262305722585974`}, {-30.86136372251039, -1.9583056371745047`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-30.653326858182883`, -1.948269196293209}, \
{-29.275796856427277`, -1.882001168842998}, {-27.850584567263667`, \
-1.8137838818114158`}, {-26.492514878885423`, -1.7490955827473702`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-26.284469790950354`, -1.7392310566310754`}, \
{-24.571529840458837`, -1.658055875296175}, {-22.755751321543677`, \
-1.5724780313044824`}, {-22.123524565022002`, -1.5428607438762003`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-21.91547390625612, -1.5331144050875456`}, \
{-21.02298622864034, -1.4913049375168064`}, {-19.373234561748838`, \
-1.414536593933147}, {-17.800194815452052`, -1.3417503503166315`}, \
{-17.754393035488537`, -1.339640242177856}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-17.54633489653975, -1.3300549122477956`}, \
{-16.29756548433287, -1.2725235564303872`}, {-14.865346568391299`, \
-1.2068562122744142`}, {-13.503538067627332`, -1.1447483178487126`}, \
{-13.385125158890235`, -1.1393720878404805`}}]}, 
      {Arrowheads[{{0.00814052693385803, 1.}}], 
       ArrowBox[{{-13.17706067614174, -1.1299254613896155`}, \
{-12.206467784629394`, -1.0858582166544082`}, {-10.96846352198591, \
-1.0298442521926268`}, {-9.789525279696877, -0.9767064244633687}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{30., 3.8207746496716877`}, {29.15707842048135, 
        3.676017892454365}, {28.6111138526494, 3.5827470661522467`}, {
        28.076781005982504`, 3.4918427799595677`}, {27.2314648013621, 
        3.3494349545470046`}, {26.41630792959989, 3.2128349269152423`}, {
        25.89287275130344, 3.125445364442317}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{25.687437364748103`, 3.09114711837113}, {
        24.563958642413997`, 2.903577925349079}, {22.8753683287659, 
        2.6240642392626263`}, {21.57788265314811, 2.4102834149152383`}}]}, 
      {Arrowheads[{{0.009170444733189556, 1.}}], 
       ArrowBox[{{21.372374681407106`, 2.376422799392194}, {21.34286231701148,
         2.3715601810932037`}, {19.95876593550663, 2.143332063278133}, {
        18.715115714048295`, 1.9371374342415555`}, {17.60394818243344, 
        1.7507338424076142`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{30., 40.458910672155874`}, {29.704086675148226`, 
        39.92961042909134}, {28.725140583742853`, 38.194107578331646`}, {
        28.205259942222426`, 37.27819659118777}, {27.950655471927686`, 
        36.83232866394769}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{27.84737443136734, 36.65146104829063}, {27.69478833574862, 
        36.38424953350293}, {26.946614831724556`, 35.093171962015774`}, {
        26.21865318973019, 33.84790756616045}, {25.750993785926195`, 
        33.05187475728092}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{25.645492002277877`, 32.87229346265443}, {
        25.319649866306097`, 32.31765684327056}, {24.450440353089558`, 
        30.853573307393}, {23.611024650080576`, 29.45565695852775}, {
        23.51281067680826, 29.294104537884735`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{23.40461504795677, 29.11613326596106}, {22.80140275727914, 
        28.12390779667481}, {22.01963011430057, 26.852717861380516`}, {
        21.26376216076016, 25.636479192191175`}, {21.221159446210685`, 
        25.568703184580233`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{21.11031816653997, 25.392367486397312`}, {
        20.533798896657913`, 24.4751917891068}, {19.82974032199384, 
        23.368855652127383`}, {19.149892565254774`, 22.31279388597614}, {
        18.869108148907955`, 21.88116551618445}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{18.755534368667963`, 21.706577245745972`}, {
        18.492561754927557`, 21.30232959537627}, {17.857747891012195`, 
        20.337462780327787`}, {17.245450973508685`, 19.418193440830688`}, {
        16.446949791487786`, 18.239342660780306`}}]}, 
      {Arrowheads[{{0.00013015506673098049`, 1.}}], 
       ArrowBox[{{16.33014453597345, 18.06689962665909}, {16.299738944321454`,
         18.02201095743241}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{30., 13.149998968117456`}, {29.425164714410222`, 
        12.816143306572856`}, {28.88541918958981, 12.504653502818012`}, {
        28.355574711391707`, 12.20073429692847}, {27.565197392954357`, 
        11.754152672798115`}, {26.796854104794782`, 11.323917171332749`}, {
        26.378931968983622`, 11.091071508201127`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{26.196986876308515`, 10.989700649547633`}, {
        25.863656092403083`, 10.803985127994803`}, {24.961869121742254`, 
        10.306870207706993`}, {24.09149319281231, 9.832572410469325}, {
        23.252528305613254`, 9.381091736281792}, {22.536297965643723`, 
        9.002097276813142}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{22.35220386119782, 8.904683579414051}, {21.66062356950319, 
        8.538732733431837}, {20.17794682650748, 7.771944175531824}, {
        18.797611662291196`, 7.074199091545907}, {18.64767728386716, 
        7.000073412507805}}]}, 
      {Arrowheads[{{0.005120180962636958, 1.}}], 
       ArrowBox[{{18.460969768235476`, 6.907767554950743}, {
        17.512731662519418`, 6.438970510438241}, {16.544879831012942`, 
        5.970984017949843}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{3.1579288640064553`, -5.}, {
        3.6554901958738526`, -4.854855915633112}, {
        5.165919655129853, -4.422401834850108}, {
        6.564862661878664, -4.028524503040032}, {
        7.164983553916583, -3.8618964520276444`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{7.36567015402611, -3.806174317564044}, {
        7.857411535749216, -3.669638647625257}, {
        8.139515982478017, -3.5919305508937756`}, {
        8.416294759596262, -3.5158679968881055`}, {
        8.772588795911117, -3.4183961541336165`}, {
        9.119699804270056, -3.3236265611495055`}, {
        10.257636783222125`, -3.013017584381084}, {
        11.289914118457208`, -2.7314061893613797`}, {
        11.383230626902701`, -2.705631621968672}}]}, 
      {Arrowheads[{{0.003655031352591704, 1.}}], 
       ArrowBox[{{11.583992169644446`, -2.650180105410018}, {
        13.051571635875966`, -2.244826042268738}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-48.957596788024986`, 85.}, {-48.68860546011051, 
        84.79775247095654}, {-47.81095060895016, 
        84.1394771297642}, {-46.940250430650806`, 
        83.4862714502812}, {-45.98400965462288, 
        82.75577487832061}, {-45.63585568983632, 82.48652002104943}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-45.47109972243752, 82.35910126678152}, {-45.04779193148987,
         82.0317240418711}, {-43.972786838259935`, 
        81.15715603384169}, {-43.023786424839955`, 
        80.29191209215766}, {-42.33870512280901, 79.61884780816504}}]}, 
      {Arrowheads[{{0.002169190331976028, 1.}}], 
       ArrowBox[{{-42.19550926126788, 79.46785619159456}, {-41.60723795265309,
         78.78198678577196}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{16.13128939600619, -5.}, {
        16.643101102457344`, -4.653488781010889}, {
        17.89394049009949, -3.8257233515146414`}, {
        18.052374448005338`, -3.721517154573249}, {
        18.206320829540687`, -3.620149355793566}, {
        18.4839657304316, -3.43588181743585}, {
        18.744974074017264`, -3.260993509278321}, {
        19.587297460545642`, -2.6748394203357098`}}]}, 
      {Arrowheads[{{0.0015339341540204277`, 1.}}], 
       ArrowBox[{{19.75204129769405, -2.54753298696194}, {
        20.251706395195722`, -2.149261717630168}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{30., 70.27784051756343}, {29.648464986538677`, 
        69.18746365456458}, {29.113736756290834`, 67.53407953437795}, {
        28.71702426354679, 66.31476327241724}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{28.652584317973766`, 66.11670378350735}, {
        28.588652676329446`, 65.92020659288055}, {28.202906177966042`, 
        64.74921973202261}, {27.822430838427838`, 63.599375195378286`}, {
        27.44702090605815, 62.46960022347888}, {27.344319448722928`, 
        62.16190635206736}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{27.2783768350368, 61.96434208547813}, {27.07674496474255, 
        61.360252402813956`}, {26.6104389837811, 59.96346353624868}, {
        26.151769097289264`, 58.5964451157639}, {25.955460185921556`, 
        58.01441845007442}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{25.888895145835267`, 57.81706302660952}, {
        25.700735305267028`, 57.2591971413596}, {25.257337607714405`, 
        55.95171961303581}, {24.82157600463139, 54.67401253079253}, {
        24.546967689891027`, 53.873560864949674`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{24.479380860272812`, 53.676553027047575`}, {
        24.393450496017984`, 53.42607589462974}, {23.972961081874185`, 
        52.20790970454745}, {23.56010776219999, 51.019513960545645`}, {
        23.154393920664138`, 49.8583742949733}, {23.11329972795385, 
        49.741354118307946`}}]}, 
      {Arrowheads[{{0.002093654494676226, 1.}}], 
       ArrowBox[{{23.04428961350852, 49.54484032276946}, {22.755322940935354`,
         48.721976340179374`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-70., 53.12242575857423}, {-69.74523940515675, 
        53.01740868802841}, {-68.59674215300191, 
        52.54500493938375}, {-67.23971577532011, 
        51.99081796417208}, {-66.14472679122866, 51.544815238221126`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-65.95183497095299, 51.46624798420626}, {-65.89361667740525,
         51.44253494416682}, {-64.55818832631957, 
        50.89997422366807}, {-63.233516233042295`, 
        50.36319635457577}, {-62.091731782171934`, 49.90048083845623}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-61.89867836384976, 49.82231154684992}, {-60.70715769410957,
         49.34063242303381}, {-59.4585324329667, 
        48.83713731471295}, {-58.21960984403949, 
        48.33883344469217}, {-58.035215455373574`, 48.264855100203675`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-57.841913266373325`, 
        48.1873029792758}, {-56.99024254304521, 
        47.84561584542661}, {-55.77028314570113, 
        47.35737954937138}, {-54.55973165200725, 
        46.874124556526496`}, {-53.97401235785301, 46.64090170937705}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-53.78050925397403, 46.56385226731611}, {-53.35858806196356,
         46.39585086689194}, {-52.166840387736656`, 
        45.922458344433316`}, {-50.984476641493146`, 
        45.45384685311622}, {-49.908291429854756`, 45.02829180589572}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-49.71457517150694, 
        44.95177989755795}, {-48.647900932956276`, 
        44.53096696390659}, {-47.495809933564246`, 
        44.07662569384202}, {-46.357344787958255`, 
        43.626919710574896`}, {-45.84098842175952, 43.41969475893421}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-45.64769460281545, 
        43.3421217785176}, {-45.248215107453404`, 
        43.18180203710091}, {-44.184130503364806`, 
        42.74122569641575}, {-42.35841434002467, 
        41.873512631751304`}, {-41.88862758214151, 41.56503290485776}}]}, 
      {Arrowheads[{{0.002513901314591906, 1.}}], 
       ArrowBox[{{-41.71452748149148, 
        41.450712203817446`}, {-40.83918653770208, 40.87593028255681}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-70., 84.70137408001615}, {-69.77850357886028, 
        84.55578346407393}, {-68.63083332587273, 
        83.80305145566682}, {-67.2753170637319, 
        82.92034531802794}, {-66.51179690483494, 82.42444638672451}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-66.33712618526029, 82.31099944998324}, {-65.93070148060444,
         82.04703054969211}, {-64.59673099679107, 
        81.18281855941137}, {-63.27349080552488, 
        80.32780554426841}, {-62.84005084978, 80.04770982413899}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-62.665118930706356`, 
        79.93466606525813}, {-62.00645288939693, 
        79.50902570441897}, {-60.74910017782493, 
        78.69850886025132}, {-59.50143267080885, 
        77.89625501176542}, {-59.1629962766266, 77.67919584968956}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-58.987677223902736`, 
        77.56675343116031}, {-58.26345036834873, 
        77.10226415896128}, {-57.0350062490913, 
        76.31636939349988}, {-55.815953291683336`, 
        75.53840380704216}, {-55.47790207971726, 75.32320998860993}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-55.30220181500167, 75.21136418085848}, {-54.60629149612483,
         74.76836739958817}, {-53.406020862415794`, 
        74.00626017113788}, {-52.215123185921904`, 
        73.25192288723893}, {-51.784725269628304`, 72.97991452012843}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-51.608660738712715`, 
        72.86864301125858}, {-51.033580262008854`, 
        72.50519631343897}, {-49.86139209067663, 
        71.766080449738}, {-48.698558671925234`, 
        71.034575296136}, {-48.084179523773905`, 70.64827192670127}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-47.90785886221251, 70.53740672909963}, {-47.54708839455269,
         70.31056496913936}, {-46.40898964735702, 
        69.59393358525448}, {-45.29932208667332, 
        68.88460643743993}, {-44.39943313569792, 68.2920124714665}}]}, 
      {Arrowheads[{{0.005497311671139175, 1.}}], 
       ArrowBox[{{-44.2256590876071, 68.17720593468601}, {-43.25207039896498, 
        67.4875674225381}, {-42.39770808217601, 66.79970894273185}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.005367838271213032, 1.}}], 
       ArrowBox[{{24.672624168857148`, -5.}, {
        24.69017561272749, -4.912534785222416}, {
        24.84683286890875, -4.04375222837142}, {
        24.864766981997743`, -3.9322170641806187`}, {
        24.88124185280959, -3.8237582720595737`}, {
        24.90559005486514, -3.6195847471258165`}, {
        24.92319497625275, -3.4263131555384474`}, {
        24.932388452153905`, -2.7847301063448824`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-70., 38.67767769566344}, {-69.59612945265505, 
        38.556498414024986`}, {-68.44820031671338, 
        38.21281652705912}, {-67.09162463951907, 
        37.809571711131426`}, {-66.00784641494806, 37.488261668059934`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-65.80815864011747, 
        37.429059807312946`}, {-65.74597858848034, 
        37.41062515470898}, {-64.41100543933864, 
        37.015844537479595`}, {-63.0867907668468, 
        36.62527396621397}, {-61.81884934932307, 
        36.251263352828076`}, {-61.8130609708145, 36.24956014715375}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-61.61325238350443, 36.190767323018}, {-60.560617844083936`,
         35.88103410189609}, {-59.31209625112944, 
        35.51458621341803}, {-58.073284570459556`, 
        35.15191968739387}, {-57.61605623479261, 35.01840123217757}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-57.41612740419935, 
        34.960018611216256`}, {-56.8440353735394, 
        34.79295800228909}, {-55.62420123183407, 
        34.43762463656914}, {-54.41378214534357, 
        34.08591959023401}, {-53.41625536868223, 33.79681493577523}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-53.216208766781556`, 
        33.7388371400195}, {-53.212778114067895`, 
        33.73784286328372}, {-52.02119749713664, 
        33.393321458835004`}, {-50.83904865367941, 
        33.05228238000461}, {-49.6663315836962, 
        32.714725626792564`}, {-49.213700027567334`, 32.58473805755365}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-49.01351274101768, 
        32.52724790155641}, {-48.503046287187004`, 
        32.38065119919885}, {-47.3516498877877, 
        32.05000597636878}, {-46.21459950913418, 
        31.72273683744768}, {-45.10938593631242, 
        31.398809539141226`}, {-45.012141553680145`, 31.36928128948503}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-44.81284794320194, 31.30876579927581}, {-44.05349995440841,
         31.078189838155108`}, {-42.257523041831334`, 
        30.44673882737103}, {-40.93949868021477, 29.799784554677192`}}]}, 
      {Arrowheads[{{0.00801588226251239, 1.}}], 
       ArrowBox[{{-40.752827523865335`, 
        29.707516645873213`}, {-39.77003547200173, 
        28.99003916666567}, {-38.930872740129125`, 
        28.288029479509657`}, {-38.16412258575305, 27.603019358119248`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-70., 45.802933018423786`}, {-69.02982582428393, 
        45.458589547732444`}, {-67.88930700443252, 
        45.05466250051352}, {-66.54331088599363, 
        44.58135916845516}, {-66.0720685907705, 44.41608524506145}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-65.87552702514853, 44.34715425989828}, {-65.20810978034767,
         44.11307793078477}, {-63.883451246574, 
        43.649664859808496`}, {-62.569419431646175`, 
        43.19117126475763}, {-61.943249825159995`, 42.97266637667349}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-61.746600115923876`, 
        42.90404451725501}, {-61.30741741077992, 
        42.750789605419726`}, {-60.055065042604454`, 
        42.31485354608139}, {-58.81236232711981, 
        41.88336308674263}, {-57.81178764523836, 41.536832765237826`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-57.61497785663377, 41.4686713770322}, {-57.57930926432592, 
        41.45631822740341}, {-56.35576040567007, 
        41.033629146841555`}, {-55.14157030259948, 
        40.61520602383487}, {-53.936738955114144`, 
        40.20104885838336}, {-53.676571920817665`, 40.111845491727244`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-53.479552166331985`, 
        40.044293407561746`}, {-52.74126636321406, 
        39.791157650487}, {-51.55524731484702, 
        39.385446704966036`}, {-50.37877659796084, 
        38.98383032664068}, {-49.53776157426465, 38.69733156752148}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-49.34060845196361, 
        38.630169717489984`}, {-49.21185421255551, 
        38.58630851551093}, {-48.05448015863101, 
        38.19288127157679}, {-46.91043540018332, 
        37.80348623039683}, {-45.78350090120836, 
        37.41806102752961}, {-45.39889679244021, 37.283026122910535`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-45.20237864697115, 37.21402839661394}, {-44.69693173853507,
         37.036565458713255`}, {-43.673982988992364`, 
        36.65895931968585}, {-41.97674846132633, 
        35.91525752994451}, {-41.39645908989077, 35.548564992499855`}}]}, 
      {Arrowheads[{{0.0021635286683350436`, 1.}}], 
       ArrowBox[{{-41.22038823623326, 35.43730348871254}, {-40.45851955714077,
         34.95586858246066}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999983, 1.}}], 
       ArrowBox[{{-70., 31.76453300967007}, {-69.06492548354424, 
        31.534352230824073`}, {-67.9223720461183, 
        31.253707938944107`}, {-66.57306535364543, 
        30.924644509057437`}, {-65.95389928440002, 30.77404005428556}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-65.75152123722353, 
        30.724814108345146`}, {-65.23460490216004, 
        30.599080631218747`}, {-63.90673649111154, 
        30.276908809077412`}, {-62.58954485401678, 
        29.9581648747503}, {-61.70314690997867, 29.743646735175272`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-61.5007119804214, 29.69465523562847}, {-61.32548636059553, 
        29.652248691001702`}, {-60.07110769889114, 
        29.349425297644846`}, {-58.82640886890364, 
        29.04969469467973}, {-57.591389870633016`, 
        28.753056882106353`}, {-57.45090965184285, 28.719399962421203`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-57.2483628996688, 
        28.670872847151028`}, {-56.36590456424588, 
        28.45944927750822}, {-55.14980680990881, 
        28.168809298468815`}, {-53.94309660762181, 
        27.881136944988153`}, {-53.196637007938655`, 
        27.703640447122307`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-52.99400789536551, 
        27.655458391639783`}, {-52.74577395738489, 
        27.596432217066223`}, {-51.5579339972076, 
        27.31463541222635}, {-50.379671865099496`, 
        27.03568682799186}, {-49.21098756106057, 
        26.759586464362748`}, {-48.94047755986128, 26.69581541392908}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-48.737755720460974`, 
        26.648025001053075`}, {-48.05188108509082, 
        26.48633432133901}, {-46.906163315141676`, 
        26.215886952541368`}, {-45.77764512916454, 
        25.948200911590526`}, {-44.68977355981251, 
        25.683248191612158`}, {-44.68571183144796, 25.682207753343167`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-44.483947351811956`, 
        25.630524463104308`}, {-43.665995639738675`, 
        25.421000785731955`}, {-41.968716868198264`, 
        24.904511992615365`}, {-40.55228849974448, 24.282239337889887`}}]}, 
      {Arrowheads[{{0.0052742164596006275`, 1.}}], 
       ArrowBox[{{-40.368683861636406`, 
        24.18526650198274}, {-39.437750419148394`, 
        23.587019073973032`}, {-38.54942385822209, 22.95463682686772}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-38.86036190265162, 85.}, {-38.843008014777425`, 
        84.95664391566615}, {-38.45173388693748, 
        83.94864490806441}, {-37.9295800783276, 
        82.50025591773183}, {-37.42937374336327, 81.08827339162335}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-37.3596331086302, 80.89201766776358}, {-36.92828442168098, 
        79.67839095840483}, {-36.441728516815665`, 
        78.3040795592221}, {-35.96666610100574, 76.9662482944919}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-35.896864598913226`, 
        76.77001421204014}, {-35.472732731834014`, 
        75.57811788004057}, {-34.99936158856948, 
        74.25073675569014}, {-34.53340827812248, 
        72.94708877483326}, {-34.49736978786846, 72.84656741217822}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-34.4270793739622, 
        72.65050791752012}, {-34.074244857653895`, 
        71.66635441605403}, {-33.6212433843246, 
        70.40771415793652}, {-33.17440385813461, 
        69.17116800048078}, {-33.01490512233397, 68.73160951836692}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-32.943861332370446`, 
        68.5358217566444}, {-32.733726279083896`, 
        67.95671594368675}, {-32.298989338440876`, 
        66.76360165482656}, {-31.869971727473928`, 
        65.59106880117228}, {-31.514325570803777`, 64.62322387302251}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-31.442471249263228`, 
        64.42773213583736}, {-31.029094494568252`, 
        63.307747399481485`}, {-30.436215384023054`, 
        61.7093429771273}, {-29.993480205051334`, 60.522297184336814`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-29.920695662174786`, 
        60.32714986037117}, {-29.854054402049222`, 
        60.148473687309796`}, {-29.282611548646734`, 
        58.62513953002895}, {-28.721886823815602`, 
        57.13934050528479}, {-28.452134011503748`, 56.42903400978204}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-28.378188877279356`, 
        56.23432349425389}, {-28.171880227555828`, 
        55.69107661307732}, {-27.63259175986741, 
        54.28034785340651}, {-27.10402142075034, 
        52.90715422627238}, {-26.88612390750439, 52.34514703852297}}]}, 
      {Arrowheads[{{0.008124004484669815, 1.}}], 
       ArrowBox[{{-26.81083241306199, 
        52.15095316993456}, {-26.586169210204627`, 
        51.57149573167492}, {-26.078263639666435`, 
        50.26987433846385}, {-25.579533220571935`, 48.99879201548888}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{26.88142938940047, 85.}, {26.789096256860837`, 
        84.6118445132825}, {26.54652497881613, 83.59522138381013}, {
        26.306129805221524`, 82.59066204230716}, {25.95150228648872, 
        81.12486432714206}, {25.90889756238435, 80.94954745122764}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{25.859714046401237`, 80.7471590882019}, {
        25.601716258437403`, 79.68550766034973}, {25.25658290502912, 
        78.27125156597592}, {24.916165164943354`, 76.88254286933872}, {
        24.871530244197967`, 76.70049271223623}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{24.82193354538392, 76.49820520595013}, {24.487387170121696`,
         75.13370810015314}, {24.065625751823315`, 73.42212115358821}, {
        23.825695496418362`, 72.45351449913751}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{23.775616961127547`, 72.25134573786163}, {
        23.650880910048205`, 71.74778202964387}, {23.243152644796375`, 
        70.11069072832018}, {22.84244095606783, 68.51084724961713}, {
        22.766598580348447`, 68.20982505459357}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{22.71571306688895, 68.00785789822238}, {22.44874584386255, 
        66.94825159353469}, {22.062067308180552`, 65.42290376007288}, {
        21.691430767028557`, 63.97017923078748}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{21.63971160755447, 63.76842397235718}, {21.30930396156216, 
        62.48080783639828}, {20.942307140977327`, 61.05777229695978}, {
        20.59934492151584, 59.73485892407493}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{20.546901857844354`, 59.53329063365088}, {
        20.226627200432137`, 58.30458233826753}, {19.877944080471792`, 
        56.97442791901378}, {19.535365527386276`, 55.67523387315495}, {
        19.489946739284182`, 55.50404192728634}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{19.436536254513346`, 55.3027277751528}, {
        19.198891541175588`, 54.40700020069104}, {18.86852212183973, 
        53.169726901622035`}, {18.543859801679886`, 51.96079003732565}, {
        18.359771240503886`, 51.27872885794777}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{18.305498737730954`, 51.077645384794295`}, {
        18.224507112997227`, 50.777565669179566`}, {17.91046405579176, 
        49.62005379718381}, {17.60173063006348, 48.48825442133834}, {
        17.298306835812387`, 47.3821675416432}, {17.209118640863807`, 
        47.05894693299963}}]}, 
      {Arrowheads[{{0.004013188306374658, 1.}}], 
       ArrowBox[{{17.153717472670163`, 46.85817149053846}, {
        17.000192673038484`, 46.301793158098356`}, {16.707388141741767`, 
        45.24713127070382}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.007702976462654267, 1.}}], 
       ArrowBox[{{28.57891801602665, -5.}, {
        28.538557217181456`, -4.893054567053976}, {
        28.170120306341786`, -4.029243207913755}, {
        28.118766493720518`, -3.918166544072138}, {
        28.067385294988252`, -3.810151998410207}, {
        27.961528551719642`, -3.6071266975580887`}, {
        27.854214805269304`, -3.4149195508835155`}, {
        27.43887522447224, -2.776834230904471}, {
        26.964500423696997`, -2.2581718828379365`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{14.121689896005329`, 85.}, {13.872751927713523`, 
        83.01432284201177}, {13.68369666001286, 81.52504004739681}, {
        13.599816532099874`, 80.86724525482569}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{13.573470742709489`, 80.66063942936547}, {13.49725091868352,
         80.06291736357439}, {13.31331186734929, 78.62656375432285}, {
        13.131913784802244`, 77.21644289838275}, {13.043455759185326`, 
        76.52891964671734}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{13.016877302228075`, 76.32234362352376}, {
        12.905495023887694`, 75.4566459590279}, {12.682788189259242`, 
        73.73439791577783}, {12.482190476462797`, 72.19122598440516}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{12.45529671978582, 71.98469078394965}, {12.248510298860618`,
         70.40254851759214}, {12.036939243090451`, 68.79294716265652}, {
        11.912867305423092`, 67.85458282347159}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{11.88556598177378, 67.64810109193174}, {11.829080113606377`,
         67.22089470382568}, {11.6249329104084, 65.68639114109965}, {
        11.424497633496518`, 64.18943647447844}, {11.334233517050698`, 
        63.51917256374845}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{11.30643564566965, 63.31275709417462}, {11.227532600862403`,
         62.726855791825386`}, {11.033796130497729`, 61.29547418100386}, {
        10.843288222402492`, 59.89529164201386}, {10.746124178958986`, 
        59.18503729714788}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{10.717894203394529`, 58.97868047944531}, {
        10.656008876576697`, 58.52630817485538}, {10.471958093020342`, 
        57.188523779528424`}, {10.291135871733426`, 55.881938456033}, {
        10.147762675569583`, 54.85230595532257}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{10.119037630878003`, 54.64601746911899}, {
        10.113542212715949`, 54.60655220436909}, {9.939177115967913, 
        53.36236502453671}, {9.767829986729502, 52.14672798234062}, {
        9.599290230240905, 50.956992143585595`}, {9.537242690824256, 
        50.52127117113569}}]}, 
      {Arrowheads[{{0.009356886133754204, 1.}}], 
       ArrowBox[{{9.507879592402203, 50.31507253829891}, {9.433557846502119, 
        49.79315750827163}, {9.270632835513148, 48.655224076398724`}, {
        9.110515197273989, 47.543191847966895`}, {8.95320493178464, 
        46.45706082297611}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{8.023925330111718, 85.}, {7.997555857558197, 
        84.62860969217212}, {7.924296082530606, 83.59986083490074}, {
        7.814600621835924, 82.07655127950898}, {7.725517215640985, 
        80.84512629820289}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{7.710489238397389, 80.63739034167955}, {7.706443473273607, 
        80.58146459237648}, {7.5997630965558125`, 79.11313389819983}, {
        7.494580005111822, 77.67204815541349}, {7.4077683006695265`, 
        76.48282819691995}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{7.392604532456773, 76.27510210836512}, {7.365005069681701, 
        75.897021385418}, {7.237559948219598, 74.15996602508146}, {
        7.112244640725509, 72.46088207440384}, {7.087020955983386, 
        72.12074966224628}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{7.071617623135889, 71.91304120052676}, {6.989059147199436, 
        70.79976953338515}, {6.868003467641382, 69.17662840202541}, {
        6.761648262616122, 67.75901374002672}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{6.746047584455815, 67.55132001087344}, {6.63228155042932, 
        66.04426036828272}, {6.517615312775313, 64.53503346589979}, {
        6.430703067183983, 63.39769718387836}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{6.414833217168352, 63.19002384521116}, {6.404939851954324, 
        63.06055896793585}, {6.294116130831347, 61.61761786915098}, {
        6.185144149406386, 60.20621016954519}, {6.094361818093937, 
        59.03679341047748}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{6.078241543929948, 58.82913936044816}, {6.078023907679439, 
        58.82633586911844}, {5.972755405650508, 57.47799496787078}, {
        5.86933864331959, 56.16118746580217}, {5.767773620686689, 
        54.875913362912634`}, {5.751903091443804, 54.676365941389825`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{5.73539027410868, 54.4687427379747}, {5.6680603377518, 
        53.622172659202164`}, {5.570077693431088, 52.39728114388045}, {
        5.473704586640713, 51.19855460615718}, {5.402418751375782, 
        50.31649591138937}}]}, 
      {Arrowheads[{{0.008294335888494148, 1.}}], 
       ArrowBox[{{5.3856408673013245`, 50.10889395971577}, {5.378941017380675,
         50.02599304603236}, {5.2857869856509705`, 48.87959646350596}, {
        5.194242491451605, 47.759364858578024`}, {5.104307534782574, 
        46.66529823124852}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{20.583243937395824`, 85.}, {20.56005818273139, 
        84.87261581398036}, {20.373548043682295`, 83.85091872405167}, {
        20.005603220356715`, 81.84441811196652}, {19.830798899244414`, 
        80.90294844325643}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{19.792777232202308`, 80.69816948787273}, {19.73483393743316,
         80.38609565478234}, {19.46777623344342, 78.95418541072337}, {
        19.204284802622567`, 77.54734333622139}, {19.02673974595422, 
        76.60363594592332}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{18.988230651989507`, 76.39894809231515}, {
        18.944408080225585`, 76.16601744579913}, {18.618157961102675`, 
        74.43221301992729}, {18.297250371107772`, 72.73536171971091}, {
        18.21555948635971, 72.30566094707444}}]}, 
      {Arrowheads[{{0.009999999999999983, 1.}}], 
       ArrowBox[{{18.176660087405942`, 72.10104690920379}, {17.98168531024087,
         71.07546354514994}, {17.671462778501972`, 69.4525184962444}, {
        17.394093992716524`, 68.00964047784302}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{17.354708492338997`, 67.80511947857654}, {
        17.067045302408193`, 66.31748777539964}, {16.772850358053304`, 
        64.80540210346041}, {16.559557148881694`, 63.7161408123501}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{16.51953323267426, 63.51174376280162}, {16.483997942826424`,
         63.3302695571766}, {16.200140603145172`, 61.8889691159905}, {
        15.920930885427179`, 60.47837975934437}, {15.711396007297902`, 
        59.42531150975875}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{15.670750401335253`, 59.22103717840841}, {15.64636878967244,
         59.09850148723821}, {15.37645431588096, 57.74933429967203}, {
        15.11118746405274, 56.43087819664582}, {14.850568234187776`, 
        55.14313317815959}, {14.84936957359136, 55.137246755609326`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{14.807810351453425`, 54.933156337441325`}, {
        14.594596626286066`, 53.88609924421333}, {14.343272640347616`, 
        52.659776394807025`}, {14.096293459404595`, 51.461560027383086`}, {
        13.970157703078936`, 50.85267331422617}}]}, 
      {Arrowheads[{{0.009135877502624465, 1.}}], 
       ArrowBox[{{13.927908113813091`, 50.648724693393454`}, {
        13.853356266489175`, 50.28884553938389}, {13.614461061601355`, 
        49.14163293080941}, {13.379607844741136`, 48.019922201659675`}, {
        13.14879661590852, 46.92371335193468}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-59.97320258215593, 85.}, {-59.656544821972574`, 
        84.77822017423986}, {-58.63214823142181, 
        84.06223379337227}, {-57.44728500232944, 
        83.23963981243188}, {-56.55387296076473, 82.62089396856837}}]}, 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-56.38264835502723, 82.50230981227952}, {-56.27126701713296,
         82.42517100431658}, {-55.103904530951446`, 
        81.61859492262953}, {-53.945260792078535`, 
        80.819989049503}, {-52.95397302373918, 80.13667967748057}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-52.78248796280517, 
        80.01847247969144}, {-52.769055685515816`, 
        80.00921341158572}, {-51.60183722071973, 
        79.20649160327062}, {-50.44360539769031, 
        78.41182362455774}, {-49.34770444703245, 77.66172155072164}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-49.17591595669475, 
        77.54395580000488}, {-48.159212188894955`, 
        76.84648917599134}, {-47.04327182705612, 
        76.07550274624352}, {-45.94653913091104, 
        75.31225018620356}, {-45.74996272442247, 75.17441844681628}}]}, 
      {Arrowheads[{{0.007989153912769761, 1.}}], 
       ArrowBox[{{-45.57942714511488, 
        75.05484552378215}, {-44.869014100459694`, 
        74.55673149587143}, {-43.83913682826769, 
        73.80884940712251}, {-42.910678048893296`, 73.06846909831008}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-3.758732638582166, -5.}, {-2.6263403480522447`, \
-4.748853467331395}, {-1.4199783013976293`, -4.484468460159805}, \
{-0.26782383722176045`, -4.23481186578832}, {
        0.31080829535415183`, -4.110752146200139}}]}, 
      {Arrowheads[{{0.0016534270543871008`, 1.}}], 
       ArrowBox[{{0.514458989327188, -4.0670890888518345`}, {
        0.8318445720216007, -3.999041076697524}, {
        0.9210856102056848, -3.980017082576479}, {
        1.0099743703816233`, -3.961083588239056}, {
        1.099173558611662, -3.942114530772652}, {
        1.18801630728962, -3.9232363133839576`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{30., 28.21080320193093}, {29.873396620599348`, 
        28.05232849691676}, {29.331612926549354`, 27.378226456971518`}, {
        28.535441643077853`, 26.40213014043609}, {27.76088145574668, 
        25.460833817512118`}, {27.366231711024128`, 24.98360529542961}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{27.233499352194578`, 24.823099256128142`}, {
        26.806592697889744`, 24.306864203589818`}, {25.884007205896175`, 
        23.20291178020235}, {24.993124979765984`, 22.148976547349715`}, {
        24.552952228015023`, 21.634651374533295`}}]}, 
      {Arrowheads[{{0.001046994610560529, 1.}}], 
       ArrowBox[{{24.417526349458136`, 21.476411369636317`}, {
        24.13394601949916, 21.145058505031905`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-70., 77.39473053055477}, {-69.32008087289499, 
        76.98670949436718}, {-67.95268494398117, 
        76.1720141246654}, {-66.59633715209358, 
        75.36602739724802}, {-66.42155446756678, 75.26242933973649}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-66.24238436161815, 75.15623074809301}, {-65.25077727244111,
         74.5684804882116}, {-63.91609204662081, 
        73.77946300552398}, {-62.6576048318715, 73.03458536570261}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-62.47835918083756, 
        72.92851433153716}, {-61.382758666786096`, 
        72.2801891476239}, {-60.133858504094206`, 
        71.54131394880832}, {-58.896802692885935`, 
        70.80961323674903}, {-58.89321179506571, 70.80748976685942}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-58.71393349675145, 70.70147392141052}, {-57.67159123316131,
         70.08508701144605}, {-56.45822412492032, 
        69.36773527289937}, {-55.256701368162965`, 
        68.65755802110898}, {-55.128119454279606`, 68.58157661252606}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-54.948807415912924`, 
        68.4756178439909}, {-54.06702296288925, 
        67.9545552560749}, {-52.889188909099175`, 
        67.25872697779712}, {-51.72319920679273, 
        66.57007318627565}, {-51.36226409257857, 66.3569546128441}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-51.182916242627726`, 
        66.25105647097793}, {-50.569053855969926`, 
        65.88859388151047}, {-49.42675285663076, 
        65.21428906350161}, {-48.296296208775225`, 
        64.54715873224902}, {-47.59557300384702, 64.13374795894855}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-47.41618707399286, 64.02791433525996}, {-47.17768391240333,
         63.88720288775276}, {-46.07091596751508, 
        63.23442153001279}, {-44.97599237411046, 
        62.58881465902911}, {-44.94506851314077, 
        62.57060255846066}, {-44.91418661502575, 
        62.552395757251354`}, {-44.88334759983078, 
        62.534194253859184`}, {-44.85255240563392, 
        62.51599804674259}, {-44.821801988523404`, 
        62.49780713436046}, {-44.76039371918428, 
        62.46143589598424}, {-44.69917462847839, 
        62.42508582422281}, {-44.63815295665338, 
        62.3887569067576}, {-44.04158958009977, 
        62.02662750408806}, {-43.83727975541848, 61.89668391281746}}]}, 
      {Arrowheads[{{0.0005292198316762724, 1.}}], 
       ArrowBox[{{-43.66153498450271, 
        61.784908051253055`}, {-43.475519748338655`, 61.66660004596788}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.0049799408552387145`, 1.}}], 
       ArrowBox[{{21.66679772560293, -5.}, {
        21.875205636456887`, -4.6781781473241395`}, {
        21.9585443599283, -4.550405405858602}, {
        22.039495263762927`, -4.426122455678087}, {
        22.186199463257623`, -4.198546200837898}, {
        22.323545384937987`, -3.9826710355964496`}, {
        22.768955834428215`, -3.24288422674574}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-34.388072647703595`, -5.}, {-32.99246884931145, \
-4.84730029222423}, {-32.051507340974894`, -4.744797652339645}, \
{-31.126023534686446`, -4.64446256730436}, {-30.246854458858827`, \
-4.550191284826312}}]}, 
      {Arrowheads[{{0.00026943477503555476`, 1.}}], 
       ArrowBox[{{-30.03976278148743, -4.5279853194971125`}, \
{-29.928167382478833`, -4.5160192009512725`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-70., 65.35683823536162}, {-69.34363628120929, 
        65.02420177909897}, {-67.97512886704214, 
        64.33563463024443}, {-66.61768608542421, 
        63.6544328767727}, {-66.27878493581622, 63.48479496323535}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-66.09253589434223, 
        63.391567487227896`}, {-65.2710471510603, 
        62.9803690107224}, {-63.93529899238214, 
        62.31351886808066}, {-62.662034375228146`, 
        61.67709348824246}, {-62.36638750045918, 61.52935305994481}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-62.1800763390567, 61.4362497900261}, {-61.400603812680025`,
         61.04673238016632}, {-60.15100730473775, 
        60.42243554385221}, {-58.91324485140134, 
        59.804202979300165`}, {-58.45360482049057, 59.57468137484761}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-58.267266213372196`, 
        59.48163304745864}, {-57.6873164526708, 
        59.19203468651017}, {-56.473222108546125`, 
        58.58593066548223}, {-55.27096181902729, 
        57.985890916216334`}, {-54.540194333178775`, 57.62126692388396}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-54.353826652179904`, 
        57.528276842629}, {-54.080535584114344`, 
        57.39191543871249}, {-52.90194340380725, 
        56.80400423297071}, {-51.735185278106016`, 
        56.22215729899098}, {-50.62609828088531, 55.66922652209143}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-50.43969167433982, 55.57631449562512}, {-49.43717119052115,
         55.07665624631766}, {-48.305915228637495`, 
        54.51300212762408}, {-47.18649332135971, 
        53.955412280692556`}, {-46.711222558273356`, 53.71875025849712}}]}, 
      {Arrowheads[{{0.008194554343709656, 1.}}], 
       ArrowBox[{{-46.52477983229184, 
        53.625910732101936`}, {-46.07890546868779, 
        53.40388670552308}, {-44.98315167062174, 
        52.85842540211566}, {-44.952218483819095`, 
        52.84304477679315}, {-44.921327048909916`, 
        52.827668626890286`}, {-44.890478281772104`, 
        52.81229695110482}, {-44.85967311629309, 
        52.79692974813487}, {-44.82891250437247, 
        52.78156701667896}, {-44.767483385103354`, 
        52.75085049419337}, {-44.70624250716844, 
        52.72015184735693}, {-44.645198077677826`, 
        52.68947106576643}, {-44.048345318176345`, 
        52.383642701601644`}, {-43.48186795094142, 52.07958947369746}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.0020220881135978503`, 1.}}], 
       ArrowBox[{{30., 43.843060873034915`}, {29.61403036088998, 
        43.094379284421954`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-23.82543329743073, 
        42.79400714463099}, {-23.394219348351392`, 
        41.76776381577602}, {-22.76219056693742, 
        40.28557357539251}, {-22.192737455785135`, 38.96175667678044}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-22.11028172241374, 
        38.770494853613236`}, {-21.388329611337443`, 
        37.10045128357343}, {-20.654557410966646`, 
        35.42078290143384}, {-20.44714029025727, 34.951350696882336`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-20.362963696976212`, 
        34.76083988649013}, {-19.94592035319463, 
        33.81697577539187}, {-19.262418438021392`, 
        32.289029905447485`}, {-18.66057030090951, 30.95903993074987}}]}, 
      {Arrowheads[{{0.007046775189580171, 1.}}], 
       ArrowBox[{{-18.574460623224905`, 
        30.769395413237554`}, {-17.964262057616683`, 
        29.4350191135732}, {-17.34796809792156, 28.102528486573707`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-70., 71.32062444150776}, {-69.83864112041553, 
        71.23130719896099}, {-68.68987158360258, 
        70.59680757724837}, {-67.3327038991345, 
        69.85255936116513}, {-66.34923792418188, 69.31465646740857}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-66.16650556748885, 69.21471171491943}, {-65.98645974414612,
         69.11623635140774}, {-64.65088278509262, 
        68.38759480612553}, {-63.326058466488945`, 
        67.66671597260209}, {-62.50856696372032, 67.22184814804103}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-62.32562247279752, 67.12229222921297}, {-62.05805734497157,
         66.97668690372494}, {-60.7997530294769, 
        66.29362453462645}, {-59.55114552000499, 
        65.61752886530664}, {-58.66308637950912, 65.13789292712543}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-58.479827967568774`, 
        65.03891605009952}, {-58.31223481655579, 
        64.94839989576549}, {-57.08287360508507, 
        64.28609683969243}, {-55.8629145715486, 
        63.63047891077687}, {-54.810826897987496`, 63.06649532046506}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-54.62724551153165, 62.96811881677302}, {-53.45120303827837,
         62.33929843441824}, {-52.25942707589595, 
        61.70360157747771}, {-51.07700636615043, 
        61.07432122869976}, {-50.95175517709701, 61.00781646872861}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-50.76779962193254, 60.91014138768523}, {-49.90394090904182,
         60.45145738808439}, {-48.7402307045701, 
        59.83501005563159}, {-47.5878047804684, 
        59.22488148835809}, {-47.087175420999706`, 58.95949305846835}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-46.90315424413699, 
        58.861941665865466`}, {-46.44859216446985, 
        58.62097394328062}, {-45.33722667493312, 
        58.02322440908552}, {-44.26834213021691, 
        57.431569874459164`}, {-43.28348076807609, 
        56.84594850995721}, {-43.2655343088335, 56.83384247637632}}]}, 
      {Arrowheads[{{0.0019363420509646405`, 1.}}], 
       ArrowBox[{{-43.09286777331259, 56.71736786436191}, {-42.42418482626556,
         56.26629848613533}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.007371031743163736, 1.}}], 
       ArrowBox[{{30., 74.4659939581648}, {29.50022778936803, 
        72.82154357938215}, {29.10268256921086, 71.52958190350705}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-70., 59.58414469297}, {-69.41870212004375, 
        59.315554879155044`}, {-68.28638299086414, 
        58.79348793089785}, {-67.16162721001753, 
        58.27605662702737}, {-66.21619984591507, 57.84205652848589}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-66.02689118373662, 
        57.755210271670286`}, {-64.73089722166354, 
        57.16447100787315}, {-63.42790123471019, 
        56.57207012579446}, {-62.23489886457933, 56.03102612781143}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-62.04517571643704, 
        55.945089031014774`}, {-60.85244171022245, 
        55.40556172986328}, {-59.60859239432275, 
        54.84286599194073}, {-58.374216815655615`, 
        54.28582840518772}, {-58.24925170692359, 54.22957639479023}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-58.059327844625834`, 
        54.144083738599164`}, {-57.149314974221056`, 
        53.73444896960426}, {-55.933886870019066`, 
        53.18872768519032}, {-54.72779871826093, 
        52.64855069766443}, {-54.258720596975685`, 52.43897455900901}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-54.068558412649864`, 
        52.354013324406786`}, {-53.5309167341579, 
        52.11380415274506}, {-52.34324091770996, 
        51.58448805043221}, {-51.16477126891715, 
        51.06060239072589}, {-50.2628595211836, 50.66029808773936}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-50.07248923052175, 
        50.575804181651286`}, {-49.99641296508189, 
        50.54203850946967}, {-48.83907118350662, 
        50.02868774250713}, {-47.69274592419134, 
        49.520550089838274`}, {-46.55743718713605, 
        49.0176255514631}, {-46.26485902846901, 48.88643850654826}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-46.0748102555293, 48.80122388552105}, {-45.44724652838258, 
        48.519835038058204`}, {-44.376275503972764`, 
        48.02709946030017}, {-43.38515954812178, 
        47.539367824588744`}, {-42.51453409504482, 
        47.05658913732364}, {-42.35191404913788, 46.94226313345741}}]}, 
      {Arrowheads[{{0.002991953639818276, 1.}}], 
       ArrowBox[{{-42.181527905831565`, 
        46.82247736676579}, {-41.16195302255171, 46.10569044546293}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-32.584083984754876`, 85.}, {-32.482631464790316`, 
        84.64824876198233}, {-32.18872632132567, 
        83.63214475279909}, {-31.7558284553522, 
        82.15150528490955}, {-31.41796489619766, 81.00098283923732}}]}, 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-31.359279624635512`, 
        80.80114263648929}, {-31.328846202921554`, 
        80.6975080957648}, {-30.90753199496836, 
        79.26880564348275}, {-30.491968354514416`, 
        77.86584710869077}, {-30.178132729813836`, 76.80653232280412}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-30.11896928606246, 76.60683316242486}, {-29.96966901552315,
         76.10288787491947}, {-29.455880684928545`, 
        74.37731349165324}, {-28.950603362730593`, 
        72.68912395889204}, {-28.928312278485176`, 72.6150484323868}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-28.868294798889576`, 
        72.41560428011431}, {-28.453837048929294`, 
        71.03831927663589}, {-27.96558174352467, 
        69.42489944488483}, {-27.662259881036935`, 68.42843972907622}}]}, 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-27.60160765520324, 68.2291876896033}, {-27.48583744651669, 
        67.84886446363878}, {-27.014604157905367`, 
        66.31021433289779}, {-26.551881877690708`, 
        64.80894905266184}, {-26.37781876863069, 64.24743797168254}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-26.316149386903092`, 
        64.04849839520256}, {-26.097118937118136`, 
        63.34192693792881}, {-25.64976366743308, 
        61.9060063036965}, {-25.20981606863554, 
        60.501187149964935`}, {-25.074743323133955`, 
        60.072205209352184`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-25.01219049640686, 59.87354164550327}, {-24.77727614072553,
         59.12746947673412}, {-24.352143883703036`, 
        57.78485328400406}, {-23.934419297568056`, 
        56.47333857177472}, {-23.75173036319579, 55.90324915998537}}]}, 
      {Arrowheads[{{0.0012906407821418474`, 1.}}], 
       ArrowBox[{{-23.68816988162256, 
        55.704905687910085`}, {-23.524102382320592`, 55.19292534004613}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.0031522578504627704`, 1.}}], 
       ArrowBox[{{12.914744422402984`, -5.}, {
        13.081109162880347`, -4.915536835951881}, {
        13.3271229065691, -4.791207726042927}, {
        13.714638494785543`, -4.597447891196953}, {
        14.08858557453778, -4.411523814507938}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-22.130609213249638`, 85.}, {-22.069490555607338`, 
        84.68783807145698}, {-21.67114714071337, 
        82.66247996041044}, {-21.3782229888919, 
        81.19151587078724}, {-21.322619765374935`, 80.9135407160706}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-21.281767140057834`, 
        80.70930768559462}, {-21.089308734878642`, 
        79.74715744371373}, {-20.80424759302267, 
        78.3280524735797}, {-20.523091825207626`, 
        76.93465169558858}, {-20.460691552223448`, 76.62545481489195}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-20.419488661213666`, 
        76.42129216036098}, {-20.169746035487393`, 
        75.18380332964497}, {-19.82218505344483, 
        73.47026227769734}, {-19.591492768468466`, 72.33883703460918}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-19.549881840415097`, 
        72.13475715221203}, {-19.48040887907993, 
        71.79402853974565}, {-19.144417512392707`, 
        70.15510211578993}, {-18.814210953383142`, 
        68.55348300583015}, {-18.71074338663883, 68.05457831003426}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-18.66844854125328, 67.85063906960586}, {-18.48978920205125,
         66.98917120986631}, {-18.171152258397022`, 
        65.46216672789845}, {-17.85830012242046, 
        63.97246955992654}, {-17.816205162269185`, 63.77317795510125}}]}, 
      {Arrowheads[{{0.009498971195866771, 1.}}], 
       ArrowBox[{{-17.773161615023582`, 
        63.56939542205875}, {-17.550856670203235`, 
        62.5169295436107}, {-17.248445777827005`, 
        61.09239651661106}, {-16.951067445291777`, 59.69887047892762}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{2.3268757853000785`, 85.}, {2.3122122634354296`, 
        84.28845618910384}, {2.290459819346318, 83.23613129451043}, {
        2.247568807376447, 81.17089109673735}, {2.24050676711844, 
        80.83531906663205}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{2.2361245549838578`, 80.62708635078387}, {2.214370535332407,
         79.59338500235114}, {2.181669419781882, 78.04708211893592}, {
        2.1494442964796447`, 76.53025916413584}, {2.147996425316725, 
        76.462442258924}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{2.1435507462392893`, 76.25421088840015}, {
        2.1177022201741047`, 75.04349056540288}, {2.0806807941219048`, 
        73.3094459780789}, {2.054503875851062, 72.08958633087762}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{2.0500354578330406`, 71.88135544706564}, {
        2.0442743517982693`, 71.61288454830087}, {2.0084828932032, 
        69.95380627606882}, {1.973306418336695, 68.33221116138272}, {
        1.9598786489082987`, 67.71675478467871}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{1.9553355899453382`, 67.50852551596762}, {
        1.9387449271987558`, 66.74809920424259}, {1.904798419789382, 
        65.20147040464843}, {1.8714668961085723`, 63.69232476260022}, {
        1.8637223218884045`, 63.3439566480349}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{1.8590932175523125`, 63.13572927441234}, {
        1.8387503561563283`, 62.22066227809798}, {1.806608221394165, 
        60.78327155623492}, {1.7749999132835979`, 59.37694120210426}, {
        1.7658320470208895`, 58.97119697988567}}]}, 
      {Arrowheads[{{0.0018280648864725342`, 1.}}], 
       ArrowBox[{{1.7611271491197285`, 58.762971305031584`}, {
        1.7439254318246267`, 58.001671215705976`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-27.39309192232577, 85.}, {-27.31656482746746, 
        84.684253520924}, {-27.06920128649508, 
        83.66663076273299}, {-26.581194007763443`, 
        81.66806657487972}, {-26.404517505877863`, 80.95343182864195}}]}, 
      {Arrowheads[{{0.010000000000000018`, 1.}}], 
       ArrowBox[{{-26.354530473527475`, 
        80.75124042345988}, {-26.22287433003678, 
        80.21870749638705}, {-25.86944639338347, 
        78.79549175184007}, {-25.52071938008195, 
        77.39709401437145}, {-25.34835853658954, 76.70900962408093}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-25.297749618952903`, 
        76.5069729808987}, {-25.176756896039404`, 
        76.02395605960363}, {-24.743492640602756`, 
        74.2946446351142}, {-24.317318411237753`, 
        72.60216534663694}, {-24.283071422501347`, 72.46686812250786}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-24.23196292094647, 
        72.26495727881314}, {-23.898234207944398`, 
        70.94651819417186}, {-23.486240030722684`, 
        69.32770317771897}, {-23.204777970642663`, 68.2280153645033}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-23.153134311782118`, 
        68.02624073717817}, {-23.081335879572617`, 
        67.74572029727828}, {-22.6835217544942, 
        66.20056955284977}, {-22.29279765548742, 
        64.69225094443344}, {-22.110559067747886`, 63.99324729609455}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-22.058014679403957`, 
        63.79170535260322}, {-21.90916358255229, 
        63.22076447202929}, {-21.53215875120349, 
        61.78300148445656}, {-21.161322376955702`, 
        60.375853330534476`}, {-20.998968171336102`, 
        59.763005412707834`}}]}, 
      {Arrowheads[{{0.0047402704312188345`, 1.}}], 
       ArrowBox[{{-20.945631334766134`, 
        59.56167173545187}, {-20.796654459808934`, 
        58.99932001026305}, {-20.438154999763174`, 57.653401523642245`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-12.142317293943025`, 85.}, {-12.087634443783685`, 
        84.49124425446864}, {-11.86832665421332, 
        82.46010433238635}, {-11.705979711596399`, 
        80.97524207920662}, {-11.693180802641452`, 80.85870865534584}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-11.670442196234596`, 
        80.65167478490099}, {-11.54588215920471, 
        79.51756189743413}, {-11.387945033159834`, 
        78.08566671487682}, {-11.232197988087911`, 
        76.68002222226539}, {-11.213493398146834`, 76.5112373319738}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-11.190552563045294`, 
        76.3042257723508}, {-11.038402397485864`, 
        74.93126602917043}, {-10.847785962467999`, 
        73.21984694697062}, {-10.72959494765291, 72.16423278275555}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-10.706419980251587`, 
        71.95724730350966}, {-10.660348683034309`, 
        71.54576497566597}, {-10.476090559184799`, 
        69.90902011525648}, {-10.29501159091947, 
        68.30961236574215}, {-10.239020607299512`, 67.81797681974582}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-10.215452669638971`, 
        67.61103571689979}, {-10.117111778238318`, 
        66.747541727123}, {-9.942391121141346, 
        65.22280819939898}, {-9.770849619628553, 
        63.735411782570125`}, {-9.740368833437657, 63.472640377519255`}}]}, 
      {Arrowheads[{{0.005814278192288372, 1.}}], 
       ArrowBox[{{-9.716369959916912, 63.26574880736127}, {-9.602280145115362,
         62.28219343744263}, {-9.436475569017198, 60.8599941248227}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-7.4627510607492535`, 85.}, {-7.456905860696969, 
        84.91140538464823}, {-7.320756043437262, 
        82.85721938714758}, {-7.219121922635802, 
        81.34309855297212}, {-7.185443539136212, 80.8436646305735}}]}, 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-7.171430474191037, 80.6358577448754}, {-7.118917242286387, 
        79.85711225109934}, {-7.020084658644869, 
        78.39779422609197}, {-6.922643286292632, 
        76.96563322976247}, {-6.889585641667091, 76.47982722741061}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-6.875445590327911, 76.2720289437776}, {-6.802893738145365, 
        75.2058269904541}, {-6.685113490954588, 
        73.48368514827196}, {-6.591094235487894, 72.11616920626236}}]}, 
      {Arrowheads[{{0.009999999999999983, 1.}}], 
       ArrowBox[{{-6.576808403914297, 71.9083808939131}, {-6.569302544720305, 
        71.79920770321601}, {-6.455460899442511, 
        70.15239465528629}, {-6.343588555121209, 
        68.54324600448277}, {-6.288308563307085, 67.75280714110256}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-6.273777904158008, 
        67.54503580603107}, {-6.2336855117563985`, 
        66.97176175080546}, {-6.125751769348078, 
        65.43794189425437}, {-6.01978732789625, 
        63.94178643482948}, {-5.980466282189864, 63.38979901719132}}]}, 
      {Arrowheads[{{0.005132054258645281, 1.}}], 
       ArrowBox[{{-5.965666958466974, 63.18204664596527}, {-5.915663563790216,
         62.48010079979255}, {-5.813251853419279, 61.04969041640531}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-2.5476960159509408`, 85.}, {-2.5421101569239943`, 
        84.75210824934257}, {-2.518267468870368, 
        83.69720773124892}, {-2.4813547398199667`, 
        82.08293790497308}, {-2.452691610312791, 80.83550713538507}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-2.4479070983125135`, 
        80.62728327465432}, {-2.444990519589942, 
        80.50035261135915}, {-2.409151628408499, 
        78.94771446064945}, {-2.373845792866237, 
        77.42560258276323}, {-2.3515134014684342`, 76.4628222912809}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-2.346683521373908, 
        76.2545994779511}, {-2.3324022698532807`, 
        75.63891496585202}, {-2.29164630646481, 
        73.89079966130002}, {-2.251577902700825, 
        72.18125666910726}, {-2.249430932735445, 72.09015847299129}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-2.244523653996775, 
        71.88193746937235}, {-2.2121970585613235`, 
        70.51028598927368}, {-2.173503774046308, 
        68.87788762179935}, {-2.1458343667643276`, 67.71753027083086}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-2.1408692464865604`, 
        67.50931063843917}, {-2.1354980491557782`, 
        67.28406156668424}, {-2.0981798838897325`, 
        65.72880782392832}, {-2.061549278248172, 
        64.21212639353163}, {-2.0404825409237017`, 63.344944021644096`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-2.035424249611704, 63.1367266318283}, {-2.025560923770318, 
        62.73071680856547}, {-1.9901695119953915`, 
        61.28127860210114}, {-1.9553750429233927`, 
        59.86381177413862}, {-1.9333727610628473`, 58.972400475363884`}}]}, 
      {Arrowheads[{{0.000686473563459502, 1.}}], 
       ArrowBox[{{-1.9282334790408497`, 
        58.76418506884218}, {-1.9211775165543217`, 58.478316324677934`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-17.269312838168357`, 85.}, {-17.233476972825365`, 
        84.76540578738548}, {-17.07693208275782, 
        83.74361494542447}, {-16.768108090161572`, 
        81.73698026041528}, {-16.63503031902847, 80.88299900459377}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-16.60296082056393, 
        80.67720392447538}, {-16.540453681557125`, 
        80.27608565647064}, {-16.31592964157737, 
        78.84173255560441}, {-16.094413053498542`, 
        77.43256640098805}, {-15.956948973986703`, 76.56202601249962}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-15.924462890134526`, 
        76.35629628181236}, {-15.875944889561902`, 
        76.04903871156444}, {-15.602386662885978`, 
        74.31693955954559}, {-15.333310471856846`, 
        72.62177639860228}, {-15.272715262858913`, 72.24202265166485}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-15.239896530937123`, 
        72.03634572401437}, {-15.0687163164745, 
        70.96354922873451}, {-14.80860419673895, 
        69.34225804994227}, {-14.57968019354296, 67.9234229650604}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-14.546466893998598`, 
        67.71780939894495}, {-14.301826064208226`, 
        66.21048366558446}, {-14.055160051413052`, 
        64.70000046001887}, {-13.875460387768412`, 63.60663358279512}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-13.841682022589877`, 
        63.40111207594349}, {-13.812976074264668`, 
        63.22645324552882}, {-13.574982486525144`, 
        61.78672080836009}, {-13.340887641956543`, 
        60.37768193475844}, {-13.159530652072812`, 59.291770596857944`}}]}, 
      {Arrowheads[{{0.0002117483361374244, 1.}}], 
       ArrowBox[{{-13.125221396234585`, 
        59.086337048729774`}, {-13.110691540558868`, 58.99933662472388}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.0026083600095249994`, 1.}}], 
       ArrowBox[{{15.187249972735035`, -2.6134531249801785`}, {
        15.377369927894268`, -2.541781359691622}, {
        15.561008391381975`, -2.4720751316038148`}, {
        15.892624046446063`, -2.3429934626241455`}, {
        16.200266280975672`, -2.2206518422607067`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-40.755644012187695`, -5.}, {-38.991952944375704`, \
-4.853611926352985}, {-37.85884241892739, -4.748581127884536}, \
{-36.79285537305219, -4.645823165929973}, {-36.6068101834035, \
-4.627715091482073}}]}, 
      {Arrowheads[{{0.002369511704469216, 1.}}], 
       ArrowBox[{{-36.399510964949926`, -4.607538328579268}, \
{-35.417115116043774`, -4.511920176866276}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-70., 26.15252493437941}, {-69.4571532907832, 
        26.04241524674937}, {-68.08001580293958, 
        25.765093182617264`}, {-66.71407595666328, 
        25.49075436641997}, {-65.91625240721953, 25.330926639368393`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-65.71203117654647, 25.29001506796027}, {-65.35906837679181,
         25.21930614735009}, {-64.01508152171266, 
        24.950779409010085`}, {-62.736546604828064`, 
        24.69502086729812}, {-61.62732553110136, 24.473187961204452`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-61.42309047909624, 24.43234544357415}, {-60.21518947488446,
         24.190839740033134`}, {-58.97236726182547, 
        23.942417154480115`}, {-57.741449283375, 
        23.69643988764674}, {-57.3383082442004, 23.615901236519345`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-57.134065335371304`, 
        23.57509802677144}, {-56.52243553953306, 
        23.452907939533013`}, {-55.31532603029966, 
        23.21182131013893}, {-54.12012075567477, 
        22.97317999946449}, {-53.04913349081298, 22.75940270117742}}]}, 
      {Arrowheads[{{0.005480828233104765, 1.}}], 
       ArrowBox[{{-52.844882866414515`, 
        22.718638131623184`}, {-51.765422910250635`, 
        22.50323333427457}, {-50.60593033945136, 22.271927979759077`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-46.52878496100692, -5.}, {-45.27564644302401, \
-4.951611378046488}, {-44.1716800843856, -4.90863459091872}, \
{-43.12184450002748, -4.866030814530425}, {-42.68569906995208, \
-4.845203682922149}, {-42.36676121513062, -4.828801281668859}}]}, 
      {Arrowheads[{{0.0014908915491721644`, 1.}}], 
       ArrowBox[{{-42.15878431302677, -4.81759854537574}, \
{-41.53869723201094, -4.783167238405533}}]}}}}, {{}, {
     {RGBColor[0.368417, 0.506779, 0.709798], AbsolutePointSize[6], 
      AbsoluteThickness[1.6], InsetBox[
       GraphicsBox[
        {RGBColor[0, 
          NCache[
           Rational[4, 9], 0.4444444444444444], 0], AbsolutePointSize[6], 
         Thickness[Tiny], CircleBox[{0, 0}]}], {13.079574920405857, 0.}, 
       Automatic, Scaled[{0.045, 0.045}]], InsetBox[
       GraphicsBox[
        {RGBColor[0, 
          NCache[
           Rational[4, 9], 0.4444444444444444], 0], AbsolutePointSize[6], 
         Thickness[Tiny], CircleBox[{0, 0}]}], {13.079574920405857, 0.}, 
       Automatic, Scaled[{0.045, 0.045}]]}, {}}, {}, {}, {{}, {}}, {{}, {}}}},
  
  AspectRatio->1,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0.},
  DisplayFunction->Identity,
  Frame->True,
  FrameLabel->{
    FormBox[
    "\"Speed \\!\\(\\*SubscriptBox[\\(v\\), \\(\\\\ \\)]\\)(px/s)\"", 
     TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(2\\)]\\)\"", TraditionalForm]},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{"DefaultBoundaryStyle" -> Automatic, "GridLinesInFront" -> True},
  PlotRange->{{-70, 30}, {-5, 85}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.729212901211246*^9, 3.729212939906506*^9}, 
   3.729213018949523*^9, 3.72921402600082*^9, {3.7292144458244257`*^9, 
   3.7292144585721817`*^9}, {3.729214531043428*^9, 3.729214550481546*^9}, 
   3.7292152078951693`*^9, 3.729339741007913*^9, {3.7293398287552423`*^9, 
   3.7293398361197147`*^9}, 3.738002101218377*^9, {3.7380071623880997`*^9, 
   3.738007205641448*^9}, {3.7380073256848507`*^9, 3.7380073710330563`*^9}, 
   3.738007586311922*^9, {3.738007657088553*^9, 3.738007677026869*^9}, 
   3.738007781912323*^9, {3.738007824318091*^9, 3.738007870412217*^9}, {
   3.738007906341373*^9, 3.738007954401372*^9}, {3.738007988638219*^9, 
   3.738008021018619*^9}, {3.73800807582727*^9, 3.7380080859530573`*^9}, 
   3.738008444124988*^9, 3.739629478954318*^9, {3.740511746361516*^9, 
   3.740511752790669*^9}, 3.743437562377014*^9, 3.743438458434269*^9, 
   3.743616189912649*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"8619f8a0-8c7f-42f0-a733-978d8706c080"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"wormStreamPlot", "[", 
  RowBox[{"rReduced", ",", "10"}], "]"}]], "Input",
 CellChangeTimes->{{3.729268542082355*^9, 3.7292685669890003`*^9}, {
  3.738002121208894*^9, 
  3.738002122510577*^9}},ExpressionUUID->"d9186b22-e5af-4a6f-b7a7-\
9d346f3b1cde"],

Cell[BoxData[
 TemplateBox[{
  "NDSolve","mconly",
   "\"For the method \\!\\(\\*RowBox[{\\\"NDSolve`IDA\\\"}]\\), only machine \
real code is available. Unable to continue with complex values or beyond \
floating-point exceptions.\"",2,56,15,20449655172264456560,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7292685430103283`*^9, 3.729268567867034*^9}, 
   3.7380021238827553`*^9, 3.738007376918497*^9, 3.738007591405435*^9, 
   3.738007967402956*^9, 3.738008028237546*^9, 3.7380081031222887`*^9, 
   3.7380084450258636`*^9, 
   3.739629484134348*^9},ExpressionUUID->"4e851c55-479c-4362-b611-\
ae7fe11ab4e5"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxd2Hk8VOsfB3BkLWQPJZFLdmMZ68w89jWEVAj9tClbkkSkcoskbfeWqOvS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    "], {{}, {}, 
     TagBox[
      TooltipBox[
       {RGBColor[0, 
         NCache[
          Rational[2, 3], 0.6666666666666666], 0], Thickness[0.004], 
        LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
         18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
         35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 
         52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 
         69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 
         86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 
         102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115,
          116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 
         129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142,
          143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 
         156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169,
          170, 171, 172, 173, 174, 175, 176, 177, 178, 179, 180, 181, 182, 
         183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196,
          197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 
         210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223,
          224}]},
       RowBox[{"0.`", "\[Equal]", 
         RowBox[{
           RowBox[{"-", "23.0789596020988`"}], "+", 
           FractionBox["80.617963063362`", 
            RowBox[{
              RowBox[{"1.`", "\[VeryThinSpace]"}], "+", 
              SuperscriptBox["2.718281828459045`", 
               RowBox[{
                 RowBox[{"42.1459351307908`", "\[VeryThinSpace]"}], "+", 
                 "Charting`Private`pvar$18982"}]]}]], "+", 
           FractionBox["19.8202677164229`", 
            RowBox[{
              RowBox[{"1.`", "\[VeryThinSpace]"}], "+", 
              SuperscriptBox[
              "2.718281828459045`", "Charting`Private`pvar$18983"]}]], "-", 
           
           RowBox[{"0.7556931745695831`", " ", 
             "Charting`Private`pvar$18982"}]}]}]],
      Annotation[#, 
       0. == -23.0789596020988 + 
        80.617963063362/(1. + 
         2.718281828459045^(42.1459351307908 + Charting`Private`pvar$18982)) + 
        19.8202677164229/(1. + 2.718281828459045^Charting`Private`pvar$18983) - 
        0.7556931745695831 Charting`Private`pvar$18982, "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       {RGBColor[
         NCache[
          Rational[1, 3], 0.3333333333333333], 1, 
         NCache[
          Rational[1, 3], 0.3333333333333333]], Thickness[0.004], 
        LineBox[CompressedData["
1:eJwNzlk2QgEAANBXKoqECgmVMUMytRHn2IAFsOZKhihEqIT7cf9v6erm4joU
BMEldRo0uaXFHfc88EibJ57p0OWFV97o8c4HfT754psBQ0b8MOaXPwKJEGEm
iBAlxiRTxEkwzQxJZkkxxzwLpMmQZZEllsmxQp5V1linQJESG2yyxTY77FJm
j30OOKTCEVWOOeGUM86p8Q8dPyTm
         "]]},
       RowBox[{"0.`", "\[Equal]", 
         RowBox[{
           RowBox[{"14.9499570111064`", "\[VeryThinSpace]"}], "-", 
           RowBox[{"1.`", " ", "Charting`Private`pvar$18983"}]}]}]],
      Annotation[#, 0. == 14.9499570111064 - 1. Charting`Private`pvar$18983, 
       "Tooltip"]& ]}], {{}, {
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-7.632304213598575, 85.}, {-7.698615957806295, 
        84.73131918639682}, {-8.073547069927988, 
        83.22027116429601}, {-8.411734031712408, 
        81.86408550727836}, {-8.638810988540726, 80.95785296310817}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-8.689434876141123, 80.75582007039779}, {-8.744788216506807,
         80.53491258965398}, {-9.07278768716172, 
        79.23224917060062}, {-9.395810506527688, 
        77.95559200929603}, {-9.710648191722624, 76.71736355530646}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-9.762195226445856, 
        76.51556423086146}, {-10.027238442794946`, 
        75.47828349664408}, {-10.335799685397314`, 
        74.27662566365225}, {-10.63969652811289, 
        73.09896112512013}, {-10.799871845634195`, 72.48130734723686}}]}, 
      {Arrowheads[{{0.009999999999999983, 1.}}], 
       ArrowBox[{{-10.85215505621705, 72.27969749225986}, {-10.93900703379222,
         71.94478664022549}, {-11.233809265285839`, 
        70.81359896814605}, {-11.524181285444289`, 
        69.7048948680596}, {-11.810201157118106`, 
        68.61817109914386}, {-11.907566476607585`, 68.25004462367215}}]}, 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-11.960822622903603`, 
        68.0486895874441}, {-12.09194694315783, 
        67.55292442057656}, {-12.369496706414004`, 
        66.50865159153547}, {-12.64292850973716, 
        65.48484937119828}, {-12.912320415977842`, 
        64.4810145187428}, {-13.035551736128651`, 64.02414649830611}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-13.089792432159175`, 
        63.823054443199936`}, {-13.25461242090493, 
        63.21200051718083}, {-13.590627465422457`, 
        61.9731487279186}, {-13.920365549530421`, 
        60.764459150956085`}, {-14.1840372938427, 59.80377379128319}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-14.239163329453453`, 
        59.602922632634446`}, {-14.243826673228824`, 
        59.585931786293266`}, {-14.561010836517667`, 
        58.43756663393019}, {-14.871918039396952`, 
        57.319363693866855`}, {-15.176548281866673`, 
        56.231322966103214`}, {-15.357352624968934`, 55.59024059305299}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-15.413888042229212`, 
        55.3897815839566}, {-15.474901563926831`, 
        55.173444450639295`}, {-15.767434939514159`, 
        54.142886852887045`}, {-16.054605462565384`, 
        53.13680887825843}, {-16.55911514996822, 51.38473151524578}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-16.616792844495468`, 
        51.18459825938599}, {-17.14965902940923, 
        49.35729321098006}, {-17.665008697614525`, 
        47.61441311608256}, {-17.792601756196394`, 47.188425467246745`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-17.85236289906111, 
        46.988904356744115`}, {-18.160465193756632`, 
        45.96026084292748}, {-18.63758675591677, 
        44.38564572076277}, {-19.06192695942459, 43.002820565052744`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-19.123368182079826`, 
        42.80381081577771}, {-19.53682507829118, 
        41.47502692940445}, {-19.77120780184428, 
        40.727359323314445`}, {-20.000597906697703`, 
        40.000766366080576`}, {-20.377664814219447`, 
        38.831599955442854`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-20.44159416156253, 38.63337506729561}, {-20.47372561104413,
         38.533745503656895`}, {-20.925614339304214`, 
        37.15263459646283}, {-21.32427922602391, 
        35.94128481319611}, {-21.707071618648705`, 
        34.79263164880412}, {-21.74603145190084, 34.67732395875533}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-21.812701376005204`, 
        34.48000394215129}, {-22.073991517178612`, 
        33.706675103286855`}, {-22.42503892161361, 
        32.68341517664429}, {-23.08448969605871, 
        30.79957492306479}, {-23.176436589796904`, 30.54404588427633}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-23.24695510540351, 
        30.34806831747507}, {-23.690397389843795`, 
        29.11570063114709}, {-24.246959464825387`, 
        27.611453309104455`}, {-24.69192349898404, 26.441249459813086`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-24.7662193480695, 
        26.246674385218622`}, {-25.48481616843379, 
        24.431437286984167`}, {-26.11956069168438, 
        22.896518008492876`}, {-26.337598987416932`, 22.38908796732333}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-26.41982505123018, 
        22.1977272028953}, {-26.676494836524064`, 
        21.600391953685637`}, {-27.163434160778714`, 
        20.51367189865358}, {-27.96131587192845, 
        18.840582455490264`}, {-28.179276422085955`, 18.42304809031854}}]}, 
      {Arrowheads[{{0.009400156618720472, 1.}}], 
       ArrowBox[{{-28.27565962838071, 
        18.238412380671022`}, {-28.5702335866131, 
        17.674114159925097`}, {-29.240499951931838`, 
        16.52243171347276}, {-29.683904123776543`, 
        15.847352396251294`}, {-29.97629833535184, 
        15.459197906426859`}, {-30.168546608210768`, 
        15.241130374565449`}, {-30.3014295573356, 
        15.109587117945797`}, {-30.385884991046222`, 
        15.039857154158721`}, {-30.439878621735932`, 15.00229780261454}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{30., 30.74064025325263}, {29.410369344279033`, 
        30.53684206957909}, {27.717338068333397`, 29.95711083537639}, {
        26.09710328049178, 29.407355098882892`}, {26.05803348003476, 
        29.394217172940024`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{25.86061733681165, 29.327832429755958`}, {
        24.522082130847703`, 28.877725794908347`}, {22.99102741168768, 
        28.367532780155713`}, {21.90892691872242, 28.01022429674265}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{21.71115109695812, 27.94491892132717}, {21.502691915298215`,
         27.876085911327955`}, {20.05582843396582, 27.402695045128038`}, {
        18.649189759977016`, 26.94667003825893}, {17.749477243459733`, 
        26.65764517420561}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.55117904320885, 26.5939435925144}, {17.281528685618294`, 
        26.507320747423588`}, {15.951598003176171`, 26.083957029324974`}, {
        14.846212970631907`, 25.734902374424262`}, {13.766488785719462`, 
        25.39645071305875}, {13.579381411949074`, 25.338254112283213`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{13.380500571215045`, 25.27639557268175}, {
        12.712425448438836`, 25.06860204522843}, {11.68402295879003, 
        24.75135637093331}, {10.680102611065095`, 24.44407834364796}, {
        9.699485699556082, 24.14613261684696}, {9.397855191509143, 
        24.055564122890065`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{9.198374708635079, 23.99566750624913}, {7.808162185185836, 
        23.578238064698024`}, {6.005774735352135, 23.045439274570015`}, {
        5.204464466051175, 22.812221921587902`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{5.0044834124128545`, 22.75401843442083}, {4.28804566972783, 
        22.545502806546445`}, {4.07550900906682, 22.484166641383865`}, {
        3.8642693398592236`, 22.423325782976413`}, {3.648481079529868, 
        22.36142369474567}, {3.4340462678541237`, 22.300034342956195`}, {
        1.8628477242404706`, 21.853389657783058`}, {0.9986868522898588, 
        21.611469251821333`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{0.7981191507828257, 21.55532065571345}, {0.3642816051848845,
         21.433868552801655`}, {-0.7827928305939468, 
        21.1172290711582}, {-1.8873064240835795`, 
        20.816043151443612`}, {-2.9508097406575393`, 
        20.529574381321915`}, {-3.220266153213195, 20.457874653459445`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-3.4215412827004332`, 
        20.404317301185493`}, {-3.9748533456893527`, 
        20.257086348457165`}, {-5.910309899964441, 
        19.75138932081921}, {-7.453610391120639, 19.35827773004593}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-7.6554443191572945`, 
        19.306866318608442`}, {-7.702755093947621, 
        19.294815253993924`}, {-9.364598462878543, 
        18.88175369258892}, {-10.906485453121668`, 
        18.5075042452498}, {-11.702158211975556`, 18.319031662069744`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-11.904828870049574`, 
        18.271024661657872`}, {-12.336088446847755`, 
        18.16887135107153}, {-13.661686692289312`, 
        17.862408270713438`}, {-14.89067977164374, 
        17.585169501623916`}, {-15.966857973465446`, 
        17.348262677757738`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-16.170421534650373`, 
        17.30419791323728}, {-17.086710089280015`, 
        17.10737126114939}, {-18.21003891051811, 
        16.872495549638714`}, {-19.23810728942798, 
        16.663873468059684`}, {-20.17996442863829, 
        16.47809865742455}, {-20.250412004543897`, 16.464547268126896`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-20.45494111592244, 
        16.42520377652532}, {-21.044659530777693`, 
        16.311764758745543`}, {-22.56429878506701, 
        16.03075456355746}, {-23.840495374742307`, 
        15.807512615098487`}, {-24.55530616921068, 15.692097042802216`}}]}, 
      {Arrowheads[{{0.005938058741545036, 1.}}], 
       ArrowBox[{{-24.760921999110217`, 
        15.6588976719132}, {-25.814481593052292`, 
        15.488786665722413`}, {-27.206537399962723`, 15.28886023496912}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000018`, 1.}}], 
       ArrowBox[{{-70., 71.069661363127}, {-69.77953050182792, 
        70.9573842779373}, {-68.0926963982338, 
        70.10164839787518}, {-66.42580279385001, 
        69.25937477657523}, {-66.2837046093491, 69.18786539993275}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-66.09765605079295, 69.09423847222561}, {-64.77884968867657,
         68.43056341403744}, {-63.15095491771763, 
        67.6144342645177}, {-62.37431603768666, 67.2264198984622}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-62.18799652959731, 67.13333333316923}, {-61.54123631597733,
         66.81020728227197}, {-59.949693883455694`, 
        66.01788246730024}, {-58.45834785204546, 65.2781435739396}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-58.27168438641566, 
        65.1857487981842}, {-56.821137526068355`, 
        64.46893933917872}, {-55.28412360120267, 
        63.71232102602895}, {-54.53490536557051, 63.34496452940161}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-54.3478966365629, 
        63.25327045648705}, {-53.765285845555645`, 
        62.967604880153175`}, {-52.26462425912726, 
        62.23479090155139}, {-51.21858828995913, 
        61.72567849994148}, {-50.603880761519946`, 61.42725127601231}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-50.416514895452934`, 
        61.336289196189675`}, {-50.181197152131475`, 
        61.222047515989324`}, {-49.15279024515527, 
        60.72383924626986}, {-48.13370696854147, 
        60.23099498735802}, {-47.1268025969359, 
        59.743457526372445`}, {-46.667666517749105`, 59.52020677622838}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-46.480356801964994`, 
        59.4291291274578}, {-46.13493240498445, 
        59.261169650431825`}, {-44.996096056622626`, 
        58.70622879314699}, {-43.90522944327742, 
        58.15823785507081}, {-43.473069020243884`, 
        57.90577709964461}, {-43.07710856548901, 
        57.65479144185499}, {-42.811401647043205`, 57.46841324944249}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-42.6408886418099, 57.34880813759936}, {-42.36566304163887, 
        57.15575313487092}, {-41.803595320242984`, 
        56.66254651969992}, {-41.36078700611392, 
        56.175103397053526`}, {-40.654799412570824`, 
        55.09296716758152}, {-40.16044798663162, 54.07572320765307}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-40.0815001167137, 53.88309625268918}, {-39.74043157795373, 
        53.01313822512555}, {-39.40748397941642, 
        52.01398852760402}, {-38.93636233763719, 
        50.392972503991494`}, {-38.81550728163235, 49.91821887083146}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-38.7641257472248, 49.71637733483199}, {-38.54175821756801, 
        48.84285332937252}, {-38.19556271098437, 
        47.36052985297455}, {-37.820288555008666`, 45.659452919539156`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-37.7754191129412, 45.45606461874175}, {-37.77087943516965, 
        45.43548675314814}, {-37.39053163462199, 
        43.62471967444334}, {-37.04505419870301, 
        41.921631225528245`}, {-36.93603392803846, 41.375969123191815`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-36.89522745454555, 
        41.171726866413806`}, {-36.72498201677433, 
        40.319624015070985`}, {-36.426642962844014`, 
        38.81286297440555}, {-36.14636491092018, 
        37.395513034865914`}, {-36.084972066702505`, 37.08571370338776}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-36.04448484860847, 36.88140792054325}, {-35.89117973455102,
         36.10780274794705}, {-35.648363153027034`, 
        34.88998492638592}, {-35.41791516634824, 
        33.742059570182526`}, {-35.22671423475078, 32.796895099164324`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-35.185223353446794`, 
        32.592790955361906`}, {-34.79447360226017, 
        30.687881338426696`}, {-34.42596746314087, 
        28.93179194836331}, {-34.33626744018588, 28.51466198729216}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-34.292479947231655`, 
        28.31103801229539}, {-34.090637988376315`, 
        27.372416976689905`}, {-33.78480580918608, 
        25.986414890949696`}, {-33.38633754522518, 24.24527334775115}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-33.338214079953936`, 
        24.042631015908835`}, {-33.03027706622821, 
        22.750563540532035`}, {-32.72062545649277, 
        21.499388346992404`}, {-32.449505674211345`, 
        20.446985085559092`}, {-32.32768415253775, 20.001717009960746`}}]}, 
      {Arrowheads[{{0.005304797770821518, 1.}}], 
       ArrowBox[{{-32.27272080353664, 
        19.800821270833996`}, {-32.00418765044068, 
        18.8193096407809}, {-31.663172158517284`, 17.676952293690096`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{30., 75.77810686916301}, {29.754716588588867`, 
        75.45181591269701}, {29.00228982217159, 74.45496818220712}, {
        28.25924164804746, 73.47454807165279}, {27.52543586715116, 
        72.5102497918808}, {27.485061262977915`, 72.45740776515498}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{27.358609483027955`, 72.29190847488404}, {
        26.800736280417357`, 71.56176755373787}, {26.08500668878074, 
        70.62879556807079}, {25.378110893176, 69.71102804572635}, {
        24.81998009976783, 68.98928612837632}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{24.692568348640883`, 68.82452474513539}, {24.6799126945378, 
        68.80815919755128}, {23.915401963644857`, 67.82347603890967}, {
        23.16105050275098, 66.85585065335609}, {22.41685831185618, 
        65.90528304089051}, {22.129986688389792`, 65.54045269674559}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{22.001246726988754`, 65.37672704184948}, {
        21.682825390960446`, 64.97177320151293}, {20.95895174006379, 
        64.05532113522335}, {20.245237359166193`, 63.15592684202179}, {
        19.54168224826767, 62.27359032190822}, {19.412921697485178`, 
        62.11291187321307}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{19.282676662244707`, 61.950380957606505`}, {
        18.84828640736822, 61.40831157488267}, {18.16451282672244, 
        60.55891687230451}, {17.489824496584937`, 59.72423248553316}, {
        16.824221416955712`, 58.9042584145686}, {16.665538540145885`, 
        58.7096230770482}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{16.5339290279703, 58.548195062014855`}, {
        16.167703587834755`, 58.09899465941083}, {14.881923681117675`, 
        56.53259809651569}, {13.886799018282575`, 55.33189476187223}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{13.753893122564362`, 55.17153238905354}, {
        13.632484776433694`, 55.02504279684775}, {12.417468303666713`, 
        53.57228793079784}, {11.234955692700627`, 52.17029266875682}, {
        11.07464851531772, 51.98193516758519}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{10.939657704069466`, 51.82332385458628}, {
        10.084946943535439`, 50.819057010724684`}, {8.967442056171148, 
        49.518580956701435`}, {8.590660534631644, 49.082320873924765`}, {
        8.226768853796784, 48.662296973301174`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{8.089921410780649, 48.505284817469246`}, {
        7.8184985400231835`, 48.19400387587938}, {7.42363179062689, 
        47.74265357737885}, {6.384054141304039, 46.559142458908035`}, {
        5.3721753095732385`, 45.416837286078284`}, {5.3377866333153134`, 
        45.37836328304259}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{5.198986829003881, 45.22307425556219}, {4.387995295434495, 
        44.31573805888964}, {3.4315140988878037`, 43.25584477734208}, {
        2.501274983838101, 42.23433700692313}, {2.407011837620806, 
        42.13169448289459}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{2.266131322319213, 41.978290610254234`}, {
        1.5958212141903239`, 41.24839431312034}, {0.7151527899444717, 
        40.29801669593372}, {-0.14073028889945705`, 
        39.38320415536324}, {-0.5708865691720908, 38.92821611327536}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-0.7139739909025011, 
        38.776868640632955`}, {-1.2092596535523554`, 
        38.25299147259433}, {-2.240260066717474, 
        37.174970589836555`}, {-3.235018739315957, 
        36.14681293678119}, {-3.6003916232059847`, 35.77351484900603}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-3.7460784877865057`, 
        35.62466793025593}, {-4.194822882268949, 
        35.16618994311954}, {-5.120879004360737, 
        34.23095548528241}, {-6.014393614375609, 
        33.33896343970055}, {-6.687488963819156, 32.67517157181901}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-6.835785638917847, 32.52892464403119}, {-6.875832525716901,
         32.48943128278132}, {-7.706617164466593, 
        31.679902978268082`}, {-8.508180949642654, 
        30.90786825716496}, {-9.281957300263043, 
        30.170816850476015`}, {-9.842367917187033, 29.645936637087054`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-9.994383364134196, 
        29.50355906995601}, {-10.749426547979784`, 
        28.796386123037152`}, {-12.115582607902763`, 
        27.54605508134439}, {-13.069000620166342`, 26.693310948951705`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-13.224244014453255`, 
        26.554460107171835`}, {-13.38750275049761, 
        26.40844028435231}, {-14.571556403445205`, 
        25.3737121739172}, {-15.67389471653571, 
        24.432402798737748`}, {-16.38377509810489, 23.840108244691134`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-16.543698681294362`, 
        23.706674683423586`}, {-16.700096640276197`, 
        23.576182755805892`}, {-17.753560419575248`, 
        22.718804619504237`}, {-18.725792815742416`, 
        21.948553780751766`}, {-19.62375035260103, 
        21.25527311180064}, {-19.806427494789258`, 21.11749811205841}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-19.972714762044223`, 20.9920843469384}, {-20.4543895539744,
         20.628805484902998`}, {-21.931288442391267`, 
        19.554859599773103`}, {-23.191640465244685`, 
        18.68381661037193}, {-23.362174830837105`, 18.57163777356527}}]}, 
      {Arrowheads[{{0.004702712314090829, 1.}}], 
       ArrowBox[{{-23.536181461885437`, 
        18.457174853438662`}, {-24.268312707111182`, 
        17.975573205618737`}, {-25.186763051308418`, 17.402411655090326`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-70., 14.154530275349112`}, {-69.46989727455622, 
        14.158355000343256`}, {-68.15050494268874, 
        14.167848330073149`}, {-66.84282500089938, 
        14.177230984015726`}, {-65.83453097393883, 14.184444806753584`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-65.62625748218616, 
        14.185934895963998`}, {-65.5468574491881, 
        14.18650296217099}, {-64.26260228755493, 
        14.19566426453895}, {-62.99005951599982, 
        14.20471489111959}, {-61.729229134522825`, 
        14.213654841912922`}, {-61.46078633301385, 14.215552305030279`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-61.25251271377862, 
        14.217024467847073`}, {-60.48011114312391, 
        14.222484116918936`}, {-59.24270554180309, 
        14.231202716137641`}, {-58.017012330560384`, 
        14.239810639569033`}, {-57.087039288530875`, 14.24631997736307}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-56.87876556833864, 
        14.247777787360866`}, {-56.803031509395744`, 
        14.248307887213112`}, {-55.600763078309214`, 
        14.256694459069879`}, {-53.67695715606791, 
        14.270090909519734`}, {-52.71329001578515, 14.27676931684607}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-52.50501619508683, 
        14.27821269636156}, {-51.781257480227644`, 
        14.28322848999171}, {-50.6178226406214, 
        14.291221237816622`}, {-49.46535797870577, 
        14.299117076519824`}, {-48.33953809023878, 14.30683502211013}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-48.131264157318434`, 
        14.308262116556168`}, {-47.20232335115469, 
        14.31462702754671}, {-45.394805656197846`, 
        14.327154137668394`}, {-43.965792382235335`, 
        14.337772832605198`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-43.757519310129155`, 
        14.33932046568639}, {-43.742219834374296`, 
        14.339434152849899`}, {-42.422867851480014`, 
        14.351472038680926`}, {-41.261403930696034`, 
        14.367226303402639`}, {-40.59651838038426, 
        14.382566209794005`}, {-40.10264818700223, 
        14.397502305467645`}, {-39.706058137606384`, 
        14.412045220281227`}, {-39.592879923891964`, 14.41693506897809}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-39.38479522292306, 
        14.42592533901749}, {-39.310657522354845`, 
        14.429128447872227`}, {-38.97638566087092, 
        14.4456691368415}, {-38.682353736255386`, 
        14.461684518591804`}, {-37.9374629619717, 
        14.506853974301995`}, {-37.32962207627653, 
        14.547844358399722`}, {-36.80158328556735, 
        14.585042650673419`}, {-35.78114424237768, 
        14.657839118569283`}, {-35.22814523683431, 14.696671331205243`}}]}, 
      {Arrowheads[{{0.007811858878329167, 1.}}], 
       ArrowBox[{{-35.02037803552329, 
        14.711260977948207`}, {-34.95159921062931, 
        14.716090704451078`}, {-34.260911419775574`, 
        14.762719409051945`}, {-33.10771607367074, 
        14.835086706526909`}, {-32.317849185552355`, 
        14.878895233270903`}, {-31.77217555347965, 14.905805241392732`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000018`, 1.}}], 
       ArrowBox[{{-70., 34.75900552570228}, {-69.44505129699228, 
        34.659329432944624`}, {-68.23088143777011, 
        34.441803364989674`}, {-67.02665006628196, 
        34.226617203133465`}, {-65.89947156353301, 34.02573203740571}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-65.69441224492508, 33.98925270742498}, {-64.64800278650773,
         33.803264597717266`}, {-63.47358687822165, 
        33.59509815415728}, {-62.30910945766959, 
        33.389271616696035`}, {-61.592635741316485`, 33.2629936551165}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-61.38751841685782, 33.22684187867853}, {-61.15457052485156,
         33.185784985333534`}, {-60.009970079767555`, 
        32.98463826006977}, {-58.875308122417565`, 
        32.78583144090475}, {-57.75058465280161, 
        32.58936452783847}, {-57.28440338649166, 32.50818441202788}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-57.079212457598224`, 
        32.472452767333735`}, {-56.63579967091967, 
        32.395237520870936`}, {-54.72927070693414, 
        32.06376068241998}, {-52.974982448878265`, 31.76018877833767}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-52.76973329276237, 
        31.724793451771184`}, {-51.70705657817978, 
        31.542516514828378`}, {-50.57430191987437, 
        31.348766021752965`}, {-49.45273029202026, 
        31.157252111054188`}, {-48.66373185221729, 31.02281291789306}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-48.458412278167344`, 
        30.987828060530916`}, {-48.34205092474751, 
        30.968000991579036`}, {-46.92547339776235, 
        30.72524314033545}, {-45.54367409065324, 
        30.486165784495004`}, {-44.35537627047602, 30.268986932565653`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-44.150908001529004`, 
        30.22938638558057}, {-43.11935297080867, 
        30.01882782298583}, {-41.490768030351276`, 
        29.56554767908247}, {-40.589900916277145`, 
        29.119249792900394`}, {-40.25893359750831, 28.865733057983007`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-40.093587968500906`, 
        28.739080420028458`}, {-40.02504834718121, 
        28.686579946343986`}, {-39.58812762779597, 
        28.267121994314223`}, {-39.089488967163696`, 
        27.694103634551876`}, {-38.6793354337844, 
        27.145741632375362`}, {-38.3233196815426, 
        26.620974885886223`}, {-37.58838062639274, 25.43521792527065}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-37.48204373309021, 
        25.256164252353777`}, {-36.893241548900406`, 
        24.229999941651577`}, {-36.33037237800827, 
        23.225027569806027`}, {-35.78528855531637, 
        22.252401789566388`}, {-35.43225786662801, 21.629863363778135`}}]}, 
      {Arrowheads[{{0.007236356541936058, 1.}}], 
       ArrowBox[{{-35.329516758070795`, 
        21.448688497019152`}, {-35.298539591195954`, 
        21.394063000371}, {-34.46733696831899, 
        19.969140601396735`}, {-33.78626633612834, 18.859567605056426`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000014`, 1.}}], 
       ArrowBox[{{-30.760291430779503`, 85.}, {-30.757749583963403`, 
        83.9361376187389}, {-30.753730741174394`, 
        82.26290281817904}, {-30.75028097625151, 80.83443558660095}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-30.74977795300347, 80.6261573719451}, {-30.74590649370267, 
        79.03219003499329}, {-30.742101089019958`, 
        77.47471205236741}, {-30.739607836957337`, 76.46059334536908}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-30.739095776554745`, 
        76.25231515273518}, {-30.73836683037268, 
        75.95581967571951}, {-30.734703717760826`, 
        74.47551290504958}, {-30.731111751184404`, 
        73.03379174035766}, {-30.728743935947655`, 72.08675157384504}}]}, 
      {Arrowheads[{{0.009999999999999983, 1.}}], 
       ArrowBox[{{-30.728223193275415`, 
        71.87847340273781}, {-30.72708445784729, 
        71.42302055627913}, {-30.723141663606434`, 
        69.85691898549491}, {-30.7192509814983, 
        68.3371557108168}, {-30.71764170408103, 67.71291040206246}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-30.71710477206661, 
        67.50463227206147}, {-30.715444156206747`, 
        66.8604725709194}, {-30.711716174178836`, 
        65.42357068386706}, {-30.70806870659889, 
        64.02754967697167}, {-30.706271391293566`, 63.33906991768532}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-30.7057276695151, 63.13079180529871}, {-30.70475570819405, 
        62.758472215982295`}, {-30.701504103861133`, 
        61.51987818546131}, {-30.69831389360014, 
        60.31176758540869}, {-30.69518507741106, 
        59.13414041582445}, {-30.69473341654389, 58.965229872640755`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-30.694176488270973`, 
        58.75695179514915}, {-30.69211765529392, 
        57.9869966767086}, {-30.689111627248696`, 
        56.87033636806112}, {-30.686166993275393`, 
        55.78415948988203}, {-30.68328375337402, 
        54.72846604217131}, {-30.68290587772205, 54.59139060152165}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-30.6823317180019, 
        54.383112570819144`}, {-30.677683361468336`, 
        52.69690834777601}, {-30.672292357212953`, 
        50.76404219449617}, {-30.670748501229486`, 50.21755223479277}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-30.67016010757854, 50.0092742438153}, {-30.66711074060786, 
        48.92986758233181}, {-30.662138511653062`, 
        47.19438451128293}, {-30.65821810570804, 45.84371492163401}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-30.657613565486642`, 
        45.635436976897125`}, {-30.65736023619405, 
        45.54815923666543}, {-30.65276048007633, 
        43.98175801379522}, {-30.6483392432999, 
        42.49518084267234}, {-30.64524696904497, 41.46987889396267}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-30.644618810373213`, 
        41.261601019119034`}, {-30.644096525864747`, 
        41.088427723296725`}, {-30.63778217421532, 
        39.03403136920542}, {-30.631861350506245`, 
        37.15005764385603}, {-30.63168812736318, 37.096044650175564`}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-30.631020167226175`, 
        36.88776689917475}, {-30.626298533983302`, 
        35.415506657286514`}, {-30.621058203892304`, 
        33.80937851953483}, {-30.61744894139232, 32.72221256853537}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-30.61675748412325, 
        32.51393489421682}, {-30.616123273012295`, 
        32.32290065229628}, {-30.61148718756992, 
        30.95428751249891}, {-30.607130226982356`, 
        29.693019763029838`}, {-30.60303267066675, 
        28.52857806677616}, {-30.602379933789365`, 28.348383274330338`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-30.601625470388047`, 
        28.140105818714815`}, {-30.595562058899517`, 
        26.46623812019253}, {-30.588967928364383`, 
        24.719398245303097`}, {-30.586038299954016`, 
        23.974558566297635`}}]}, 
      {Arrowheads[{{0.007847560063401409, 1.}}], 
       ArrowBox[{{-30.585219097041094`, 
        23.766281355255984`}, {-30.58314541318422, 
        23.23906021934405}, {-30.578004790698337`, 
        21.984168341597254`}, {-30.571605745860115`, 20.497348600094657`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{30., 6.713956417419073}, {28.948617120472846`, 
        6.90331521351747}, {27.09950495078634, 7.233171501748558}, {
        25.899096686919094`, 7.445113704238574}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{25.69399021156615, 7.481326982203874}, {25.30758033219416, 
        7.549550905150024}, {23.5728432646963, 7.852453423721867}, {
        21.89197614757943, 8.142916534324556}, {21.589941609066614`, 
        8.194615823472985}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{21.38464853734756, 8.229755863838012}, {20.261661380130207`,
         8.421977713818553}, {18.681898962348644`, 8.689636962203863}, {
        17.27750115687026, 8.924978869457288}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{17.072073761783333`, 8.95932481227909}, {
        16.526983922208437`, 9.05013712934636}, {15.90948402722478, 
        9.152570109576748}, {15.191616842071724`, 9.27055043637214}, {
        14.484840540878645`, 9.386129792687823}, {13.071869573653824`, 
        9.61614324385437}, {12.961491559705802`, 9.63393957240467}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{12.755868216258289`, 9.667092375637077}, {11.70186619868189,
         9.837029897853228}, {10.374830415962851`, 10.048789754684401`}, {
        9.0907622254967, 10.251422814347885`}, {8.642021666255992, 
        10.321499829121207`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{8.436236977642347, 10.353635940660807`}, {7.847089421182936,
         10.445639440606366`}, {6.641239796921054, 10.632149997222523`}, {
        5.473213352711057, 10.81095448419636}, {4.343010088552942, 
        10.982052901527876`}, {4.3188932642821, 10.98566595460528}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{4.112913167582503, 11.016524786344752`}, {
        3.2483591020612272`, 11.1460476327997}, {2.1869894908504266`, 
        11.303541061594466`}, {1.1589012549205409`, 11.454533187912173`}, {
        0.16409439427156958`, 11.599024011752817`}, {-0.008162356198159443, 
        11.623738633416801`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-0.21432998517933294`, 
        11.6533186349885}, {-0.9282368472813478, 
        11.755746771778842`}, {-1.9808334243776105`, 
        11.904898194380756`}, {-2.995926914893017, 
        12.047055684117204`}, {-3.9757488967033656`, 
        12.182796645546839`}, {-4.3394574502608725`, 
        12.232349103055974`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-4.545829743820514, 
        12.260465720626971`}, {-5.833316903447408, 
        12.435875817934132`}, {-7.5610145830867825`, 
        12.665829380439586`}, {-8.67489836096352, 12.81067090719931}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-8.88143835633164, 
        12.837527899697296`}, {-9.167996080366926, 
        12.874789828704987`}, {-10.662498675169344`, 
        13.064597093223904`}, {-12.052473923957901`, 
        13.237028602657455`}, {-13.01490234214745, 13.353654487061112`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-13.22166858876757, 
        13.37871016488727}, {-13.345241978233158`, 
        13.393684635261172`}, {-14.547780463557622`, 
        13.536065839762939`}, {-15.666374797994978`, 
        13.66547534461944}, {-16.706937552618058`, 
        13.783112759381792`}, {-17.359883023968145`, 
        13.855216900328907`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-17.566903408403288`, 
        13.8780779624439}, {-17.674678471272564`, 
        13.889979459069096`}, {-19.412157338613426`, 
        14.075369523737352`}, {-20.91509285462614, 
        14.228326221499517`}, {-21.71047631952036, 14.305367921573993`}}]}, 
      {Arrowheads[{{0.000714523544813094, 1.}}], 
       ArrowBox[{{-21.9177849202269, 14.32544805618003}, {-22.21403867272106, 
        14.354143514098089`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{12.278830476557236`, 85.}, {11.819950916233122`, 
        84.00711864215279}, {11.284251739286859`, 82.8527719275553}, {
        10.755404512787043`, 81.71800069198932}, {10.523412155684529`, 
        81.22236997642955}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{10.435115970466866`, 81.03373315232379}, {10.23340923673368,
         80.60280493545487}, {9.718265911126766, 79.50718465795195}, {
        9.209643063844373, 78.42990622327129}, {8.707209222764574, 
        77.36973599520363}, {8.65798421843202, 77.26626946232186}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{8.568504507829942, 77.07819115649349}, {8.210964387887362, 
        76.32667397374892}, {7.720908559212743, 75.30072015890721}, {
        7.237041736740714, 74.2918745506785}, {6.769477329154761, 
        73.32113424230768}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{6.678811555755844, 73.13362484866047}, {6.2878751104044275`,
         72.32550795406001}, {5.82257530654017, 71.36798696567024}, {
        5.5552555445470135`, 70.8191451383673}, {5.289900979467664, 
        70.27564251466728}, {5.015194789799284, 69.71572011973011}, {
        4.854417060728884, 69.38882370490558}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{4.7624953791145215`, 69.20192674885254}, {4.742594752738935,
         69.1614644071305}, {3.8660789327849177`, 67.38586550493568}, {
        3.010803747022336, 65.6665537944337}, {2.912163987291079, 
        65.46987088884723}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{2.8187930364978953`, 65.28369373321132}, {
        2.1767691954511914`, 64.00352927562456}, {1.363975278071483, 
        62.39679194850825}, {0.9401508874048916, 61.56581531971734}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{0.845519724154603, 61.38027553779821}, {0.5714048321974814, 
        60.84282872294724}, {-0.20195930485654356`, 
        59.33812650880397}, {-0.9561171330905918, 
        57.88268530607844}, {-1.0632223807055168`, 57.677761207545664`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-1.1596983987681777`, 
        57.4931739770245}, {-1.691068652504663, 
        56.47650511477066}, {-2.4077349244549096`, 
        55.11650315878494}, {-3.102385306996505, 53.808356622022956`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-3.2006578691769474`, 
        53.62471961907148}, {-3.7889749100323837`, 
        52.52578562449261}, {-4.453548623659612, 
        51.295070046186}, {-4.991659814266474, 
        50.30664533135439}, {-5.181574671350172, 49.960322183210295`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-5.281720182595344, 49.77769977409755}, {-5.518376813274255,
         49.34613970226086}, {-6.034019153726549, 
        48.4125064147074}, {-6.538906368666949, 
        47.50469872449602}, {-7.3069085094973545`, 46.13758870928049}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-7.408918905319719, 45.95600141105491}, {-7.51769355418646, 
        45.76237315930749}, {-8.45729463418154, 
        44.11078905311116}, {-9.359152031072965, 
        42.545614707631216`}, {-9.47864736358153, 42.3410326231226}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-9.583695189412547, 42.16118540457064}, {-10.22407168617979,
         41.06482828476787}, {-11.053655142198211`, 
        39.66352062120124}, {-11.70563179682116, 38.57662792591241}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-11.812771158522011`, 
        38.398018785869034`}, {-11.849503941824427`, 
        38.336782553611435`}, {-12.612922392160385`, 
        37.080914810022215`}, {-13.345044951397039`, 
        35.892909484939416`}, {-13.996185228074722`, 34.85058658838334}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-14.107106344820203`, 
        34.67430221185499}, {-14.720789473891232`, 
        33.70499763590609}, {-15.366879342580237`, 
        32.69814700982422}, {-15.98648019775976, 
        31.74572781230735}, {-16.364018014203193`, 31.173210221000765`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-16.478678272081336`, 
        30.99933356070382}, {-16.58074540884985, 
        30.844553751240614`}, {-17.150828345270543`, 
        29.99143853450911}, {-18.12924040066281, 
        28.555319122081038`}, {-18.82615494664575, 27.558383977498252`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-18.94548695427072, 27.38767973124499}, {-19.03526899010234,
         27.259246672430738`}, {-19.87487067687374, 
        26.08750574565898}, {-20.654002024261583`, 
        25.02438090186652}, {-21.37673165783623, 
        24.060573991288717`}, {-21.403946459468, 24.02519446197089}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-21.530935650917307`, 
        23.86010717297579}, {-22.046049381617067`, 
        23.190453887094982`}, {-22.666293526562207`, 
        22.403805683787155`}, {-23.241802423629753`, 
        21.690414475867065`}, {-24.141363667546287`, 20.614568077972354`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-70., 52.07484592989811}, {-69.96093516500305, 
        52.06167748583144}, {-68.77873121834023, 
        51.66420761107528}, {-67.60614891320142, 
        51.2710227543326}, {-66.44318824958667, 
        50.882122915603404`}, {-66.05034674109552, 50.751118359732125`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-65.85276476179094, 
        50.685228837144805`}, {-65.28984922749594, 
        50.4975080948877}, {-64.14613184692922, 
        50.11717829218548}, {-63.01203610788655, 
        49.74113350749674}, {-61.899202796695825`, 49.373222274121396`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-61.701396180604824`, 
        49.30801024726345}, {-60.7727095543733, 
        49.001898992159724`}, {-59.780006269001305`, 
        48.67480450365487}, {-58.79444897042674, 
        48.350822179529175`}, {-57.74425868141663, 48.00682611672326}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-57.54632766400542, 
        47.941992637106146`}, {-56.844772333669894`, 
        47.7121940244153}, {-55.6546710417027, 
        47.32587108019945}, {-54.47531393187009, 
        46.94415465905904}, {-53.58407021524392, 46.65649392040509}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-53.38586004448133, 46.59251895702904}, {-53.30644548365706,
         46.56688685348607}, {-52.1481508705686, 
        46.194120299316566`}, {-51.07281948364518, 
        45.84789163384982}, {-50.00711821228742, 
        45.505458478993255`}, {-49.420282877228445`, 45.3172850454751}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-49.221951013597014`, 
        45.25368835058312}, {-48.95104705649533, 
        45.166820834746915`}, {-47.90460601626889, 
        44.83197870111077}, {-46.88075147640163, 
        44.50084873949657}, {-45.892439821687034`, 
        44.17334761131603}, {-45.26268219669948, 43.959275683630125`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-45.065485127116325`, 
        43.89224297907096}, {-44.93967105212512, 
        43.84947531656918}, {-44.02244516771589, 
        43.52923185525599}, {-43.18711468765206, 
        43.21256677909547}, {-42.48844190578331, 
        42.89941026045148}, {-41.9274205726199, 
        42.58972359046465}, {-41.3170923011839, 42.13455758999741}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-41.15013105280795, 
        42.010042493428976`}, {-41.11063544130832, 
        41.9805877551125}, {-40.55526542435667, 
        41.38487630793466}, {-40.13444646110762, 
        40.80229338370267}, {-39.62258470820373, 
        39.92143905934298}, {-39.21629181149578, 
        39.07059779786336}, {-38.97612491416209, 38.49732417207815}}]}, 
      {Arrowheads[{{0.009386783100496196, 1.}}], 
       ArrowBox[{{-38.895645816796076`, 
        38.3052221611052}, {-38.87198609293412, 
        38.24874686898959}, {-38.17388697936727, 
        36.354934707466725`}, {-37.6049513708744, 34.615070747220344`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-61.0148981655523, 85.}, {-60.37490771451404, 
        84.56712102728262}, {-59.41475315854215, 
        83.91916369548184}, {-58.46138866955147, 
        83.27727440738312}, {-57.56047921395697, 82.67212666851984}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-57.38748963193789, 
        82.55613243618896}, {-56.575029892513804`, 
        82.01169996229181}, {-55.64203560446681, 
        81.38801480529926}, {-54.715831383401046`, 
        80.77039769200874}, {-53.92310596204159, 80.24311573564796}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-53.74964963970725, 80.1278206356128}, {-52.88379314221321, 
        79.5533675965339}, {-51.7830311505381, 
        78.8249813907986}, {-50.691738791586516`, 
        78.10480728398902}, {-50.27490685560136, 77.83039472754385}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-50.10094186657066, 77.71586852825195}, {-49.61013055638391,
         77.39275320350546}, {-48.53842093595569, 
        76.68872707674817}, {-47.47888934305813, 
        75.99263928497697}, {-46.62038017575799, 75.4272635610089}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-46.44643326354179, 75.31270990780153}, {-46.43381519044745,
         75.30440020945174}, {-45.225468024298664`, 
        74.50766331235795}, {-44.0618128772567, 
        73.72144411091789}, {-43.628621944869636`, 
        73.38669556921883}, {-43.2284311448804, 
        73.0538536763316}, {-43.0581200183238, 72.89815239931208}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-42.904398963966436`, 
        72.7576180434415}, {-42.50443196471809, 
        72.3919615311059}, {-41.92585393659813, 
        71.73760941183399}, {-41.4684476078315, 
        71.09071136281317}, {-40.697189557680986`, 
        69.61881389567857}, {-40.59500838106537, 69.34079555601879}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-40.52315799573261, 69.14530235956369}, {-40.17040051378047,
         68.1855067036198}, {-39.76232422816482, 
        66.78977796221741}, {-39.48571750086258, 
        65.69808320674048}, {-39.36022308998163, 65.14960191282421}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-39.31376863555848, 
        64.94656976907119}, {-39.241193654818325`, 
        64.6293762059246}, {-39.02170175041385, 
        63.58317784467738}, {-38.82019084803095, 
        62.55900900790643}, {-38.51037351151864, 60.859613393004544`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-38.47301785696317, 60.65471189763315}, {-38.45847162615243,
         60.574923590331196`}, {-38.253305679792376`, 
        59.3821652932678}, {-38.05881258261407, 
        58.21978608183833}, {-37.87499233461754, 
        57.087785956042815`}, {-37.78977582937839, 56.54561035431225}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-37.75743660169513, 56.33985748778167}, {-37.70184493580276,
         55.986164915881204`}, {-37.53700142333401, 
        54.913393213013464`}, {-37.378092834375536`, 
        53.86794109909948}, {-37.22511916892734, 
        52.849808574139274`}, {-37.13188145050326, 52.22153104455245}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-37.10130726839573, 
        52.015508504229416`}, {-37.07808042698942, 
        51.85899563813285}, {-36.79813117132295, 
        49.95382707843419}, {-36.534568525054674`, 
        48.1469339654564}, {-36.497760347308734`, 47.89388862233871}}]}, 
      {Arrowheads[{{0.0031548267054227336`, 1.}}], 
       ArrowBox[{{-36.46777946361744, 47.68777890799756}, {-36.27861047857452,
         46.38729804589655}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-70., 1.2016443305108473`}, {-69.12889056790345, 
        1.3053652245563954`}, {-67.59538438425442, 
        1.4885473171867962`}, {-66.08834472165837, 
        1.669169323960415}, {-65.86387460286109, 1.69610581546937}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-65.65707939287623, 
        1.7209213118378663`}, {-64.3023211718431, 
        1.8834927646132853`}, {-62.542072737454674`, 
        2.0945192277690032`}, {-61.521122701253795`, 2.216793478738786}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-61.31432174346068, 2.241561029860173}, {-60.80759941849308,
         2.302248713427568}, {-59.09890121495836, 
        2.5066812215889813`}, {-57.415978126850476`, 
        2.7078167522532413`}, {-57.178217603550934`, 
        2.7362017840701247`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-56.97140737637883, 
        2.760891815858714}, {-55.758830154169445`, 
        2.905655305420349}, {-54.12745729691525, 
        3.1001968810903047`}, {-52.83513536928322, 3.25412683584884}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-52.628318483998804`, 
        3.2787610335007096`}, {-52.521859555087914`, 
        3.2914414792631073`}, {-51.23802865295395, 
        3.4442686204662087`}, {-49.96828126781761, 
        3.595092407608468}, {-48.605655028273276`, 
        3.7563322331469178`}, {-48.49178763116507, 3.769819171580025}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-48.284954590534134`, 
        3.79431735592221}, {-47.263671692725055`, 
        3.9152824426401094`}, {-45.777075320124496`, 
        4.092596906672791}, {-44.36888533088381, 
        4.267061866168395}, {-44.14993372104385, 4.297554357853332}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-43.94364576839479, 4.326283233998394}, {-43.13626829983742,
         4.438723378944512}, {-41.69772833073675, 
        4.707625436871756}, {-40.8904413590864, 
        4.969653051514}, {-40.3411343066655, 
        5.224977259864467}, {-39.96559519046613, 5.439429460533019}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-39.7908380511998, 
        5.5524523719403405`}, {-39.51434092643194, 
        5.742254640730458}, {-39.18663837927056, 
        6.003132823752687}, {-38.90026663535783, 
        6.256619636943846}, {-38.1887682524907, 
        6.968232361490815}, {-37.61253768189151, 
        7.621589679422824}, {-37.113237442733485`, 
        8.221463749693463}, {-36.879837213702494`, 8.509801017275578}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-36.74879385744158, 8.671688961584518}, {-36.19806447310188,
         9.352047359333156}, {-35.438401295165875`, 
        10.292497558748526`}, {-34.790637898987676`, 
        11.074905383534002`}, {-34.09228341565486, 11.879713153699416`}}]}, 
      {Arrowheads[{{0.0027417568905425634`, 1.}}], 
       ArrowBox[{{-33.95577990703302, 
        12.037024500609382`}, {-33.8904200037718, 
        12.112347505268637`}, {-33.18010034389471, 12.8752282582939}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{30., 48.86906602285302}, {29.865486271660025`, 
        48.76900241057544}, {28.902619412088995`, 48.056574654164045`}, {
        27.955573783807452`, 47.35975684331501}, {27.0243493868154, 
        46.67854897802833}, {26.64384271645569, 46.401660133937}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{26.475433117959643`, 46.27911106267532}, {26.10799268286507,
         46.01173031676205}, {25.20555013370871, 45.35808011797422}, {
        24.317021739346316`, 44.717598381664814`}, {23.442407499777882`, 
        44.09028510783385}, {23.096271138329907`, 43.84330261745868}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{22.92672799306603, 43.72232662964816}, {22.58170741500342, 
        43.47614029648133}, {21.734921485022923`, 42.875163947607255`}, {
        20.08309208944383, 41.71271663729443}, {19.523036870662555`, 
        41.32091606775117}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{19.35233020377097, 41.20158764133056}, {18.69025179386094, 
        40.740517628901394`}, {17.867280830714844`, 40.17306611371302}, {
        17.058067252177032`, 39.61809983064615}, {15.920045592326773`, 
        38.841237636288724`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{15.748025978436397`, 38.723809700218524`}, {
        15.536342186590321`, 38.57930530206403}, {14.061740897453058`, 
        37.582466369975215`}, {12.63426338476524, 36.62758303437971}, {
        12.29067333335442, 36.40034208839779}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{12.116951550190288`, 36.28544731137562}, {
        11.253909648526871`, 35.714655295277524`}, {9.917804866615471, 
        34.84036021628728}, {8.630356298081011, 34.00609364903259}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{8.455048605028907, 33.89363369731666}, {7.369717699406146, 
        33.197699229498575`}, {6.157735314108223, 32.429333321700106`}, {
        4.984597239088817, 31.693468079432805`}, {4.936657308478012, 
        31.66368868757725}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{4.759734246780839, 31.55378737742856}, {3.847773652421955, 
        30.987294444497238`}, {2.7472645541076366`, 30.310812416893413`}, {
        1.6830699441458634`, 29.66402199662132}, {1.2070336113047588`, 
        29.378962634199453`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{1.0283429196683982`, 29.271959342403267`}, {
        0.12478226475582388`, 28.730890507044364`}, {-1.3561627313954312`, 
        27.85929419176803}, {-2.5624944499204227`, 27.1607094634565}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-2.742732615111778, 
        27.05633383631513}, {-2.7652731908882107`, 
        27.04328062569076}, {-4.108057260302825, 
        26.276897383711}, {-5.387364501105535, 
        25.557388548244624`}, {-6.372284222980219, 25.012344498571295`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-6.554520010487859, 
        24.911497161054776`}, {-6.604525283268859, 
        24.883824777431773`}, {-7.762768966132493, 
        24.252993509757253`}, {-8.86532490903614, 
        23.661682183705896`}, {-9.914707891437951, 
        23.10762873928855}, {-10.226868272735041`, 22.945496106650857`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-10.411702956416002`, 
        22.84949502623371}, {-10.913024361435195`, 
        22.589114260245246`}, {-11.862891181326257`, 
        22.10374090065455}, {-12.766925213409507`, 
        21.64911081459503}, {-14.133224366015716`, 20.978363168707023`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-14.320188491648969`, 
        20.886578183775427`}, {-14.445689397701848`, 
        20.824966905505065`}, {-15.965705881410766`, 
        20.102455417846425`}, {-17.09072033223443, 
        19.583170562011425`}, {-18.097545177488783`, 
        19.131013876782966`}}]}, 
      {Arrowheads[{{0.00208596099024273, 1.}}], 
       ArrowBox[{{-18.28823045158852, 
        19.047236476683917`}, {-19.084294458899567`, 18.698941674576055`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-25.020168876083684`, -5.}, {-24.546167928073025`, \
-4.388705945851046}, {-23.908203136248332`, -3.562576901465927}, \
{-22.778705270531017`, -2.0147009025193254`}, {-22.56992408776237, \
-1.6363980265432883`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-22.469286266186128`, -1.4540464523765468`}, \
{-21.9958758902664, -0.5962464133481937}, {-21.724770890499258`, 
        0.7036068196680867}, {-21.90129399015653, 
        1.8947737446240511`}, {-22.132586128742005`, 2.506308425774234}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-22.206266668463723`, 
        2.701119220647149}, {-22.423824010381892`, 
        3.276339202335547}, {-22.509477844793203`, 
        3.461086106794597}, {-22.59597406966525, 
        3.642909203291324}, {-22.696742622474876`, 
        3.8458933118009413`}, {-22.797466309247692`, 
        4.045233450263091}, {-23.474748987175794`, 
        5.337265889545604}, {-24.076663296634905`, 6.417778286988764}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-24.180108164152145`, 
        6.598544729059304}, {-24.690984086002054`, 
        7.480115513946218}, {-25.625798371677213`, 
        9.015039208156994}, {-26.355551520331016`, 10.15019832069155}}]}, 
      {Arrowheads[{{0.008289452712926365, 1.}}], 
       ArrowBox[{{-26.470460535269634`, 
        10.323889758370605`}, {-27.071060511589177`, 
        11.20700917005091}, {-27.625601715686628`, 
        11.977414260061563`}, {-28.51130202341869, 13.107490436812933`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-10.389785312624168`, -5.}, {-10.122694224256936`, \
-3.804834519226371}, {-9.822340524500717, -2.1627673365835998`}, \
{-9.836513538629566, -0.8912263537693779}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-9.838834938702282, -0.6829604688184265}, \
{-9.839037082765605, -0.6648249855252211}, {-10.215053086336303`, 
        0.4468374748667481}, {-10.908564022735026`, 
        1.4793589412235444`}, {-11.784860091558997`, 
        2.4383743343957693`}, {-11.937404788880334`, 
        2.590066721678861}, {-12.091077911827302`, 
        2.73991996674624}, {-12.09198590572948, 2.740776263954434}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-12.243511653762896`, 
        2.8836748833166035`}, {-12.258838145067672`, 
        2.898128759806531}, {-12.42680902724789, 
        3.054287598280467}, {-13.476507688672875`, 
        4.000825175311461}, {-14.49229111233063, 
        4.872040234413728}, {-15.387416192460647`, 5.61534451119576}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-15.548549729526266`, 
        5.747308424845529}, {-16.408789510779993`, 
        6.444169896936437}, {-17.301623005543483`, 
        7.150497432656312}, {-18.826565616406405`, 8.317182942643896}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-18.993046716125676`, 
        8.44232123109379}, {-20.348728816317692`, 
        9.43559567188143}, {-21.52105099819681, 
        10.256958283727082`}, {-22.39498807225861, 10.845323357296095`}}]}, 
      {Arrowheads[{{0.00869101914046799, 1.}}], 
       ArrowBox[{{-22.56791944519226, 
        10.961398301303618`}, {-24.291562675517127`, 
        12.06047838432724}, {-25.649062369651766`, 12.861220647055617`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-70., 24.382700665079412`}, {-69.0447049601445, 
        24.301084722871018`}, {-67.8011848117195, 
        24.195177090537307`}, {-66.56898143008294, 
        24.090569225552944`}, {-65.84942411157058, 24.02950661146976}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-65.64189121790179, 
        24.011895087454043`}, {-65.47102451113025, 
        23.99739510599763}, {-64.38145050542087, 
        23.90516118972362}, {-63.30032460159715, 
        23.8138771940823}, {-62.22745123373204, 
        23.723513967019507`}, {-61.49103499245198, 23.662013781966415`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-61.28347870183573, 
        23.644680174196377`}, {-60.8654102140563, 
        23.60976610261288}, {-59.51690331720162, 
        23.49751105408681}, {-58.18154139724298, 
        23.38669274682431}, {-57.132196190895755`, 23.29989105503139}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-56.92462631441755, 23.28272090326954}, {-56.85945416948875,
         23.277329872364383`}, {-55.70544684927219, 
        23.181845077266733`}, {-54.561377018891875`, 
        23.08744307410796}, {-53.42724467834784, 
        22.994123862888078`}, {-52.773134889303144`, 22.94045634722551}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-52.56555357795103, 22.92342499642656}, {-52.30304982764004,
         22.90188744360707}, {-51.18896997451217, 
        22.81070918476802}, {-50.085182626707905`, 
        22.720564454873987`}, {-48.99168778422725, 
        22.631453253924985`}, {-48.413791152693, 22.58446315039726}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-48.20619747250027, 22.56758323106279}, {-47.90848544707019,
         22.543375581920994`}, {-46.85013905080552, 
        22.45630813328693}, {-45.83121203100202, 
        22.3702276024477}, {-44.8517043876597, 
        22.2851339894033}, {-44.05567734268285, 22.213915991646125`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-43.84827790771589, 
        22.194814434417577`}, {-43.064090606791474`, 
        22.117893323575853`}, {-42.367140228171145`, 
        22.035712439430576`}, {-41.8143565489077, 
        21.95447376450571}, {-41.01388501399468, 
        21.794774712941113`}, {-40.468689001104586`, 
        21.63871671547102}, {-40.05307138801692, 
        21.486216754074466`}, {-39.787973475384874`, 21.36601805716201}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-39.59828253894128, 
        21.280009822882658`}, {-39.54075622793614, 
        21.25392667665059}, {-39.13243164589314, 
        21.029891925328236`}, {-38.78528656875849, 
        20.813819082153426`}, {-38.075393813557525`, 
        20.3145931945769}, {-37.49523101845574, 
        19.857873294331213`}, {-36.99057669573761, 
        19.44003756742931}, {-36.25262993770261, 18.816099543183793`}}]}, 
      {Arrowheads[{{0.002813253337064457, 1.}}], 
       ArrowBox[{{-36.0935819028561, 
        18.681623558918332`}, {-36.004413870331554`, 
        18.606231499215586`}, {-35.196625215786405`, 17.927451557525668`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{30., 18.06632056968257}, {29.321114867738576`, 
        18.02004938799918}, {28.287100231595392`, 17.949952310840544`}, {
        26.272516909529713`, 17.81453754246295}, {25.843861836617528`, 
        17.786073595088713`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{25.636040688391123`, 17.772273664561396`}, {
        24.32919485442493, 17.685495288671568`}, {23.49202223950813, 
        17.630264556647983`}, {22.66762284760306, 17.576148937257877`}, {
        21.6333165550784, 17.50901547597799}, {21.4794325641932, 
        17.49908974599652}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{21.271585659387423`, 17.485683333524904`}, {
        20.61911615980183, 17.443598149505593`}, {18.852612867539204`, 
        17.330219714711994`}, {17.145045044758447`, 17.22176963458398}, {
        17.11450039814361, 17.219851660261273`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{16.90663097668897, 17.206799022335783`}, {
        15.496412691459566`, 17.118247909121557`}, {13.906715807642565`, 
        17.01965453832472}, {12.74905998381239, 16.948681445241135`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{12.54117148234639, 16.935936301423922`}, {
        12.372085095804135`, 16.92557002190958}, {10.88865125844098, 
        16.83557485959225}, {9.4564142955531, 16.749669051372738`}, {
        8.383095726834485, 16.686082830978165`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{8.175181442491295, 16.673765440882875`}, {8.07537420714049, 
        16.66785259725103}, {6.742160802765875, 16.589775573566264`}, {
        5.453403891991974, 16.51508805665756}, {4.2091034748187885`, 
        16.44379004652492}, {4.016575743339267, 16.432893404184572`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{3.8086297126242954`, 16.421124120324095`}, {
        3.0092595512463167`, 16.375881543168347`}, {1.2950165936343594`, 
        16.280401281554447`}, {-0.32908267653557965`, 
        16.191597923274962`}, {-0.3505534581211075, 16.190443868787508`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-0.5585320653076691, 
        16.179265018871774`}, {-1.869911638851394, 
        16.10877836818442}, {-3.3343436729009674`, 
        16.03124951613735}, {-4.431572762054158, 
        15.97392900847396}, {-4.718287700345775, 15.959146652932878`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-4.926290250366376, 
        15.948422525106903`}, {-5.484626755295271, 
        15.91963599317173}, {-6.49523087308552, 
        15.868215150714565`}, {-7.465110335886114, 
        15.819511161586382`}, {-9.086632072458015, 15.739687164027025`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-9.294659348652214, 
        15.729453977634012`}, {-10.968313978644353`, 
        15.649249273821104`}, {-12.514994295176535`, 
        15.577087136025353`}, {-13.45566249674241, 15.534354527278769`}}]}, 
      {Arrowheads[{{0.0006623926947868317, 1.}}], 
       ArrowBox[{{-13.663726738733022`, 
        15.524902599561495`}, {-13.939367206614904`, 15.512380823818342`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{5.006432107590738, -5.}, {
        4.39341708304314, -3.3397160289314787`}, {
        3.934430351405262, -2.26374985143819}, {
        3.385774985865735, -1.2510814217607813`}, {
        3.340840577912408, -1.1920137565834719`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{3.214738100330342, -1.026248160393053}, {
        2.660730655234706, -0.29798828643107556`}, {1.7105767428891339`, 
        0.5989615248746778}, {1.051298501705035, 1.1108401486717787`}, {
        0.34340043928539926`, 1.6044608138014154`}, {0.13654132979095596`, 
        1.738018739717443}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-0.0384359543652284, 
        1.8509922665368994`}, {-0.3938663181437397, 
        2.0804747500971037`}, {-1.3186227692737975`, 
        2.64354100686912}, {-1.422492896897067, 
        2.7050949145939653`}, {-1.526338690375949, 
        2.766340943603142}, {-1.631394431642675, 
        2.8277464920359128`}, {-1.7363631312055252`, 
        2.888842555882586}, {-2.7263571530002038`, 
        3.4557554554140397`}, {-3.6303588490448684`, 
        3.9588146647930023`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-3.812935376808762, 4.059039614548455}, {-4.642639164569377,
         4.510892328163026}, {-5.648986194205514, 
        5.049435743972522}, {-6.6194991996088115`, 
        5.560208483009899}, {-7.493318469664305, 6.009830334854368}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-7.678518534516302, 6.105124635373951}, {-8.453778482424934,
         6.504032997073721}, {-10.150194692384366`, 
        7.352982931924488}, {-11.40595732704763, 7.964455968873343}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-11.59321600244394, 
        8.055638512276783}, {-11.631823603757345`, 
        8.074437851079175}, {-13.006081409441952`, 
        8.727223625984662}, {-14.28099159523278, 
        9.318801248192994}, {-15.370264887481278`, 9.812037370084107}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-15.56039097367913, 
        9.897074135825724}, {-16.559675927051227`, 
        10.338710869285629`}, {-17.576319448467224`, 
        10.777116598428183`}, {-19.391482847280376`, 11.532084668867064`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-38.01409804566118, -5.}, {-37.57714680726723, \
-4.684226925383946}, {-36.354424776488976`, -3.756990509864062}, \
{-35.23819928810642, -2.8735655548952677`}, {-34.72121280042779, \
-2.4498957457601946`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-34.56011791526553, -2.3178786797904576`}, \
{-34.21106814830705, -2.0318328126925387`}, {-32.83640042821169, \
-0.7695537436606954}, {-31.899422071720174`, 
        0.3989005059640035}, {-31.7492091248318, 0.7153146528085572}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-31.659886323367584`, 
        0.9034675291386431}, {-31.385946004589545`, 
        1.480505621047536}, {-31.34791044282426, 
        1.5992477687033846`}, {-31.313145357812008`, 
        1.7169431255776775`}, {-31.282984177357523`, 
        1.8373118350389066`}, {-31.255476377021232`, 
        1.9565856596736013`}, {-31.078141316051315`, 
        2.9698173248060957`}, {-30.992616726621232`, 
        3.904030650790885}, {-30.94365317204468, 
        4.7653911029883815`}, {-30.93534413500737, 4.968629787804355}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-30.926836148587153`, 
        5.1767347658797815`}, {-30.885432950276016`, 
        6.189455197157959}, {-30.84454056566385, 
        7.414310420861782}, {-30.81056461870876, 
        8.467889269538935}, {-30.78223585334945, 9.339775011796855}}]}, 
      {Arrowheads[{{0.008057720892633933, 1.}}], 
       ArrowBox[{{-30.775472157573812`, 
        9.547943981992114}, {-30.75797390502634, 
        10.086494699507176`}, {-30.71489852401823, 
        11.304373627436474`}, {-30.680336330643716`, 
        12.218039288987674`}, {-30.652661286753638`, 12.902190487671653`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{20.0911278741862, -5.}, {
        19.68142827133886, -4.561030933242575}, {
        18.914610501633625`, -3.7558153594173427`}, {
        18.153225804201178`, -2.983844795363182}, {
        17.38566392094112, -2.2437186845202897`}, {
        17.159271028671796`, -2.042864349387634}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.00347041676074, -1.904639036724425}, {
        16.585872892171118`, -1.5341491670393363`}, {
        15.727800758208836`, -0.8538483830709913}, {14.349977766069385`, 
        0.07605791376497717}, {13.60815058148505, 0.49106556063516504`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{13.426382662689855`, 0.592753767569714}, {
        12.785572396830279`, 0.9512485303002765}, {11.093879822593982`, 
        1.7749433036537192`}, {10.84662589340684, 1.8888840807856826`}, {
        10.598664112782368`, 2.0018394699012414`}, {10.34005145572467, 
        2.117218904180669}, {10.081328458274614`, 2.231570203387665}, {
        9.678240441728606, 2.4053779524366994`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{9.486983835385276, 2.4878459963248196`}, {8.262358350344746,
         3.0158929494613758`}, {6.483211709128006, 3.7518458765033698`}, {
        5.642076501971926, 4.090105600366292}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{5.448837842449246, 4.1678158841038915`}, {4.766009415807509,
         4.44241306310264}, {3.315401228924789, 5.014205714324847}, {
        1.9205792357921667`, 5.554897829722911}, {1.5707641634219836`, 
        5.688373483369175}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{1.3761695609769233`, 5.762623119273666}, {
        0.5807108627974351, 6.066138828213036}, {-0.7050364636716144, 
        6.549578128711434}, {-1.9384380591549966`, 
        7.0066888283571815`}, {-2.5256254121533557`, 7.221271254490983}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-2.721250838323376, 7.292760836728526}, {-3.121269239192727,
         7.43894402428936}, {-4.462846379501374, 
        7.921329832782865}, {-5.738948694771023, 
        8.372703765742273}, {-6.645981511771761, 8.688510746388635}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-6.842678831606942, 
        8.756996015624853}, {-6.9531012774631815`, 
        8.795442451705034}, {-8.107881940304534, 
        9.191012223261577}, {-9.206177960359232, 
        9.56117358665109}, {-10.250712439161495`, 
        9.907526073788008}, {-10.791625770202836`, 10.082606905449742`}}]}, 
      {Arrowheads[{{0.006503757599395516, 1.}}], 
       ArrowBox[{{-10.989782986743, 
        10.146745702333961`}, {-12.188904008208103`, 
        10.534872771225027`}, {-13.571010084479958`, 10.969453626135303`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{27.35546707214658, 85.}, {26.70190545733153, 
        83.95368608964354}, {25.791172729262385`, 82.50409726853073}, {
        25.140767602870746`, 81.47195641416116}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{25.029728035173186`, 81.29574551172252}, {
        24.967675124509764`, 81.19727251138873}, {24.156216091092023`, 
        79.91572808078443}, {23.163752717802655`, 78.36491723449855}, {
        22.789658350323847`, 77.78377120937228}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{22.67692329526085, 77.60864018672738}, {22.189297560668486`,
         76.85112608856689}, {21.33448080481573, 75.52624956777547}, {
        20.492877902870713`, 74.22801929249323}, {20.416012397197896`, 
        74.11003010651164}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{20.302323530166166`, 73.93551675674796}, {
        19.664488854833433`, 72.95643526272019}, {18.849313660703885`, 
        71.71149747845632}, {18.047352320482087`, 70.49320593970167}, {
        18.019519763945286`, 70.45115631599883}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{17.90456149173446, 70.27747654347768}, {17.25860483416802, 
        69.30156064645618}, {16.48307120176169, 68.13656159871988}, {
        15.7207514232631, 66.99820879649278}, {15.594704891246135`, 
        66.81099557799224}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{15.478383017350438`, 66.63822610908615}, {14.97083445573776,
         65.88437911112166}, {14.232509256251184`, 64.79294941395335}, {
        13.505775824803374`, 63.72391970498784}, {13.141085985260435`, 
        63.190185978573}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{13.023583246852938`, 63.01821745180301}, {
        12.790634161394328`, 62.67728998422514}, {12.087084266024046`, 
        61.65306025166524}, {11.395126138692529`, 60.651230507308135`}, {
        10.71475977939977, 59.671800751153825`}, {10.657505171483216`, 
        59.58986826621029}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{10.538202382765853`, 59.41914359799576}, {
        10.045985188145783`, 58.71477098320233}, {9.388089291565162, 
        57.77834851124699}, {8.740359016292512, 56.86074064308118}, {
        8.139427323447787, 56.013589919589215`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{8.018639287418546, 55.843912975963356`}, {7.475395329671129,
         55.08196871811815}, {6.858161918322395, 54.220804661320926`}, {
        6.251094128281633, 53.37845520831322}, {5.654191959548843, 
        52.554920359095036`}, {5.586516355000682, 52.46210199054351}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{5.4638095468033505`, 52.293807287849916`}, {
        5.067455412124021, 51.75020011366638}, {4.147685735503216, 
        50.498505151648125`}, {3.2525563608020756`, 49.29173495516995}, {
        2.990664457956239, 48.941891714878246`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{2.865846837632602, 48.77515650747008}, {2.3811836583291743`,
         48.127728560079895`}, {1.532683998393086, 47.004325002226075`}, {
        0.7061737513023836, 45.919363317456536`}, {0.3497912972030717, 
        45.45533382023615}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{0.2229274762705075, 
        45.29015016889289}, {-0.09923071263436067, 
        44.87068254161936}, {-0.8844130231085725, 
        43.85612171056261}, {-1.6502568098116777`, 
        42.873519860134365`}, {-2.3351841498190455`, 42.00262219770849}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-2.4639389005854495`, 
        41.83890817299533}, {-2.6787456281212236`, 
        41.56577748312939}, {-3.6707505031911687`, 
        40.31888624329235}, {-4.627459649633198, 
        39.130276911917456`}, {-5.068808408415022, 38.58832845502468}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-5.200329721343577, 38.42682857273912}, {-5.550061282058993,
         37.99738026029894}, {-6.439731783346091, 
        36.91772395686391}, {-7.297640775381094, 
        35.88889103982973}, {-7.860726769434208, 35.22155592056856}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-7.995042792690606, 35.06237277564019}, {-8.124966331289276,
         34.908395335175925`}, {-8.922886524195901, 
        33.97375066888207}, {-9.692414513456697, 
        33.08288436192405}, {-10.43446922198764, 
        32.23396001813282}, {-10.719648624865133`, 31.9115217376613}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-10.857633949172437`, 
        31.755508539474388`}, {-11.15008736825439, 
        31.424845887770502`}, {-11.840305670722591`, 
        30.653410221099218`}, {-13.14789052893988, 
        29.21722817611868}, {-13.65702045285246, 28.670970248178175`}}]}, 
      {Arrowheads[{{0.005924187182113886, 1.}}], 
       ArrowBox[{{-13.799026902181904`, 
        28.518608061000567`}, {-14.36404044011162, 
        27.912391238944718`}, {-15.495334120478402`, 26.726339304478447`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{30., -2.7856340849145815`}, {
        29.523378267008493`, -2.474566039673506}, {
        28.50526977670315, -1.839979235050818}, {
        27.46135226870106, -1.2284949219435228`}, {
        26.41763079277077, -0.6633269163917482}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{26.231729785106157`, -0.5694684066458454}, {
        25.222528573592307`, -0.07152969669844456}, {
        25.12600074862676, -0.02603982673755919}, {25.029011661543436`, 
        0.019312285336298182`}, {24.930657903060563`, 0.0645980493051608}, {
        24.831852020138687`, 0.1097464581593761}, {23.59685646886185, 
        0.6523039989825213}, {22.428925751271038`, 1.1267260811849025`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{22.23534326429804, 1.2035463259083958`}, {
        20.991339940769564`, 1.6786398863433114`}, {19.660883590963273`, 
        2.1638418072214383`}, {18.332206474262897`, 2.6312981751861644`}, {
        18.323446574497265`, 2.6343021510429394`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{18.126430080855776`, 2.7018637449104124`}, {
        17.01887577644623, 3.081670190135521}, {15.246332239064818`, 
        3.6716510007898107`}, {14.175229050447964`, 4.020752798713238}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{13.977202844182953`, 4.085294950559823}, {
        13.526208842282257`, 4.232286219551865}, {11.870153922930546`, 
        4.765260741747747}, {10.272209612990311`, 5.271729389523592}, {
        10.009510576840489`, 5.3538628849267065`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{9.810721240700996, 5.416014856495759}, {8.73283067810921, 
        5.753019974082876}, {7.250081415176253, 6.210368259096454}, {
        5.829897714809543, 6.642767164267784}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{5.6304418771060245`, 6.702745636441604}, {4.448613029738786,
         7.0579664338968815`}, {3.066022821495154, 7.468106702541277}, {
        1.7378247438134449`, 7.856804065253718}, {1.6364953892982612`, 
        7.886068499117455}}]}, 
      {Arrowheads[{{0.005493803297200123, 1.}}], 
       ArrowBox[{{1.4363945007771826`, 7.94385865524958}, {0.4620119160022535,
         8.225265310276177}, {-0.7634225426298248, 8.574697225850624}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{19.557667097320707`, 85.}, {19.342398276031464`, 
        84.60074785889508}, {18.57944644438276, 83.19327109172536}, {
        17.82870776285072, 81.81599105244143}, {17.56853046748329, 
        81.34003958458484}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{17.468627838351342`, 81.15728419499202}, {
        17.199358116726003`, 80.66469963231555}, {16.578197235793183`, 
        79.53323100928513}, {15.858435768209706`, 78.2341504745185}, {
        15.455500190445521`, 77.51047542285632}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{15.354179337503508`, 77.32850247846127}, {
        15.149669102199685`, 76.96120069806213}, {14.443665530515956`, 
        75.69601368572476}, {13.748086753880445`, 74.45515013219311}, {
        13.3192855088396, 73.69378272971218}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{13.2170781480633, 73.51230622121633}, {13.062932772293152`, 
        73.23861003746718}, {12.388203585754072`, 72.04639340154696}, {
        11.723899194263211`, 70.87850022443246}, {11.159051262243866`, 
        69.89063794210885}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{11.05560827351115, 69.70986297878088}, {10.426564796426137`,
         68.61568424662059}, {9.793534790079924, 67.52076144592324}, {
        9.170318236424277, 66.44830898041505}, {8.96950020440139, 
        66.10429836632495}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{8.86449791031649, 65.9244245606455}, {8.556303793101549, 
        65.39647372647946}, {7.9514914601117335`, 64.36525568411648}, {
        7.355881237454833, 63.354654853326096`}, {6.769473125130849, 
        62.36467123410832}, {6.751529014108495, 62.33453568738822}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{6.644970198462998, 62.1555795851147}, {6.192267123139781, 
        61.39530482646314}, {5.624263231481628, 60.44655563039057}, {
        5.0654614501563895`, 59.51842364589061}, {4.5153210017942085`, 
        58.60933169316424}, {4.5002651943767535`, 58.5845647128231}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{4.392074807815677, 58.4065902540138}, {3.973301109025226, 
        57.717702592412486`}, {3.4394017718494423`, 56.843536343635336`}, {
        2.9136229902668584`, 55.98683294683279}, {2.2141433716343495`, 
        54.85574548092372}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{2.1045960885267427`, 54.67860299449982}, {
        1.8864270938812848`, 54.3258147091515}, {0.8917134198685035, 
        52.73464787936864}, {0.15090744857162486`, 
        51.56143170915211}, {-0.11054620600650283`, 51.150864146922444`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-0.22242184860926814`, 
        50.97518287778735}, {-0.5718425237097511, 
        50.426478385589164`}, {-1.2771321439549665`, 
        49.32809532962749}, {-1.9655570591433715`, 
        48.26458996221477}, {-2.4807217627852944`, 47.474915030857304`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-2.594522462378062, 47.30047458685163}, {-2.637712916254308,
         47.23426970429871}, {-3.2941953622671174`, 
        46.235441976827}, {-3.9356000441611503`, 
        45.26641420074733}, {-4.5625226089157485`, 
        44.32549379700739}, {-4.896028347700098, 43.82845838783652}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-5.012077784013729, 43.65550580455431}, {-5.175032950070342,
         43.41264795169491}, {-5.7730391908751635`, 
        42.52835454786375}, {-6.356894322875751, 
        41.671687051910865`}, {-6.9269513376176395`, 
        40.84171893023317}, {-7.361717137208823, 40.21591120257469}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-7.480551159742627, 40.04485991546718}, {-8.027082981507485,
         39.25817467529114}, {-9.076258054909013, 
        37.77030951421311}, {-9.883684461301165, 36.642434535250224`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-10.004923109212887`, 
        36.47307911613044}, {-10.07669985550453, 
        36.37281586542076}, {-11.030288461158055`, 
        35.06158882576214}, {-11.939332974506456`, 
        33.831020144052324`}, {-12.474022525880498`, 33.11824104834156}}]}, 
      {Arrowheads[{{0.007192281242988741, 1.}}], 
       ArrowBox[{{-12.599005560844155`, 
        32.951629798109245`}, {-12.806142498186624`, 
        32.67550156910636}, {-13.632599534337793`, 
        31.590668346403337`}, {-14.420342813386254`, 30.57286629094464}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-65.71822402958878, -5.}, {-64.08791587008872, \
-4.7439991188768005`}, {-62.40489474166448, -4.480482115627181}, \
{-61.60285066422815, -4.355230705373622}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-61.3970660220921, -4.3230942962146}, {-60.73974811426936, \
-4.2204440837688235`}, {-59.092475987903384`, -3.963885023301727}, \
{-57.463078362566556`, -3.710804934225893}, {-57.2810265864288, \
-3.682590838549055}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-57.07520484327498, -3.6506929110642865`}, \
{-55.85193530355912, -3.461112536929464}, {-54.25942687618128, \
-3.21471655180058}, {-52.95860619915493, -3.0137925946582267`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-52.75276831340981, -2.9819990021484055`}, \
{-52.685553080433095`, -2.971616978839244}, {-51.130313916314535`, \
-2.7318138180454543`}, {-49.792854091096345`, -2.525754540001487}, \
{-48.635805283959215`, -2.347457885486045}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-48.4299601195467, -2.3157114952558193`}, \
{-47.17040990669564, -2.120812018454398}, {-45.895398522061164`, \
-1.9218731294863827`}, {-44.68210786145349, -1.725252715395282}, \
{-44.31613915463264, -1.6615066898495998`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-44.110949815711784`, -1.6257659158523483`}, \
{-43.56645601476414, -1.5309236107651418`}, {-43.01036407573169, \
-1.4302257361571564`}, {-42.50912623297014, -1.3301431236925856`}, \
{-42.11146193896627, -1.229389015053256}, {-41.76120869715264, \
-1.1292584523570224`}, {-40.67799327601361, -0.756031161557214}, \
{-40.125398869691644`, -0.48294264107369095`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-39.938766627140126`, -0.39050552841836633`}, \
{-39.373096006429485`, -0.03536542612403781}, {-38.65318226315881, 
        0.5318371912633293}, {-38.1132215590135, 
        1.077570743064777}, {-37.692491387136805`, 
        1.6026479566912744`}, {-37.07785283716737, 2.5634674287489942`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-36.97940454166909, 2.74685029588911}, {-36.58368855673455, 
        3.5163765661790336`}, {-36.19040717869353, 
        4.367740390213312}, {-35.59011213482391, 
        5.731109181473608}, {-35.24187710122133, 6.531408087924914}}]}, 
      {Arrowheads[{{0.0032297959476130554`, 1.}}], 
       ArrowBox[{{-35.15877490751005, 
        6.722390006265561}, {-35.073324296273576`, 
        6.918768957632613}, {-34.61593468616668, 7.953408765812158}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-17.97290146567669, -5.}, {-17.89597069902907, \
-4.8488652118641795`}, {-17.285700848299605`, -3.6418200468532267`}, \
{-16.744840977240578`, -2.508362078318096}, {-16.329780974899823`, \
-1.444004277223996}, {-16.29757187493115, -1.344325835300071}, \
{-16.26742371487248, -1.245253457499172}, {-16.258061859204705`, \
-1.2096472144532746`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-16.21339754252801, -1.0065692280996419`}, \
{-16.117671460345406`, -0.048626197843077035`}, {-16.3019960255824, 
        0.886925598233121}, {-16.7055140309477, 
        1.7641203297503463`}, {-17.33545484325354, 
        2.7167946966356906`}, {-17.421012691619417`, 
        2.8296998494889114`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-17.546805543154765`, 
        2.9957005309191582`}, {-18.005369249995525`, 
        3.6008373640988642`}, {-18.67093579453581, 
        4.420994590633392}, {-19.313471753637934`, 
        5.181880197477655}, {-20.208330998864387`, 6.198276029045797}}]}, 
      {Arrowheads[{{0.007866049671906246, 1.}}], 
       ArrowBox[{{-20.345963145852533`, 
        6.354600882630034}, {-20.524738090349896`, 
        6.557656401523356}, {-21.608355110501684`, 
        7.739676020123594}, {-22.575754710003444`, 8.755219235313577}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{30., 24.197173974975883`}, {29.76466635431563, 
        24.149448960837525`}, {28.726452259540416`, 23.940124882364206`}, {
        26.705424335216108`, 23.53638037396475}, {25.915449999833655`, 
        23.379584005021357`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{25.711136244455624`, 23.33913716588113}, {24.93983569473194,
         23.1868285573191}, {23.82744507839981, 22.969690020118165`}, {
        22.73735824117938, 22.75827563648054}, {21.622333834518766`, 
        22.54309563054153}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{21.417828317571743`, 22.503629679762017`}, {
        20.8949865568494, 22.402730459524914`}, {19.114169832294287`, 
        22.06266213870549}, {17.394908067514034`, 21.738070674022268`}, {
        17.325644656601813`, 21.725155041362672`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.12089514227528, 21.686975149852223`}, {
        15.737201262508638`, 21.42895606547524}, {14.137002287460072`, 
        21.133999036045086`}, {13.024481076037933`, 20.93107972294069}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{12.819582676025226`, 20.89370709385291}, {
        12.590264012550303`, 20.85188030871246}, {11.096986437779332`, 
        20.582599883477375`}, {9.657169563147159, 20.326157760339818`}, {
        8.718963659677224, 20.160976157254016`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{8.513839742561661, 20.12486180609179}, {8.267289182632247, 
        20.081453832873734`}, {6.923821090213059, 19.84738799465306}, {
        5.626765285889595, 19.6239602456778}, {4.408898173034458, 
        19.416747298760452`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{4.203492313596055, 19.38227326411414}, {2.547638373301063, 
        19.105091459148927`}, {0.81774123392069, 18.820960300564302`}, {
        0.09350449145524253, 18.70407904012912}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-0.11211385110937261`, 
        18.670895234836763`}, {-0.821237127577372, 
        18.556453067659007`}, {-2.3769641902912384`, 
        18.30924571789798}, {-3.4435491981360884`, 
        18.141950049136604`}, {-4.226612700384437, 18.0206233393992}}]}, 
      {Arrowheads[{{0.0024891527289687054`, 1.}}], 
       ArrowBox[{{-4.432435685719925, 
        17.988733428137362`}, {-4.4698803349271765`, 
        17.98293180914664}, {-5.457368505310178, 17.8318143811799}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-4.177022949675896, -5.}, {-4.186074326608602, \
-4.321335326964567}, {-4.207810553467785, -3.5090780665113086`}, \
{-4.249027865246207, -2.731056134581995}, {-4.327406389327722, \
-1.9858265494448855`}, {-4.344394042343555, -1.8649861327921955`}, \
{-4.363188540477161, -1.7450079382036816`}, {-4.386685542224555, \
-1.6236215090989432`}, {-4.412544225224989, -1.5031176613696384`}, \
{-4.596075206920914, -0.87384157938233}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-4.675548015700966, -0.6819148372923068}, \
{-4.926499866773781, -0.1502647582706363}, {-5.35917249661753, 
        0.4838569581199484}, {-6.151923873080056, 
        1.3460687420541309`}, {-7.073936441146104, 
        2.1568895785638955`}, {-7.397322208183782, 2.4104204104037494`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-7.561232967136098, 2.53892461590838}, {-8.046519091718675, 
        2.919383520988841}, {-9.262223803644574, 
        3.802514329989107}, {-10.432786512253228`, 
        4.620994704916073}, {-10.943966942940303`, 4.9682676309990494`}}]}, 
      {Arrowheads[{{0.007721632525453996, 1.}}], 
       ArrowBox[{{-11.116249883409713`, 
        5.085308889348035}, {-11.549118884998054`, 
        5.379380563003754}, {-12.6079283226549, 
        6.082081410838792}, {-13.80153595375198, 6.855762362011136}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{30., 12.461543870302046`}, {29.549082951604866`, 
        12.486121765423142`}, {28.492862067829414`, 12.543335965856492`}, {
        27.456202457936037`, 12.599127282279044`}, {26.53906207631878, 
        12.64832098316586}, {25.840453804715175`, 12.685598379478549`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{25.632470729139, 12.696693769911946`}, {24.47597113373641, 
        12.757677273759846`}, {23.339488919535835`, 12.817207654617423`}, {
        21.472592840735658`, 12.914505450068136`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{21.264591270724818`, 12.925248487177107`}, {
        19.605199109744447`, 13.010809749509729`}, {17.83503805662428, 
        13.10102710089006}, {17.104441255179218`, 13.137793816853282`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{16.896425669110027`, 13.148262039481416`}, {
        16.129532904687792`, 13.186855321559838`}, {14.484354002832662`, 
        13.268675339728443`}, {12.895171699956567`, 13.346868083605248`}, {
        12.735963707985986`, 13.354611058675259`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{12.527930770598322`, 13.364728602574885`}, {
        11.361985996059513`, 13.421433553190255`}, {9.884796891141495, 
        13.492371748483459`}, {8.459844282122472, 13.559999205414925`}, {
        8.367140768578349, 13.564352153699396`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{8.159091176936059, 13.574121245273181`}, {7.083368065922409,
         13.624632459914721`}, {5.755368242541306, 13.686271511982842`}, {
        4.47584481197916, 13.744916361619286`}, {3.997958297268796, 
        13.766460158962614`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{3.789890799124757, 13.775840134910387`}, {2.627903283093734,
         13.8282241691743}, {0.880435246488388, 
        13.905506575909127`}, {-0.37161613935221394`, 13.959906482891698`}}]}, 
      {Arrowheads[{{0.006796678668906676, 1.}}], 
       ArrowBox[{{-0.5796986467705019, 
        13.968947381033955`}, {-0.7744713190922912, 
        13.97740998518653}, {-2.344728434903714, 
        14.044580800369268`}, {-3.4083394867213093`, 14.089493474189549`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-70., 29.52043647909119}, {-69.01306756183024, 
        29.390015069018173`}, {-67.88455856407614, 
        29.2412712849874}, {-66.76475368073307, 
        29.09404348977911}, {-65.86997060130084, 28.977410395336857`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-65.66343893502865, 28.9504894265665}, {-65.33309653211745, 
        28.907429988404715`}, {-63.91591988198934, 
        28.72330932274771}, {-62.51279989854345, 
        28.541586264247456`}, {-61.532421062204065`, 28.41503073967948}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-61.32585620826382, 28.38836561546553}, {-61.12387785904822,
         28.362292555757513`}, {-59.93677143936101, 
        28.209005416400437`}, {-58.759845541191524`, 
        28.05745095621496}, {-57.593100164539806`, 
        27.90762917520111}, {-57.19436460586181, 27.856574199343008`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-56.98777241802626, 
        27.83012168229791}, {-56.436535309405826`, 
        27.759540073358853`}, {-55.28998230016461, 
        27.61314434027667}, {-54.15327246119118, 
        27.468402665543024`}, {-53.02640579248552, 
        27.325315049157915`}, {-52.85559482528133, 27.30368756963117}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-52.64896572815575, 
        27.277524925388477`}, {-51.90938229404763, 
        27.183881491121333`}, {-50.80253291623248, 
        27.04406481339166}, {-49.70618860939503, 
        26.905827837927276`}, {-48.620349373535284`, 
        26.76917056472817}, {-48.516155142586925`, 26.756082257780008`}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-48.309500342698016`, 
        26.73012341698202}, {-47.545015208653204`, 
        26.634092993794344`}, {-46.48662083734575, 
        26.500568165813455`}, {-45.45160098220985, 
        26.36856912147317}, {-44.178697256394685`, 26.193424036809546`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-43.97236247842666, 
        26.165033419810513`}, {-43.56570324741574, 
        26.10907917598187}, {-42.132375115194115`, 
        25.85548617985595}, {-41.07358267020508, 
        25.562072803397747`}, {-40.427917534634496`, 
        25.276553727119904`}, {-40.001722207981274`, 
        25.025142742509875`}}]}, 
      {Arrowheads[{{0.0022693999883708995`, 1.}}], 
       ArrowBox[{{-39.83055635683495, 24.90678931545723}, {-39.48018441717436,
         24.65190855171517}, {-39.092766831614526`, 
        24.317069817403826`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-70., 19.26550671347718}, {-69.8765415030563, 
        19.260665037049236`}, {-68.72098618515818, 
        19.21546291453123}, {-67.57464846542877, 
        19.170739782996662`}, {-66.43730885775177, 
        19.12648052156904}, {-65.83758111868674, 19.10334753500355}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-65.62945706630215, 
        19.095319674035714`}, {-64.96495741781143, 
        19.069688274252087`}, {-63.50796084134446, 
        19.013678192434206`}, {-62.065856270189215`, 
        18.958419517318326`}, {-61.466945817037576`, 18.93554810926184}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-61.25881870083218, 
        18.927600076000267`}, {-60.63879799039956, 
        18.9039225018368}, {-59.422675872562706`, 
        18.857466307618374`}, {-58.21727360025291, 
        18.811549795746927`}, {-57.0962637347888, 18.768971222211373`}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-56.88813441792744, 18.761081033899}, {-55.83862859221454, 
        18.721335819044995`}, {-54.66520965421148, 
        18.677025768116987`}, {-53.50215815718654, 
        18.63323022734093}, {-52.72551816547006, 18.60406891545408}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-52.517386009836486`, 
        18.596253960302594`}, {-52.34947410113973, 
        18.58994919671683}, {-51.207157486071026`, 
        18.547182676244677`}, {-50.07615005375049, 
        18.50491878256316}, {-48.95739354594815, 
        18.463145632310944`}, {-48.35471646961647, 18.440660467641358`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-48.14658245294343, 
        18.432895235111324`}, {-47.85088796266402, 
        18.421863225488046`}, {-46.75663330389806, 
        18.381071562094444`}, {-45.68857737431749, 
        18.340762033029193`}, {-44.66066797858948, 
        18.30092602919133}, {-43.984162523503606`, 18.271064759615793`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-43.77608630866158, 18.26188017744141}, {-42.88738590319952,
         18.22265252276415}, {-41.65653611489291, 
        18.14620736401416}, {-40.7455840215654, 
        18.05405001296952}, {-40.16482950727635, 
        17.96454983584805}, {-39.721956768338075`, 
        17.87763021422209}, {-39.63608978343012, 17.857237771245295`}}]}, 
      {Arrowheads[{{0.0058972053780389335`, 1.}}], 
       ArrowBox[{{-39.433447192194265`, 
        17.809112435403154`}, {-39.23170139423405, 
        17.76120007787573}, {-38.83038681115005, 
        17.64940026112656}, {-38.4834230133154, 
        17.542046596655865`}, {-37.72422995488361, 
        17.282321662331682`}, {-37.099521659177334`, 17.048624956759966`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-31.37756301980133, -5.}, {-30.713282504546694`, \
-4.347399394616949}, {-29.87065311382222, -3.516115581564134}, \
{-29.076633400472183`, -2.720622429594846}, {-28.445162350488964`, \
-2.0423140739942847`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-28.303244214810412`, -1.889869623461558}, \
{-27.951701573546, -1.5122524533222772`}, {-27.119728430838595`, \
-0.3865131937415248}, {-26.65856246678465, 
        0.6622471391185294}, {-26.636918374097355`, 
        0.7434078920522613}, {-26.61739103304835, 
        0.8241076146410965}, {-26.601617642818546`, 
        0.9052074500611433}, {-26.587764217301455`, 
        0.985841672185086}, {-26.534863608690348`, 1.756735196633144}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-26.52454695278225, 
        1.9644714127221994`}, {-26.607786201206913`, 
        2.8300208089531993`}, {-26.75750053469459, 
        3.658658212445766}, {-27.03268335555854, 
        4.868320693928424}, {-27.309505613833164`, 
        5.948367200989678}, {-27.33524381332421, 6.043397650218278}}]}, 
      {Arrowheads[{{0.008437041813208115, 1.}}], 
       ArrowBox[{{-27.389692670139326`, 
        6.244433442365417}, {-27.570687959884978`, 
        6.912703330427018}, {-27.998193094433507`, 
        8.404611455066231}, {-28.363598693890538`, 9.621135209760956}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{10.557442378632288`, -5.}, {
        10.506789146006577`, -4.910268093503738}, {
        9.85212920623558, -3.7865845908806155`}, {
        9.195095844540148, -2.7264775739506333`}, {
        9.100192703375669, -2.5796452608515854`}, {
        9.004398396699187, -2.434032635352262}, {
        8.902673484563516, -2.2856512340563304`}, {
        8.799387157360883, -2.1385363452569703`}, {
        8.304152103279025, -1.5025440427069343`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{8.176188823599157, -1.3382106413964507`}, {
        8.08100083565697, -1.2159680272529672`}, {
        7.225365696351737, -0.34320841851549644`}, {6.194988951649662, 
        0.4824324393984512}, {4.965983429307993, 1.2853953409366696`}}]}, 
      {Arrowheads[{{0.006612470767521664, 1.}}], 
       ArrowBox[{{4.790180285784218, 1.3969598224096622`}, {
        3.6162556964636683`, 2.0675994200538432`}, {2.3777770839639283`, 
        2.7257459885825903`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{30., 2.4883473285510043`}, {29.840156728061267`, 
        2.5340848587739258`}, {28.65178751293263, 2.8666926324516533`}, {
        28.093676938616287`, 3.0211394506624902`}, {27.53909660471935, 
        3.1736121484450086`}, {26.941589311138006`, 3.3359110018764464`}, {
        26.348973923101433`, 3.4959730902420185`}, {25.98391203884829, 
        3.5941277631384123`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{25.782776588382823`, 3.64820731841353}, {
        25.093610566268232`, 3.833504300623426}, {23.862636585615196`, 
        4.161377312321022}, {22.656051981142326`, 4.479592125334807}, {
        21.756001035962125`, 4.714508208332677}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{21.554473424533132`, 4.76710753878873}, {21.47385675284962, 
        4.788148739664781}, {20.31610276768417, 5.087592173205747}, {
        19.18284189259306, 5.378467443852513}, {18.07407412757629, 
        5.660774551605075}, {17.519214183408355`, 5.8008560106416365`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.317271607439505`, 5.85183898568003}, {
        16.989799472633862`, 5.934513496463435}, {15.929237924798889`, 
        6.200168731344133}, {14.891609481104481`, 6.458224709163712}, {
        13.876914141550639`, 6.70868142992217}, {13.274591813709671`, 
        6.856174919434581}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{13.072290065891535`, 6.905713495942465}, {
        12.885151906137361`, 6.9515388936195075`}, {11.38620699707181, 
        7.314779496812033}, {9.939285298724295, 7.661133750838892}, {
        9.02183920746508, 7.878228159895681}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{8.81915751192099, 7.926188539628052}, {8.542231556105826, 
        7.991717269111945}, {7.192890514227415, 8.307645665043054}, {
        5.889745363942975, 8.609513059277937}, {4.761432636804283, 
        8.867894281910456}}]}, 
      {Arrowheads[{{0.0028093998260533847`, 1.}}], 
       ArrowBox[{{4.558367960139942, 8.914205663179144}, {3.4169787736104773`,
         9.172621836609357}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{
        0.09923732586193322, -5.}, {-0.00438021517752929, \
-4.413842710461393}, {-0.11966569186186984`, -3.794767640361526}, \
{-0.2408619633600575, -3.195484920922214}, {-0.2710978405861997, \
-3.053214450647021}, {-0.30204704452744585`, -2.912059460871781}, \
{-0.33583726813628023`, -2.7686577348049544`}, {-0.3707639646342865, \
-2.626407281607098}, {-0.5172897081971294, -2.0853844258027916`}, \
{-0.6928642388326974, -1.561015146629975}, {-0.9097068738825548, \
-1.0527866470928486`}, {-0.950899597912132, -0.9849234142274674}}]}, 
      {Arrowheads[{{0.004119362674457043, 1.}}], 
       ArrowBox[{{-1.0589726721393675`, -0.8068776943694069}, \
{-1.4706336034485572`, -0.12868409826354799`}, {-2.0782013546574345`, 
        0.5656124493340351}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-70., -2.567873195982168}, {-69.34949339971551, \
-2.47941296399582}, {-68.33794813038702, -2.3419250910588794`}, \
{-67.30952867613098, -2.20220695684217}, {-66.28950819907311, \
-2.06361774293768}, {-65.87237270489203, -2.0068741348837302`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-65.6659946017833, -1.9788001916276914`}, \
{-64.78118462469688, -1.85843807609834}, {-63.294043892701154`, \
-1.6556461526399553`}, {-61.82808600308598, -1.4552419725625254`}, \
{-61.5386705725366, -1.4155755813190896`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-61.33232083229239, -1.387293918817643}, \
{-60.38331095585131, -1.2572255358660505`}, {-58.95971875099718, \
-1.061596842550531}, {-57.55730938852358, -0.8683558926159667}, \
{-57.205587730201714`, -0.8197561840753598}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-56.999269192469654`, -0.7912477867018706}, \
{-56.176082868430484`, -0.6775026860623571}, {-54.816039190717916`, \
-0.48903722288970275`}, {-53.48063914907351, -0.30284899289734746`}, \
{-52.873413772229796`, -0.21737289405103372`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-52.667168282956084`, -0.18834074141044402`}, \
{-52.173343537184905`, -0.11882748588463532`}, {-50.894152355052086`, 
        0.06302729814843366}, {-49.64306560267505, 
        0.24271535920185944`}, {-48.54368185606558, 
        0.40229581277406096`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-48.337582032632895`, 
        0.4323441892400204}, {-47.22520538718838, 
        0.5955913123697817}, {-46.05843192407874, 
        0.7687792044842777}, {-44.91976289072488, 
        0.9398003736191308}, {-44.219494802347725`, 1.0586823574905784`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-44.01415398728019, 
        1.0935423259372072`}, {-42.941711494020886`, 
        1.2756070141656386`}, {-41.585595666984524`, 
        1.603368976667655}, {-40.767345946105685`, 
        1.923274801155065}, {-40.21744200274088, 
        2.2355127674122266`}, {-40.07829162382809, 2.3360985370672354`}}]}, 
      {Arrowheads[{{0.0033446201518875004`, 1.}}], 
       ArrowBox[{{-39.909495148966684`, 
        2.4581141828142568`}, {-39.795845380668005`, 
        2.5402666678074923`}, {-39.45175886224184, 
        2.8377158887354668`}, {-38.89690745775735, 3.4114785742302765`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{25.33592493644926, -5.}, {
        24.854241004895307`, -4.574242420633303}, {
        23.851631054027436`, -3.705537971834766}, {
        23.636972253584805`, -3.521494995239699}, {
        23.422992811455245`, -3.3392676669003656`}, {
        23.198674574288756`, -3.1513114258293915`}, {
        22.974473474872667`, -2.9652867892282755`}, {
        22.15651024701353, -2.3096356049523417`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{21.992711075844692`, -2.1810294733548665`}, {
        21.084760642475622`, -1.5023174235424515`}, {
        20.07243622348856, -0.8162726409009037}, {
        18.97662085919345, -0.15882538563486148`}, {18.508201212016317`, 
        0.0916667166963146}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{18.32453469766754, 0.18988422653886466`}, {
        17.798487412907953`, 0.4711932857961651}, {16.539208747949726`, 
        1.074952316932666}, {15.22783016786962, 1.6535238884676602`}, {
        14.545242943332791`, 1.9371385229647384`}}]}, 
      {Arrowheads[{{0.0011945414335332754`, 1.}}], 
       ArrowBox[{{14.352905962302133`, 2.017054437904835}, {
        13.893396976218483`, 2.207980181094167}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{30., 82.09004344008858}, {29.42317318084524, 
        81.24359271757719}, {28.516669261256983`, 79.91739394011853}, {
        27.64760538298349, 78.6522784373083}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{27.52896173527669, 78.48109560044158}, {26.510228690111052`,
         77.01451924483344}, {25.417910231432327`, 75.45168286040428}, {
        25.146420576341942`, 75.06415520891201}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{25.026915441620467`, 74.89357211916422}, {
        24.497270232670743`, 74.13755007523007}, {23.59106327704426, 
        72.85021612510849}, {22.69928936455288, 71.58968101003951}, {
        22.62737373849739, 71.48855165420562}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{22.50666962682832, 71.31881484276249}, {21.8219484951966, 
        70.35594473002317}, {20.959040668975426`, 69.14900728505944}, {
        20.11056588588935, 67.96886867514834}, {20.08308521547732, 
        67.9308675192016}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{19.96103665602131, 67.76209484111828}, {19.276524145938378`,
         66.81552890028986}, {18.456915449122505`, 65.688987960484}, {
        17.6508414203774, 64.5870809558058}, {17.509274901690468`, 
        64.3944857859594}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{17.385919426372453`, 64.22666595863924}, {
        16.857403684638737`, 63.507642986330346`}, {16.076602241906507`, 
        62.45067405205761}, {15.308437092180707`, 61.41617415298758}, {
        14.907263889753986`, 60.87880266942143}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{14.782665710089457`, 60.7119034143093}, {14.55290823546135, 
        60.4041432891203}, {13.810015671748427`, 59.414581460455736`}, {
        13.07975940104194, 58.447488666993884`}, {12.362139423341887`, 
        57.50286490873476}, {12.273515211523794`, 57.38684043312906}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{12.147086603199575`, 57.22132344085968}, {
        11.656367417342592`, 56.57888685337755}, {10.961655061738377`, 
        55.67373116862143}, {10.27800235652924, 54.787397854466406`}, {
        9.605975227747836, 53.920616842664}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{9.47793242180298, 53.756345401784614`}, {8.943875897296204, 
        53.07119833795965}, {8.293402143272305, 52.24133213560792}, {
        7.653988039643484, 51.430288303857274`}, {7.025633586409742, 
        50.63806684270774}, {6.901669867098829, 50.48301521605689}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{6.771608757428976, 50.32033708143473}, {6.032473631227077, 
        49.39583994413163}, {5.066569296967323, 48.199303368454494`}, {
        4.154265392801994, 47.07976541662847}}]}, 
      {Arrowheads[{{0.009649898376690825, 1.}}], 
       ArrowBox[{{4.0221221504364495`, 46.918774460037824`}, {
        3.212530841331924, 45.93431326496573}, {2.322398395013968, 
        44.861365776738396`}, {1.4555249197342996`, 43.82512069057863}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{14.725256160664204`, -5.}, {
        14.672392748438428`, -4.926985837863385}, {
        14.05070352396325, -4.08515794807828}, {
        13.903788049514077`, -3.8882815010887923`}, {
        13.75729775723189, -3.693441308413336}, {
        13.602715161121687`, -3.491602415617276}, {
        13.448046033614041`, -3.2919486897821693`}, {
        12.28388096382421, -1.8959489206973101`}, {
        12.129003918030875`, -1.746815633540857}}]}, 
      {Arrowheads[{{0.003445628755696403, 1.}}], 
       ArrowBox[{{11.978972807671393`, -1.6023485658160592`}, {
        10.945069791464006`, -0.6067888002086548}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-13.98820472640815, -5.}, {-13.656885787142741`, \
-4.071858848122924}, {-13.586100356776424`, -3.871775224822644}, \
{-13.516635813792178`, -3.6737962089972473`}, {-13.446327369435233`, \
-3.468362184301866}, {-13.378044350021595`, -3.2651942515878347`}, \
{-12.97580078243099, -1.8547967483488426`}, {-12.894070356361285`, \
-0.9987686908880791}}]}, 
      {Arrowheads[{{0.003536360317919329, 1.}}], 
       ArrowBox[{{-12.874274678035613`, -0.7914327344012047}, \
{-12.851568667548856`, -0.5536145437424869}, {-13.13830242880681, 
        0.6468141570002326}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{23.429590255840203`, 85.}, {23.38491177771257, 
        84.92292050076486}, {22.611496775715466`, 83.5948983865756}, {
        21.675217525880512`, 82.00382918541958}, {21.32198681972811, 
        81.40696456523686}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{21.215909556022336`, 81.22772260068226}, {
        20.755431071688527`, 80.44963816219172}, {19.931268977648642`, 
        79.0602097609048}, {19.119738525618768`, 77.69849191769433}, {
        19.088515403534156`, 77.64635531190258}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{18.98150515413762, 77.46766878679006}, {18.320839715598908`,
         76.36448463256033}, {17.53457254758905, 75.05818790550279}, {
        16.833102011918633`, 73.89886869805456}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{16.725137436615444`, 73.72075732236524}, {
        15.999933137599392`, 72.52872612561714}, {15.251560895619576`, 
        71.305561072789}, {14.551139064084797`, 70.16749362515215}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{14.441687150745746`, 69.99029234794688}, {
        13.791942591410873`, 68.94017307629099}, {13.079159036623752`, 
        67.79357100247879}, {12.377469631288418`, 66.67030035660073}, {
        12.241250789998519`, 66.45333905476564}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{12.130502140134181`, 66.27694516517212}, {11.68687437540487,
         65.57036113865682}, {11.007373268973105`, 64.49375334864706}, {
        10.338966311993127`, 63.44047698657147}, {9.902827271239733, 
        62.757089730974734`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{9.790777854050827, 62.5815192441601}, {9.681653504464935, 
        62.41053205243001}, {9.035434846388526, 61.4039185462227}, {
        8.399633667938604, 60.418784883549925`}, {7.773573299289871, 
        59.45327948001206}, {7.531545641039177, 59.08183511001547}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{7.417841715761965, 58.90733157105635}, {7.157253740442323, 
        58.50740233560909}, {6.5506749913959625`, 57.58115345034105}, {
        5.953837052150789, 56.674532824207915`}, {5.366739922706804, 
        55.78754045720969}, {5.127408834962787, 55.427992655717745`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{5.011999229813521, 55.25461246431171}, {4.789383603064006, 
        54.92017634934638}, {4.221768093222396, 54.07244050061797}, {
        3.335943997147477, 52.759586350267185`}, {2.683088634025987, 
        51.80091950234352}}]}, 
      {Arrowheads[{{0.007400925099929396, 1.}}], 
       ArrowBox[{{2.565853276765861, 51.628768583842366`}, {2.473519083573223,
         51.493183069892794`}, {1.6336650177275505`, 50.27102519646064}, {
        0.8155534648383731, 49.09090726693657}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{15.8955475511316, 85.}, {15.334238368595766`, 
        83.87936723034265}, {14.763248641761322`, 82.74405247878661}, {
        14.112181537698978`, 81.46074617691758}, {14.020270978079306`, 
        81.28042079388598}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{13.925689710142441`, 81.09485557223022}, {
        13.470471096834308`, 80.20173217979753}, {12.802715179658131`, 
        78.89446473031924}, {12.144648675447085`, 77.61190134616548}, {
        12.028428639949503`, 77.38643308601401}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{11.933000743136953`, 77.20130182381706}, {11.49627158420117,
         76.35404202733628}, {10.857583905920386`, 75.12088677383161}, {
        10.22858564060473, 73.9124355856515}, {10.014744810929841`, 
        73.50370016080498}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{9.918193641964086, 73.31915222799606}, {9.60927678825421, 
        72.72868846279592}, {8.999657348868817, 71.5696454052649}, {
        8.399727322448555, 70.43530641305838}, {7.974311502139288, 
        69.63496087086432}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{7.876554784521998, 69.45104868558722}, {7.808928270189169, 
        69.32382121379021}, {7.226701753286394, 68.23333953507411}, {
        6.653047771740237, 67.1638613769101}, {6.0879663255506955`, 
        66.11538673929817}, {5.906682712009973, 65.78068647972722}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{5.807488247994698, 65.59754575230313}, {5.531457414717771, 
        65.08791562223834}, {4.983521039241459, 64.08144802573058}, {
        4.444157199121765, 63.09598394977492}, {3.9133658943586864`, 
        62.13152339437133}, {3.808938580541783, 61.9427248593422}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{3.7081295108295675`, 61.76046790008835}, {3.390652044016498,
         61.186487028147496`}, {2.875520567159473, 60.25929551973108}, {
        2.367971463787612, 59.34994886912209}, {1.8680047339009158`, 
        58.458447076320525`}, {1.678398134278833, 58.12287265682928}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{1.5759400174072342`, 57.94153760224847}, {
        0.8908183945830154, 56.72897806413965}, {-0.05603845079422798, 
        55.07088848318846}, {-0.4870388651045092, 54.32270033898917}}]}, 
      {Arrowheads[{{0.007325796540428753, 1.}}], 
       ArrowBox[{{-0.5910166200830618, 
        54.14223237521636}, {-1.1107094607423134`, 
        53.24563173449447}, {-1.6239419970941384`, 
        52.3655100354556}, {-2.1281093813761816`, 51.50601015182497}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{30., 27.387647685714615`}, {29.60810352829685, 
        27.280771387537232`}, {28.645758313178668`, 27.019704333455717`}, {
        27.397773761698822`, 26.685202051183435`}, {26.176104019719524`, 
        26.35997019485584}, {25.976987670769113`, 26.307226342779703`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{25.77565259809836, 26.25389477384194}, {24.19599791461171, 
        25.835460660338036`}, {22.282662241452, 25.33399187385759}, {
        21.74687130619102, 25.195173379687137`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{21.54524980310316, 25.142935106119843`}, {
        20.436097000240416`, 24.855563835414515`}, {18.656302190976945`, 
        24.40017654500881}, {17.509727370697455`, 24.11021845066932}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{17.307805319949075`, 24.059154244474865`}, {
        16.938847475750176`, 23.965848241671278`}, {15.279302516648693`, 
        23.550597164432723`}, {13.677667313672503`, 23.154423313293165`}, {
        13.265400109831216`, 23.053715916456113`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{13.063070457041375`, 23.004291435329417`}, {
        12.133941866821592`, 22.77732668825258}, {10.644273633449975`, 
        22.417657747637158`}, {9.20481007091165, 22.07376694977308}, {
        9.013392518565272, 22.028558298087958`}}]}, 
      {Arrowheads[{{0.002454683266475381, 1.}}], 
       ArrowBox[{{8.810690362136242, 21.98068446899813}, {7.815551179206615, 
        21.745654294660337`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-44.85640139161232, -5.}, {-43.66310216882588, \
-4.7677636014156075`}, {-42.216439073862134`, -4.425964433594284}, \
{-41.6062705294773, -4.256559095475082}, {-41.104620068546296`, \
-4.088634882705366}, {-40.830152375228884`, -3.964735528573415}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-40.640319225476546`, -3.8790416373803662`}, \
{-40.62826248466088, -3.8735990208671374`}, {-40.207445985157456`, \
-3.6609919321928497`}, {-39.340811713675386`, -3.186376865021762}, \
{-38.60186159173749, -2.7238657720192583`}, {-37.93431479407428, \
-2.2731496069947967`}, {-37.119298506169294`, -1.6672370831101393`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-36.952150298197765`, -1.5429730726139073`}, \
{-36.54652113862575, -1.241413715476072}, {-35.45733714096932, \
-0.2714849518680773}, {-34.68291375597831, 
        0.6403405906995471}, {-34.21246642310917, 1.5288502582763077`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-34.11500563350965, 
        1.7129194360963265`}, {-33.957186315479944`, 
        2.01098466041075}, {-33.58135935406081, 
        3.2507024642427598`}, {-33.31872843858075, 
        4.371644888874649}, {-33.10039018676328, 
        5.385179531860589}, {-33.029563344905156`, 5.722618641009561}}]}, 
      {Arrowheads[{{0.002182381697950345, 1.}}], 
       ArrowBox[{{-32.986778921798994`, 
        5.926455734964938}, {-32.800035037910476`, 6.816156421388136}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{30., 21.198147844517877`}, {29.235712437834476`, 
        21.09364623064347}, {28.270481586319374`, 20.962369739652733`}, {
        27.009838605391945`, 20.792995799838526`}, {25.871833908172174`, 
        20.641151276775815`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{25.665374949410523`, 20.613678357164787`}, {
        23.77578935909579, 20.36282858253301}, {21.843951565812205`, 
        20.109123185168237`}, {21.53555162761263, 20.069093415560236`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{21.32900544038556, 20.04228408370246}, {19.980704929796318`,
         19.867277048628697`}, {18.186049451048113`, 19.637290172914376`}, {
        17.19731211531621, 19.51208246980335}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{16.99068346836325, 19.485916270402406`}, {16.45535864970511,
         19.41812598016026}, {14.784006045904817`, 19.20874789250131}, {
        13.17199163964723, 19.009155909937533`}, {12.857099426358946`, 
        18.97066211933538}}]}, 
      {Arrowheads[{{0.00611429511115249, 1.}}], 
       ArrowBox[{{12.650359602742402`, 18.94538934616542}, {
        11.619315430932343`, 18.819350032468922`}, {10.121964029778848`, 
        18.638470155444328`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-7.250749624332456, -5.}, {-7.19038154391405, \
-4.419145821516506}, {-7.168991304746628, -4.2054886254544055`}, \
{-7.148390091757694, -3.9941882446344485`}, {-7.128576078521459, \
-3.773806340506322}, {-7.110164864989917, -3.5559881932570234`}, \
{-7.046349400061215, -2.2627764359424245`}, {-7.146260892173453, \
-1.059940899785406}, {-7.216076069190461, -0.8587740855218409}}]}, 
      {Arrowheads[{{0.0018317339323977873`, 1.}}], 
       ArrowBox[{{-7.284363919512836, -0.6620081402186726}, \
{-7.534534264724828, 0.05883757728560779}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-4.549030076722007, 85.}, {-4.551012846031827, 
        84.99290778140616}, {-4.785963402765326, 
        84.15498567150965}, {-5.035050168151984, 
        83.2720273383476}, {-5.281727838218544, 
        82.40033430498931}, {-5.629697128368543, 
        81.17315560109324}, {-5.681470435319569, 80.99131164768289}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-5.738503534827971, 
        80.7909936672289}, {-5.9730634970308225`, 
        79.96714614133883}, {-6.311826944205386, 
        78.78230592572609}, {-6.645987469892232, 
        77.61863495425499}, {-6.885993721891765, 76.78658752465404}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-6.943718766210047, 76.58646784298541}, {-6.975545074091359,
         76.47613322692555}, {-7.300499756802769, 
        75.35480074373777}, {-7.620851518026463, 
        74.25463750469164}, {-7.936600357762437, 
        73.17564350978718}, {-8.109534488413866, 72.58735965218584}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-8.168275454114987, 72.38753581306447}, {-8.247988239429766,
         72.11637045855359}, {-8.555257126447517, 
        71.07537005052009}, {-8.858407018815694, 
        70.05264228568672}, {-9.15743791653429, 
        69.04818716405342}, {-9.353479525778955, 68.39413175206145}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-9.413279025629269, 68.1946221343726}, {-9.743142728022761, 
        67.09409485038714}, {-10.312371560912924`, 
        65.21309310952125}, {-10.61945202211508, 64.2075038044981}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-10.680281809873305`, 
        64.00830590126117}, {-10.865992031826387`, 
        63.4001649199092}, {-11.404871757384765`, 
        61.65029326000443}, {-11.908943696773276`, 60.0280590698689}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-11.971112303594749`, 
        59.82927511295145}, {-12.438408972436244`, 
        58.33971952931667}, {-12.953261296174524`, 
        56.71521114788211}, {-13.227807165183956`, 55.85779427613354}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-13.291321687239844`, 
        55.65943608189717}, {-13.452982082351246`, 
        55.15456470735358}, {-13.938131293474296`, 
        53.65462246716777}, {-14.409268892051557`, 
        52.212226686761376`}, {-14.578879006745508`, 51.69785643441737}}]}, 
      {Arrowheads[{{0.005090440393293756, 1.}}], 
       ArrowBox[{{-14.644103092249752`, 
        51.50005378933183}, {-14.866954840590918`, 
        50.82421962557109}, {-15.311749101600267`, 49.48744354303357}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{3.554427947114081, 85.}, {3.1741841570330585`, 
        83.96604581788446}, {2.5053575181834797`, 82.15911221002983}, {
        2.1082511332339404`, 81.09352380405667}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{2.0355194205514824`, 80.89835678403799}, {
        1.8500571524792757`, 80.40069054120399}, {1.7338946281943584`, 
        80.09007604428436}, {1.6181487034337712`, 79.78093565407744}, {
        1.5019183694980396`, 79.47122454803149}, {1.386108129411284, 
        79.16299299653127}, {0.7664703066211346, 77.51863884714783}, {
        0.5695646782829369, 76.99925994582607}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{0.4957305470763925, 76.80450731092303}, {0.1586272374533172,
         75.91532832674872}, {-0.4374210780921674, 
        74.35306143533401}, {-0.9904711473541807, 72.91308282761993}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-1.0653879013529446`, 
        72.71874420678498}, {-1.5945782414990621`, 
        71.34963486633615}, {-2.1565766757263156`, 
        69.90442784250996}, {-2.574622180768013, 68.8361945583367}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-2.6505253313418944`, 
        68.64223894623522}, {-2.70766994269708, 
        68.49621710142513}, {-3.2478580424113552`, 
        67.1250026430816}, {-3.777552574025468, 
        65.78895748432294}, {-4.184263911822527, 64.76930543235282}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-4.261428679438643, 64.57584828885211}, {-4.297165136695744,
         64.48625464199262}, {-4.806695730422187, 
        63.21689411609071}, {-5.3061443552047916`, 
        61.980875906617136`}, {-5.822045015924557, 60.71366926904626}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-5.9006382356908125`, 
        60.520788113221016`}, {-6.464314154961322, 
        59.14738988348607}, {-7.02293627488845, 
        57.79713128632784}, {-7.492366292281651, 56.671328238563646`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-7.5725504182394054`, 56.479102959043}, {-8.10127535073191, 
        55.22078288953108}, {-8.62180046500483, 
        53.991173077374576`}, {-9.130434735749608, 
        52.798259514367345`}, {-9.196954695825747, 52.64331836689619}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-9.279121415996729, 52.45193211391797}, {-9.627582242144532,
         51.6402821942504}, {-10.113361457148631`, 
        50.51688804307871}, {-10.587802974884227`, 
        49.42815688915765}, {-10.937914180538515`, 48.63089967189846}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-11.021659417162414`, 
        48.44019885104153}, {-11.05117905627456, 
        48.37297807960389}, {-11.503761962242883`, 
        47.350240961534155`}, {-11.945823953712443`, 
        46.35883488206511}, {-12.377637291606483`, 
        45.397649188313416`}, {-12.721729347529099`, 44.6373555789322}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-12.807655063772225`, 
        44.447627321982104`}, {-13.211607050360984`, 
        43.561496346428825`}, {-14.007396506888838`, 
        41.83534054915653}, {-14.554810192833852`, 40.66619557667571}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-14.64312836334172, 
        40.47756904489706}, {-14.766472175856185`, 
        40.214136101968435`}, {-15.490624014074546`, 
        38.69109207009172}, {-16.181641978355433`, 
        37.259417518753544`}, {-16.445023584226874`, 36.72193354684684}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-16.536673499109906`, 
        36.534903172750454`}, {-16.8409777558249, 
        35.9139081718804}, {-17.469889736645875`, 
        34.65026641551266}, {-18.069877932185182`, 
        33.46306130804836}, {-18.404124083021767`, 32.811457158401716`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-18.499185482753717`, 
        32.6261374400399}, {-18.64244235380966, 
        32.346861907885504`}, {-19.502387164975218`, 
        30.703560961872185`}, {-20.29941217380898, 
        29.21876645211022}, {-20.449688561068484`, 28.94556569287167}}]}, 
      {Arrowheads[{{0.0024335860686007, 1.}}], 
       ArrowBox[{{-20.55007022048006, 
        28.763072980177494`}, {-21.038645036254106`, 27.874849533710094`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{7.825829762447059, 85.}, {7.7117651618062, 
        84.72400035937403}, {7.379198392498009, 83.9212619604519}, {
        7.049523001154323, 83.1277589289444}, {6.701914307289637, 
        82.29594924529508}, {6.357520110721521, 81.47428813367137}, {
        6.223421586651332, 81.15497017924224}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{6.142776937681688, 80.96293760824122}, {5.8683026597529615`,
         80.30935424049486}, {5.3853227256250955`, 79.16379956413944}, {
        4.908580308337924, 78.03762410460507}, {4.521049723706524, 
        77.12601320618617}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{4.439566323493116, 76.93433503000963}, {4.438075407891444, 
        76.9308278618918}, {3.973808024285658, 75.84341083599959}, {
        3.5157781575205664`, 74.77537302692848}, {3.063985807596166, 
        73.72671443467841}, {2.7956634525632458`, 73.10686106199593}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{2.7129231419502777`, 72.9157220844629}, {2.61843097451246, 
        72.69743505924943}, {2.178797541810367, 71.68625593367285}, {
        1.7447693930308048`, 70.69189809097999}, {1.3163465281737745`, 
        69.71436153117087}, {1.0453098281711388`, 69.098518884031}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{0.9614108046477792, 68.90788567185503}, {0.8935289472392766,
         68.75364625424547}, {0.06470963713787459, 
        66.88267954904582}, {-0.7314819599512838, 65.10182716328136}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-0.8169847398253343, 
        64.91190796362075}, {-1.3525727917744428`, 
        63.72338303320163}, {-1.9511920349966088`, 
        62.40342139487383}, {-2.537546266939898, 
        61.1191130603977}, {-2.5378638771699418`, 61.11842225207515}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-2.624868227116398, 60.92918612755582}, {-3.111635487604308,
         59.870458029773225`}, {-3.673945894178583, 
        58.65561502268521}, {-4.224963683851465, 
        57.47274275881844}, {-4.37642423304946, 57.14977065156123}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-4.464857070568882, 56.96119785134613}, {-4.764688856622955,
         56.32184123817295}, {-5.29312141249305, 
        55.20291046074868}, {-5.810710267961553, 
        54.11429058730744}, {-6.249492677982677, 53.19729314096427}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-6.339509360866238, 53.00947138848853}, {-6.814703627193187,
         52.02300403465921}, {-7.301108130956319, 
        51.02033735545224}, {-7.777242182306701, 
        50.045899828054324`}, {-8.162117748800327, 49.263812085307016`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-8.254142274482952, 49.07696583869054}, {-8.699865650220906,
         48.17756406379144}, {-9.146884218774426, 
        47.281744209535134`}, {-10.013657905048571`, 
        45.561996513294424`}, {-10.120406859402745`, 45.35286964311883}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-10.215099703433257`, 
        45.167361333272304`}, {-10.84584416351118, 
        43.93169944211175}, {-11.644723958933973`, 
        42.38654994891262}, {-12.12691305785375, 41.46645470899083}}]}, 
      {Arrowheads[{{0.004732783725967582, 1.}}], 
       ArrowBox[{{-12.22359277288473, 
        41.281974085525306`}, {-12.411100745696036`, 
        40.92417837090304}, {-13.146374866167239`, 39.5397983149384}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-0.4957903945346169, 85.}, {-0.5124142198339625, 
        84.94853266569332}, {-1.0835260867409144`, 
        83.19181140261463}, {-1.1850461007147277`, 
        82.88058642071374}, {-1.2862162333153255`, 
        82.5707808168497}, {-1.387749225227325, 
        82.26055972544921}, {-1.4889298214788265`, 
        81.95176182176057}, {-1.7885339027829303`, 81.0400997969132}}]}, 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-1.8535601813066436`, 
        80.84223203593618}, {-2.0614537878648367`, 
        80.20963482470096}, {-2.6229152271632357`, 
        78.5116426715338}, {-3.1632866274921936`, 76.88791636988228}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-3.2293940585730856`, 
        76.69040725041351}, {-3.7126505244971986`, 
        75.2480628968769}, {-4.241347802129731, 
        73.68026703343321}, {-4.559409543312336, 72.74287021736313}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-4.6263318606392385`, 
        72.54563565858527}, {-4.759829391868587, 
        72.15218952997415}, {-5.2680952937137695`, 
        70.66383038649971}, {-5.766145507665274, 
        69.21518960300989}, {-5.977224788225869, 68.605196366604}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-6.045334179646081, 
        68.40836857757748}, {-6.2543713880717275`, 
        67.80427667922459}, {-6.733164289281751, 
        66.4291011148637}, {-7.202524211295345, 
        65.08966290992721}, {-7.419073297910922, 64.47583666703233}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-7.48836551443708, 64.27942216537424}, {-7.662451154112511, 
        63.785962064415145`}, {-8.255822495212108, 
        62.117486224873645`}, {-8.833439492192632, 
        60.50802468068596}, {-8.888424455926987, 60.35618534349907}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-8.959340989268007, 60.16035145207169}, {-9.39580538473519, 
        58.95506804343671}, {-9.943423412520893, 
        57.45610692471047}, {-10.388704704642185`, 56.24769733778581}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-10.460718882413653`, 
        56.0522644185204}, {-10.476796815230855`, 
        56.00863193609187}, {-10.99642883254619, 
        54.61013368916551}, {-11.502822704148004`, 
        53.258102795515974`}, {-11.920667485001127`, 52.15091851569858}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-11.994207902448238`, 
        51.95605478193982}, {-11.99648166971741, 
        51.95002986672788}, {-12.477551330812211`, 
        50.685439587383684`}, {-12.946067246490728`, 
        49.46448251068052}, {-13.402367592684847`, 
        48.28558805112509}, {-13.4875554671837, 48.067376812077256`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-13.563298566666365`, 
        47.87335864124406}, {-13.846790545326463`, 
        47.14718562322405}, {-14.279674280347471`, 
        46.0477046414841}, {-14.701356973679756`, 
        44.98557452041194}, {-15.095865847259772`, 43.999974278101895`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-15.17368350657676, 
        43.80677897515095}, {-15.512471939005723`, 
        42.96708451829763}, {-16.282214092528292`, 
        41.08300392784282}, {-16.752406422878927`, 39.95198845844184}}]}, 
      {Arrowheads[{{0.0011253136369382408`, 1.}}], 
       ArrowBox[{{-16.832359457871053`, 
        39.75966690497409}, {-17.012303939053538`, 39.32682277138528}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-21.31570724705087, -5.}, {-21.049452837332744`, \
-4.580817642290347}, {-20.910612765791697`, -4.36296517351048}, \
{-20.773481971126465`, -4.147542700380723}, {-20.631061898915927`, \
-3.922571810107474}, {-20.491017322829475`, -3.7002511044755906`}, \
{-19.460646673044767`, -1.930416225457773}, {-19.246034621952994`, \
-1.3933611201992322`}}]}, 
      {Arrowheads[{{0.007314208129948469, 1.}}], 
       ArrowBox[{{-19.168747006373735`, -1.1999530226159782`}, \
{-18.92889250858873, -0.5997300533122809}, {-18.8432205921453, 
        0.626058005529807}, {-19.15584631636221, 1.7552175681004565`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-33.55579015624027, 85.}, {-33.53823494118635, 
        84.46142853569847}, {-33.47764245900893, 
        82.63071517289897}, {-33.41831205877452, 
        80.8493332658402}, {-33.41788907340465, 80.83670689211624}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-33.41091561426516, 80.62854484322084}, {-33.36016715345018,
         79.11367204190137}, {-33.30323327204689, 
        77.42493509195604}, {-33.27090192116379, 76.4653221626729}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-33.26388855495056, 76.25716145449996}, {-33.24985915230569,
         75.84076078454902}, {-33.197466435252174`, 
        74.29394762353354}, {-33.14605512088637, 
        72.78449560890965}, {-33.12240019248832, 72.09398866720163}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-33.11526929792985, 71.8858319520193}, {-33.09562520920825, 
        71.3124047406773}, {-33.04617670021782, 
        69.87767501883653}, {-32.99770959391509, 
        68.48030644338733}, {-32.97125877814577, 67.7227456785193}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-32.963990991922586`, 
        67.51459369794713}, {-32.950223890300045`, 
        67.12029901432969}, {-32.9037195893727, 
        65.79765273166362}, {-32.8581234391399, 
        64.5088722031084}, {-32.81696009542916, 63.35161300123614}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-32.80953501486894, 63.14346657325845}, {-32.76943583477858,
         62.022422231488434`}, {-32.72634438065003, 
        60.82475278842367}, {-32.6840878252229, 
        59.65745370718906}, {-32.6594278969657, 58.980595684833105`}}]}, 
      {Arrowheads[{{0.0032634128017798953`, 1.}}], 
       ArrowBox[{{-32.651844718102915`, 
        58.772454955683244`}, {-32.6426661684972, 
        58.520524987784604`}, {-32.6020794104729, 57.413966630210304`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-43.418536957353176`, 85.}, {-42.66893666037046, 
        84.22514608942872}, {-41.941160764860975`, 
        83.26839442345933}, {-41.41772691594792, 
        82.37124130357584}, {-41.06249830631886, 81.60266580116463}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-40.98025298214578, 81.41144450990174}, {-40.67670855006511,
         80.61212453216184}, {-40.52649158768497, 
        80.17813954048907}, {-40.3886042578173, 
        79.74702291243813}, {-39.990721939130545`, 
        78.14624989714272}, {-39.83437454050569, 77.41354233452319}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-39.79090987287093, 
        77.20984920650925}, {-39.657582532957186`, 
        76.58502301101142}, {-39.34450469861385, 
        75.04308705957418}, {-39.071550007930554`, 
        73.53973297752509}, {-39.00208776638621, 73.12009083908453}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-38.968074747252864`, 
        72.91460803624659}, {-38.82893135899525, 
        72.07400128788802}, {-38.60686164989589, 
        70.64493251368688}, {-38.4015582165369, 
        69.25162059334373}, {-38.33722461697163, 68.79719684513711}}]}, 
      {Arrowheads[{{0.0016918984536471054`, 1.}}], 
       ArrowBox[{{-38.308029326939845`, 
        68.5909743857088}, {-38.20923839482272, 67.89315946528069}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-51.57420471104882, 85.}, {-50.980640040451746`, 
        84.56924530618362}, {-50.12388606821113, 
        83.9476846715781}, {-49.27310253722121, 
        83.33162432855627}, {-48.42782051358553, 
        82.72111398974724}, {-48.200297278092386`, 82.55689550029469}}]}, 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-48.031413383922285`, 
        82.43500088178081}, {-47.58944679899347, 
        82.11600451726356}, {-46.615859161401374`, 
        81.40552015782437}, {-45.66067234553754, 
        80.7026273980618}, {-44.68649818418493, 79.95282602046287}}]}, 
      {Arrowheads[{{0.009452962440308608, 1.}}], 
       ArrowBox[{{-44.52144715141916, 79.8257897094504}, {-44.50572941429438, 
        79.81369209752798}, {-43.665961045108205`, 
        79.1071383809494}, {-42.944525892111706`, 
        78.40828107841098}, {-41.76702583993516, 77.02579256221053}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-37.51929192167024, 85.}, {-37.457457520242144`, 
        84.29190636688094}, {-37.2944803470902, 
        82.39641201383141}, {-37.16451974265918, 80.84956168069837}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-37.147082366352876`, 
        80.64201408220528}, {-37.14636197623572, 
        80.63343967077041}, {-37.00334486093694, 
        78.91760952101383}, {-36.86428344508367, 
        77.24549470137812}, {-36.80179850328493, 76.49077264808825}}]}, 
      {Arrowheads[{{0.009999999999999983, 1.}}], 
       ArrowBox[{{-36.78461348172282, 76.28320400217416}, {-36.72955958071265,
         75.61823749959115}, {-36.60983661175868, 
        74.17555238117215}, {-36.4927580281868, 
        72.76491478725727}, {-36.44021175269197, 72.13188921686309}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-36.42298217199445, 71.92432426490421}, {-36.37832382999701,
         71.38632471784646}, {-36.266534017189315`, 
        70.03978217293977}, {-36.15738858976373, 
        68.72528715253716}, {-36.07830842343974, 67.77303204468568}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-36.06107121389431, 67.56546772612445}, {-36.05088754772023,
         67.44283965663865}, {-35.94703089105882, 
        66.19243968524424}, {-35.845818619779514`, 
        64.97408723835392}, {-35.74688182819181, 
        63.78495498381346}, {-35.71594355282645, 63.41421324525886}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-35.69862295841915, 63.206655868271}, {-35.649851610605204`,
         62.62221558946863}, {-35.554727967019716`, 
        61.48586905531944}, {-35.46151089743532, 
        60.37591538136587}, {-35.37020040185203, 
        59.292354567607944`}, {-35.350184847520595`, 59.0556781194442}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-35.332633511100994`, 
        58.8481401269643}, {-35.28079648026986, 
        58.235186614045645`}, {-35.19329913268878, 
        57.20441152067897}, {-35.10770835910881, 
        56.200029287507924`}, {-34.978901948340045`, 54.69761029311329}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-34.961110909385724`, 
        54.49009271153133}, {-34.941480007695304`, 
        54.26111467075878}, {-34.78134489977242, 
        52.40911403280424}, {-34.62730303534018, 
        50.64402737364431}, {-34.60051339785203, 50.340154059629235`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-34.58222236697495, 
        50.132679950588724`}, {-34.479354414398564`, 
        48.965854693279}, {-34.363741476383495`, 
        47.66679396447021}, {-34.25191570351114, 
        46.42057392894362}, {-34.21237044981585, 45.98355632446119}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-34.19360021386646, 45.77612502022988}, {-34.14366836875678,
         45.22432440452612}, {-34.03879074509566, 
        44.07517520904463}, {-33.93707410550306, 
        42.97025616032604}, {-33.83830972295425, 
        41.90669707619727}, {-33.81220784318588, 41.62804681469042}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-33.79278287191733, 
        41.4206757988181}, {-33.742288870424474`, 
        40.8816277744852}, {-33.64880282088901, 
        39.89217807301675}, {-33.46971427742412, 
        38.02154665557195}, {-33.39683865620902, 37.27396250041279}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-33.37663111073609, 
        37.066666280382954`}, {-33.301124933782006`, 
        36.29209694476236}, {-33.14231987781228, 
        34.6919159804492}, {-32.99258419736451, 
        33.209090802493655`}, {-32.9630405196902, 32.9216775278802}}]}, 
      {Arrowheads[{{0.00801349584610224, 1.}}], 
       ArrowBox[{{-32.94174341921215, 32.71449041137937}, {-32.85143630194347,
         31.835944937751023`}, {-32.71852792771408, 
        30.567222762787537`}, {-32.593344152516096`, 29.394642592030763`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-55.57560207594237, 85.}, {-55.44997039655129, 
        84.91131020465542}, {-54.52525786013361, 
        84.25998263970114}, {-53.410470593297106`, 
        83.48065936271342}, {-52.305288638657075`, 
        82.7101928067527}, {-52.1630051689201, 82.61124941838375}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-51.99200748597326, 82.49233827441687}, {-51.20965459278102,
         81.94829302238729}, {-50.12358759014646, 
        81.19505665942779}, {-48.95803482568327, 
        80.38416553235852}, {-48.57180336991528, 80.1144789457699}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-48.40103452916864, 79.99523939376324}, {-47.81076321438325,
         79.5830817259495}, {-46.681772756246396`, 
        78.79180524020079}, {-45.57106345127272, 
        78.0103360751123}, {-44.99627253681006, 77.59541770972812}}]}, 
      {Arrowheads[{{0.003936330353047949, 1.}}], 
       ArrowBox[{{-44.82739616394752, 
        77.4735126711879}, {-44.501861844432256`, 
        77.23852258291208}, {-43.52616463218119, 76.47615524078383}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-70., 32.15416305761635}, {-69.28723468566913, 
        32.042875914341614`}, {-67.81759931730491, 
        31.81539857497753}, {-66.36295941650016, 
        31.590986626947103`}, {-65.88340610909623, 31.517238239848776`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-65.67754734265753, 
        31.485580128517856`}, {-64.92287235479307, 
        31.369521992166447`}, {-63.49748567500426, 
        31.151044029996864`}, {-62.292309520298325`, 
        30.96611327070942}, {-61.560145757339804`, 30.85389136965773}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-61.35427120347835, 
        30.82233608792794}, {-61.098534011610894`, 
        30.783138144389984`}, {-59.91615914894197, 
        30.602118651038552`}, {-58.74518493229155, 
        30.42305479065513}, {-57.585611361659645`, 
        30.245946563239706`}, {-57.23655546496195, 30.192698446511685`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-57.03065859715343, 
        30.161289091864692`}, {-56.437438437046254`, 
        30.070793968792294`}, {-55.300666158451364`, 
        29.897597007312882`}, {-54.17529452587496, 
        29.726355678801475`}, {-53.061323539317094`, 
        29.557069983258078`}, {-52.91251050859959, 29.534485579500387`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-52.70658959224597, 29.50323427647497}, {-51.95875319877773,
         29.389739920682686`}, {-50.86758350425687, 
        29.224365491075304`}, {-49.787814455754514`, 
        29.06094669443592}, {-48.71944605327066, 
        28.899483530764545`}, {-48.58795433564629, 28.879640050149444`}}]}, 
      {Arrowheads[{{0.007059329349356497, 1.}}], 
       ArrowBox[{{-48.38200742679313, 
        28.848560499532862`}, {-47.662478296805325`, 
        28.739976000061173`}, {-46.6169111863585, 
        28.58242410232581}, {-45.582744721930176`, 
        28.426827837558452`}, {-45.528421601559, 
        28.418637065516855`}, {-45.47420896038664, 28.410451271540822`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.003637058925283433, 1.}}], 
       ArrowBox[{{28.495482387526913`, -5.}, {
        28.479212105913444`, -4.986866916515964}, {
        28.192734780859958`, -4.757626505501597}, {
        27.908351939340633`, -4.531021978986976}, {
        27.60732018943362, -4.293495019209436}, {
        27.30822156625103, -4.058864169288989}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.0068877730920742395`, 1.}}], 
       ArrowBox[{{-49.07758593549693, -5.}, {-48.60471210400114, \
-4.917334144001555}, {-47.44445151468308, -4.714809538321415}, \
{-46.251401520848, -4.505300588930563}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-47.20685082349016, 85.}, {-46.52008109537056, 
        84.48093539635583}, {-45.58987251077872, 
        83.75007772554262}, {-44.69228118859816, 
        83.02697958050013}, {-44.2531263524881, 
        82.6654246469672}, {-43.949970097290965`, 82.40405414311401}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-70., 26.977599184168245`}, {-69.92425575669301, 
        26.96931965404501}, {-68.77459351608648, 
        26.843968982017376`}, {-67.29211933880507, 
        26.68374182094291}, {-65.85861459523018, 26.529325867513315`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-65.65152737893501, 
        26.507078353158967`}, {-64.37265648955403, 
        26.369760025476566`}, {-62.93536285569583, 
        26.21594859683984}, {-61.72130707562498, 
        26.085803285678633`}, {-61.509677109785926`, 
        26.063115425825515`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-61.30258494120013, 
        26.040914042014276`}, {-60.52029483213432, 
        25.95704837446291}, {-59.33232612522384, 
        25.829683863192667`}, {-58.15740095489355, 
        25.70370975186791}, {-57.16074625806654, 25.59684263435135}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-56.95365457101038, 
        25.574636759349755`}, {-55.84668122397353, 
        25.45593272905483}, {-54.71088666338381, 
        25.334129817566513`}, {-53.58813563937428, 
        25.213717306023682`}, {-52.811827816712984`, 
        25.130454106172046`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-52.604736747241574`, 
        25.108242472331007`}, {-52.47842815194494, 
        25.094695194426336`}, {-51.38176420109579, 
        24.97706348277447}, {-50.29814378682681, 
        24.86082217106808}, {-49.227566909138034`, 
        24.74597125930718}, {-48.46292345778019, 24.663934283284817`}}]}, 
      {Arrowheads[{{0.007678155895100484, 1.}}], 
       ArrowBox[{{-48.25583310185096, 
        24.64171599771177}, {-48.170033568029446`, 
        24.632510747491754`}, {-47.125543763501035`, 
        24.520440635621817`}, {-46.09409749555282, 
        24.40976092369736}, {-45.075694764184796`, 24.30047161171838}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{30., 9.603427401104035}, {29.832758100850874`, 
        9.623057577485593}, {28.870420779602256`, 9.735420927550182}, {
        27.62591692967128, 9.878998678512746}, {26.407479271539135`, 
        10.01862314269507}, {25.861873385155064`, 10.080834791628055`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{25.654935445476852`, 10.104430487304098`}, {
        24.42900789885438, 10.24421448900027}, {22.516932575065045`, 
        10.459941941228484`}, {21.515642816087592`, 10.571623897745736`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{21.30864760168106, 10.594711750514985`}, {20.67125330017114,
         10.66580549937972}, {18.891970074172654`, 10.86180516345397}, {
        17.17469950650072, 11.048785487615273`}, {17.167974849007734`, 
        11.049509985133945`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{16.960894388255568`, 11.071820308022023`}, {
        15.515058206586456`, 11.227591026027662`}, {13.913046174429873`, 
        11.398221778691138`}, {12.81878373691598, 11.513328905267882`}}]}, 
      {Arrowheads[{{0.004184126051345884, 1.}}], 
       ArrowBox[{{12.611647768226671`, 11.535117852186946`}, {
        12.36866341003096, 11.560677745605702`}, {10.878094480436637`, 
        11.715662520884011`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{30., 15.248545943990951`}, {29.087744781790683`, 
        15.242589739941987`}, {28.117961419876565`, 15.236291770891402`}, {
        26.84411686242379, 15.228120584587888`}, {25.834510141558127`, 
        15.221689527767793`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{25.62623554480907, 15.220362847053222`}, {
        25.597935668147066`, 15.220182580706878`}, {23.57758673958941, 
        15.207379253570904`}, {21.627391993342954`, 15.195154837787864`}, {
        21.46074175508431, 15.194122558950298`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{21.252466928616332`, 15.192832445608683`}, {
        19.747351429407708`, 15.18350933335777}, {17.937465047783654`, 
        15.172442740280609`}, {17.086968714051743`, 15.167304776348207`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{16.878693692455546`, 15.166046558638689`}, {
        16.192941838783128`, 15.16190383849869}, {14.508990792718446`, 
        15.151841407954318`}, {12.885611909589612`, 15.142255448647491`}, {
        12.713191058657712`, 15.141250419897508`}}]}, 
      {Arrowheads[{{0.0028378561373634567`, 1.}}], 
       ArrowBox[{{12.504915774756569`, 15.140036398234235`}, {
        11.32280518939662, 15.13314596057821}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-70., 16.741768835726123`}, {-69.40959527320791, 
        16.732165013445687`}, {-68.24456555624775, 
        16.713262780790473`}, {-66.72356692958542, 
        16.688805591398914`}, {-65.83496569262367, 16.67456641629138}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-65.62671360596934, 16.67122933121313}, {-65.218752520192, 
        16.664692057691763`}, {-63.72962494280602, 
        16.640908405823986`}, {-62.25634999251466, 
        16.617459227077273`}, {-61.46166677714638, 16.60480655617435}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-61.253414349276916`, 
        16.601490833149615`}, {-61.0127197779813, 
        16.597658577554142`}, {-59.78016770448505, 
        16.57809037925901}, {-58.5586937720259, 
        16.558754632191885`}, {-57.34829798060384, 
        16.539651336352758`}, {-57.08835969412892, 16.535560774384436`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-56.880106656606486`, 
        16.532283565910728`}, {-56.14878565953502, 
        16.520775011715706`}, {-54.95996213813561, 
        16.502120178254792`}, {-53.78182741640556, 
        16.483686835970023`}, {-52.71504110907647, 16.46704524852971}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-52.50678755584848, 
        16.463800979390932`}, {-51.4577485607141, 
        16.447479455696236`}, {-50.312052804273634`, 
        16.4296950792419}, {-49.1772942250235, 
        16.41212185549838}, {-48.34171187376816, 16.39921282910898}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-48.13345790278757, 
        16.395995484938116`}, {-48.053472822963705`, 
        16.39475978446568}, {-46.945164951320535`, 
        16.377605122568056`}, {-45.85694696332028, 
        16.360654126229772`}, {-43.968413857650205`, 16.3294312363094}}]}, 
      {Arrowheads[{{0.0035661777284724844`, 1.}}], 
       ArrowBox[{{-43.76016996577111, 16.32564102782163}, {-42.27497074408556,
         16.294839030806376`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-70., 21.78728802288248}, {-69.20378751116684, 
        21.737890966126002`}, {-68.05131746086181, 
        21.666573817061106`}, {-66.55725783335907, 
        21.57493375807198}, {-65.8423012251564, 21.53122965759125}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-65.63441045073937, 21.51852164260139}, {-65.07883270206908,
         21.484560104972154`}, {-63.6155692249439, 
        21.39540289499658}, {-62.16762501599951, 
        21.307478782400267`}, {-61.47652559668093, 21.265499336589023`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-61.26862995885927, 
        21.25287113373084}, {-60.942222251140805`, 
        21.23304415327693}, {-59.727583428655095`, 
        21.15947124518612}, {-58.52370854854243, 
        21.086760058127844`}, {-57.33059761080277, 
        21.014910592102105`}, {-57.1106327553818, 21.00170232836309}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-56.902728412301656`, 
        20.989218264076396`}, {-56.14806405116809, 
        20.943902816309937`}, {-54.97592130537036, 
        20.873716699952382`}, {-53.81416937340956, 
        20.80435224302944}, {-52.744573315902905`, 20.740677080814947`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-52.536661422358804`, 
        20.728319410967888`}, {-51.52193330966871, 
        20.66806939540965}, {-50.39163989522848, 
        20.60111318055732}, {-49.271928011965024`, 
        20.534940800984113`}, {-48.378358671849824`, 20.48226061035907}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-48.17044086286931, 
        20.470002860098724`}, {-48.162797659878336`, 
        20.46955225669004}, {-47.06817163370095, 
        20.404933844875192`}, {-45.99197272816535, 
        20.341071862739653`}, {-44.0125410109286, 20.217321349393334`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-28.184662006751218`, -5.}, {-28.12868841025216, \
-4.937563232259344}, {-27.263761814223272`, -3.986222871138909}, \
{-26.4478224961213, -3.080408973757076}, {-25.436954899854836`, \
-1.8701951948839344`}}]}, 
      {Arrowheads[{{0.008725341491140508, 1.}}], 
       ArrowBox[{{-25.31697400909063, -1.7001524596453303`}, \
{-24.628941001992633`, -0.6827352243941708}, {-24.20474360865767, 
        0.39374789424552015`}, {-24.189745366244196`, 
        0.4620512357214228}, {-24.176317771663136`, 
        0.5300340716029706}, {-24.165809428500495`, 
        0.5981322594161698}, {-24.156777784745213`, 
        0.6659088530571585}, {-24.14640064921611, 1.6386855885531997`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.003338440353291034, 1.}}], 
       ArrowBox[{{-40.0306976366603, 85.}, {-39.95280022811258, 
        84.70256713386803}, {-39.74637504038068, 83.63922993310653}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.0025034907534935962`, 1.}}], 
       ArrowBox[{{-34.00345860925105, -5.}, {-33.78689912965755, \
-4.8064612076616395`}, {-33.504365516461654`, -4.554467393831533}, \
{-33.22534379875731, -4.305687769926452}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.0039475577326785, 1.}}], 
       ArrowBox[{{30., 84.94001471838538}, {29.691262047155753`, 
        84.46610403371203}, {29.0983785174529, 83.56485301024074}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-32.13601195851943, -2.8346419633934765`}, \
{-31.240042258345348`, -2.0075196452464708`}, {-30.073430551443877`, \
-0.7879019276324809}, {-29.367548208931044`, 0.25394694988414257`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-29.27320158322188, 
        0.43775356501503304`}, {-28.933041720699975`, 
        1.394496328302305}, {-28.909942977876913`, 
        1.509453812864603}, {-28.889962539361235`, 
        1.6234363970896817`}, {-28.874980097257883`, 
        1.739726059848993}, {-28.86253382929639, 
        1.8550009576915107`}, {-28.815502442506094`, 
        2.8383645505124133`}, {-28.85552336294846, 
        3.747877738079822}, {-28.922517689659017`, 4.534138903879796}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.007321825715076946, 1.}}], 
       ArrowBox[{{7.634765429920792, -5.}, {
        7.337768783774878, -4.353548026064072}, {
        7.241841961483563, -4.149061626171992}, {
        7.14608751321884, -3.9467413969911758`}, {
        7.0444132864255815`, -3.736650913251755}, {
        6.942441799263524, -3.528896182017005}, {
        6.275458252910255, -2.270741995513103}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.007106016222997221, 1.}}], 
       ArrowBox[{{2.5333385494622394`, -5.}, {
        2.517338853264519, -4.939493852469193}, {
        2.4583773981651795`, -4.718307355189756}, {
        2.395540439454011, -4.487398241019122}, {
        2.3326064231315415`, -4.259200043120853}, {
        1.976192359792836, -3.0478800933686943`}, {
        1.6709622586013608`, -2.169523937862116}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-19.435483093853616`, 85.}, {-19.623927585768797`, 
        83.4283067626795}, {-19.820768013897176`, 
        81.79704558253682}, {-19.934066239029622`, 80.86436995481651}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-19.95918259668448, 
        80.65761107033786}, {-20.013863609901783`, 
        80.20747473089205}, {-20.22804852343877, 
        78.45037930020848}, {-20.437875270754198`, 
        76.7405946316461}, {-20.465015049827457`, 76.52286172853108}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-20.490777045481636`, 
        76.31618229725498}, {-20.628390254740395`, 
        75.21215991453757}, {-20.815250164839227`, 
        73.72236231552746}, {-20.9986512316627, 
        72.26853157380769}, {-21.009505079138002`, 72.18303074027294}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-21.035734401803783`, 
        71.97641009666442}, {-21.178528045006814`, 
        70.85155777631431}, {-21.357534973623075`, 
        69.4407228409351}, {-21.533303965838776`, 
        68.06301141908597}, {-21.561389348211527`, 67.84413334313318}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-21.587897351886053`, 
        67.63754826750115}, {-21.705835021653904`, 
        66.71842351076694}, {-21.875128141068462`, 
        65.40695911597798}, {-22.041183324082457`, 
        64.12861823471914}, {-22.122537572495897`, 63.5064254070548}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-22.14954102178156, 63.29990450869491}, {-22.20400057069589,
         62.883400866990385`}, {-22.363579880908745`, 
        61.6713070127917}, {-22.519921254721034`, 
        60.49233667212312}, {-22.673257393094275`, 
        59.34340656033767}, {-22.696475171813812`, 59.17039180737345}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-22.724176906372044`, 
        58.9639634138924}, {-22.823820996989983`, 
        58.22143339278839}, {-22.971612066408163`, 
        57.12641716947528}, {-23.116630601348813`, 
        56.05835789039834}, {-23.25887660181193, 
        55.01725555555757}, {-23.28378384305452, 54.83614896499318}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-23.312160924485845`, 
        54.629812325052185`}, {-23.398350067797516`, 
        54.00311016495297}, {-23.535050999305568`, 
        53.015921718584536`}, {-23.66897939633609, 
        52.055690216452284`}, {-23.8873568174089, 50.50414231353802}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-23.916385546211295`, 
        50.2978963423366}, {-23.929316533684407`, 
        50.20602307815959}, {-24.18015942656232, 
        48.44403378333817}, {-24.421508074969832`, 
        46.76972233198806}, {-24.508470652992557`, 46.174617185932426`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-24.538586541822283`, 
        45.96852715470167}, {-24.653362478906946`, 
        45.18308872410923}, {-24.831329102917735`, 
        43.98100776538739}, {-25.003664223756296`, 
        42.83009637479096}, {-25.152290499880156`, 41.84841322336594}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-25.183602666633707`, 
        41.642501616811536`}, {-25.332396655803933`, 
        40.67009136351803}, {-25.641473174824295`, 
        38.6796918213778}, {-25.82366468898387, 37.52639972164533}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-25.85616453455639, 
        37.320672164496415`}, {-25.93280718059182, 
        36.83551587945763}, {-26.20733018580045, 
        35.12765161543268}, {-26.465412624812416`, 
        33.553884219314}, {-26.52310807411108, 33.208846636504624`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-26.55745848871617, 
        33.003419966500076`}, {-26.708126279904587`, 
        32.102377490692774`}, {-26.936542933353834`, 
        30.76129522916019}, {-27.151438816837846`, 
        29.523211965897033`}, {-27.262228066027344`, 
        28.897917269935867`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-27.298564809685075`, 
        28.69283263181528}, {-27.35342127597762, 
        28.383222650135274`}, {-27.543308763965022`, 
        27.333271708542892`}, {-27.721919733991896`, 
        26.36530356778787}, {-28.047763182587687`, 
        24.652123418886788`}, {-28.05863340083241, 24.597230008818748`}}]}, 
      {Arrowheads[{{0.002925976177155519, 1.}}], 
       ArrowBox[{{-28.099091992989052`, 
        24.392918555264615`}, {-28.33585374661222, 23.19729766362579}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-70., 61.28881343683886}, {-69.83756968038618, 
        61.22053268948696}, {-68.65615240055895, 
        60.72536147001735}, {-67.48486021343095, 
        60.235907066581575`}, {-66.41895816768039, 
        59.7906420304662}, {-66.15701888897524, 59.6814819666146}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-65.96476638728572, 59.60136303422767}, {-65.36090843443868,
         59.349712449344274`}, {-64.31076989497473, 
        58.913161525229945`}, {-63.26836590548188, 
        58.48085965208077}, {-62.11640301134794, 58.00697451873419}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-61.923763352299446`, 
        57.9277910613597}, {-60.69236071054733, 
        57.422763581230875`}, {-59.422208001548086`, 
        56.903360132532995`}, {-58.163955218194225`, 
        56.39038640831985}, {-58.06803943334991, 56.35127352019484}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-57.87517937112222, 
        56.272628341510874`}, {-57.05734965870791, 
        55.939130762370084`}, {-55.95979077455972, 
        55.49273735543133}, {-54.87127856574967, 
        55.0512061875036}, {-54.01577800259557, 54.705136301049116`}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-53.82269859204906, 
        54.627031186263245`}, {-53.79181303227774, 
        54.61453725858687}, {-52.72130926288759, 
        54.18262550883297}, {-51.65968234632291, 
        53.75536587839371}, {-50.60693228258367, 
        53.3327583672691}, {-49.95790025399424, 53.072893057028146`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-49.76454417233658, 
        52.99547540129836}, {-49.563059071669876`, 
        52.914802975459104`}, {-48.531334136098295`, 
        52.50139999710786}, {-47.51502889838568, 
        52.092449726359476`}, {-46.51414335853204, 
        51.687952163213936`}, {-45.900716737549914`, 51.4389347406718}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-45.707732847050096`, 
        51.360593910064416`}, {-45.528677516537364`, 
        51.28790730767125}, {-43.97456215220475, 
        50.62566631522601}, {-42.68553525516106, 
        49.97549402423829}, {-41.99286063938063, 49.50157458779786}}]}, 
      {Arrowheads[{{0.0060868536602251225`, 1.}}], 
       ArrowBox[{{-41.82096478472304, 49.38396556227585}, {-41.75257015204498,
         49.3371707974095}, {-40.824513797010525`, 
        48.36917650612057}, {-40.23226632185364, 47.42843115886367}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{30., 60.563250101822604`}, {29.95128978944927, 
        60.51450779404257}, {28.974204249223177`, 59.54170729893231}, {
        28.012865924820403`, 58.58959328448776}, {27.067274816240957`, 
        57.65816575070892}, {27.040438189176076`, 57.631880458967494`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{26.891642311691804`, 57.48614146426674}, {26.13743092348482,
         56.74742469759579}, {25.22333424655201, 55.85737012514838}, {
        24.4026399704997, 55.06068542407958}, {23.90621894516731, 
        54.58111436157534}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{23.756423272506847`, 54.43640318652344}, {23.59402419790764,
         54.279516405382175`}, {22.60130599541456, 53.330737695295554`}, {
        21.626792372209948`, 52.40484713096074}, {20.770382785221663`, 
        51.59306330812264}, {20.739587933127297`, 51.564012677943545`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{20.588084496785545`, 51.421090403579676`}, {
        19.9273715080214, 50.79780023052438}, {19.097758540609142`, 
        50.01905789816596}, {18.2815438829849, 49.25683631104737}, {
        17.54691999607574, 48.574476450776885`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.394098748924364`, 48.43296443235011}, {16.68930949710046,
         47.78195537252974}, {15.91328976884026, 47.069296021130675`}, {
        15.150668350368074`, 46.37315741497145}, {14.320577928917633`, 
        45.621333686653614`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{14.166204800961282`, 45.481515929921244`}, {
        13.662291574815487`, 45.025115144368726`}, {12.22085030247045, 
        43.73250126671776}, {11.061707263232316`, 42.7041262147289}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{10.905906031748342`, 42.56590160042024}, {
        10.826344533332952`, 42.49531578201856}, {9.478774267403, 
        41.31355869027111}, {8.17521744215647, 40.18274120701136}, {
        7.764683421474897, 39.83012212699112}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{7.606685783084363, 39.694413564270434`}, {
        6.9127519950692236`, 39.09837454777525}, {5.691377926141267, 
        38.06045871256279}, {4.511095235372599, 37.068993701373955`}, {
        4.429154272264006, 37.000906968791774`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{4.268960413541269, 36.8677980083112}, {3.6036458011640056`, 
        36.314971968959995`}, {2.7205731199542367`, 35.588092443309066`}, {
        1.8609982128589444`, 34.88704201969657}, {1.0462832580534513`, 
        34.228485726561985`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{0.883612790773896, 34.09841577454255}, {-0.5855296525834693,
         32.925734313843876`}, {-2.1151739718522764`, 
        31.723267766850128`}, {-2.383857079908164, 31.51475163870222}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-2.5483987425997494`, 
        31.387056263017}, {-3.1705220836151096`, 
        30.904246788176547`}, {-4.186803586881513, 
        30.124998288506642`}, {-5.165372870352656, 
        29.383725747959797`}, {-5.861772156442966, 28.862583353503847`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-6.028528111283037, 
        28.737793453038798`}, {-6.107584322729708, 
        28.678632646655387`}, {-7.014739713570506, 
        28.008055506155024`}, {-7.888110744351002, 
        27.37040687170159}, {-8.729006701649517, 
        26.76400425893639}, {-9.397374510985006, 26.287869512715858`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-9.567183199900049, 
        26.167268402045686`}, {-11.069064348103119`, 
        25.116777768287648`}, {-12.487822164487392`, 
        24.148444873401914`}, {-12.999712148372696`, 
        23.807471525376688`}}]}, 
      {Arrowheads[{{0.0053097188150993254`, 1.}}], 
       ArrowBox[{{-13.173055390450163`, 
        23.692006430396543`}, {-13.803257067813696`, 
        23.272224870634858`}, {-15.022836411538359`, 22.47946850572073}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-70., 80.71806532338871}, {-69.99477094130341, 
        80.71494454990795}, {-68.82485588649489, 
        80.01875195382331}, {-67.66485287747517, 
        79.33050365149795}, {-66.60645113645182, 
        78.70274183140413}, {-66.41821967967206, 78.59136189236547}}]}, 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-66.23897045307741, 78.48529690050707}, {-65.5557823693916, 
        78.08104222164165}, {-64.51290407804859, 
        77.46546472429307}, {-63.47764375716039, 
        76.8558296331106}, {-62.64930862254066, 76.37193790506028}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-62.46946759575691, 76.26687947932456}, {-62.1985996175907, 
        76.10864548857575}, {-60.93137619235041, 
        75.37058305588255}, {-59.67565639773967, 
        74.64132253353114}, {-58.8680043163389, 74.17368415595945}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-58.68775921963715, 74.06932049922167}, {-58.43154592832512,
         73.92097052202152}, {-57.33425971475342, 
        73.28548587629072}, {-56.24585099125258, 
        72.65677813798845}, {-55.16631975782259, 
        72.03484730711475}, {-55.08075552400989, 71.98568559216913}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-54.90016290809087, 
        71.88192444911343}, {-54.095666014463454`, 
        71.41969338366954}, {-53.03379052222381, 
        70.81117145614895}, {-51.9805940421523, 
        70.209136613049}, {-51.28497702499521, 69.81251983238509}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-51.10404199787792, 69.70935693355626}, {-50.93607657424892,
         69.61358885436975}, {-49.90023811851367, 
        69.02452818011113}, {-48.875346744742224`, 
        68.44181697768917}, {-47.86367052273023, 
        67.8653176345198}, {-47.48399687205331, 67.6484607760954}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-47.30313979686272, 67.54516127906754}, {-46.8652094524777, 
        67.29503015060305}, {-45.879963533984636`, 
        66.7309545259389}, {-44.11406000217895, 
        65.67486261039079}, {-43.73234037824097, 65.40349812099979}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-43.562585521305905`, 
        65.28281938932076}, {-42.65878784891542, 
        64.64030960334009}, {-41.63965396613326, 
        63.62685666988607}, {-40.764098505743085`, 62.26454506978891}}]}, 
      {Arrowheads[{{0.003108254790206748, 1.}}], 
       ArrowBox[{{-40.67728752537412, 62.0756586256318}, {-40.16882243371222, 
        60.88490861264251}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-70., 43.26175158336222}, {-69.30668707622922, 
        43.08394203869439}, {-68.10738948034725, 
        42.77730910554162}, {-67.01924080318506, 
        42.49919183812145}, {-65.96417389754714, 42.23018424302726}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-65.76232473566743, 42.17883269115812}, {-64.86744717213904,
         41.95124170300649}, {-63.80367800165429, 
        41.68135307024445}, {-62.4700689299175, 
        41.34579148347622}, {-61.723631940763234`, 41.158558798936994`}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-61.52161156737648, 41.10788497463513}, {-61.14928502398649,
         41.01449236513555}, {-59.84096877133261, 
        40.68730050549355}, {-58.54523934279878, 
        40.364267641126524`}, {-57.48013937726262, 40.098664554339884`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-57.27802791897674, 
        40.048355286459845`}, {-56.293898476275565`, 
        39.80359892837188}, {-55.18234444103162, 
        39.52790417807443}, {-54.08020133779942, 
        39.255302498496874`}, {-53.234667365816, 39.046729416250535`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-53.032450069273686`, 
        38.99684722792827}, {-52.98736498076004, 
        38.98572581094655}, {-51.9037311840945, 
        38.71910603673075}, {-50.82929994780281, 
        38.4554431758495}, {-49.76407127188495, 
        38.19473722830278}, {-48.98681524335529, 38.00444540929112}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-48.784511180433064`, 
        37.954916287979906`}, {-48.71101944268502, 
        37.936923662712196`}, {-47.67311874654708, 
        37.681937947699325`}, {-46.65036918347114, 
        37.42978008326418}, {-45.6427707534572, 
        37.18045006940675}, {-44.7428131243701, 36.94682795921682}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-44.541216192947175`, 
        36.89449493930052}, {-44.00030802749714, 
        36.75407932089014}, {-42.64688096090752, 
        36.33588595555446}, {-41.684302077968795`, 
        35.92571334789633}, {-40.77373718807513, 
        35.3272074184773}, {-40.73531843410333, 35.28897601213583}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-40.58768353848876, 
        35.14206105261986}, {-40.189459395220375`, 
        34.74577883463193}, {-39.745496899497226`, 
        34.18094028969902}, {-39.255625869676315`, 
        33.425065642180044`}, {-38.855095678727785`, 
        32.698900862373904`}, {-38.50910965311931, 
        32.001278048722675`}, {-38.35519499336044, 31.657565093672222`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-38.270072639729186`, 
        31.46747497650414}, {-37.75425902254703, 
        30.31559105008223}, {-37.13342092841441, 
        28.796575147806657`}, {-36.66967722123016, 27.622348122201004`}}]}, 
      {Arrowheads[{{2.311802216476642*^-6, 1.}}], 
       ArrowBox[{{-36.59317094618824, 
        27.428629621246884`}, {-36.59281721143581, 27.427733943527127`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{30., 39.15861543566121}, {29.645230046937115`, 
        38.970426703019626`}, {28.644385110491196`, 38.44250026831301}, {
        27.660717687534117`, 37.92666030867389}, {26.694227778065876`, 
        37.422906824102235`}, {26.31103952254533, 37.223808283741526`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{26.126219602172643`, 37.12777878428363}, {25.82396443833599,
         36.97073179479639}, {24.9669336815371, 36.52765491361674}, {
        23.894034113028006`, 35.979163910160175`}, {22.841872689393835`, 
        35.44461518338497}, {22.4179449625168, 35.23027715698006}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{22.23207296475963, 35.13630020138743}, {21.051946635292637`,
         34.53962786237859}, {19.32006677852344, 33.67289361773017}, {
        18.507610253328913`, 33.270759912637466`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{18.320945235594056`, 33.17836814413645}, {
        17.646233119086247`, 32.84441244943972}, {16.030445656981044`, 
        32.05418435750724}, {14.577385276107012`, 31.35145892873304}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{14.389730394755228`, 31.261095526021215`}, {
        12.958185037499568`, 30.5758144356856}, {11.498005808306527`, 
        29.884504364038808`}, {10.625821078247581`, 29.47649124511795}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{10.437164761356117`, 29.38823671645427}, {
        10.088460632811945`, 29.22511088523469}, {8.726308768456716, 
        28.594977696888115`}, {7.408309472681726, 27.991448496613934`}, {
        6.652099657303524, 27.648961053743236`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{6.462372172826473, 27.563033471636494`}, {6.134462745486976,
         27.414523284412155`}, {4.904768586872468, 26.864202060282768`}, {
        3.0588150599329142`, 26.0511738074775}, {2.6537177797480673`, 
        25.876081236294358`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{2.462533049437801, 25.793446699756107`}, {
        1.3117538538696856`, 25.296052868516}, {-0.3439969220318645, 
        24.592800369976707`}, {-1.370816474517277, 24.163382321871566`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-1.56296894043145, 
        24.083023765539316`}, {-1.9160191584863824`, 
        23.935377438438046`}, {-2.961537267024178, 
        23.50369444480146}, {-3.969011790290555, 
        23.09260660044888}, {-4.9397115740463695`, 
        22.701224824606733`}, {-5.420016983943208, 22.509879601785755`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-5.613506754364751, 
        22.432796682309913`}, {-5.874905464052482, 
        22.328660036501454`}, {-7.643784887143845, 
        21.636585263901488`}, {-9.28566870822113, 
        21.009589963449002`}, {-9.498579924155955, 20.930225549834567`}}]}, 
      {Arrowheads[{{0.002859305611286144, 1.}}], 
       ArrowBox[{{-9.693740921073472, 
        20.85747767691129}, {-10.809790788254382`, 20.441460874393975`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-70., 7.605986803736119}, {-69.14266467117196, 
        7.663090284914574}, {-68.0628525313999, 
        7.734840493678966}, {-66.99113241154346, 
        7.805877215601633}, {-65.92732191253356, 
        7.876221598071267}, {-65.84355922316824, 7.881715743083448}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-65.63572699780579, 7.895347831463101}, {-64.60566430536846,
         7.962911490733942}, {-63.2964187731674, 
        8.048526621391323}, {-61.99924539028041, 
        8.133105229349288}, {-61.47901270623386, 8.166922428162174}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-61.27117253747002, 8.180432867863347}, {-60.71425746525747,
         8.216634568172548}, {-59.589533283606634`, 
        8.289763768044397}, {-58.47398190479214, 
        8.362107042569574}, {-57.36760332881401, 
        8.433664391748083}, {-57.1143276243019, 8.450001055908178}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-56.906480721148874`, 
        8.463407494003247}, {-56.27039755567221, 
        8.504435815579921}, {-55.18221990891864, 
        8.574438253784919}, {-54.102925712105154`, 
        8.643688646082913}, {-53.03251496523177, 
        8.7121869924739}, {-52.749460067847245`, 8.730251456936633}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-52.54160410884326, 8.743516751476632}, {-51.97098766829847,
         8.779933292957876}, {-50.9185589397252, 
        8.846943624163533}, {-49.87544389793187, 
        8.91323406271955}, {-48.84164254291849, 
        8.978804608625927}, {-48.38441648933837, 9.007747278391587}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-48.17655370006896, 9.020905111413759}, {-47.81715487468506,
         9.043655261882666}, {-45.812931642787916`, 
        9.171243598776346}, {-44.0198169623653, 9.292027105994208}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-43.81217098919787, 9.308191767720272}, {-42.47242443250129,
         9.418211408846094}, {-41.2782210583628, 
        9.564558666958321}, {-40.60591481376815, 
        9.707037771936323}, {-40.10895547429856, 
        9.845747366880461}, {-39.71577679262058, 9.978516525169105}}]}, 
      {Arrowheads[{{0.007480948180825852, 1.}}], 
       ArrowBox[{{-39.522160188099534`, 
        10.055253681898266`}, {-39.314447282816275`, 
        10.138016047919491`}, {-38.98083425248401, 
        10.290270037171355`}, {-38.687358587775115`, 
        10.437706567369254`}, {-37.94300979329167, 
        10.85413483207777}, {-37.335730336815374`, 
        11.232127010411546`}, {-36.80821161556115, 11.575233766372186`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-13.633370675441554`, 85.}, {-13.869561532923349`, 
        83.70665417204991}, {-14.18160582313166, 
        82.00358622486087}, {-14.384563946859888`, 80.90271694165892}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-14.42232619048942, 80.69788998862597}, {-14.48780917927318,
         80.34270237849202}, {-14.724188367345764`, 
        79.07729510438229}, {-14.957038656107795`, 
        77.83680848386547}, {-15.18650983317415, 
        76.61987176442815}, {-15.189595232207202`, 76.6035886730319}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-15.228370939673548`, 
        76.39895115877025}, {-15.412551969339876`, 
        75.42694186357483}, {-15.68894062444533, 
        73.96846516025374}, {-15.960541680674591`, 
        72.54279968728981}, {-16.005794713848694`, 72.30656392964599}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-16.044979882390255`, 
        72.10200442656908}, {-16.22735513802766, 
        71.14994544468307}, {-16.489380996504533`, 
        69.78990243243346}, {-16.746619256105216`, 
        68.46267065054104}, {-16.834525171421163`, 68.01194010755127}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-16.874394588124023`, 
        67.80751286537334}, {-16.999069916829708`, 
        67.16825009900579}, {-17.246732978678004`, 
        65.90664077782768}, {-17.489608441650105`, 
        64.67784268700674}, {-17.679971696263546`, 63.72057690332758}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-17.72059487175209, 
        63.51629811014061}, {-17.728025556239544`, 
        63.47893197021199}, {-17.96231357293985, 
        62.30698477111243}, {-18.192472491751012`, 
        61.16200108970808}, {-18.41850231267305, 
        60.04398092599891}, {-18.542829520670512`, 59.43268040965997}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-18.584339760734338`, 
        59.22858002332388}, {-18.640403035705944`, 
        58.95292427998495}, {-18.858174660849702`, 
        57.88883115166619}, {-19.07181718810433, 
        56.85170154104262}, {-19.28133061746982, 
        55.84153544811425}, {-19.426224459554234`, 55.148971139316636`}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-19.468875778412848`, 54.945106152788}, {-19.68910842010926,
         53.89243707398553}, {-20.082646306343896`, 
        52.031879287922465`}, {-20.33138608277643, 50.86980831279377}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-20.374980400223745`, 
        50.66614289300189}, {-20.461944276173725`, 
        50.259862089925036`}, {-20.82700232959875, 
        48.576385479993256`}, {-21.11824460984891, 
        47.25010607872178}, {-21.26340421980067, 46.59642013676589}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-21.308555433041366`, 
        46.3930942021791}, {-21.400365286370267`, 
        45.979654055336056`}, {-21.673744033036655`, 
        44.76190786620687}, {-21.938760523721907`, 
        43.593745967705004`}, {-22.195794432299845`, 
        42.472046816201264`}, {-22.2285594200822, 42.33039487659934}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-22.275496361902164`, 
        42.12747373126133}, {-22.445225432644307`, 
        41.39368886806642}, {-22.687433198629115`, 
        40.355550579671245`}, {-22.92279740412811, 
        39.354510407386556`}, {-23.22833641112772, 38.07235112446232}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-23.27661738835749, 37.86974555945869}, {-23.37298714006521,
         37.465340986181694`}, {-23.796432948576772`, 
        35.72336971899662}, {-24.194863629997364`, 
        34.11571232784045}, {-24.26849417512182, 33.82400658516875}}]}, 
      {Arrowheads[{{0.005860718376746666, 1.}}], 
       ArrowBox[{{-24.319467853638496`, 
        33.622061662402224`}, {-24.570007984661544`, 
        32.629484534722295`}, {-24.923122696223704`, 31.256549186848282`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-25.040478496398624`, 85.}, {-25.12791374372419, 
        83.52397271945094}, {-25.23975531791069, 
        81.64881178890393}, {-25.288671898575316`, 80.84182456033156}}]}, 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-25.30127385963398, 
        80.63392733016681}, {-25.345577187115172`, 
        79.9030459199207}, {-25.449247810878227`, 
        78.20402583788477}, {-25.550889037259715`, 
        76.54834934319325}, {-25.55535356902653, 76.47610709372995}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-25.568200577976654`, 
        76.2682248624216}, {-25.650460250239682`, 
        74.93715050238046}, {-25.744486057821128`, 
        73.41463918761288}, {-25.825466500840925`, 72.11060042697257}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-25.838384769574034`, 
        71.90272261317418}, {-25.927407695382087`, 
        70.47742924551218}, {-26.016303525361593`, 
        69.06273061817906}, {-26.099608284445022`, 67.74534511490734}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-26.112813642284397`, 
        67.53748534322055}, {-26.188965207718688`, 
        66.34114605094736}, {-26.27273106009626, 
        65.03426011104874}, {-26.35478691993986, 
        63.763311733628285`}, {-26.379664217469834`, 
        63.380465416381476`}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-26.393169662239742`, 
        63.17262492298746}, {-26.435256384775666`, 
        62.524936133300685`}, {-26.514263052129877`, 
        61.31576852468062}, {-26.59180692200249, 
        60.135808907768094`}, {-26.665843375139005`, 59.01598283153459}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-26.679657109264618`, 
        58.80816260265218}, {-26.742506269302908`, 
        57.86351364906564}, {-26.815661746730715`, 
        56.77117800727571}, {-26.88735442667692, 
        55.708050357193315`}, {-26.95758430914153, 
        54.67413069881846}, {-26.95910337027418, 54.651970564656835`}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-26.97334730561903, 54.44417937610787}, {-27.09407890836163,
         52.6829411633568}, {-27.225568771126685`, 
        50.78663520705618}, {-27.26054374526467, 50.28851576099877}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-27.27513192517298, 
        50.080748456690166`}, {-27.352053897436697`, 
        48.985212829916605`}, {-27.473534287291677`, 
        47.27867403193806}, {-27.56581931479376, 
        45.99910122580837}, {-27.571172824592452`, 45.925706086123455`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-27.58632462253741, 
        45.717979124099415`}, {-27.655196848918315`, 
        44.77375993599347}, {-27.741790158498695`, 
        43.59955703945964}, {-27.825722512368273`, 
        42.47339941317317}, {-27.894198655948887`, 41.56379704779609}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-27.90985937239841, 41.35610784105015}, {-27.9860974283085, 
        40.35284747920749}, {-28.062786528045873`, 
        39.35226692546087}, {-28.137307747405917`, 
        38.38735914982678}, {-28.230021620000276`, 37.20285484080506}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-28.24627437109447, 
        36.99521111753231}, {-28.279832062404694`, 
        36.56648099500044}, {-28.41385893295026, 
        34.88792618712018}, {-28.53993946006146, 
        33.339199645549826`}, {-28.58107283309456, 32.84311424611589}}]}, 
      {Arrowheads[{{0.0017530317379248117`, 1.}}], 
       ArrowBox[{{-28.59828340104999, 32.63554771682142}, {-28.65862474475715,
         31.90780628965321}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{30., 67.54148169882214}, {29.187755547239234`, 
        66.60900659534911}, {28.28054581943918, 65.57069048835743}, {
        27.38711574566165, 64.55324391312216}, {27.25690897244826, 
        64.40661505857778}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{27.118613195755785`, 64.25087699039365}, {
        26.269401564134654`, 63.294560158808416`}, {25.17325383229108, 
        62.0678154981726}, {24.344958933019736`, 61.143013176225686`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{24.205883190366055`, 60.98797140354689}, {
        23.341562911556693`, 60.027599048441516`}, {22.44757261630498, 
        59.03922881237948}, {21.56815243113026, 58.072017235519766`}, {
        21.410540923666165`, 57.89960720656077}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{21.270010755065822`, 57.745882324235694`}, {
        20.70330235603253, 57.1259643178624}, {19.85302239101179, 
        56.20107005940737}, {19.01731253606804, 55.297334460154666`}, {
        18.44622235165342, 54.68351564234158}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{18.304350048697163`, 54.53102853670118}, {
        18.196172791201278`, 54.4147575201043}, {17.388690152523317`, 
        53.55161869336649}, {16.59395161614597, 52.706197434051454`}, {
        15.811957182069236`, 51.87849374215919}, {15.449876539843139`, 
        51.4972390529802}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{15.306447791510266`, 51.34621500891977}, {
        15.042706850293108`, 51.06850761768969}, {14.286200620817597`, 
        50.276239060642965`}, {13.542438493642695`, 49.50168807101902}, {
        12.811420468768407`, 48.744854648817835`}, {12.420385306461004`, 
        48.34247294017714}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{12.275230946242553`, 48.193106680793456`}, {
        12.093146546194733`, 48.005738794039424`}, {10.691629314207058`, 
        46.574870354389546`}, {9.354365502794273, 45.22318594528613}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{9.207192377393325, 45.07580890493541}, {8.022313915386093, 
        43.89100768999478}, {6.754515748552805, 42.63801346524989}, {
        6.248588516884856, 42.14350672028021}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{6.09964162728778, 41.99792206514081}, {5.765212697838793, 
        41.67104232636831}, {4.803158844504873, 40.7397722712832}, {
        3.8673506046884913`, 39.84243915838966}, {3.097120247819663, 
        39.11061677286675}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{2.9460839755334205`, 38.96720109290239}, {2.070456630158152,
         38.14252719275771}, {1.2073637277190983`, 37.33642005680953}, {
        0.3665021033473885, 36.557193296633336`}, {-0.10105649836598457`, 
        36.12701239501261}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-0.2543309343037516, 
        35.985991066765216`}, {-0.4531318268195274, 
        35.803082770624265`}, {-0.5277134682720689, 
        35.734733952969435`}, {-0.6021102317513067, 
        35.666609157407414`}, {-0.6763225755451496, 
        35.59870764967685}, {-0.7503509568054786, 
        35.531028697922956`}, {-0.8241958315509558, 
        35.463571572689744`}, {-0.9715194766554931, 
        35.32909952353319}, {-1.1181127291685995`, 
        35.19550897585365}, {-1.2639792113213715`, 
        35.06279414876635}, {-2.68343248040966, 
        33.78260532179727}, {-3.346092021731895, 33.19448175870373}}]}, 
      {Arrowheads[{{0.0017082567093769077`, 1.}}], 
       ArrowBox[{{-3.5018673968069383`, 
        33.05622800557952}, {-4.034076056062233, 32.58388220283758}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01000000000000001, 1.}}], 
       ArrowBox[{{-70., 66.12783030834122}, {-69.74674906979563, 
        66.0101019487725}, {-68.64932563579706, 
        65.50122316888911}, {-67.56009416352008, 
        64.99736420481527}, {-66.21808343640936, 64.38167042841233}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-66.02868624597647, 64.29501729210564}, {-64.84679907649982,
         63.754467325500265`}, {-63.509363248249514`, 
        63.14459385088088}, {-62.23849627679806, 62.56687601761785}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-62.04891888236526, 
        62.480617816827994`}, {-61.04226558132155, 
        62.02242183701067}, {-59.91074268232631, 
        61.507686856141284`}, {-58.7901665331867, 
        60.998232077012126`}, {-58.257108736170494`, 60.75603032054465}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-58.06748564962825, 
        60.66987260015412}, {-57.680537133902746`, 
        60.494057499623196`}, {-56.58185448447442, 
        59.99516312397447}, {-55.49411858490175, 
        59.50154895006598}, {-54.417329435184726`, 
        59.01321497789771}, {-54.27427007446823, 58.9483785972113}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-54.084564918991646`, 
        58.8624017298672}, {-53.351487035323345`, 
        58.53016120746966}, {-52.29659138531761, 
        58.052387638781845`}, {-51.25264248516752, 
        57.579894271834235`}, {-50.28976707239649, 57.14439849946542}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-50.09998140904606, 57.05859949599317}, {-49.19758493443427,
         56.65074814315968}, {-48.18647628385111, 
        56.194095381432746`}, {-47.186314383123594`, 
        55.74272282144602}, {-46.30339024900154, 55.344563018903465`}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-46.11351328519881, 55.25896625822701}, {-45.2188308312355, 
        54.85581830669325}, {-45.16670798273979, 
        54.83218660973805}, {-45.11471990142182, 
        54.808568907145656`}, {-45.03696589216926, 
        54.77316508011235}, {-44.98530017235362, 
        54.74957883687233}, {-44.933786160980254`, 
        54.726006563146505`}, {-44.42880290657908, 
        54.49104965302373}, {-43.946052097817166`, 
        54.257480632137714`}, {-43.49258409547158, 
        54.02529130221409}, {-42.39879258360581, 53.38318590020553}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-68.5006724675075, 85.}, {-68.1125365940009, 
        84.75057719565442}, {-67.04669970367593, 
        84.06728006589493}, {-65.98879637172215, 
        83.39073778282176}, {-64.9919749207788, 82.75477210121898}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-64.8161044468903, 82.6431946735678}, {-63.63836024484303, 
        81.89782543766142}, {-62.35016101872051, 
        81.085007448024}, {-61.293336472244626`, 80.42010823405559}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-61.11704583280194, 80.30919530344066}, {-61.07372627857025,
         80.2819408858042}, {-59.80916478792609, 
        79.48874456685574}, {-58.70061433346949, 
        78.7932410030519}, {-57.6010317541262, 
        78.10515464923095}, {-57.58757805507607, 78.09675799202618}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-57.41088773464834, 
        77.98648288876235}, {-56.510417049896205`, 
        77.42448550539292}, {-55.42877022077952, 
        76.75123357153777}, {-54.35595820166391, 
        76.08524021583982}, {-53.87360383108983, 75.78656805427148}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-53.696523411692304`, 
        75.6769204697167}, {-53.29184792743715, 
        75.42634680647333}, {-52.23643939809926, 
        74.77455334343834}, {-51.189732613650214`, 
        74.12985982673482}, {-50.15231464618857, 
        73.49211563881956}, {-50.150552882357005`, 73.49103385643431}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-49.973063554365794`, 
        73.38204942551903}, {-49.124772567812855`, 
        72.86117016214936}, {-48.10710637852307, 
        72.23702339672421}, {-47.09931607831921, 
        71.61967534254411}, {-46.423132069801355`, 71.20260147668687}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-46.24586218246772, 71.09326047441681}, {-46.10928115128844,
         71.0090165734089}, {-45.14488108151792, 
        70.40493766311839}, {-44.23396928212969, 
        69.80736821628847}, {-43.40439916624583, 
        69.21623783753503}, {-42.83593174583172, 68.71321615071574}}]}, 
      {Arrowheads[{{0.0018916282746233545`, 1.}}], 
       ArrowBox[{{-42.679951596352105`, 
        68.57519346888041}, {-42.089838674280855`, 68.05301825388231}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{30., 54.39277572874114}, {29.568206489459516`, 
        54.02022389600478}, {28.644931295846128`, 53.22608697001391}, {
        27.735837782212744`, 52.44809156053534}, {26.834330947565327`, 
        51.68531513498826}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{26.675330529076188`, 51.5507828539068}, {
        26.590312446277352`, 51.478847970207866`}, {25.46730459685552, 
        50.53465716338699}, {24.52862773619959, 49.74731841690865}, {
        23.60492866423767, 48.97631689400022}, {23.482861929536966`, 
        48.87494432959393}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{23.322632173629643`, 48.74187858248153}, {22.69620738096976,
         48.221652594661705`}, {21.80246388639586, 47.48332551889311}, {
        20.923698180515974`, 46.761335666694436`}, {20.10689430314993, 
        46.09406562080713}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{19.945325536175762`, 45.96262922666466}, {
        19.211100134838233`, 45.36636763300681}, {18.377267795040378`, 
        44.693389451517874`}, {17.55746448156787, 44.035405820854486`}, {
        16.750741432052045`, 43.39107406827229}, {16.700204654024514`, 
        43.35091427673379}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{16.53714269750264, 43.22133470246392}, {15.957098646492895`,
         42.76039419377127}, {15.176536124890424`, 42.143366197351426`}, {
        13.654651873555528`, 40.95026583875533}, {13.262639638605654`, 
        40.646568028068835`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{13.097990215310938`, 40.51901162822383}, {
        12.185088678047354`, 39.81177299248397}, {10.764524449504053`, 
        38.72337855939017}, {9.791541653324613, 37.98540432441621}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{9.62559536317234, 37.859539728451345`}, {9.389637099063787, 
        37.68057344032678}, {8.060426626726555, 36.6833576352938}, {
        6.7768930324923495`, 35.73173114429121}, {6.28502141932125, 
        35.371118814777}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{6.1170491079713205`, 35.247971056565724`}, {
        5.779472601728256, 35.00047913581681}, {4.80974844092438, 
        34.29645125421031}, {3.8666911169270644`, 33.61828959797946}, {
        2.949271196582646, 32.964636265631995`}, {2.7363899561122427`, 
        32.81429974558992}}]}, 
      {Arrowheads[{{0.008927247428353557, 1.}}], 
       ArrowBox[{{2.566258236668599, 32.69415289472878}, {2.0564592467374654`,
         32.33413335567565}, {1.1872258342378594`, 31.72542296661817}, {
        0.34054152593016807`, 31.137147196967287`}, {-0.48462311133926833`, 
        30.56794814523075}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-70., 56.642043316482614`}, {-69.70114491239649, 
        56.52887449416542}, {-68.59791088191227, 
        56.11216101134721}, {-67.50295801536247, 
        55.69958102284495}, {-66.12788529402766, 
        55.18573676319974}, {-66.10103604255242, 55.1757349988075}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-65.90585954818641, 
        55.103028714486975`}, {-64.76609701323466, 
        54.67844941669157}, {-63.41722117264819, 
        54.17747918630715}, {-62.08138177238004, 
        53.68290600438427}, {-62.00079864312774, 53.65302342875531}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-61.80551463318273, 
        53.58060641975536}, {-60.932204746749065`, 
        53.25675763191338}, {-59.794826194592204`, 
        52.83496095617826}, {-58.66924611590946, 
        52.4175159771789}, {-57.899873330999064`, 52.13216135512678}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-57.704593354659686`, 
        52.059733469795276`}, {-57.55546451070082, 
        52.00442269491531}, {-56.4534813789663, 
        51.595681109387485`}, {-55.36329672070589, 
        51.19129122059543}, {-54.28491053591959, 
        50.79125302853914}, {-53.79905572627117, 50.61100888656614}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-53.60378154528781, 
        50.53856537771975}, {-53.218322824607384`, 
        50.3955665332186}, {-52.163533586769304`, 
        50.004231734633834`}, {-51.12054282240535, 
        49.61724863278485}, {-50.08935053151549, 
        49.23461722767162}, {-49.69836019587616, 49.0895273638553}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-49.503092347888376`, 
        49.01706678647062}, {-49.06995671409975, 
        48.856337519294165`}, {-48.06236137015811, 
        48.482409507652456`}, {-47.06656449969059, 
        48.11283319274652}, {-46.082566102697186`, 
        47.747608574576354`}, {-45.59780453638178, 47.56766891566125}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-45.40254363748338, 47.49518961451885}, {-45.11036617917788,
         47.386735653141955`}, {-45.05773628543815, 
        47.36723250973154}, {-45.005256328800684`, 
        47.34774109290492}, {-44.92679026097711, 
        47.318523011465864`}, {-44.8746691051995, 
        47.29905795566118}, {-44.82271684241991, 
        47.27960460529928}, {-44.314483310553136`, 
        47.085712777455846`}, {-43.8308293632652, 
        46.89298378449396}, {-43.37912243063978, 
        46.701410652482004`}, {-42.18956228614595, 
        46.119013500383346`}, {-41.64347659832063, 45.73561417863181}}]}, 
      {Arrowheads[{{0.0052607978559358745`, 1.}}], 
       ArrowBox[{{-41.473015188164624`, 
        45.615935544864854`}, {-41.375254819113074`, 
        45.54729932160509}, {-40.68317519687895, 
        44.70145015674927}, {-40.15200845230069, 43.878984942416864`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-70., 75.78063515158026}, {-69.30672191879778, 
        75.397951992893}, {-68.21924057456745, 
        74.79916745303525}, {-67.13982815539124, 
        74.2062541309718}, {-66.3488759944114, 73.77532802380671}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-66.16598012905293, 73.67568280230824}, {-65.79390821975882,
         73.47297079598542}, {-64.46074558118306, 
        72.74886823256605}, {-63.13998951445561, 
        72.03361672033569}, {-62.50400061840102, 71.69025808935992}}]}, 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-62.32072587838813, 71.59131145017541}, {-61.83175692797926,
         71.32732616608699}, {-60.699383806068106`, 
        70.71499766726178}, {-59.57856188854019, 
        70.10884767648518}, {-58.65645753320166, 69.61010890086743}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-58.47325856687351, 69.51102203761604}, {-58.46929117539552,
         69.50887619375719}, {-57.37157166663408, 
        68.91508321907781}, {-56.285403362255884`, 
        68.32746875244706}, {-55.210786262260925`, 
        67.7460327938649}, {-54.80949671489651, 67.52888275368815}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-54.62631770925352, 
        67.42975899455672}, {-54.147720366649196`, 
        67.17077534333134}, {-53.09620567542072, 
        66.60169640084642}, {-52.05624218857547, 
        66.03879596641009}, {-51.02782990611347, 
        65.4820740400224}, {-50.9629266616186, 65.4469344768551}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-50.77976943414527, 65.3477704825982}, {-50.0109688280347, 
        64.9315306216833}, {-49.00565895433917, 
        64.38716571139281}, {-48.011900285026876`, 
        63.848979309150934`}, {-47.11680611908426, 63.36415590948128}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-46.93366981020012, 63.2649532882504}, {-46.05903655955202, 
        62.79114202881301}, {-45.09993150338944, 
        62.27149115071698}, {-45.04778259721888, 
        62.24328305957691}, {-44.99578207414833, 
        62.215091783115824`}, {-44.91803242766957, 
        62.17283217536412}, {-44.866386778238294`, 
        62.1446786981095}, {-44.81490808061637, 
        62.116542005480525`}, {-44.31125818202018, 
        61.83609521469542}, {-43.83181209875275, 
        61.55731592654089}, {-43.38375485459222, 
        61.28019422622399}, {-43.30423777253655, 61.22343981882228}}]}, 
      {Arrowheads[{{0.008987874185800078, 1.}}], 
       ArrowBox[{{-43.134710462707794`, 
        61.10244164133632}, {-42.19023676984205, 
        60.428334350684295`}, {-41.37391080989481, 
        59.5921379858753}, {-40.682509554176974`, 58.35754974799006}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-70., 47.59785925629606}, {-69.90713541387017, 
        47.57030860791206}, {-68.79357543644885, 
        47.24078230159901}, {-67.68843993850142, 
        46.91455034991446}, {-66.29363362718358, 
        46.50625029394678}, {-66.00391846211745, 46.421711236529056`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-65.8039779922507, 
        46.363368488546456`}, {-64.91247970639934, 
        46.10322875869081}, {-63.544591020087154`, 
        45.70529028569712}, {-62.190096620267575`, 
        45.312500027782185`}, {-61.8040483437552, 45.200362407045844`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-61.60403676184862, 
        45.142263914501484`}, {-61.02936013608381, 
        44.97533435302735}, {-59.880747980760844`, 
        44.64164143307464}, {-58.74426015429866, 
        44.31142126792407}, {-57.619896656697264`, 
        43.984673857575615`}, {-57.60388475664194, 43.980019965121095`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-57.403882631462935`, 
        43.92188892645341}, {-56.507657487956656`, 
        43.661399202029315`}, {-55.40754264807684, 
        43.34159730128513}, {-54.319552137057805`, 
        43.025268155343085`}, {-53.403916353167105`, 42.75900594569544}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-53.20392241387494, 42.7008467506825}, {-52.17994410160209, 
        42.40302812786536}, {-51.128326577165424`, 
        42.0971172463297}, {-50.08883338158955, 
        41.79467911959618}, {-49.20416656953649, 41.53724018887748}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-49.004183994122215`, 
        41.47904193082016}, {-48.04621997702016, 
        41.200221130535525`}, {-47.04309976802665, 
        40.90820126820839}, {-46.05210388789391, 
        40.61965416068338}, {-45.07323233662198, 
        40.33457980796051}, {-45.02027605262624, 
        40.31919126532326}, {-45.004658932508406`, 40.31464240487941}}]}, 
      {Arrowheads[{{0.008814526196152337, 1.}}], 
       ArrowBox[{{-44.80475162483464, 40.25618633606236}, {-44.78386714963937,
         40.250051205713596`}, {-44.273159550849975`, 
        40.097072337977224`}, {-43.788060992328816`, 
        39.9450184681657}, {-43.336090142427686`, 
        39.79388400319712}, {-42.19055930738516, 
        39.351240254883805`}, {-41.39814366342667, 38.9164833796691}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-70., 38.99749116529792}, {-69.71133670912421, 
        38.93443732238177}, {-68.58988970930633, 
        38.69010331872813}, {-67.47699784263072, 
        38.448232386898574`}, {-66.06472107251648, 
        38.14388934300278}, {-65.92903422746491, 38.114743112772835`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-65.72540038755636, 38.07100151955997}, {-64.66646317653884,
         37.84353637553926}, {-63.28182118667968, 
        37.54702375149117}, {-61.91092942561169, 
        37.25440138186412}, {-61.65208836074723, 37.19913476231473}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-61.44840074548744, 
        37.15564426769256}, {-60.737870071873616`, 
        37.003934845397644`}, {-59.574696385535745`, 
        36.75625057681899}, {-58.4214083665981, 
        36.511348576128164`}, {-57.37386253454428, 36.28952682054515}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-57.170089147620054`, 
        36.24644003439875}, {-56.144324857684644`, 
        36.02982935099728}, {-55.02020042123131, 
        35.79308807173191}, {-53.90563270570062, 
        35.55900500552902}, {-53.0937234032656, 35.388965076518176`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-52.88986735406638, 
        35.34627106127497}, {-52.800621711092596`, 
        35.32758015238862}, {-51.70520061545207, 
        35.098754789491075`}, {-50.61940259682389, 
        34.872470194016756`}, {-49.54322765520806, 
        34.64872636596566}, {-48.81177939964807, 34.49702385792031}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-48.6078405950949, 
        34.454726910865865`}, {-48.47667579060456, 
        34.42752330533778}, {-47.42224086330618, 
        34.208818405170476`}, {-46.3824167336057, 
        33.992569058501104`}, {-44.53212014887459, 33.5943178629896}}]}, 
      {Arrowheads[{{0.007351490015763679, 1.}}], 
       ArrowBox[{{-44.329146238771195`, 
        33.54774630699744}, {-42.75965344904067, 
        33.151582159228816`}, {-41.40379303459146, 32.65597913343867}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{30., 43.802350481094436`}, {29.099169201606532`, 
        43.2341108501456}, {28.17104935252869, 42.65164938851047}, {
        26.991262422755057`, 41.919775270588154`}, {26.466532394235482`, 
        41.59636309194175}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{26.28922566704648, 41.48708183908369}, {25.835183025611393`,
         41.20723713440921}, {24.87722834816569, 40.61822883137505}, {
        23.934760967033306`, 40.04160120248689}, {23.007780882214234`, 
        39.47735424774474}, {22.736099599737003`, 39.3128639294899}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{22.55793205648249, 39.20499180953598}, {22.09628809370847, 
        38.925487967148584`}, {21.20028260151602, 38.38600236069845}, {
        20.31976440563689, 37.85889742839433}, {19.454733506071058`, 
        37.3441731702362}, {18.983709024995463`, 37.065651708741974`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{18.804427745557998`, 36.95964090468896}, {
        18.605189902818545`, 36.84182958622409}, {16.948588959688127`, 
        35.87016202750126}, {15.345985950680294`, 34.939772339089195`}, {
        15.206812471305081`, 34.859867664046114`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{15.026186943070668`, 34.75616382475971}, {
        13.797380875795053`, 34.05066052098792}, {12.302773735032401`, 
        33.20282657319741}, {11.404173916323904`, 32.69878777537518}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{11.222520351988269`, 32.596895428769265`}, {
        10.858690748709947`, 32.39281767131755}, {9.461658137145303, 
        31.617180990948214`}, {8.111675900338467, 30.875916532089384`}, {
        7.575147562939755, 30.584828618844174`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{7.392076642403246, 30.485505379938992`}, {6.808744038289447,
         30.169024294741074`}, {5.80193316394275, 29.628964056204914`}, {
        4.8233364943593475`, 29.1092006004111}, {3.871894179293865, 
        28.608710519841605`}, {3.71555451794315, 28.527234932980747`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{3.5308526648183385`, 28.43097854002443}, {
        2.9465463685009388`, 28.126470406978402`}, {1.1698948587512983`, 
        27.212646454298856`}, {-0.17620439418428946`, 26.531121454160324`}}]}, 
      {Arrowheads[{{0.0004118841327775155, 1.}}], 
       ArrowBox[{{-0.3620242974410669, 
        26.437041534483793`}, {-0.5150968368525065, 
        26.359541482228302`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{30., 34.82750066176508}, {29.83358129003853, 
        34.75502758801393}, {28.88497533026589, 34.34324613435881}, {
        27.95127409239507, 33.94002632332852}, {26.756422656397085`, 
        33.43005057635311}, {26.172949569986773`, 33.18265175946633}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{25.981195907270838`, 33.10134615961169}, {
        25.585979421217697`, 32.93377015081025}, {24.61826990886749, 
        32.52444877721298}, {23.666423660193754`, 32.12384917553992}, {
        22.730440675196494`, 31.731971345791045`}, {22.141313567148845`, 
        31.486647161289085`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{21.949039344366927`, 31.406580370505953`}, {
        21.81032095387571, 31.348815287966364`}, {20.01767130226357, 
        30.60866848808959}, {18.28847470535733, 29.903408775909593`}, {
        18.09520656521063, 29.825480312937902`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{17.902039371813274`, 29.747592553131316`}, {
        16.618602649166238`, 29.230092612161272`}, {15.003926619699536`, 
        28.585776457579527`}, {14.033482677545681`, 28.202873294488253`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{13.839739671993827`, 28.126429095673465`}, {
        13.444446616957224`, 27.97046031216435}, {11.940162640939302`, 
        27.384144175915747`}, {10.487474365338372`, 26.82436887140071}, {
        9.955533671696967, 26.621507981613444`}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{9.7609260672937, 26.547292430405346`}, {9.082781463847034, 
        26.288675221186224`}, {7.726083936465291, 25.777063225272304`}, {
        6.417381783193138, 25.289532883658932`}, {5.860660682628487, 
        25.0845111238979}}]}, 
      {Arrowheads[{{0.0031213929616029142`, 1.}}], 
       ArrowBox[{{5.665213889805033, 25.012534607535088`}, {
        5.4165633513917015`, 24.920964931265726`}, {4.443936767535172, 
        24.566324262371985`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-70., 10.891834453724991`}, {-69.97679775420228, 
        10.892690295381541`}, {-68.81780525730046, 
        10.935332136944703`}, {-67.31492030994403, 
        10.990138698315338`}, {-65.83719813576967, 11.043844831248617`}}]}, 
      {Arrowheads[{{0.009999999999999992, 1.}}], 
       ArrowBox[{{-65.62905588496781, 11.05138612675419}, {-64.35588333813415,
         11.097508224729365`}, {-62.899413819532995`, 
        11.150091133253666`}, {-61.669731290675635`, 
        11.19450081789801}, {-61.46619707768365, 11.201830732119086`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-61.25805318787192, 
        11.209326655460588`}, {-60.4508312289568, 
        11.238397285057633`}, {-59.242713634376486`, 
        11.281780534732533`}, {-58.045378506934696`, 
        11.324650566922706`}, {-57.09515134915049, 11.358575340179193`}}]}, 
      {Arrowheads[{{0.010000000000000009`, 1.}}], 
       ArrowBox[{{-56.88700513795644, 
        11.366006524355639`}, {-56.85863771287784, 
        11.3670192910986}, {-55.682303118452296`, 
        11.408898616730657`}, {-54.51637472365807, 
        11.450288543818875`}, {-53.36085252849517, 
        11.491189072363253`}, {-52.724046675149346`, 
        11.513667387395316`}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-52.51589748824876, 
        11.521014749188923`}, {-52.21569530752707, 
        11.531611446998971`}, {-51.080861835317236`, 
        11.571566912361199`}, {-49.95635211186566, 
        11.61105546844994}, {-48.84216613717236, 
        11.650077115265193`}, {-48.35288696758345, 11.66720075149758}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-48.1447355823079, 
        11.674485567251581`}, {-47.740296401469564`, 
        11.688640000632875`}, {-46.65273539498952, 
        11.726752272378903`}, {-45.59342070602751, 
        11.764419154627383`}, {-44.57628992287882, 
        11.80164587150242}, {-43.98194658975715, 11.826555443689204`}}]}, 
      {Arrowheads[{{0.008676807266789615, 1.}}], 
       ArrowBox[{{-43.773850451945485`, 
        11.835276977990572`}, {-42.83084724545204, 
        11.874799262729837`}, {-41.44257593825278, 
        11.958405844975514`}, {-40.69828727758932, 
        12.039741629157408`}, {-40.17316182192939, 12.118866013366498`}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-70., 4.416537697148175}, {-68.3948057953041, 
        4.569358266672084}, {-66.41832889369574, 
        4.756087094530481}, {-65.85297947599868, 4.809277947461949}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-65.64561641773955, 4.828787683547307}, {-64.46934589802136,
         4.93945699753867}, {-62.56740208504568, 
        5.118064326941302}, {-61.498270326335046`, 5.218077802829377}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-61.2908968838411, 
        5.237476851283151}, {-60.690443765992484`, 
        5.2936471061975645`}, {-58.838470940861754`, 
        5.466205335307458}, {-57.143246628353964`, 5.623512181095924}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-56.93585605424919, 
        5.642727174940069}, {-55.209481772367745`, 
        5.8022481430881365`}, {-53.43246542900446, 
        5.965732721758922}, {-52.78783628080924, 6.02477118648692}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-52.5804255066384, 
        6.0437669357628785`}, {-51.680434579563645`, 
        6.126192750283338}, {-49.95338922404532, 
        6.283628228661384}, {-48.43205775298748, 6.422014434379381}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-48.22463543992982, 6.440883768415252}, {-46.58649698687534,
         6.589972084765156}, {-45.00614724059875, 
        6.739063429494877}, {-44.07765889458914, 6.833719460818799}}]}, 
      {Arrowheads[{{0.0073722889529650995`, 1.}}], 
       ArrowBox[{{-43.87045403611027, 
        6.8548432473035055`}, {-43.56977725899476, 
        6.885496158086219}, {-41.83573404462725, 
        7.113975586426963}, {-40.84047698602893, 7.335981844001084}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-10.69188688796288, 85.}, {-10.939965657278524`, 
        83.83989078228151}, {-11.376784453478871`, 
        81.82272744656157}, {-11.57184056477598, 80.92843151586365}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-11.616225067748779`, 
        80.72493683871322}, {-11.803868090881954`, 
        79.86462853616408}, {-12.12713479124856, 
        78.3861175336907}, {-12.44509875791589, 
        76.93913176341356}, {-12.50766952841221, 76.65586525277484}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-12.552593341208947`, 
        76.45248895431186}, {-12.757759990883944`, 
        75.52367122533266}, {-13.065118490152715`, 
        74.13973591944801}, {-13.367174255722214`, 
        72.78732584575964}, {-13.457261069567688`, 72.3863381757201}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-13.502915490959422`, 
        72.18312463891685}, {-13.663927287592434`, 
        71.46644100426751}, {-13.955377585763376`, 
        70.17708139497161}, {-14.241525150235042`, 
        68.91924701787198}, {-14.424230354283127`, 68.1207145388927}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-14.47068437864319, 
        67.91768229674024}, {-14.522715274438017`, 
        67.69027574628632}, {-14.799293251802887`, 
        66.48750545353234}, {-15.071259082329654`, 
        65.31093613961004}, {-15.33861276601831, 
        64.1605678045194}, {-15.409054074855241`, 63.85917724071346}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-15.45645575571415, 
        63.656364153402876`}, {-15.601354302868867`, 
        63.03640044826049}, {-15.85948369288132, 
        61.93843407083322}, {-16.113000936055666`, 
        60.86666867223766}, {-16.361906032391907`, 
        59.821104252473766`}, {-16.414268081531734`, 
        59.602405608816355`}}]}, 
      {Arrowheads[{{0.0063663536515524075`, 1.}}], 
       ArrowBox[{{-16.462764703326826`, 
        59.39985155329743}, {-16.606500019265344`, 
        58.79951754884547}, {-16.847083934051273`, 
        57.799685298656684`}, {-17.083657776749696`, 56.82160750190741}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-27.84291062450036, 85.}, {-27.852738868697354`, 
        84.66030853224254}, {-27.908422279863924`, 
        82.74889680399959}, {-27.961518595857164`, 
        80.95573150926148}, {-27.965081200165468`, 80.83621563827232}}]}, 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-27.97128694992869, 
        80.62802928808918}, {-28.013523843312612`, 
        79.21109418561588}, {-28.064500427465834`, 
        77.51141917750371}, {-28.09611681535407, 76.46432370009508}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-28.10240279828318, 
        76.25613975702714}, {-28.114427546571655`, 
        75.85789503677802}, {-28.161113902873335`, 
        74.31058522629166}, {-28.206950375247633`, 
        72.79983057121413}, {-28.228536045507713`, 72.09247343665436}}]}, 
      {Arrowheads[{{0.00999999999999999, 1.}}], 
       ArrowBox[{{-28.23488891296854, 71.8842915238768}, {-28.25193696369454, 
        71.3256310715454}, {-28.29607366821405, 
        69.8879867272855}, {-28.33936048880618, 
        68.4868975384344}, {-28.363189457502635`, 67.72069146128466}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-28.369663787663026`, 
        67.51251329052299}, {-28.38179742547092, 
        67.12236350499211}, {-28.423384478208273`, 
        65.79438462695865}, {-28.46412164701824, 
        64.50296090433399}, {-28.50075798683965, 63.349000272171985`}}]}, 
      {Arrowheads[{{0.01, 1.}}], 
       ArrowBox[{{-28.5073854117149, 63.14082691980107}, {-28.54329226780242, 
        62.01607504214257}, {-28.58178720351325, 
        60.81718693178368}, {-28.61955522276989, 
        59.64800203524931}, {-28.641354290877246`, 58.977405402612874`}}]}, 
      {Arrowheads[{{0.0032918045425602165`, 1.}}], 
       ArrowBox[{{-28.64812123100162, 
        58.769236537856266`}, {-28.656596325572355`, 
        58.508520352539506`}, {-28.692910511920648`, 57.39874188365423}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999985, 1.}}], 
       ArrowBox[{{-16.485264759579696`, 85.}, {-16.721753148132972`, 
        83.43887151018191}, {-16.992500064260593`, 
        81.66313943560206}, {-17.113313682905027`, 80.88204415414218}}]}, 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-17.145150031190692`, 
        80.67621287697436}, {-17.218583147221075`, 
        80.20144636407782}, {-17.440834870317012`, 
        78.77241255889591}, {-17.65943845981407, 
        77.37402032905321}, {-17.787327894324775`, 76.56043533170963}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-17.819670609264374`, 
        76.3546830133192}, {-17.874332840290368`, 
        76.00694223821745}, {-18.110814727528215`, 
        74.50225692705507}, {-18.34311494308817, 
        73.0321173700753}, {-18.468980033712796`, 72.24002418460142}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-18.501665845907954`, 
        72.03432609172295}, {-18.571233486970243`, 
        71.59652356727818}, {-18.79517035917442, 
        70.19547551866364}, {-19.014925559700714`, 
        68.82897322423176}, {-19.161814893315253`, 67.92139329247527}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{-19.195091239955477`, 
        67.71578990610486}, {-19.23049908854912, 
        67.49701668398248}, {-19.44189094571963, 
        66.1996058979158}, {-19.649101131212262`, 
        64.93674086603177}, {-19.85242330326893, 
        63.70527878321244}, {-19.869052947638025`, 63.60509834434341}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-19.903159876160167`, 
        63.39963110812438}, {-20.052151120131576`, 
        62.50207684433992}, {-20.248284581800185`, 
        61.32713504941418}, {-20.440823688274776`, 
        60.18045339843526}, {-20.59104518792758, 59.29124660707624}}]}, 
      {Arrowheads[{{0.002712684960814448, 1.}}], 
       ArrowBox[{{-20.62573993910535, 
        59.08587781204298}, {-20.629768439555335`, 
        59.06203189140314}, {-20.81511883564187, 57.97187052831782}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000012`, 1.}}], 
       ArrowBox[{{-22.285279695290743`, 85.}, {-22.36506134222697, 
        84.10091330576196}, {-22.522116125099366`, 
        82.35869486174164}, {-22.658876098640597`, 80.85121179418644}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-22.67770330920922, 
        80.64378565567944}, {-22.827182310045863`, 
        79.00572362280423}, {-22.97530553883524, 
        77.39286817856096}, {-23.05766504321945, 76.49557461266842}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-23.076702219446567`, 
        76.28816763676356}, {-23.119654066931155`, 
        75.8202141603642}, {-23.261396662723286`, 
        74.2844128284661}, {-23.400533326211637`, 
        72.78546418286669}, {-23.460775530524263`, 72.14033555328523}}]}, 
      {Arrowheads[{{0.009999999999999983, 1.}}], 
       ArrowBox[{{-23.480140390822005`, 
        71.9329589154536}, {-23.53706405739621, 
        71.32336822356595}, {-23.67098885627701, 
        69.89812495056387}, {-23.802307722854025`, 
        68.50973436386045}, {-23.871252635346963`, 67.78578488045821}}]}, 
      {Arrowheads[{{0.009999999999999995, 1.}}], 
       ArrowBox[{{-23.89099860725207, 67.57844418419666}, {-23.93102065712726,
         67.15819646345571}, {-24.057127659096714`, 
        65.84351124934963}, {-24.18081567411717, 
        64.5622540797285}, {-24.290519555995143`, 63.43207174635634}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-24.31068965278319, 
        63.22477188692797}, {-24.421495579375396`, 
        62.0897499484999}, {-24.538487469613166`, 
        60.89850298689244}, {-24.653247318256717`, 
        59.73725942795618}, {-24.718703778341027`, 59.079226732963065`}}]}, 
      {Arrowheads[{{0.003298488062139172, 1.}}], 
       ArrowBox[{{-24.739320142278515`, 
        58.87197077220271}, {-24.765775125306035`, 
        58.60601927169116}, {-24.876070890761135`, 57.50478251809736}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{30., 71.5147005976357}, {29.34219092267977, 
        70.70021258266723}, {28.4272171279845, 69.5729905180595}, {
        27.369621473970007`, 68.2846942218206}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{27.2373142602033, 68.12383782294185}, {26.151601458685512`, 
        66.80957044077739}, {25.211674100489546`, 65.67445159843177}, {
        24.580319945896523`, 64.91566455073674}}]}, 
      {Arrowheads[{{0.010000000000000005`, 1.}}], 
       ArrowBox[{{24.44710371929611, 64.75555988277527}, {24.286590808050214`,
         64.56264895131919}, {23.37635158136751, 63.47416249943966}, {
        22.480956420441423`, 62.40899224279316}, {21.768199126499784`, 
        61.565669140285124`}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{21.633753613897763`, 61.40659534648526}, {
        21.600405325271975`, 61.36713818137972}, {20.73469829585915, 
        60.34860031519932}, {19.883835332202953`, 59.35337864425196}, {
        19.04781643430339, 58.38147316853765}, {18.926262447400344`, 
        58.24093718799866}}]}, 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{18.790010454392217`, 58.08340794584339}, {
        18.225710870349573`, 57.43098676755302}, {17.416587908530644`, 
        56.500022320794706`}, {16.6204475488466, 55.58857982826271}, {
        16.05345185676163, 54.94284134450687}}]}, 
      {Arrowheads[{{0.003080145929649298, 1.}}], 
       ArrowBox[{{15.91602845127945, 54.78633295700517}, {15.837289791297435`,
         54.69665928995704}, {15.067114635883154`, 53.82426070587768}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.000893765979914134, 1.}}], 
       ArrowBox[{{30., 57.084885987771216`}, {29.72660016094702, 
        56.83217354438656}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-70., 83.13716135365456}, {-69.94199277632937, 
        83.10121750934664}, {-68.55495892889978, 
        82.24881095799061}, {-67.18121501701758, 
        81.40719239790013}, {-66.44878457722558, 80.95980708150306}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-66.27104125586703, 80.85123738294432}, {-65.82039183570357,
         80.57597037809231}, {-64.47261245328419, 
        79.75527538222812}, {-63.31701542286148, 
        79.05120829516261}, {-62.7134897724168, 78.68424659236801}}]}, 
      {Arrowheads[{{0.009999999999999986, 1.}}], 
       ArrowBox[{{-62.53552571107942, 
        78.5760391036946}, {-62.170763061473316`, 
        78.35425246891495}, {-61.03385536911968, 
        77.66440790348517}, {-59.90629234580059, 
        76.98167459887325}, {-58.972757716424894`, 76.41763755562972}}]}, 
      {Arrowheads[{{0.009999999999999993, 1.}}], 
       ArrowBox[{{-58.79449087856287, 76.30992960675233}, {-58.78807399151603,
         76.30605255507922}, {-57.679200306266, 
        75.63754177210305}, {-56.57967129005051, 
        74.97614224994474}, {-55.48948694286956, 
        74.32185398860432}, {-55.22463662709886, 74.16326892144441}}]}, 
      {Arrowheads[{{0.007747696951744358, 1.}}], 
       ArrowBox[{{-55.04594230703476, 74.0562716891927}, {-54.40864726472314, 
        73.67467698808174}, {-53.33715225561127, 
        73.03461124837706}, {-52.27500191553393, 72.40165676949023}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.010000000000000004`, 1.}}], 
       ArrowBox[{{-70., 68.57383257429849}, {-69.80953115244525, 
        68.48104238029595}, {-68.41060392895619, 
        67.80517327125051}, {-67.02520891324524, 
        67.13793961780506}, {-66.24781667773946, 66.76465644028534}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-66.06006122992872, 66.67450124326328}, {-65.65296669713267,
         66.47902522252048}, {-64.29400375001174, 
        65.82853548454317}, {-63.131651241056744`, 
        65.2718132091754}, {-62.302911836440536`, 64.8756539727021}}]}, 
      {Arrowheads[{{0.010000000000000002`, 1.}}], 
       ArrowBox[{{-62.11499923053403, 64.78582680379354}, {-61.97886582628751,
         64.72075145539763}, {-60.835647505704046`, 
        64.17535022320983}, {-59.70199627930635, 
        63.63560951261202}, {-58.577912147094416`, 
        63.101529323604176`}, {-58.35387470814567, 62.99530771824576}}]}, 
      {Arrowheads[{{0.009999999999999998, 1.}}], 
       ArrowBox[{{-58.16567731410646, 
        62.90607875092263}, {-57.463395109068266`, 
        62.57310965618632}, {-56.35844516522788, 
        62.05035051035843}, {-55.26306231557326, 
        61.533251886120524`}, {-54.39938944532924, 61.126446945373125`}}]}, 
      {Arrowheads[{{0.005772416888928506, 1.}}], 
       ArrowBox[{{-54.210966037357174`, 
        61.03769624362439}, {-54.1772465601044, 
        61.02181378347258}, {-53.10099789882132, 
        60.51603620241464}, {-52.034316331724014`, 60.01591914294667}}]}}, 
     {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
      {Arrowheads[{{0.008748653710627234, 1.}}], 
       ArrowBox[{{30., 0.04830082598465757}, {29.984347039187323`, 
        0.055039633446594335`}, {29.859245132401444`, 0.10665622653097034`}, {
        29.73358601494344, 0.15809394835250504`}, {29.606067637583315`, 
        0.20948483947661428`}, {29.47801408620124, 0.260697184890901}, {
        28.057214249926165`, 0.8097941044821152}, {26.592094263401354`, 
        1.3383712971717656`}}]}}}}, {{}, {
     {RGBColor[0.368417, 0.506779, 0.709798], AbsolutePointSize[6], 
      AbsoluteThickness[1.6], InsetBox[
       GraphicsBox[
        {RGBColor[0, 
          NCache[
           Rational[4, 9], 0.4444444444444444], 0], AbsolutePointSize[6], 
         Thickness[Large], CircleBox[{0, 0}]}], {-30.539138571957753, 14.949957011106402},
        Automatic, Scaled[{0.045, 0.045}]], InsetBox[
       GraphicsBox[
        {RGBColor[0, 
          NCache[
           Rational[4, 9], 0.4444444444444444], 0], AbsolutePointSize[6], 
         Thickness[Large], CircleBox[{0, 0}]}], {-30.539138571957753, 14.949957011106402},
        Automatic, Scaled[{0.045, 0.045}]]}, {}}, {}, {}, {{}, {}}, {{}, {}}}},
  AspectRatio->1,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0.},
  DisplayFunction->Identity,
  Frame->True,
  FrameLabel->{
    FormBox[
    "\"Speed \\!\\(\\*SubscriptBox[\\(v\\), \\(\\\\ \\)]\\)(px/s)\"", 
     TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(2\\)]\\)\"", TraditionalForm]},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{"DefaultBoundaryStyle" -> Automatic, "GridLinesInFront" -> True},
  PlotRange->{{-70, 30}, {-5, 85}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.729268544519864*^9, 3.7292685694676247`*^9}, 
   3.738002125489609*^9, 3.7380073785360823`*^9, 3.738007592916264*^9, 
   3.738007968892548*^9, 3.7380080297174807`*^9, 3.7380081047417717`*^9, 
   3.738008446786438*^9, 
   3.739629485728146*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\
eJzEvQeYXldxP/xa1UWWuzHFGDAmCRBCEkLJR2LA9ICTYCAEDEa97a5WWvXe
e+9dsnrvvfeVVm1777333uab35wz573vWiHr5///nk96dqX3vvfec870mTMz
55d9Rg0eENxn1JB+fT73k5F9QgcP6Rf2uR8PH8mXuj7h8z1xnX9ufM6H/5PP
p7/kzw38sh8e8/94+acrVZYUUFpmHrXzpy/Jte7UUl9BkZGxVNdQT2kpKVRV
1+R7yd5flpdOMclZ8mlv4KuuHN5EI6aupIZW8r0l13rwrzY6sXUpTVu6g8rL
MmjE0CC6HlugbytKiaARI8ZQTFaZvi3KftXS3MzPyh9fF/ndja4f20qjZ62j
Zp5ta2trd3tre2srf2yzN5lrbY+51tragnXKp97y+0kqS39Aw4cOo3spZdRa
k0mjgkPpVmIJUXsb7n3SPlpdUU6NzW2e2fA37e3U0tJK/j/tdHjDfJrOa+UZ
7jHreSj/fJGa6yrp7OHdNGvGdJoyZQpNnTaDdhw8TZX1zQYvJ3ZQ0MiJtHL5
Ipo8eTItXb2VMgqr5bsmfvb43i00lZ/Ds2u37aeiqnr5rrGmnA7v3Gi/m8rf
HaCi6gb5rqGqkHZvWs3vm0RzFqykXZs30aELN7GwrhYy7U21tHf9Mlq9/TA1
tJEB1WdlLSe3LaaRM9dQI9/eUJFOY0OG0/xlK2j2zGk0beYcOn8jWsB5+eh2
WrBiMxXXtciombHhtGj+HBo7fjJdvJNkINPaRNdPH6KZ06fJTOcuXknRafny
XUnKHQoaGkqRmRUWZg/kn7f4qTravWomfdBvIC1bu5UuXLxEe7dvoKDBfWnB
pkNCH7dO7aI+f3yflm3aRffu3qJZo4bTmBlrqLapiY5uWkj9BofQ0QvX6c6N
8xQ6pB9NXbabmlqaad/audSPRz1x6SaFXzvD3/Wlacv3ynd7Vs2iwSFhdPn2
XTqxayP1/e/f0cIdRzCeTwHXUMHEMqQ//e79PnT2XooCrq2hnOaOHkZbT9yS
xdVXZNC4oQModOxEuhoeQYe3raY+HwylW/G5VJIeSUMHfECr955nNBbTnDFD
acLCDbRz/VJe3hF5PvXuWV7eB7R5/ymKj42kdYumUOi42VTKXNbeVElzRwXR
rjN3AwDXlUpTI6h/nz/R9rP37IR70YMze2jQoDAqaGyh2ye307Axc6iiyRBu
YcJtGjo0mC7evUdjgobQ9tP3u1hhkBEXQUdPXqGSwmQKHTyY9l+OsRzwNKXH
RtAx/q4oL4FC+LtjN+MtJzTRujljacF2gVlX+6qS1HAaGRZGKxfPprAJC6i0
vtXO7g2qK0ulkUND6PKjLAO38nT+PIxOhifZVzbSmlljaLaFy4Pze2jwoCCa
O3MKDRk+llKL6qgg5gKFjZ1LVcyoOXH36dCxCwSSrCovodM7VtGAwUGUUgbW
aKHNy6fQzA0HBaW7A4FXX1FIV69cofIm5fVPU3V5Ee1bv5gGDJ1AxY2tdPP4
Vpq8ZBu12Mk11+bT+JGjadfhEzQydBiNnTSd5s6ZQ7Nnz6YFCxfR6nXbKSXh
DoUEDabxk2cEfLdm/XZKTgin4NBQepRdZcfsyqSyhBZsPeShuu4Uf+kAjRg5
i/Ly02lSyBDadvK2/a4nlWfdoyHDgulmXKEFYRqNHTGK7mfpO1+lUwyGsfO3
23k30vpFk+m/ft+HDlyOMniryqOpo0bS3WQWgTxydPgFWjh7Og1noug3cAit
33OSGtvaBcNblk2miSv3EUtAC8FH8s+bVJKfSZfPnaDli+fRqNAg+tMH/Wn7
sRsiLW4c30YjJi6leiuJawsTaHjwcDp68SqNHjaElq7bQ/fvR9C9+/doy/J5
1H/wBEpNi2LaG0Srtxyg+/ci+Pv7tHnZXBowZBIlJd2n4GFBdC0mz+KijbYu
mUjzP/Tyaw86t3sNjZq5UWTG3RPbaUDQGEorqe1igVdTnMiLHM6vKXD0F8bA
vBKZ7YAHUTRp2R55RVV+Ek0ZOYz+8P4HtHTbUWrCctqbadPiGbTz9D0qZloP
GtiHZixcQWev3KKExEQqq6xTcqFtK6bSlNX78a4A8uspojfm1gkKGdSXFx9E
M2bPpa2791Ncis7kM3SD+fd9RtvO07eouLiIdq9fSINDJ1FOaQVtWzCRQict
pJTsQirKTaV540fQjFUHqLGpgdbOGkdh05dRam4RFWYn09zxoTRz9SFqqK+m
hRNCadycNZSRl0+PbpymYf3+SEt3HccMzbB/xTNroa2M9blbDgsu2+pLac64
YbRg4xFqsfhsriumqcOD6JClqHrWHKMG9qUxs1ZRRkERJTy4QkP696V9Fx4w
vGpp7bxxNHzcXLp64QgN6dOH9l8UjUl3j39I05bspKSIMyy2htDt2Ay2IApp
88o5NHPlHjNeczUtnhBMm45e83VQHcyRtGL8MJq6aD1lFRSr3qeSnGR6EJdq
yODyEZo4cSpNnjCBxoweRSNGTaBzdxLkvsqCVFoxZyqFDA+lEcyY0+evo+zi
GvmuLCeRls6aTCGhIyh0+HD7Xa18lxUfQdMmjKbh/N248RMoNGQoQ/GYkKIy
NrXUMZ1MpUMX79hrX6DE8NN8/zRKzK00E21vpd0rZ9LMVftkrg1V2TSPlef0
6dNpzJixPG4oLdm4j2qY8OKvn6aRI8bS1UgjO0/vWk9jps6jLJZ11TmRNCps
IqXkFzCVLGFraySNHhVGYeOm8P2pZq05UaxSh9GNmLwAKPYWKC4bywhef9CJ
uvqKPFowdhCNW7JFrjU31lN9YxPVV5VTehojqbLOGRetjZSTlUmZWTnEMtld
bmngyxmUmZ3rv9yDrZwqyspIp9KKKtq1YS7N33bYT3xdhS9qq6uZjlv8kOQb
qior+FqrvdaLsiMvU1DQaEotqRMo1tTUUmtLE+XyRHJyCx0l1NfWUGVlteoy
vocq1MprqqKFk0fTmXsZ/GUrFeblUEZGFlXVNurIl/etpbBJS6i6uT2Q9Ixd
ePfcXhr45740ceosWrx4EY0fFcK6g03L2IxPWihgPR+umkazN4sW6qWX2xtp
29KptHTrMdD4s567D21YSAs2H8EK1KStLkqhccxtZyNS1YB+aMGJiafFPaID
e3fQxo2b6eCxM5SWW/wpDziTou/S/bg0awx3pZrCFNq95zhVNbW7a8UZSXTz
QbwQsI6awzbBgeMXMT8dVUD6v/gc/1///7fyT3ehr5jIe3T58hV6FJtETW3K
e92ple3dqPvh/N1VikvOFL/nh3ZZ7W1NlMJyuriyzt0PmZ4Y/VDe9SDGvOv7
Cpq8bIqOjqbYGJhE/D9GflRUJGXmF1kaa6eMpBi6cvky3X0QRXVNrT/Q1zJy
UuMj5at77Go1trTbaYA9GiktKY5iYmL5J8a8uSdFxcRTZW2jvBfOxIM7t+jy
lWuUlJHn+6oBwG/kn97U2lhFu9fMpoGDg9nKmMVG5gBaue0ENbGqbm+qph0r
ZtKgISE0a+ZU6j9wMB24eA+AeEcef4ZfX0bjQ4Lo8O1Uu4wWOr1nPQ1gA2Dm
rJk0ZGB/WrPzFLF75fueHfIuuy9//P3vqN+QYRQaOpyCg4NpyKCBtGbfWXlF
BOy1/gPZcZhFwUMH0qxVO6imud083lMY9dqxLTSo/yCaMYtnPGgALdp8iNjU
8r1jh4C5u2TqSPr9H/7Erw+hkJAQ/ncYDRo2lh6yvdLSUEar5k2mIcFhNHPa
JBo4cBidDo/7SiBsom8cpX79htKNyEyZWPTVYzSg/2B6mF1GGQ8vUv++Q+lm
TA7BSDy7dw0NDJlEuZUNb8vjzxEkTmlhPmVnZ8tPRmoUjef1bjl6gypq6qki
K4qCGT4HrkQySNsp6vIBhttQephV7mDVUJ5D08cE0bBJ8yg2PZfKy8tYixdT
JT/fWJ1H49lIXL/vEgwrdqauM9wG0IX7aQqrmuIUGsnw2X78tgizxIhz1J9X
cDM+z9JQb4q6eoT6/fGPtH7XSSoqLafS0hIeopS9mzaKuriP+g8ZQZEZJSKh
D62bS8ET5rBL0fZlA6tfWgLPTn5IBw8epCNHjjCB4/cLdIg/X48wuv3kptk0
YuYKqlOZWldIE9ghOXwjni7vWUaj56ymBvtdTU4cG/QD6XpCru/b9v2l2al0
tMP7jxw+SKeu3qUmNlc2zhxPg9koG8HKLoQJcuDAgYy7gaw4H1L09cM0NGQK
ldSZKEF7QxFNGhFMO85Euvc3VObRyWNHPO9/kn8fpuOnzlN1k/Hc81Ij2UoO
orApSyi9sFrtwdzICzSEh44vtDYbi+XV00fSqn1nfIqI5NtHafDwMZReYVx4
YtZaOD6INp+45hBBbc10+eAGJrG+tPXwBWMnyp9W2rF0Bk1dvMNppMKUcDZ1
QulhWlkHRMRGnGVGnkMLFizgheD3CzSXP+85clGkzK6FE2nomJmUV2W0dHlm
JIWwc3rufhqd2bqA5qzc7kZprc6h8aOD6cz9NAeonJh7tGjObJrvef/8uXNo
5YdHqYFJ5tS2xTRoxER6lJhOmamPaFxoCG05co3KquroztmdNHzScuZmHaCO
La8RtOnATff+mqIkWrZ4Ac2fr+/vyv+fR0uXb2QvUPX5s1Sek0QL2A4dNmIC
RWcaNybj7imWKGMp3z8A7Vgzk+ZtEU3oe9tiI+7yfho5ZiqVNimEG2jd4om0
Yu8534/knifl2YhLR2kgY2P+xoNU29QmjL550TRasO2cKvfqvEQaPSiYwmPz
fBYTv3b830o72Qf/058+oClzF9Op0ydo6tjhNCxsNhVUNNDRtbNp9optpGGh
lpocGsfQPhae5Pi/saqAzeZQWrP3ChiDpoWNoKPh6XL/zRPbKGjiMiZPfUEd
rZowgtbvvmzkYC82wHJo6RQG0qgZLJmaKD38FA0fPppyavQZBtBaNh3XHYDW
VvhEnd9LI0ZPphJHgoDPJFq0/ZTvJ3JPD4q7e54G9OtDq/ae45e00foFUxjO
Z/xwSaIxAyE7sz8Kl3Y6sn42TZ6zgg4d2E5zWO0sW7OF0gqqZKwTm+bSjGV+
uDQjLhI2lM5Fplt9+izlxd2iYFZZl+48pJljR7MYSZF7b5/dTcHjFjFM2hWo
tHDsCNpy+LaF6XOsu1upvr5eQ4ZiyoxmDth+JoJyIi8ygMZQVpUfQNtWTKEF
248GUFDCtQMUOnoKFanMaq+nNfPH0qqDFyw/P0XNzU3U0KiUyHM7+SH1GTKK
0oor2WybyVR1wlmnlTnxFDoohO4mFCi4VAvdPrGFho6eQaVGn1NTeSEd2X+Y
imoaKPz0Vho0cgYVmwAfZUdfpcEDhtCDtOIfWBK4cmgzDWPpNGRoMB29ZbR0
8t2zNHhgCCUUGE+knnkuZOhgOnojUQmvKOEmTZk6jeLya+z0G5lVB9Pi3aeo
NDeahg4eQteirR/dUELTRwymrcduqLzLS7zOIjiI7qWUGhxWsiQJGgBXzipp
ox+PbF9Di1ftdRInL/kWvf/nIHqYWkIXdi6nkRMXUq39MjH8GNsMYZSYX90R
RtWMwolB/Wn28m0UExtLW5fPor6DR1FWRSNV58ezDuxPS7Yeptio+zR73Aga
O28D1Ta3K4za2YhfP2e8BOiO3DSU1FxTwJQ1jB3LDRQdE00bmJODRk2jwppG
p5wrMmlcyCB2HNdRNI968ehOGtinLx2/HsOGfSOtmzWWxd1iehgdS3s3LJEZ
xedWKoxaGypoyaQR4u5GxsYwnc2lASETKb24zumEh2wL9flTf9p78grFxUbS
yjmTafComZRf3UolqXdp6MB+LD3PUPT92zQ1bDDNWbULAWULnt/a9WUlRNDC
OdNo9NixNHnaLLr+MNFCvJ1ibl+gWZMn0thx42jOkrWUnF+hRm45E+WsGdPo
/MMsZ+TmJN7nV02nsfyqabMW0P3ELJ+CMTMuQr4bN3YcO6iTae/xy6wSzEBl
uUm0ZuFs/m4sTZo2my7cjVcDtzA9hpbPnSFfTZ4xj65Hplkp/CyrxAa6eGQX
TZ40nmc4hmbMXcJD5liea6V7V1imTp5AY8eMo8UrN1JuWZ3PWnH/ZVfRzt5a
VVUV7Bl/eL+Z6aK6Rlj6x/ZaU2MDNbd64/bs+bS18H3VxHrNmf4Ytrq6iuob
mtz7QMo1fB/GCLyvmt/Z7vupjtFQR5X2ffpsS1M9VdcII6pxLqv7GN7MX9tX
bdu2Tbz+mTNnMlzxuyvNmTOHZrGZjE8vPOba8/+X7/s/efY5ew2f7XV3n17z
Puu99vz/T/f9nzwrOHqCpk2b9gTt2rXriUBsApOXLl2ilJQUvhO/u9KoUaPY
v7wsn16w18LCwujq1avy6Xl7bcyYMXTz5s2Aa8nJyWwdhdKtW7fctaSkJNZ3
w+nOnTvufQkJCeIwRUREBFwbOXIkPXjwwD0bFxcnvtvDhw/dfeyEUlBQEEVG
Rrr74PfiGnxTvY+/pxEjRlBsbKy7xu+R9/F73bMI32IuPL67j+flrul9d+/e
FTjwetx9vE5ZL6/b3Xfjxg0Z1ws/wA7Peq9duXKFxo8fHwC/CxcuCFy99509
e5bGseR0OHoCl54AhjtgE3hPS0uzMs9c27dvn3hz+PSCvbZnzx52wURr8sjm
GhMI5eXlBdzH9EKVlZUB9+3cuVNEjve+HTt2UF1dXcB97e3tNGnSJIjFgGvb
t2+nxsZG92xbWxt9+OGHbMk0u/taWlrkGv/r7oM1NWHCBLlPr/F75H38Xvcs
7sN8vPPD3PSa3ldSUiIbm977sFas2XtfeXk57d69O+A+wA4w9F7LyMgQ+Huf
LSgooP379wfcl5ubK06sw9ETILInaN68eY/BJvjJL7S7CgSyssx+97/ZawwR
oRmelbsGDIGPGRruGmYDlcoQ9/3CXmNqoqlTp/rHeALs0tnZAFaAo3c2wB1g
zTNw14AT4LOpqcldq6iokPuAO51Nfn4+7d2792POBr9o9f/t21NTxY71fcJD
u/aP718fc+1ZvUak130b7LWixiKaGTeTYqtifIvMyPHx8Y8bGVIbeGPq8r0q
156Ut6VkFVFcah6l8r/ZBWVUUl5DdQ1N1Nbe/s9yWw9Kzymh+NR8Sssuptyi
cqpgZ7i5ueVp+3V1bQPFpuRRCvuxOfyG8kr+uqX1FSWOkkoqLDGs3stea2tr
pzR+K98mG0G65JzCMqqtb/Q9ba9V8atzC8vl01OeZzPzSoXY9H0lZdVUUS1u
hHu2rLKGr9UFjGvGKMc7EP5zYMUYrXxNny0shYUkzo+dXzc6mnuUfLt8NPXO
XMRKe3umk1dUIdSmSylnAAFI/se7CuAgkbzXinja1XUNFhuWotnnyrNLftaN
0UZZeWXI8/C9aK8x6Cgzt4RaPNeAv6qa+gBwlVfWdgBhN5FsSK8Aby9atKgD
pWC7Fpqbecb3mp1HU3OLvBmAyWLgJ6YXMM5z5V8hCx4BIzU1t1JMcg4lZxb6
vmHRgWcBjfziCrk3jmkFFJfBs7/5IIVOXolis7K+h51iKy8WJFVYUkXp2SVy
e0JavgxbXlUrQHjBAwR8x69ywCqtqKHopFxkrDhA1zCQIxOzgdMAOkrMKKCC
4kqHd5AvqB2flD7gBMfw+3he7j62noXkgXQdN4FBocDXZzH32vqmAISk87JL
y2sCaGtU5CjqerAL7X54ihrr2np7hk5MKwigmaQMDNNgeU+n08wManKb9D4m
ZwEDWEyHTs4sEv720lZGbill55fJJ7/mbJflFZfVONrKzCsBVoXt9H2ghpik
HMzTgqabaHrI/vPnz9P8+fP/gh3xWcuaWGW50EelAD8po5DmbThNPxu4jOZv
OiO0ggwnpCAx/37DLh24ByAuhyfQ/I1n6MqdRNzytOUmoAj8lcoUF5ucS0mM
ntzCCiGtu1Hpz7nllwjmQFUqJUBB92IzAqQTMBvFFMQE7pYPSgVlVNbUO8rA
ZMvN9rejgiwGr7Kg3odFllcFSieMC3R4nwVqikqrAygI4qbASlRDAt1ZXLfR
21feptdPfYYiU9Optq7J7WwxczEYigJIBiIFKMa6e7r3Vrp56rWS8mrHESqi
ausaZZ1eMgImlCOUZFKY3HLs+5wxw++Cymn3rAf3QL9AlMn7OmW4fMGOD5l+
5W4inbwaRdfuJYmIAW0AwnGilopEX4BYgXyM8o6FRQ2vBGR3+U4C/WLwclq0
5RzrjVoFHIAcw7TT0NTskGSkXEsAkPgR5rUcebUuCnIcIqexyS9yGptamIhy
hLAUwSAi8Cl2e5U4IK5AlF7iwJIAdNbL7lnMRZGjYwBhys9KHNl12dT7cG/6
rzu/pbTMEiDQEUcBg0WRrsQBBCdnFAasEWNj99t7DUirs+JNiQMaoaIDYUOe
AI4YV4kDTAGbwxFHF2BOIXD7UQpF8xNYbW9DEp0wwP7GkgTjQVALWQeRDrkV
w9oK8xU7J99v59x+mMIqpMBaXj1ERn549JZIoJ3Hw+U9/D6lc/As0MrywJpR
UONVFAvUsAWhaIDlAdngFZcQR8km2O9QWGxFFHlkA0Q5hvWCEGCtsaaC3ifq
wZKJf9x6tqyKA9A/KWYS+Xb76FDeAcrIKhcLS9EP8oFW9aIfHNGRJEDO8SaP
0aNVG516UvRDDiTY+xRm4L7sgkA5AJkGdHgdLNi24Faek1sjBD9QCG3+XKcJ
4e8s7GCOQHIXwWxhpOPt45ccop8NWEqz158S6IEBmcGBve9agGEi4LfUrGJR
EC0e5QCaAa8z4hwBQCALItr9BAAgJmcEIgciqdgKc2ciJOc5xDqbjYks2fKG
jgtCybJ8rcABX8VZwanPAikp9tnuFoXg/xePvEjfuvQtam5vEqSxflQawCts
qN/h20tvji4eox8wVFlFbQANAP9qouj0vfpBaQA8IpYaT9/ryINHmGZ8r3ca
3/8ov3sLtcCkxE9kQjYb3RUirJMgAMQIKGTqKhaEAcgQyDyi2b3rJjYTFhhl
8KtzhziB+GM95VAOmgZ5eNEGHQsT3AsLGC1R1kR6xsGi3ol3fRZeiKiaRr+q
wczBcwwSP7lADFvPxLkMTJIqVxTlwQ+DheeP5R3DFXmO360sCaKHcoRRq+gF
8HANYswv9fOd1Nf7ADTY/kClTgHOVpLVGL08Y0SzLwBxoyjn/4sGxDIV5WKI
MzhYKhubsFMoN86pUf8ACHQhPAwINCw2lvkKMwL/sokvOQenrkWBd61n0k1W
Aj0HILMee8ZCEBPCo3gVXs9/fS97cAxPxAt/3APaZj5w+IRJoLJZcYdhKju4
ZwXs5ai6VsAJ0BsM0JXVQbV4p3dc8GySFTHdLFfOS5hHvj0++vH1H1NLm9kk
h/kLu1WRj3cn2bkpUkGTUH3ea+JWdJD5Gbx2tT31mqp31hFuDFhh4DJ8UkQ3
NreIDV1T2+CugeigB9g99r3RaeR/zyIfViz8q1KWQHCasYKgmbvop/2X0px1
p2QW4ECx++A+8FNft+8DwWDWLCMc5CFgT1yJpONXIh3GgV1gkonLYa3JrgQr
dsKdx4ae8WINwli13FOeFWNcr1LJYe0ISvA+W1haKQ6LF+MYF3PB+3RPq6W9
hcZEjZHYxNuX34awdztAoMpmU7kRYMDCB/ViGkJPx+/h5lQmEt97TRSOiIg2
Nycougz7PhePYSNUrQAXeuV1gxLZ2jCanGkWlAhjURRjWfXnOk0AusMIgDyM
yxIyhWUHqw5cjf9jMAAfKgqIhQaF/GEEfNWOD1zA+sJc2VBXHxbMMHLuPnp3
6AomoRIno5l8YBq3O4x0s8IrX/wa9p+8ZhCsBC/ygAjIPlj6KhLAhuWWrXUY
vAomJXlEBwhYRbwLjvEsVdM/ad8AIk/g6eiWdG1LLfW/11+I490b71JpU6kj
DtwS4HZZQlQi1jg/kHQvJkNkthICmAJE3MxiRa8BF4cvPKCohGy/+mttFTjA
4+nleR+Yp1lNOgYjYAP3F+KsuKxKaWbr4Zs0deVR0Kfvkx4aVOnYvdMEo7Yw
ZCgWiLBbswQU2l1ahkYUQCjZ+aVClSAiUAeoBMABZW8/epvuRqXJAv7KjoWI
DpDL73ehEIz1Id+7/MOLoC7nBpQa5oCefdJdq6Lhc/Yg3uHoACYzHNv7sZmO
3EDfmAqAwPhzzqaLR/nJCNpBZY9zNq0l0+aJdaoX4afqJ7EhTOkZZVTdVE17
svfQNy98U0jog7sfUF2rTXs2Gh4rgRXhwmBsW6pPqBQEbAfP2g3nxFELjL+O
CgerGzjlQyhABxmIFhVDClgsAxyBabNCVWq5G51Og6dup4jodCt1uokV+F7I
Gpq++jgiAK/ZWzFD0C/TnBn9YxBRbwmoZDGBwJ0A2CESwZ0Qq1B6QDxQ0tZm
2BBExSMZF7OX6EG8AkjHEvqM30L/MWwlLdh8RuxKCDDY1MAMY+9NC0vwF5AH
ExNholaP1Q+SxSh8j7sG4xdysc1FprsJ1DYduEH/NWIdTAoFMiYPKE1decyR
GlgccZEVOy7CE1ByAT6wPq/PgVFqrcPqNXYgbYkCQ/dYAZ41w/Sk4oZimnN9
DX359FeExF49+ipNi5tGzW3NLsnAq/acdemxVpV+wh+l0ZEL/rxwXZrGI/Qa
8HT9fpLnWjcZA5wJCcQQ02VAkYycu5du3E92NNXA+Amds5cGMa2xj6+hxCa+
fODsfXoYn+WEVT7jIJrFAqPb4KBTdPa0pTOoTMCwTGxbo2YBB1Au1nX6WjT9
YfRGWr/vqpg6ZoeI/kUef07ozMitMnkcBNLINIXXQDLAiMdyYefmsekMlmwy
HpENznZz0bU/jNpAl8ITlAows0gx5Rr9YTyWV4olJaw7kWl06mqUCCalQYYu
hfN1sCrTcU/PSFsO3aQf9V0M4tGRwGOIxbBL50aCpkg04XZHbzBfCjuYX6A1
jdV1t/SWUZtBM+Jn0OsnXqfua1+hL5x4k+bEz6Hc+lxHH/Dxkzt4MxITsxrY
ySueh76/m8qmNhN7wvO8JLWRPfWz7vHbD1Np+OzdEI9umNW7LtN/Bq2iWw9T
nOUE5bv3dITk7CixYanwJQDs1+zQkBsQxzAKGEFPdpreXrD0hrVcjUikKSuO
0tIPzwt9YS0I0CbYnR6jBGsEHqACxpqRa+qKNVlXrFJuVzqzPr0IpVU7LwkB
wHjQIhHoWgzbb+JW3Oc1oCPjswTTXjpLsyEzpTMsXaWNV3M8is+yeFdJ0kqL
t54DOD1Ukk8/H7iMdhwPd2Mwu8tULoXHO60jm4c89q0HKQge6ONYWWtLYMV0
RVMFXSy8SMMfDacXjrwgnvjXz32dFt3eQGVN5S6QzloI+3rkkZtYBWieEWyD
dN0EmADOVWZEnoXSxex1J+lPYzeDWwLiiQs2ncHuqqMVTLzcqCRncEFU6GYL
k+xrnsdhxjCGzbo7RT8vegZSIjegeM6aa80ig3X3UA0rQB42APYxjYCqF5l+
6mq0SMx/sRzYauUg+B6z+8OojazB1tPy7RflOdlBqpRNadCjxmgQAmA+Eh7x
7txFJuRAFvrjNlnFLrSmqIHMzOzg58OYVf9dCYrtOoqISg+wqE5fj6al2y6I
0NNnsXQo3WOXHvkJiv/ZcSxcNC8byU9ZLszNraZ568/Q7nO36HbpbdqRtYP6
RPShz5z4jLj2vr0++tcr/0oHcvbTyZsPafvBu5SdV+5UPLMM7GYeCRaqEsYd
Nlj7T9pG52/FObq6zfryh30WC7x5sl7ZspBpiP18v9fI6FOzTu/Dhr9uVWss
saXFmISI3/nlkrEwoWtYxDzTabr6rH01DHNIAhhFsK9AQ7tP3qXvf7BQ7EXI
KdAA6Ke6xrr6mr/wrHwFownrUicQa4Fuj0sxZIj/wwvGK2DOqvcPUdcxA8HQ
UDZ8iIAYEEwesK33GmDBasJDQ22ysYHIgfc+jfcrDd0x/kUA/Z29EUMHzt0P
uA/y9Xcj18OWtDT5PDW2NtL98vu0LHIt/WjgAvrCwnfId9An5lWPgz3ony/9
M81NmCv3IHqAP9uPhtPPBiwD3pSQMCW8etbakwCJEtIpBvZvQ9cx05Y6rIPe
dh0Pt+Oba2D4jjsWWBF2N+ACKxW12vAfI9Vdw9CIDGNVKpqAPSOaqnWXsBMk
9KalWCgMNsxcsgLrHqEFqOlYoQFrwud4TfhmiXSow4zPVo/7vmUxg/fAlocY
EndATDMR31itxj0hwfB6Ht4Bo86SES82kDx44WyKBQR9ZNeQ1aVe06CJVxTJ
rr0NIbsdAiYt6EYvGWHKqnX8iGmjlTsuU1Nju6+rZRuED+Or4mlP1h6JIbx1
+i3qcqCLkNG3Jg6mXxx+nybFTaQTeScouToZW9DOYgepwmrzzg9IHcGmdGp2
kRMre09F0PmbsQEiJIph0mJTmZUgECLV5AqvDYotNvhwz3nWBrHPKHTXEK6E
Dc6+jw3fd5eIMLuJYioBbXDlO7/P+BU73wD7nIlGkgmY4WNs0AAK5MTlSHEW
LtyKE0Jhof8dCxbwPRYFcYZHNGbKdqHjIrgquk2q8gdDgnAQWHex4Caz3cxy
zV0DfWt82O3NMKfpfo0/DanqI9vIACS2ibyRS8jMVpvCpC5KYl4WRZXH0JmC
M7QgcQG9d+s9+tKZL9FTh54SQul+oDv904V/opBHIXS68BQdvXWH6uubvVtF
DzvYaPBRL96Ok09KJyaQ22Yp01wrrdTiDj+dAHziwXnUsWazsHfn7sOeBuJS
JWXVThtiaVBp4CvG7Kv2MqA4dPoO+mDcZnhTzz+WSt6wdIWq2wd3btCZM2fp
flSCFA4rT3gp6B/sSsCbSHI7dP4+DeFBJi07TEcvPhIVo3ZubkBEoc33TXm2
h5APXLa9p+7STwcsFeeJ3+fNbEnpQDlgQdl+YfnrOv7UfjRUCXkM58aLFmhx
JPt4M0Y0DNjQ2BKgkWpqGz7yvmp7rbtFWFVzFUWURdDOrJ00I24GvXvzXXrr
2Jep14FnjZnDNvNLx16ib138FvW915d2Z+2mlJoUCQy4EKZWQZE38anNiY/A
a0Zyqx4DM6rzpiQFUaFOnsKxuKxGREoASYlXnCBxSb2vlFEE2CIbSEUZuBsi
CuLoE3b1GHflzosiHi/dSZCkiMcT1WftGtqaa2n3alQ5h9D8BXNo4IABtPnI
ZZSY+TQU5yWubyiRM8GoDdHF8iv28f3hhFIJ16m4kkA5y6IimykDqKWZ6PjX
7eSBSFhecD3OXIsBUH1+git1wPOmQXTcK4TshTRkPvP4Zf7MGK//prFovQ9J
gWqqe2Nf2fnlHoJ7ifLyq6mqqpGa25uFaC4XXaaN6RvFjv7mxW/Sp098mp7Y
/4SIKBDbJ068Sm8f/CUNuTmc1qaupTuldxARoNb2VhfFxGYTtv/Ag07nMiFg
a867Z0o2jQGxOCW2Fhv777gNB73khaFkEnXIEALhwpzwJxsaXxTwsRGOXhY9
wC5UJUAUaxNuVI6BFmH5wOxgGnzpL5JcZtRVGth3MF15lCHcdfv0Tuo3OIyS
C6sfS3JvWzYSecYDASdwoUBSoJkN+66KjJqx+jji2UKW8MUBt6/ZCWJigAlk
MNswykOPk2NQrLoLq2CPiMkQC3bzwRuesHq1CxXofRhGd2b1muyIZgSSbhWT
blp2iYUsfr9I+fX5FF4aTnuz99CYm9Pp52feoy+eeZN6He4lbhnICZrvK2e/
Qj+89kMaHTVaduCjKqOooCFfZCM1u7A9xGRHKw6Ml9Rherim22lKFRnWZyYK
zLPCfbAelaKADUThWOP5Pm0hDYcIlAMrkAlJqQdEigy4YTN2ihIFwb1iH1EI
4bHqmvpX/iL1XNu/mkKnLqZqG/NqKsmg8cED6MyD5ADqQZ4oPpl6ud5080Gy
RFAvhsebfQUW40hmgoACyhDMNLlb1d7409/YV2p4AMELpR4IJPXfvJFthBnO
sJHK1KARYLwNGV9h8/fB1nC6w+7Xtrb69zwh0jpmzOA+3QwxCH6JmhvaKS2r
hMqby+lRxSM6lnuM5ifMp/8O/2/66rmv0ktHXyLffqPrum57hr6w+6v0z5f/
WcTU4qTFdKHwAqXVpmEbz1+tx6otIbVA8tWVkMDvhR1EJQikuLw64Jpkndrt
Rm+IDesDK3rz5GXPu6TSr98EutniXnzKggzQhhkNz5dF17OWkCDNt7I1MnDy
h7Rq12Vx4162jyAoDWMTQzKiXB5Am1PlZqVPoJLqccR1Yccymjp/HbnS5IZi
mjZhOB28HuPT7mEodkBBCorQUCqEooefWSLD2oA73YEB7OAFYkLxVgtCvkCE
XbgdT/vYRWE4ftFOFIaxJgP58/ONGYSYlX9juI02HbguqQhMFl4fvrAkEFMy
WmkgpkCzmj/hTcGEFeZgxINhgxdO2tmCs7QyZSUNCB9C397/E/rk8deo24Fu
XUBafBuCkP9w/h/EPJ8SO4UO5x2mS6nhFJebwfTU5rXwUzK9W8pmmxjms9dm
hPmspShK/2VVtS4bUGmr0ar1mroGByzQoGa8KJdCkJnt5BZHW6C/3wxfSyGz
dyO4p0IKo1ayaEaio80/tbTVXbQPYol4FUw57Hx5NSvYE3l7SiaoHAJ5gExG
jx6NWghfB2o7s3UJTZm/hlyvhUZDbXsuRbrXoGDi2rVrlJmZKcVaRUVFvv+Q
754VcoH4RhwJU1rM8hU7HHCEr0YkicwtYQsTDn1Ts9l7ecNDVjYPyW802LRi
r6GEpY1ddJC2Hb4VsPtro7H+bQ32GyH3vDSF/SAkDPjLV16i7JwKtmarKaMu
g64UX6HN6Zsp9FEofe/K9+j1k68b385a6M/s701f3/02/ez6zygsMoy2Z26X
uFJOXQ7iUE7cZ2SVUW1tYCVEPFOL5hd5c5riO2SOAA7RiTkBgQ1QHyKcqVnF
Dja6x+ClLGzTqlT+lMUX8IAY+do9V22Ktt9QQ3wXlhPil6/Y+zEnFVkwXmEA
9rbfwTgD9cJDwPgIMnSz3xUWFgo9gC4uXryIcoiO5HV5z3KaMNffPKatNp+m
jB1Gh2/HBWhKrZkwNfHPUS77hrCvYOAgNAvxCbEi9TXIfmM0J3nCWRU22bHN
JQ511biQfBIjsQsiDd4yGqRLsuhzyIHIPH45MoD4MIvK6sCgOCw4jTp5VU9r
a7v9ZNBb1lQmEe5N6Zuoz5Uh9LWD36HeR3o7UwoW+udPfZ5+cPUHNPj+YLHM
b5TcoOTKVHqUkq50hMXqcN4qm475cojzq0OhtAWc5Vs56w8stbqSLqULiEFI
JP7xqZqDaSVxP9YYsv3K9+t+FmI02JIE7/P/temZpEynG7Jn6+8ly58ADtx9
uFCgMtTLMdUrkcFkRVYQ3G8QdIOmnX2kUELp6tHVfdQ/aDxllhnBVZgUTkP7
D0Q31sfa73+S389KMLZOt/CKKm3pn6UnNgkRRt9x7DbN23ia1yFbRy4lNtXm
WeHTM3a98P8QP57D/iJzrGICttJHiiiY4DTS5TXJEJu4E5UOd8FcfoFaGomu
3kmi9LwiSqpJpKN5R2lKzBT6/tXv02vHXnMm1bM7X6JvHXqH3o/4Ay1MXEjn
Cs5RUnUS6M7TwKCdhy0JmEqLTUqEiaUbAUCkCk8lHuyLqmvymudZ3QBRbw3L
nc1QGLVgP9CsNCJlfQwwBHyZlpRGIOJTJH8tDySsNAIpiI2afx+6kjbsvyY5
j0xxvezMYRggQK2Jp5g/iB1m6+N3XJRW6kozaFLwIJqx/EN6cP8uzZsYRqNm
rqaqhrbH0opLBmSESh5SO/n+INd6yWelHySO/HncFpq07IhTdWArWO8mtN6u
4XG1N7F7oqQD9xCv+NPYTQDJk55RQYne8j4wLEzyNpfNbDLKZEN50jbMyKC7
NxU2FtK14ms07/5yem/ESvrKyp/Q00efFnKB2Hnj5Bv00+s/lZoJxDTDM6Io
u6jEjW5jiSxenFiBpEy3JRcveRYENVKjwR25r9alwH/CzhJwguiAx8eqRSVL
q3VFEHNcv++aOHS6mwakRosgKMN0FFwIAIuSwrZJWbWaRCDHawz8qQyKlTsv
SRqFjgJFMXLePjp+KVIerdLI1f8Y3kyPukOLZk+nCRMm0rxl6ykxt/yx4U2D
hKdFOoK6Jbpk1REsW1hDEIVAEiNUNFIXyPD3rByCRoExCvMJwADc8RDUO15m
UldMvTE409UJWQ5Eyn0tW4YqviFsFm4+C+swwGlSD9pbzqCByh6W1w+ceUAT
Fh3FJ9lau1p8lSZET6DvXv4uvXz0ZfLtM9rqm+OG0PcP/gf1u9+XtqRvociK
SCptLFUWyswppyrTr9wNh+WNXnCAzt+Mc+QUn+Kv/lFyKpDSSENiatBCpd9l
uYhtISUnmAGzWNRiU5TvV/kDVoJcwH4vQ1YpCZdApNCLDHut5wY3icmTXWwt
6SrA90VLAwAldBXQAFYHiWtWAbQpLCuI/NuPUh8f1vycXQC1tVJdXb197UeJ
6Em7XAwou788XQACgZ9kzSCAXmLegbOLgCychUPnH8h94LPf2Te12S1WXIf0
wLPANZxmphf1e4F6LJkoMPVWfWt/ukmzY2XvLkpOgbdqqhtFpCbQqG3raXrC
NPry2S93gYjhL9889aaEu1G5f7XkMh2/fZcqamr9dnqTLMy7R4wRwb9s7AVE
stRWVkqpt+VJrl7KZ8oJkQgDL0yj0BBQB87cpwGTt9F2VuiQMK4inr+Domdv
ztkzsIthCIDpeFylFeBmze7LdJhhDgEO4eShFWxtQKdLnj3zPSxt13bDZDfK
pxceSyiP23p7zjIldKdu+SNcNGzGLpq49DDtP3NPhIdE8jNMtc9jJM6vLRuC
YXB7pt2CAwJvmvwef1E4P376egy+85TwNLgAkHeTo8GaoYrKapRV2AifEZRP
UUxljLhTrx5hF32rCRwiYDguehzdK79H5U3lTu+61mIeHjlxJUpSEh+4vOCu
kvnSMVYOvaIBIM3QUVfKiXobGD549r6QCJuqKktMNnQ93Y/JBOX08twN7rEZ
qK/Y5QKTeAJ2LxgMORUMJC2pAfiRgvtvg5ZLTTc8iBfso5DvmDvUEYRKmTFs
/qrTNKGLA0LUquxi6QRGR60KD6YJIBpSStN2Qc+pNuKDSTyIyxSNizUwcfy7
nT/m+CAui34TupbGLz4kgXXVI0iS/XH/peABRx+wCXQvRHGECnp1SQx9PCss
bK1K+ZNZlyne0A+v/pB6Hugpbva/XnqbZj9aQHfL7lJNiz+0uefUXZkP+30u
NRUBF7B/gsn7VchgVY/isxFlclJh2+Gb9IMPFsKhc61IYJrF2apwRTjUKUgp
VvRSg+6gg31X7Lgku5WgcH/iu+kroglDwGpETLpoWggipsDn7CuAF/WrIcCx
n/3lTmP9sx0kASRUMZMZBjp84SH9nElt0JTttO90hEwEoJfkxYoamYhIgrb2
n9nJQAqcYS6fvuq4xC7RKkJjedCfK3mtM9acwNo6bix7I8OgoZwCb/n1M6Yg
Jb2UihuLJfgmGYFsMLxy9BX6w50/0NnCs0IIaWnlzljcc/KuS2VW5Kawnv5V
8Gq2DO9gGi84jmyg90dvFGuXZ61sDXEEh+P8rVhAVgP5MDlAmQjVuZ0jv1WJ
PGCXQtddgqCw338xeAUt334hoHGKZPAz5pnm7BR7Cp8gLHM/NkNGES+E3wEQ
db7vjknaeVkkAaoggDoQi+bWgpHhBxtGzhUkoJWHMjK+14gH5BQkOpPIOx7m
BLxLO+RlgZRhzegCEQnVOtaA7ZkMb+1cTwZpG829vo7ePP2m+BHfufQd2pG5
g/Ib8l2wBRQouz8eCy7WY+kp3neduCMuS1pOsZVr3YSCh0zdIQKo1V+KblZX
4slrMaFABFwhExS12P2BSAMTM8ZftbOGIK+TUpwcsSMBNEhv2DSvW/SjoHLG
muOSaAdmh9j7kof6AWQM3/kSir91XNvu9DeUQ16hKd0EQR08d59+wgJ18LQd
0tXBWpkCe8u1/j5JZALKBWU+r4+m4SBlVdBgxw1DyMpY69Fr2SwiUn3C+1H3
NS/T509+XmRxQ1uD+jggeXX4ez9mOMUiZokqIZgMXu2E6D/gpc9mMnHq7pRj
UH4WlBcvNWkt3vrvjfuvIwnfbelCxoKowOp86xt2eVLKwLdDRCP/FWIN+ULI
QviiXSjoXYuJpD0KA5Gx33lEfsMOBr47dzNWAqmgRgyOF2N3vwvgyzhIEt4s
Fg0ICxzzhqHaKvt37aZ8s6jinxxS24XWkRGoSAXxVtcFlpPINmaHeLYrSWrV
ZLTuolSR8+jb4aMPToVQUUOxM9BM8kDgbgQ4QbGiGMWyNP9VLVgYd+osqqsF
arCJfvi/NsEqseVhSKnVYZo9JQG6OwZIxKWaWBu/+rMWW4AIhKHuU6EulN/+
ll06yA/RX5GHSCRjo1eiwqqYOoXR71ogfIQ1iyrEjBa/G+mNPAnI+F+HrJXt
Ytv5pAse/HsPCqXHU06JvytWZZ1ElL0o1BRZ5Ep47WhlKC1ybWhtoB9d+5HY
yrNj5lJSmj93BLvYpTZZybU0YLKos/UAz7nxa12hqmtBYDkIHV5UrkrDJykM
LndMqUVywAvLDS3JAqjgG4o7yTwLC0ZxBoUFZaTf2eS/L9j1w10EdMEHueJO
F4g0MpmODf7g88eohzXmLmoXEOtAF5Pr/H/E2mD46C66bnBCuAMmIGuzk97u
3RrQTNe3PNfuRKaLZ+kvAyXjqTb4d2ZMR5HA5meQLlqzqSidHjedfDt9NCFm
gvAAk4a7P9l4mR7OMmhJSDM7VYpSCfXYPWkvSuWaB6WAfVRCDvYoHauhgjPP
lmcxIhSlWDaYH3E0LAVLe92iFEIAUINzA/FcZJJ837RrxYzRzOy3bJRvOnhd
sA5rFFuUne9d8m8WlSZ1t1kkDMg7zyaYagFYvBRPmB0vpFONnLdXRofLxzBS
tD3Og8QtmhbjzaIK1JDP2GhYo3sBAqJd93WVRlP1rfWUk18hieowmtwZhTaU
6zJqfSYVQUMoijqQRMfNmIoq02Sr0YM63RpGMERRhz0otHBBURSTwOctehDQ
Y6fYETtMR0bZp+2aQMAwhoFVU7lpbmG0+d703ANB2yT3xknUHsGsIxcfGkXe
KRS+57ixTdOtWAlH0xA2aCayNQ0DB2gFSpMz/GFRoFnyWkyQQlEInQYp0uJp
5QZuik/16r5nJFBhk6SpurmavnT6S7IdklidKNc2sBGIhH4koSu6pKg0JbCX
l7dDgbcmRAMZrtEpiy/YFY2uPZYp7oOqt3VFijGYIQh0YuOCPY/PWYxBfiB/
5PdhG6RvA2iZn/q0+7pdbPqxCw+KQYjWDAy3L9hVa92EKTzMlw0T08nRbkp1
Clm/9UA0UO08bwtPGlzGZKYWLzHENBoGCwrOCBgIa9l6+JZ2DvmsfTWKybVp
htsCa2uTV7S2tjtHAshAETMs9naWvodyD4lDMS9hnnMkmBKZjnYKfykSgXTN
I1MkgrY0HKl8WGcr75kuHRKxtPu2ut9V6KsGLCz3WyYIoNm2jIzwz3lwAChB
nMBBRBIy6kVRa/Ypew/K3AAd4AqlOvBrsSeBhi/6HtBcmbQzK6Y4yUctEJBB
dn6y07jUuCv0sm4bMIn9zkoeXKq3qT9I6wVKUYHwE5Ylg9nBQhQT34OwtV2c
aRLg39+DGgIzehPjYRWoutI6U+ASSR7BM3dTS3M7/f7O7+jpg0/DGHW4RGgN
zp3/OYO3x+X1YRsF2aPO7eBJobsOG6GeHaYam2Xa4rbRQIrQWbDSWDW+ZC/D
04MKQ60Ky5XP2TkAQtL1ju/G27C58Gn7HZgDbwLVQvkgM8A895TrbAfo5EuM
3TAJyAI2Ld7zmY+JxueE1mJslF8sF54sbFsIevgRkNSgSXhymgEBgQT6/pWl
fDHwbV9b8AlMBuAf11IylZXzRWgB9rC9WjSuadRUtS08UdbF8Gpw9rC/1++9
SnPXnaHqtip66eiL0n+Hac8dKFJr2kp4MQ3t2rHNGzSitoBUTKfZEDZ5tCfS
xYAjwFUxDYr98/gtUrnLbKPRAwBGw9tslymmsV+YmW8uww31p/UZ57DIFo9A
qEKO8Bs/Z6EAckTRBhpWIPAEkOMWLJKp8o1O49kA9BXnQoMo4WKr14FcLuAo
zuLo5NVo+uWQFRQ8a5fRBXUN5hnEGpn/WkxwQFpZGB1sus8C36JrbYEWlAV2
tVokC7nFW1OLXnjJHTLgymwwF4aC9hHB+s9djacH1fdkA3Bq7NSA6gBYqt6m
J/5KiWb/iXMM4sS0wJgQSBggb9Fte8RJeYnTVh2TzS242gjCafAPoAJrA/58
/Q37CKgY3IIhwY8wHT5psQsIQdTqxoyNISl2gQiIAGATdIPavrV7rtC2I7cw
uy90GruGAF8WDkM48/q9JAEjKA8OAhSnGrPS5Jf/D9BDZmTmlYmsKa0w2za4
Bs3Hy/x3uwwYSnD9kL2GXZ91zIEsvhSQbdKUK9fTxLWbmBvYHURgiYGmuAQJ
VFc3SacTOJj8b0DFogby/X1aa13PRlW3Gknzm73dhAZg6llbSPkUEVhIZdHE
rW2KSekVBYmcIclTXtcfSAb9QykCc7wMo456CuCgc4FELBdCBezQ5no49BSE
S50Zyy2MgGc0jegv77LMnTtXDiHYuXOnVQMdmdWECJBBJR3xGCqINiHV/49j
NqGkXugIM8q2OcpAPZ6Vrf02cTtdDoG3gPx7FjvwgZBuhBJ9BOG9XRCyCz66
hY92UBASKDN03XER0mhoodkJswXDD8ofuGbYwD62Uo5ffgTlr0iO9bRuDmDi
JFM8rkgGgUDP/ypoNZ7x9u3VXMQXPLcC8RBBLObUq0QOH9ohQELF2jJABpCy
K9xzzO8/hq0SzzLWWOaKXIn9MFi1F43xqyTDxqKxG23dupUmTpwo/d8f3+8b
J0uUlJRYP+hVASpEHAJNVn8LiRfabrHSOiDdaIdY26BbjeEM2wUHakEaM99N
FKplJLxt8QFbGxBCLTEeh7TzNr3uGNUD/uasPyURTMWp7KpkllK/B33p6UNP
I9XCg9NWiaKPmr/f39fL2NxghDRPQi1WCegXulT3bhJ0xl6P7Y7lpRSwIDrX
86uetxOBB1wgiS45Lm3wMx7uBRz6TNhKffnHlsC/ZmUtQApOhJgDaBGHTzCt
EEGLRh8/JdAHWwFU6COfoEycZ3Iv4fB8xU4SJ3LgvEacAfKX+29/zTI05thk
8QvoAN+wQ4C334/aIOUg2BEDVZXZHl3Ac6bNn8HkweRgVDG6PTmmujGHT1qW
BuWi0Qd1GzEHyEM0cOZnvOk42taju+K90bRB+vnNn0pyaF1Lnb9qlTkMOEcH
KG/jA3RWQkBah8M0Q2btpgGTP4QW9gZvwW5ACQsiJRuYJJDtSB1XpGPCKISD
pDvK/gzk/mcszbZaCQnpBM0JDXrhdpyIjVctYQBYIBaQGH4ASCaM1+0rDDxy
aPTCA/TOnxeJiIcHhiiIxFj/x3MeHlcIiDUh5gOBbzDzstsYVxGeZ0W4ngeh
IaYk2/cFPinAtezDC6roRMfaGP7fKQjbzekMoGJPdhpYBxyFhH6mFT9ftzmf
24vfR0mZ9M3L/yQlC01tTQERfwR/QPCKX2yKIK2AJxyw5QX+D49MxQS9jVyx
Jm+yCywNKW9wHUmNF3T2Rqzs9G8+eENIR70gk/5UZqqHy83O5icsUhE1giRQ
/rTldp+xbIzXQvtBQCKdF6tB0gWCI7YY3XSy7ZR5ZQ4g+4QsCm+C/QBhNmHJ
IRa7p+kom0sQu2ohOhGdJR2WhTrB5hVWHze1GH2Mzyaq0+Jiv9LoPzk3AO54
3+9HbRSZrPjEe7S2TvHZ1NRKD5LS6Itnvkjfv/L9AMcZ1NLUYasONDGTSeXy
nUQnpJFiob0wFZmgGwRpkTOqHVVUd6BLKY+jiQYt0kRaGl8LOGBAKz4hncRS
TjEpSvCdX7biWU+uAK8U2mZtGqNn3vm0vQ3MChYzxeeFNqdOm1E2f7vTKP2R
h07bbGqUMY1ekTkgNgFJW26bGCLgl2Gb+GhICnvdSBJAczKYxZDOpj9OreyI
NLf4zS6NT2HdcTadTdGLrUpNhdNwv/agx33d7eygmyISU+jV46/SL278wrvh
WmlPX3GdBlnmITEAn7y5ZlqR1tGWRkqJ6l6oOUwHsOXrmhKhTUFQI88QUwcW
nFZoU4qANDGa29s1WQnyDKkR61g4287DYJ9P2tlap1yUYokNlespJMCx8XPb
/59O4/W3FodgOyTbQRkY+9JsamsGsDQisQMle6wpkD7ktxYcwKmw/d58GqgA
fWsM0JugohGGjls2kHeKw5bmNsZhEj17+Fl67/Z7+jhAo3uees3udwbgECpD
+wApd4Kt0MjD32fJFPgiSWXissMYXq0tcBhWbvMT1LNRXwAzQEgk2rqq8MJl
0V3Eq+0uBj9yVNBhcvXuK8LBn7SsCRcbZT6Lt5430R77EpAcU/O3PAyn/QE6
31P0A/n90kcMKISlYORAwmJRkO+/HLxCrHd4qSU2lIrvJeRf3yhbBW5nqwso
RaELhHdswY03fKTxXEs73U6IpycPPkm/v/P7pzxL03MjFImlnlILHSbXU8vQ
yzMMuAu1w09Z4AArD+MypRQB0PVWpWt1C4xkjweD6g14gvCjMRUYkjytly1h
QaqYzouFtr25AaO2GzEtuOkVi1KRtrazAR5BvnO/iduEsnhC37Tko7lCKKVB
UBnzijY1px8jXWWQXRkECJQrUMaDdLG1aJpRmKR7cpZxMWCBbdjIFKAw9hYb
eQ+F0AMbnB3KlHgtLoq6H+iBUmBXkS5l4B36xtu4ErhCh5G87pTAil4ISFwD
y7gaOiJXI6hDi1cl2X4SLfykxTr2kOGEIg8MvkxmXonVkj0N/spM9oHGk6oC
WhM+I8RabFeq/iLwXGvTevB/aCcYGHp4AzCHzZdWOc2jQYCtmITfmSgn+pRL
XgE/3/lEhxGWkjRftdy2poO6RMkyWvYwfr3H/ETb6t6OTbxbXe/kbtKM5Erc
I+q6vxsNuD/A265Qzz/zbraqC+TaQdWbdlBIp/O2vQGNA5OvWVRg1mBqbF3C
rit0PbKedHkiAD++RzPHBOldXgnMvuDFmN3Qiw3AmJ5K96QMAccnSysukvNE
DAPaLOz+0SIWZgpmiUodtCK9FJ5ACXAb2EnMUeRAerVbsfIxNgB6CnYQytRO
Jm5Pxxkg1lgyjXZ9f7aoACyhuQFndyaUKVsGiJs9hzhhTSU2S1rdB5TYX457
QE/s60qDHwxy2zwMSZXE3t5twEKjpzZVm30g00uudRH30JjMmTa6r+iE9kJi
f3Si2Y32+xMm9AXy0QaaYPIX7fDAzT4mWJCH7mZDFEnCYruVlk+JpIT1DLHj
t0/NcX/FphDLOJSMS93LAyng3lRbIIGY+KFzDyTZB5b53aj0j7EZbnD5spzR
h/CuJLrYsJEmr4lfYkO/xuApFx9uHPsyGBlI0nIzsCP/f6gdCpoc8ZsbD1IC
Whqhv297uwenTCGX4u6Rb+8TNOzBUG9TdpGVHq9EXeGOclbKx8urnZxFeT+8
LD8HmrgA9P1vhq+hPzI/8Aqdzy/cydNVHyGvSCoiXrRfY3G3H6VK0vKP+y3R
3W7HkDxTGPcIxyAWipwPYAdKjl9sWtqb9ga2/ZE1TFqEVgBSIFSzuFKyCqXC
s1IKz1s/0Wl8mtW/7mo46212Jix08TfZuEDoqD9L0nHsQGODE0gyOxtGRyba
UD8mBJWgnWEhlBB+AgJhjCCHUgwQcyCl732LTGnQP2+f1MfV+8NFWC+Q1+rp
aH8hNkKy6IMfBfvrmD375YGd90wAXxnZnInpPbitmzATejqAEVy1RA9Teskz
R3QCPn2ptAZu1TI8eGCIGug5mdAlysnw6oAd/EDPhTMNIBAI/cLk9pIdHpoa
2hkwAmwKiqsEsdhJR6oKnAoW1n9rkQTUoNMOzKJL4fGeps9mVxbaFGCEtdz5
nVlvMqumPppalTcM5TGRQmpBAGvgHwRRWGIOswCiocNRq/XukBWCQOSEwAqC
mPEHKIpF8wCb+A6EBclmagJbhPgAYuZ6OXblXTsTwGwg88/ViCRX1HA54b5Q
QMijEIdtOVbP7sf6K9n9LTf0GvABPuQ5uX1WWMVIdUCeHbu0mnqtTXpwFqWR
vj1l+cm250qSDR7glL0mT8q8nCpRb7JYwBtw4sEL9ern2EBEiZSZGiSa4G+p
BicU5xCNgBBWBtEATOBEBrDK+6M3ubwj0PjnO41zsyfwliwCWgi40N4BcJpU
ScOMgiaF4SuRidxSwSWYXc/8hGj8z6DVkvAjRczlphhD8hG9uOZZ1n1U6cuY
DbaFOYwizQMHNaNnoLdlEd6z79p1embDa2jE7BcSJDYR8gNddZ0tm2n1nNaG
aoA/M3mikFsFguxdmcZDLgm7TiqejOvC+HjZCXuSV/Zn1wSpeWBZhpIWPUFa
In0Nm6KJpvgXGH/RMnuljcpKyFDyVkud5NbWBowDE/R/VgZrsYciGDO5xGze
p5jaW+z84ZVtViFg7V1w95udpgITS/6smJIQcnK8FnN0nU2bgqklmJc2BiWu
8xdIXns9Q/WDgiJZpL8/ZqPkxiDnBqoB0yq1pqtgnj8b0048QO8OoYY0vmav
YVXagkLTldBb5Hchm+gz079Pw6ODvM2cNInUpZbn+PvMeduQwB1ABpTXDwBQ
0fhWkY/70mydLDOo1yUyhTZFYjUt3HxO2jSiAtMdgJhXJrIbuwov2cGxMiQK
IqsC1gXoCq+XkvnGZimOYosGlAFvTAw7hrnR6wXOTgReIE2hNnmlX+k0kk1M
+VOyVMwfy0OAHEH/ncfChX2rLWum25M8EzxIhuxKTDPWv+j3bBNrTssqprD5
+yUuDRNHTtFBujEYqavz8jG4HqiCWgE9PFSTlkBn2IN4cslnKTQ6xJ/t1Sat
w2AdeVruY5IxkqlFATjUkfzNjJolu4oh6Vq+YCTwmW1CLO9QOw1Pw4KAmwwO
t40k/9q+VB0npC+AqKGb564/JRkce09F/I1HVmvuCm6DyTR89h7px71023l7
oke9hOH/vtMI1Aiyfx9d1/lZkaEgTCBVZbZszLNdgqzUyfyD6CSERa0tV5Lc
DFuXiX4foK4Ao63QGG2I38CLATfLiYm2toHn8SkHehOpQERQm2qsO3yBfBue
oJFRI1zuHgAzcv4+OSWAH/eee6zneGixc4U9jJP/dT2g5FxsnhkwV2DaqDjM
oTrXBEJM9ADyhof7a/s1FBGCPJqxX2IyqQ1FGsta2j1b9yjN5q9oPAOlc5rG
CD2Ge1h+fKPTyNNMVE1TNAvC79dExjWLcdUSYFzJznGJ2ZQHxw1l7wCZFws3
nTVp0w3NlhsN4oAcsJXnwBiAQCEqoXfb5FWv3c+PkSzUsMiRATsB2NtH3ZW3
vRQ0A44jUAQDBtikQbjM8Q8vBZYITjPQkDpPwVsODM9UQQuE8eNfsW/UfC58
MsVM5nRy7BxfYXkI6EuHgEzr68DizioSdgTAbNm5r/PR+0F2FEwM0taG/y19
G4XqQr+6MyPZhUWsZNnysX1TwTOIkyHpASnYj0utVuXwsCBGbNawyLCA87V0
c02ZBXYVMqORfuj6qRiJKK2M5cBuV44P9QIuhYxB+1mYoWYWPUVkFVl3Eta3
1hEhiGGamfVy5oPmxSJ2MWbhAXnfdBZvWDVQZ7/XErF2u00M2gXzFNmjTFGE
/r+HYpOSkgRho60wwySwkwRkAsF9JmyRExRg6Lry18D6Ai0NuZLwkHwf+mhU
VJiDPjLT0DwNMsS1JrCaA1ubL9pFNNtcQRzGAstAvDMb/+5tcQJ4IMsD6hKq
D8zJC/+FfP2cCGU5yoJBjEdlu90WyWoYDgZ1sT3CWbeEMMTf2XdA9aPfgaJK
zycAysDjSvIQ2pBhussLBhQbqgte9wTFxMT8Twlfw4cPpx07dvjG2ZUDGlgZ
OAxHW8AWBYaxPefdWUf+BiJUCsXrSY/It81A29ub5ST7U/B/9T5tLFlZXedP
lZIe9SY7lZf5vJm5yXmHb4xD4SazZ4smOTDaf2p5FIQPDCFbBsY6KNIc8Ffg
6p/09OcaU2lhD4R8wRk9CtY629kduRfIg0ECFgKqAlYks5XYzXO+X1v36VbX
li1baPz48TRy5MjHZFyBrG/fvk1lZWW+yfYJyCXUUsKEYuh4G01od07NUb2R
EsmA7RIAWCh13cHSjTX4FohPQbg0NbdqdgPmKgnByFcqNBHH3hbXgIGt3rRn
vzbrmYm+H6sUaDNSQLKp5UCHfIky/KT/EumdqtU+xnppNoGpl4X74TTohnqt
PdBDG+dDSIPi41LzAw5vxX3aDh2UffF2PBS77gAzDCkvL08aMD4+3yk1NVU+
TbVPgHbj5bgH6dGsvh24SGPyKhxupUYxpLsJpL0n3SfaCnCFNGxgnNqE0B2T
s+YdeBsH5hd741I9RYwBFNrfFkNrDP4dJzCM0pcWNCVmOynZCYw8YXrt7QNK
B8hMfUerPQvdQ9WSodUi3IaQKvIDUMEJrjZh2EKJTWtePcbE/F2uRKcyjrwJ
l+q3Y6XeRjn1NlkFn4LstSK7j19QUuWcbTk6pTywrjM8PZp8W3sKQlx1hM30
9Tcisk3Wd1yS4KPkPzvIdxe+TrU+G+jUv01m6B8OyhXmc1MeYeIdwJweOguo
IPaz60S4qDJtKRJvRa+2HJauBfUmWPAlywSYq/aY0gBqjW0PqnmVUAmmg1ue
2+eqtF4x/I1zN+PETud7O+++G8R8TgbRg1E1EptkI/CYOCYH4IAsM+SYvGTZ
XUXfUgCmxnIjFldp659hjwIo4rLb3SmJ0lvkI2kQoUi+VwO4crp6trHQWJn7
G234y0ha/J0O7mQA608FYD3Pdic0ODGPYzBgFFBv0FTenqaBus1ol940jCQA
3L913d2Fa9C9Cjn2UDX/Yl9uAptmOxl6G2wEOKEwEJnG4HopdPH3GLIIf1Gm
pBlaWDTMLKSWIWUYtXjwqP2EY/rvw23Bvhn8EWna2fYxXHjDZd80RheOPbB2
S4P0B2wS2GCSkDXI/YMMAnKQ6wbbEBpOjuXliUK+gBiSHUWazmuSiMP/xtst
HBDQjfspYobhQDIUv2otI4gInjTCHRphRe0FOAf3QEuDkDAnfAdti3fJ1p3p
7y1a3UoRbxtAFSLfVVXAr8P0kWPBOHeNJZlUUbyAo7eUou5mxlCXLb1oVPQo
t50jNUzW99H7AC2xBAsrHKlg2LnrT9P4JYdct3XvOT/2j8+0M3hJEzXkj8bI
8Y4iZwIWuR1WQDLHlK06OwR2RrrJjbEZW73c8W24R/16sCGgCehm2WR8qH5+
t2nEYIx8PAKqgxGL5tz2oMKPkXmoToqmkuGTAeJ3nK3fYt3wPaci6F50hqC2
3vZnwiR1pwhAKLCbA9hqAZnImTeW7JAvhiZHiIhhj1kXbSKbBa4oX2SXyC8b
oODndRMB/45iwwQJqNifBtnJWW7Vddqf1c1Nd9dbPTLMbKm1SmwA0To9PRry
Aq4DmiEwPapPhqWimhCeQIO/oOBedix13dKbSS7Mc/xzoQQhDFLNtXybSg7v
SEkO6nHB5rMUNGOXxBMxi59Y6dRqkxthCkMiISHQqSPb2SPbHtoIVQMy+vxj
pBMwBkZEvArJcf8dtkEOVDX7tcZ01nbCWkxn9+W/22nSMS7h5yW+BDSBIPWU
XHWP1NPCpBC+MBKrQQYEykA+eA5kA7sTfcX2nYlwJwEC9eApkIVm4sYm57qW
X6aSBq150Mz3NSk8huRCkUmSmMrGPobkgpuaY1uxgw+LPVKrykotzA/xDPgc
OfZoMazISizdhsIyoX29jUtB/eivw0aYw/+DnDjqvvkFoRM1hUokHlLo4TSj
K9HECZqIweaOnGEU47WoFX1HSUTSrI3LnG8jV3LGKZMJMuOwY4bYI467UAVm
dn16C1ncepjqTsvS7puAZoVlINiQID/4vckScmj7YadJQkOWiA9q1Mus+6+d
8G+xZIGCP+yanLsVKxJCih9svNXkOpuNL5AC4kbZ9hRH0C0KPJPt8U5Qdr8Y
vBznHUvyAGCZZEQl2/aFIhO1qzPIQOuMdPce5wLw2Ipab2RGWTsyL4F6bn5R
0OgtT9CTz73JWrgGlv6lXHtZSAXcAdseS4dkB9WBzaW43rOjhikCp+XmTGbh
JCl3ajJ1zoy/t6wUwWVAA4FKy7lmyE7habC9pm0ezR4SiaMC6agsW9chHwDE
mC8bQ2V05MID+vXwNdJkTYqoidw2bY4kXxsPVgEWkRVDvda9jnNUPMXW/sCO
utsYHwCzPZN+bmnXporIdLAHjnPYsOMMEzMuxexHaeM/cLP1d6Z3GiZj7fga
0ZG2tQ1NWisOMdkxuWTv6bv0pdA/0vhHkwL6TSPowwrMLQkVvkgkgBfAvqMe
kaLKvtYaB9k2wAHpAJbUswiPs07CBit0JkN2lIdS26zKNltqJjyn/poymq2k
/RiZkqvsNYg4qDXvDtvFe9H0uXHvUljUSLdmSEsY2/7TD82OLeQQ8MSq6G0P
26B7IZuVTHEIyj0tZA8uVS0HjxzCGhsRHlQOCVi3N6PeVIO2qZWM/kXgB6MT
8TSM4jV7roiGB2RBKPCKQGfJol4KbbJrvmm5LzlNRk+yoO085Fbba+KWlAUe
A3In/yH1XvUmjYwJ9Xe2RtPghQdo44HrmHJPy93gAaQqYGMQBUwwY79t+VOT
gvR0ZlhbtbaR3ortFyUz+VesAmHhaFhL2gIxRD6wU5HAOXUEoZd0Wg0I33AF
EYjU4fWwlLVVjYAwu8hqaD8INTdF645kK5sJGctBwnjonD2mhL2yzukdr+GG
5bsc507BfY295rXZtWgFZ1+eTj9Nvk0+GnRjEL+9JaBDA9wMfPL2nNPwm0mn
MxVWpg+VqUzXE4zR6i7NG65NztPEEU3UdNpaE0XZcPuVHcp2JLSf8PtLfjx4
dKXW6OI6pAKU9NwNp6VLrpg3OeZkSSAiJaPQISNe6TnFVFtIn2degmn9H07j
Fh+ksHn7XGjEIcNGBrR3FI/rPflT20l1vtXvJvn9FCuBCBp2YBi9Nfsten78
8+Qb6aOnxz5Nb856k/rv6U8302/6tF+u9xghkwn+vLMrMTHNp0CjpGFs90EZ
wT3RDhMZ6n5rkXJL6889ZKJ6xwz3V4H0b/f8ZXvVpjVjOiBiJMvD5oC9YXPC
HyNHClxuD0hCa1fqbboL2nmBkSYtPyI2DsgDePVGYJo0acITbgPwLYn7Ol+8
v0G5vrmexp4YS0+Neoplr2+Yj6/5hvrIF8I/QT53rUdYDwo6GERVDVU2oP6S
UIc2uXN6ywbVEb7JyPUHu+Is62NFkN83cBQYG9XQYcjAMcG3r7pmzfhj8tc7
YCBgg7ve+Zr4DvoCZiq6o89Zd8o1gkoW6i/wU39KnkcUGafchFpNw028A/30
4TDA4lQswKlx4shwgMqHWpPbLp8672ivt+IbSPjdh78DqA3gh/vo6wu/Tr/Z
+RvyzffR19Z+jb699NtyXb7n+36+4edU3VBtGuraOLBuIqO5InQvAnuwhdT0
1WgjFil9GhlwIB8bhLIRjVcE2NDxuLe1g+UQkP1XXSfureYGFdqeGxgfbuyv
WeUs2nJWdkONN/aKR/zkuewD7VqnzbxbJf29TBoJzd90WtR0pQ1tmHwkgwSt
Rg48FMmosM47KK5yypKbN58E8hxMC6fa22VJmxL4j0U3Jpv3Gt6nB5X+p5VV
YcfCHJY/NeVTtPP+TqpprKGMhgzyHfLRxPiJ1NDcQIejDtPnZ3yefMEG2333
9sX5y69bBJVbihfOs7ofSKx2oeYKm7/j5z5xDtEQif2ruRtOiZyBTALQYEt8
3eoavAM+U5y1NrVZEjY44KCov4XPmAO2+ZGAiG3q5ewgguMUweqWm3zgQtv6
o1R8BY0zgLsxL+gvSAOE9OstkjU9kNGi/pS3q+ZvPiaOe8hAWigrx/1kSHip
i5QAvyRSIsn6h5DfSDlEOiOSktC5VwOZJp1X0j/ErwFcQLB6Nic6m3axR8Tg
3EpkbITO3Uv7z95znbIAQ2y16lmXsOnwLLpmdZHOss/LuzEO5oUwBvQL8sdM
k64W8fTAeFBphSWGAQslXUdSdrqI1/mUq/9GgAxtfhH0h53VYguWy6tqTbaN
nMxR54S0+WkQksC1jQeu0a6Td8SMNK2EyTatM1nVUI+YFvorwP6HnMFnTV80
mwetXTUtzMbgsMErJpavq6MWUKSpq+5O4Rnh1GNkD2GaT0/9NEXmRroGBLFV
sXIcEDxI7TyZWJwoxgOYp2toVzqbcNbm7z/lYn6YFkIesJiAXUTkbEqJTero
KboLWAFUy6uM+IHbjflqviKcLdW+qhfxfuSrIXB18OwDRxnAJDDlDY1rgFcb
yqM2CWl/WsI79mOSuCmGbhIT0/40thjR6OtFDQ0m5KY/4H8UwIPfC0yHAnei
XU1toyQ9+9AIt0HoAKldXSRw+ZTQA1gFiUhIfUQWkJ7ogn0HZABI5zpr0lYb
OjJpqb5n8HqxlJGVhndg06Squt52IauU6aB+IZ/dwS64swvgZxijF+Xkm81c
NIOA8PnwyG0JLcsJgdb4zchhQZUNY6yki6ig18WTdjaxrU+A//eHURtpyZbz
4oWinh2BMmAj2WM3IxbnbDiPHYfP01Yel7Npp6w4RjfuJZvT1U0Zm3H8kLGK
HbmUfO0I0QUvY3cU8Z4lW89LzQFSKK/z49iM0tO5smwWHogQulZPzpHYUYsG
sEmkjTaUghb78+4/i+YAA+x7tM9Z0F6G0QMOzyWco+4jusv97256l4lPj5x5
ym1WoRwBWwrzNpyhyaw6kqXlq4honzZe93paszpNuG86VvI3B+rteaM2kHB6
td2ci+5tFAsBXNNB/8K0g9RDhqXKf2dSehyqVsQGWiQkirKF0yZ9S1vayGtd
Jh7a4/ArIRVSXVG3P+wMetp64Db9atBamrHyhGSsSoEOA7CsnLm9hvVaPes0
FMzxqtAEEmWF1WwCfHLqJ2Fx0z8t+wYxF/5FhGEJP1jzA7n/hYkvUFldmZWW
XXVJfiTIU37Q/u+GUUJCghy1pQ7xDf47jv9Opsk8Cn53pSn41/xlgOu1KR+5
NlWuTgm4No2vTu1wbTpfmWbuZuHA12QIxtgMvjyTv57ufwg3dccHeRWbQ7g6
sW0SjW+ZQH++M4HePRpGv70XQn3zQ2hC20QaUTaegnMnUEj2JBqePoWGp0yj
ESnTaWTKDBqdMZv63RtO3UZ3F4Xxj8t+QNMKFvOUMLFuFNYaRt8r/h79sf59
zKCLXMa0ZtA7V94RX6nLqC7UP6M/vv60BxQWGL6JHpBhBVP5Uxf53UPu4P/J
6qa3T6cp1bNxT09c7GYh4L9nCv/wiptn4O3PeL7Gq6fJ14DiNPd1F7uIqfLd
FAPh9inP2BmN579J/BdoNsqzm1VorRQdHf0/5I+FhITQ9u3bHXlc5r9B/HcE
jfDNkN/dKYxG0mj7g/+bq/yv70n8n0a0jaRRrWPoP2PfE38fhPztA/9Ko2sm
dpWbe9HQtqH008qf0b8nfEChLXw7vwiPjuG/79x8x5jRI9gRevRz/o5RgMe6
Uij/xXgjaSSvicfmayPNmHLH39v7Rnlm9nt7DZ+GVA+n91OC+Nk+OcFsBPRj
GgppCeVrw+inh0Lo+9Mm0n+um8bXg/mevvnBXalvQTA/3LcwGP+jfoX4Ar+f
of7FwRTSHEp98oPp51cGMc+G0b+vmUb9i4ZT/5JgGlAaTP1L5V8G/YCy4C40
oByjDiwPllEHV4fQfzwaSD86PIze3TyRBhZgVYOqgrvRoGq+e3ANjz+4Fo+E
tIZSUEsI/XfmYPq3G4Po3QOjaEjJSL4WzFTC3/DvYfz9sOZg9zOEYRxHcV0t
7jdv3kzjxo2jESNG/A9ZbXfusBFcWelwz6KMGsxf3xL53YPYn6SbWTep5+ie
wh5jTo8m1ldd5Otn5euH1Q/pyeM96Tsbfk2z152mtMICqm9vwG206Noieaxr
WFc6k3QG9/vMs09SbWsdnYuIokU7T1FUeiblVZZSeUOVXOc7uhD7hd3kia78
pkb5iyfflN9PyRj17fU6Zapvq6fMkiLKrSiBzOWfJrgY8rtJ/jbiB8kD/LuH
eRv/bbR/7TM/l9d3la9rmxqotLyWpwwLyBzDUd/WQMWlNXTpWhItWH9e8jBK
Kqr5HpSbdqOi8irJHC7ET2llFyoorWSXvqCkgvLxU1pOdS318v8jp6No6uLj
NGX5UcooKKHsolLKLmTPgX8yC0soswA/xfxdMaXnw+1Ozy9iqKflFVJVUy2l
FxTRziN3KWzGQRo6dRfFpGdTcg47RPjJxr9sf2fnUUI2DhKNz8pl8RqXmUMx
GdmsZaooOT+PvbSrNGTCbvpT2Fa6FZtEMZlZFJ2RSVH4YaxEpmfQozT8pNPD
1HR6kJJG9/knIimVsstLcCC1T0muoqIC5ynTzZs3/5f0vrVW91XWV9LLk14W
kfHjtT+WynPztmcoripOdOWQO0znE/cLlBobjcP4222/lWeeHfcsFVUXWQv+
aTmzL/xhmhijMCETUwvETktKL7Kbb2iv2dYVDTjEFmaD3Z5zayyX16i+vpkK
2T7Cv0cvPKLhs/bQe0Fr6PjFSMrMLZPX5hZUyD2gg7IK9rGq6sUGxjMwOdGj
Rd6LXYvWdrkG6zU7r/zXFhronNXRQJIizYAeD3a7SSrj2wKCFlgND6e13Z1I
91OYs0FIv9z4S4Ffz7CenpDsM84+GRc7lqJj8iUrtbGhjWIKoumZ0c/IM/+y
4l+oudUeaov0lnb/Ge26rQ97GfkNSMVF7zYkK9pDRATOcv4ErxF2GTw3lGgi
Yw3vKNVMk2JzsodmhdgiNevRfYL9aak1kIyOodN3SF8xnJOVkVfi+mZlOU+t
SqJ/5ZWmaE2SzppMHoUmbgKqEmHMLPIt+F/tqo47rS2eUMbfWkifiD1BT4Q8
IaYIQoBFNUVWNT/ttQTlIbQRuROXKNCVsOD/y9l7gGl2VWe69UitHMnBgAAb
DAwYj20cx74zY/uOPXc8MOO5NgxjGwlJSEJCOSdQAERQRjm1IkIBCQWCIkit
2FKrc845VXV1V1d3xX33u/b69lnn71Kr+up5hOi/z3/+c/Zae+0VvvWt/J2J
r0w82AUDyhP0+6W3/tLiodketAh4i4psLQs8pg9eoomPO8p1naVFn588r0GX
9fbV5BB+NiGuig5q7nDOH2ObOu7Cu4yJm5Ilv7/AoYiwAOO/owjrvD+URAv5
NMHqtODWsJYVI9//zHGvt14uNk1FwDpSbT4ryAvBH+rQjAkhP2jxQ8lYfKT6
20qSmn49PcUCOfI32wt0vAHpbR+wZSeI09QjQB2bHP5CrEHA9aO7nrbsBKTI
pXNgxKqf5HyUeyJepV76Md//lLX+5y3/s/hGWRv+5NI/SZOXTbZXXrRtUeq6
vyudNbPM45i5Zmb6i8v/kgz/sWT4//qav07bh0oI9TZfjzBCvI7+tQYcmGYX
rPJRNqXwZ0RkA5aA/UvXnCHvqIHZl6TGVufDMuiAb1mlFYtGrLOMnFC21jf3
yhwDU7JVScgv8hKtYmMhdwCb+bgqMxsCewknOWwDkTZjEo4at+aIY5sgGOJ+
mi6tlGxqUfJAkrtzTFmGcjeD53zY1oU+T1BpvKDgT8i7wJ0KQFNVDNaQLcU2
IIcnUrpvXHyPERI89uxUexZ0jEOF3k22g/VgLltX8xtWgF26bjejHNzLMp4k
uf7pxOtsOiOXlMaxNZ6X38sg7rMXeq02/zvbiSuziPM10Fx8wOQA0RWPwiAO
HkMFlVm1i7BJoc73FtEC1isYUSbXMCfj+nufFfWNyW+V1w9Q8QUFQV0wtgel
NZvXpM/98HNVq/c7bb/0xdu/mC549oLU9aOu9Hf3/1366t1fTQeecaDqVulT
3/1UWrJxidMAqh1zwDC8mrKi2RhME2RMAM1tJPrLyMCPFJa5/Eh8TtbVak4i
PXDgpmUDKHsLr+AQWhk+uLGo6n3+mKtt2aBk1ymzsjJibDFNiAbPMdY1CyDW
bhA1/zRu/RWkQJwSCCMvrunFbtbAdoBlPZXnQmDgA//70VdZzprc4EZ/WxHX
0f5nOa0COn1/QAwXdsL/dfy16fBzbjOkb2Hc76+8Dwsdes4SLPHkN+cGKVLh
8LiWpBz9hzxMb19/2XSkH/co+8b3jieqPam4t8EIsandDglmHIya2LOi2Qhq
7ycc9GLikJcYIqBdFWXmN/BEcdaN2lv402f9sxWbVqT/dsN/Q/mqOTVlPb4W
UctnWXn/4rK/TJNmTenSnCi2OjQolBkoySACVofP1Z9RGkc/bM+N2X/gl5PT
vY+/Wjp8nU9/tTeJLnFltA6fWIJZXKZukeimNxA368zLHqgj6igfcB9BiAvg
vwH7Z4unoM8e6/93mU0Dc0oyGbkdXGCWBrUsZyMGnEor5wlqA/ySbLxaMwsc
owrN7LHujw5gB+HXaGb4jdRxvp8PJ7+8Adl5zs/bXrkt/dWVf5X2PnXvLLET
mOdMJPtnl/1Zun7S9ak/x3dzF67j8X7bbQsmi6VmedE8RMDJSBSBOFEhr9I7
g9VHiop5s7pm6rJhwLbjuJlT5Z5sY1tW1qHYsxesqlU13mx+3tl8nxTymZc+
aEdqtSv922s1TWxaJE//ctyyu9D+t3RRULPChcP3plQqLpTs36el3UvT9ZOv
T11XdqUvPv5F+3P2KWq1xqoc3gr7Cd8AQ94AhV+jWiWrscxHv/Okh40hs4J/
OKQ0QOEaDgyWmZVZgTFDOAtUYFSzNOdCXAbzV9QhX7aKiwu6nGvQOySG6WGs
5g+z+7yy9Ch3bohiAMa1gt/yPcBTYpF4S0rzz74ylzsKUThv6zxz0s6YcUZX
pMRAnRiVUyf4bBuoQ9g+6AvJyyNqVIfjBZGDikSlcCazB9Z1vDZhof10tS8L
KRCZkT55D5cmqqDW9/1isjkiR51/eyWyEfPHrHDyq7BSSIi7K+ZJQR6kGExp
wMJpIcfPVnOeFtIm0fRUeoqS6R98r/91mDQQ4yaZMNZOTX6xPwSy6ckzlrh1
3ts8RrYVjLt3PPxCna3H97PSnV3ty6idzuzw3dxY6xDRcjaIlQKYsL73LCJE
xeSuL598Q/rn7KC9NmNx6Hwoyzk/dPavXt/2GGrcke/FOU9MkM/H8RO4neH6
w4PSZA0IDJfIxpkMFJnxw1H/WFwVGfbz7aixbGMsezX+uEeauiCge+H72WBS
zL9Rln7fOihpmw1sKk6h8JfiRsoi+IBfztOohSGMuq0zSN31Psylw+p5z1pb
Sq70keRBky/wfvgexyUUHvR3ITEmDVpP3bIyughLts4IrzwcCZaj0N2kXWUo
fY8duNTdeRiD4Pl7qZvCiCMiS8HGEiryQCydVAknFCgopPU4sJjwprKWrIUX
phQ113H00g25M6ludOaoFJJQhVR/GSrpnC97m9UqOOhGlJh5njlbgvf6DXgt
b0A3pcJe8lUmeJyRHUOGIAEbFYEUBqQYtoNraz/JCuQkmJK5SOs2mUHSHOKZ
7qtjyDCweVeNXy4NE8to3QklvfWuHYFrw6W5EJ+NY0WwP6xfiYX7bF0sDiqs
IqbighISxRV3/R3mGRODEVTQCY/s8aiFrxWWarFnVVb7BIfIuIXLz3BsNZyP
2FBd65xvzUKBYyXv1jHBFnuG63QSKYEy5HsROec1+IRvUZaFR8Bf4q85qJAx
6kW2BLK3vG8KJ+3+toMBBcFAAaeGac08veEaixuoiPeXZtLTwwMpetrVcce7
W1jMloFCtMReHx0TQD/gUBc1MJV2y0KnCgIX+B0PvcIzjkGUnjFc00KGzvaQ
m7YFfIOvX3BXPnSusb5c4x8dGNrNqOcObKAkWbIYfFRbXZYG3PCeJZKcMKY4
S8WHqrBHTVnIG8XZq5rJMpawa2t3lt7cRbE3vnDd8nPMxj0oyMD/8aFje9tR
8qvnZ6ZD8+4lmQNCZk1hruD6svnfESv+9o86qKmPkF1ko5qL6HMrsHGCQcvW
u5D8FC/lchvGtWh1dSm/MG7VePsYL3WAvxqfcUhBWmDz3vq2VQcRvRRSclNt
YNrSNDCxy8mZZtWAf4MWyEPPvDVdm/01ig5lYNTK0t9JAua3KnK1WK1V5sIo
YESjgMIAzvjZU29oQLQDd/orhltYYha5NCDVgQF2PUYbysXfl7442B86kDjZ
TMNkd6ov+XfgxcKwiJ6C3QPWmRZ33AqwYDI6PDPAU3RJUzU45x90d5HDQlgL
3tkRyLVtVqOtWW7xjfLeYB5ZG04OcmhuMspItP3stXHEL7r2EQtr1CyvdsiN
PltheNgTMkZs9rfj1qDi6bz7TQ0JOs6hdcXtTxpyHR3nM/QaTbHs+uomtidM
KYbE8my7+QATYH1f+PpVFtrj8JdR7H2VGEUITDU+ooCrZEQ8fYpxIbrjMUBp
egqiYp7lsMfJTb1OFPof/TPOVZxmIvzIyvjKtMVhLMHu5jP5PNudaFHpQoEQ
hu7YfL2YQVAIur2+dPL1BIz7h82OyeOt8ZVJoBziNkjjf1kFHSWCDuU3+7Cr
EX+kBfD0fPIAb9X8DS4nhcYZvalwq3L7oqlv8/i6iFS842KJR2N5Gt73vuwG
cEaQkn0qG2gRzKBe/3lMpRIdYXa60/TJL9vwp2eeeXq39PTTT+fXevLJJ9OS
tcall7pXL06PPfxg+sl9D6ZXZyzg0FUguWM2Zu86Vl4ZQOHkPdO3m+V/31Mn
VwCIJb9HgwjnyyZHiJYMUq95MRtdlfh8i09w5OBQAwMqB5ltm7ejbV8/7y+M
JFBHPJ4nJs2Mg/5oCYZ3MZBH6mgrbNw7KpTQ+gx2OisLgPNUjET41uThePn8
xKJ8QpZoCP4mFH6UH/LtD/F9jWEk2pjj7IxoB0o26JMq+UeY8pKKPqiSR+rv
YiFUU940aECjSHmM0TB3S5aEP5X7Hlwz6XjsGDtqdfKZuN9c98hiR2QTSaQ/
34nmsRoj6b6rL0r//MUvpq+fdGo6+8wz0+mnn55OPumU9MQbi9KW9YvSOScf
m04556J0xaXfTod/9cj0yPPT31z19qnTblhD3KhyILXNjKRIDthmwOTNfKJL
jDW75u5nLJs50tBC8joTfzqJNEO1NP3Bv9mZYvQ77yWAaOUEFY34hLADg5kB
Lkje9rCzbzWwt7IGQ8Mj4l62OgkxF9OxmV6S/enfceUZdKIIDNkiI48r1ea7
H33JMld0YjG6eaiecO+syqV/hj2zKeQ/umoIfFci5zS3v6dqDiybojA+Z36F
sXtV3uNCX794Wjrx64ency+9Ja3MDzc4AF6htD09efdV6ZhTv5VWbR40s/Tg
9d9Ox5/3g9QzMKoVjkK/2FeTZWElzVndsk0Ljz6KOV9CI+iXkzGW0NSjQUgx
w4UrTkPM8CwnaxZn0Gszl1heQ653NrvOMLiXWY1Tv/8TI2EQuSl7iSboUoYq
7HicxDfd/5y1GE16bX7Ne+lU4PU8JP1tVwa+poYV/iUlRxMsozZ++fyM3Xie
vCesJydbEoIIp8fhLp8eU0CaB7Fg2vPp+KOPTGdffE0WUJ/rxLZ01bfOSJfe
8risxZKpz6QjjzotzV25pUsQUoQza9asbIkG7d/h4eGuI6J18QS/6D1xEAhE
OMDjlIxpPqXYdvVufKQ9H2UVRw4JpysOSd5c43Qr6xcjTpymM9uHspb7mmkw
2uSRsicxj6LnRFW8J+9jrr+spWIJRLDJ5iv1mAaIYIRf4PQST2uV3DudMn6F
hR4ibCm9bT3muygUEdv9YqfXMtSKT77r94HZWTE0mXloaKiu+htvvIFYu1yu
73N1XLNgWrrgpKPTiWddlBau6zWZXp5leu0DL9QjYP28yemEI49P0xZvrEIF
ngklHcNATzvtNKP5E3oooh/28fWMtRQlklBhiB4wrTAlZY9QLfwrnVs1DplZ
4a0vcedqaA3X7UwbukPeSHOuWGwMBLszDkHmfix61r/f9VVim9gYa08B4xKv
M2qMIW+L26/SWa7ZsKkOREbUbG5aDjgssYdEw+W+B1W0xhZnsMOmdjsCnEwt
FEgMOsQ15HF1kMaeFaCUSABJOJxSQtYQs55Vc03Ip190LZ186dIs4B/d/3yU
74lHfiO9sWhDa9O++uqracOGDfbv5s2bvbXsfQ0hlFPnU/+km4TQcnPhhTHl
x8Nf5DCdVhZi0apazBeu49Tv/cQYZzmRmIIh6nWMwwLNrhkdjcOUsQfZ+tb8
EPsLemRO7pYu3NfWBdQQTwXhRcp9dIGZTm/zJUCNOS34HU4MbM9B4R5Og+73
2LfOg8fKIHx01UiKylQhFcVE28wm4WMyFfB+QRxDnnjekuKMsf/VA/RJ1xdM
C6k4csKsHimJ6sgtKNUs/sz3S/dX5eWthNS9vb1VqlBHXnLJJV2t03iftH0r
bUObkkpgy2c8n4469Kvp19Nnp6svPjdddeeT1TisnPViOvrIk9Ks5T1d8TgW
mPJv6mqOmnsAxIGBLPD9li7/99eGh5VrSxZ50ZuQI3B2Ig2IWgEN3Fhaesu0
TKsql9kPY3b0j1RvYXUJB1rGgB3OMZAj0ZojoPdCYxw04I6D6JtX/yyd9J17
EX6jZzPTvre+O50+5YyuZtxajwW2jRncvZ63RWMaXZ5hg7Q3dolft7Qq9tgs
H+4RWQfRyymzl5q+8ngAgDTqTmNUiDtIQRCxgojj+6L45xr4QJS9k1NYHLmy
HXl1DNK2kjt2g/UOndX1H/HDsOKWNlm1sQ6lKYnuPrO9YLLo6UFihddnVP37
HeBQeYQvPXpzOvG8S9La/vKLfctnppMP/z/pscmz06M3fz+d+q0r0lZ/mOd+
dmM68qTzs4c4MJZHWDKuHzNEDvVaVKZMyhuuI8GE7SxjqRukzfwO28XC0er/
xbyw8IqzcLiFqpkBbuB3xAgW++mVNCQkK4PtBtzlawbkdQcq3DhLQvgarMIF
P3rEwE35+aV/s3vmpt87/0vprMnnV/1Trif2LeOn3HTfc8ilVsUQqUx0fjxF
I2qNnlHwBgpTNY4Yr8aGvZbMhBQQC3bWpQ+mSVMW2HblphhRjO1nXQHZAKZ4
3ZvtfJhZrdeailfU+VHIi4ZceQ+qjGo8BoA90gOckGCB1VOLTPCERNJdcLTp
TQg93uNPtXr+q+nYIw5L373q5vTss8+mq75zTjrquDPTovV9ac38l9PXjzws
XXXbfemJR+5Px33t0LyMT3WNFXRqyAlLbW8EaUdpH7fyh9CZfc5sZIjiavyk
daWExgAfCsLU/y6//Um7hu9wenIq1pa9gO1CmxsezTKDi1QjZZjPuWz5O9Po
hTScDysvYhVNJ6bYs6Ud6wRR1RtPWTY3/dUx56WLf3111VdkpQKNFI5EIxAt
oH+6bm2AA7/Df8z6yvPKQIdC4WpZoS5UbVAuBwtSeouftMuwIzp/eVnv089b
r5A7FNqRMt2PRcn3Kdnm/aoW8l9zHXJwT4gN6IA/8yaiK/i0ax+PgUZvcsJi
blm63XuKCXWk6pyOBEg+t9+kQiTtA1o/d8oL6coffi9dcMGF6YeXX2cDCco/
o2naS0+lH1zy7XThhd9Odz34eNoyMDqm9qmEIJvWpHI+4j64J4QHmwkAmjSK
h9kcweutWoat+5fTb7J++cJQsdUWVNHIAocpMEx+TcALbPEiIPsQjDL2kYPq
P/shhjBFDMz3aR9Xzp89K6Zq5VoGnQInBef/9dUz0jsv/7107svfrrq1Ob9L
52RLgBuMCXroydcrwSu7D8whM93r1IIJ9rhktAiZ83mlgJ79QzKSqSOoEqHp
b7lq9m8r1mqmw1hxFb3M7AQ++9eJa7f+9PkyB3hpM7wSJ4eTgw3mYeHv+6YY
HS3t45zULCwGsfvNCKEUPhP0+T/VIaP1U26HVi9qTVmpQ2rJQBEaybIyJroQ
COFkcZRjj8B/caTzrrwTFjxynvBuKg+vMDTJJmd7LBPZcAXwZTXg8wv+dHyX
nBTT6RhGQG5f5WOxwpWVL5+hbRo3q3eb1TsrHXDTB9Jpb5zeKjMjH4CZokbj
PSlpGzPRtgEpBwBsZorR1JNv/w6/NzsdrBdnnKV1+rdXwn4By9ntGB23EsKM
IEUWSaTBW7w8xsuIbCY/4L+XKbN83TbbUfLvbT0d4+elxQa3JYmnXZjwIgvP
j1Dem2MHwupSATywVv5UnuLQ55yxNOO1jxhDGGcPCWPRA+dn+t92173L6JFt
ZYIYNKysKfNe7/zZS1wqiaL12tdxfBqV+yjRmZtmpYNu+KA52DquVq3bVBMC
daq0s9yz+3Qd+xzyMKh3NVTLKbbMORVpetZ4lQ55rDmLVtUhw5iiD7jayW1E
KFAx/Z8ciVyQFRZWCwVZLAoqorIzPph0oaQ+tlkWz+GjVhO49p5nDDNPOJ31
YvzkPuJjMMIc580qZYGRuksinZX4v9RXNFLPCB/66JxfMjtIWYPFxUlguChP
euW/F2sxj/DtHINng9miWRQSqy3OD7XEOeDuLo8tH3a5M5mn1Mzf5LFZs3ml
u+jdfmM2AXUvbsHXmjkHe/iUqXU1LMcGfNB/Ao/60tueSFfc8aS3KJTQTSje
t7nYsI34BJyORvjuYw/J26kzP2uTpGyVveyhkL/FtVC5CyOxvoxLRSi/N24p
FzzZfnaCR1Y2rBJS4YegtkPbkRgTwgpwfs9Cyb+y8ItgL73bTUkWnAE8Kk69
vBzah+gMVh0/TUkWBHfgjR9Kp2XB6bzG5rXZmwslwkbnI9Z1RlVX8ji1zshG
YkVZxbwsyr3wghg6PsbF4GWEPvWsbh11qAKEIQdtTlmqEzGNgCULkr6gf81u
DJM3cGvgDamQvkLET1cm2i9O+oqt9sjED1+nmRktOZldmMb0bhP70y/NsbsS
+0iKnKzAMAp22HskFgXKYfe1rM8wnwDnXPGgVb2xzFmNDJP+AV9PNiC8RmSI
8r0lStaF2L4xF2OLEjGu8xnGMY4kNB0YGGpYMNaUdY8zTpX6S6mZccrrlTkT
K9ksmsw0OlqmSxN/FPDvtqbWuVdNZZtLsaAMHTT6mlFN4NrHJE/xTQ2VMxzM
bUX2ArX0Yvz+ZVROf+FJJ5YRmYqRW+Y3Zgut3dArN2X8sxAEzRPBR3lp/ve9
FS1uQ536Cw3+uhbOsyS4oLb8/NevSl/KPhXt2mVo2na7ZrVTsWhgaSiiyrXD
7GnVP+wPwKUoTPEqUi19eYJmByW4oa0EHF5kn2kZl/fEU9i4wzTawmN1Fmp4
O3DsFCllsPHJlTXPjxpzXC+8vsAYSGnH/flz0/0N9irjaXM4olmEGFtPOXvI
uI+9OXq92pi2VteJuBg5zeb6sGujJmuxIiRcobhi9PGP7n7ajjg3iB8et+T/
k9/YahqSMiPP8kYBRggp3c+yh2Rcvlu27mZ0TwfUkTSzPYBHHDjGGByli9h/
FE9ZSmyZ4FEoC+5KSk1og0no6e3fQaQHuUglKvLiOG3USWq4vmxtTW/qOs3B
w7XVbyA2KppkbOUhC1DZXWpZEimXffmUG8yV4QzinP2Ii9RgRpbz2Jru+NmL
6eLrHrXsQD5L3SsrG5VlEPqK5QKKp2J9HZaWDNDwQX8aJEhWC9hE3sMFSrJH
tqMF9BsiKw2gGTdO8/0Ws+Ce4QaiJqpgFca60lY6luXWLC6qHcQ5x3zrTsva
geF2Jjyz1nii+cn+wh+Bra8aczMyPNltWE45dNF67xmuEyuhPqMplFx5TMCg
tGxcKl9yxLGvILLhklB4xL00KHjbwKAS0Jjlcy7/qd0aAkZ8bZ+rlXXZtWOG
V9HyfT/qGoBygRb7pxOuszwPku0p2MHWfOIyknbQRmiwYuAMIWbMmnGIXXZA
7B5vWff5S5tgCUtv+HxviBr/YPLaox5wQnV84kjoXXEUPPrHebXUWYkp1zHE
6X/7VlCv+TyneRNSWju+mPXhpgW8+OZbHO32n6oBWFMHV0o1sNWa7Naoxuwd
VIPHpT7HEarP0FqQcnTGyQlHDUruZaQVdWPXNnRvqYf9xp6SryarKKNAWQcu
fGAy2eFX2Fxgcn01ZZRtRsWvoCGWYGC89ZJSNyDUoIpTHdR9TBA8FdMkCLVm
e36N89FRvV2q3KuyzGGO4i5z1B2YxUeemWpzzLJ6jL9r5cP+EIKtsuS8OvMO
4KPjDOOABrZaAJIHOH3bSi/MrardPGgJ5QHemSI+YK/5Nj1s2BMgbQug5eb+
mjMvMc/KYpadl0hZKPPVBhtLsS7/nhAvEjNmkaicP0nMGFgWmffQ76pxmX2t
7Y+VkIFzuoA6M9We00avrTStH6mC2atyQBakWEGwdftErHf626qPX7CLCMPl
t7wb6mMuEh6ZbAwuBEPjHnpqijOGbqpD+Q4ct6DLKfYuO1ALq8lwndqimoP1
/AZ3Ucy/kfOaxWGyIjUi0Je0w5WG4AlNw2u595f9Mfi6trbWfrmDZqPMZ26a
mSbcuW867Y3T6mcFDV6QLnGqqmo/EfWITUQ3FK9r1DeTh+Tva35S3NqjjkjC
JGc7qzQHBtAGoJWhx6YKAjrZNA3E7ViIhctKTp29+h7f/kLJmtl27n1W1UmO
i+YUsDXkpuDy+CtCNQVHLDo7S7Pk8xvvM26Jl1d+/w5GfdOWfm913pTdxRlW
g4FK4O5HXjLbgos53UsLaEDJWDXcnQT3yovxD7m8bPQPCyvMDmkeITvYm/pq
yiGe8XvdflA6dWojbXVQx+s0/4Y/1aB84+aK25S0qQTD9U+yfV8XIfc649IH
rHeT+AmPU447y6EpgfkVVCvXWJtZxmAatuOw73CWhGVEPgyIYqk49xD9u1zH
C7P/dnOfuD9WH/mJwQGznWX6O8H4ckuOzaZYXXgQve1zF3pw9vRlwYfDxBQS
/bXWEWDoFG9xiqYb+eIH4tmTQhD84+9dl0dq5mzQ5M0T0psD5ie/jJAmKsvF
3Wq7f3N79xsY1CHrCuDmdM9Pn7rgH9MZr59dZd/tkx+jPqj0GPWBtO0tDzxn
JlFoJxaU9h/S+dPnLlfQzlsSHOF7ZS1WrxWbAkkinXyXd/krGP4svxT5YJJI
ADzyj3/c/5pwlujuv3z10uzyP2bu/7C3Ie/mpW1KCkyRxHlguXz7/25Vw1LF
BAiRVWJXxbxXNdid1BekCJWRjHxExeF6u/mx04rF0+xSWzM+X1a7HVeHiXaF
TYZVIpSH7Db7d9o3bHt6bomXJXqMb6cp4PbgoKLoX19S6q3ffPH7rY4IjYqI
n1liZlhEEkXMgEFIzOYDWtInWIMPl8tHBa2aYI1wVuErQ1t1k3oCFHCysq4E
2sx+Y3Az1aAGTFeSThq7GRNyeGA0weD/z3CFsvlLaszc24ItYIEkR1QAqaC7
gaG3zprOnz/f/vR5X1k1a233KJTjArvBzgadx/RFEoQ33/9ctmm4QHuaZVjv
iGYBuPJ9VGjj4EJ0FHe1/LN9wmYUJ13OFLSiOB97bkr640PPTpf//L4mRZ8f
j4MUrdR1RBRrfZKLdjJFMRK9K1Z3V+g4FoWTgVNxpKEwR/HpsuIoP6heOlT5
Y7KEJEjEbkbdpzASB6r8iSCp3+DRciRiQ97paseiaphVmSS73jYrb1GO+X1r
2C60ugl+fhkIwj7y1uhPFanOnDnzzaSa/wowq+fd3mWbmge2tqmSwjGNtK73
1d2VnmRu2KCzPQmP9EUtzW7j5XloJdFU+0QD8okXy43cqpHwhLQxRysUyZku
M9pMlnxxydT09is/kc578TtByKMil6pCtvY7twESMiBo9A9YueDLuD/sShzm
SlKfBY8Scp0gzVRrN24qGKR8Lr7HP+bJZzuDQl6wItxCb7DYhjiv0FQ/XkLy
Rek5dEWYQSTB8DTO8vf7NQaPdQKpuFNxBz9W1W4wHxPb05QpU96E7fXYY49N
EydO7Por++wdtfNfCdQ6kTJrDPmxfzj6KtuypMIFml3qB7VNue0fEDrJYVZ7
2GdkiS6//QlLQMH5rVAawiQhxiVZtv1zk+fmGG8+zyKJzd40Jx100wdbHYgs
1BHnTCSnVSVbas6Gn6phFsqjNJ6aCEgICO5c0YdWf1gVvruHhUww89NSjyHm
+NQG5tHVPobOjtZx8ntVWjJOdnySa+5+2qzeYNjIaBJCU8q1p4x8s+Urgt6n
buCSdtxqIQqD3EFvY9HJJGj/3HTTTYZLPuGEE96E4vW1115LfX19nml7l/06
CVyCSCHbCydDGSqg3lODgzrFIMqM+8PfowSYFJqr2PnsE7EdKrAk8fsvp91o
+6WCMgcGK/V3TJGJtkPXzerJATd5lTdOrx2DPCeN8hCrh3rLCqfP4E/KrVpK
a07BLGtL88p4C2CLm1R7Sa0wxV5bmgQi1TmaE7Mn8l5/Kxj+COniAGoZbQw2
mbbz8lcwstmeua7sZY+y3b14Tm98WjplgT8L17LVeBDeSF888TprGOaktgax
IQ2PzdHsli3GqwpZ7845Ve3EzseVhoj3OzcTBz1axFwjIBe0Wd764CTTPhan
Nqv4GCVHv/+hPyT7G/VQ3o8XIkal/CCx8bWJWSWYD6dYOLZptcR7Q1u8bODC
E7cuWna+bn1NqUmf8JSa+i7xqpWFkHv/8F3ktWJNT93X5DBIq8DjZGn/lBzS
Wyp67Ldp+Tt5RQ7yN2fROMaZ81YaTMsQraa4uqf5p6TMvnr2rfYYHij9lr92
6UyYbjva+lSdKKNE4AMNaGGnZ3I7afouK18gNR+dXUeGbvQkKQeI7WIfFWS9
Lc5ov9yHnSNK6tjYM2xUwS3u6/0ShcWJezVMSyvsN7EcwyPV/QEM8s1sLrOl
rwcrcfZiz3y1JX+ISV4itsyXn/O6Do1hy6Ugdq4R6FFiJ9s5tVAp1Fha89p5
pWyMtLFZnUXuDvX2bVNbjpWFgdtl0bD3jRuuJBS61BfIIsxfUryulQbEGWql
0Wf407L5TUMWl3GbeUE/GPY4txbDJgvjtHOlQ2hcYdYHfW9rMhdSR6dU7aQP
Hp6/r5xxi21EXooHMc5jn4Xa5xNP8tL8qRtisJ50/nKwsNl4J3gdZ/uQcyKv
ld4fnddLZpapGCTfczxahc5ZqkhkZ0I3xEO+PY6LrlNbfBQ68e40H/Ct6K74
2qUa2iCUeip8RWEXPpainvz997k0WTgztzkWB8rBQA+ZB96cfAhoiIUlY94l
+ilNRi+gs7Wme/nxJWG+isoriMJkIJdRmYldyoxusIlP3ZXVQfNteHcjA8vi
kZLHKXTzHD+BDFg3KDk17OrP7N4HVldPw8rLiNpC5AhW8G8P+6ENaaZiIfaF
fL32HM4y8XYEkgpQ/mZibxBKq2vuLc5hVF1dAS1qINshsXOIdYrdoPOlYbCK
nRBIGdR8jMpEqed3tPoee5iDSkcuvQa8Fs7BwS7uES+m+GyXkmQf8dHQBSfN
1rOkLEnX5esUWvs2LSG4Nao5vSulOEp5xKnPvzZ//IWR8rzvcMyY58f7ttdy
GMOZ/vsxV9n4cm6OdeaURKpUh7lui2OAxa40FqTx9924rvP2HvW3jngKUY0n
ooOWgRB/F0ACjgLsC1uEdRttxmlvs828wtWwkSCXYQiUkZvVM6f6B9Ic1SSi
hnEv5fKlOWbey7jNqjkGCHGjpNoKyg+NCS4lI9NradWxNGyqucavObivawQm
Hn8fsjtW1evk+/hfOxbGti1bjwXJi/c2Vwa2h9LHyIa1HGzqHqJcHPYoX7xn
NmqmgKG6rBVX4EguIsVMus8nLopWoHimu5C4O9jO+k1+kuAbKJ5vEm4ragGA
a/Chrr7rKaFS/sJvM+pTwVCAXk/tg7Ik6UNAgN3FLcPkkKfmVgKnCxXiZoJ3
iYoSHcmdKcoarxdFRWF/sFZRUfC7lASSOVnpg9ablSknFUxWNI2pSIP0QRHB
5JQFo9wQb4OFQryqjlhz8HC67xevGvcTTuKqtZuqBeLuBX633MqUiFkYD1Qe
60RGkSQnhk+HkciI2O10fRx34d1wbX3IXxvtNSxXNhKFGKWIj5/qN+TeaIm8
d0FJ9ra0iAB65MqQ8NZtZW5VXsZIbtm2KO2k725VWRovBtOJl1x91kXtMw0r
R/IaHEtxUYbV0IWhwhDxJ7kmbA65Azsqy2lVMcRjHJWFkgNJ+ewN1iaPpc5p
nFITuLLfYfelDq0o5o0s/X87/WbrCsx6LZeUt+AWRBbZjYiNX/iVpf19RHnh
n9g0x8c14VEWS0MVi6rYFL4uwfx433Pzkc2WLI1gm2vun8Mq/4ezjhIE6UdW
lNUeNEbzVD1U9o2QmOx08/KzYd573Kry1x2yJV9BdQNvlL4MZF0xR86ly6+S
4g1NbsLcRbWRvEnEmx8QMDrxENPGXepu0FvpACGTCgP1ZHFw2VMvza46YN3M
ePrbBqrBQA5EDREvBCAUPEo2Ys1Ij61N17PQGtwPUA/8nKKn28vfgPdR58Ks
havlX7VUYf0mOwClCge7HMk2FEd90LbAtHnL7fbQXijpr+72fu+nVB8FUqhm
eM8KmRV/P8dXFtL4y0L/wbVBQ2xFcYsa82xzlxSmPH4bgAbMm1fd8aS9rvre
R5zRpKvg6FZ7RTZyFXaWZuYFb3Rnkh8rCOExrUlwXU9NGtqju9cqyWOwWP6h
4aZlVDkmlHubCjoF7sGOYoKohM8+gAwdQ3PDT37TdE0ayK50SpArzt+NQl+9
vux/PAIOLh0VrAAh0HTj11hjBOrKGVdP1dNXLDxOWoPaLOiEwu/Uv8sEi++w
EwZNXmIUrn11+OUih6GryMUuK6FoTxlX72cH/5CopRj0J/477NxZbtUj5obC
cbvdYrT6jxUS77I+Ncs6spQo8pCscaV5JlZSsmZ1SRJFWeNS8CwIqVZ+8/MT
NnAo69ThfTXoVJJB5UkEkwRmG+JnChGgSh96ZIMAKoZkrwp35Xd/8virFoxZ
f8zoaA1RMHqcfrMWxhBlRGQUYo2gzs72parb71Qb45Lv7421fTdtreU8KsiA
gWjkhHRDTRLdLltHRf9ffuuC2l1meSYtI6kHDq24fXEe5em1RXpIS6SLHNUY
tzmOwGZH80nMymE1qlT2GKO08eXzskvSYuOLjyN6oyjpNdb+soJXqpJWV+wK
d+dA36m6Ye1vTlCXP1diiY/vyCcjg0IJREhEy0JoulPJYNoAbc8Y7115P/CT
uQ532oYLFE6i8Y+MF/5SQ5lTdc9KvbHTYM8rrcxdBfi7Z00scb6xHvj3PZv7
hdYfcjIh0ihaThzHL596I5mJmgLocShLlDiQnD3u3DdLvCEUYZOQgIsSJ1b1
6fIBqzlU8LLBOLNZyGp86eQbcOVq5sK94ijxmGmQxNGCN2YXqb7Tb0nhcqZP
RMqvKmGzDWwg9SI7hiRsqI4ZOWLB8qoNFqi9wwXK+hN24a+XId9ry+TdEmK+
z3UXo4C7QccmvfhQm2cjMX6m9Q/7jq6ud1YYCGWIzb593WMWKEmhNPJEDf51
R6f0+75cYkQChfPLbOAYDI9/2QAViw6wSGs39lZ5Yzj5yYefmtLKCOogb3b9
7LS3wbJOqfJWJTnqgHqWMeT6TIOEml2/u7Gl4ZFSpW/mSBS3rkwb0W+UDOP2
0IjDe+InwSqkxAJLw3Vwq8rXVwl3sFDeSfr8jNn6fDmRRFMQ3MP+DHchxDSX
lnYi3+p7Wu8i3bE/zV6iBeArrHZ6yLhFXnTnoCpyshg9vSUHge83t1YHChyB
gi+ywaBTWGtqe22K+OKi719RwJhE8+kWN/1UqM9zr82z5DIhSq12FyylfDkt
O4yApI2oH9UCcH6krS12+bxnNyxMn7rgfxgeV+JGPOKA0XVjHQacqTrzY0EZ
68WrRrVgIw8ODrXMVKdajJpPstr41dXlh+stQFu+t2L9PqMLfyU98MvXzOMt
g2vK36H9Shyx+YYCYwNcrBdd+5hVWzHAPpVAJMxDzj2pEYEK4HxO8gfGrSnl
IHubqRmUD7hBpDX5AW5ceCwcbr1gpTmUqgabcRisfSMFhSsaEhopiWbgSoQ3
kXSVr6M1pnFjTk2jESmNH13CUnBDkt1stbyWEjehiOA/EiPiOv/qhw1QoyD9
5blz0p8ffVY695WLGiQHXIs+X3GsU6RCskv/Yes3LHG1sqiZVAWjfX1+JTJE
UhXcsmkOD1ctg+OC72NpZEHYNUL3y4KgB0eed7tVcia9vkBlZjYeGo6KkIDC
k3y7P5xsOZuRNNL0uct9Xojab/e0Ugrfx6FgxS3r4GWRXchCH9RK8OEay2li
AAjZSKwHXMP93iEteAju7R9WlRi1SJXtSbjVWKIC8rvkpsfTcRfdXYZFGW+B
SFFL7PR4tlIE6KRwaQdvUTzNa0O7HvPsOMGN9OLBpyanz33l7PSDJ++oegFv
r7iLWyfLgvbJwvtDExqD/tLos8IGasg03PXIS8Zl8ezLc+qzGIsx9IqBGBGT
x7vgPGUrKe+CJZvtwNssaw2CZ8eRy5R9RcOkIkO1x3e5g/ubhgH+bqWHiAsK
rbmjC/Y0KaiQAWTMWQ/GX7ba01Vj0Af/GJl4fpD5Sxqw/kzHbC73dM9WJ2Yl
30ZyojgV7yitWt6CpqYArEdRkw1VTTRUiPux3fqd4YF/XLcrfMLyY/kUPfyc
iTybJG639F2vFB7G6pYHn7d5pfnvG/7DpuNLic5JC99Ib7/iU+ncl75TlYjE
HUqbOs4htRhJiWjPAgke24lwOyzmHW3mLqAwh+dAhUTvSIOLMENvOKame4hE
0n/6t+8zJ6PS7a33FhjYrpS9tiTCnOUWQeSfF1yRtVtc5nAiR6GO1UGsYYB+
jqsjsMxg3GKbpHfLtt3w7/04VqXpbW+pRsKQCkaM7s4pwyvs5pycYgj6nCyI
MzoSepBhPPLcidZ4CYUr16rpk+d11agNMppaYRV5p2VestKI4auF4PfleGjV
V/nwlUiCiU7QjxVZ0Gf3zjX80inVby0LddxFd6WTL7mXlZFuaKdE3cAF+5vD
fgirQf1pjMQ6x6dKkMkrnSRRV63d1CS1t1V1q1jULAv8junFg9XpiskBrIzT
no/N/cKzCiuRravyDYoIH3l6qjUAsXR5iWRh2KTzFhcaVsNIZdnLwrBKWCtG
nFB4p3MtS85VYyegl+nTp+eDeMBTiQdUYEqfF69x8+fJhbW+5DI0jYMB3DVi
+biLXVRIRF8aEMNhG8fKaWwGB44WlLyj/EiJHbU66bs/NjNayXCUpKgcmMWK
UwED+JoXqGn1LzlB9kf0aW4otH1V7MjNoGxDbUrM6aX0WR+RfAYeOyk02QNz
TRnSuGxdZYFgk5N3pMb/i+dmVJIm74QrbumgTia8FU5hspSP/3q6QG0acbXF
ERHkpYTy/4ALnIMUsBvtpGLj2Lx1u34wizT19/en119//S1Aqn/kemw17K1l
6p13Iloyigdhc8xZWJrhCm/wRkOEeQhdKTQ9iWt/EpezOqHZSPOWlpo19+Cl
sh1RuVDTjKM5sG7hhTaDseoATvMx37zT+viqOQh6IQVgDec7T65MDgrR57jY
Vl+gOyD6XfAEi7wTJYan9JP3V4qACYY1AObH7s7LJb1Y6uBzVkb9ZSgARNoa
NYS+SVZrvay5Yk04L/awHQBCfo53IZIZeY//HXkuRjsASEDzAV0IKONjE62U
rsDT2DXzKmrX3HjjjenUU0/dCaQVdHNWICf+OqBS7BBDgDnGeWa2LU1lqAy/
oLE2xryfNK5wX4vfOIvZpziLqNo6I9riyTZZemNoeFgpYjSPhx6o/FZNBoL9
LLGXos8yC2caVZi7gyoMDjW2IDL3Sd10HfZhvVOG1MJX/g+LXWZupqRUVaHs
9codSPW8LF/JqkDfUP69t4Wf4VIsoFAauAeW1AguA5YT/g+nWq4Iq60l00WG
Of+qANIcu/RNIPlFywwX06WaEnq/zKMQ8Szku8v72rp1q/HmvvLKK2/hK4hk
dchzGtgCNNTnw1dKEx6GbmQqx4ZVriy/hf1LDe0ld7HG+DT/1zeusZOKfFHe
gJrkSOppzqI2VFlLUN68+Uwpqp0JHkVyvF1rCp8PA6jXYbZmuHLJBlg7k38W
gxD/p6a8bJKFP7O+O98nOeblqNXNTZbfLKwEkY9G95NN0fnosG8pCOggY8kp
CCMpCKqo+fTZsgnkYrOlfCqfxk5ymOMxHOLXYFz5ew50a2vMVsuIJfVyu4CV
PcgCX1Jn3U7/gfdoJDXL1jZYAy9PrfEJQ+If0ukRmb1+x7VPvOJcL1yyDCJv
xunU7Q2nBiNdutbj2EKjrWZEqZOhtFd3t1QnghnGUiepDusvj1WfUXPf4EXw
/ep1a61rJarEgqU7llYxg6AGYtmrzLluZ9vVSMqfZFgM6pWNCKMCZdQxNLc9
OMk885DKIaEPVo/OaGVL+TruKiP/WEog9bHpZrp3tefrdOSggdIVi32z9VOH
BBuKTAuZgXXduzAR8BAXsyhEDKaS1YMAnKINaZqHn3rdnhcxqbDOaf1J/y6m
F+gK1JZT8g7r9utmhalnZL96N/dXlVNdNjILa70Wl2EmLXWIoKedqciygInQ
Z1DE4HZGFTHcwYLiBUdXtA2OKucCpCHMUU0+AtONGCdkPq3qYxe29A0tLRH4
j8xZpELhlIKp6dXpixWS8EQqiteC3QSLTE/Kx/zfZw/1yRdmRiSWcDJ5DaUj
1k+drQCZmuWFNN5Zc3ZXXttvMF4FeZ8LWfhcYi9lwueETPi8xWst2wCFBW5G
3ud+gu1Xwyp8eOwFlat/OuFaq1SBm9lYqBvsaS2U2Y2cR02G++DJKHrVA99K
HYTnjNcF2vEa7DCr7e+PuNyKfvquNWC69ZKKUFBXBk26gEMMEVQkylBUQw/r
vuF+UuG3l7fEWLa5YaR3nLA0txYyuy2RYJv3AWeVnTYl1zFkAJtRtQWWMhsO
aOHC/46j1rO5X/0+QxXIWTJi2cMoa78LmfQD7Zu0g3PgetdQPZClGVQJNazE
Z9hFxjG9uSbWmMviA4bQbh1es+aXjtBC/NpvzWL5gPuU32pR2Qj2pzjqZZZ3
OUpaBca89S01h7NMboWuw33Y4EyE0hzOH1jK8pu2vju7wyVBDHA+cJ20RDDY
lEKOP7865wqxi95jZLQM0ybkko++0gb3xNJPGWEqepO8svuFx8FW8HVFU/KB
81auOXaWy+ZdZ18Gvkk2mShxlCyzeV1Z0GQkCkh7W6XXGJfmHOBPXNMc/SXN
gcv848desfz6186/A5rF7JdAHrZ7pbblm590zSO3Tn0G1S4ZsEErABT/ZJVH
yqsr16L3D302bGRxJ2iDGgB3QZvZEJeDR3wrdWEtOkmlgcTSyB7VRfOYwMkJ
k8FvqltU4Qxomi+fcqOdCHmp4mCS1R2UHWwUDaSJwC98gQaOVzwW4gSyL3pl
Y6YsrPwVyoGICz83Y/L6m/m4w7bgPG3WKIFCePArcjhKBoVRlA2Gt1DXYlmJ
NGjBf2PWsl0Ymr6364sC343ex8wayChgY5b4XG3+jMnMjr6zrO/vp1aZrYlm
HJU16/PHXG3Js5klQ1BdmrzMGqj70ydez0rVBt6gZGLHiGwb27YPval2xNlC
inmkCRGbp+s4HIXN0mf4BXO9fVTa1uMcV1FjKGWTeCQnkneyHnHIpqMuNwfT
Lt0NEdVKjw+/IbUh4nKIEv7ffDoD88wGViqFQ82N8GJV8DUa6xset9wC8dtw
nS1SIiPzZ1ZYc5LoWHltyqRMN+UVyNsL880ysWm+cOzV6eEnp9ixljfMIeNW
GU3pw0ERr5TGrq61ITYFgEuI9RlfUVk95It6CbKpXCv3ojBNjinL8E/9Zznx
yRxS2JGhXWZeSW9LfCUELrkoyWQsFWEp1RCkz/Cvtnk3cTQg3I8oP/4Gux0P
REaFpW/zm0/wnGxZkpqSKD8NVDlG30wSff71+S2jwiaZmo9AUjEyKmxrpgTm
s6LuFFaT9C1tqSr5IoF/PP6a9PUL78IoNVQgyfj+CY/yx0J7jzjmdWu/0i82
A1l6UuYDbqmAM8cLfHAX9aREH8705MO3DjL3UG1EZeat0V+bMmJq2POzFjbB
NObXBnNkAf+l35eTk7147pUPNeWW/D1ZeQnOJv4tgGdjpEM5PtxSjoji12cL
bRDtttZnPJOErs9YefHw6lk4cBd4pFPpVtf01PClCYbXVZdVSmStIdlxJ9DN
v6Wv498DHwPaoiAFX8YqXfk8XrmuR2Ey6mrjxEv/qs4dogJyU1aD6+lTYcd6
lbL8cSPzCS0rxek0w8HA+bfV+8jVbCNhCNh24yfq/AP73zLkkl1x0TWPWgR8
0XWPZru82F5S0037S0dP1x+HtxrydFvs785fwZnKfmJIiyVb1mgTRI8X1bMg
BPdrqUK/+zhRxDgUogiIR0lnhIQjSG4kqoKEMRwg4qX+UpKmTeqtzBXEI9O7
qSrJpCttfss2+uCX2IQiTuOYyvOySV0X467wcWoyHOZYOanX8Mio/FckMGth
afsUngCnRW1G2beTSiCUZY4ZEGRk/JiQz7hKYDu32Ew+j33dA2FbwoEBEwtq
ihn4c/9lzAfIMDgFCVeafHWptK5wpKdksS1UbyqZ1OhodUAbEzEn7XX7wemU
aSe3zoDOuRwcaQs65lmwb+TGxN8QZ0hsPO2Mp7qdnCfKUaxTEW5mhAJlbneV
LfJmshI4oFrjpwTR0Z6AnI3ZPeBRjNe7b1tI2BdaDEaaMdND/DOsAWsIEwHJ
KC/ENFP4su/t/UUGOM5HqJQE9QSJOM37B2q9YFxKUj47oCZKjVBg2TrvCygl
O86ETU0GzKQMuvrP/eGFx1PximnTz748J3r01o4ReF24JQd11A3DYLnJ1mdz
1i1On7jwC4Y0lsxZJw54EmD6TBQYUTfKhLHiHNQoJExn0rOge7jNeN8Rq97j
ibwINpde1dxsXqoVnhPWIUFCkeZ14utsJxvOwsbUNUThmzoY5IusgSJedeeT
porYichKOd1giBtrzpXT5V/PuNmG+7w6fbFOmeGAN8rm5f3h7mu9FwbTMqII
eVza8lFfOET6UHZzr7/31walerkUY0qx15JFJcQvGpP+ytfR+vB7ivcjxgus
UmwQWek4jighnHR+KmoGq6sQVZ9Nmj47/fExp6SzJ3+zsRpZauA6ON2j1VAu
rOWJZlEMiEOxq00rqN1LtyeBQ8xy4LgoFSzNwCdY3nJAdq8Mvt0VFVfy3xTk
oP7L3mBN12Xxgb9kN+tnlDmljqyvoxGA+hjalWMcnT0NabW1O8kjwbclJwwF
UlYKoUMQk7HFZgPAziwDKcvK9nvhltPgybxjscr5jm8NHGoTY+xXA1rKKuTU
0W22Iy0mUIsy55mHYLv+pX9HHdc8mNH/54fpt7Ft2To5S3JPYcOtAlJjw2Aw
NxzrjuCuwgDtCtwiKtCPH385fe4rZ6XvPntDE8pkfaaekI+AxvulOeRnL5pS
6bvWQN7bTs8JYD8cGpmhiATi8fSLs1vtMp0st5ggmkIj5ERxzPZaj9/dXEn2
X0PmNMFwe4ymIiLPm66CpLMRB4gAMEYKxOuxhT05oqdk1Y3lsHtzhTCiCgBv
+cqcwhbR1ajQoOVxaX9gbAJwLbVGoIzQbsNTBikJYXo+RQ4etwq913egBm12
O+sWKjQ7wBcBXwAIGHS/Ca7u/8u+W/py8DbBDpJHAdTvPebcU2UPI8VbG52b
AsqjnwrsYH4VTUFliY7+1h3GxR3SFs/Nm5LefvXH0zmvXFj1gKYKePF+9fyM
cGQN28595uXZLVda2ZZ6BJYIMjxRcTXYkNkXaEFfp7reK+LhM7AetKmvWd8b
EdAgwfBUZHexc4tX7Ii3pI0a45JtY+SSIiffdFHps+XWSqI8Cm+CH2Eo2Ybt
Z4PzQfloBzVVsacYhE2P9jTjDRqsRogDgbqeHRxQuxVW7V1ltd7fDii6dEST
JU0RTbmlTbKxIP7LfxcHXOB28Oian85zcPxD0XT/L17FNim1YOfB3BWhabDY
fkUwKpUQRBv942prPqy5uU3z0/43vy+dPP3EFjPrwjKPu0sKiO2H3Axezfz1
6AuR7oxKFKGMeqKCn17VwrmtXr+p1otliOjKAVJIB5xUwKjTO7rCrFWgI+Rm
V+JbOeFTbQIbKFOucKkVRFsJIC/GolIC0FNiutnTHITSoBHxRRV0jZoxeCFR
+3B3W9bhEWHT+53lAzmTGqNVdf9xa9CB/q7i4yOiwM1h/M7fHnZp+sbFd5tH
q3lGbMMy53EfkzMaJd4XsSfwDk7Z3SAZQq1T+lS80a0t6VmDm6f8Kwn6krW1
kbZGXN3z0gE3vT9HXCe1vGAldCb4/7KB1VkSlInTFhRqNhktK+X0MS2WoU4O
mFF3d7aGwBs4kMZa1tGU2UYo4I/Mzz53rqEPASZAsBeCLjGvsi9kHTFjbOjB
waaJB5UBUUvux7lbKgDXxuXl7QrMOD/XO+tXRs0bQpWwCXVyintMpQN0eUU0
jD1ZdyxdKg+/f9UlS+CClVSCzhv6jQUuL1bp2Bj8j66Cy9dstIQt0QOXsAay
jMjFG1maDJInWkBlNKpcuHs7Nzsla87yt1KhRSvW7+DtoEKdCR4WinM/uxgt
NVUFq47coPDoI0ulAz2bt3oA1wRc7Gk1AzWl7WE7jxglLWPEllN5QLrC9pP+
6DcmT19i+H3KTfquxlAzb01nGdvlZJuJegX5dFki1HS5k5Lln6qz5NRTHMfh
lTZkHn5aSTE3WZVdQODvY0u11EeMK52LvV/nE4W561/7Qo54XgFrRc4LR/Yb
F99jw1nUK5S18EOSAqe4D9uWtELvRpUqUtCOjQwApEtjC/lYmlMAEO1QXci1
5rMJ9iqgRClRZ42MnD+i9JcizwplyArFyUagc5SADBJlgNiBLhY7KUAB7JaM
cEt5fA5gnJwKsyj9vjnqj1F6YQhvfCEiHmCOFOJruaAsLvLL27DiwEnJo/Y4
fvlWUp6mgWiFOb8wqL412G7q1Klp27Zt1eUg0xiGOP2Nr5nNgbYTqrecUM4e
hlUi6rsrBzt5pQTIsWE4c5e3ukEJxpWtl1znL2kOmqasN2zEtSMBHTmWnpBS
VUwU4y6rOlTO+uIMUIjBuoV6M28DaWLUE+BpyipKWG7EWnrSzP9pDikeBftc
6Zm6Ck8V8VSc/YaezCxVqqoniI2Bys+/No/X36/jbeBp1TmlequmQeCkCA/D
ozINAdtbZw8U/LDIQwa8qdQdieVln9ZDPmsCZMNp8uTJO4H233bbbV3/1T7b
x856cn9oHPXFWSEnqDNGrkuEJ0lTIjdcneiRFYtpXNRjY0pGxUZdFwsLbU35
rZamWK9JJ1TKrRF4omo68op0JgTRZEQzP0fZB4bvsqDbBC3YLT314qzo+qrN
tAq9dMC2FIvCvfIQ0YNRCVTKgfchdppseKoT4/3a6KAeTIQkW+p8gWIWQK0d
/+17yhbM4lYHa9FFywB56q6B7x9//PFvAt+Xyfgbfx0sKQmGKbOWiS/fFgFV
WEiJTpPs80vpPqYuPuVUZX6sNpm8w86+lexbDFcIRqOUZRbfSvLsiAXL2qGO
4V46bM6MwvoTNKQYb+jZzrrsAZ5Ba2xdsytit/EES2yDOycSym/RPk4KwD8m
jhUE1ak2OWrkDWOhygiCl69vFQvwdzR3cP/wGX4VOb/a1Ly1+Kt5kattGPTm
IfZVXjmRH7OtOM1+8ZvpRlOA95EXQr2XO7cH0flQJFzmzA2YJtOUAvTw6G/d
mZ55abY9g3eHfsp/AGocOv9O+s691I0q4NSCoJL3jiU+oUViyl1okZ3pQYG8
tRmJVO2Mn6ErGzdFfG7pAgPKWVhyBuIQWFUtasNYXsljLrjTSPOzUOLogs7j
Av+cVFMOp6ossRKdAG3OYhAMUQ94G/SgaYou2P6bH3jOQEk1TVcOP44J7xkS
V26fz1bSmGbAnHIvkNwpl/wk/T9fu4JcpE/7HAdeXxABIY+yb9BV5qTvYULi
hGTPQ1TCo3/GfxCVgKv/88dcBT4wRnizvYQWOyJWdCTNDb2wol3dn5N14MCs
AycHHRgLA2fDXle3h73SfNY+LQqYg6WcW8p3KtXi/cgF2SdcOn/pGiehqSAC
7ii4rj5j4g907jmEa6HtOovMRgO9fF0rLun3MaqRvoQDHlcTTqeV63rqlAwP
V8AjCb+gMUVL8kFVGUz3sDDg6jufsnzkHAMnD5Q20HGFrX/qNmDUjUq3Nz+o
TkgQYsmzfhtC8vv+o4p6MFk+PKcBszOSeUF74wLd6HQZjF2ogwpoLCVQzT3e
D+oSGZZ47HfiVxG+qkLNFOByOI0Er4/saRvC5hwDIJvDyFhcfdqsmpGxu9sI
7tvyXtge+tPUPZlSu7WQ9aJHQ+KHxYdkI7+t5Kdbhhk+kyR/rAMBy79sdQkX
8ltFFCz/iMjO5lg5c+24lKCwROxnIRz5rmdfnmu1OJv8lhUC9n4b757fikdj
5f7ANYGDbJFzGYAiGKqgu90t6d7JCRQpqSUlzSNqa8L8rAkfaGkCWjdrDGdv
RgdSxWZFLVhp4ZTutz4wjsgWzLcOv3a3DporjanNX1sKs3nj4onHaIVVmCMX
EUCrU7/3Ew6G2LOGm7ElwO/FhQcqTVQTGseIeSIJRba88V9TmbO5dlOFRnLf
GZ5yzI+jdsCRCrFfbpXXOtBmXLpQdvg+dfgsD4OnSDnvX0+/OT389BQDwnG4
/ZGv+lYDIm1w2ts14u7WMrMpO3FgBQy/0pZUy7yw9C7uqAY3ttWg+PyrW6fM
kMcBEfgBk2dnpBrznHo+7LJUo8b7+by2jpwOm97JadjvI2RjZfKubCCoeuT9
2CVSYmRLSQ78FlurE+A0xygRNtStY/OqZxd/QTnNYR+BRrFjSECSkq/igDU4
bO9WcQ0MGr/EejM5OUgeP8aooJX3dZ9gmx2BMxeUrkHslHEQZasAKHxD9xZN
LEFD8VEaRVhtJr7hzWW8wNAOmzVuYGnCXMO5R7ioNOGDLU1oOjqbiBCR8dux
AYbIdo3jNGLE2u9aeVB4lpHRkZYm8MryOasnmJdErX9NJb9QPzbfLXAxS0Zl
0VR0Ytm4h551a7rgR49EkgL1ifIn6RL7xpPVtWZL/HDmDx+wwZ2Ai9B5KUPp
JCvndtYRKQM7WV0w+aV3FUtUcgYckuQp4ohKfIOtxTfwY6Q0U2AySDI99utp
Vife5kDBNWWwcaWrw7yoATPuZVVHKx8H2PaBHaeITrhrH6Or02dWAOyYQknG
qjN6LAyta1v3s9lG7hpKI9jzVGWjRvAc2OeRcBxwrBFC9AbAEe8ruEhsxjFS
zsEmg8AxYsQRS9e2MLHK2UdQE/iRHLxXm8DaaQxBf1OtzMdEdh7WG0hB83ZU
eTAI/MjIriKE9jPwN+BR+FIAnLOu6Gfhzl/Xcg8+59Ibdi4y1hZ0Bvyl5Ey9
UKwmeHNcfTNKRKiWRF6H14zBEQZEee+JbzP8oT5zZsPW/aKXEccJK30Uec2E
KzwofIbp/s3keVUcSwLjofIh3I9tSZI7G40WhHVegQfKwpcMQpvqilvOX9JO
ZvLYhFow3um7Bvn0004+IyusMvzajb2R9holIY9EOpXYN3oKvAEGxUcVFudi
F5p19zERowZrvNMOmpYvfP1qe2jNa/sTX6U4UK+0NBRiNExEPtbe5z+zPZwJ
EstN9/+mtiREMXd2289etTh9/MJ/yOrQWIWXpi7cQfRl2EbbUnB4zPSxdjEj
NMPxfNp1LBzxNhiMfMY1BaoRZ4JoNjeHPmgSWttiIPiGM/NGX1kRTVPvWF+r
/jpSwMz943HXWGdKJTvc3ZmqVwQO1QkOloRgxGZ8qUcKjUAbGLvGEKnNfdtr
j9Tk7Fowio0K+Ayn5Rk/pue3/OkRCw6UTar3ahY7CmOInjHOJoc2f+xyE75d
1TWjospaD8i2TvzZ3RjYO48KfuGfT7zeBtJEuhbSZnB16bNnXpuV/uCYb6Sz
Xj+3Chbmc3yYeD8O7M7yqfcFtT6LSSfZCPDET780hxasaiPwwztLmzg2NhEw
m/uGlqq3TuWLm3xxK2tZED0LW4MWSmsT6e77fjGZPsROD5IARVQl4komG6ko
gl70m/PeQtGyJHRaELD8l69eZsY6W93xK0Ex6fsU9zF780u9qQ+vRCklZ3jx
AKJgAlFLzSYacpYzjarmdCnDVpoG8tkhqpD4yPeBCXzpjYWBjnBa+tLJ17da
BTBNf3Tomeni565ugDs5IvvaeRON/TXUnLBWVFlraWs3YpRIUaryeOT7UToo
4s1tdksA+WG41L8bk6g6Uw4I1yljFa/rzGizQOikz4jR143YOq9fw2ReALTT
sgEC2VX5tH3Et1JPVM9lFkD3iWbDEMY6d3YBqLWvgeBBSj6efUJimOITrjc/
jAXzgsOf+m7BSjC/hX9pecMcYD04i/PLiEvb2FroS03t/OJL+ZmB6DfAt9F0
7d3PGCg37wNJ8DfzpqR3XvXv0lmvfquqQt/WAdP72376PCoX/UhKBvm/rcaR
dmNbOZUKPXJDFtjwnI0GH8+MgO+XVA1QmaXZ5A05YKc7rXdsiDDYcX7DGKko
Fx0rVtwPokzlErCtT744i1O2RVgnMqr8jDIO2x0a6vMKZRzMqXD63GzKDhhT
Ffarj9r4YhoxvSMKa18LIG0qqo0yWG+sFIBqv5ttOY9l5JQpST043bp9+xGe
QvXwteyiQYuaPc7fDQvfmXm0KWwdqDZ+HSV0gqAad2xaYGmok6af2Io62Wjg
YXVLiiJMIfnJL16tn7F49z7+qnkT1TsxbsoSi0g3OPaFu4lNWT5DoQHyrWsG
cdYGJ88BxbFKNKNP9ZpTzMzPKeydrViEE6LBxBQrwJglqmj4+eihDjgRJqNL
cc6rMMXvq0pTuNbQd4W3O2iHFD6lwfSrn9yaHn9hepfK3FE79vX/xeXCb0JG
8/zmmpBVGhJXA4FXPrvEHZ68CKcIcit9lsYu80n/RbfXLS0BOqbAP/YIqZih
z0hMwD5JYkLf7Q7nQhNylqE0wO4iM8fxF9+TJr0+v/Ff8rMoDK0cY6GQ1kzy
HdkhHYXaoA6EoZVWyifPpHCmoDZCOUhFVK6PrJzYWpWtVJ/CFzri3NvMQm53
z6CrYfGHhEY9cGY+FlfzIQWxbkkR+Q8N7zOmgkzwRV4w9Tfp9h9nB7oclWl0
oDf9+JYr0r/86xHpqSmLx9IZoapYIXKV4gAR/Q9KgWEkbfRnfq1Zn4EdoxO+
y+pxfH4sbCZpS2XjyK/OKRU1I45p1Gdozxr3DloadENbg6x02lHNWG4hXl94
x7LEh+YwBFaDvMSV3j9ATit3eko7TFR68oWZlU+twYI3eE4p0fOT5xP8tpQI
m7WuY+ITSy5ykDoY2JpxC7ZcSkRtbbV3v2UbIewdRt2H+SIRWRlRIq6vVqZk
VFfbXBCn1tVCvakmLZ72TDr2qCPScSeekX58/0PpuksvTEefcFp66pXZ/Nib
axIs0N11grAgMjI17EFeD/pTAk1ebbNDHy2M2WJhzMf8VsPevW3ZseybxrZb
Yx/Olveex15ulaFKTbUJKg2B4+HHzpRoLMzFjvXTUgQnUwerQDj8mNaiWsjB
4esKwyXgV2csMdJkElN1HkQonspDJTL7P6felO5+5GUkLD2CswLpRj1Cfxlv
ORL8JWy2EOYRNyH2ROVA2Sa0dOFv5p8Zy5fJzr6MESYYd2O6kRi9ybStPXy5
tmxcne647pL0v7/0xfTFL34pXXj1HWl9b7922FDfhvTznz2clqztdQTVHmnF
gmlp4s03pGuvuyH98rnX01Bq6BPGYgGIrILydawbc+t2O8HoH4JeHS5QH3j7
SX8V/BpYILDOOTqQxOndJEh+5pW5ra4jvOa473GyNvdF5hdp1SEtrYoF2cql
HTgBGj94pPq3ut+P7n7ayDairKM5bSbRjVjlomkwnWCtTqQ+LrjmEUx104sq
SHoDFf7O9Y/nVZiIo19NDj8z8acvpO/e8PM4qBZwPLVz/hQpQmfYEJVm5i5e
lU2kzreUpv38uenp//7qpQaHyasic8WZYSyEtd2lFJRU3NpjTB2TmUqjI2nO
a8+k0086Ll1w6XXp4QfuSqeccEw66tgT0nOzlsldHu5ekk47+sg0aY5JIq1f
Mj2dfOzX0vnfuzrdees16chDD0s//uUrY6naX/kvsaHKpIkyaRzWNM4mArS8
+J/yhxUPJ24XSQ4aqWPjOJ2H3Zu2tsa5AKeIuoVu9HcchWPpVlPiDQOqLBvY
1jf1EqAfuh9ANNrAIvvHMsc0prDrCNBXd6BQR3bQwUJQQuMvtYysy81EnK11
VFokCSztKd01IUupgzzoGT98AMMiI8iC00qMhQrc+EOucvnBWkNRWDgWXCpH
swNpDgK9/MwCjDJTl4QWssgb4ZCdatjCN55IR3zlX9JVEx9ImwfKW29atyw9
eOfN6enX55YnzTZteFua8uqL6dlf/zr9Ov/7xKP3pZOOOSpdf9eDaXmW+y8m
XpaOP+u7aeO2snY/v+OydOxZ30kbto3UfRzxZn/uP8/uwl6I8lzTUzlq8jIU
nr7S+lPg/WVaIts/v3HsREEDyAk1gN6e2ukXWaPR3u3hurE0T71KESdPTmiW
5dlH2hHc1m0tbSSr8cNbf4XRbZB/Pscrat72gSYL0FBjbMgH6OKWNhLUrFm/
Y8qnM60EykxpSJ2m8HhSnekJnXz358/+R1bFrMn1NBXp/HCI8PhdYVlVbRSV
Az4DogCVIP+ee6DHf3PoD3F+Xes6cGcT/EYzXvxFuvunz5gbOjJotNBVTfIn
af3adZY73UuvvX1duuCM49KRRx+bzjr7zHTqySelo448In3tmBOzlk5P1158
To5BfiWk8vIZv0lHfe3UNGfFZr/tHqZ9b7zxRtq8ebP9C4P1H7l22LyL/C/b
VNygpHXJymRb/mnXQjUjzTWm/ZL+ygZJqwj8vHOiLWUWmfrqj4+MVGTczrRQ
RCQRM82ClYr2cCuM6KRe47v8Nr1ZtVYZSDykhTHfoM8waiAmI//XoNNxDYdc
lAa+YHdjgEmQyE6sp2XWdPGjy/KJ85jKVQ4s4xRoXLXYeoZjz/EfwQPd3r4M
fC62KIOfwu92GEyXaBHgtpbgnd+6q0MlRzxKWjh1Ujrn1BPSQy/McL9tQvbl
Nqa7rv9B+trRZ6SZSzZWrcwO3C/uvjZ9/ZQL0tKNfWnrqrnprG8cm56Zuigv
VH+67FtnpGvunyStXD9vcjrhiG+kqYs2VK0Ek3/iiSemM88802Dbt99+u/Oq
75298KlGXPft6x616IBcxTrnCssv92kXOBsPUcy33scVFToT00AYPgxkX8Cv
xbRS5FIvkJhGhedsbFSzRrPWRjbUUrnIgRwBvgs63L61Y4zdIKmsIp/UsOQ5
2tRSGJ5V6zft8JlqQRFfp+eLbV8Kb6Vbm5yvPXYHKc9BaCw6ORw+SvpALZz4
sAOeU1KylYPZSReZOyv9lFehyXUYZQWwQu2jBk6839UKN3JomX288085Ll15
871p2XqrX6bR7b3plisuzLbumKybp6cZi7vLKu+Thvu702XfPDn94NbsIHcv
T+eccGyaNAsnf1v6wTdPT9c8MKkrKuaJXzs+TV28sWUuGQDCpAj+ZRDIZ1yO
aBzHXulSW21OPGUV0I95FT7tlxXSvMk2i+KSm37OQC0TCote+8XL/IxOlsgh
h4RFyDWmRToSdfPgTt1cvKay8kYoyEbP30X3UvX+GArps9pCmIMCun8p2MfJ
M1zHARhNZEmVNGZzODTtS78gb1Chunbn5z270nOJ0k1loON1vX3b6hg8hULU
BUHkXXXXU/yOvl7UeLk9dgMPSxawF1+pdhiRl1K/cj4GRdm8ffv2Kv7XXnst
Gk0p5bqsOeedd0FaX0+WgfTgLZenY04+J2vP6+n8M85J0xZu3Mc1Yv2i19OJ
x30jPfjIY1mXj0+TZhLpD6XLv3VmumLiL+vxPfP59LUjT0qzlm8a03n8tOvA
jgiCQoqIFDmnSRHJSsp4Yo1IajPvmsIHB6mI+FXeZ+fH+rwC3H128tlYmggf
gBiypHWRLlzXOc9p67MZ9lnM6E4wLQY0wymXn1XKKB7AFIyi8UpuaBOvYXiY
JJGCoUSJwQyBYa9FGq8xgVGN3mAnIQCJ7U4mlslOuUzDY5yPQtzVu7m/LnWp
LJaKtAZmqaZAgtkhih3uo9SuZ8m0dEY+NV+Zuyr193WnB265MruG+c/z16TR
Tcvy+X0Waldecv/06i/vTkd+9avp8MOPSS/NtuRSevSW76cTz/le2uRzFp68
96p09GkXpnV9Q1Hl2tg3j1ecshWxid5hc8En/J5fxiuv2dDrQ1YKFwWpVF4x
a6GSA2uo4ixvV3HEQRGVS8MYdlS4D7cUDjhA52jGEoG3j2DMbadXyiOq51cK
x+8yB4B0ZlA4siwMd6G9oLb4DgxWzpFIamFUH8Hxw4qTjYEaJStQ7Km1OaAj
TQRiqNGOQSwMVMDIDgdoOZBzrY5qmEAWyC+BchAXTVfD5LRibXdtmBF0ekmh
tx8bDynNS8Nb0703/jAddfTR6YTjv56OPfH0NGma8eLmGGV+Ou2EU9IbC1zz
8kMP9afbr7owfelLX0kvzFpml61bPCWdeMzh6eLLr0/33HZDOurwQ9M9j78w
ZiLwo/6zA17gBHYp6LGBIpwkif+fLdxnXfIYDnb7TJ+0tcwnRnGsCWYXq8uV
nKvwP7f0bCx9NN27vq17ZFL03Sbn3PR9R0iO6AX1WW8Zz9HaBxydaECMj6+4
40njiUnBqlks3EFtS2muszr67CtzbKQGvVKyVjCL6roDw+/aiK8wypRDxagE
g9unsZmjqZkYyMEA/AZCnVemLZI3iHFGQQF1Sus0XHVaad8ae95jHaA92J+m
vvJCeubXk9KqjVsql0h/b3px0otp45Ym27ll7eJ0+023pvnWvVUWZfHs19It
N1yTrrjqmvTzZ19M24fHTjt/xIUyMFhUgzMSz+Lqu542rXNojrSMyzBowgDj
hG81jtGmuI8EN3qZar+wHJ5ja/D0WYLK1uizOoZ86ilVU4jIuzuI++IQpwqs
2rp9hyaeYa9HYWP2C88nrlotyb0/f8WO2VenL27xXPR0TP6o/CfbBgLGor8G
GXVcQ/6zSnUxJp7qMbGuYy1Fzi8tK7Tia2xNpWU886W3/tIy1VkGcYwQPx+P
VJtHVabY7wIN4Ad92bDfmI1W4TyrPZQNL09bpMMOeRB0kx8Fg47lKfQ5Nt9P
mL3iQkQEYzkhSKkODjkWajekU50TQ/MWNtE4rYBUXFSAUeNeoqzcpOaGHM3b
IqIJVFst8vRl61sKwMKC91mcnZhYjmvl7P27UrIKvDGConYfEda7c3i1ScbN
rxSA9J8G01UFQCkWrg4ZkUKlxPM4mEeoLW5JnMUMRvbicB0FP6GyiG7dtp3D
Y/zI3vf7arEBmvpA6f4gM4PJU9Emr/VnXDDWAZJtAWBeBvHStwz9EO72If4z
6Iny+1oCFOS8Kx+y/FEEx3XOEp+xbHH66EV/13ECbUwvZz1MYc9H8HfjWq+o
YIkItOhMIoz4qILhkAfjORYta5Oh873v5XXnmWNHeufcWRu9AiR4qBE5KqTT
VapRspBFdZt1WW+eYkw8LDfVaPcv9Xpv8abqaxd7wUw+wHNb/KghJ5b9UVSF
tmMOQbRz/NDOd/vyIXsWpcxrWOEzIDcY3DPvwd/3y0b8MutCsinYpSPooade
579x6BJ3anbFBEt5Mlbw3864JQ4IuGziE7WeLa144sWZ6TPHHpXOnHJ2lexT
OciD0DNK29isOmrmi5Y3TBb6TG2kaGgk0hMUqEkHjIrfofYc4/uACfexf5Hl
uDP6X7W+AXNJ4KyEGlWqYoSms3ho6LMmi9pdsye1sW37oCB6mvGT7XVX6a8S
7a0SAvhoh551izkA2aCNXyve5uLArtPaBrMV/HBgyaEGY5G9l8PTnHvZtZiu
hd45Koo3TMVH/TcQDBC0bMKqFSTiwBn89nWPodbRk8Bp+dXzM+vOoxr4h4ed
ni544dIqW1SflnXQAvoMvKA6fPRZYT0YaX1WoFUrWty9jJwULCvSnyvYF0cL
ukLnOB0w+bVkMPxssT/FYjiGhMxiLNWALaLL+uDwM51OB0Zkuhf1a1/Buk1O
V9oEWSKpAQyojiHUm9QRRkT+KmcQeT4nbTto3CpxkK8chxZiJmkI49zfHXFZ
uvaeZ+xB83tKG7isx0NWY9H3vtzBOkN6DzMkN/7kN9ZfSy5kOLS+YC04RxkK
ktdPWvHq9EXG13D/LyfX6JZrn539enr3FZ9NZ00+v4KD89M8+swblk/Lpl0y
51mp1SLzTvuQgg1a6JOgOgXZtg/o1VCa3hEw42STWCIB1fSmDFulJAWDga5p
KqXMJJRf//O4ayyple+p9cCGnP6D+y0RW2dfl65yRs1ce8+z+G/SEExyZ7+T
eVc+y7jNgGkcn13qK8SI0PHrXJBjA4HH0pD9XUN4JozDHJ9xYhR5PQXEnlXh
s77MnFt4pdiEYieG7PnmO6Me5aiP+zMRLmD8AfLn67RhrOwx0IZLDvoIkoiU
ndezwOCcIH5r29ngcI1VI54chTw/ey4rGzw5DhDknXjk+hnSMUucXkjiLAOO
e1y7y2d6m/jZWKz5mKJLb/sV85Ma+tjl6zom2E6wPXP4uRPT9fc+y0pIuFi7
//xv32eoTZPDm74k/fVXfsC8nhqvoEaYqOGAY1/iM9DQYPka+Ey4hvMKOZCS
DYhVHBbj5+Tcu5qOYfvxAhJYaa21BEZbSp/aH7gsBp2IBOsP+pt4pNDJjXT9
ri8at8GEsbzEZL2hI6YpOjQ1ToURcTePlXlrCmejVSvkGhmhw8iILkV//9fx
1+TD5vVWLU4kfLFcC5HaaJA2ei8inM4wlDqejMYDPjXw5amLWpSJyKA5tGQt
C9dgT+9WZc84AO5+9GU7BLJ0I4UrBDXM5s0vJt3AYaMtJutCXUsdPxzicTAc
mZVm4vGEwuoC/JeulJHR8XNs7un/S/BZ6Xr9rBgYGFInutL+qAy6SnyKr05A
LJ0o48z7TPYlH9Bfn7k/EJi05oJ7VmtnOlHq/KtbwzUKgnO1xRRqFEUnOZvg
1c6eRuQXUcQZGSlUUajOZypQ3q3h0OAg6ZzZxCpdcPXPYK5vTaGc3zF3pSQG
S0di9TDW9dRItxPKizh12tBAxrw1UEl1Xvnudd44f9LKCiMOglNTntVHUgkc
d2lmkvHnlal/tf+cl1nt8RQIGXRVQ4hRZ/brx32ZsOxkJm3CreEft1WqtZgF
lcwLuc1b60Hhqlvd6vOOJZ/I5s0KWCI6VXDTvT9/1eYzRj1AvuolrM5DluWS
DpmX2Th5z1cirgk1FPPkqsQ5K5AQN+rRW90BqQIrs+JNOtm3V0be0hpw/lUP
G0qwUleVzcOT0gMrVdjulV0Yp94bbokgGIWx97hV4c98QbGdnKiaQhET4J9w
pUEsKOE8R/PwUvlJdGTZvN4O1uJSh1kzhsRL4S8iHDsLeux6ZQRiubkTMQQ+
i7gE/FjEoE4z0pnGV7Qq3bzlrRGiVDs6+bCQl+o6kZZJLYMHhGdWM4L2rRHb
zFvZGm8DyknEaZI1sa4xDuXPA00ZGUlUgEMZIjTS58qJs/oYfYgZayuZT7Vg
c2wbGBobfj2W2CPDgCbdoDxi6+N98476hGsHr8XBQxIWtadOi+pHLkZ2jjdO
tIgn+jqYnAp9WdswRMRMG/TaTjohAoUK8YCY5XxF+i6dyWdd+gBbrG45llvs
B1IJDFRn0VdEyRjF2tm8fag2dcR8Q+cYgiFPWOFZVMD39sE6OT22z5dJjk0z
CfKeuyjmLXd3SoIV4WQps9WATeNA5PWWSeBRcPABycgk4P62mIV3YXLaXvbj
5GLOu/LhdOmtv7J0Aw/OsflJv4YFfSAfXRfn+JToiBTGUIFXVfvH8UvDfV/g
xlVfRoR5rAmUZlUxundUjMhIUiFSWYiCg+g6o+bsb6OmNQqgYRIsccyajpFr
AiyMpoYsa0lAPjfUbKRn2rYC20OQTUNHhDwZdjXcj81EoYjERAP/2laT3BHi
p5j5zRWj4GiBhUGvJggV5ho4P7kbzcka/2zFz/raIWXgS2w/tgEVO6Z3oBF5
Q0Vl2LRlq6WkURxaOie9Pt+smGouJIFQhk6hqJ0iRnhrOw6TsZQBAXRO9lZu
LCrDjsX63esYyPi7nIPMwMXJqnTvRoXVHs9YTuBiEWLiwSeoVOUCDEBSE76C
yE3QycWA8P7h6CstxRiRL3M6yls8b2cBVsQlgxoVbtPIVcjgRP9vX7vCetyy
DR+/9AUaKunGbbXPR+ceYuPM5zyVCrDXlbGmiwH9Y8+QRJWlIjfIMkUWL65T
jkCioC1A/tXOVCDymu4sz9QdKgcVIjc4VItFcTD7GT+8P0c9ZmCjxJX2ja6C
zqNqJhiYs74NwiBBw2CSh5+a0sw/8SadODKJ1wAx+cSkmU2aPd9P9Mr6Lku1
zJvVGy3ocy1oUL9LVm2oNT11ctE6R2mfe4yL6HDBggX2J8kYnwF5YUc1thP8
ALZI7QfkiogM+HsiSfQl/71cxYI7izyiPvmyA7zCrTuZIGOrXhwbJxPe1DNF
ateoGSZXaqH7zQy4Mf3u9/LZyuAmmmEkm3Kut4n4xNY5mtqsSPIfYvIQNePf
bA0lxs2O4Wmxt2f149RiifKuabfsrGoNGxdhLORGcZhmyxZ0lSw2tgoBdTaF
on0+VHUnjLeAGfv6+jwBsGfZrksKerokhra0mk+yIeRE1oBiNCEvwfvC88iJ
lxQsfHRYQZyfI1zqzqSP57S8AyHIJuanY4NL9RSHmnQV9nRth7NPQEBFO+aH
4C1l5FUKkkaTBHFoSJYbXqvIdaUAsJYis/1f1DGCfNDHdsRZreWzHekrZnqV
I8qdwx8ZS+7rveLdHyjjFHhikBVFbNmyJfX09KSXXnopXXLJJW9Cgj9x4kSv
Lu1tkqG6RNaCBFGZDtyj4Sv21d08tadJClt9bh4mAZPdJ82T29PRLIF2mwQH
mpIRn1EyimWksTQCW9hp6r1M0PosZoda0MGl7QwP0lrdgaJ/6sXZlrmhLSjS
MXZOeI2NILEmNXVuwTfE3czoSjoxY2NoIcsLDGs+iTlq06hPlo0AVOQxzTEU
0ohen3eH5rwzPJ+GLijJeNNNN6XTTjtNyPoxLEI+L/I2H+wqdei96rxRsp0U
qhiqWNK4o34o7GXawWxdumwpaKH/Pr2ksldYZDR3eQsixL5l9WNRObYEtTWh
7RzgG3Zi5eeHwYRxiIFAcbU3dnjE5+GOhBzeYE3MSRPIhZz2/fvSc5PnN+O2
s/Z10qfyG51zgkn0yRbG3pNOUCr2Q35fG8a1qgVxQMOvuuMpg2JJE2yakic5
pAkCu+PnKmXHjtEM3zq4Z3DQYO1Tpkx5C0J8YaCE5NXcJn4ZxD0ECHlFdUbw
AMQT5Bi/lSNHFCMbpQ+F58NWbQngQ2Su3RVZ4+Ytjg6cw+DuKjA4yZKdKZ9b
n5UBtG0vhEh90fJ2doI3UcCpZ4kEqMorIw/kma1bQ20zfbFxfcQ4IQ7klNyQ
o7IENcGUzxcq17GpEt1rDxoqDis5T1D6vQ0VPmTUlDS4RT6R4zAP3ih235S0
2urWrIy1XoGivOdgy3Fw4r/fNbTkEzfZeTurI5+odheuQa9JmHGWri1OotmR
fJ3m/LDMXPKjHCvf9bOXzPhriYDCvfTGwpZoIoKpAcbNqcC46g6Mju4wFhtz
0emYymnE/Oh+vFrnVl4d2FjbpablAek0wdyNfzjqSnuXMOSQPaP6ZSWwdTKR
ZocXJgZGWF547aOENG3nIQ56n1CQHcf+KJ2eo5msXHEO+zmX/xSiDHwh1bBo
yYJ6k5A9lH6HvamSxkjpxmbvqsEbHT9K8j2uG/3bS3DQhsEO2AKrc9Sy3sGF
xKfK+vIRf1ZQcuR8OUrym9VRt3kRsMTZJ6lriNbRZJGC1Xhj0aJ0yMV/bQMl
I9E4NB5R9CIV7/wMdcTDjoUNWfGaH8yrPMshB5FxUd6hHH4sGuHmrYUFP1LY
SIvjHL9Ogrs7Hn7B+lHmBV413HONX9ZnaBtDKxtHsnQraJGzDdF5QWYRz4Yz
pLLnj4w6L4udN3IerLK3AF6H7uJQ7DLoCaOnWhHG2H5kUYkZaJf4jCuEJh+j
ihy4ONp56T7qa2mE3TbfeZUhNxougWKD/z6/z4NPvN4CoKngoM0KZx7U41FT
8HI/cdyh6Yw3zmwa5bMIvn7hXeap6TP0F8aX0WB0kLaGIEWjI0JUiTA2xdch
QN4POTLahIbDjvThXMj/X5IlVGGcTdQUHTHRVgp8m92u1vRAHXeyTwIxO/JS
q7jcgdX8SdVLIhta5n1ku0YwsbgkvsgRTvXeZqUfrHacgybv/3n7LirNntaV
ePr37zeJ4jiwKfJN/50vs8EA85ZioRAU/x9BEGDiVLGgUhqrH/pAy+JgNiyP
fP7Qk6+j3VVpsPqvzVjaEtQPbv6lmeOGc7DgpFCkPzz81HT+y9+V7F+csiD9
7VcvNb6yanXyMlDKpmAUGzl0MFVgjXE4tIuN6wObUDMhomlUqn5nPns7J0mw
7b908g3GySwFcV7VIOFSwVGRqyGJL5EZFP1NAn7zDklqUOKdUyPWezvSUI1T
iwU8/JyJ6Yj8b/4tuZ589ZLsFcKrlE+18WMqy/vsbX4RisyN1Of943zmobFZ
W2VZYNOEBIx0NdS97qYIO4eV0IxKgcSVzbZEja+YlISVlhtQx8zlE++y235l
5Dt9DZsJZPlPz5qc3n3lZ9KZk8+TTkBDwlAacAeRNJ8Wi2zCG3oWn0UY9YSY
f4lnBmNVSjSHDXqyaXKLVakZ82JO2yc8fetOI2zOeiVVmRkGfcTD1wLOUPzS
uJhIJ4y9UTu7VMVoWl1FpSqaAcfOkqpMmb3M2oHZDtnPk6owyBYAFptuxFEU
41KVsmz7VOQR20mM8ms9x80/uOByTchtrrTc5krz7UjY5q39O64vQA1JfZeZ
LptCU0EB+bThreVQF7Q6Ql7BJPP9/H9rOrR3oU36Al0ngS+yOUnDrvLl66wO
2WtSFIH0hT0LAVYcpTIceBBjYVs1lU7MVBwMAeFHe3BpwUfhnOGYDzQsZRxv
Uq1m+GRfpQLaKzyOiqqt1GdW342BuQwTiUoTvjbkar11qpw2aJl8XXCksbPj
1geeNzb+vMDjV5a9/H85w3tFweP4a5x6znS1+HDur3MQDw+/vEGd89+Pui4V
prbN5kOJ0ji/r7qRCjNFm2zExvl5FBwpb7o7SFDj8Jd6ijAIoqORg+UtnI7N
8AUIWbE2P89+tO63oHQ82J8qgYuNG2xbERy3lWvap00sp9YJVmH4W4O37qkZ
3wPD7wrrqe++lv15EHvxM7aqWCiaaVUlKOrta0CLnGYzHNMtNRE7Clmnhn2i
+P7kuY1BVzHYLkCs9jC3wjD6SwpGv9GRgqogD2V4mmxMFnvOiDhInYUGu8q6
xEnDk7PiQHxBguTP9FKWCvLOlvbET5te3XJ7y2dN501hrmun3sdUnkBXIpPC
63V2IXI/iPvxnHS/ux592dClUXkKHmdFaxKRKCti5MLzdro06rinDS4OAx3y
YK2eSZ5ojVEx7/rVc26zMKdnc39kXlHdRrekA0M6paVerZ6AYGYsHp5d8qra
u2UQ1YqGeWKXoHm0hSp2+D3/m0JiuD5Nn1/guN0FgaODhyiKkQT/dvrNRr0C
i6hqrnjjYg6M9BudfFp9xfdpXYfcleramX5grOQT7CydZoWCnjbe//YcxX7l
rFtaZY6FNvauXV4Zy72leNBJ9hpHB9Rc0dRFILTNCB0Ynm+md8Lqu7TIAPyG
kUFGcrUPO07BMImSmETAwfV3Nxk4KkIe2DNEQTC4Sjk2usGpVMO7gMzZ29SN
vv5CYFQSkeKvqGSpe5q1JsDjBYHwXnPPM1hX6QTyJ26kJWGs0YAxrdmJkYOX
uJMuKA6di+U1JbUaMpDBHcp/mMFOPUFfj8j7dMqsZa39PNhRhDdXdkl7GpHB
e/vb8w2GK7QzYC7z79Kz9aO7n4kzb7HE8tNqbT4v+DznE6xkZQHaGadPFpKv
kdBvtKmaZ6nFNu8vI4cmteCRbQTNBp93Mi61+Pf+nAiKdNDfH365zdEh65V/
8eP+1+wb1p09Dzw5r0MzCLG45Z0j7Lmsk4aPrwMnSimiZgtIOxKbxGmUTUak
Z4cqC2e0aAt0XYRvRNwg6GnqhlprQjeZpnjsFZevCUOIikQbMpaJUGZ0xFvN
LsrmM5uGZvRtyeJuDVMwcEs6B3Ba/2teHlypiOSWu1YnidCH6iPRpQ7UzPFe
sdpShyGf1bdoxfpdQHfv4F7kvcFdwObB8IHCyUSgMiyExTyMasnXjzZdKKy5
4DF6yeguSCcKTPChlhwISmYtbDfljqUTgM1XdrgQVqmnEjXU5FhHfIBfJM9D
n5Sul4nAfFOXjnqMCeqsy46MNKn5GH5Mc7eiwWX2qreo1YvOksV1GXY8D0dY
hCur4UffJQmFfx0VwobEeoVJCqHh7GBQJA/sklFMDo+8CV33mwO59rJfsADX
4fqO4LW3EME2/ufCpaWv1Nkau4TbMC/HkorDreDMgJx5FRW9sjpHf/NOsarH
uebqP65MD2F2dU1h2PT69uiemWFeeS3LGb6zDQ7aElgsJMAfP/aKQeuy7WsN
sfB/GmMXEjfRSCzt8CMQainoN0JdGgYjx1FoU92hjMGWAGNKoiJo8LUwEeRY
UDrBq1CKGezg2+J4JhRuOsUKEXw+VrvGDwD/pL86xS1efMb8pgaXTy51+iBy
sTZhyRqKyNDOsn2gUfjQ6SN1EB/0AgOcVXXYNtBQ3exMHeI0iLEIDipnekB4
xuyGfHWJD0qbc694CA2voronq8g0J1GvVdqhguaMc3A1A51zrhkI0513SlEb
qQP1IKciD6q0aQdaKbIk2KuG/HOC+Rj/5fDL0qW3PcFzRybZiQ9NSiddcm9h
IQoJ1FEf78HmrrNsi6XRiowf/i13gecXA6QP22ULfsxfasBNG0UPzK0Fr30F
giIwhxiTekM750abkb2ueSiPMDqLMRq6+VbqsTmQXjb0+Rt2mK0Q0Z86Pqgz
dUL4B72niVNSoqOgxOQjsPWxxjY80qZVYSN1WgsdKduCO7LS0nrtKIvnYLBc
nLTF+0uAil6RM3RgjEles763mXs/allQNCovt5oFMPFfPvVGo9Hu6x9QEeZX
k2bYeY2Vz7o8/mHXJS1R8qWCTzPAgCft81Q7b0IKQ4qkxpXDzr7VOk0ffXYq
Ci+kB4vWGSJwmw3dbcqI6mOGcbW4/prxtzMlEV9jVAgs3fI17XaD6Hc2bQm9
O6D3DAW0qD1VnTIFjOWP/2Za4xB6J3gkZC90WctbNiQyeup+pEsgFY4jLi6b
+CurFUOt34kQBOUnxUGRmCS5pA47Le9WchmDxe/YzQq8uysXb5fJonBWU0j/
wrFX4+iMHyT8EVdqfIBzs4bRqUIygiBTfWRsdQ7a6T5PFex7tjAfDBr+3Gvz
zLmvvbQld6ncYAxNS/jerJu5D46X3plOcP50NiNuhn2346xhA+NqRKSZBre2
nqW2uTdVFnWaRiQpG5pUBNMVJK9rslvOuZQ6jIniE+kJz9GZmSc1QbSX/YL6
G/QIAf154InX6m+Q6hAFgowJ70E8Vt5vuEW1NDeeMcXtl/1U7zpHw09+8ap9
PYvCccSzZs16My159dVXYZTu+pC/KWpGClG9yHnvpPuy7nJeywUhzcLeQFtY
E87KQ/wBsHikuzCG2U+QuFF15w6u4tEMubjFyFwy7HcHVbmxrSrbx+hfHstU
oIoaWRQHQ6ngH00ZnT906kRxr+go0haGhXZ2iq2NFaV3PJoUpf8j/8AMhw41
IdmInY05tKoFPspVEIh71jVSQ+koi5RPSrTFIp2SiFKVOEpPySZ25TRHvAp3
3NvbmzZs2JBeeOGFN8EdH3fccUbw/Vv+HATYlU9+XsEWevzPvtOJY8MPDPS+
sjIX5Qf8sP8ud+AQoq65Ym23JG/Qig767E0BDBy1phOoFadpxzI+ZZ+Y2FCe
fiQw6rGrdNg10wjX7lD4EQwqPktpLFjVmt84e2Hj1eg6MHIQiMbZnurViVpj
U8Y3tHvcyK2t7YAAEBpKxPGwQyjkORs2/2aKt1QG06/DTsFOAT+XCXsqltI3
K0RbJzAZBvixgcnZ+mS7NeRB654WRuFvWo+6iN5HRz/hYmYRxKO01OPdj4S/
Q1hsc25DsbHCrn72YkWLSVkiU3Ecd+hkb1VZZvXMSXvdfpANWW4Y75rZ3JHj
wirIQVnwFDp71grmdENLWQiMtcgS0Mz5K3cY+koivnPWHkqFotFdLmWhgHvR
NY+0cFVCtg8FD0XeSPRaSlP0CrAurQatRa58sSkUgp+8Eati4DgKLBCVxRqV
8wkqZSFxXcYxbq8MTFkNDL/MEIudY5ff7e/P0xsi1WfdYd3Uz5D/GrdPFNrs
xnUlIhYoEb+GaqhvgpobyOKC3zSrS2gTaXrWmkN7Sa2fSFVem7cwvf87/yGd
POOEFssesDQcvuiQSH0aIu7BmsvXdZaQ8kR0PY183w6FqRmrxxgXrTnsJLZj
+qcEEQ3HEyOw4X1aF+Y/GZN2B1SJ7bKgw7Zu8T70kcBMih3tHPq3zSZkLDf+
hEi7hFpAlBCJZCk8k1WVqigvA8nQ2NzFbw4/K4V9wE6cClhVjiBODtIA+amk
KnhVEGDRB0Fyh0MjL+BHXVU4tLgD75q1SY/LDWmuferFWa3yrGgQIpXBuVf+
lCWtFulnT05Lv3P8l9PpU09viFeyuI//9j2W+pIK0K/TScxhTWcdJT6bgDHf
aO/r7xJrYZajyHCOOp0U66raEALX3dhWEh4JOaIYOk7itCYyK32hG1ID5Umn
687l4NnYUgbSDw86GkCfcUBbZBAOngKKLPZFKy4gCRGVFIQtbgW7TX1dY9MM
v7mC7GHvTqgLxPuWB54DkV+zbQX8uNXEjvdx9mUP4qgIj8ghU0blrDDbEstF
IiCJoYT/uaUafP+/fu1ywtGGEDL/LEPd/+DIk9K5r14sqWPj6dW55cHnq9RB
UE30SZz6jMpQZ7FPHNopnDkUazurLLF3IqJBOoE/zSyIRotoj8QIsaFjaNKe
4hlGbgaktYzVlko6MMHwwYDGr/3xs+yM6uqu2lhHxUcGfo4TIL5SFQoa3HJ9
dgPeGa4zksjuzbsAhD/QH59wdpkHwiwoxbsXXl+gRlvRRYteR33tzSD3wsWO
0WMHZp1XMW95GJQaR2sokNUyEYiSCHrihZlNEWwkpZ9PeSm984pPpzNfO1dg
RQwduUryHBVUVppPoNpA5bNllX7QdEL2OupM37btO1SOhoY07ruRO8drp3M5
y2bxtGflsBZsk/iZgM9xMBfmeVMHAwe7dHmHryYSlBghY2kZKcS+yGtd8/ip
tJeSJTy44+uxBXPQMZEbgs5oClQ9k8alM2URHViW3ZLSGLHS4lehFEcbvxZ/
CP9vhnFZl6hZvXooAta+xGQr7L/YS+yiqgo4Dls7KquFxmtFa814HOcvrCfR
zPXz0r43vSedPP2kFp9Du9Nygm0oTqOHnrS2hGiCgJvGhAta1knux5ZQQmjP
1iO28UPrDCbdVic1bqdwZMQaTnTf/Z9AG9Vr2CGOpYgtUNuifgO/T7gJfbbR
Wb6XrdrQ4lGcOnt5C2QEEEDLFZu09HzSpSHf0+jh+Cmq9/Z3FKGTPJElBYD2
Kf/rOEOQ4vDGEkbrtMIZIKb8x29cY5aLk0nMM4Icx+YX3ketky15uRykPtPW
zEn73fg+69WS/KO/3DANjtTjRtfRanfkebcbdkc+9G0/nVQBhGZ2dovkgjxR
b0e0zKrOcPao9nXtpkwkp0MrUjhMem1+0JjC8XjaD+5LJ2fXLksq2pvOHlE7
t/CDQhlAANieEFiTmMBpx841sIIeelxsr8ttwBYKWPOO+hsFZJttYtf4+y/E
H4gaIg6hGtGK/NSf8jfGH1no8Ta0nVQHfzv8nbGD5IciKfyL52bUamJE8Wgx
yNsoCVWdh+3NVOadaQy5NGUtosYYBcNI06vB4gqqlxVeSgPZMA2HVWm6SkVW
ePu6obO4O0cJkmaQsuqzAsRYE7ZfQX6v7iAeYolOvuRe68vQK9/1yIvmxcOu
356K1E4GwZ+gTVcDpW3FlyW4azrct1W3Uc1/OueIPrI9r9Ogs/0iuXzv46+g
MjI71CagiK7H3y5hG1nukskdbsYEDRbGUv6OhibeDz8PcHTWrt/2G4gdlO1A
YcaOsv4B8QgsCSNVqmnOl4gpNO68zq7rokTvbSnRmkAr1fASlKMfxENN/y1Y
tYOHDI7oy6fcaJWPJgk9ZNKl9hwxIv5PKwye0wFpLH2HK6yQWJmTBoZ28Hx/
+sRrlkePWoX24VFB4hmPReIPYkh9xuZU2B+zvoI+Vm62/GzqqZSXxXNQLoLj
RtYHWCcRxgtTFlT4PZp3wrd/nP75hOsY3Tp++P2/91fC7aNV6AvHXG1uJj66
9KPUJQszKRa7HFlJEzUqp0TA/GB01H1XDU9vU6SO+rFvh36AK1vakY2LneH7
hd/oZCbFMhPvk8aJUImjzr/DBg9kOesR/7/a3jtKr+M884RIkKKiJcu2nDWe
9Yx3Z2fDOXv2nP1r/xiv7bFHY6/XYcbekSwxK5CiCOYgJpEUxSRmUiQIRjCI
WSDBCDCABAkGAI0MNHJsNIDuRqMb6Fhbv6p66r5V3wXcmDPLcyQSF/f7vnur
3nrj8z4vTNU1AlPZDsuujTLZVCXtIy60hPUpoWlFJMDm1m4zTNpRNwKVYBaF
D7ytjdpXVWzVMNP8dARXEuVSPs/gyviSpPkIAb0Zk6rh3ELFHbkMRyUuJBOv
9kcpoXS/OGVxEWpaDYe8NAvGGIQ3F62WTcLWS/+HVMvQwWkarmD5Su26Q5Bt
m/w5Sjo2RxKXvgBlKVmu7GQxXdu5u7+DRIZHH070Q82M7bGA7CYB4h0GPQ7+
NLrc8gaw6DVcIcRKaVxHk5cdyzFQU2UfzmN2LKJuTXUNMPG197yIpjFdGeMh
yJwwrpRyxHaOKpElPceLlm3M/szBPAZ3JGsU3ARxMn8lbaF6eVm2wPh0VJ0a
dt6hom0EQfMF+CW5vGHahrfaXWu3hnNPNSv83THsl9Uof/nd20ggFOU92fpS
RL5aiEhI81RJW4xwPbya+2oeYlSEgn5bauRs2vh63vurQ13en4Kie4bI3soC
1kCOcwN77WQ84yAPVKB83Kx6+g82vi9M89iVvw8vAj9r1Iyib8gSm9/l3YgV
mQimgEizaEFoST6QS9UklAxh7TXGauqdGHJotdLL4lQok32JHaZxtuuh8ISs
DKU8ftFf/8P0tWTc68LLK+8sD8rxnQ/XNBGjN9FyHI8kJBbOYotAshG2qKR5
N5Z5WBXNjL9q6argc1ASUCvWJkDao6KXPeB91RSYwNhRRX/8bq1LD6RBggW8
OFQbS4ITDjztnWF0xfiElc+t6ZUtOahkNjcGiuJgskHX7k4o/fHMdZPmZq+N
iL+pN2WIE20sRMsDuei8N7byyc5gI6D2xZbSjEFGSG5JUszF2mg8pIUOMYsq
uBemwzbUNKtO3KXIzH2lzFi4i52KUbMuTqbB13RJWDaBlQGv3mAJEPVNVVYF
GaoTd0TkVL82b2+KiSTtlAjUNexgXREjCVV3APG+dTV6dLSz6EiyFHL1D5au
L2DlbHBmS0/hgRjUpVgIb9XWKIEh2liV2hQyRc6+2KE8qtlbUxIYQa3Zdd6E
X8drw8z9oYTJP1VMvWwPJvWex8MQCk1nR9bQM2hEACEHDfYr9F9WjQmRrrFs
kYmzdkdKwdnZKTgjob6zoxCSgwn86Yz1sZjcXOkGEFOx7+v77KGPCZcyCxwG
ksaJMo312bw79ngbb2JIQFGDAeO9VlQKCEWlzLAtc6r6nTuYU8avO0AhBiQn
BwJX49aCZjpWErcUOCmWVe2vkh2NG7KyI6JGXIip93b8QdrCuPnL4zgyrxV5
Eeq95EwlQyIuIJ0EnCdMEt8//LvpPTWv8pvn34ds2GQTBv2QESkLbNDSrTGt
xEcSHztW0JJ2iZrTjuUShae9poyn9A66SeFVFmXTsG6hd6w7VWgFJByDv/ev
zKQO/zxZgjKCyIJeOtXR1oD0rsMwlydO1YhMyz2JSeuvmiN7DJ7KRvn1swT8
hDcFe/sHcw4PU68MhkRKXcxZG0xJpP5F+i3hQ1mg0y97SOdH3aXIukZMidbg
99O6Ygv46G2PvMHf22YMvUubi2NDKk4w+SDVg9tEyY4HseZq5foyGxMn35So
YNsYIlGK4lVqyn1humVZw6TIIA2ouhCrBUD2hvtfZmmsMlqQsr/Hm4+HCcyG
UF6ocE6/ZXxaUXlDJBgkIp8x92kJi0bEnrKcxW+8t6S7qEnEJvlI+ypRworL
OEiUEFV2NJNRHsUY1DjLkuBfY+bRH1AOUzGRPOEzspmhetEXCN+SPB0X8vFc
F13BmKEFjZSdJat7pAkuUzihfao7tkoVQlXF5NJ3wMqbdF5nCiezwBmhGk/z
j+y8S84JNJ5WgNrqCbagKT+XPkONnBtr/FzOP1OxXnqrQZbjFgnwk5HPewc7
rDyp+Do/jVtVT1HgzEDBCI1Ydo1Sgz7sCbmLpSeSOtsCWyCLSmAcCRVnaEMa
v1myxm0JtY2pdyr9ThKKIj6P+bTGlUoQIdUkaDj5WlpUcbMlJIn2jq/AHyff
1dg+l9kRmr0bF899lqNle1e6Yx89IaA99X3sm9gHLIFxX0XLEdoY07gKSwAm
kIRlagg0cyYw5jyIBKqsbpZAOlIT2nRdY4zZ10+/FbkrAIGit7Pj0VZUBm1M
oD7T+KcRFqOmsMBsPKqBn6xsiItYfg1H0mcJ2uRf6xoaTQbNGjmdQwkRqfGp
NzWpLeG30v2USGTFtqZg3vrcqQweaJ05Ol53S45Q45Hzervb0z9oSbPg37vs
1ueLmGJlatO0KLb0T1Mo37fKHf/QFwIQ1A6T0sGWzBDL1GNMVxjq4iyDPX0V
vWBM2AiyZZVHbeR4+2WVjiIZuKIqKEFiBrCN6Rb67MPPLwxkks4oI/ap7ojs
MYg/W8iq2+LQjWdePdu9+0l3066zd39HSSQS7wwU11g/hSGSI4p0AhylVpYj
NClAg93f359BoazMrhTYR46ewdoxoq0aKkqgNPADCGmOzHQnkgavcVUqQY1R
HvJrVkwiUE6nCduGAtuVM7rn/ZVr3a//5H8PiFDtO0XJXVWCkKfur9Ck1ET7
9pfXgr2qUO9tQK7xFKLZblZka081FdjqPOvUDsTWmuxA0QJNEhIkq//7zHvi
j3sNXldKAq2eRcQM39JX4ndrnLyZe8wG1FAfjdC1kk0xBlIhO50RabrmnpeC
xHuP5rfSZdjSe3p63IIFCw7TuXDmmWeGzoWvpJ9FElAVBxP3KWUZr9r+dVr3
OCerJ/QAM3yUqOVr6e/YSYJRVp+vwBIptYW+2hQS0aOFfyjcr3YA8mWyTlaS
np67xP3BD//Wndd1buEN/ThU5hsC1Y3++4EVWKkBMKpyQr4W2A8in0/BMdO9
vcDz8p61FbMFWd3HmtTXZJ1slQrJxxWf+3aXlSSWhsyyNWRCyzmTVMPAiPcn
jwrxkqVkmfWG0piywjCCPN25uz9LIa9CgybIX2+EJUno1j858SZ38wOvYfvV
AzNz5kx3/vnnH6GhYdWqVSFQFv8lzi7svcRoQSwjKkd9ueowX7Euz2YMGosV
+730FRwyArE1aTxX0GjOWUysyEPbmvJzedD/CxjHKT96kI22rahX3P6C+19P
P9Nd8tEVmoFBegLGSf7KP6QkjuIQs0fh1sg5am+l31y0JvzJDr6psa4hFkh+
U2PbhnILX1E6j/MDC1DN8pRL1RYTh6id1JKuEluwll6ybWmUXYDjoL8hkQoW
ObV76Bravh5GABR1awUsoG6tM6WfYawy44MW+VUaH89c0U+9/GGAOdHz1wyS
nQyFQNomvWbMI+LCWLZx19XVNaW50w1tEDR+DEEB2+U9P/nayHwYTJpAq3jz
X0t/x/F88Nn3wiP/4OrHQrVGmJHNZgqGXtlOedIrE2iR0oIv059XK1W//Og9
95Vb/4274JNLJFWIN/gYHxuxQJIqmFu/fvotUPo2aQF/6/evml3M5uNbRbOV
Gyq9rVcmKlu/CUVwEybR2pA520yZsuJW0jRuNsPY/YvXNglqUhZuuSEmQJaY
B4npK4EgmMODHaGapXZEYlGADaQ+Ltc/XTAzVLB9uJabAL3OYi9WRkCBHTO5
JA0fCabvKOhXjw+/tXZjHBKDZ5qmwkiOGl7VrSHhfigjVCNQjOgR2BHm0C9r
liPpa5tQjNNjSnAeAZAChRy49axxn575ldDc2cwFHOwY94iJIrcOdkf3kcH7
05NuZrJoM9bNextzE/VyDqD8vxQINsWNnoyY0PMF/ovu0rnOTrgZjWUn09rk
RkxGNyklNHRiU8/fR3/spV5L7TcRPApTmJWG+/xgBjI26NyJ0EN+xlWPog70
M8R8AQW/b7BptvCaS+yeduB5yCB5u/ObU5adz6bXtD636eCUu4Sa7U6gVfaZ
9bJ5TBzT9JDhXi8zih+p4XRQZfprQhJb9K4QxxKfJTtWuRPu+/WQP8oTX6m7
7ijbzSngjxRwsOnhtN8465VQ1phshshGrpyHQi9MZhLwpq82a+yQSPMsJHX/
UFlGQ/nsqkJ/MR3Z8D2CkMtcNtqmKyHM5M1wHwguHt2fUBtlKZKwI1RqO4da
BiO8an3Trayx2nYeJBUTpWftRMuQzvaPM/U+rROSiAROPP80ANxVXbP9wQF8
mwjt08AJq3003Cw43JMu4+KRNj2oTelwvx1bjWVUHHMk8SE0r3PVKYNV/AaW
lcdEE2b6fv/9f/3920N/mX8GKSDGF8pf1+PYaQI2t9xdRd6hS747zqm0dPel
6ycFtK3I6vB4JYI3pslBKJET9zGArZAwvNs7cOVchUCeNpR1EJvIiicusDrh
SA6tiUV3Z/yDJIhzrkErU2/kOj6JwUCQjp1hPbDr2H7xpvH+c970HtW9c92P
bntOXBXqHEa3r99SSpCg8YQ+ijfsRK96eyzd6pEkKPAjVLMnsKeyaTnQDxUQ
ixia7ga9bnzgmXdDAsFQM92aavYMltP6vujftiyCRK+jHqoZ2FqT8NrcV6RS
akqvln6vCPS9CIDBs/hFdaRLKT3rvTvGKbLqkw1nAdISyrGmXBBqbBvLdLzl
qrdOFRvdu6/pAxSTIzs19eYu2wggUI3sljoqmNTz92fd5d5fun6alZkizJ90
mXmNRNCirg0hzG/GSh/Io29s8kVB0pFkhsKDNjP7N3ubKXqZDCkVb+2EKVR/
WTM/NmwI/rr1Pbg247onC2wCtnigEg5LuyAh2momZdly1rKKfY7vUktJUX1N
h14Cg6X75vkz3bNeLfp3yezFu/uzBpTARABRmbdcb3SL7f0gr43HLYGRcbB4
q0QD1izXlIRIswlCxwSUv2si+Qnm2C+yuv94Lyx2T5QX9VKwLNARDxkq7Off
WBzSBbXQr0qFV+Uml+xY6cXl1wpxsdwp1nGRGOgabxpbhseKDNCytSXL8ERq
aLGZIq6RB7biwgQrnA+6E3WNveE9rNsc6fIRl8ZqjY5pGG8J95CHYnEMwhi1
wUJkycjPEiIlzHUeLOX/KPKOGlKEaHzavF7gBehvZmagkWn8YrkkQmywToNs
P6ry6Hnc/sd0P8ZSJQ88Q7TZ19Lr8lIYSYoJYK9Dp2RKi6qnAudeqAIJE7rq
5EseoEumUPLMubWdl23ChP6odQ8CVvdjWDxR7hb1v0FnDnmFDBLb0HhLEqY4
nqsErLDxIJTpgbApxv9y7r2B594m4msaaw0nagRCHetbw3zKBqA3kkl36uTT
oHF32c26p4KAYWNFgTyYQEcWsxRbk7cWBwVbo0KNJCmU9X0cZMeWhQl6Fvh/
FFyRxwVJUck+FkEavi8Y+cnu/acf3hNKFhNZgpqBQry1X121HOFTAeYCZeof
zOpvzdS1bqn4FCULi41s5Xm83q6p12d6/X1GKUe7trOwa8iLENr6LOtFfhey
Je174I1LxsCOi5dHYWVLnXeyQ9zHBI6LfUzunRxrFsEqWlwiabCawIUVK79S
jD1ltoqfXlF1t/K6Nc1eQCBWlJmBprJi0+5LlAUWdocuVN1OIoe4CZv55SmL
l5wjNhgRUcxPzkvAe4SeMAmLe+3PX+JQTPvt/LmJ4KqRiKHGsX5rb0besTo1
WuyQaWO26hn4O3gXbWqbgCnpWQhJYmlGsVoWhr19B4r7LKlxk0AaypW2XH0L
PcJlFTcIWKrp2I6dMNZ5dLxIIMXhFk0LO/E2z5d2UGA4ThMZ7Bu8L+pfwdrN
8YkSWBKbUrcWGcwMpzQZUeSh5KuMpqJr9dbCKYczDgIuK3eo8VqOWYU6Ql2X
BmlYuTuYimv8aertiCrg8nY8JaacvUUGNJ9Fzm7iadHMSGk2nEBmkP3JiTfi
rGTq5onO+n/sWy1d1eAHpVbCI0nd9sBTZzqY02dRObi5um/1hh05Us94ScOc
nM2tGYPejDIf7agDTxo/TbKAtO6pElERl1K69UhrjfG+9eE33D+c/fOgTm21
8oX5SwsTR06thjCjcmt2Zky1zGPOJPX0Zx2pNALvBQN0otPUT9MOTLw4ZCBA
FE53VD9NXgyredAMEUJoaCwnQy2bdhQI3uPDM/1y3pIw6IucIO/iNUOp8KLj
z7HAUokgU9xeMEY+P2+xsh1x1tb2YsVDv2wV/qIvUzWrkbrtK92n7/tKIXWW
mL2RsJ15NJ0kkd2Ss2Xv0+5blt/BCuU0MRERdPZZRLg5bqQu2YPi+/pMpS9n
ovsb5IJ1jtZvLRFSnGkqj9bicqIAcDw65/3C8RB9W537sp2Xgayz6oaQ49f8
RoQo0HTLrns9I+UX+OQrVJ1S4PaxWXpG1HmlkSUR35RuMx7dBzJTb5BUuhPb
wjws0BiMCOF5W8UwTUiUGPIwSnJ511DRSlunIcTQayr/KPbYls6MOO/H/xnR
BPRTj9q1uQ+JF+ZVPrWdlSUF1oCkGpRkAzRv5sXbgrNycvlZAo9w6Q+OCfYw
YWs7zRS+IjGWMkwZe+BFWGKta3fOnh/Ae5azHEj/C28sKdaPzFbnUIpYfrRa
TuPY2E79BgY0JtsGzHyFfTmG0GfDDI5hW52YHvgAyETTeerlVhqJ7gQm7vQP
Dk2bulwKBUwgih7hf+iwBR+vKxoxye7HAlCpHsc11dN7Hf5lbIz5C+942HXg
nWs2sejfl4aGsyiWoiyX27xc3lsaar5PSc0slxsaJh3J5YHhTjR6m7pFTmuD
jjz3VvJLHmj3nv3FtYh7jWfONvVp72zOsL8y3hsMu1dZRdpWAD6hLCSxtNvw
UQPeAJvgjVpB11fz4cdosgxSUKEyJTabEkZ4HRppMiIxj1F839sfrnXn3/AL
Q6ob8XfgEDg/wwdHRX+OiuIIdIXx5iNT7xUWFln05wLZwJz0h+nLQxeGf17U
pdfnv2c+gjrHcrBdqDibEmFe4zX3vFhU0+otCO2lfWWuimVVpKGt79q7wh3z
yPEBn5wjCL8UtUVOAXkhmuFkVRFJW5TShhuMRKSlKrSTney4oNqvtCkbW1fe
UFnuQYNua9LFDRLD+pV1NUqgHRjx/Wc+bX5aE2NsmNFfIQpk+IEM2cFVK6q2
SsGu7E+Dfjrp4gcCMsxbmhzhhIkBgWq5QDgHOP1RDY4TwpljoUbWyGdwKHeN
jSeXgrrJ7DnvB3PEftteHsRaUa5/Ajtcj+Hwz772STHoD8tu142fmKwAUJpb
bUVg+d6V7riHPxegz5aeur4vZH6qUQkTpl3WBuG1ZeaYYyQmrVY0YyV0LZKi
7iy6BYPDeaB0OIdasjyWv66AlqXJf58xv6GJQZbfd3nk5M1rRZXnHa/JgMNJ
ix1KLJ6P/PJ9myjjFCFW9nGsUm0mxPZmZnFdQ76g4KRgo+8D8EKBhBS1HpHq
QE8VbduqanubdCx1ft4N7N7sHpl1j7v++uvd3TMfdt3b96V9m3Truha6O265
yV1/w03u6blvu4PjE9pLK9ZfTTvAXmpUNx4vqQi1VnPUodf60xNvCoMnWXeJ
MwEHnlyAOjbzMtFUXLLDmmz3h97/3cXdeZKINVyiyJRovNu12n35p/+zm7H8
h0UMBA6tuO+TdR2DAxB7GNjHTCQf+n8rLjpbJG7EftL19XeO6k2M/A3Xrj/1
W6qkZc4fGYNOFmZ/VaCzODfdt3bjroyiyehJv0418hJrVSP+yfnCYO9ly8Rj
PZkusgFN7eoYFicVTI5GDF6IxhlXzXbfvnAWlrVuULF8SfjgXatjA7jUrVKO
mRSsQ5yjDH7RDfdtd9dd+H0348Ifu7kvz3U/uXiGO/Pca92ugRHXu/4Td8Zp
p7jr7njAPf/Uw+47J37LPfDCO+ieY1vEWhTVoYDnRZo19u8hiSavhB/Jdry8
YHno/LKOBEeSuj/bCo2xkLvN7Lsxs2SdEGxUB/EioxV1DaMAppj1kog89tzH
7vfP+St37rJGSzOtA7j1hCnoweKBo29FkwQhKgYMndXmzIpj+ySaZDFqakeM
kPw7m9uX+Ddp0dEOen4M196qKQHRrJukDo2MpjpDo5Et5NymBaTNawjmsNHc
fBcw+72mwocvePrlD7m3Fq0uZFDeQRH/p/qNrqGOZz71dgG048gtX1tiBlmX
JanbWDJNxXBNICtwh2kul0x//Ppj7uTvnuNW74gD0QZ3rHYzvneKe+nD1W7u
rJvc2Zfd6PYngrJ5T97hvnv+j93uoXEr0+qxikL46eAZkrIiOHjDB4aoZxYC
LyML+Nh4Bn8mauws4Gz+ff7FZ/z0yQBtYp6AIkr0Sx0g2Op01ifeW/33J98M
CCGbUfQ7wGKSJf63xbmFSrnwpmfc//K977mLP7nMjmAHqw/OxIfV9m448r57
xcNIuIQdT5UA/dnXP248ZG96/mHGPeSZsnAC/KgBo2TDV6XMsK4B+Khzajy/
SOb0fbifNeOX5vpOGFfDdhhae6fhNM0wxv78fVmHp0mz9hqHRzRR+j66Kf/u
rLtCA5Qtgn20bFMh7Hy/oIcNi/BkBvb659fHMVnrt3Sm83RWJO8EHUUTWUeD
11fTz82ddZ0749LrXJ9I90b3uasu/qF7YM6b7q6rL3W3PvLGtGPSt25bscB9
57Rz3aqt+6cdm7YCgV+4cKHbsWNH+N++ffumaUQbWZC//M6tAcQNeJ4ntAK/
OQl8YAcy6C82RpmmL6b78StBa9FVdklA8B7MhyDQk1SwlbZkKCUIDhDwieYQ
xCgeGh+/klasn/tggfvVW/4Hd/7ii3QZ3bd41ZaQoPaeuS6j2vEU8W689Ogy
z3T57S/4Q7CYA63LBPWAne554i1krjlgLmC7qYd63SUpB0YEu66VfDwmuAWs
5GPS6mBBRGCNZMW6Zw05sj2zug+NVcOi5W3YEYC5b8SkkdA2dccAfZJp2TL/
BELAhG7SZJlC23CVe5//c+YR61iDV9m9t8wI4xOrlVanATnYlF5velqgvXv3
Zpl9++236VqbVh2Np279sfv2qWe4t/yTj0+MuzUfvu5OO+kk99qixe72H1/s
7nzq3Xw0etd+5M465Uy3ZMOefDRoezvnnHPcpZde6i688EL3yCOPJBE/Lhhk
xBFDKqBYcTTkB/XsM8Mao1yCIeYzu/cOqrWAFaM4yEcE6vGnSAdEkFEOYAOi
6e8gM+Nr1m3eXRHgjWaYpORq6c5V7rj7fyW0DVgyszqQBIxdD2JBXng85EA9
Rcgj7haRv/97e6wAQ8CF5707fSusW2Qs4Au3dWiGzfmwNZ8IpIoQ0Z4SDi8J
OfvW2OPaFowlTvIJk4imPBYRVJNFw04NrEEh1/ahrTKHoyJGK12DGpKwbf77
q4uJjiI1zQ0Z/vvrxLa60mlAsnFJzZFN8gBnyAtMPg73339/kFFk9eyzz6b1
rj4Oz93zE3fqKae7s87+obvq6qvc6aec5K688WE3eGC/u+mKC9ydT1fH4bQf
uKUb9xaWYs2aNSFbwf8a3y6OZibPvDxwGezK8GyWXylujV1XeNAwrB8XCvTq
wdK88M+nv0Ov7toTE40Io2XC4wBoW5R8xL7WBG4aU2XNuy0lSgw/2bbCHT/z
y0UO3Lpjx5nP1oeFd+vZW+asObj12AJcDZXvrF1i6wkZ/fbr1o+8x3nSxbPc
c28szicAJPxf+2iTyVJNp9Ui99icD9JGu6xw0z9FlVC8QroPXa+hAwXWcG2J
NZSdsOUGW8O2v1HjHsjYUInzXlvBgC7PzE4YY5sttIylrk+eykz93pOWKMTJ
OAw+GcgiyzNLXJctW4b7VJ+K+Y/f6i748a1u9brV7rVXXnbvvPeh290/5A/Z
IXfrlRe6m+9/KZ+Kzcvedqeeerb3n/qntQXBn00/S0QUpDlxlTOh0oIzUCar
43Cw4hTwuEhMaPHwkj6agTVxxhvKpjumMX89XeYj/ERk4JiQB8a3yHHItdaR
sY6wQmT5/+wZSL1d9r5I2li6+QDbt1U1H568rvlYwixL4qsY2TKUc2739B3I
97301jJ3vo/XIeXQNUIOzAddRxJiqJTrdmsER+2RDelZQ4orQcTA1ULcZhZs
24jVNWLszL8b5jZvCzUfO/8dgMtBM/YqFHECCKnRU6j/tdV7NEyyo/kA8CwF
Q+lhY+T1n7zmTj35u27hmvCtrn/LKh8zXO5WeMf2jcdudWdecLXrPRiT3nMe
utF9/8Jr3d7h8TaRPyH9XCTR3xNEnliI4F0c1hgGsGgkVfCy8TTEfDxtekhd
hgT91iDZuRkoYf5iovOQZkBr6Do7bVEEon3RQ06aCVBHCqztNG5J58ctJ8Ci
fI9kGfg+ASdsaanO6iRYeXFfqMZXFXoSjpr+an+XZRk0s6Ugz7vkZ88EIKGt
spOxGjW8be8vXZ8ZDG3dA6tUr1VNZaoskTUBJHU3ViUtJLaehdeWyOf7VMLT
CUBvtkHk6sZkQiWSDDhV7dN8o7R/wU2MDLqHfna5O/2MGe5e7yZdes733VkX
X+t6Doy4gR2r3AVnnuouvvpGd+9tN7lTTj7RPTvvk2ltmXu1UYVeqDQQYkfk
xc3aHSmkfgz05Mo7XjCt2RGWgt8DcA6jScAlYT+QOZ12IPhfNQskzj9tDJl1
xX8SdrJRGhiWW2BNXbFJNRzIk2OOJOyWIvNI1w4MHeowH4cMlaYt09f87Ha0
gU1/1p/FlNXoUSF17Bx21D0m4KPlG/M1smOPznm/WBfbIW97ZOoBF23qXsNM
LFR9IiUghqzXDqZzX4lDBmbyzGsfF8KuXk37GxqnPWCQXKzLgaGoGH6nVdh/
M63P6MF+99arL7h7773XPf70C27L7r7kvhzndm5a5X4x+yE3c9bDbsGHXW7M
uSMIejyKguqJU4qnYzdYBYwkwu53XL46C3Htz18MNAvwuGIGJOMIhjSXPxeq
GEwkGae9ystXM+xxJCyDHez40ptd7rJbnyu205bjm+x4Z9m+TczjOOLIo2xr
rOoQK/TthjJSaPNgNreI9J7AM1I+y3hyVS0g0MIPmo67Ax1ZfmwLKmDQiAck
P39+6s+AfxRiTgDNEfms+Y06Gdrm1rN+tQ4O9IYbSnTLyNhYQIbg6ah4hQcC
fdjdj73JHto5wQWVZ3K8tNR6bO/UhfwIf/rtVklvwwqoNYiFRZYCBYM3ms1I
+lhUJbyCIpZ4iU3/XPo7pJxkJ53GUAzwORVq0TW3PTovjD+E+/mQIZHB01GL
hWYYICx0iJ/549ksjA3HVLBsQ2YdUU5FOWtkMiALN5TIwpGUwrGyq8FunMTj
W57FVqNq+cPzrjEI4wk5ZmWXyKLeyF0BRViGhsgt3U4QgmgJWXKWdcJUihJ0
uJBT1HEN/FV7LY33ueC7cWdHtcy2v+k3KNoydAWgitQxCE4iGpvQQaRKKHhk
F4Hih+YMf96nziSixiO+VKkLDuToaCOn4ttk04jVm8lfMXgk/geef929LwUH
8Kvm7xCmJ+cuCqxbluxIbCojeWb79PA7KFROm1fNWr8416HkW+DPNZKvTU4b
nVi2RtawfouKbdLfnejUwRb3wp4FfZZjWI+EIbdcz+lE5wpRa9Ojq7rLzBCJ
Qgr1JChzi4df1j8/Jc7z0DVS5E8nnJXVpzL91letc994gfVgYMkzRDj6jWBs
/X2gADOBmbcBNcqTSi12wL4Hao6JTf47j4Lu5o+MQOHJd62NhBMIlGK2wB3p
d4an9adNaWyUTU9K1ck78BsmEVXbVWDH8V4035hnaXo9UyObw5zW0bL8wWdr
GGFwVCq0c5t85samAojf2QCgiVhWZ64zY22sG7o6VaVtXKfMi4UbCoJo4YHq
yyjluASIpPEIxfuKWtHqW2z4069+FAoRkp2h1J0H2iKjBEbHOuxQwPcdKEtK
7Pi2KuayKGvt2/LApxtjOBvXqQVZOhOd/I3z73M/vXcu6/Fpc3lVGknvt2Xq
xDr/Kq1whAf2ZxzVISOlttnJy4wuQ1HCcnXH7mwRi7GqOO4JUyygoIVp2M43
bhvNjk/KrVZ1OQxgnRL+eOsKd9zMLxWCGb4vdLCMG8Fs4P8NhH97x7UAld5b
pphzZ575vrUtHScskGZAZJ5TQyyeZ50MNtjTIHBhPJDl5VJNxqJVuyuTe8kt
z4bm5G0Go8eRvPnBV4OKsgm0GgeoFvRDJpXBdtc4wDDVIHV2Sl3C1K00g36X
jnvgn4B5MntCb0NfP3V+njx3yz/1UKJ3WR8HTGebHtAhacySIiqFRfsTZw+r
6J9e0sgZ2pZcWW9P1IDOKMEabzE6GqGYdh1QVzUwfotRnUeURmOys/RA3tLS
PKLfsAhsNRNblVhLbegArCYhKBSxvxvczTCpZaK8lnpCLSuz0ku6ZtHWlpQH
9gYYIrRWkI7AzjhsYpN7Hn8ryKpNM3Ii61CzxzRI1LJKe10eeRU4E8vBegDP
mAuMDEof7kv4F06bqagHwo5k8adO/CMGMWzra++uCEg18BO4iTkBG8sVW1Nh
junLE0Y6MT1ojhWByGhYfLE4pmhVlsN7fVY6qez6SK+YkyTHPffG+j/XRm2T
4Sc7knTa4Qp5hg50eVUvAO5J30Cp74AYljwYaV5dpRf7I7dvcZ/t/8wBkjkB
toxR94lavk6LxVCrVB5gv6uvg1IyIF13lFwtaLTvXPEIJAVNi4vfCkDVVqNx
KhJbSwE3Uuf1Z6vnw/EUvxv3/e2Zd7qLbn7GDgpH6da+52Rqf2AE1NSl82tp
yflxNp/hYd+64H6EIytOIoJAX74/HosxA6VQYweL6H/5t8xl9pS98c/9pXSZ
M8DoR6bDDA0fyjhiMwnGwtjRJdbWIDXCB+fq7BYvnfdFF9NmOmv3j52pP0uq
aHflGdg0k75vW8vce9vt3LiTfW57ha+202bs+8r9s+RECvny+25uuqItkYjc
vzyBOBXAbLczHhPvtznrTrIiIyEtxMRofzpy/dEfNIi4LEwjNXkUAsoh60rQ
DanPOfOXhoQO2Nv6oO0zk6U1TIv7ps56JWphhIGNWpaiIAAo/ogpIkd3vupV
K6kAAMj+x/MIYvacH94Z+0zFfdUXJj5uCUl9cd3yjMyfBWI60VA+R8kpOS6w
zrCtWkpNApO6mLR0z3J3zKPHhZ6pBl15oAOGzPcrt2z7nmpPAR8GvW19ReoO
rb1Q3aUVtzP6imvVfOzhYMXLXqgDpsGlgTV32hTOvE6ZrlGR1AmQiCTm2vAn
SSxNFgTLzZDymJeGCoFJZX6Xs4T5f2nMiSQxEkWWxj2UL6tRA5HpZkthBgRv
QLP92pSlUzOvJJkYQG9QJXnYUVjPQSn6H/xcellOB69O3Dnvg9UhRAjjaPxW
qYAwnEYxRhM9ErZRMLQNLbBATImcdatA6yo7MSJ5lUJEe2nr+3TomZIIsG5i
m81x9shYx8Tr8ZaeqTZAMcdCLYbWlNdKOrLqxL4n3Tc23nQ9N5R+ET1va6qH
uxZH6TWOZkDjbyjFlni8zgOxq/U4C74PJxJm9pz3f+Vj92cn3wwoPV/D7KEZ
7W/Yxv2GUXFPh+OKwywGX30f+Qgdv69MWT5/O+0LSkSNe94ZEbC4L1F0UUZF
fzCyWxoV6wZC8Oun3eJuipTZTXXLbxKdSlgS/BJgIULFYUqE4LZ8jpG3ZLKI
EBVB6SVB7dUJzjc/WeE+f/0fhQ4obT7kGLuqtmQO9MIl3cU1iG0XLl5fCp1f
xDoKYmNq/zEcnIqhAf9Ph8JGVfVnWcvaam8KnkaZVNq8o9PiR/Q8unGsoKGu
65Oqdx403POhDWlNyV+KgIGnJiElVDx2Cpo11tErA7slNUBSzVx9+4eLVxG2
Qtd4ZaGLfnXK8qkoO2DvfTgIQDbLp2LyOF7b/7ctIXEn5oIEAq8r0Yzt0P2B
9mrGdU+4vQONaPJ+oHVs55bFjuQmRi9K8O9b3l30F56x93TyNj/4i0Xud877
c3fOsrML/UXZiRnIWVwpBdz7Uimu/jmAbNu65e2Pzgvrb+/DjLNNFmNC1Feb
cZ5vYqIUTfRcW2PH+ooFIq5n2Z1kA3nbxKEQKOc2mYjZXWJ5CMZrshTy51vq
eMWLuuZB6Hch4SJXzhigbNcNRFHXCFs1Jsp6nTzLXtNoqmvERFOXSxXFI9pv
u2aaSi556bVp9Jd3I7+YVjgH6RE9EvbE/75Ek1HWmCdcFE4gZsAyTSEStoTG
jwu+o+W+04sI6IoB01/KNtEecv/TC6YJCY4Yzrj2Sfc/nXmqu2jxpbpMxoGP
0/RQtUyg6+FQ2t8AxCnB0uzk97KQx7OvfZwBAIWq/OE1jxdng4eC29vKHiZg
4ZJSHY8wcbaa2xgbkEvMWFB3a2LpTIsRElqVz9NAZieLvvm65169EXZ0h4Yn
ktJo6sUDHTV4fDKSVUQO9fg1NrBh9h/oQD5yHok67GCd0UR5xmenTm+nKfXj
abwY3jDJEjSFBPWgmRPl71HmnQK1Cdl/O18eC3fzHl44BfUbS8S3XnU0Ffed
DRG0rApLgMjcNXs+1spqA3oOSS1LDvFAn1n4jvvyrX/kzl98oS4TA7367vKw
0aZ/AZM7//1VAVrldZ9EkS4YOnr84+Yv5giee/2T7lIfA3oR0mXWhpa5H9/5
S9ZL30CvxF9+57aChvH9pRtCNtAWnVCQdz0+P1yTAHUbBkALgpF/kLPZPu7Z
XClNFlnOsK5FVppSWCwvY77WO9ABRhGf2mA1f1p0xXbksp45k8JvbPjxMkiw
/0BHYYvgQvm0qXPhfTkJKZxYP3votQCDpDG3IXOd3nDurAmk5rLynEZ15qfQ
fZqSS/hlpFqwAD179gunp8AOsu3Pmfc7UKUx2Ke68xyjWM8shCLq2Ps/H/pz
MrjIOzk1GEO5LnuNPSGubhjIpodX4vOBPGJyUpextZRo4Tf1h03fALc9/eev
vbeyaGoG1PiWcS/4OJ746wtXZukExfXCvMXFG47EOSnVtbGOeUF0G63aUGcm
46g0C08SCs/ylVlkns0S1EOvqPEos5tz816nqFffTptjk4HuZ695e+c8CE4P
+Z8xydURpXP9+vWNHE+LAw/gLfmr794GFkPhEYov6sTdQdqQQKlQDVgPnTDj
E1KharhGmnLFPXqe5JRICjcWo6Go0zU817qZrEm0Nwrpwy3L3fTQONakPFMz
WCGEGrvgXJksr6NulEKdBArzXCrEnPhocV10Hy7Ng8+9G2ZGiZUGRfFtL5Kk
4kY0Dih2kv3ns+8JbUXW0aQg0m8AcvzMeKVHOfIARCxdEzFR3cZrubhzIB+A
dKXTy3ntrfgm5SzuN/l3YruzIkEN51c/jQpZXuWV1DfSNEhHTUX4/KNbn+fv
ElvZYaZEXn311e6dd95xvb29OfUeqeh3BkeCHBq2SlBmvEgAJ0xjgmkP/S+t
SpBASNUdQeUSUHyNaONDSKXhEdjypWl+s5pX7GwP26dXw2piA0VZp4wC+sVC
QNsqSxbNbOFBNQSpDc1syb2bXHtfTo0db565PBjR5nAgU1op97S8vSwgyt5b
3J13EEE865rHwlwRUwpEnuoEDzkT2X/bXtLpaEYtWQcvAdQ/PFKA/zWSKuPJ
A/hjeyAfkjDSAf0Xp/7MfdC1Idv1TTHzX8h8HINSguhw1Ele3fvk2/yOxH73
7t1uy5Ytbv78+YeZRHnWWWeFVtw88yMNswsTNPcPS4lyABYt2xB0K8sImEtK
FKkbSnB8L3lihu8biJl5rw3zpIr9ByJpH3k8K6C9+8oJW5jWuuswzHdPxKRH
ElDizD0t6XZhKjMkJPBwlWVOYe5sgTwSJJfX9hmcdIMvHuwYWRLIVCvuKFQB
h4W52dbp/tEtz4VpWt7Tbuxrf6ibe6Wel4bCRo24B64nT7RpG2nm8jQe4VAH
sTx2eGtVswNxoUx/UxHoCZp/W8++Ys5n+SoRcwwBDFlISScmmGkNlHu8TpB0
zpo1y1100UWhLbx9umXZCzg947qxuH4PvpQ2LwT4/jQhNhDiEOMoA4qPQts0
FFBMuR48cChzg8vj43N4gxhn6VKsD1lHfCBV5GmMU+hre4/3t9Cc1SITRHVm
KapBD1d1y7bPxkxkqXPboMhhwkb39uLacEsdNOrccsSNhdrpvl4Dt9deouGw
1qmLVBLMifi7H9wZMj8mGUli79k0baoBJ4bVKn49tvRtD8WTnHyP+cKOla2D
+7EUI1kAJJ4uuvmAmRsaeR0PFW8TEn1XPhpIOXw0bB1RNbdPnWRPX4rZW7sp
x+vyT9HZ7E6aq2q5PHglJtBcddcvg3Muuj42hAGbp132UOD5IP+lbCsh0sU/
e0ZDISWjyNM/nnMvcyGL6FB4I5tlFrz4SDIa4aCdiLjAEW18hWCz95Q2O8It
R4prK9d34pwyp7PFJaVUjK2Fc07rNFOAHK+PAyEatvgaNRLDM2ILqFf87+hW
OF8ZBUqnn4Tn3U+6A0GHXa5Q2avmNrKhKyukPqq45ucN8zySX67f6M8VzXLG
Esgii5hn9hYj0tj5PIShp6/8vqOYPDU9T0BcHjEmGdIxdCgbfm+ilA3luAfc
cmCm6Y+gycYR5dXgQQIr40VdsolMAwIjB/zmotXi1SOB9Pc/vNu9sXBVfuk1
pnxoMYsaymFl89iZXyhkkwerefDWGA5yi6PbVs1TtWP0sm/bIl8Wb9fWyqFr
2KB6EKdFKn3WPEvdqb8i8pkXQoPtgTPJCib781/Ouy90Meg+8gv12cb2j1fC
agfN5PFEoSuiHCXIGdNayVAj+Aysvu3hN1BuTRZ0NFORWjdhu4WRHtVUNH5Y
yQ2FQNKmbMS+/gO5Ku/toUBz3hqIexfoLK8ZVcWBUPGy9SmeF3XmTa9o8ZAC
oggKDjYRrGjIZl5UZMpSublTKvn6ejxZwB+PlPXKCGQvJWaLGc2naz0GVZUx
egZBVQDe95YaWJMrJs1Ic6S0d18nGknFatu2X8/v42Sm01Rg2/7mDG/673mR
75F0YLfumD2vCHvSaxSCGepgFg6dXIS6hinTj32U8njVO3v/17dvdC++ubQA
qkp51PBAL+xHIZWqHwXk+9aMfLd1zZWpp95rgzz1wy9RmNQXIYBKdqIS1yVA
vPfJhAJhc3VebLosFNrNymmDOoTv/lL4ekw3mlV1dShOLn1tlSuCI7wWNCI2
MUg1At7fIeBtEZGC4VGTcI+Vy/h9EjTLm98EyIc6gJVjLSBP3uvND1aDZzNd
+RvcH3/rBobI5GsPP78wD423UiZptFVxdRHaLFHN4kz6hNKFNzeGuq43q3Yb
/MdK0dhhuBbbJE+EJJq8HEjsnVPEHVmoYuXSOxK/m76BcHFZzLNP07C/PWk+
G9fEbcH6D1RqfzTNJLDPfshwnGhPF7XIXAgTqsjX4g4t1LJO9fAc6yu54Xdr
bvo20JtNJ+WCzuaGr8hWNqURchXcuw3a5xp5NGKg5hTY6vnfdrKyfhff6IaZ
L1NRzN/HaHbqtB8u21isKW6orZajneoh0WgQ5ZAtF1NNgm4xmnq3vabwc8KU
Ze5L6X34xthItDN4x3jDYWqHd8QlgPx5Yxqw4HdfADo2aUXqBRodHS9AxBt3
CrTz6+bRxURsue41pcYeocOLYQN229vX6YGhkupGMx5+ddWnM9yShQwJp6qx
smlSaz6b51VW0443V83hbWqO6KgGaCCWO+pOHK+qhOWUGLJJ6zbvMr8RMQDK
xpppXnzlty+63/3ilY94dP06rcK0DFsvB89HcZw1SF1pwpd2Sl2wgwbrwO4x
NWFkpOzqLuB3RyGMsW3y9kffCOqcKjEN+LK/hxKNEubTv5S1v/xg7P0cliJE
haIIKferoDPcMrkUX3pl1fvSVoBpk8A4tKbsdCB/Ug+UaWudtO3mbTkZW5Gs
pY3PDVbtubxbrRy3mT6hAn5R0dUMG9iQZICUm6Q3Z8Uz+fFoYUCFhrMU9dQF
U3ecboXG6I+/fUMgZNNXQjzCrA770xSyxZagbQo0gGu2FTS2LLMYKJoJrDtz
RHH8lMVPaW/pQZ4Uf7ZRVceHBcfTAv6IRmcR/YbKGCv93RjjiDjiATFk/quU
agxtBJX+Jz9Qp2oRQ4lmFsNNiOEXCzHkp+umw61mfqVNIdKhb5t/QrNjd6d4
1c06q1pC4DgjswzHbRtanvdkmiI/az9bi2YoVY8W10Dy1Ohw3qtG3yJyiiAa
dOPujplZPC/5lVXZj5seUrwMhIPEIhdTEuN8EiVtE4q17orbYJp6co6SJN/q
yEMzdTFUc05IFqXM4VADYCMdzwDks3/yOO+hEBhtHaY6xHpM6LyRFkTL8B5k
yHUNa61CiN6Lz/VUsV8Y1FG5Vkt6l7tPPTq96IvA/sjmWvdNv2EriTyPvYbI
K3tjsRo9VWYR4GodJ/ObNdC7LctDUWZ5It2w9nV1hZZAHBVKdYQgptwfAtO1
cX69FbWeCo8zYsDp+r5AE1/07sV4+vTLHg7A2ImmVh1JX7YURlil7j7TocMJ
5vWglLWvVzSITkn8bPHcpAalHANtgQ8hGe57q/ckGpk6Lqgqnh8QLVmsJnEd
ceekSUl1EpZh03/HPHxUPw0Bth0ZZ2WxlrHFPcvctEePLWSRz6nn53jz2aEK
651krro23nGN9xK5W1a3+4dcbyWL1k+ULFo1r2t2cmERhqyLDRC5sWGkISk4
UmiC3ql7dHhmYfmtla6xUxi7EugYy+aEIVitg4fGsnWiizCpAjtBrStheevo
l2hn6phI1ZQOGl6Mff1Dv5JWOAYfexR8BHy/lxv5f6gtYLCInn8lBSFr/RdR
S4WxyH9SkF1ecLhqJEDeZWd1jUWo08qUYmtIFHYRFJgVhtcXLXMn3PgvAsI8
J+u8YpmdyNRskpCcgr1GzmJbxWzBZiiBZwWupxJC3DOViht77HK6WEKIuydF
18wKHOhIU5PfkMBZ/2qwYqyIwUrpPobAbm0JRiSvVLOPiO/TKuekd0ph9cGe
ypqSQA66fAiL3q39KH5Tua+pgyDlzFZAx4yQSMxrovCfFJUiSWnGDJGUjgMU
wwwlySUPw2mf+fQ7CJTkciIFn4QrthSnw21HpK5IClP33XD/ywE6aN959pwP
3OW3P1/Iwr2Pvud+88I/dueYppy3vLxxcizZBR4u1UdmoegaoSMdU/b7kGcV
e60vqiywDU0gSho3hMjImgCeliY8/VPkcoQCbzrBDmaqiewnmpkuksEVJoSx
5fu9FYBsKHXt5fko00py5txxMXSwo+sEpb8vwaNs/HLlnb8k/ZuNGmddLEs2
HynjMvWRwarrcfrRv0iIFz45iZrYBh2QXzylahQlBzCRouRYcF6zIadqwrbl
wQGGZd2GAWpYlEiKCNAZVclTgB3yYpPVOxVokMT0MA01KG8e4ftXznb/9ocn
uQsXX6xfgn2SZBptDLp256Pz3V/5aw33fYTSwEXCaAz/krqV5AFOlYVGsFJ/
94O7cBIb2fR7z0xIrkkOfzl/qZszv5yl+vrClVWYG+OQuozH49TzfESnj/xL
RnrM0ImGv7jRo/o+Sgg1I5vSM5ZAh8RQXbzRCBVL58K6MMTG69h8bcx4mvo+
6tBKgUx9WKvFPLHd+dMqn0DVsnEnp/L30q3oR9Ac3uBmr3B7Aokz7Cj3MyQP
kPyTNqAtU5iMu5HQ6WHjHnru3VA+8kYyw5T8VzLSbd7CVUhhgzIcd0+9+7b7
lVv/lTt/yQW6rGwxRe3evkF7GWo+2hy8ErJS/dDz7wWHd0ic9FFaIRa+7Lbn
EEc9NC/LELTHX1qUzzdWlgMADnWy6Wr3twQICKhRrQPDtgA6WuFkhOWHXRsL
QdydBoXZawljWQrseJz1MGYGA7Shc4LjVDlEaAzh0Jo8YYOIzN3l2/dmJ0QH
gPacC72GgAdAihNlKpowaRL2HN+OjRtPvO1HVWfB0qxLNWbv22pWMOUXavP8
lb9FaRxeM6S5vf70S6IvYS9BuN0w8xX8fC0KmZeachfB1aJoI4OCHi37vFGb
Najmo60r3LRZJxQZHzZoTQWs5Vpd4cPCbinQ4NMzbzTq3f+nxI11fu+T7pBF
8Jd1NyeZrkz8VK+/9MXEet/2Uvjxik0FKxTQGlh/dO2RF94PXJ5WtSDszIK2
EkcyrS6L4inJBbckk7V7h2ltA49qKrvNTHeME073NTTy0VQGguxYC8hzmbwU
yLu24dKMNP/L793UBVGzh+lhYNN5fu+6ShDRyIR7OIo5px07UXCcAm3c4PBv
mKe4P41s9xvTuL37MwGgBBHTpnClkxOoWas2pM0Hm5a5Y+7/XCGIbUjwcC1h
EKyZXVvVWzAQUPijFZqyWl9HqIOwyhXTNdZsSSqz6rNodzThjswIdWyY6wFW
YVHXBmMqe4JihWfJNsTeOOvVkLfImEJ/vut4m7Xi4Fj+EOECrFzFfoa2+VFb
i3UOYc3GMqxhDUTmKOGbv2h1bt6WjKOS6IXDG5q65KnSwtO8/t4Kd/XdcwKs
kOkiv29OGad0e7bJsctP06r9Knw1Xebl3/Bq+Lp752J6LdpwXzWJFLkApu8t
VZGbIaQcM+GfmLP/edlLZV4rUwH4vbMIP+Tj2u+ztUg72U553LJOWFZVkB/l
ovI176bVaFpkFlghbTdKNfP9/zDj5+6BZxc0lZFoSuh7v37mXJZE0sboJ7Wx
2uxjPdWMIvhwhQnjK4NmG2k0764WKt+2AEY1J7LXksCPV2x2J178ADDUwtlF
or3dnAJstu7fQuf9xItNytAoeObHETIeFuniiMsx5HoqTGWUVxyjvjXq59FM
GQ0jDX6llUB2jqDg7sffPCJYwOK0jySBbbjFtrYFVaCtprN1OGuu11WFHPY7
VHcNLjay+pdztyz9aa7/Gf6ruqgEJa72GxA37eFe6+drdCeddc3jAVFtU9IQ
08N0Zju8agqbQJFdVUQapv9miEsIUNaWAYogMKypmlSQ91O95vjO5Q8TDFnM
UJz3MiFc7KpVqw7XovXmm2+6np4eQxUdu+IoGWBUaWBQSYUXwnTQQnbVnS8E
s2C9QR4Q9JR/WIkh+85ZJUnltZ9eEbK5v/3BnSavE+01v4yhy65WCflqOJj2
diBU2ySR1uyVFbpbdt12eEXu1SidZTW5rNVYct4ssd3bO3LhfE6lPd2HblTf
nq4NBDhPWQKMBEHlydueeL1pGJLUQcxM2L5wyfosJTfc/0oIZW0NhrRVDcey
0aCuAV2riYRwzrckHyOT/GxviKJ1DfQtAJm+/cPGV+rLgEY5hrt27XIbN250
b7zxRksj1jXXXBPmzM2ePTvLuKZy4Nv5J9TEco40ebzvXfFIk92OhWpO6Ele
I985e16oyKu8rGPBhDv5tFyjux77609grVysq2bBDxYaWsNP28Qw8+qbTN+a
DTs7TGNqZCmu4S51cEpMNlS8DeKrJ3PKWwUbYK9GwULsqh6wPCRwfCJzUhVA
h4Ml0IGtlzK1PCqCDUscnnzpQ/cfTrsliKbEi1lCwONtjQ4ljJdkvy9liQrR
RInExukG86rmbK+vsjE+mHhUrNvEcVWGUbnrBx980F1yySXu3HPPPUzH1bp1
68xTTU+zNPeFzOLO3oHfT/KG/LBwZLSTj56bVkRByfhWBhSMmq4qZcgHM3nW
9NxbuSpurHXTllfJnP1hDE95VNcbiJfue2/DEvep+z/jzlk6ozTElaqztNC6
z9JC65rl7NdnI71TeZ8dI1qqybHqs53XQiWlojgABlY39g8ONaVq21JVX0MN
k5vyu5YTJZwVxh2QTPW7JN8Qu0vO9PX3Vuaf4Qgx3srmaADXq3LalAIjNgGv
uxmYN5DBmhYBgf+FKCcg7IoVK6ZaCgzUZ2m+g9/AMi7uDUrSP0huAjhwMGyP
3MZmskPUq0haitr0yG0DikIvbBWkEsSIFckSgdT4mFfWvuOm3XecO3vpDwtj
q7YpC1CQtrFJ9RrOhbZVfjh/dmMnuIE/1yAInk/a2jYB1EOakN6aMHfIkEha
Gglonw+NlA13GhduoXT1pAacfOhllpmpJT++a04w6D7IzdcgEyBXap0ByOLk
hltMrGpi2kuet7cibutLjfRHh4mV3owh/faEpB+1xhi1yzH175/TMt6qsL6I
oP+kmp9jd/4W4srcUYrXr5JUgR2t4k7KWTUWhYp2PZTj7Q0fuWn3n+BmGMVn
/T4Lk65FtntLJ3Tatgnos0RDNR6nDYptB/LoWuySKnGxQXnVHMr+X8tTv71l
/dZWZ+iX4eWRSNhp9tp+G11JFGEpgVPPttYB+QJr+so7y5roz//uFbe/EGah
5hJJYjTBz5LYoVm4VucYi2N7VGUTTE7C+E+TzIUhnt5dYlf86igSZmHTLOAM
7OLHOQvAcSVwbHB9JnF068YhrFhnC/iuDpLEDzZ2eUv72cLrQxcogZjru37T
ayBOW7OTxf7baUWdnfURKGTbQw8YXKGuHTo0lmlwyild2wrOlmAqKg9vqAUG
S4Z+eQJxfT4/34EOYhI8rxoYGDCdVacTwgXD2od5Es70UNM/+ydPuNMvf4hs
RvMzgxFBa1QdOd2az1egML/c/xUyl/JG4U8qFo8luH9hZu2MD1hrR+ywBdQy
W5s5wxuwsB3tF6GHpQWLgxVKlEmblbSSd6TYAhWk77P+XD0vxs6gy+TbLRK1
0hCbdH52skPKCF110ggL5atmp8pQ+lukgnzLz5nP6gTlNsWURLHdJJbQySJp
69Z3nk/xj39G3cpopivv+GUgOZKUBfb/xL2iayyLwLQW/78kacXjpyx5f5ge
iKxjyDIH9IyTZgscTavjFHNBCFkb0K/UWq73oT+xkNo5OVF12G9HJGjPbGvI
Z49w3/tBzj7jzrVyZto5s8Y0s750bW9/Z2eU5iHZrrg2uCDPp0p/W0NAk2pu
4l9dozutRm9NZK3XpFLQ8Ft3ld1ugVe5KkHwblsq9Es0veU68xyrq1QKDnit
CWl76Ym0eFmgLH2vronaYdiUC3GP9G5Tx7L+yyRk+Lck9lnZbD6nZxYBpNpv
hsBZWATy8Ezg9OsiERsyQIrm2E2k1ESjPtZHIsdiOdKQ6lLENnSKGOJQiyJL
Wc+DsY1xNrysP5tTJ8YLxKHeVnloYTZDJXY9Zs6BxVqsqkJOAqO9FSNiQK6m
lFJBR0wA4Y+AZecQ5adNf0TcQQNsWdnd4A7qXDL8cp8z98m0NDTde0PwYUWM
wGhl9/aiaYTvS/9EzMhRjeDAnweVAf8k41tB+6krBH+ag4PPqXwJChv3CLdn
nXcjICWXpAna09SM0uSINKFIu8GOjSTF8FlzTXAkScHi3csTRvrcoiW35sPm
INZJFb6/rijw3Dq0OZGxYUeHER40iZuspLz01T1ycXBm7a7F0NLyu1gC5Lzj
hllE17aZGTDNwL/eDugdTkLNgoS7VjMoWoy0TcgsL6g8omtEtQQ+rjyGPR4Q
Pc7UkadfS1/KOKELbnw6ENaY3C/eGc/PBCRq1pAuKxQNbVJhSOAenk9d5ygX
Ge+M2jV5pXzIRwIEsLiPQzVecVR/vKvLi9WnCrEK91VihZKsw04Om3K/n873
TeoQNp78SJO6t/llzdqzaOa6GBZ5fXcUXODYJEELLNCJrbT5YEReds6imQXH
/7z53bqDOqOZTcc63nKNCLTKKuc1vXjLn9BvgOoARgnMRjLFGixPhbSpy9Tv
JeFh1zk4rEaa/Gna1Q65c376ZOgxevvDtdZhlW6QvKPRN3sLETpCDxwUipl1
q1GN1n7bfWQUq7XzlLBgpOS9tI9z31vspt/8WwFJr2sA7ep0ySb/5xqJjMF6
wR+RglDIvzUdcFZWiHx3VnM58AMky7aeIHm06qu+BkpYmbaCy7ryPUdaIkvb
HlJc21+i4UPT5e5yBMFAGoVnfyM0aHeX1ySjtg0bSaB73avEaRrdyPlT3DN1
dLIcLDWlJRYORZZxEPZO98b7KyGHVro3UDXPnh8yg3k+UBRIjici5ZdJUoZr
omE6+Q1CkqqM+lDwlI3tFG9cqm+cd18odWvHbn/gLffrl/yfxbAK6Kg4C3Pm
d+X7WCHidNvGG6cZPxhAOBkr/N7K0GZtpQIK4IdfWFhce+DZd3NuWdfAycul
ykk0/+d6GnRKeBU7y26pQGurAiruWmOqgqXWD09+TQWssz2VtsrUv78cFMRv
SOJtM50MtjRXah8vrhH8iXtr6jhjS0fVNGC4gpLFe1YJKqI8SxzBtT2Mm+pa
s02vvq0n0lVDFiPsO8oDTxEbr0dF7Oo0PShbCGkYu6ZXp8+NouC8D1blkj+K
4rRLH3b/ZsY33QVLLjzePD9j4ngig/F90AsGE1z8OxRFAko5NE9LMGhRhgkd
JZ5xvy9/FBBG5BB1jZEV91T4YH5SKvPT5jcY7W0FjekuMku2IFCPdiBRJsi3
TVeQALP4jsnsuzc4EBRFDV5Hja6s1Nlw6myzAml5rrRTA4ZsTT217CgeOpyO
3oOaOmBOaa6h1CWWcgHy8HfvHcyEK6q29ySxJCzP7MPTM/1AIC2fmJA64+gB
NgGPqLQtDtdkcoga4K4LvZfAyr1GzF1a3iV/6e0u/p3FjZP75IK33Bdv+5dA
2HUZE0Qjw+JVm9kTiwimsg0w1L+G7uZY3/cUXUobG6DwsUFogF74IDQLDp1A
p1/+MJDMAuVywQ1PhVGLA4MHdSu0pyjg/Qa/zqL8Ry/HXWu3ZbmjqQlEsZUn
EA9rqsoBMraoa0OIGW1sKXdS16io7KhMJgqznsnH96sqYuEPdXJctK7OKDNV
x+21R3650P3ZyXC/rzkKlKaF9qr30T+VzGgsv+xK+c/RrOBSVSaN5bbcCWTU
4IwReJ3Cxz96NQHXt18uGX1WDhS4TWxiUpRxyKvuzePaKr6DIWParOOKrAbx
WGc/9mRHjYlaVJ3w5QxQ87LPElY9zI4ey4Km2gxYWL8wWf4m8DE/do+9+AGj
TPUN5CtxCtCjkrXrvaz93Vl34UQ0mLh7XgyIBjuJAbHn/FiZJALlWjOVuB11
hAFXHsgC2BRW1O6ZLVYE1vOqEKpJEQdNRQo55ZU3bt9zFLImkcDeISZbQwfA
pBQcgk8ZE8iHjZHitf05JCBnGFgi/DZ6BWu7JGgeYJS6d9ul4LgTXJP1ziNw
rBS0QMKXoizdt3BDVyh6WkHb0gKUG0vgYpvhj6NIqyxrpNDtuFan7XiV4Hc6
m6yYDIfDZnJZAa719g1mEaNFaM6bSwMqSKvIPJ+TL3mwoHumzxJRbMxJ/F36
Mb1jkbcaEUHg7Vqlmn8hYvi7Nbk5/cUbq2xxoPJJfbgWI6GEiBTEysg+0ByB
o2p3wDDiPWLs/SGROkMP88WJJ0XqTEXmRBIhM8prM1uSwV5ejH4jf8lo4k7r
5wnVD8lugRZk1oY/K201RptoUztZI2tLO2StDR7cDKFvZC3WWfcX34fJGK76
sQNpRZV847lXrIujti3gvx6+2W/wHyeY7xuuEG2sCgzCNqn27OuLg5prBghG
bAb9gdt39eVrmLWTLp4VhtHp+55+9aOQqrW/sdWwPdrqVG8VDW8z47xtf6yy
M40aHQkKKavCo2pwYAVod4HI9Kf3vRzGHarpEAnuSsORPpd/bTQ4A+g56TSU
8bNeof7NGXcwDEe9iJq7QMTw5XQrG3PfU2+Hn/J6PWcSDJKsJnfokLNZpZxt
b6FYzuCOUZPW7x3oQKvZEl6WW8O2assOg1UfdlslKsCoNuxo8DTHNIF6TLT3
VEwBfAKDxCLpPiC6RL12jSOT+F2hEWWkwe8zUQoKM+qS+koAQm8lUkcbE2zY
WpW+JibzC1i0RhAmb8+lzDgUhWdzFAIWS0vkfCHr9hJh6XhWm5bqhtkgtn+g
vlIvmZaAAlVX5CrDd7Omk7ONrfQro2Qupg4TZrHZbG1N1WCBvEcSMwv9OFJh
nRXdVOXvLZSkTbVa87y7UoUU6evhginvX9wXMOZVwRw/cF1FsY24y32wfE2l
+pke1ApBTBjc1DDa83WE7cinIS2DkOP//v7txEx5ZfG9rvfnHBBHnSK2Mmfn
JUnm2Exx+0+dIFRNC3HK+c7wrah5Tod6+REX79WG4iWRLikuCR4xHL33nKjF
KzdL8AjYOQCr4ixj6TdWCFXodydnREKpvDJcARbeX9b/LMdeKXWfLqQuKq0y
bd8Gzx1Mrar2PiSpRpoRnq+roBskzmpJPHBwpGO8n51Pr/vGDWuUdcRIIBVs
UIkX0fZKHzCN/JKFUN8dLnu0CMzA3PrfzztFOP9PF8wMBtaLoZYVnry/9lbI
e91FGgYs0YtvdTVVdedSV/OwyeSi+rY0TD1TatOyqX7UC/bSKypBcXE8OCqn
/uhBtID12WDPoz377Y/WNFQt0eDS5S82RqEpbd4t9qeUhZt1Bm5r+zWVHTqS
lEVMYlnJttMRGhRUZ59fG7S2DbgxZCQqS0+mdG7ewxZCdM1OLrAUJfusiz0t
FhIV3uSO/HUNMClnOcIQ195irZabqQwCA7FN6F6SCF5kdCvDXACGf7RiU/5p
bDaJR0j8bS/0slTn+qL56eJgHbEbi8aYnTt3ZqWM8g60JV6l+G9VM+BYItdG
JrA/3snIJ2VXkh/WxYc0+iZqjqHOE/s6bCaFDiSQp/4gSNXF4no5CTegzyrq
S9RQXS1tE7gI5i1VDi9QV0HbALTDLYIUcY8ljGNsrBnlcaTYwFKC6r5dBqSb
iWX7GhpTO69CSDjLraQCftGdgvozXCS7zSRhC16uh2uz9jgB8OTodzkgkGMw
y0uS1RujxfAnXePgKCWiPOb27dtDP8urr756mKarGTNmuMceeyy3GQQeCP9k
KyNeTuFBb/LHmn5IG4z22NzaQOIl9UomKzZOR6xK7MuNMPCqr63MDgpHe2bT
ijUCsU3OWMu6P4C1kzm2DdF166lVYtbxquWnzRkLo4mq2CBU2xNFreVUqjtU
Aud4RWonKM/YWJm+XZ6gQdI4KPGawE6yZ5GPIaWbwDINknJXJXsxaahWWO9b
S6xIjeioWj5C4bwlag899JD70Y9+5M4777zDNFZ1d5cDZTRUBVijbKgAtSlU
aLiBBjL9TW6aouC+Y09wP7ykWlHjCDH7UH0Hbc1LEyZszEe8pU/zvRZRCxOt
qzLl1p2dUO5su42qEq2ZteeWo7Px/Bo7mL08/171RDP6Nuv7LOVs7gnw71pj
gzaZ+Ra6L9CBJXHWtRFDXdf0eDbgx8+az+6pACVKQlkRR+V2V6VQ9oKAl9K0
ZI/vKqYlHnbiZBsdmCWp8StR0CslGmypMpUJEvjRPtOmOOPWDCSII1CpCvo1
FkYX7V5nFzLJtWG5igTZpZZqEzEbujVhaUNBYrNnNR62rd9uq0EDHCn70RYM
8Js6PtYF1fs2LMQNOFPXYr/izkKcLL5WS90dWOhMEDhNtLJbC/CjtJkFU6L1
a+ZktQAw7E4FT5QLDfOkKLwmkZSx6UdPDWtBzwKyKHsrNVqkaWNHRK3FEFIK
MH0Dw7zbb6SniKzv80InzoM+0EECJWqrjZHMUJw0vMJO09zTEuu9t75T1Gzm
IEcJXuFurSBkAfZf/W7EE5TJMgxL7fC1ib1arceN0xZaATaV4mfnRendhFa2
11RHt1pPmhBLJVEbbIEFgWSoG/+wBDU8zpJzNpmXgzmrpN+gIn313S8G2yY5
I7VQzI2dkpz9d0lQLLum/xbrhHGW1lhROy44PSAvT7n0wSA/kGNKtgiIiXTo
3Oce3uV38jM27eA1kbhda1KbNXL13SBbx5eyZdbaBgQbK1mwXGo5SEDFVDmI
weHOdpQwzHlj6dS3Of9hqFD1bm0Y7tB5ty5y+jfp3D058ZxRMobWTPuOPB+o
JlxQsOtKztuR1BjnreZ/w1GrLTSOJM8CD+RvTFmOBP/naTjxlBvGGmKdyQBM
CT+W9SWGE6QtXML+VsmPpk5sjJYxvNfvmvfSWbDMR7t6y65F7husBshE9upj
Cgjt6NhYR3ESHVTLBTJV5+LwlmpWIqXgbcEy0MT542PlImQXKmLe0Kla/UZs
BI4OdwO829vxvryrGJfqSS8WUWUngVusRU29YImDcw52omHTanKwoxl+mwuW
/qwpm/JrU5afr6Xd50040TTQ01zfJPMjrzmKiFwyOeYG5RQnzbICWAGS/qCx
lHLgTSie0yegcjg7ty4hpWz5dWPF+TURmmZKSluM6sFDpQP00Q6vnWZPK6QL
C1R3egRe9coXxz0U0Z3d+ZL87lj9ubgvOWLVtdEcRuqzOD/1FMMtO/bluMA6
VHUYGS1fHENofdd6poHCQ0uTigaUJmoy1kIBNb9BdrpOiaCxZOlziTJ0Bm0L
Vv1opWu6e2He4oAeBITjd1GJLZwsxhdDdfvKguVWHpaGCHJ/ZjcIJSIvY6FE
NDL2K+Y1mZLmDUA+CFv8o9fs27AdvPZuCWh55+O1Aa1gt/CFtz9yx9zyFXfu
shn5Gv4vBTl7H6Wkx15cVFxjACsALXsNhT7/g1XFszAFpjaKFjdtxbOmvB8L
FP+lOIHgFYbbik6Nr6bLYl/FbR9GLSUnMSz/Mdg/m6Ct8a7dW3Z3FODUAQvU
0ZYQliXCSe0M0Ypcvq9MWYiE6OcbURP42vc8/qZBOwsI2xM4ZB+b80FT9olc
VaHsMzKqZMJQYraizq8uXg4VuIEBAye1PN0ir0LZ1TtA9wLDYu0OADutqWpv
/Pkb7iuX/R9uxoqz8jVm+kHVZgkeF3VtDDCiEVP7hubtuntfKr4PUlagWzYf
xe9S8LP3PfHSh6FgZq+h8Al2aS3TZ5EY+NRtMj/MIVy0usCgc7pq6bJdLFYG
ZOZteZrIEc713KEzDC95CU8USsEmGPb0D3YUSPcYYskvmN9F+R0YOnQUcqZU
POcQVbc5EkAaFXpcMmkR8MrK2IABeGtXbPPN2VDiV1QZg+QlacJyM+9Tu0Gt
HKQiv2WnGO2KzNu5nIG+gwqLsmce9hzbCr55/n0BPJXJa+PlEy940P335/6j
O3/p+fox4PmMAYIJsxGRRe4vTv1ZoC/RNVCA8IcS2Orai28uDUUSpvd+Ov0M
HsqZV88O7Jp+6XXr3f6MQuBs35M0CxUzCHlOMNcIaD5ZubkYKUNHGATJkrCl
XtpnJTpdXQtdBFVai7eWhpJEWOm0yH0BuS1AuyaJpI+mNtcoFOnrAoydGi5/
dcpSZ7lVVM3xcms5emPmNGgwmyVFFyaala/au/1h4BP+1SRx6oBrCPKiJKFT
/vGcnxPyWdhN3VDPx19+e1kwtH5jJHRoQSqgi1duRtHqi8kMPv72m+4Lt/2B
hWQjzbioLy9YRphpL5OD/OW8JRwcXeYEA4DB5fT7m2PRT9YFsfIvk6WPF7n9
kTcCebN/cvvF9z/9Tuht8RZOdxNhgMpmpOXExIQus3f/6ey73TU+uPc7octE
VSjn8yI+1nY5cTBWGOnksSCos5JIKIlFGjNYQ6RT+tlmtQQusdCLmikBG6XQ
NDvFQ4cCZxEOtexs4A5KocrUp9MorR4IcFdHxpXsJ/RFFpZdouBNKdPcgumc
VB7ypz4KuWmkyBg+hiqwjT3wMVx379ysHojZwUPxJ8XZ5DTqhWAR6oLN+5t8
nPnAMUWeIiCrq0JjALJWuQb8hDZw4VgVHfDM5STOKGjBe9+400pUgGH5FSPd
5H9Sl4kFKDR/4M2+ETTCCUhwoRv35ypXw7f0uv989j30yeSt4Ja/OOVnmJWC
q4z56f5AF+2TaGR/RPO60eVQt8mpLmPXF+OruNuijtQem2kMEvcZRDxTFzRp
qzHbvXRwRCoPndzdYHVsPzumlwqQJWVeuKQ7uNn+fAoKi+xzFrE+Cz5eZ5sJ
Ez1Y3lFqE3LudZ+lA9Lbo5rrfvCYGSv7ACxTblEb2lAyKNhypSSuLetqy+c2
Y1EXAjQ52d6HCJbFhuk5vqUvwT+jTdykkaNZqBZ5n4QGLQh0ZXe4D4161Z1z
WHztDTnR2FewN8sVcgqY1rswRc4DT4Gf0U9jqsGTWoI1Uuc685YRSG849XZg
5SJQYHH6Rn8R/OialBpQVMIeYuXxJjnG1s96ZkGQKAwNllTWFS8cn2bmU+8U
k5jqBCkQlP94+q2BFryNl0UL0m0mTGdR6z6MqIGOmCy5eWrUbAM1aqKEQIlW
17VaSpiRAry8r0FlNPdpNp+lqV1hyDr0biIpdK5EW+wsEmvRpSThFgihJycl
A2Sm7nnyzZB/1xK+588/svfqguU5HETLfuvCme7c63+BztZlvKbz/CVooIeb
MjREpvi6owYxy3mVYzn1puBfy6ds0m1IaJ78Q9MzyCcxLSmrjwX5oGuDt4Yv
uLOueSyg5NSMB7Lyopuedhff/Aybaodybdy6J8gKewR5dTasXlaXJhScLbYQ
AdqJ3XYcgvYCtVBPqwqy90Ape2PjDQ2zLVnXasny37bVJw+r0o4hxfKZlr/V
J1YZMueC7623HPEc0/7bi7Q/LmoNW4xgtDKSQFkSJdCjYjvNURpARvUbzFl9
8uWPgnuja+QE/mHGPSGg0v7jyvzFqbe4Wx95nd2x8P+AwPQHauqy9qtZ1lwI
Vdk27wdYbAm4Ibw4WymlhPU3Z96J1/5VK0yBpyVWTGkWkOcmrm5mndjcIgJm
J2QrrHfGjlqF0gjYrg5eyDYBGx9vZpQ3MKJdrdCd+hrBuaBfNgFYJ93CXNWt
pddnEbK6ZsfT2VRJjcGOFYKymrSiBbsYc+BlysKOEZQIkYRQLro5tC4gZ22T
Gt4wgEbvBRUoLkIPyCf83kitoY91Hqfeha5OE/BQtEnjASBHzTj06Rmw/cAz
7yJbGoYV6Rtjs5JXGF81d7N1uGT+jWRKWZmAdNzXMFfSb4209Rsm8l4zBM/y
8MrzytLWguV+t3uJl7bpHXGCKJQLcGT1WUtlbOvs3VXssHnHviCF9r6DLSDF
nr2dkjpgeK9s2jfUOM27DRp6PUtntrViBVL9HDUvMbBooNws5z8nmMeRknBi
brKpL3G620oPQa5q7+09mqLzHB9v6it5/GPNVNUqktODbBEhMYbwkHITx4UN
ZfzYn554UwBc4A/Jh+Xv1gcrHOILxa3qdUL7iaUKlJz4t6z247TRZpWhKjQS
VTAXO+WgkMdKWy1AHmeV8ihCZWvCLbhW9603zLa2bl5Dfejdryf0sgwBp2Fk
3g4wt9UvmXo7DLYeOKmkq9X2drC7BTiKSjynzkz1y2IylqWKU3aNt3ROBo71
9RLoK3Qa50UyT/8BMCHoA9rl8av5mSbc6k/ecTdfd427/PLL3U9vvsMtji2A
/h+vjRa+5n7y4yvd5Vdc6WY98aLb79Vgm4yql2UkgTl4eiRnIHOexaIGiItX
313h7nxsfoFyId0TILe79mV/kGJPwIlHx03HAHO5xm8ctZycF44ySHqOGEzf
qnYtK6t2vmBDx7MzU0EeSVZtyCGZ2RhIcUu5bOuMIr9WA3T3t+i/6AB2YqNW
VXJp8SHZeu/qy/Kmd+tucfZsw6qVX+VLvmh+ox6jgEXeWdGOicPD6s7YQ7M1
UGTqNzCBhZ5M6UgSsxd6z9+vx+ePIK5fdFtXLHCnn3yyu+7Oh9yiD953d113
mTvt9PPc6l0+rlq9MPzdHQ8949587Xl35infcnc/+ZoXcHdsi8TqPPZkMKUg
bZF7viv2SgUb0FCJJZasHZEly4cfUqmaIIMAW4pJrtkUANcCUGCgmTgRZolW
lAFtEwIwE6tjE1/e8lYxdQ13cxMvNIy8udq7uxNU3BYZI461OSeZVQ/oQyXW
oADEpYahBLGv+hCY36smF10LaMxCXEpicF3jqG2oGmQOtpjzoFL3lSqVNdhQ
sZvJ7Fs3gmLQ297MZ+t6WBl9aeZP3VmX/sQNJEs/MbDFXXzWae6hlz90L9z7
U3feVbe5g8niL3j+Pnf6uVe4nYNjVkbVrlX3KRQQOYniHnEw6UQNp9HHGyLD
Vq7PpZlaJBUloaKzpxKcD+54bH4D3mLrPTVlYht9YxNnNwpywbpGQpsQZWdH
/LzdcO+WQMyynbSN2aEthGJnd1SYXyRAOZ4MW4HOPknPCeb7IodgY+AzQNU4
phgNjavLyTsjjTlBnZShJQDpbkEcDCeNYWErgrzYpCFKSzD/3KtF140dLNfR
qxUl9DNuzszr3A9/5CV0IkrheN8md+EPTnUPvvSWu/PqS93tj82fdkz61h0r
33PfPe0ct3LrwLQooseFXq/XX3/drVmzhp9w27Y1FD8EhQEh3NcghEWuGSKg
JsOFpepKXqhsPi+LYUfYxsbHJado10SAk9cFeUEu0YZaA05DjdjoDS0HJSix
zekMmvSBYws5bQvDWXtVpmxgVBdVVpgZRNa4j1RyHz9bOgG7wm+UwZINquQE
2E7/3CZhNKS9Jic2W53xSNY7bqpprF9NimQHAlvZFe5I13pr+ZtmMOxDB3Ow
tDLUk63DdJzbsmVLkCQkau7cuXR6TauEduvKhe7c73/P3XD3I+6DD95zd1x3
hfvBhVe79Tu3u1uvutDd8YsFWWh7137kzjrlDLdkfW8WWlrFLrrooiC8V1xx
hXviiSeaAvFIwxztFXyjX12wm7gCA6oAxCoYMsr//CIG0T0mcF8dK/MS7tQL
b05EjEOZHe241NC4O1DDMCblkBnvkBA8zSaQIOzPHEEt8ftURbeti99OcW1S
4bszHXlW2S2kEm1x/v6WuErsv2NqVk6nf/uu0leN7RdlTA8OVZjiTMG7pemc
zeOzRmKaxfYPBKhZRck6dHAkY1YLMfXXSC3bFg/FczoecvKaMsRx7pFHHgny
hFxdcMEFdI7VouvGR9wTd17uvnXid9yPfnSpO+lb/+Tufnqe90xH3I2XX+Du
eubdUnRPP8t1bdo3rc0lsKVYliuC6Qcbds1o+zFoXsk1JFJ7gteFkCoVKkJF
ajwgoZo6z/QgJGCmgQ98uGyjDgRU+Eybg0zG759FJqrfVku62YRA1rPQvA+J
xjvrOkWXbavTUYRYdTcRHgTFCytqAE53VRl33r4OxzhGaCZ7jGJBM6aecoHU
H43+6ihwDGp2/WHTG2nh0ZrEZzER+mzue2XYdcW/idjW/n+b1t1nZsFYdlkd
D/0GO6qjlfgCDuMd7PISeMaJp7gX3wIaPermv/CA+9b3LnKbe/vc3Vdf7G68
95dZWjctne9OOXWGW71tYFpbkGXngeDxN8RrUYK3i6ZzcFixFy8OqdZ51z8V
YALNFMTpwbH4f864I9ASerdN3gFoVJBiT8z9MH97gEN6qwpx58LF65V1Rets
q4YlsPQ16oKcHOAoG61/vGuZmzY7EmTrmuVdt2JZZ6oQN/Dkk64Mg6SdTjDP
omi9Ed/eDpw2oiBAly187axy9+OJNHvcZKqE+LdYa8S0diRiNnW7O2Rgrf2G
UjaDxrq3d7TWS8va70Ob1uCykDlYU2avJlIXAETS7dQWCrW2dC1wp/y/p7gF
K8JMYLfkzafcN046263vOeDefuou991zLnPb97OzY+6pn1/jfnDp9a7/0MSR
JNWC3S3/BYuDGcrj5qaHegpF8nN/+gueVULKErG88Gd6mVdBASnBhaUbk6C2
aHA+FGdRUHz71XQt1FMPllKJ/YFS215DsuoqTugUeGxaIak8Vi2pKOS+Khwi
Pym6eCu9nbOoJzqCfbLbYji1vTMpwV18tq72pHctJAZaeN1nWUfqOTYYQgX2
zSiS6HNYoHavGRBo+5NqpZqnv0+61tyVJJXQsfB/DptnHTvQ62679mJ3+pnn
ultuudmdcdqp7vq7n3KH/IYM9qx3l5/7PTfj4ivdTdde5U455VT38sKVR6gF
xA4mglnYWsCzoli/kP4upAX802K6libGAyUBtiR+d3zRHFyl2bIWLxLn+MRK
lCRSzKp2VYBb16vHGQdAMmF059PzP3Cfuu0LodlA1xj+U1Nlo8NgQLbX0MUg
bHBe9FnMG3PfrFQh4ZDD2Wv4QqyBvYb3qAywlUig6BbUYWumto9cdU9JWr8Z
+pp1p/+XEhy2IFnTNvJutZuELq0pOeyQrSZNFRFpWEi5YmiYYiRkh0Tm8UsD
Pip57WX3+BNPunkLPnKDh8aTWT/O9fVsca/Mec794unn3ZLV64PVOlJlCoTf
10+/1X3vqkf5dSnIodQimBrQpSAFjGEf/PtLDNXVvj+PlY0xPiJ30JsqUaUh
bvLw7IFlkD2U3RlD7b/rpEseCLPKtM1X3/6y+9JV/1tghbfiRfL52dc+yffR
HQEJEibIdkhQVPl4RYPdRnnAFE98m82wfz4w3nsMUyjs8bAwWpEDJMo1vEMb
KAHTA3JuoXz44rYgiogQNnI8JYYMca8ZGOn7UYZXYgiGS0rV5p2EyrWFTomw
9eDlKtnibC3quWlPMMAp1d6FaeSAEXODafYKq8kX9SduqaECwCsiW7E2TqTZ
dSnBI48Qo8YxIjidaJi6DxpeX70m0ToDM15+Z3l+TUAAXz/9liBiQhgySPab
58xy//r8v3fndZ3bXD4QQiSgghOTuUkAgDeQGAi1dSuWi/4E6mGTza1vvL/K
/elJN9GNYiCTO9yffPtGyIDztV+88pH7M38fIHFdYyb1n518c6AeP8G8OxxQ
l/zsGfbEgojohFjw8bqiGHHGj2cHiJ9W/j7vh1922/Mhftc12hGYqInG1LbP
fHpBmOxei9bND7xakN+SKgJIZPm98SK7EvloUbtKtXv9xnZDNDr1+XQWFgQ4
MfEa2MuUGddtblI6Bm+Uam3SVKQaljGaeGeDGtdAJziDLL2eqC2tGwEnu9VU
pHOA+9G5LME4MDTiZr81333+zt+mtUCXUXTz/AZ7JWT7TxB1NqSZWBHnEDBO
iDKskULW+Ym5iwiOsniwzlhsbvWvrFvphQLrDyu8RIYuwuvumxuoE/Vxpqgw
G4Nklg98dBkbhsKErDvjbyMy8MIbnw4cFn5zG09ikfvL797mPlrWjMX5aPkm
9+/+6QY6JvL+85pQOi5euSXLE6TTM376ZGiCygBIL/KMfWNGwljTz0BmnjYH
3kk/jdjRronlyUFIgpIw5HzqYpa7xqirrIoMLZYKRvzamk0XMwS5EV0CRjFs
ScqM23xUmDzcdyALGP7n973NhVjLYuHr5IRqz86Yn3c3LHHTHiljBKLjujyy
LqKnw59yqWZXn3+2MkoNtakKuAj+oY5wOXngnOz38fV4WqDsssqiK9p7puti
U0FTixwLZ2hHRm9HlAsivCJWbGwa5LX3VgQEbYPI2BeG0ngDnzcGmwKP5gdL
12eJAiePYfcxa0Pj7Q3u3591V+glkzCjCk72TsYPvTD7HdLl/QcOhdzZRTc/
w0vl6NmvxdGPPbSNn4BWUwlYums8ZDoiANfbXVlGAGy0kXlZypYxRgZ7BTLN
1aTUpUeoZHlqGdXw70/5GR6Exe7V6AnL26htenvdJ27aw6V0WYrtDkSFKcSE
4U1VHmOtGbqaC3y9naQ+dv51uBZy5w1r4rYse/pEINRLaM6cDQlY5rJcQuxY
56F5cyUlbZ8IJSKwN03j5mBQ8riENjf9vncBKb3qNzAM5L7YCF1jE7C/KCd5
+ZP/VbMN5VDuTTNad/Y2zC6ahmlHTxNlB8p8H18oBsT+pDKe2f9DwSm31pz7
aP5uBn9F6UOjP/XqR025OiY1NJ0++5QG/XAkkWL762zvmoh8KMSs14xeb4CL
TYbapt/qOh5up0A1bZBYOwe5RkTkea3GcQoQ256y8DGSB2w2VBEuJTBYfm0T
2x7oDwzlW1v2Pa5p2XvAO9RzYlFfXMNvmDoRS26GDS3nu8Nxyd1LUXUk/jrk
QLaO9Seu4nn9eyp2RKsRec/1DtBY461zTIFz3f7IPLLHmWzKC8bct5b5AOsB
L0cfW6sgAKJNVdawZR6pLk61yZXlKWsMXCdpFb+xocIOhNptpZbagIptkOxY
0dgZYsI8hdzLqGTXtm2pQKd3izXy+BsNWqYp2mX5M/OCG4rEfR1p8fgbJT+a
5W6wMWE9e27MzKP79SnLlXKwgAFDd/muvuy4I71gcC695TkqUhIqbBEBM9Nf
fIAkQ8dvn+EdI2ywP8/WWkOuTGjl4xR9N+r5u5c/EubA+Se2ECcpiExbum+w
IzdjBe1IQrWrxV4hVDVqG6tSCymKpRa0gArcsKPIswmabu9TJnTUVF8PDDcC
qWu7AyPW3uLdxD5m23qZOCyEbe0XILhaK9HwWghWG/dLZNgqDQAHcNO2cp1p
dRRQZ+q8LMebb6xHUxOD/rtvXU/5M7vkvDFdUtSZ5r2/ShKFlEOaSNOSN2zS
R1h6GF/umD0PvafLhxIuKPUMaydExsGKyJZbL8bmuNdXu90mUT2G+Lep3Xe2
NQWpqNRPmNLbUaefDOGI9cYsdtrCTvZXDUmhoJq41e0sLu22naclrvxcKB1t
zJ8tiirj2Ybll/TYypWlLKizpRFGtbVojlKQRzZ86hIVM0eRx5pzyq/R009P
kzIHaBpoPlCqfgW+nD4ynMpiqfXIID5j2p7F4SUJ2Kw+ZUOX+OCPgNC2x4gV
XuVN62Lrs22UU23CtLtldAMQwprWtQ3ILA4/Z9SJ7Ym06fi6u22bwf21ge6t
cAYH3vhSJODqiZRtNo+GBdlaCVObKuK+ukBkR0gX+LstZWlgnykGTZ2JRVlt
LG1wyncPZAd8T2JgodVEDjiOVZ0lH03ztLxhym/Xl1rIm5RImtFT0RayyhPV
JGiyEX0Ve1LkQC+lo02KLMTIetptJGU1YnNM1yYmSq+6Skl0m07dNs/djmdT
sabNSy+QnWlidGPkBvL7WhQn1QieOaPZujsh8pOJI4oCu4Xc10MB4n2xRJml
d8PODvCAZo/l952SZNmgnx1ZHhWdtXOom5UhbTDW3O2CtlgZUbY2yR+JX5uE
Fodg2ZrI2WbBgjhflpqcOhVJ6RFD+7QuNH6X3G5tHWJtIha5q0vriGirDmlz
C3GuYGPNAjULFm608YUAc0oBNTmD3C8y0gm7tCzbTRt8w/Hapoo6bV2jijYG
FusSsMNqSG1nsLoX5ppHFmGpeRmxrzXR/4HhQ9kbs3V9LBdmZeqCpcgt4sy3
KR+gxJPiUe9K5sbdOPFvh4grrRpFWsDdZUo7LwEr0nAEe6Cw07YCPDISZz/Z
iUm2j7HBDw50eN1vr+2UKgtntxkmKRBbhqlNWFsvjp2sVIR81W8Ie0j2xPbT
ITuTBohmBz/YWUTqB7MyV/u5nDSqHla+BPMv5t5wLc2pbOoynf6VS66Hnc/L
e+2qRq4PHjiYaaKOtgwYV1/1PpnEzLPpJVYmEQONGt1jIOecc07Pqnj+M3R3
MraUrSspQdBGNdy6v4W+fI1pW7BplUJ7HEa+Qid0FSXiqtWyaXuudM12dOsa
e1zjdoeNn29dKcmD1YKpWaegSFCUaJkwFZnZfqnaME6aVJV2D9mvOWRxL/W+
2eXq79RVUInXoMbAQZxk0zoColc4+lpg5HqNoyj9f1vDiJ5KhlFSJubqIZOb
VV8ewxYbjuwYL/k1ariXfVRd24sdptPeTltQNlxri3WqKSTa5Mu26GQd5O3A
lsqirjVxla6xV0KNZP2aB4qUbTEr15exIKkp0fLrWuqPPuw1i5Lh5Fpu80Mj
nfZxu+n1zmia1OVkZWlEw+1NH63CJDLRtomsJnWMTLBl3zAyB8IG7vF/Xr42
bNhQSXF0welIlf4SV+3mHXuycYxTjHrCzvj/tgabj1sCdlHTQn+QQfNeiHgh
2z1IuaQe0WyJ0bUQW1py4G+t8cL1UClcgTK5uyzx4HHXbpgN7m0utVZyebqM
ESQEoTasCEzt1ds0VXa+vPDWPVcItQ6O3Xi5nXXqasIkZdrynDxHTwXV4tDU
yosc88p1ZZ8Y7xshrQ0pHApA0VgqBq5evfpws7Xoitm8ebNRKXuymZBwsTJK
j0htkVyrW9AxVzIntnusv8r2Bk6YxMpp31gMvFZt1XNekb4aMrpox5Kgts5a
fFaRxKxVjwVQZ/Xmn7fOCPD9knLrhuv5rBTV1/jdvf2dNAaa2fuZ4vlKXlcO
scraFtcvyfqieRbR6tkWkjoO5H3rtBZWaHe1puxvDYdlXWqyNktsGbHO092m
TZvQXW7OnDmHmaN1/vnnuyeffHLarHRtcHy/m7Njjlu1f9W0/vQts2fPdldd
dVVopGofkSQlyP+5O/i/w46MszbZ3j4FE36Ut//bdO2BBx5wPT3RB/sP6drY
2JibOXOm279/f742NDTk7r33Xnfo0KF8bd++fe7+++8Px/rr6RrDyR5++OHm
N6b0NCK95ZN8A38S8uPBBx9khF74k5J6F198MUe/uMYWz5o1y+3Zs6e4xhP6
J83fByKbt+vv78/XRkdHw2bbz3LtvvvucwcOHMj3+bcPq+BXI9938ODBcM3/
O9/nV86de+65bnh4uMEUHzgQvs9/b/4s9/EsfsXzff65wjX/nPk+3p9OKppv
dZ9/1vC+rL7uYyfZUbt+fJY1tNcYH3fZZZcV67d169bQuWXv44gg4HmPpmTt
tZuwZ2zcuLH4RqaJ0dpof5n7duzYUdzHDu/atau4jyPW29tb3Meu9fX1Fdcu
ueQSNzAQzZzMF7vOFDO7m+ywdkm/wQ5zDTnXff7vw2/bXWI3+T67S/wmz8OO
6D6ejWv2Pdi5Sy+9tHhm3pV3tvdxEngXex9rxxrWu8T628+yw1deeWVxH+2k
uu+fN6+0M/u/9nfy/3FV582bF/705XSNVXnrrbfCn76Url144YXunXfeKe5D
dt99993wp19J13gaVmbhwoX5vhUrVoRVXbRoUce1Dz/8MP/GsmXLwi59/PHH
+b6uri53zjnnuMWLF+f7lixZEq75f+f7/N+Ha/7+fM1/T/g+/735s/73wu/6
38/3+efK13Sff/5wzb9Pvo935Z3turAmrI1dF9aONbTXWGPW2n6WvUBi7H2v
vPJKOMN5jz6FR/SpFlN27bXXum9+85vu29/+tr+T/z/WnXLKKe7EE08Mf/py
y7Uv/Te+b6qf1TX+nK63XvvyFK61fZ99lv8/7zvaz5500kn5WtijT7lvfOMb
n3I33nhj2s1pn/r/AKHNtJw=\
\>"],ExpressionUUID->"49f573be-35e5-4db1-8584-300c8cf86795"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"speedVsX2plot", "[", 
   RowBox[{"SBMLobj_", ",", "laserIntensity_", ",", 
    RowBox[{"tmax_:", "4"}], ",", 
    RowBox[{"equilibTime_:", "10"}], ",", 
    RowBox[{"laserDelay_:", "1"}], ",", 
    RowBox[{"tmin_:", "-", "1"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"sol", "=", 
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{"Join", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"wormODEs", "[", 
           RowBox[{"SBMLobj", ",", 
            RowBox[{"laserPulse", "[", 
             RowBox[{
             "SBMLobj", ",", "laserIntensity", ",", "laserDelay", ",", "t"}], 
             "]"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"wormICs", "[", "SBMLobj", "]"}], "/.", 
           RowBox[{"{", 
            RowBox[{"0", "\[Rule]", 
             RowBox[{"-", "equilibTime"}]}], "}"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"dynamicVars", "[", 
         RowBox[{"wormODEs", "[", "SBMLobj", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "tmin", ",", "200"}], "}"}]}], "]"}]}], "}"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{"ParametricPlot", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"CTSN`speed", "[", "t", "]"}], ",", 
          RowBox[{"CTSN`X\[UnderBracket]2", "[", "t", "]"}]}], "}"}], "/.", 
        "sol"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "tmin", ",", "tmax"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Orange", ",", 
         RowBox[{"Thickness", "[", "0.01", "]"}]}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", "12"}], "}"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.729213068901779*^9, 3.729213073211316*^9}, {
   3.729213118086725*^9, 3.7292131718067627`*^9}, {3.7292132177071667`*^9, 
   3.729213244222556*^9}, 3.729213903254532*^9, {3.729214688591728*^9, 
   3.729214746844921*^9}},ExpressionUUID->"f4e277e9-a177-496f-96a3-\
c1c9eb21e518"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"speedVsX2plot", "[", 
  RowBox[{"rReduced", ",", "50"}], "]"}]], "Input",
 CellChangeTimes->{{3.7292131769113293`*^9, 3.7292131846953897`*^9}, {
  3.738002139957361*^9, 3.738002140541645*^9}, {3.740511773557341*^9, 
  3.7405117824880657`*^9}},ExpressionUUID->"3061a571-d99d-4d35-9a5c-\
6bff3a4fb206"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   TagBox[
    {RGBColor[1, 0.5, 0], Thickness[0.01], Opacity[1.], FaceForm[Opacity[
     0.3]], LineBox[CompressedData["
1:eJwV13k4VVsUAPBrJi8kMxkz3HvOKZEM1bmbJJ4hGSpESVQqkSjKEOoZemav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      "]]},
    Annotation[#, "Charting`Private`Tag$61744440#1"]& ]},
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 12},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{"ScalingFunctions" -> None},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.05], 
     Scaled[0.05]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.729213185029563*^9, 3.729213246477318*^9, 3.7292139076569023`*^9, {
   3.729214690976709*^9, 3.729214751298357*^9}, 3.7292152121467943`*^9, 
   3.738002141270433*^9, 3.739629489542767*^9, 3.7405117837207212`*^9, 
   3.743437574960278*^9},ExpressionUUID->"5bcd3dc0-2a83-4ada-94b0-\
055d3981cdcc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"speedVsX2plot", "[", 
  RowBox[{"rReducedThree", ",", "50"}], "]"}]], "Input",
 CellChangeTimes->{{3.740511777589609*^9, 
  3.7405117780153093`*^9}},ExpressionUUID->"7b9d8949-e628-42ce-91a5-\
fc66463939b0"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   TagBox[
    {RGBColor[1, 0.5, 0], Thickness[0.01], Opacity[1.], FaceForm[Opacity[
     0.3]], LineBox[CompressedData["
1:eJwV13k8Vc0bAPB7SZL6iSxZIsvdzkIqCXGnSCGhLGUv6hKSlC1ZiixFRfao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      "]]},
    Annotation[#, "Charting`Private`Tag$12805#1"]& ]},
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 12},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{"ScalingFunctions" -> None},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.05], 
     Scaled[0.05]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.740511778452003*^9},ExpressionUUID->"fa0e5eab-fa02-463d-9978-\
8005a4609fa4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"wormStreamPlotPlusTrajectory", "[", 
   RowBox[{"sbmlobj_", ",", "laserIntensity_", ",", "time_", ",", 
    RowBox[{"speedMin_:", "-", "45"}], ",", 
    RowBox[{"speedMax_:", "30"}], ",", 
    RowBox[{"xmin_:", "25"}], ",", 
    RowBox[{"xmax_:", "55"}], ",", 
    RowBox[{"tmin_:", "-", "1"}], ",", 
    RowBox[{"tmax_:", "4"}], ",", 
    RowBox[{"equilibTime_:", "10"}], ",", 
    RowBox[{"laserDelay_:", "1"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"sol", "=", 
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{"Join", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"wormODEs", "[", 
           RowBox[{"sbmlobj", ",", 
            RowBox[{"laserPulse", "[", 
             RowBox[{
             "sbmlobj", ",", "laserIntensity", ",", "laserDelay", ",", "t"}], 
             "]"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"wormICs", "[", "sbmlobj", "]"}], "/.", 
           RowBox[{"{", 
            RowBox[{"0", "\[Rule]", 
             RowBox[{"-", "equilibTime"}]}], "}"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"dynamicVars", "[", 
         RowBox[{"wormODEs", "[", "sbmlobj", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{"-", "1"}], ",", "200"}], "}"}]}], "]"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"insetSpeed", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"CTSN`speed", "[", "t", "]"}], "/.", "sol"}], "/.", 
          RowBox[{"{", 
           RowBox[{"t", "\[Rule]", 
            RowBox[{"t", "+", "1"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "tmin", ",", "time"}], "}"}], ",", 
        RowBox[{"Background", "\[Rule]", "White"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"tmin", ",", "tmax"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"speedMin", ",", "20"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"FrameLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
          "\"\<Time (s)\>\"", ",", 
           "\"\<\!\(\*SubscriptBox[\(v\), \(\\\ \)]\)(px/s)\>\""}], "}"}]}], 
        ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Orange", ",", 
           RowBox[{"Thickness", "[", "0.02", "]"}]}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", 
         RowBox[{"1", "/", "3"}]}], ",", 
        RowBox[{"FrameTicks", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "40"}], ",", "0"}], "}"}], ",", "None"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{"i", ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "0", ",", "tmax"}], "}"}]}], "]"}], ",", 
             "None"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"BaseStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"FontSize", "\[Rule]", "16"}], 
          RowBox[{"(*", "14", "*)"}], "}"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"insetHeat", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"laserPulse", "[", 
         RowBox[{"sbmlobj", ",", "laserIntensity", ",", "laserDelay", ",", 
          RowBox[{"t", "+", "1"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "tmin", ",", "time"}], "}"}], ",", 
        RowBox[{"Background", "\[Rule]", "White"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"tmin", ",", "tmax"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"FrameLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
          "\"\<\>\"", ",", 
           "\"\<Heat \!\(\*SubscriptBox[\(h\), \(\\\ \)]\)\>\""}], "}"}]}], 
        ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Thickness", "[", "0.02", "]"}]}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", 
         RowBox[{"1", "/", "3"}]}], ",", 
        RowBox[{"FrameTicks", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "50", ",", "100"}], "}"}], ",", "None"}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"None", ",", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"i", ",", "\"\<  \>\""}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], 
            "}"}]}], "}"}]}], ",", 
        RowBox[{"BaseStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"FontSize", "\[Rule]", "16"}], 
          RowBox[{"(*", "14", "*)"}], "}"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"wormStreamPlot", "[", 
        RowBox[{"sbmlobj", ",", 
         RowBox[{"laserPulse", "[", 
          RowBox[{"sbmlobj", ",", "laserIntensity", ",", "laserDelay", ",", 
           RowBox[{"time", "+", "1"}]}], "]"}], ",", "xmin", ",", "xmax", ",",
          "speedMin", ",", "speedMax"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"speedVsX2plot", "[", 
        RowBox[{"sbmlobj", ",", "laserIntensity", ",", 
         RowBox[{"time", "+", "1"}], ",", "equilibTime", ",", "laserDelay"}], 
        "]"}], ",", 
       RowBox[{"Epilog", "\[Rule]", 
        RowBox[{"(*", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Inset", "[", 
            RowBox[{"insetHeat", ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "68"}], "}"}]}], "]"}], ",", 
           RowBox[{"Inset", "[", 
            RowBox[{"insetSpeed", ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "51"}], "}"}]}], "]"}]}], "}"}], "*)"}], 
        RowBox[{"Inset", "[", 
         RowBox[{
          RowBox[{"Column", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"insetHeat", ",", "insetSpeed"}], "}"}], ",", 
            RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "58"}], "}"}], 
          RowBox[{"(*", 
           RowBox[{"{", 
            RowBox[{"0", ",", "60"}], "}"}], "*)"}], 
          RowBox[{"(*", 
           RowBox[{"{", 
            RowBox[{"5", ",", "50"}], "}"}], "*)"}], ",", 
          RowBox[{"Background", "\[Rule]", "None"}]}], "]"}]}], ",", 
       RowBox[{"BaseStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"FontSize", "\[Rule]", "20"}], ",", 
          RowBox[{"ScriptMinSize", "\[Rule]", "16"}]}], "}"}]}]}], 
      "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.729214133121128*^9, 3.7292143052827663`*^9}, {
   3.729215006494361*^9, 3.729215153479177*^9}, {3.7292151896193542`*^9, 
   3.729215192673038*^9}, 3.7292152535966063`*^9, {3.729215291590893*^9, 
   3.72921534767622*^9}, {3.7292153990266743`*^9, 3.72921541634627*^9}, {
   3.729215468048133*^9, 3.729215597676313*^9}, {3.72921577500488*^9, 
   3.729215819308473*^9}, {3.729215963840657*^9, 3.729215964266996*^9}, {
   3.7292510923491917`*^9, 3.72925109323682*^9}, {3.729251286094698*^9, 
   3.729251371080344*^9}, {3.729253739611393*^9, 3.729253742971686*^9}, {
   3.738003428302145*^9, 3.738003561743548*^9}, {3.738003626823056*^9, 
   3.738003630928059*^9}, {3.738003674059907*^9, 3.738003676168209*^9}, {
   3.7380037081054287`*^9, 3.738003769257369*^9}, {3.73800384647756*^9, 
   3.7380038841793747`*^9}, {3.7380039319033127`*^9, 
   3.7380039721553907`*^9}, {3.738004048659116*^9, 3.738004060934083*^9}, {
   3.738004150386998*^9, 3.73800416626906*^9}, {3.738004227613991*^9, 
   3.7380042335553427`*^9}, {3.738004280111416*^9, 3.738004346006771*^9}, {
   3.738004417418379*^9, 3.73800445259381*^9}, {3.738004642789103*^9, 
   3.738004706158031*^9}, {3.73800475252936*^9, 3.738004778525601*^9}, {
   3.738004842978375*^9, 3.738004852972768*^9}, {3.738004901378161*^9, 
   3.738004910805711*^9}, {3.7380051590712967`*^9, 3.738005205296494*^9}, {
   3.738005263140251*^9, 3.7380054512580023`*^9}, {3.738005581558373*^9, 
   3.7380056378991127`*^9}, {3.7380056865864553`*^9, 3.738005765757701*^9}, {
   3.738005828046914*^9, 3.7380058327197533`*^9}, {3.738006114529139*^9, 
   3.738006160208074*^9}, {3.7380062934680567`*^9, 3.7380062966058292`*^9}, {
   3.73800641581682*^9, 3.7380064178152647`*^9}, {3.738006629966247*^9, 
   3.738006657349669*^9}, {3.73800669454914*^9, 3.738006717191106*^9}, {
   3.738006750548785*^9, 3.738006764991152*^9}, {3.738006804677496*^9, 
   3.738006805256612*^9}, {3.738007220424088*^9, 3.738007235965672*^9}, {
   3.738008123512905*^9, 3.738008135180881*^9}, {3.7380083764703903`*^9, 
   3.738008376559437*^9}, {3.738008499844103*^9, 3.738008548257267*^9}, {
   3.738008588414554*^9, 3.73800870193554*^9}, {3.738008770637518*^9, 
   3.738008801500881*^9}, {3.739631076869649*^9, 3.7396310964690228`*^9}, {
   3.7434379610374393`*^9, 3.7434380348999853`*^9}, {3.743438479514456*^9, 
   3.743438489261283*^9}, {3.743438676272176*^9, 3.743438705731948*^9}, {
   3.743438746754421*^9, 3.743438791852323*^9}, {3.743438852877069*^9, 
   3.743438873708305*^9}, {3.743438976618684*^9, 3.743439047406761*^9}, {
   3.743439113317491*^9, 3.743439113869526*^9}, {3.754225336662685*^9, 
   3.754225343544354*^9}, {3.754225422382794*^9, 3.75422543188344*^9}, {
   3.7542255313294897`*^9, 3.754225539329967*^9}, {3.754225756310794*^9, 
   3.7542257635450277`*^9}},ExpressionUUID->"7ae02db7-cf0f-4a65-a857-\
87e8e2e3a2cb"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "7.3", ".2018", " ", "also", " ", "checking", " ", "what", " ", "happens", 
   " ", "when", " ", "taking", " ", "some", " ", "parameters", " ", "to", " ",
    "zero"}], "*)"}]], "Input",
 CellChangeTimes->{{3.739631017382682*^9, 
  3.739631032356229*^9}},ExpressionUUID->"684303b3-7e8f-4760-b348-\
40ad0fc3f44b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"test", "=", 
  RowBox[{"wormStreamPlotPlusTrajectory", "[", 
   RowBox[{
    RowBox[{"rReducedThree", "/.", 
     RowBox[{"{", 
      RowBox[{"80.617963063362`", "\[Rule]", "0"}], "}"}]}], ",", "120", ",", 
    "4", ",", 
    RowBox[{"-", "100"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.729251095736219*^9, 3.729251125637496*^9}, {
   3.7292511734702168`*^9, 3.7292511749090767`*^9}, {3.729253755423461*^9, 
   3.7292537856897907`*^9}, {3.72926995722917*^9, 3.72926997625169*^9}, {
   3.7292934618702602`*^9, 3.729293462316969*^9}, {3.73800216031524*^9, 
   3.738002160882002*^9}, {3.7380036422631817`*^9, 3.738003642499261*^9}, {
   3.7380044374247026`*^9, 3.7380044381395493`*^9}, {3.738006873237144*^9, 
   3.738006918277616*^9}, {3.7380069691599197`*^9, 3.738006986460835*^9}, 
   3.7380087112925987`*^9, {3.7396295026823463`*^9, 3.739629532747703*^9}, {
   3.739629584288509*^9, 3.739629599180153*^9}, {3.739631035527692*^9, 
   3.7396310612617817`*^9}, {3.7396311151143703`*^9, 3.739631215516211*^9}, {
   3.739631308963969*^9, 3.739631348916847*^9}, 3.73963149839285*^9, {
   3.740511811075852*^9, 
   3.7405118115206842`*^9}},ExpressionUUID->"090c3d20-033a-4f24-a64b-\
fd5577492928"],

Cell[BoxData[
 TemplateBox[{
  "NDSolve","mconly",
   "\"For the method \\!\\(\\*RowBox[{\\\"NDSolve`IDA\\\"}]\\), only machine \
real code is available. Unable to continue with complex values or beyond \
floating-point exceptions.\"",2,13,8,20459782633835110248,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.7405118122215776`*^9},ExpressionUUID->"edeca283-9138-48d5-b76e-\
3ccbb4b74412"],

Cell[BoxData[
 TemplateBox[{
  "NDSolve","mconly",
   "\"For the method \\!\\(\\*RowBox[{\\\"NDSolve`IDA\\\"}]\\), only machine \
real code is available. Unable to continue with complex values or beyond \
floating-point exceptions.\"",2,13,9,20459782633835110248,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.7405118122418003`*^9},ExpressionUUID->"b6215f31-d743-4e7f-89d7-\
ed6bdc9a2ac4"],

Cell[BoxData[
 GraphicsBox[{{GraphicsComplexBox[CompressedData["
1:eJxVl3dYVEcXxi+I38JHwIXAgvQuvbOwCsxBBKRJsUSiiYAtwV3Ain2xxMQY
QVEEowkKqIhGRIpY4K6KIlJExaCuqJRgQUUCAWKB7+6sO/f5+Ad+z3vuuee8
c2bmYp6YErtYmaKocUoUJftNpdeoWRhzadmfFMwGKl7O5Y0LByrezCKcutHZ
bV8tw5/jrUOzrEJXsPoj3SG9MVOWD1yXzH48NJPEhzHhWYUziT767U++02NZ
vqg5c721HRufLK0USf+MJbpFkUHC3u0sP/nqr9+T58WS+H1Meis1Vp/ef/qH
R5UxhFWOpl07vzuGxFeJmBdMYXXhZFRs+TKasO0rtReUJJrEP66UPcDqe7bd
aRYaspy7xGfi/u4oEo+9hSiiLztY17Ps0AzCHSPzE21CZ5D4cOxPJNErHF67
jI5FEHbYteVU1R8RJH4/7pfVP1Vz1+1ZFE54pfHxwTDtcBLfjusPI3pItNdV
i/pQwtUlt/za14SSeBvZ+t6dTvTMzjj1CieWx0/t25EiDSHxKbL14ocQ/eGq
zbNCsoIJR7V+2aIEwf/v/6EgoptzCn57ODSNcI7Mz8JpJF4JDyjDLdWsn/MC
gXKtZv1UY5i6xM7boqlARZfK51nmJx3A5M+X9yfzU8Rweio7P/UA1J51qrie
GsZPK4bTORwZh06OeJldiJj8fGVS/zx/oCSOr8wZPnYiaXuQth9Qqe43ZBwU
nb3hosiXeT5shrmiHqspTD2WIyYMP11dzkuSCph6WtYaMtyq1q7xlM9wek/L
BMW8vfFm3rfr1H0jLr1eX/NkRiEfqHcD+ZsZPtOtfGQcxTBVlzXf8PN+qfRk
np+QXaHLpbcU9fuWiTyAOvu8HGlw6U3P2p1t692Z+GenDTonyPd7uhtQUJh7
86Ym7R9mNtzGdwXKbFxQqaUGvVya1ZZr5cLEN86LKeLI93uWI8OCLost7f61
+5NbKcqe6dd5+9IYHrp5+kzinUpboD5ajEUe5SN5vzZAOSfTjT0BaHpF725a
bA3UmGv2vcdzUfiG2Ekfsywh/b9egUkm8UjerwWk18aoWiz8Dik9c1h8PcQC
4JZJfU6bGO0+calWeYEZpCcemqh/cLs8XmQK0LAzcgpkIsuOVc5beSZg5r7o
XL1WDsJ+8I3gRcbNjc1rC1CVxE7gJjQA1efLvT1unES4f2oieGYaFO0sKkfa
JXGlG4V6oJ9qEMy5fBnh8ut1ofF1QE38geuo6syhfOkaHShsql+p/vY2kvuh
DQ04sAOZens6jahOgKghYcLx9A6UVxNvs69BE6yfNzVW5XXI66nUBPXj4h7r
nk5UtqeipSxGEwy0kKePywDC8xeqCs2PQ9vpxH+QRup+y4I8DozI2pQOIdES
8dXZzhzoot47tE4dRcXZzmn8QRUIxnUoQx7PzS28Uxm4/rcN5gaMA06YtvOH
tcrwNnSryC9EBfC8SpUgE9ehBnu53Xe1zShIrPNbON5DA5pKPNtizT+htasX
rjZYqQFK8WWOv336iF5jn7lwq231DZWyD0hlj8uikzO1IHDDTV8/vfdoTcOW
641/fQnltUcv04JhpIV91YEVGZbPu6yH0VxfCa9FQwfOB8/Pn6QxjHhfqQUk
T9b5XM8QKvzs8/LSaN3vxf+gJ7vjeEG9PChxm/DKYesg4uP+9KDAnjdh0bsB
ZHq4K55fqA8FJyvbw5QGkO+0edaWDRMh3Fx0uH2sH32N18MQdlyK/Vt/YT/6
6cVGdwM9Y7DN50xLKe1DYty/CVwRr+4oMH2DGmv6g29LTMFx9ESFdH0visXP
m8Oqn4Ke6K57jh4Gny//2c8C8HlOdaP+uysWZN2zgN1OXYJffuxE3Z/n9oDd
x6yBoE70et7vLV3alvDeuL351IsOtAa/zwo2RjSJG7KlqNz+7WKXJ9bgSOWm
XWq4j1TxPrSBpqD8hyV5d1HfMbVIwyWTIP6pKE0qaESH8FzYgufmt0tsZ15D
h6eWnJD+ZQtCdT/qUnMVGrj+ocZwnx1czpmyoJ9zAjnLwrXt4dkXP57UStmB
Wj6pjEsS2gN0u1QEHtlPv781u9TrogMEeNVZfVFbQ0vwOjiAcJZrpn+RhFa+
8PW3I387wI3NSaLkzCv0ob4v33yxyRHO4rgbNPan0Anuft9dqn70Dv36rPkf
S4edYSQ7oXh89QMa+yFygbnlDU5iHyl9yihbP5vjCt0HUiI35bTT1/J0rhwB
V6gLyMxolT6lL+F7wBVE4oez/l3aSdNPOeiOkht8x2u9/OpFFz2gd9torakb
rGreIT6yt5tW+XxunbVq0i7zeE67lOsLdZE7CGdudtXi99KR+Nx3h756SYtw
rJeOUjp4f5fYHXiiWZpti17T90q1XHiqHvAI19lHH8D+esCvcRfy3p95R8/Z
cqVi8jsPeJXm8Yuf4wD9VBbn5Alr2za0V/MGaZtzhxrSczyBv6hsjnfxP7Qt
9tsL4mb7G27ZPExfWZZTeyzOC+osdftPZ4zQK/CYe4HgHhU3rec9HVDXdEdn
KR/wa7M+0sgg+ZT3RT6Y3OzN3pE6KvdDyoeQXSuK1x8co7c9sPe+Z+sNS6yr
6havoSRKZxNsd33jDdyGnSkcTSUJ9kPiDRfhcpb7DWXJUNzO9R2D3nDYTCPb
ePI4yTPf5D91Z/uA/PxRkUTg9fMBoyCn4oSr/5EMX1vcED/qA8WOUXlDv6lK
jKd9vDkwQwC4PCt1Sbbs104BpNnrZTVGaEosc6v7D5YJYP921BrmypWUpPoV
pl4XgPy85Eoe3dkzLGwXgGXC5tzMES2J6ZV/Hy97KYDAg6/oxce0JSnfPFd5
8YG55+TnhER+D8VIKBDfqcgY8z9yS+qeZMCyfsHYtnFKLJ/H8xJNeCBOtOBi
BstzfM6/bPNiGddlx3IzVzp5uRHLiU9Cfzb+MYowtknE8sQI64Bd+TMIq38S
dlWnsDxd/t1GeMekx2eWPIwgvPaBZczB4yzj9NJwwoPK+4ymclnuKXtUs6o9
jDCeE22GKTknyOoNCSX6zMy9jtE6LO/FD0wnfPsCNTKyKYTwlaTpvzqEszw6
xvyIg0l+3+zzi1vLg4juHDzG4WxlWYgNmka4ODX5XklvIOHD5pWrO6tYxvvs
zVSSX0/mp8VUoqvJ/OwLIByCF4zlH2R+xgHhNJmfNiwn4Xr8Sf6e8TaC7WZ+
RL+1tGLTy4u+hIPk32GEJZf36UzJEBAuNLGMO2LLshneCN4k/+GVSu/6P3gR
Pf3+Hs+vDrD8UebnmAe7/vYpDUXfuxOe/8voBE0Vlh/ggXAl+YuuXoikzzgR
PXnHgz93djkSXoL7tSO8wDVbxelnG8LWg2W7h2usCRvj+i1IfnvfjjVeDSbs
frpmsvOWpzHhE3g+eYRz9HK7uVu5hEP9T70Jb9MgbIf9VCL5bXLTshLrOmiF
LoiVDWgtYcX3jIKNFg6KU81UQcHKs9bNC45UJ6z4nlDkN58TeHd+nAHR9zeP
l9T1GRJW3N8KjvMLPgcxVoT3rZtkt8bImrDiflXkL7id9OHuageit6tHrFAN
cCSsuN8UPHQ2JN890o2wdlTVN03nWFbcL4r8Bu8f3tjw1JPo/NywrbwgL8KK
81/B/oHC3trlPoS/7nh8fEEby09wPZMJv5bN/xGWE/C8+RKW/5/G8iY8nyz/
LeunyY+w/Jz2J/w/1iMlaA==
     "], {{}, {}, 
      TagBox[
       TooltipBox[
        {RGBColor[0, 
          NCache[
           Rational[2, 3], 0.6666666666666666], 0], Thickness[0.004], 
         LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
          18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
          35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 
          52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 
          69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 
          86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 
          102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 
          115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 
          128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 
          141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 
          154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 
          167, 168}]},
        RowBox[{"0.`", "\[Equal]", 
          RowBox[{
            RowBox[{"-", "0.00004639159726346685`"}], "+", 
            FractionBox["76.4010071195656`", 
             RowBox[{
               RowBox[{"1.`", "\[VeryThinSpace]"}], "+", 
               SuperscriptBox["2.718281828459045`", 
                RowBox[{
                  RowBox[{"42.0694523628433`", "\[VeryThinSpace]"}], "+", 
                  "Charting`Private`pvar$13042"}]]}]], "+", 
            FractionBox["19.7426245743173`", 
             RowBox[{
               RowBox[{"1.`", "\[VeryThinSpace]"}], "+", 
               SuperscriptBox[
               "2.718281828459045`", "Charting`Private`pvar$13043"]}]], "-", 
            
            RowBox[{"0.7547120106906612`", " ", 
              "Charting`Private`pvar$13042"}]}]}]],
       Annotation[#, 
        0. == -0.00004639159726346685 + 
         76.4010071195656/(1. + 
          2.718281828459045^(42.0694523628433 + Charting`Private`pvar$13042)) + 
         19.7426245743173/(1. + 
          2.718281828459045^Charting`Private`pvar$13043) - 0.7547120106906612 
         Charting`Private`pvar$13042, "Tooltip"]& ], 
      TagBox[
       TooltipBox[
        {RGBColor[
          NCache[
           Rational[1, 3], 0.3333333333333333], 1, 
          NCache[
           Rational[1, 3], 0.3333333333333333]], Thickness[0.004], 
         LineBox[CompressedData["
1:eJwN0FkiQgEAAMAXJ+lKfv11AM4lFNkJlZI9ZacIiZR9X4r5mAtMONLf0xcK
gqCXAaIMMsQwMeKMMEqCMcaZYJIppplhljmSzLPAIinSZFgiS45l8qywyhrr
bLDJFgW2KVJih1322OeAQ4445oQyFU45o8o5F1xS44o619zQ4JYmLe6454FH
nnjmhVfeeOeDT7745odf2nT4I5Acootu/gG0CEol
          "]]},
        RowBox[{"0.`", "\[Equal]", 
          RowBox[{
            RowBox[{"0.000030095540836152128`", "\[VeryThinSpace]"}], "-", 
            RowBox[{"1.`", " ", "Charting`Private`pvar$13043"}]}]}]],
       Annotation[#, 0. == 
        0.000030095540836152128` - 1. Charting`Private`pvar$13043, 
        "Tooltip"]& ]}], {{}, {
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-35.3241197946656, 85.}, {-35.29211143509203, 
         84.8985840052816}, {-34.942392121026515`, 
         83.79331573276771}, {-34.596401380480074`, 
         82.70260706786556}, {-34.254084624094375`, 
         81.6262408208438}, {-34.06385757723861, 81.02964044839142}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-34.00058597905784, 
         80.83120463358887}, {-33.91538726251112, 
         80.56399980197112}, {-33.58025470637196, 
         79.51566682151613}, {-33.24863236631858, 
         78.48102468974753}, {-32.92046565299266, 
         77.45985621693391}, {-32.728654221454704`, 76.864568418421}}]}, 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{-32.66477746852928, 
         76.66632657579335}, {-32.59569997703588, 
         76.45194421334399}, {-32.274280749089904`, 
         75.45707148924639}, {-31.64126327979709, 
         73.50557512060277}, {-31.379809086730106`, 72.70389487594474}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-31.315230162905934`, 
         72.5058806584491}, {-31.020976530247648`, 
         71.60362959315229}, {-30.50579782028823, 
         70.03198112643818}, {-30.016925562556263`, 68.54779898193782}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-29.951551069279677`, 
         68.35004604570375}, {-29.499887142335062`, 
         66.98570809316274}, {-29.00915517434131, 
         65.51108352660141}, {-28.63654776555171, 64.39748157515523}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-28.57045970087491, 
         64.19996591643427}, {-28.526572120336127`, 
         64.06880026009102}, {-28.052137980319486`, 
         62.65885829363153}, {-27.58585275429141, 
         61.28125762722298}, {-27.235990923959314`, 60.25393258920095}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-27.16884712720717, 
         60.05677331782269}, {-27.127716442251888`, 
         59.935998260865354`}, {-26.677215476132982`, 
         58.62043966971062}, {-26.233836287866747`, 
         57.33194132891076}, {-25.81390853348625, 56.11772043095871}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-25.745591310590786`, 
         55.92096473449163}, {-25.368443244892283`, 
         54.83612539837561}, {-24.946429390184058`, 
         53.628807808640325`}, {-24.531537313328503`, 
         52.44855046925992}, {-24.36917095938058, 51.989369388179966`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-24.299736578933206`, 
         51.793005097779215`}, {-24.12376701432562, 
         51.29535338023436}, {-23.723118493175402`, 
         50.16921654156367}, {-23.329145038367106`, 
         49.06793695271422}, {-22.94139993838997, 
         47.98931161315239}, {-22.898376619532176`, 47.87023065143969}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-22.827604059858658`, 
         47.67434468325933}, {-22.559883193243998`, 
         46.93334052287817}, {-22.184594802929183`, 
         45.900023681891554`}, {-21.815534767445538`, 
         44.889361090192565`}, {-21.452703086793058`, 
         43.90135274778119}, {-21.40063132504402, 43.76081699094425}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-21.328266848944104`, 
         43.56551350830381}, {-20.745724789981576`, 
         41.99329881082129}, {-20.369754524701882`, 
         40.984925695317784`}, {-20.000597906697703`, 
         40.000766366080576`}, {-19.871949588411393`, 39.66281553222288}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-19.79785101431339, 
         39.46816335769266}, {-19.458612947400383`, 
         38.57700683799081}, {-18.931314969797146`, 
         37.20392355589833}, {-18.304403117027586`, 35.579514945994624`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-18.22892918980643, 
         35.38539220011286}, {-17.65445420799233, 
         33.91240294670416}, {-17.0482988737876, 
         32.37575425136416}, {-16.702394866696284`, 31.50962690174599}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-16.62514735984572, 
         31.31620278117652}, {-16.46366023738132, 
         30.911846628862186`}, {-15.899133822158557`, 
         29.514514321561855`}, {-15.353315151504372`, 
         28.177591571826753`}, {-15.055971871789296`, 27.45751046484224}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-14.976477935954238`, 
         27.264998694038084`}, {-14.826204225418767`, 
         26.901078379656866`}, {-14.317801043901744`, 
         25.684974745052205`}, {-13.826882223558759`, 
         24.524138761159673`}, {-13.357923298469947`, 23.426764118747485`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-13.275345408085471`, 
         23.235555038530748`}, {-12.89382751621126, 
         22.352844024951658`}, {-12.451691629206751`, 
         21.34238527263618}, {-11.769174946405702`, 
         19.808543817421466`}, {-11.594665709266513`, 19.424150646420962`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-11.508567212688437`, 
         19.234500661924006`}, {-11.12519700664986, 
         18.390047430782165`}, {-10.516658098487904`, 
         17.074249459959464`}, {-9.940458510468515, 
         15.848503252194524`}, {-9.753307589031193, 15.45687600339087}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-9.66350276517417, 
         15.268952717593953`}, {-9.395024497207734, 
         14.707141936007828`}, {-8.879654293931507, 
         13.648487086365147`}, {-8.39255616010339, 
         12.665874720175616`}, {-7.931938355186933, 
         11.752640854348376`}, {-7.8187974792404535`, 11.53427695650332}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-7.722979798418375, 
         11.34934713258468}, {-7.084981459728624, 
         10.117999019981518`}, {-6.328459062835798, 
         8.711942375666032}, {-5.751580598854423, 7.680161027795968}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-5.6498772235547365`, 
         7.498402278509825}, {-5.045762131216996, 
         6.460535345499383}, {-4.368650745994455, 
         5.356688496016913}, {-3.764055538427565, 
         4.441747052079922}, {-3.408770156707116, 3.9921102545884715`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-3.279642209237662, 
         3.828690424350442}, {-2.6656248138056493`, 
         3.0516114070568894`}, {-1.5215312694193877`, 
         2.097154429620934}, {-0.7435713505760813, 1.6779957599931026`}, {
         0.002699214860402366, 1.385490151649798}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{0.1992474405312994, 1.3172108822329995`}, {
         1.0343292057579476`, 1.0741160931789726`}, {1.9971884875666208`, 
         0.8593905263995631}, {3.413275488491246, 0.6215087805738486}, {
         4.279828548898731, 0.512429209910427}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{4.486476620018715, 0.48641685832333265`}, {
         4.780866646923001, 0.4493597648693986}, {6.0480322303617085`, 
         0.32486410422448253`}, {7.186100546986382, 0.23487567157971076`}, {
         7.797816167756866, 0.19343486309527522`}, {8.359931946029548, 
         0.15933346941256585`}, {8.637226225665042, 0.1441583674080057}}]}, 
       {Arrowheads[{{0.009803249629691813, 1.}}], 
        ArrowBox[{{8.84519386009548, 0.13277720920208277`}, {
         8.873093067745074, 0.1312504077026594}, {9.882363218656902, 
         0.08436654518793375}, {10.671113405992472`, 0.05395406649325987}, {
         11.278138899261943`, 0.034348813489539866`}, {11.742105195543761`, 
         0.021955051688723852`}, {12.126195652635479`, 
         0.013263074933914409`}, {12.403853869504626`, 
         0.008090983650818012}, {12.602770429830915`, 0.004990490306399591}, {
         12.810019987061626`, 0.0023691796164406116`}, {12.926422230895824`, 
         0.001320747777604695}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{4.828104485317857, 85.}, {4.767136131792938, 
         83.57858972241553}, {4.687430272499216, 81.7297094326868}, {
         4.64879822745677, 80.83828450033548}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{4.639780427719907, 80.63020099060776}, {4.609032477812682, 
         79.9206996132959}, {4.531942747733337, 78.15156026424286}, {
         4.458189785352075, 76.46858455020516}}]}, 
       {Arrowheads[{{0.00999999999999999, 1.}}], 
        ArrowBox[{{4.449029167829072, 76.26050728014873}, {4.381687481396209, 
         74.73289297715024}, {4.308521945138427, 73.0833650391107}, {
         4.264617657769875, 72.09901490389365}}]}, 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{4.25533716826959, 71.8909429445927}, {4.236582014253899, 
         71.47044555133387}, {4.165785229508689, 69.89087249374468}, {
         4.0961315909027975`, 68.3446458663431}, {4.068277940034339, 
         67.72956874017059}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{4.058855729305492, 67.52150315032527}, {4.027621098436226, 
         66.83176566912913}, {3.960253752108974, 65.35223190210279}, {
         3.8940295519210406`, 63.90604456526406}, {3.8688885837831015`, 
         63.3602607156116}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{3.8593045981038667`, 63.15220251473694}, {
         3.8289484978724264`, 62.493203658612956`}, {3.765010589963131, 
         61.113709182149464`}, {3.6952308910664207`, 59.61295554839302}, {
         3.6661386220823426`, 58.99110731692099}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{3.6564052449111135`, 58.783056051359964`}, {
         3.626744449182703, 58.14905554153862}, {3.5745426957283923`, 
         57.0476501567847}, {3.523102460368953, 55.96746923193539}, {
         3.47239211816856, 54.907368596914985`}, {3.4586843803722465`, 
         54.62217498854394}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{3.448685070303834, 54.414136334609495`}, {
         3.4224222107724884`, 53.867729641748724`}, {3.3627895760637028`, 
         52.6271292363584}, {3.304144390834539, 51.4132617580165}, {
         3.2478115584468576`, 50.253406088516456`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{3.237659290537562, 50.04537484366173}, {
         3.1898163688150767`, 49.06572558247794}, {3.134133532024779, 
         47.93205688528129}, {3.0794381447141026`, 46.82512111513306}, {
         3.0326873769498355`, 45.88484460675329}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{3.0223224482970914`, 45.67682385060941}, {
         2.973009718531616, 44.691448355981834`}, {2.870271313890088, 
         42.65557529468894}, {2.8121807026815775`, 41.51655156385709}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{2.801572197033064, 41.308543084845766`}, {
         2.770963154411986, 40.708369920919}, {2.6750852400973124`, 
         38.84983223467202}, {2.586219538306306, 37.148537426923625`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{2.5752702754266212`, 36.94054661504025}, {
         2.4933941551748307`, 35.39115713931008}, {2.407129001000188, 
         33.775814159321335`}, {2.35338644269758, 32.78088422942813}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{2.342152342594739, 32.57290859929907}, {
         2.3238421084221383`, 32.233933295981785`}, {2.243533477440682, 
         30.765514549291424`}, {2.18107344129058, 29.63686030516626}, {
         2.1204237255072265`, 28.55216690267949}, {2.112601067267976, 
         28.413662702403204`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{2.1008562857795914`, 28.205715286356526`}, {
         2.0615141193236033`, 27.50914193041183}, {2.0042744119726934`, 
         26.505492976944}, {1.8945238507009492`, 24.607153480730716`}, {
         1.8616084087959124`, 24.047016071204936`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{1.8493903648447167`, 23.83909592515192}, {
         1.7906103555558597`, 22.838809122685404`}, {1.6922498933443135`, 
         21.19227733805543}, {1.6002784208055927`, 19.680976268639675`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{1.5874137752341857`, 19.473095137029382`}, {
         1.5114882467170185`, 18.24788180040494}, {1.4284396665027548`, 
         16.930750995992984`}, {1.3499297794834233`, 15.707430143247237`}, {
         1.3243187710387136`, 15.315837900582855`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{1.3107259106556413`, 15.108003105903746`}, {
         1.2757639465604131`, 14.57343477925787}, {1.205688865543912, 
         13.521939958030567`}, {1.139451234244107, 12.54612073357101}, {
         1.0282371659336396`, 10.952021434000633`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{1.0135953306038898`, 10.744258039272093`}, {
         0.9091984177540489, 9.300779123257914}, {0.7912559655610212, 
         7.723068216153685}, {0.7048277471183726, 6.590146036348815}}]}, 
       {Arrowheads[{{0.006949534872930899, 1.}}], 
        ArrowBox[{{0.6892007595064267, 6.382454927069737}, {
         0.5748199531213906, 4.73122007604662}, {0.5541859439575695, 
         3.491701615718633}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999985, 1.}}], 
        ArrowBox[{{-70., 28.384343309282038`}, {-69.95904088704782, 
         28.3753350541943}, {-67.94913843088786, 
         27.934677457369553`}, {-65.96287312155194, 
         27.50088201400937}, {-65.93071207421671, 27.493882911165443`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-65.72719688213165, 
         27.449592569969212`}, {-63.99913061480564, 
         27.073519197728903`}, {-62.057910910648964`, 
         26.652589008528143`}, {-61.65644279169613, 26.56585954310848}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-61.45286032529362, 
         26.521879466867407`}, {-60.139214009081925`, 
         26.238091446407097`}, {-58.24303991010452, 
         25.83002651136577}, {-57.38059151203002, 25.64515372245128}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-57.17693899715537, 
         25.60149915891057}, {-56.36938861371675, 
         25.428394203404153`}, {-54.518260119918615`, 
         25.03319452252225}, {-53.10305342769696, 24.73231733565725}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-52.89932792174002, 
         24.689004682133294`}, {-52.68965442871011, 
         24.644427468720064`}, {-51.57861011122934, 
         24.40898492794392}, {-50.47565836173659, 
         24.175791658026593`}, {-49.38102303219857, 
         23.944826272094577`}, {-48.82381907315426, 23.82746512803696}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-48.62001193644552, 
         23.78453822785436}, {-48.294927974581995`, 
         23.716067383274357`}, {-47.219642335136626`, 
         23.489494090881742`}, {-46.1574352601122, 
         23.265085494232544`}, {-44.91630277175287, 
         23.002524237037864`}, {-44.54472873671922, 22.921955265353052`}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-44.34117997223896, 
         22.877819472494426`}, {-43.719068834722634`, 
         22.742926154077225`}, {-43.28723174997388, 
         22.636271088793556`}, {-42.88496056835069, 
         22.53011619300966}, {-42.145893819272835`, 
         22.318802060356827`}, {-41.52899471456452, 
         22.109469895948262`}, {-41.01045006951948, 
         21.90210109930272}, {-40.39008131712257, 21.60106320577874}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-40.202699109456155`, 
         21.51013479447204}, {-39.99937981476884, 
         21.41147281004912}, {-39.181177019094974`, 
         20.931835100783715`}, {-38.449559202026634`, 
         20.462941760160845`}, {-37.16032927351335, 
         19.596572060380485`}, {-36.69126633371986, 19.274678972172417`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-36.5195354688183, 
         19.156829161935562`}, {-35.951306306455166`, 
         18.766883539790523`}, {-34.791861369725694`, 
         17.972322892053374`}, {-33.14050833841583, 
         16.851940913402657`}, {-33.0779157881821, 16.810096931709943`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-32.90476508692794, 
         16.69434330374135}, {-31.568993451080367`, 
         15.801361572411622`}, {-30.072853849125583`, 
         14.816361326311593`}, {-29.42875049649041, 14.398938297618177`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-29.253966339321053`, 
         14.285666208667285`}, {-28.64762667395775, 
         13.892716632333903`}, {-27.290005203064375`, 
         13.026714699281877`}, {-25.99668271393297, 
         12.214642735958844`}, {-25.7365923219664, 12.054199427370508`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-25.55932797171938, 
         11.944849448567567`}, {-24.678222002997032`, 
         11.401317041353867`}, {-23.428018330569788`, 
         10.64387519548474}, {-22.241385440419638`, 
         9.937156187723302}, {-21.993439024744777`, 9.791794369194976}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-21.813761708683852`, 
         9.686456200301443}, {-21.113637076314962`, 
         9.275999007441383}, {-20.04200189252384, 
         8.657679281395064}, {-19.024802777885583`, 
         8.080865000559978}, {-18.19727345724562, 7.619565928177323}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-18.015181105918455`, 
         7.518461757195722}, {-17.141533138568743`, 
         7.039462917328246}, {-15.441672000400773`, 
         6.1315309042130615`}, {-14.337168390692456`, 5.5633175743037775`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-14.151961050111684`, 
         5.468037415153519}, {-13.905266282452274`, 
         5.341124968538729}, {-12.51153200290456, 
         4.65269225245177}, {-11.239955817566791`, 
         4.053229963349648}, {-10.391074134050294`, 3.6786153013313765`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-10.200525088989755`, 
         3.59452529503326}, {-9.673687935730985, 
         3.3620300887647803`}, {-8.244419786278481, 
         2.7889110885189123`}, {-6.908272035953098, 
         2.3125094208267982`}, {-6.305034147080012, 2.126422487521502}}]}, 
       {Arrowheads[{{0.004300703421087821, 1.}}], 
        ArrowBox[{{-6.106009747717216, 
         2.0650274047299715`}, {-5.628197178997728, 
         1.9176316969208387`}, {-4.379042006067503, 
         1.5897877057990746`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-70., 56.789225934951794`}, {-68.18232004628918, 
         55.991472043122194`}, {-66.34874739655143, 
         55.189810387485586`}, {-66.18429866301487, 55.11816658419506}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-65.99335373305883, 
         55.03497943701005}, {-64.53504895216831, 
         54.39965377281745}, {-62.740362677079496`, 
         53.62033908396129}, {-62.172922165583245`, 53.37476329034593}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-61.98177605826339, 
         53.29203945225093}, {-60.964688571284995`, 
         52.85186632091711}, {-59.208026634784815`, 
         52.0942354836849}, {-58.156753040115234`, 51.642430132465854`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-57.965397702473325`, 
         51.56019144030303}, {-57.47037686757897, 
         51.34744657226467}, {-55.75173926966742, 
         50.6114995866564}, {-54.13548626199501, 49.92196340177613}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-53.94384977106287, 
         49.840382136146154`}, {-52.37150058172728, 
         49.17213139287581}, {-50.552906670965, 
         48.4007290103418}, {-50.10921546929579, 48.213237409164954`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-49.91736276998688, 
         48.132165777254734`}, {-48.756052465247755`, 
         47.64142823799417}, {-47.74863684818699, 
         47.2167631668577}, {-46.750789024782456`, 
         46.79591600110291}, {-46.08172761220105, 46.507426958418115`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-45.89047059792287, 
         46.424959860602705`}, {-45.78338689613351, 
         46.37878700705677}, {-44.8394711618737, 
         45.965409429276974`}, {-43.58312885483464, 
         45.387238353455494`}, {-42.49203395700252, 
         44.81634117719917}, {-42.15937533902337, 44.58696227239908}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-41.98790771380561, 
         44.46872978433052}, {-40.867252104408124`, 
         43.69600140018931}, {-39.783976515643175`, 
         42.6036684477549}, {-38.978906404832216`, 41.62670815831265}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-38.84918843285315, 
         41.46380166766374}, {-38.11343267590341, 
         40.50023991358361}, {-37.36558510367472, 
         39.48779614663999}, {-36.64442329727402, 
         38.50050797135721}, {-36.36662280479997, 38.11903413389052}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-36.2440137628884, 37.95066819144898}, {-35.9434245769287, 
         37.5379010676479}, {-35.259748084126734`, 
         36.59936586645033}, {-34.59055296035609, 
         35.68429279870278}, {-33.93499730731584, 
         34.79210248106319}, {-33.784638190020345`, 34.58861155963293}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-33.66086425701457, 
         34.421100123483086`}, {-33.29223922670505, 
         33.922215530189526`}, {-32.19374319059985, 
         32.4468431646531}, {-31.16844258794094, 31.083481448136318`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-31.042657284847706`, 
         30.917475792184057`}, {-30.10231676432768, 
         29.680514947371226`}, {-29.109386374160707`, 
         28.389559095625767`}, {-28.505866022926853`, 27.613477063137367`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-28.378008264572486`, 
         27.449061548780307`}, {-28.14936668113674, 
         27.155045573310044`}, {-27.219979833752703`, 
         25.971944538590126`}, {-26.32122583200859, 
         24.840255991466012`}, {-25.79286436103664, 24.182771441233882`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-25.662396507018094`, 
         24.0204193337622}, {-25.453104675904402`, 
         23.759979931937703`}, {-24.61368906768011, 
         22.726905231070024`}, {-23.801051709575678`, 
         21.73682075992781}, {-23.022346215899255`, 20.798347843692284`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-22.888470704097102`, 
         20.638794276304676`}, {-22.2561117437264, 
         19.88562250681976}, {-21.047445557324075`, 
         18.469400175926737`}, {-20.18057992126751, 17.473579278195047`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-20.04382787180643, 
         17.316483941851487`}, {-19.906313698299, 
         17.158513107598615`}, {-18.827393315209193`, 
         15.941657866908834`}, {-17.805361556612663`, 
         14.807531018930835`}, {-17.262841168037383`, 14.215303227134338`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-17.122152083372722`, 
         14.061723771513085`}, {-16.837466357352277`, 
         13.75095425496122}, {-15.922424673005109`, 
         12.770249338424124`}, {-15.05711718323047, 
         11.859362942584264`}, {-14.260404683158763`, 11.03498510186755}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-14.114553135036077`, 
         10.886300997670592`}, {-13.463984516063519`, 
         10.224864429809074`}, {-12.731867295203322`, 
         9.494370863341807}, {-12.03960245050424, 
         8.816449449215511}, {-11.384719527363416`, 
         8.186788595341113}, {-11.146414176282056`, 7.964056794732062}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-10.994250725826001`, 
         7.821837414625099}, {-10.178925069021009`, 
         7.059794301455836}, {-9.098135166705033, 
         6.088479447901617}, {-7.8872652231533085`, 
         5.052385909362386}, {-7.885072891475936, 5.050629333421237}}]}, 
       {Arrowheads[{{0.0027930622340613226`, 1.}}], 
        ArrowBox[{{-7.722532533470215, 4.920396082090893}, {-6.81456186255704,
          4.192896930271295}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-70., 80.6400781724072}, {-68.82505679127352, 
         79.90747418200729}, {-67.64087533222956, 
         79.17063003399372}, {-66.46465623294925, 
         78.44027070255174}, {-66.46320619546286, 78.43937223122562}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-66.28615929115159, 
         78.32967053841053}, {-65.29639949343262, 
         77.71639618768135}, {-64.13610511367965, 
         76.99900648938257}, {-62.98377309369036, 
         76.28810160765539}, {-62.742702551707076`, 76.13970993598396}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-62.56533348507532, 
         76.03052989231809}, {-61.83940343346474, 
         75.5836815424998}, {-60.702996133002785`, 
         74.88574629391582}, {-59.57455119230451, 
         74.19429586190344}, {-59.014777499211704`, 73.85209890255665}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-58.837072932314555`, 
         73.74346578312893}, {-58.454068611369905`, 
         73.50933024646267}, {-57.34154839019896, 
         72.83084944759347}, {-56.236990528791694`, 
         72.15885346529589}, {-55.278944155340085`, 71.57742616793811}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-55.10086333648865, 
         71.4694109816916}, {-54.051761885268164`, 
         70.83431595041552}, {-52.9710911031519, 
         70.18177441783273}, {-52.05197003343628, 
         69.62697231545033}, {-51.53527276124121, 69.3156741707005}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-51.35687038549039, 69.2081908693967}, {-51.13832396945363,
          69.07652171317116}, {-50.230111849853884`, 
         68.53045739005577}, {-49.32745685868725, 
         67.98867500892237}, {-48.30897496013664, 
         67.37956766381899}, {-47.78433040753526, 67.06600471633006}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-47.605549072751344`, 
         66.95915294018393}, {-47.299043270259524`, 
         66.77596441306542}, {-46.31105567335497, 
         66.17772076465582}, {-45.3405475413233, 
         65.58488488259212}, {-44.3693535417023, 
         64.98324608798292}, {-44.05692828452165, 64.77801312243555}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-43.88284933947111, 
         64.66366020982382}, {-43.461885870688626`, 
         64.38712821025062}, {-42.65415799388991, 
         63.79647876831149}, {-41.37393158762425, 
         62.631401817805894`}, {-40.798204574543874`, 61.900704987946185`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-40.66930293813474, 
         61.73710658983744}, {-40.47270803710656, 
         61.48759376920516}, {-39.74523540395186, 
         60.36467456984923}, {-39.103799449850456`, 
         59.262262734169234`}, {-38.58119266088633, 
         58.316246675917}, {-38.50873530957779, 58.18065547937929}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-38.41057195456038, 
         57.99696001546026}, {-38.083729162401006`, 
         57.38533118183226}, {-37.139024581829354`, 
         55.56784536466986}, {-36.48882560625891, 54.301234375415426`}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-36.3937086671089, 
         54.115943157006576`}, {-36.23559005106382, 
         53.80792240610844}, {-35.62895650265029, 
         52.62592838611846}, {-35.03333648547395, 
         51.469335307440815`}, {-34.48707109234725, 50.41233178031263}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-34.391279614981705`, 
         50.22738844596687}, {-33.87513704483284, 
         49.23235197402252}, {-33.31170488999574, 
         48.150880821347684`}, {-32.757580803651145`, 
         47.092648814116785`}, {-32.463815557255856`, 46.53457980898933}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-32.36679887447474, 
         46.35027617094914}, {-32.212764785799074`, 
         46.05765595232983}, {-31.677256836439515`, 
         45.04590223598683}, {-31.150711323902442`, 
         44.056398808004246`}, {-30.632782616517815`, 
         43.08815681129857}, {-30.409583158981533`, 42.67315463370416}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-30.310928422923386`, 
         42.489722600552916`}, {-30.123470714285638`, 
         42.14117624586979}, {-29.622775617205903`, 
         41.2154571117179}, {-29.04717820871811, 
         40.157222726680615`}, {-28.482151060530036`, 
         39.124232431764035`}, {-28.32052047595406, 38.83046277763329}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-28.220119692642122`, 
         38.647980585507455`}, {-27.92769417264165, 
         38.116486226968135`}, {-27.383807545052974`, 
         37.13398411229291}, {-26.850491177764003`, 
         36.17672608773838}, {-26.327745070774736`, 
         35.24471215330453}, {-26.19419523897545, 35.00827195220679}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-26.091762617674497`, 
         34.82692249445707}, {-25.815569224085166`, 
         34.337942308991366`}, {-25.313963637695306`, 
         33.45641655479889}, {-24.339375832673934`, 
         31.75953056766298}, {-24.0213963321677, 31.212316203992664`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-23.916752552937663`, 
         31.032233591836032`}, {-23.400894242569848`, 
         30.144487442783777`}, {-22.498518867383055`, 
         28.61128718016129}, {-21.801602129230023`, 27.443664792400757`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-21.694855678331816`, 
         27.264820550242007`}, {-21.63224970711355, 
         27.159929779795505`}, {-20.79945395928283, 
         25.78267033312991}, {-19.997498821412385`, 
         24.471763931608006`}, {-19.52495335068719, 23.709091163366658`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-19.415255240182923`, 
         23.532042039436337`}, {-19.226384293502218`, 
         23.227210575229783`}, {-18.48611037555232, 
         22.049010263995225`}, {-17.48570939058865, 
         20.48480106279647}, {-17.180392063868098`, 20.01683668515814}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-17.06658384507307, 
         19.842401146728026`}, {-16.541244886569665`, 
         19.037206363301202`}, {-15.648091053821421`, 
         17.693040599774285`}, {-14.801622082669956`, 
         16.439118206480597`}, {-14.757826533993251`, 16.37527050293356}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-14.64001285215547, 
         16.203514850611644`}, {-13.999623050743283`, 
         15.269917272078278`}, {-13.241256685556248`, 
         14.184295116307352`}, {-12.523963652265147`, 
         13.175635020055493`}, {-12.247620280752097`, 12.793629905979701`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-12.125544160538665`, 
         12.624877161983237`}, {-11.845184616026286`, 
         12.237320264210386`}, {-11.202988927191262`, 
         11.364958445114453`}, {-10.595805184794706`, 
         10.555428196512839`}, {-10.02161292701746, 
         9.80401935539729}, {-9.624622433523516, 9.293917038873367}}]}, 
       {Arrowheads[{{0.00007157169253005711, 1.}}], 
        ArrowBox[{{-9.496702573780414, 
         9.129549836500127}, {-9.478391692040372, 9.10602175875956}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-14.715660059116328`, 85.}, {-14.560981015122726`, 
         83.81596406862434}, {-14.319235712550697`, 
         81.97473025653457}, {-14.173413493153102`, 80.8698678525024}}]}, 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{-14.146160724320914`, 
         80.66337970678047}, {-14.081430508275396`, 
         80.17293330972917}, {-13.847565402296816`, 
         78.41057322820815}, {-13.617640394614963`, 
         76.68765001197148}, {-13.597036003555237`, 76.5341565277689}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-13.569325977698682`, 
         76.32772924711121}, {-13.391655485229833`, 
         75.00416366101919}, {-13.169610674141426`, 
         73.36011417535128}, {-13.012370674553955`, 72.19955486425107}}]}, 
       {Arrowheads[{{0.010000000000000014`, 1.}}], 
        ArrowBox[{{-12.98440721672689, 71.99316176175233}, {-12.9306991646864,
          71.59675257808294}, {-12.696121797783839`, 
         69.8757770170342}, {-12.52249550508477, 
         68.61783295932443}, {-12.418287019905605`, 67.86623616646375}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-12.38968290415918, 
         67.65993087740148}, {-12.351274277221362`, 
         67.38291120117249}, {-12.182363016084043`, 
         66.1698287460197}, {-12.015793421042673`, 
         64.97897992605229}, {-11.813695891713913`, 63.53436866935025}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-11.784722400727297`, 
         63.32811493865491}, {-11.604411411928162`, 
         62.045719113837905`}, {-11.403825559294354`, 
         60.626582792328634`}, {-11.206643141276174`, 
         59.2391091938846}, {-11.201562425978631`, 59.20356101970101}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-11.172093683958016`, 
         58.99737745833779}, {-11.012864157873633`, 
         57.88329831850586}, {-10.822488609086722`, 
         56.559150166192396`}, {-10.63551649491544, 
         55.26666473694418}, {-10.57839448219907, 54.874328033155685`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-10.54838664068407, 
         54.6682222419214}, {-10.451947815359791`, 
         54.00584203076124}, {-10.27156075094809, 
         52.77400218051594}, {-10.094133482208653`, 
         51.568465319080666`}, {-9.942989215727831, 50.546874098930076`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-9.912467949047018, 
         50.34084372461976}, {-9.748158331746573, 
         49.23630056264017}, {-9.579610450023926, 
         48.10967266763494}, {-9.414022363973546, 
         47.009347761439734`}, {-9.294701108689845, 46.221332078026684`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-9.26351899611176, 46.01540067297183}, {-9.251394073595426,
          45.93532584405454}, {-9.091725578889573, 
         44.88760691547937}, {-8.780494947086394, 
         42.862136219396646`}, {-8.63081680495075, 41.89815685912401}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-8.598860051995288, 
         41.69234424125707}, {-8.479557439155743, 
         40.92399386782913}, {-8.188913055097622, 
         39.073179860776825`}, {-7.951126817045383, 37.57743976217283}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-7.918426205223315, 
         37.371744021528635`}, {-7.9085617949120275`, 
         37.30969419823973}, {-7.689269394128088, 
         35.94634429379877}, {-7.476304952056075, 
         34.63585324367407}, {-7.269424481610347, 
         33.375481272260245`}, {-7.250301607522162, 33.26010199449177}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-7.216246206903467, 
         33.05462621143839}, {-7.068383995705262, 
         32.162488603951914`}, {-6.872939507255181, 
         30.994135463143692`}, {-6.682847029174465, 
         29.867682074230217`}, {-6.5261433792663786`, 28.946616320536464`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-6.491162092193369, 28.74129616288146}, {-6.31774215577856,
          27.729515449665932`}, {-5.972078330170166, 
         25.738159388217476`}, {-5.777431942091659, 24.637328196501798`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-5.741167107148878, 
         24.432230830650177`}, {-5.645413564909184, 
         23.890692469444083`}, {-5.336619550171413, 
         22.175558370903953`}, {-5.044567976132653, 
         20.5812007701553}, {-4.998374248644995, 20.333428111307036`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-4.960201338672281, 
         20.12867729524782}, {-4.768414425145329, 
         19.099975865826}, {-4.507476703662797, 
         17.726475582869497`}, {-4.2608698380122485`, 
         16.45249718833228}, {-4.178962278554557, 16.037038604773787`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-4.1386756269968, 
         15.832693178010759`}, {-4.027708854520876, 
         15.269837949260854`}, {-3.8072923866995527`, 
         14.172276757085532`}, {-3.5990239864498275`, 
         13.154724860027368`}, {-3.402176057684903, 
         12.21067806031898}, {-3.3047131044030196`, 11.751493729601062`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-3.261468805036205, 11.5477537033299}, {-3.216021004317985,
          11.333632160192993`}, {-2.7978087346400136`, 
         9.425653747012285}, {-2.4334116941980772`, 
         7.839407454906665}, {-2.347365712680091, 7.483823787803071}}]}, 
       {Arrowheads[{{0.004610895591714852, 1.}}], 
        ArrowBox[{{-2.2983791675052454`, 
         7.281387659296983}, {-2.1135346326906586`, 
         6.517520522518612}, {-1.8287280367155638`, 5.419051791207553}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-70., 10.02006822365419}, {-69.46846061325647, 
         9.97879117827507}, {-68.18366854016665, 
         9.879263816965963}, {-66.90859936046901, 
         9.780735516938535}, {-65.84682345151025, 9.69889689517936}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-65.63916050398338, 9.68289164840171}, {-64.38762968125027,
          9.586676100728704}, {-63.14172918172916, 
         9.491144984546306}, {-61.90555157560024, 
         9.396612929645585}, {-61.48576238563003, 9.364598588456245}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-61.27808661223238, 
         9.348760631631334}, {-60.67909686286348, 
         9.303079936026538}, {-59.462365043518915`, 
         9.21054600368917}, {-57.440630489033495`, 
         9.057007197633025}, {-57.12448775152799, 9.033097507405069}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-56.91680204374471, 
         9.017390358864972}, {-55.44432623362644, 
         8.90602787505187}, {-54.29717783437265, 
         8.819933056065747}, {-53.15849082787664, 
         8.734678252223116}, {-52.76294616039889, 8.705130427737192}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-52.55524604975224, 
         8.689614894550438}, {-52.028146595331435`, 
         8.650239715344593}, {-50.90618467633936, 
         8.566625361489978}, {-49.18496008771551, 
         8.437462503139992}, {-48.40134483190863, 8.377961689506593}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-48.19366384593241, 8.36219223179096}, {-47.50917420182446,
          8.310218140620258}, {-45.878827018666215`, 
         8.184892273930775}, {-44.293918538240746`, 
         8.06148490307154}, {-44.04048988425413, 8.041019301212254}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-43.83288688817953, 
         8.024254345096905}, {-43.376162667971045`, 
         7.987371633125537}, {-42.81921233615528, 
         7.937261738574637}, {-42.3194639310588, 
         7.887466446727176}, {-41.47969415392229, 
         7.788809661794157}, {-40.811275504798026`, 
         7.691386885348232}, {-40.25288972290982, 
         7.595182682130887}, {-39.706284749688024`, 7.481491134346019}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-39.50237012966734, 
         7.439077746429938}, {-39.25146948752668, 
         7.386891462472337}, {-38.36028722969918, 
         7.184309457373414}, {-37.53013418802472, 
         6.987283192595294}, {-36.73536608783212, 
         6.795660306046925}, {-35.447589616790026`, 6.485365633380043}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-35.24510584517242, 
         6.436576393129677}, {-34.77585081398625, 
         6.323507596196798}, {-32.93140167184624, 
         5.88416110984912}, {-31.19157841807815, 5.476968744061739}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-30.988621591656884`, 
         5.430186514876462}, {-29.978207887356533`, 
         5.197409684543032}, {-28.81473800450422, 
         4.932903408453891}, {-27.69421219868264, 
         4.681821783435812}, {-26.925460216394004`, 4.512276156459107}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-26.722069213454642`, 
         4.467418964660898}, {-26.61663046989176, 
         4.444164809488791}, {-25.577970195822356`, 
         4.218661222422267}, {-24.574208754165166`, 
         4.0040397580456695`}, {-23.605346144920205`, 
         3.8003004163590006`}, {-22.67138236808746, 
         3.607443197362258}, {-22.647288352359908`, 3.6026027489154457`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-22.443089518463207`, 
         3.5615795363653757`}, {-20.89341047496196, 
         3.2502515450502987`}, {-19.225552238091993`, 
         2.9283412187215356`}, {-18.354099010051982`, 2.7668273303391917`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-18.149307818375913`, 
         2.7288716253056027`}, {-18.042043488796192`, 
         2.708991408676982}, {-16.910812980597203`, 
         2.5069427381887444`}, {-15.824381658350019`, 
         2.320152117140605}, {-14.775270466909632`, 
         2.146576455416349}, {-14.042477024203768`, 2.032579366972226}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-13.836673588441732`, 
         2.0005635339947383`}, {-12.780859626045064`, 
         1.8363157246701343`}, {-10.911282757195144`, 
         1.5706519754113974`}, {-9.712521021865872, 1.4159286066871646`}}]}, 
       {Arrowheads[{{0.0008668268904330165, 1.}}], 
        ArrowBox[{{-9.50595566796509, 
         1.3892673557685544`}, {-9.147842861179068, 
         1.3430459773108878`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{30., 33.28718531104167}, {29.296430027032045`, 
         32.25445575518738}, {28.177091163142265`, 30.632422771836115`}, {
         27.63561570216517, 29.85769696032725}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{27.51629880538695, 29.686982151725545`}, {
         27.10060219555089, 29.092216706924816`}, {26.06484724152422, 
         27.62868220724238}, {25.196692758521657`, 26.415370812518972`}, {
         25.10585650120264, 26.289706212884905`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{24.983841938670214`, 26.12090895501997}, {
         24.356500377582048`, 25.25303275189672}, {23.544270098705404`, 
         24.141668025375623`}, {22.76000192189172, 23.081276632955692`}, {
         22.520873751339213`, 22.761541071368253`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{22.39613142611056, 22.59474952473219}, {22.00192062499573, 
         22.06765473875587}, {21.268250985872154`, 21.096598506895113`}, {
         20.558993004521, 20.16810793737342}, {19.874146680942264`, 
         19.28218303019079}, {19.872816594444423`, 19.280481477694398`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{19.74454615200389, 19.11638771995569}, {19.21216516669153, 
         18.435323596636394`}, {18.571501613324365`, 17.6240294479994}, {
         17.354128389240785`, 16.108137005477634`}, {17.15025139309947, 
         15.857396937751771`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{17.018791258662905`, 15.69584738756669}, {
         16.723565875669564`, 15.334965653327052`}, {16.25786383306482, 
         14.774202670399808`}, {15.80513037101478, 14.233945441733457`}, {
         14.726182428465997`, 12.959495916819773`}, {14.336132402282129`, 
         12.50926907857899}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{14.19975350859204, 12.351849686226688`}, {
         13.72084937433382, 11.799060352260902`}, {12.784287671629853`, 
         10.742862573253987`}, {11.911653783365686`, 9.781126404996163}, {
         11.419060514032017`, 9.250623092589663}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{11.277339579136733`, 9.097995295825418}, {
         11.098802288572829`, 8.905717751797354}, {10.34158776628279, 
         8.108502517967477}, {9.230471932891707, 6.9756518400369405`}, {
         8.36368597075111, 6.12155531857624}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{8.21497801386477, 5.975730503385846}, {7.36536407473044, 
         5.16044978528031}, {6.595516394130137, 4.436377590879999}, {
         5.371321825095973, 3.277778417434574}, {5.204820697568351, 
         3.0971195121686423`}}]}, 
       {Arrowheads[{{0.0017014366117234633`, 1.}}], 
        ArrowBox[{{5.0636687999898635`, 2.9439653103239243`}, {
         4.583346787281306, 2.4228009778081465`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000014`, 1.}}], 
        ArrowBox[{{30., 83.92050570869947}, {29.707684012223645`, 
         82.83902231267939}, {29.415493439846394`, 81.76152106325344}, {
         29.126202087040017`, 80.69817842791552}, {28.908475797299804`, 
         79.90048229984654}}]}, 
       {Arrowheads[{{0.010000000000000014`, 1.}}], 
        ArrowBox[{{28.85363350236413, 79.69955348056247}, {
         28.839775210742896`, 79.64878007335888}, {28.556178067893438`, 
         78.61311166627675}, {28.275375915430025`, 77.5909588733624}, {
         27.99733401029105, 76.58210736130904}, {27.748422857825574`, 
         75.68327201564985}}]}, 
       {Arrowheads[{{0.010000000000000014`, 1.}}], 
        ArrowBox[{{27.69283699468941, 75.48254762861103}, {27.44939196973998, 
         74.60345084655833}, {26.912074001747378`, 72.67542745557061}, {
         26.574035512248813`, 71.47003136936216}}]}, 
       {Arrowheads[{{0.010000000000000014`, 1.}}], 
        ArrowBox[{{26.517795920245526`, 71.26948916426807}, {
         26.38510216182037, 70.79632252189182}, {25.94673309000321, 
         69.24168746899048}, {25.515298358987867`, 67.71905723872635}, {
         25.384837672686135`, 67.2609469090751}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{25.327792116670267`, 67.06063247556733}, {
         25.090797968774336`, 66.22843183109948}, {24.673231919362614`, 
         64.76981124610984}, {24.262600210752716`, 63.343195483757455`}, {
         24.179590506616897`, 63.05643056844752}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{24.121677665537558`, 62.85636515271851}, {
         23.858902842944623`, 61.94858454404228}, {23.462139815938347`, 
         60.58597842696437}, {23.072311129733883`, 59.255377132523684`}, {
         22.955093070265875`, 58.85748165079497}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{22.89623601082368, 58.65769197567006}, {
         22.688980853390404`, 57.95416650287226}, {22.31171305596709, 
         56.679732380162115`}, {21.94050773746393, 55.43207476439325}, {
         21.71088925676834, 54.664329008679985`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{21.651208964914442`, 54.46478369929654}, {
         21.575364897880924`, 54.21119365556565}, {21.21628453721808, 
         53.017089053679356`}, {20.863266655475385`, 51.84976095873431}, {
         20.516311252652855`, 50.70920937073055}, {20.445407687422215`, 
         50.477551220692234`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{20.38445108955726, 50.27839208605506}, {20.17541832875048, 
         49.59543428966807}, {19.84020747867376, 48.50625489909092}, {
         19.51029829732818, 47.43949038254313}, {19.185690784713756`, 
         46.39514074002471}, {19.15541964367828, 46.29825829299596}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{19.09330392306101, 46.099457626536065`}, {
         18.866384940830468`, 45.37320597153565}, {18.552380765678336`, 
         44.37368607707597}, {18.243678259257344`, 43.396581056645644`}, {
         17.8390449654819, 42.1272061203218}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{17.775788844949442`, 41.92876537110964}, {17.6421782526088,
          41.50961563787312}, {17.32203115310929, 40.51154876320992}, {
         17.00769364222234, 39.53747965126121}, {16.545414712542687`, 
         38.12599072791127}, {16.492490696961973`, 37.9658115515955}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{16.42714856917497, 37.768047869214314`}, {16.0957007374873,
          36.76489192783626}, {15.543417467473235`, 35.10162470031746}, {
         15.11187835269191, 33.815576132127}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{15.045620244937032`, 33.61811745065302}, {
         15.009449626741247`, 33.510323811217056`}, {14.493797215291346`, 
         31.99098926053509}, {13.996460233123527`, 30.543621048271536`}, {
         13.695381048262327`, 29.677467056623108`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{13.626996016895465`, 29.480734865008074`}, {
         13.516242473793795`, 29.162115617081845`}, {13.051947730858155`, 
         27.84036940962146}, {12.603576004316608`, 26.57838242589037}, {
         12.235294204173401`, 25.55454169461701}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{12.164732270064892`, 25.358579879435194`}, {
         11.753559728931961`, 24.228596710005863`}, {11.349831437121198`, 
         23.130619138631957`}, {10.959942418736869`, 22.08222195176688}, {
         10.722207993436978`, 21.450781187155734`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{10.648820962209957`, 21.255859635293493`}, {
         10.58389267377897, 21.08340514941061}, {10.003573493707698`, 
         19.56772306063702}, {9.456033130583183, 18.166058377215737`}, {
         9.140447574910327, 17.373034527101005`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{9.063436516025485, 17.179516144144408`}, {8.93863404083777,
          16.86590439101396}, {8.448738680903805, 15.654754393898898`}, {
         7.985009689200205, 14.527006024468786`}, {7.546852665281061, 
         13.481002262310993`}, {7.4808872127958645`, 
         13.326350834698154`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{7.399170622262271, 13.134771956519307`}, {7.13274450728149,
          12.510154410776458`}, {6.74116211333661, 11.607873773216122`}, {
         6.021309418566457, 9.99289241292584}, {5.7128301518155205`, 
         9.326010702288118}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{5.625388534841335, 9.136976230951166}, {5.378764182881664, 
         8.603814727255761}, {4.805729360049414, 7.4084451072560515`}, {
         4.296054859900539, 6.379752318963467}, {3.795070753458672, 
         5.395427353422462}}]}, 
       {Arrowheads[{{0.005736408611169167, 1.}}], 
        ArrowBox[{{3.700248618532473, 5.209985458155823}, {
         3.2936461870822913`, 4.41801303854295}, {2.6633946388716363`, 
         3.0576209159231027`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-70., 42.2388423071398}, {-68.98915960409614, 
         41.9083061790956}, {-67.71189077221128, 
         41.49174396001567}, {-66.4445646350951, 
         41.079526636092666`}, {-66.03944046514906, 40.94811168852564}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-65.84132424444435, 
         40.88384637263607}, {-65.18718119274764, 
         40.671654207326604`}, {-63.939740445168866`, 
         40.26812667371746}, {-62.87912177734884, 
         39.92515962765273}, {-61.877860423579165`, 39.60205951859432}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-61.67961679774189, 
         39.53818832607429}, {-60.77822982105708, 
         39.247939888475486`}, {-59.737868840004204`, 
         38.913637273348655`}, {-58.53071419190738, 
         38.52836368275662}, {-57.71246995109817, 38.26785643326001}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-57.51400668420472, 
         38.204670996435674`}, {-57.33267825985976, 
         38.14694083870802}, {-56.14356103184986, 
         37.769257317162335`}, {-54.96342917854819, 
         37.39535025946642}, {-53.77684134951399, 
         37.01937625744792}, {-53.543284176671925`, 36.9455497768814}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-53.34469058851762, 
         36.88277514445157}, {-52.599252539471095`, 
         36.64714518296589}, {-51.43066274841955, 
         36.27865703602038}, {-50.27107197635935, 
         35.913911816611346`}, {-49.371608377952796`, 35.63112058478952}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-49.17291817865309, 
         35.56865241341446}, {-49.122608324425975`, 
         35.55283500215417}, {-47.987399893754926`, 
         35.1953520700642}, {-46.865446684346196`, 
         34.84146302034144}, {-45.7567486961998, 
         34.491167852985896`}, {-45.20112936463425, 34.31291838611478}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-45.00280639665046, 
         34.24929395603637}, {-44.67590896417862, 
         34.144421267579936`}, {-43.658989620018374`, 
         33.80116047583969}, {-42.75222159194152, 
         33.4613505568011}, {-41.33258155428707, 
         32.79195655927925}, {-41.15805636890797, 32.67322032462759}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-40.98585221504147, 
         32.55606317749682}, {-40.368343519584535`, 
         32.135948125311366`}, {-39.594249116936744`, 
         31.493063263751495`}, {-38.90886416778257, 
         30.86303943438047}, {-37.89583391832051, 
         29.874399025318144`}, {-37.849437204362594`, 29.82744893612778}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-37.70303748198201, 
         29.679303099130628`}, {-36.95014224468296, 
         28.917428053965743`}, {-36.04306836537163, 
         27.991111973919775`}, {-34.78314217210039, 26.708413277797046`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-34.63662070828181, 
         26.560388044203634`}, {-33.5474434432035, 
         25.46080409302265}, {-32.36906055677067, 
         24.28278920501392}, {-31.69223211188771, 23.613809597075267`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-31.544100344408847`, 
         23.46739563873697}, {-31.23234326900371, 
         23.15925385236052}, {-30.135717451595035`, 
         22.087733329299667`}, {-29.07760897623706, 
         21.065762930068583`}, {-28.554667421131416`, 20.566559248454343`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-28.404012413375426`, 
         20.422742919858656`}, {-27.948657382850527`, 
         19.988057809332926`}, {-26.861888346614577`, 
         18.962802302999513`}, {-25.817301867529203`, 
         17.989996411068347`}, {-25.36459711700993, 17.574345943337356`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-25.211176860688482`, 
         17.43348327020156}, {-24.814897945594403`, 
         17.069640133539426`}, {-23.851572317180363`, 
         16.196724335304808`}, {-22.92422071865726, 
         15.366239881256549`}, {-22.113035060218746`, 14.649083197822396`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-21.956525203774532`, 
         14.51166340638752}, {-21.17743961128387, 
         13.832565005719111`}, {-20.355365032368685`, 
         13.125328850624086`}, {-19.563974343214632`, 
         12.452432572503719`}, {-18.803267543821725`, 
         11.813876171358018`}, {-18.791211603198157`, 11.803897856372178`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-18.63076121937674, 
         11.67109822510665}, {-18.073244634189958`, 
         11.209659647186978`}, {-17.088628073655446`, 
         10.409203767726895`}, {-16.15939391184812, 
         9.668849714227127}, {-15.383662206141405`, 9.06211813421607}}]}, 
       {Arrowheads[{{0.0023348409014156634`, 1.}}], 
        ArrowBox[{{-15.219234500617423`, 
         8.934278441027752}, {-14.448514097523573`, 8.341039281894457}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{17.339158863268448`, 85.}, {17.172209758189023`, 
         83.91428447125737}, {16.887329272178818`, 82.0720395120225}, {
         16.70243568205887, 80.88337474961291}}]}, 
       {Arrowheads[{{0.00999999999999999, 1.}}], 
        ArrowBox[{{16.67042342745254, 80.67757075721306}, {
         16.607326232474158`, 80.27192439473487}, {16.332200639075047`, 
         78.51393911939448}, {16.03659435342371, 76.63103007444215}, {
         16.02572124894541, 76.56218709374747}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{15.993228333859026`, 76.35645844187347}, {
         15.746338402393478`, 74.79327666434942}, {15.532139693966727`, 
         73.45390553780908}, {15.337581732701961`, 72.24280650538269}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{15.304478507046868`, 72.037175186301}, {15.11247960143405, 
         70.84706081356244}, {14.906940820296004`, 69.57875615825459}, {
         14.649933690993112`, 67.9931340244903}, {14.638854454918583`, 
         67.92512344216811}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{14.605366321556415`, 67.71955444485427}, {
         14.397139680265377`, 66.44134220766266}, {14.148558788112794`, 
         64.92338070777164}, {13.932099547563345`, 63.608747832760926`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{13.898228478186857`, 63.403241596385385`}, {
         13.664036359533089`, 61.9889486587995}, {13.428094823105969`, 
         60.57247810971838}, {13.213868657229703`, 59.29426752827903}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{13.179335546638882`, 59.08887152042079}, {
         12.968851105977187`, 57.841027962366034`}, {12.745274630215238`, 
         56.52318807812177}, {12.525362682907868`, 55.23345793886807}, {
         12.482267541724386`, 54.9820343181878}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{12.447080756831225`, 54.7767492532133}, {
         12.309115264055078`, 53.971837544604924`}, {12.09653237365686, 
         52.73832689533232}, {11.88761401171322, 51.53292599105028}, {
         11.73752561234031, 50.67205171313646}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{11.70175301702738, 50.46686791953356}, {
         11.682360178224158`, 50.355634831758785`}, {11.480770873189673`, 
         49.20645341745785}, {11.282846096609767`, 48.08538174814747}, {
         11.088346831680905`, 46.99003333934927}, {10.976778585310175`, 
         46.36486619600757}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{10.940186967836834`, 46.15982687962316}, {
         10.897034061599557`, 45.918021706584895`}, {10.708907786365726`, 
         44.869346849854345`}, {10.523968005979405`, 43.8440087691576}, {
         10.199537516633292`, 42.06062663777806}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{10.162242968192635`, 41.85571402944311}, {
         9.816073832909279, 39.97602420670881}, {9.544061538523756, 
         38.51618084119441}, {9.40173912261365, 37.760152815202034`}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{9.363207398007361, 37.55546922052096}, {9.279892997535361, 
         37.11289647944714}, {9.023266029072152, 35.7632420524468}, {
         8.773878452262197, 34.464288491173235`}, {8.580079381727433, 
         33.46417507820983}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{8.540456767583914, 33.25969985677423}, {8.53142808623356, 
         33.213106726606256`}, {8.295612750114307, 32.006767689725685`}, {
         8.066130263032502, 30.842342311511345`}, {7.842678444116209, 
         29.716901522943054`}, {7.7338084828947995`, 29.17297706159539}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{7.69293093328183, 28.96874901829492}, {7.625231236182105, 
         28.630515029183083`}, {7.413847543181824, 27.58417523514214}, {
         7.208352625945869, 26.576337121422714`}, {7.008571745304733, 
         25.60545566862728}, {6.858852373152814, 24.887543746969165`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{6.816330998751493, 24.683651617518997`}, {
         6.625453137128945, 23.76838266821838}, {6.263093805298465, 
         22.06059607873535}, {5.949671224609347, 20.60924309629107}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{5.905439264344973, 20.405715571987017`}, {5.59666826317259,
          19.00255735614885}, {5.290659916186872, 17.637740204981434`}, {
         5.001325703925425, 16.3706899480717}, {4.9944204872104345`, 
         16.341003286419834`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{4.947233823960853, 16.13814006514976}, {4.727798273448909, 
         15.194750565396996`}, {4.469341276421448, 14.104477416561519`}, {
         4.225054608752836, 13.092911636635899`}, {3.9940381663528646`, 
         12.153094360690766`}, {3.977476308649271, 12.087064944788983`}}]}, 
       {Arrowheads[{{0.008612197482776664, 1.}}], 
        ArrowBox[{{3.9268043415169394`, 11.885044105567777`}, {
         3.725926361518835, 11.08417647802339}, {3.4760718567057456`, 
         10.111012644390755`}, {3.243129076678048, 9.223773659726017}, {
         3.0257524462001917`, 8.412630323962322}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-55.281779748356456`, 85.}, {-54.77378894192161, 
         84.63411420111122}, {-53.329923220139186`, 
         83.59742528535484}, {-51.89980287009753, 
         82.57390739750093}, {-51.897035503668924`, 82.57193212335275}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-51.7275110333666, 
         82.45092996758098}, {-50.854133870914836`, 
         81.82753607482888}, {-49.815736409306474`, 
         81.08791093859003}, {-48.78499927661964, 
         80.35497128442444}, {-48.33421627728718, 80.03482438283635}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-48.16440544783423, 
         79.91422442457267}, {-47.76231126420153, 
         79.62865640797214}, {-46.75076538260307, 
         78.90890690170285}, {-45.75345464237519, 
         78.19566335808621}, {-44.77433122878838, 77.4936100574305}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-44.60509167035527, 
         77.37221027942248}, {-43.509615291432304`, 
         76.5605758390318}, {-43.086623605957094`, 
         76.19706263485622}, {-42.69517176601205, 
         75.83527540909756}, {-41.97857618941496, 
         75.11513656363908}, {-41.53260913926992, 74.58143939943115}}]}, 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{-41.39905689525848, 
         74.42161491491075}, {-41.382529496899465`, 
         74.40183626616736}, {-40.87949629898409, 
         73.69530953750737}, {-40.30880632955632, 
         72.74383813880681}, {-39.81197270175703, 
         71.80465139297131}, {-39.33189382281105, 70.81439539613011}}]}, 
       {Arrowheads[{{0.010000000000000018`, 1.}}], 
        ArrowBox[{{-39.24103422338192, 
         70.62697981266844}, {-38.91888235039216, 
         69.9624789605957}, {-38.10893653107494, 
         68.16756811333215}, {-37.524567278849176`, 66.83189724954791}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-37.44108361550769, 
         66.64108177405447}, {-37.34379216090534, 
         66.41870634839238}, {-36.92352547779602, 
         65.45078108057528}, {-36.509790295182576`, 
         64.49675706685707}, {-36.102586613065014`, 
         63.55663430723772}, {-35.78368067739107, 62.81942930672129}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-35.70098599914122, 
         62.62827058288602}, {-34.916457277011375`, 
         60.81808776355422}, {-34.14971153921045, 
         59.058196162949216`}, {-34.040107695763396`, 58.80812860200644}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-33.95649804101802, 
         58.61736829857289}, {-33.400682155100085`, 
         57.349241939556244`}, {-32.66837406173978, 
         55.6897290330293}, {-32.27598158296384, 54.805828267946694`}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-32.19147289347013, 
         54.61546453943531}, {-32.09525730650755, 
         54.39872992924504}, {-31.531708066233264`, 
         53.13572117708675}, {-30.97772634091693, 
         51.900702776554425`}, {-30.4877018146662, 50.81426282590118}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-30.401918821237555`, 
         50.6244700462877}, {-29.898465435158112`, 
         49.51463703036768}, {-29.373186254715634`, 
         48.36358968471327}, {-28.857474589231096`, 
         47.240532690684816`}, {-28.67041682996611, 46.835824442727144`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-28.583032173290366`, 
         46.64676363369904}, {-28.351330438704508`, 
         46.14546604828233}, {-27.854111143741218`, 
         45.07598140365145}, {-27.365174044946567`, 
         44.02967040293779}, {-26.884519142320556`, 
         43.00653304614136}, {-26.821058016529175`, 42.8721924669708}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-26.73209583504304, 
         42.68386881471775}, {-26.412146435863185`, 
         42.00656933326215}, {-25.948055925574447`, 
         41.029779264300174`}, {-25.49224761145436, 
         40.07616283925542}, {-25.0447214935029, 
         39.1457200581279}, {-24.937678136413982`, 38.92461936802392}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-24.846919382921097`, 
         38.73715492767024}, {-24.605477571720087`, 
         38.23845092091759}, {-23.74964323783022, 
         36.48545188251912}, {-23.014795559498317`, 34.996135122753586`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-22.922636051043945`, 
         34.8093553253071}, {-22.922551530954593`, 
         34.809184028330435`}, {-22.124202451093208`, 
         33.209647358351546`}, {-21.35459599824607, 
         31.68684187258245}, {-21.048882825549963`, 31.089024880963933`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-20.95405292406042, 
         30.903586596038235`}, {-20.767578780500376`, 
         30.538939529853355`}, {-20.197360412069727`, 
         29.435179752792312`}, {-19.643294738966347`, 
         28.37327948239831}, {-19.104735607202443`, 
         27.350955659670323`}, {-19.029436488993294`, 27.209324762354793`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-18.93166296113944, 
         27.02542151337938}, {-18.581036862790235`, 
         26.36592522560734}, {-18.071552351741943`, 
         25.41590512120834}, {-17.575635920069786`, 
         24.498612287472305`}, {-17.09264141378597, 
         23.611763665398218`}, {-16.953539947873647`, 23.35953259016871}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-16.852958710735724`, 
         23.177149799126063`}, {-16.165396979132883`, 
         21.93040208362635}, {-15.288678043695672`, 
         20.369482746361715`}, {-14.816347339664055`, 19.543465312917654`}}]}, 
       {Arrowheads[{{0.0012257042187599296`, 1.}}], 
        ArrowBox[{{-14.71295918512375, 
         19.36265890475287}, {-14.45951259074404, 18.919428550220058`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{30., 8.669666257454137}, {29.08494170189911, 
         8.320541898754149}, {28.082592238418272`, 7.942057808213013}, {
         26.18169248129937, 7.236526389519751}, {26.09977617948274, 
         7.206796517978102}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{25.903992725544, 7.1357408574258425`}, {
         24.410647059957796`, 6.593761131527842}, {22.76091141704723, 
         6.007945845086628}, {22.33540261160287, 5.858706604090924}, {
         21.98099168568048, 5.735118286188868}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{21.784123866063076`, 5.667126026006503}, {
         21.276692515451323`, 5.492671769231288}, {20.654921446927382`, 
         5.280679441582141}, {19.20179630483037, 4.7892831655624}, {
         17.858945249374145`, 4.34357580786452}, {17.836866132212403`, 
         4.336364009731864}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{17.63888120875175, 4.271695332499527}, {
         16.621832151695173`, 3.9394921725285297`}, {15.485920882929943`, 
         3.5729670635944624`}, {14.44804408311523, 3.2406430439089995`}, {
         13.674338271570532`, 2.9932891569447126`}}]}, 
       {Arrowheads[{{0.005952602858160076, 1.}}], 
        ArrowBox[{{13.475959508346175`, 2.929838942226382}, {
         12.201749175065103`, 2.5212251589624364`}, {11.117908510442268`, 
         2.1630900032253373`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{-70., 68.2908455487938}, {-68.77917146204797, 
         67.64592431918402}, {-67.50122013298567, 
         66.97266569087941}, {-66.31459212427103, 66.3492530890743}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-66.13020212641854, 
         66.25240064363037}, {-65.14602860054623, 
         65.73553715051874}, {-64.06567244289178, 
         65.16935315850198}, {-62.99237719815544, 
         64.60808797084323}, {-62.44004078037466, 64.31985767071912}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-62.255391443538194`, 
         64.22350057373838}, {-61.9260049662983, 
         64.05161409271811}, {-60.683382071297004`, 
         63.40761376432226}, {-59.450292987421456`, 
         62.770150922299855`}, {-58.55589387639422, 62.30889477487261}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-58.37078187979265, 
         62.213429511834796`}, {-58.226524321988265`, 
         62.139033546398636`}, {-57.0121472058919, 
         61.514325643369354`}, {-55.80736362070531, 
         60.894518404069956`}, {-54.666120494068146`, 60.308828111087585`}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-54.48075168588338, 
         60.213862519572984`}, {-53.42513006974093, 
         59.67345486976339}, {-52.247680103963134`, 
         59.07219857475621}, {-51.07956037285058, 
         58.477002519398965`}, {-50.77064785659864, 58.31988687158429}}]}, 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-50.58500128581399, 
         58.225465377799246`}, {-49.92098990459891, 
         57.88774329524419}, {-48.771968699208145`, 
         57.30442090229189}, {-47.63249675667826, 
         56.72703534054206}, {-46.872264530174675`, 56.33667082986738}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-46.68698408253467, 
         56.241532911795666`}, {-46.519374687040695`, 
         56.155468736435196`}, {-45.44940310032692, 
         55.5896032164118}, {-44.42258199653692, 
         55.02943878047188}, {-43.43891137567067, 
         54.474975428615394`}, {-43.04329496120178, 54.22510318970649}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-42.86719938537406, 
         54.11388081827608}, {-42.24947582277327, 
         53.72372519285527}, {-41.31982380617316, 
         52.982834574515614`}, {-39.98746140475704, 
         51.531565027266865`}, {-39.829182502478375`, 51.30537556365551}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-39.70976964409319, 
         51.13472786520932}, {-38.99973449629596, 
         50.12004765885619}, {-37.99705739795429, 
         48.485335970198605`}, {-37.471341109455466`, 47.62362045590028}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-37.36286749627974, 47.44581847903471}, {-37.0322402579572,
          46.903878602060985`}, {-36.1069583829022, 
         45.37400407326551}, {-35.210511346215455`, 
         43.894029966753116`}, {-35.203998734640436`, 43.883335766718396`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-35.09566719226338, 
         43.705447193001845`}, {-34.455322123517476`, 
         42.653952231643736`}, {-33.71647096740581, 
         41.44793341302588}, {-32.99395787788047, 
         40.27597351089957}, {-32.91838480684145, 40.15419821549923}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-32.80855845561807, 
         39.97722861271486}, {-32.28778285494145, 
         39.138072525264796`}, {-31.597022688861472`, 
         38.032384997065925`}, {-30.920754169913295`, 
         36.95706546724735}, {-30.59762434681191, 36.44684061974488}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-30.486187426101196`, 
         36.27088073671692}, {-30.2589772980969, 
         35.91211393580906}, {-29.611692073412286`, 
         34.89753040275105}, {-28.97828351118383, 
         33.91166610460668}, {-28.3581366267359, 
         32.95287227790931}, {-28.23601217822364, 32.765380146488305`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-28.122336123256872`, 
         32.59085845081727}, {-27.751251420068495`, 
         32.02114892265893}, {-27.15762789118162, 
         31.11649603885554}, {-26.515382152525007`, 
         30.145551681509332`}, {-25.888710324933307`, 
         29.205995403725197`}, {-25.82725265136991, 29.114605584101795`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-25.71102588922752, 
         28.941772116582925`}, {-25.277138679822613`, 
         28.296565887559126`}, {-24.680193488609046`, 
         27.41600181506714}, {-23.528287553537698`, 
         25.736424729329382`}, {-23.36400920570862, 25.500376745500795`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-23.24503389109318, 
         25.329423704448995`}, {-22.4292026910481, 
         24.157173602959915`}, {-21.380691868950425`, 
         22.672689575492498`}, {-20.844378215880177`, 21.925251371552598`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-20.72295470957149, 
         21.756028442112157`}, {-20.381389653044153`, 
         21.280003319652735`}, {-19.428828611642114`, 
         19.972908591676397`}, {-18.520541313057137`, 
         18.74519914779927}, {-18.259187029990343`, 18.39727835896159}}]}, 
       {Arrowheads[{{0.00191659876494734, 1.}}], 
        ArrowBox[{{-18.134093047584056`, 
         18.23075039344698}, {-17.654583103219583`, 
         17.592415807377982`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-24.775582403528734`, 85.}, {-24.49992974915338, 
         83.74624321171676}, {-24.094076138117696`, 
         81.9110746285318}, {-23.876367257931108`, 80.93263915677142}}]}, 
       {Arrowheads[{{0.009999999999999983, 1.}}], 
        ArrowBox[{{-23.831130039220902`, 
         80.72933233992538}, {-23.69528552809021, 
         80.11881480742832}, {-23.26762509902369, 
         78.20284779732268}, {-22.922110660861556`, 76.66415072903672}}]}, 
       {Arrowheads[{{0.00999999999999999, 1.}}], 
        ArrowBox[{{-22.87647796397424, 
         76.46093231277607}, {-22.847683253823035`, 
         76.33269936156431}, {-22.53890106821727, 
         74.97456595828314}, {-22.234345254248414`, 
         73.6409938848343}, {-21.949682467079143`, 72.3997673939088}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-21.902993401053056`, 
         72.19678909576147}, {-21.637472134002635`, 
         71.04420536243065}, {-21.264879290898353`, 
         69.42714233452351}, {-20.96631968588538, 68.13788964914576}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-20.919330858592613`, 
         67.93498051223382}, {-20.898387321623623`, 
         67.84454124709143}, {-20.537996226178446`, 
         66.2964021001344}, {-20.18370600456282, 
         64.78272489365241}, {-19.970934376164593`, 63.87880568158859}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-19.923212321435006`, 
         63.67606773934519}, {-19.83551665677674, 
         63.30350962764548}, {-19.493428182820214`, 
         61.858756302113605`}, {-19.15744058269324, 
         60.44846491705677}, {-18.95963025176632, 59.62347483398701}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-18.911067085166053`, 
         59.42093672255498}, {-18.827553856395816`, 
         59.072635472474985`}, {-18.50337126778884, 
         57.72835762106757}, {-18.1844960807332, 
         56.412721015533876`}, {-17.931003813754756`, 55.372297265414666`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-17.881700357560813`, 
         55.169938087367235`}, {-17.870928295228907`, 
         55.12572565587387}, {-17.562667911275952`, 
         53.867371542087575`}, {-17.259714928874335`, 
         52.637658674174986`}, {-16.96206934802406, 
         51.43658705213609}, {-16.88449847340603, 51.12548690802908}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-16.834108271031557`, 
         50.92339560381893}, {-16.669731168725125`, 
         50.26415667597091}, {-16.382700390977533`, 
         49.12036754567943}, {-16.10063124027817, 
         48.00279081385455}, {-15.823177942123925`, 
         46.908997633089186`}, {-15.816793013140211`, 46.88395731839811}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-15.765331451743217`, 
         46.68213617126213}, {-15.550340496514801`, 
         45.83898800338332}, {-15.282118903450796`, 
         44.792761924736965`}, {-15.01851316293191, 
         43.77031939715012}, {-14.759523274958141`, 
         42.77166042062278}, {-14.727252659422824`, 42.647984944086474`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-14.67466716115927, 
         42.44645372291944}, {-14.505149239529494`, 
         41.79678499515493}, {-14.255391056645966`, 
         40.84569312074661}, {-13.860582106818915`, 
         39.354901537260844`}, {-13.610222040275723`, 38.419183360481895`}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-13.556388716773043`, 
         38.21798186691548}, {-13.477151009783586`, 
         37.92183175104416}, {-13.104659774900657`, 
         36.54349687604909}, {-12.742670411530819`, 
         35.216910026228206`}, {-12.462240288640267`, 34.198680773429864`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-12.406937344577257`, 
         33.9978782532498}, {-12.390744929034746`, 
         33.93908431553404}, {-12.048445336773122`, 
         32.707032857919145`}, {-11.715333644106625`, 
         31.517768767336044`}, {-11.39097186039594, 
         30.368305157737296`}, {-11.282485859161378`, 29.986947848268265`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-11.225497134467899`, 
         29.786617239048127`}, {-11.07532200591182, 
         29.258711497076074`}, {-10.768469181205045`, 
         28.18999766992112}, {-10.470160016056328`, 
         27.16058741514833}, {-10.180141140246386`, 
         26.168904471633645`}, {-10.06651429081829, 25.785540465246854`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-10.007326744528658`, 
         25.585848447136684`}, {-9.623960775765683, 
         24.292415473882144`}, {-9.09790112600866, 
         22.5479205876739}, {-8.806129108946408, 21.59724869881528}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-8.745019315408234, 
         21.39813651720295}, {-8.600444614688959, 
         20.927073167133166`}, {-8.130364742930455, 
         19.423962819593882`}, {-7.6860711650942335`, 
         18.029633835877874`}, {-7.490209306808043, 17.4260983485214}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-7.425918488265064, 
         17.227990402230056`}, {-7.265973535541372, 
         16.735130506806975`}, {-6.868812823216417, 
         15.53366045644581}, {-6.493519319683035, 
         14.419667499283477`}, {-6.138786663230992, 
         13.386050211778507`}, {-6.101291055889642, 13.278714925321863`}}]}, 
       {Arrowheads[{{0.009311595673514785, 1.}}], 
        ArrowBox[{{-6.0326031534045645`, 
         13.082088274572527`}, {-5.803308492150054, 
         12.425707170389412`}, {-5.41426546445645, 
         11.334443000618872`}, {-5.051524147225262, 
         10.3407832854938}, {-4.713092393581963, 9.43472695878736}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-4.924876262927677, 85.}, {-4.908997351629848, 
         84.63570589818089}, {-4.82717776367298, 
         82.76963948001907}, {-4.746791247915927, 
         80.9474897960024}, {-4.741965158364022, 80.83844138726022}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-4.732756502108552, 
         80.63036623645486}, {-4.659364619088251, 
         78.9720323054574}, {-4.573548238782824, 
         77.04478424677544}, {-4.547573827969065, 76.46890817679576}}]}, 
       {Arrowheads[{{0.009999999999999985, 1.}}], 
        ArrowBox[{{-4.53818912625905, 76.26084089174952}, {-4.508715348006107,
          75.60738069550263}, {-4.444813771519572, 
         74.19725428687252}, {-4.381805393140331, 
         72.8129553679274}, {-4.349180704139939, 72.09955476421266}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-4.339665801144027, 71.8914933926088}, {-4.319702918262682,
          71.45496715631987}, {-4.244697231543662, 
         69.81497355199532}, {-4.170929485732724, 
         68.21020510820469}, {-4.148752432720938, 67.7302941992522}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-4.1391379678728715`, 
         67.52223740460616}, {-4.098399680829868, 
         66.64066182494797}, {-4.027107816835092, 
         65.10634370222515}, {-3.9570538937483986`, 
         63.60725074003625}, {-3.9454854699175947`, 63.36116483635971}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-3.935705146407558, 
         63.15311577242349}, {-3.888237911569786, 
         62.14338293838125}, {-3.8206598702992545`, 
         60.71474029726016}, {-3.7543197699368047`, 
         59.32132281667297}, {-3.73855942273701, 58.99220729111516}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-3.728596996019199, 
         58.78416686767156}, {-3.6891364600492937`, 
         57.96013203710023}, {-3.625028790203578, 
         56.62816949902245}, {-3.5619967603996576`, 
         55.32543520243963}, {-3.527844071846392, 54.62343084361397}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-3.5177232249556925`, 
         54.41539806689136}, {-3.5000403706375316`, 
         54.05192914735176}, {-3.439159620917202, 
         52.80765133375888}, {-3.379354511238669, 
         51.59260176166096}, {-3.3206250416019305`, 
         50.406780431058}, {-3.3130517671581714`, 50.25485302319787}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-3.3026823635877594`, 
         50.046832487667615`}, {-3.2629712120069874`, 
         49.25018734195001}, {-3.2063223884652396`, 
         48.120324415152496`}, {-3.150607936988087, 
         47.01469357148098}, {-3.09582785757553, 
         45.933294810935465`}, {-3.0934451523255166`, 45.88651454345473}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-3.0828504166836623`, 
         45.67850536262518}, {-3.0419821502275664`, 
         44.87612813351592}, {-2.937093851725426, 
         42.834491028054835`}, {-2.8686416640009273`, 41.51844057156181}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-2.8578230100111544`, 
         41.31044291662659}, {-2.8359430414816655`, 
         40.889782255097714`}, {-2.7571618192095277`, 
         39.39286976384467}, {-2.680658734163873, 
         37.954123803485956`}, {-2.6375068852142305`, 37.150697310265876`}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-2.62633637881121, 
         36.94271825478336}, {-2.6063456657939645`, 
         36.570519407054775`}, {-2.5341344935490673`, 
         35.23903160758432}, {-2.4639370968784453`, 
         33.9566354381078}, {-2.3991463097729357`, 32.7833423608827}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-2.3875970805383515`, 
         32.57538399683672}, {-2.329231148057084, 
         31.527018121269336`}, {-2.264546354804873, 
         30.373747039973793`}, {-2.2016036329157282`, 
         29.260574354737948`}, {-2.153424763664781, 28.416395401190737`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-2.141557214126595, 
         28.208454955387957`}, {-2.1404204945973335`, 
         28.188537619891967`}, {-2.080946101448984, 
         27.156045699515033`}, {-2.0231296150699754`, 
         26.161507457686348`}, {-1.912267009017159, 
         24.279927465990426`}, {-1.898481915270014, 24.049977590878374`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-1.8860183390079528`, 
         23.842072018563776`}, {-1.8074259692332446`, 
         22.531068557437703`}, {-1.708302328796405, 
         20.906520824837497`}, {-1.6323022581093167`, 19.68423096692203}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-1.619376768760228, 
         19.476353600530718`}, {-1.6146505152327055`, 
         19.400342463956743`}, {-1.526151713008345, 
         18.003506541865345`}, {-1.4424871065895237`, 
         16.70698612563324}, {-1.3634040780978092`, 
         15.503933843131918`}, {-1.3510426161330116`, 15.319431386758461`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-1.3371193784673003`, 
         15.111618463229618`}, {-1.2886878368864085`, 
         14.388747785548084`}, {-1.21807630826898, 
         13.354269214924441`}, {-1.151307417559182, 
         12.3933393933037}, {-1.0735273915143961`, 
         11.296865275073568`}, {-1.0487500535962502`, 10.956041325712423`}}]}, 
       {Arrowheads[{{0.001080957861511916, 1.}}], 
        ArrowBox[{{-1.033648381360247, 
         10.748310713552403`}, {-1.0009998387092793`, 
         10.299214636970289`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000014`, 1.}}], 
        ArrowBox[{{-70., 19.11832836613523}, {-68.78590570155967, 
         18.938818524476382`}, {-67.49877065888889, 
         18.749041778865028`}, {-66.39021003107395, 
         18.585653247273626`}, {-65.87901308049905, 18.510469140169494`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-65.67295099430545, 
         18.480162633174377`}, {-65.28888518374994, 
         18.423676292629178`}, {-64.19484409721736, 
         18.2631233646204}, {-63.10794283057471, 
         18.103957114181153`}, {-61.83547483580732, 
         17.918912871346997`}, {-61.5511761300232, 17.877674736964718`}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-61.34505443327133, 
         17.84777634468638}, {-60.572933376979755`, 
         17.735778536638257`}, {-59.32009253944414, 
         17.554497107701444`}, {-58.0770276280831, 
         17.375087585321054`}, {-57.222343225558966`, 17.251724243492355`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-57.01620066234012, 
         17.22197006122729}, {-56.85474731523502, 
         17.19866622604615}, {-55.64177688263656, 
         17.024018458388625`}, {-54.43811633028773, 
         16.851144282348486`}, {-53.24376565818852, 
         16.68004369792572}, {-52.89291565886891, 16.62990117040802}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-52.686731880651514`, 
         16.600433945688}, {-52.05872585526532, 
         16.510681032846968`}, {-50.882997910444516`, 
         16.343020614838853`}, {-49.716581823726095`, 
         16.177062443901377`}, {-48.56274543417368, 16.013270403849994`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-48.35655934171239, 
         15.983819385441068`}, {-47.42131685571896, 
         15.850218788328199`}, {-46.31173123667526, 
         15.68926519387218}, {-45.230720737978956`, 
         15.529945736666484`}, {-44.234882997795154`, 15.380740383145524`}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-44.02902457566583, 
         15.349083900618558`}, {-43.42876455621486, 
         15.255878333616725`}, {-42.91933486405904, 
         15.169496790184116`}, {-42.45574075172028, 
         15.083604589812916`}, {-41.6635358407839, 
         14.913274610448479`}, {-41.02320799012454, 
         14.744868068179773`}, {-40.48746709722912, 
         14.578363242551587`}, {-39.9868136410654, 14.385527113202421`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-39.79245358394824, 
         14.310665668318476`}, {-39.412984237369905`, 
         14.164505886337677`}, {-38.476699363413495`, 
         13.762391761444668`}, {-37.61182472481665, 
         13.37169322425128}, {-36.7868406746518, 
         12.992086203453528`}, {-35.98513018972158, 12.622516293416842`}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-35.795970325069064`, 
         12.535346293769686`}, {-34.88433824810345, 
         12.116169892734668`}, {-33.092251612772316`, 
         11.299309911436128`}, {-32.004008060229786`, 10.811154031180273`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-31.813972724125158`, 
         10.725909449157125`}, {-31.394004293871262`, 
         10.537523257232273`}, {-30.20153790782085, 
         10.010106904070321`}, {-29.052672598381445`, 
         9.507826098379326}, {-27.999124062294648`, 9.053006632257572}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-27.807602318219708`, 
         8.971157543484594}, {-26.885745209335695`, 
         8.57867112941022}, {-25.864464552106895`, 
         8.149448137215547}, {-24.880347816244207`, 
         7.74066303465871}, {-23.964203097432545`, 7.36495028241338}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-23.771176260806254`, 
         7.2867162220370725`}, {-23.023606108617184`, 
         6.984406498458553}, {-21.30401024521312, 
         6.302258514806707}, {-19.89614611204441, 5.758457355099687}}]}, 
       {Arrowheads[{{0.008010487411421081, 1.}}], 
        ArrowBox[{{-19.701829093702347`, 
         5.683485211187907}, {-18.604935045536262`, 
         5.271098270429902}, {-17.560273603371584`, 
         4.887535519184414}, {-16.56996375667383, 4.532212539880449}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-70., 1.2695395119913622`}, {-69.24505126844468, 
         1.2623597558063928`}, {-67.82014728965875, 
         1.2488544477423313`}, {-66.64221874308919, 
         1.2376954608540522`}, {-65.83461061413935, 1.230063554216566}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-65.6263410913566, 
         1.2280954046941255`}, {-65.47183338282903, 
         1.2266353049700331`}, {-64.30904141286702, 
         1.2156748741115324`}, {-63.15369222123696, 
         1.2048114862147752`}, {-61.785536285864524`, 
         1.1920517239176749`}, {-61.46094780563213, 1.1890335679823036`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-61.252677986887825`, 
         1.1870969903528332`}, {-60.42796456703121, 
         1.17942846896434}, {-59.080732701823166`, 
         1.1669375042175023`}, {-57.74392214454501, 
         1.1545802353895849`}, {-57.08728027047777, 1.1485100820931005`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-56.87901034714332, 
         1.1465847855020432`}, {-56.3964878066496, 
         1.1421242326413739`}, {-55.05947866014637, 
         1.1298011988490622`}, {-53.732894705035335`, 
         1.1176111340126509`}, {-52.71361008578339, 1.1082736492633742`}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-52.50534000258743, 
         1.1063657241472276`}, {-52.41673594131648, 
         1.1055540381321391`}, {-51.11139450650554, 
         1.0936270724448924`}, {-49.81726253811826, 
         1.0818273981882767`}, {-48.53434003615463, 
         1.070155015362291}, {-48.33993666764752, 1.068390148136544}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-48.13166642787538, 
         1.066499392214489}, {-47.26262700061463, 
         1.0586099239669358`}, {-46.00705764970388, 
         1.0471904014848608`}, {-44.78458933960154, 
         1.0358940627467963`}, {-43.96626857350654, 1.027940041338865}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-43.75799958950114, 
         1.0259156811783718`}, {-43.634943479700176`, 
         1.0247195842781252`}, {-41.77473064088071, 
         1.0027303247934485`}, {-40.48506867513148, 
         0.9812129430106218}, {-39.59294828594418, 0.9618607184210646}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-39.384729978295155`, 
         0.9568547929826866}, {-38.45437531238419, 
         0.9331640842521048}, {-37.44317741008861, 
         0.9069290503144293}, {-36.471645033679515`, 
         0.8814316141487769}, {-35.52564967709364, 
         0.856651038618823}, {-35.220557006684906`, 0.8487388511857205}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-35.012348189050314`, 
         0.8433392223183911}, {-34.04956148470966, 
         0.8183705829451906}, {-32.618791373684545`, 
         0.7818001104940235}, {-31.230963582495786`, 
         0.7468649066222564}, {-30.848119837187056`, 0.7373810176274076}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-30.6399048921804, 
         0.7322230714686705}, {-29.88370234962089, 
         0.713490256686824}, {-28.57581104960471, 
         0.6816078915950958}, {-27.306093056992115`, 
         0.6511495422544412}, {-26.475544748500667`, 0.6315808505025742}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-26.267323713139046`, 
         0.6266749188239618}, {-25.585364133267074`, 
         0.6106071517003533}, {-23.93220646794272, 
         0.5724424479501607}, {-22.346620061019063`, 
         0.5366554310038637}, {-22.102839850526898`, 0.531290179186422}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-21.89461145282942, 
         0.5267073716364002}, {-20.828604912496086`, 
         0.5032461008614619}, {-19.37318866160449, 
         0.4719418497417446}, {-17.975398947574952`, 
         0.44247006986350035`}, {-17.72999262412683, 0.43740884953544007`}}]}, 
       {Arrowheads[{{0.002128662965781637, 1.}}], 
        ArrowBox[{{-17.521758082846674`, 
         0.4331142540314483}, {-16.635235770407476`, 
         0.41483076122672935`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{30., 50.327647237287756`}, {29.694818960597445`, 
         49.64900609653726}, {29.20173995221633, 48.55922484274881}, {
         28.716874309505226`, 47.493493638442175`}, {28.278437070948275`, 
         46.53447347150493}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{28.1916391996315, 46.34514265441333}, {27.770134585779566`,
          45.42778823844196}, {27.308260504765016`, 44.42781404274838}, {
         26.854050277649314`, 43.449758849925814`}, {26.440983713605036`, 
         42.565308959768764`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{26.352448343953053`, 42.3767845950647}, {25.53740271969532,
          40.64710728868425}, {25.075113034657676`, 39.672159920724795`}, {
         24.62119190688859, 38.720597311287065`}, {24.56881451563615, 
         38.61240206390877}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{24.478061508568757`, 38.42493484159797}, {
         23.955716629505325`, 37.345934302325766`}, {23.308228132059668`, 
         36.02007467606655}, {22.651203285405497`, 34.681335675009635`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{22.55944000899265, 34.4943608937297}, {22.509190945359034`,
          34.39197453559503}, {21.73662904678661, 32.83425800806006}, {
         20.990542436342405`, 31.346925093461643`}, {20.69676851347391, 
         30.76847011096458}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{20.602457580952297`, 30.58276734916604}, {
         20.27093111402641, 29.929975791799762`}, {19.576067462942866`, 
         28.577445970284987`}, {18.904223866196016`, 27.283371496127867`}, {
         18.692804608877466`, 26.880744801747845`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{18.595975103549435`, 26.6963427555807}, {
         18.255400323785857`, 26.0477523693284}, {17.629596835712384`, 
         24.870588589886594`}, {17.025308465469802`, 23.74690605191065}, {
         16.63188053552723, 23.022928944916707`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{16.532432017260206`, 22.839926048909035`}, {
         16.441030276552308`, 22.67173064950876}, {15.876762268959906`, 
         21.64506238268095}, {15.33250444269259, 20.666901251427195`}, {
         14.503562836453636`, 19.20190987782223}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{14.399606159602104`, 19.021430642910076`}, {
         13.699041940901905`, 17.807904777037304`}, {12.949681699331428`, 
         16.53371210697006}, {12.289785078945892`, 15.429769052101493`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{12.18222579616729, 15.251414076183924`}, {
         11.568499633308736`, 14.241464898884097`}, {10.93387992288369, 
         13.216295235199397`}, {10.334082308743096`, 12.26476551537717}, {
         9.98140153131895, 11.714868247461405`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{9.868959266038493, 11.539549096450171`}, {
         9.766901883169007, 11.380421977528488`}, {8.724198179904153, 
         9.79749858561198}, {7.793379977456735, 8.435935335170326}, {
         7.543751662463688, 8.083704151747188}}]}, 
       {Arrowheads[{{0.0019113116495920604`, 1.}}], 
        ArrowBox[{{7.4233207379713635`, 7.913773400678923}, {
         6.962958680064721, 7.264192152397516}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{30., 18.224470907605543`}, {29.37529716744792, 
         17.721964960635372`}, {28.39631273892966, 16.94320705055479}, {
         27.44887142387335, 16.197171301254787`}, {26.733294377274163`, 
         15.639870467949006`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{26.568971513776386`, 15.511893656515873`}, {
         26.532973222279, 15.483857712735364`}, {25.64861813414661, 
         14.803266284996516`}, {25.17900054700761, 14.444136458389009`}, {
         24.717981559096007`, 14.093719199101818`}, {24.031961453888922`, 
         13.580053728297784`}, {23.36498162642328, 13.085109518649302`}, {
         23.247175205977104`, 12.998577682062473`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{23.079313617554856`, 12.875279041092426`}, {
         21.769324961467063`, 11.913058782723926`}, {20.282587158424594`, 
         10.845902401473019`}, {19.70121142457976, 10.43819405474458}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{19.530685534177316`, 10.318607314529979`}, {
         18.897610151794705`, 9.874642934044541}, {17.607235876076256`, 
         8.990282939586459}, {16.405353702015766`, 8.185336628034646}, {
         16.08620990726261, 7.976370006196081}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{15.911960842060202`, 7.8622764874985345`}, {
         15.285853000359749`, 7.452318209324978}, {13.642964059200846`, 
         6.410485894691932}, {12.388143416321823`, 5.641288846841894}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{12.210571783620761`, 5.532438568970959}, {
         12.182411802703601`, 5.51517668034017}, {10.885995929390582`, 
         4.741374038276707}, {9.746804005344167, 4.0756777314177715`}, {
         8.758162530587688, 3.502654513973832}, {8.619614081878371, 
         3.4213951642542515`}}]}, 
       {Arrowheads[{{0.004966441787196352, 1.}}], 
        ArrowBox[{{8.439955730549466, 3.3160246535290963`}, {
         7.919280872865307, 3.0106462769041946`}, {6.682609777506782, 
         2.224884573753824}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{30., -0.7940732398008348}, {
         29.482676816424608`, -0.7474341201843598}, {
         28.318854258427343`, -0.6526621117357454}, {
         27.217403735241994`, -0.5698433529896514}, {
         25.84656348737152, -0.477894558259464}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{25.638751616043944`, -0.4639556247266337}, {
         25.198040320402995`, -0.4343950158073123}, {
         24.983693199256578`, -0.42115922885603946`}, {
         24.772372958106338`, -0.4083267011046653}, {
         24.22648840875979, -0.37699487330291737`}, {
         23.70199403557462, -0.34806689605559404`}, {
         22.694722833357265`, -0.29466663127694953`}, {
         21.76899011123603, -0.24947767436574625`}, {
         21.479469669490662`, -0.23641942507955968`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{21.271402373793364`, -0.22703495951595853`}, {
         20.92077750584742, -0.21122071543711984`}, {
         19.050850963119007`, -0.13775958655499695`}, {
         17.59416711426673, -0.08950762517418842}, {
         17.108616044140874`, -0.07584120464005134}}]}, 
       {Arrowheads[{{0.008792438985690081, 1.}}], 
        ArrowBox[{{16.900419673232214`, -0.06998126665704701}, {
         16.47314297687093, -0.0579550486623126}, {
         15.615934328155209`, -0.03761759042038501}, {
         14.852163005962444`, -0.02231811998044482}, {
         14.312605801127589`, -0.013132820008525553`}, {
         13.93329092379574, -0.007708573714511329}, {
         13.668010037675671`, -0.004540992565816245}, {
         13.460319547824579`, -0.0024277731124275645`}, {
         13.325679294244255`, -0.001331524999337037}, {
         13.238578652567208`, -0.0007544673484866557}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.00999999999999999, 1.}}], 
        ArrowBox[{{-70., 49.370074460373694`}, {-69.5287199817236, 
         49.18993840956139}, {-68.40061755042478, 
         48.75889887290646}, {-67.2799189118387, 
         48.33160369381312}, {-66.16667343428352, 
         47.908086081258304`}, {-66.10785165559992, 47.88575602093582}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-65.91313162368043, 
         47.81183594989979}, {-65.06073301280482, 
         47.48824640831121}, {-63.76306958218814, 
         46.99907485450092}, {-62.475609020945484`, 
         46.514991943197415`}, {-62.015356191267884`, 46.34236546480436}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-61.820343064723744`, 
         46.26922212465517}, {-61.1981172993154, 
         46.03584465096728}, {-59.93067242721839, 
         45.56168398562167}, {-58.69542384945281, 
         45.0995328631529}, {-57.918830331853165`, 44.80969431880631}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-57.723698700414026`, 
         44.73686771553114}, {-57.46957221971118, 
         44.64202318286687}, {-56.25311753799353, 
         44.18915494476363}, {-55.04605980429984, 
         43.74092814884314}, {-53.848280840907485`, 
         43.29724952135264}, {-53.81882280321826, 43.28636405164014}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-53.623455834043625`, 
         43.21417114971607}, {-52.65966247009385, 
         42.85802578853938}, {-51.48020469185894, 
         42.423256950403335`}, {-50.30990750620273, 
         41.99294300694453}, {-49.71468746853531, 41.77418886388789}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-49.51919326984201, 
         41.70234120554076}, {-49.150922213779374`, 
         41.56699492318567}, {-48.00540011524298, 
         41.14532366414949}, {-46.873341210593566`, 
         40.72792922983598}, {-45.75474549983112, 
         40.31481162024513}, {-45.61111547084623, 40.26049958885891}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-45.41629968170447, 
         40.18683225529936}, {-44.70521050790504, 
         39.91794212279191}, {-43.71455802367264, 
         39.52497928839733}, {-42.05679282372085, 
         38.750620790983916`}, {-41.628304341294005`, 38.4742276635016}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-41.45327884563507, 
         38.36132884330385}, {-40.87983474968157, 
         37.99143323673077}, {-39.65349604495529, 
         36.90499591362565}, {-38.67257700194985, 
         35.84962743402039}, {-38.40813324830085, 35.544228094029606`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-38.27179448850291, 
         35.38677394098987}, {-37.784871715601845`, 
         34.82443926142755}, {-37.019750053166234`, 
         33.91956490021297}, {-36.28016966344875, 
         33.03819935878514}, {-35.58297905051826, 32.20531307882449}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-35.44907826148893, 32.0457805369076}, {-34.85939843581142,
          31.34358220765603}, {-34.172464484347586`, 
         30.529155383506428`}, {-33.49958557851391, 
         29.735886950246947`}, {-32.757047952857256`, 28.86697274624834}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-32.6217379788858, 
         28.70863362070906}, {-32.450285518822284`, 
         28.508000719813374`}, {-31.432975651552468`, 
         27.328789942522533`}, {-30.447655976704464`, 
         26.198254618374435`}, {-29.88924878748032, 25.564561502994174`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-29.751548781630834`, 
         25.408296420132544`}, {-29.494326494278276`, 
         25.116394747369064`}, {-28.570998398035183`, 
         24.079417405802303`}, {-27.67568288173647, 
         23.083529669970012`}, {-26.97044717458011, 22.30714842387216}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-26.830405162706, 
         22.15297870361895}, {-26.808379945382136`, 
         22.128731539872195`}, {-25.969089588972178`, 
         21.21502301550885}, {-25.156135152263918`, 
         20.339200502168914`}, {-24.367839975014668`, 
         19.498060405141324`}, {-23.993541407800336`, 19.10277261500672}}]}, 
       {Arrowheads[{{0.0008593666801180495, 1.}}], 
        ArrowBox[{{-23.850335988589205`, 
         18.95153678710452}, {-23.604204057224436`, 18.69160272442608}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-70., 35.20642696645337}, {-69.88552673968448, 
         35.175203536934546`}, {-68.75181751300502, 
         34.866084835556045`}, {-67.62557012505792, 
         34.55965904899821}, {-66.50683447548617, 
         34.25595013040329}, {-65.98039959226456, 34.11334233146866}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-65.77936643383053, 
         34.058883751403236`}, {-65.39546086536073, 
         33.95488622034453}, {-64.08988130981943, 
         33.60369905963631}, {-62.79460904210482, 
         33.256180134418884`}, {-61.75638351743499, 32.978317632340975`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-61.555185684526414`, 
         32.92447062902981}, {-61.50940669112906, 
         32.91221869980466}, {-60.23435338058811, 
         32.571851670756175`}, {-58.99451460414592, 
         32.240858584166205`}, {-57.76412470671396, 
         31.91319571939708}, {-57.5302817779522, 31.851077325489644`}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-57.328984219884326`, 
         31.797604333721722`}, {-56.54318368829222, 
         31.588863076448806`}, {-55.3316915488807, 
         31.26786065532138}, {-54.12952325169286, 
         30.9501214086237}, {-53.30202744512773, 30.7319405462449}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-53.1006314084764, 
         30.678839659681312`}, {-52.936553759942115`, 
         30.635578288964652`}, {-51.752783073628514`, 
         30.32423129634425}, {-50.57821119275201, 
         30.016080430762486`}, {-49.41450833710402, 
         29.711061699883}, {-49.07158230641741, 29.621112090786212`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-48.870118704810075`, 
         29.56826812272835}, {-48.26334472647591, 
         29.40911111136942}, {-47.12472036086767, 
         29.11022866522175}, {-45.998635240279334`, 
         28.814414361439994`}, {-44.906567148059885`, 
         28.52162162512021}, {-44.84286081187357, 28.503809834131435`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-44.64227457282156, 
         28.447727497913412`}, {-43.86999386755833, 
         28.231803881358477`}, {-42.126741941271696`, 
         27.660973255643757`}, {-40.89405344995957, 
         27.101684498408353`}, {-40.745374235371955`, 27.008040169741353`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-40.56913868804153, 
         26.89703972113935}, {-39.66468680348763, 
         26.32737845560489}, {-38.68329980620835, 
         25.57519472506318}, {-37.795667128251026`, 
         24.844501219262654`}, {-37.25337363364134, 24.38546317705225}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-37.09440163784738, 
         24.25089731107582}, {-36.29427104807216, 
         23.573606539392447`}, {-34.87670903821699, 
         22.367724351292047`}, {-33.91639584094939, 21.55789769544183}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-33.75717435628224, 
         21.423627123263522`}, {-33.51989181730395, 
         21.2235281080889}, {-32.47255725291342, 
         20.34931504626161}, {-31.457079181289274`, 
         19.509674751113028`}, {-30.549127337866416`, 18.76654084447086}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-30.38757676225066, 
         18.635082989757798`}, {-29.521692516340156`, 
         17.93411246085201}, {-28.59980637044321, 
         17.19550278358094}, {-27.705821612168734`, 
         16.486090508671335`}, {-27.132517861436806`, 16.03582238097145}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-26.968718754445764`, 
         15.907175887503351`}, {-26.839738241516716`, 
         15.805875636123192`}, {-26.00155625848716, 
         15.154858165936506`}, {-24.402231446087562`, 
         13.931331202882319`}, {-23.660745539686083`, 13.375652040709435`}}]}, 
       {Arrowheads[{{0.0017786444325016083`, 1.}}], 
        ArrowBox[{{-23.494075531173582`, 
         13.250747373081905`}, {-22.901182165762073`, 
         12.806425389743568`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{23.697763051922696`, 85.}, {23.535215168876547`, 
         84.22679536200535}, {23.110498508909167`, 82.21285985698306}, {
         22.83712307081883, 80.9243015665155}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{22.79389754621431, 80.72055755616093}, {
         22.693446268028097`, 80.24707929418138}, {22.38684104006708, 
         78.81973552041475}, {22.08443108275057, 77.4181967324179}, {
         21.91758821410081, 76.64820163176356}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{21.87348180065752, 76.44464649911917}, {21.78605243358099, 
         76.0411519725203}, {21.49175974672421, 74.68903822661214}, {
         21.121739244764925`, 72.98931321375817}, {20.987210602792178`, 
         72.374444293053}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{20.94269383717713, 72.17097850892242}, {
         20.757776479109694`, 71.32580580289297}, {20.399871449758518`, 
         69.69851599401657}, {20.048024156711385`, 68.10744378712891}, {
         20.04700038719385, 68.10284037237085}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{20.00178518360894, 67.89952865825315}, {
         19.702234599968314`, 66.5525891822301}, {19.362502779529294`, 
         65.03395217932001}, {19.09250025656444, 63.83440748174951}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{19.046763591497488`, 63.63121243948407}, {
         19.028828695394324`, 63.55153277839873}, {18.70121234756341, 
         62.10533097946623}, {18.379259871070804`, 60.69228866981434}, {
         18.12216112371434, 59.56954770651464}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{18.07567028533993, 59.36652389096596}, {18.06257740095076, 
         59.30934773673491}, {17.75116493720328, 57.95650818022791}, {
         17.445022479828367`, 56.63377000029335}, {17.14415002882602, 
         55.34113319693126}, {17.136443070193938`, 55.308216323331}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{17.08896198388929, 55.10542181113693}, {
         16.848547584196233`, 54.078597770141606`}, {16.558215145939013`, 
         52.84616371992439}, {16.273152714054355`, 51.64383104627963}, {
         16.131858130282563`, 51.051294828031246`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{16.083547065574717`, 50.84869643524519}, {
         15.993017007881038`, 50.469047501848976`}, {15.717464746757832`, 
         49.319260839274094`}, {15.446495930684744`, 48.19447105855498}, {
         15.180110559661765`, 47.09467815969164}, {15.108076048670542`, 
         46.798949221820955`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{15.0587841295276, 46.59658723319684}, {14.918308633688898`,
          46.01988214268406}, {14.66109015276615, 44.970083007532274`}, {
         14.40845511689351, 43.94528075423623}, {14.160403526070986`, 
         42.94547538279596}, {14.061964750264845`, 42.55204518682108}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{14.011410455832962`, 42.34999486871395}, {
         13.76830286756558, 41.378366917109034`}, {13.387499564440015`, 
         39.871921731439244`}, {13.017558815942632`, 38.423001394229736`}, {
         12.988909042058589`, 38.31187027494285}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{12.93691447040033, 38.11018578805609}, {
         12.658045821321782`, 37.02846747392364}, {12.308525779825814`, 
         35.68518153896412}, {11.96856389070307, 34.390005157794306`}, {
         11.88633614009355, 34.079274832908204`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{11.833053911179071`, 33.877926697047435`}, {
         11.637725353201901`, 33.13979989885735}, {11.315575366570654`, 
         31.93142733059638}, {11.002076201565185`, 30.76496020744161}, {
         10.755039260408003`, 29.854267634084124`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{10.700511543641747`, 29.65325321709629}, {
         10.697312304789808`, 29.641459341050012`}, {10.401032139265572`, 
         28.559268385704904`}, {10.112984168013519`, 27.516730995689613`}, {
         9.587241459700795, 25.6392091827243}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{9.530604406943375, 25.438779415528344`}, {
         9.038083486147993, 23.709990174593017`}, {8.543991947436474, 
         22.00595520848746}, {8.375746208201962, 21.436513612757576`}}]}, 
       {Arrowheads[{{0.00912290476721167, 1.}}], 
        ArrowBox[{{8.316730681401511, 21.23677068965599}, {8.077086259651253, 
         20.42567435788488}, {7.635787496710127, 18.95973603513543}, {
         7.218516732530895, 17.598728652589244`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{11.064398778036974`, 85.}, {10.997880167657566`, 
         84.32211103488379}, {10.79806862858019, 82.2922521337492}, {
         10.65568780825636, 80.85452288771712}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{10.635162000977491`, 80.64725793899629}, {
         10.601887282171955`, 80.31125737184541}, {10.456399195856289`, 
         78.86049313371038}, {10.31293343818577, 77.43637243399841}, {
         10.218460046974373`, 76.50257685522566}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{10.197495211443398`, 76.29535585386753}, {
         10.171409779958374`, 76.03752176663137}, {10.03185496424145, 
         74.66439896696865}, {9.858660104234731, 72.96054673190962}, {
         9.775970918836462, 72.15116192539354}}]}, 
       {Arrowheads[{{0.010000000000000014`, 1.}}], 
        ArrowBox[{{9.75480271064491, 71.94396160035842}, {9.688308147342276, 
         71.29309427116836}, {9.520799093564083, 69.66204158474488}, {
         9.356132942900153, 68.06738867263923}, {9.328392673819074, 
         67.80026783559505}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{9.306878796008258, 67.59310311660496}, {9.194309695350492, 
         66.50913553485137}, {9.035329350915092, 64.9872821713813}, {
         8.879191909593954, 63.50182858222902}, {8.873720572738137, 
         63.45010944313962}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{8.851809149051906, 63.242986394579724`}, {
         8.725897371387083, 62.05277476739454}, {8.57526040392218, 
         60.637039167164964`}, {8.427095674826948, 59.25154022182741}, {
         8.410892108890343, 59.100811232465865`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{8.388630125908914, 58.8937255694024}, {8.28140318410139, 
         57.89627793138187}, {8.1381829317455, 56.57125229582833}, {
         7.9974349177592865`, 55.27646331516682}, {7.940126048765441, 
         54.75236527087629}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{7.917486206151932, 54.54532057700771}, {7.859159142142744, 
         54.01191098939732}, {7.723355604895875, 52.77759531851984}, {
         7.590024306018678, 51.57351630253437}, {7.459878394071644, 
         50.40495655455311}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{7.436714005506061, 50.19796989230338}, {7.330132580247862, 
         49.245786766812486`}, {7.2034106925728825`, 48.119565879969315`}, {
         7.078838121704858, 47.01844091380467}, {6.969641115794749, 
         46.058662880288416`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{6.946036331122181, 45.8517259885129}, {6.836140930389663, 
         44.891478743510916`}, {6.718016309942496, 43.86564153938182}, {
         6.602041006302281, 42.86490025593123}, {6.4674973165763605`, 
         41.713729677860925`}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{6.44331919074164, 41.506858979201546`}, {6.419029881290878,
          41.29903698131876}, {6.241298161498253, 39.79386583391592}, {
         6.068642321421477, 38.34624149878571}, {5.951131119905078, 
         37.3704643607295}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{5.926228383161532, 37.163679638287576`}, {
         5.9008588355576155`, 36.95301866099108}, {5.737744178403739, 
         35.61105200559501}, {5.579094824456915, 34.31719621766049}, {
         5.424707248214211, 33.06830598225047}, {5.419812378495386, 
         33.02900260336206}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{5.394072044481512, 32.822320473177676`}, {
         5.274377924172697, 31.861235984427942`}, {5.1280894185690435`, 
         30.696063023909137`}, {4.985881556636725, 29.57385532030361}, {
         4.872773713736073, 28.6894944620713}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{4.846338895236372, 28.482900015364542`}, {
         4.713237215755173, 27.451702943444147`}, {4.455503805466202, 
         25.4815133730731}, {4.305252986581436, 24.3526194901984}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{4.27777430622364, 24.146161286538447`}, {4.211740229707973,
          23.650021128414}, {3.981242126403884, 21.948450484195682`}, {
         3.7634404100403276`, 20.370591289721425`}, {3.7139799702835807`, 
         20.01892335740136}}]}, 
       {Arrowheads[{{0.005490519087041805, 1.}}], 
        ArrowBox[{{3.684972033572128, 19.812674460821412`}, {
         3.557596899399954, 18.907026426076452`}, {3.362973413265413, 
         17.54833877434598}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-65.39860353938543, 85.}, {-65.22646105037218, 
         84.88348764797351}, {-63.98096519530036, 
         84.04281822019742}, {-62.921722683080475`, 
         83.32812639885549}, {-61.94520122183119, 82.67061525247334}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-61.77237054292426, 
         82.55438438884076}, {-60.82352534375683, 
         81.91687419807411}, {-59.784483208617786`, 
         81.22021011091644}, {-58.57956124018715, 
         80.41778358974611}, {-58.30984054100229, 80.23860196830415}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-58.136354643406996`, 
         80.1233513237582}, {-57.38372151830475, 
         79.62335994706997}, {-56.19676518910384, 
         78.83670809386945}, {-55.018758537206665`, 
         78.05790505981737}, {-54.663521238480264`, 77.82303782535615}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-54.48978215722829, 
         77.70816920745544}, {-53.83389021146768, 
         77.27452238050772}, {-52.65798873350304, 
         76.4989245778219}, {-51.49105410331276, 
         75.73111165175993}, {-51.011383356379376`, 75.41628145725858}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-50.83725998667286, 
         75.30199620075211}, {-50.333086320896825`, 
         74.97108360232181}, {-49.18606980879536, 
         74.21868570821546}, {-48.05198898954848, 
         73.4737632481488}, {-47.3553052727989, 73.01551094619067}}]}, 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{-47.18129500827677, 
         72.90105354986505}, {-46.93084386315618, 
         72.7363162221218}, {-45.82263442961845, 
         72.00634463013449}, {-44.74110893942277, 
         71.28375441614968}, {-43.72733454475026, 70.57305500695925}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-43.562493833174926`, 
         70.4457605524392}, {-42.807201613532285`, 
         69.86025450485351}, {-41.37171491954231, 
         68.46520533687}, {-40.671191936028514`, 67.48079242779333}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-40.55043262139757, 67.3110948860829}, {-40.39879277149357,
          67.09800234052904}, {-39.62162823763487, 
         65.7581014682624}, {-38.93487273421426, 
         64.44495751357803}, {-38.54514921286386, 63.663575864189674`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-38.45218872186824, 
         63.47719342175865}, {-38.421805252522404`, 
         63.416275658033925`}, {-37.93086244564875, 
         62.404012835990834`}, {-37.45674097563571, 
         61.40790905474924}, {-36.99413750452569, 
         60.427704321609625`}, {-36.66027031462278, 59.71679790146893}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-36.571732820499754`, 
         59.528274216306784`}, {-36.541146666597925`, 
         59.46314684280672}, {-36.09586309613165, 
         58.51398482457531}, {-35.46165987141664, 
         57.16391764919436}, {-34.839350604330036`, 
         55.8442901298842}, {-34.79886991560838, 55.758795530081564`}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-34.709738724874875`, 
         55.57055180888182}, {-34.22893529487184, 
         54.55510226664483}, {-33.63041394304205, 
         53.29635405947626}, {-33.04291962544687, 
         52.06668714548623}, {-32.919326853033084`, 51.809381086891264`}}]}, 
       {Arrowheads[{{0.0020157644779562624`, 1.}}], 
        ArrowBox[{{-32.829147220099166`, 
         51.62163737451558}, {-32.465585418692505`, 50.86474316178249}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-43.636301525102255`, 85.}, {-42.776087152244365`, 
         84.19523274822957}, {-41.953189333892574`, 
         83.28273811878317}, {-41.284815496891945`, 
         82.38013303574604}, {-40.98483775693283, 
         81.93128942821201}, {-40.93474272570463, 81.84954405341628}}]}, 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-40.8259151272515, 81.67195852036917}, {-40.71127699380221,
          81.48489132118915}, {-40.09012122555061, 
         80.2288806041102}, {-39.53454833448304, 
         78.99223008228638}, {-39.05633333213728, 77.90336731300252}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-38.97488761255014, 
         77.71168039672062}, {-38.55730432245631, 
         76.71412142700618}, {-38.106409835996985`, 
         75.59982698116804}, {-37.66978399998216, 
         74.50171718591979}, {-37.413638612451244`, 73.8498917220444}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-37.3374626502468, 73.65604309420576}, {-37.24453224630953,
          73.41955863419483}, {-36.827760006876794`, 
         72.35311791892661}, {-36.30821672491807, 
         71.02078757371663}, {-35.82212464699821, 69.77586638340172}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-35.746310134073134`, 
         69.58187611210397}, {-35.295308414994004`, 
         68.42838524681498}, {-34.80194338702868, 
         67.16831326512334}, {-34.31637740616737, 
         65.93146387634276}, {-34.22650430022077, 65.7034475984872}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-34.15012931918691, 
         65.50967729631274}, {-33.83768343484964, 
         64.71697355221153}, {-33.36586147307548, 
         63.52484229272963}, {-32.90091152084489, 
         62.355070097897055`}, {-32.614468348431714`, 61.63750285843399}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-32.53725120627463, 
         61.44406661392487}, {-32.44255970104602, 
         61.20685543714918}, {-31.990532136567026`, 
         60.07939677992138}, {-31.544828827407894`, 
         58.97269412621363}, {-31.105449773568623`, 
         57.886747476025924`}, {-30.98079473497542, 57.58020584749116}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-30.902337191460674`, 
         57.38726937712246}, {-30.51436559435876, 
         56.43320088103087}, {-29.933912058732698`, 
         55.013614350598594`}, {-29.364089166690434`, 
         53.627987884729095`}, {-29.324427748533058`, 53.53211923401142}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-29.24480631143979, 
         53.339660161770325`}, {-28.804896918231965`, 
         52.27632148342239}, {-28.256335313357294`, 
         50.958615146678454`}, {-27.718404352066422`, 
         49.67486887449732}, {-27.642365723347776`, 49.49464514576525}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-27.5614015448213, 49.30274707509169}, {-27.19110403435935,
          48.425082666878964`}, {-26.674434360236067`, 
         47.209256523823385`}, {-26.16763382964555, 
         46.0242410004402}, {-25.929380195621555`, 45.470196756389306`}}]}, 
       {Arrowheads[{{0.004031305320287595, 1.}}], 
        ArrowBox[{{-25.847100023126245`, 
         45.278859251056865`}, {-25.669940942536748`, 
         44.86688665183903}, {-25.181355698909663`, 43.73719347801986}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-70., 74.3170496997957}, {-69.09870907932117, 
         73.79795832397994}, {-67.97077553819145, 
         73.14972590567031}, {-66.85036087342772, 
         72.50723777223556}, {-66.38774804710278, 72.24252612617917}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-66.20697226481339, 
         72.13908443115072}, {-65.73731532528377, 
         71.87034207367583}, {-64.43006454034543, 
         71.12757440611225}, {-63.13312623297868, 
         70.39255912084414}, {-62.584525138403556`, 70.08242083685248}}]}, 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{-62.40321374654574, 
         69.97992085189989}, {-61.84626308968572, 
         69.66506234597514}, {-60.56955421496583, 
         68.94516203880406}, {-59.32918461261693, 
         68.24569613157527}, {-58.77478180605821, 67.93382633455941}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-58.59325362881738, 67.8317107696326}, {-58.09825241411191,
          67.55325632004019}, {-56.87675761945081, 
         66.86784260419888}, {-55.6647002286336, 
         66.1894549840513}, {-54.95922165673212, 65.7955819384851}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-54.77736596622415, 
         65.69405078285997}, {-54.46195023488488, 
         65.51795223122397}, {-53.268377631429246`, 
         64.85319311734345}, {-52.08398241826671, 
         64.19517764240973}, {-51.13652418181995, 63.67012360292538}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-50.954348769561, 
         63.56916724155582}, {-50.908764595397244`, 
         63.543905806422806`}, {-49.743905531481595`, 
         62.89924280786465}, {-48.5905865951805, 
         62.26105384521727}, {-47.44880778649394, 
         61.62933891848063}, {-47.30957887651339, 61.55231836595239}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-47.12732798567279, 
         61.45149832568009}, {-46.318569105421915`, 
         61.00409802765475}, {-45.2167992179865, 
         60.38523305673234}, {-44.16042679020973, 
         59.772645889706126`}, {-43.519019380987295`, 59.371549469930436`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-43.34242612378026, 
         59.26111899749773}, {-43.19075496966174, 
         59.16627326290615}, {-42.34908690391264, 
         58.56605191266248}, {-41.049152127645776`, 
         57.38381471156607}, {-40.351794968317925`, 
         56.54877758458639}, {-40.28891131713199, 56.46114238864764}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-40.167484926607315`, 
         56.2919215287726}, {-39.76132326572227, 
         55.72589115262241}, {-38.756596978990395`, 
         54.11586818724733}, {-37.971032679443965`, 52.75526483683405}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-37.86689132074223, 
         52.574891210323806`}, {-37.85388362379238, 
         52.55236178012776}, {-37.106733427575264`, 
         51.22392797153948}, {-36.38468365362566, 
         49.929070151984796`}, {-35.834284758500594`, 48.93889894331796}}]}, 
       {Arrowheads[{{0.006926729022322777, 1.}}], 
        ArrowBox[{{-35.733092945522095`, 
         48.75685421057673}, {-35.68311858906482, 
         48.666950016774884`}, {-34.997422521013966`, 
         47.436729261220904`}, {-34.32638101173066, 46.23761158507736}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{30., 62.7047502989745}, {29.924765031762846`, 
         62.49565811615621}, {29.428102915132005`, 61.12280080913626}, {
         28.939802754236048`, 59.78064345232643}, {28.57716382033138, 
         58.78971272275245}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{28.505585081117786`, 58.59411990124487}, {
         28.459864549074965`, 58.46918604572672}, {27.988288299648765`, 
         57.18842858933713}, {27.482910422208793`, 55.82018850240712}, {
         27.061751970414704`, 54.686775123012346`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{26.98920539803553, 54.491539207851396`}, {
         26.986658012181906`, 54.48468373291867}, {26.26144511734795, 
         52.561397478120796`}, {25.55572082394467, 50.706002320130445`}, {
         25.513782758508153`, 50.59601401285914}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{25.439578132825286`, 50.40140224224913}, {
         25.11513134752797, 49.55049621348905}, {24.68176428208597, 
         48.41964297434683}, {24.255619627618678`, 47.31344260270379}, {
         23.945567963338203`, 46.51297041754964}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{23.87034013753811, 46.31875187580326}, {
         23.836697384126076`, 46.23189509855992}, {23.424997551608186`, 
         45.175000461915246`}, {23.02052013006499, 44.14275869276974}, {
         22.623265119496498`, 43.13516979112342}, {22.347953523068067`, 
         42.44134653370874}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{22.271134450981418`, 42.24775185946265}, {
         22.233232519902707`, 42.15223375697628}, {21.472953770940176`, 
         40.25198328620375}, {20.737803100478345`, 38.43367027547639}, {
         20.71705739476516, 38.38293620505402}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{20.638225948629774`, 38.19015220459521}, {
         20.027780508517214`, 36.69729472479418}, {19.34288599505678, 
         35.04285663415712}, {19.048507628836926`, 34.33987181005296}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{18.968058676018217`, 34.14775717312211}, {
         18.681480630905746`, 33.46339976186776}, {18.04192548687282, 
         31.951967866228657`}, {17.424220562958002`, 30.508560947239815`}, {
         17.339771443146436`, 30.313631220755955`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{17.25697509688358, 30.12251650970989}, {16.82836585916128, 
         29.133179004901205`}, {16.361556396721504`, 28.06820238732458}, {
         15.908221993741815`, 27.04453001762037}, {15.579510949332285`, 
         26.309665242673514`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{15.49446648662828, 26.119540265103264`}, {
         15.467843120205053`, 26.06002119962715}, {15.03990024609406, 
         25.112535237183476`}, {14.219244376080733`, 23.320069094299072`}, {
         13.759659385178518`, 22.33243524774251}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{13.671787155777093`, 22.143600560693958`}, {
         13.442098143564554`, 21.650006019675725`}, {12.70635010095916, 
         20.094661045117963`}, {12.01105725356441, 18.651743831628007`}, {
         11.879408994627157`, 18.38343156281691}}]}, 
       {Arrowheads[{{0.002364443885477654, 1.}}], 
        ArrowBox[{{11.787664667443885`, 18.196447482846477`}, {
         11.353816040572386`, 17.312220753710967`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-70., 62.424313385575886`}, {-69.22567706156427, 
         62.04960306382168}, {-68.08983220783566, 
         61.50116775771994}, {-66.9615047588529, 
         60.95753608559218}, {-66.24743566194745, 60.61593055188965}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-66.05954986012433, 
         60.52604733206532}, {-65.63283118475442, 
         60.321908178764474`}, {-64.31473400421073, 
         59.692974396066155`}, {-63.00696768619363, 
         59.070531035043686`}, {-62.298953723658, 58.734419736917886`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-62.11080003578906, 
         58.645098644929384`}, {-61.7096140743792, 
         58.45464599651494}, {-60.45732965105487, 
         57.86010333991999}, {-59.21459718794172, 
         57.271547873088366`}, {-58.34642875074693, 56.86141538277455}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-58.15810665122897, 
         56.77244991438457}, {-57.981416685039804`, 
         56.68897959602011}, {-56.75778814234908, 
         56.1123985087152}, {-55.543570579791265`, 
         55.541683948818616`}, {-54.38840650895998, 55.00005744345303}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-54.19976517942821, 
         54.911770928293194`}, {-53.142945454839406`, 
         54.41749242418535}, {-51.95653789244538, 
         53.86401545944866}, {-50.77975643851927, 
         53.31616921584951}, {-50.424583367314376`, 53.151084047578664`}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-50.23570987298898, 
         53.06329526199637}, {-49.61295720147439, 
         52.77383854947214}, {-48.456140181310715`, 
         52.23702346031655}, {-47.30930537802828, 
         51.70572394838273}, {-46.4575060178874, 51.30910211869895}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-46.26869219290079, 
         51.22118507128136}, {-46.17993284235703, 
         51.17985621185561}, {-45.07550262502696, 
         50.65933644892009}, {-44.02944564975718, 
         50.14411063048013}, {-43.07519284026682, 
         49.63412472743971}, {-42.57521981891117, 49.304812550433425`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-42.4012812674423, 49.19024620264485}, {-41.55018100624107,
          48.62966059523179}, {-40.08967454189695, 
         47.19941518770098}, {-39.42977498946663, 46.316512668293775`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-39.30508326890553, 
         46.149683286720226`}, {-39.052092567202195`, 
         45.81119824441668}, {-38.116237729325505`, 
         44.46381123007144}, {-37.239925034173346`, 
         43.15605329466081}, {-36.94747005803392, 42.71612602312428}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-36.83216437073601, 
         42.54267670427449}, {-36.426933109627456`, 
         41.93310498354643}, {-35.63825596975834, 
         40.74480626560211}, {-34.87065485245004, 
         39.59018914103243}, {-34.5256572317021, 39.073954535486585`}}]}, 
       {Arrowheads[{{0.0044021014452044335`, 1.}}], 
        ArrowBox[{{-34.4099296450551, 
         38.900786428083514`}, {-34.120890995586606`, 
         38.46828561004196}, {-33.38805358539268, 37.37818133448457}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-29.93765654356803, 85.}, {-29.882008293754403`, 
         84.78985350372845}, {-29.611538631642983`, 
         83.7714508364076}, {-29.343540864648524`, 
         82.76542803051825}, {-29.07794684452808, 
         81.77133733990806}, {-28.862972175173965`, 80.97544551401216}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-28.808661248161908`, 
         80.77437241551365}, {-28.68639569305636, 
         80.32171370837622}, {-28.3001848538825, 
         78.8982095238062}, {-27.91910559955192, 
         77.49950202348032}, {-27.715314899713512`, 76.75484465754383}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-27.66033678275417, 
         76.55395295938708}, {-27.54322750588281, 
         76.12603212830447}, {-27.06941008553474, 
         74.39502248602693}, {-26.603343741696833`, 
         72.70086869483944}, {-26.557994283328096`, 72.53688209151886}}]}, 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-26.50247976330198, 
         72.33613796134573}, {-26.145028474369088`, 
         71.04357075474203}, {-25.694464283551504`, 
         69.42312866573471}, {-25.386771774514006`, 68.32276011954991}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-25.33068299494911, 
         68.12217568211864}, {-25.251651169244084`, 
         67.83954242781743}, {-24.816589131446822`, 
         66.29281204099026}, {-24.38927817015973, 
         64.78293750525313}, {-24.198572454685806`, 64.11339522450953}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-24.141517648655274`, 
         63.91308342545236}, {-23.969718285382797`, 
         63.30991882060609}, {-23.557405858436184`, 
         61.87064638417436}, {-23.151837270640044`, 
         60.462010593083164`}, {-22.991869145556503`, 59.909296799716486`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-22.93396487958966, 
         59.7092289019529}, {-22.753012521994386`, 
         59.08401144733251}, {-22.360931612499193`, 
         57.73664894692237}, {-21.975594542154486`, 
         56.41992309185281}, {-21.766765016202314`, 55.71052477759154}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-21.707948319691745`, 
         55.510723216175506`}, {-21.59700131096025, 
         55.13383388212376}, {-21.225151918916488`, 
         53.878381317735276`}, {-20.860046366023205`, 
         52.65356539868731}, {-20.519666887290683`, 51.51823408883736}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-20.45966334694254, 
         51.318785786599}, {-20.148311007606775`, 
         50.28546096290892}, {-19.80124225956331, 
         49.13957681275248}, {-19.460039465629677`, 
         48.01913804108453}, {-19.24984247531272, 47.33277051944806}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-19.188853879285006`, 
         47.13362118129383}, {-19.12470262580587, 
         46.92414464790507}, {-18.795231740091904`, 
         45.85459663321411}, {-18.47162680848776, 
         44.81049399701163}, {-18.15388783099345, 
         43.791836739297665`}, {-17.953684190291735`, 43.15539305728617}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-17.891185952941473`, 
         42.95671231322472}, {-17.6513780780441, 
         42.19436750101208}, {-17.163341512849907`, 
         40.6587131163555}, {-16.689221383225345`, 
         39.18167721964811}, {-16.6263859864812, 38.98780713756399}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-16.562169263439056`, 
         38.78967516080499}, {-16.22846093698489, 
         37.7600634452101}, {-15.78050342194302, 
         36.39067542736166}, {-15.34479208591421, 
         35.07031680042298}, {-15.265225857171759`, 34.83115652742036}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-15.19947675048972, 
         34.63352777773243}, {-14.920770176712935`, 
         33.79579119871424}, {-14.507880942153674`, 
         32.56390225655565}, {-14.106075887056951`, 
         31.374722899616618`}, {-13.871021333073164`, 30.685474562913544`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-13.803793784988551`, 
         30.488343833418543`}, {-13.715462903014387`, 
         30.229331989366344`}, {-13.335719817997106`, 
         29.126042063824663`}, {-12.966524459976215`, 
         28.063165661011418`}, {-12.607554656922831`, 
         27.03901531894644}, {-12.435959829397252`, 26.553768788260918`}}]}, 
       {Arrowheads[{{0.005545968370303679, 1.}}], 
        ArrowBox[{{-12.366521227997936`, 
         26.357405990439112`}, {-12.258488236808077`, 
         26.051903575649572`}, {-11.919003027603054`, 
         25.10014296914064}, {-11.588776857278893`, 24.1820460374395}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-19.72330461356693, 85.}, {-19.560770013013613`, 
         84.07021535014574}, {-19.207404792589188`, 
         82.05789711224467}, {-19.00108813171626, 80.89751185326288}}]}, 
       {Arrowheads[{{0.010000000000000018`, 1.}}], 
        ArrowBox[{{-18.964627949881297`, 
         80.69244912414503}, {-18.947270475613234`, 
         80.59482561090768}, {-18.690704306910416`, 
         79.15826972588995}, {-18.437566508553402`, 
         77.74687932634211}, {-18.22954620502496, 76.59224488205362}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-18.192616986100766`, 
         76.38726610138998}, {-18.187903673184643`, 
         76.3611044558806}, {-17.874648289656378`, 
         74.62266912857055}, {-17.56652317663846, 
         72.9212894523864}, {-17.451265794691484`, 72.288190788884}}]}, 
       {Arrowheads[{{0.00999999999999999, 1.}}], 
        ArrowBox[{{-17.413961210678785`, 
         72.08327998940203}, {-17.263528334130886`, 
         71.25696542732813}, {-16.965663762133655`, 
         69.62969705339573}, {-16.672929460646774`, 
         68.03948433058922}, {-16.66301661734527, 67.9859516919057}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-16.625093530729174`, 
         67.78115445746586}, {-16.385325429670235`, 
         66.4863272589086}, {-16.102851669204043`, 
         64.97022583835385}, {-15.862051544352227`, 63.686062269211796`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-15.82365486985769, 
         63.481353302746605`}, {-15.552961275262618`, 
         62.04605994390193}, {-15.284877272707247`, 
         60.63173545656457}, {-15.04801252111684, 59.388628528127526`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-15.008963631271259`, 
         59.18404298964188}, {-14.762097971887115`, 
         57.89547339494696}, {-14.507402673622355`, 
         56.57353582066671}, {-14.257170276787798`, 
         55.282393884072164`}, {-14.22039230993483, 55.093790435429085`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-14.180528466695462`, 
         54.88936210633821}, {-14.01140078138344, 
         54.022047585163314`}, {-13.770094187409288`, 
         52.79249692394017}, {-13.532959683051343`, 
         51.59112985746053}, {-13.376439122087776`, 50.802132525018806`}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-13.335910748659026`, 
         50.59783490222324}, {-13.299706456495615`, 
         50.415334342782224`}, {-13.070334507742102`, 
         49.265110379905224`}, {-12.844843836790801`, 
         48.14045796882955}, {-12.623234443641717`, 
         47.0413771095552}, {-12.516212969435824`, 46.51370732066973}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-12.474812985526874`, 
         46.309584541281836`}, {-12.405506328294846`, 
         45.967867802082154`}, {-12.191659490750192`, 
         44.91993004641043}, {-11.98169393100775, 
         43.89756384254004}, {-11.649892463441686`, 
         42.29555912606577}, {-11.63603500416206, 42.22933448730886}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-11.593376704152726`, 
         42.02547096145636}, {-11.327652069471949`, 
         40.75557598392469}, {-11.014604703466738`, 
         39.27440508393717}, {-10.731958397734774`, 37.94994131147233}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-10.688295061153486`, 
         37.74629077314083}, {-10.414616872822723`, 
         36.47566268170417}, {-10.12694031692032, 
         35.15167251509939}, {-9.84698460645526, 
         33.873657261929566`}, {-9.803322524644699, 33.67581061347993}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-9.758438199750573, 
         33.472425596550224`}, {-9.574381695795749, 
         32.63840759001505}, {-9.309099706268862, 
         31.44599844608364}, {-9.051210195189029, 
         30.297515324219287`}, {-8.849447907531035, 29.40724480690853}}]}, 
       {Arrowheads[{{0.009978637316021, 1.}}], 
        ArrowBox[{{-8.803413016261961, 
         29.204117121649862`}, {-8.800500270905474, 
         29.191264713276546`}, {-8.556757041767423, 
         28.125553102109997`}, {-8.319767616124096, 
         27.09868697957419}, {-8.089319102324717, 
         26.108972834523676`}, {-7.865198608718511, 25.15471715581303}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-9.796463528574758, 85.}, {-9.769958127166625, 
         84.69418196375531}, {-9.680681151476657, 
         83.66714916720154}, {-9.50457447628156, 
         81.6504419882502}, {-9.433812407182636, 80.85024023629192}}]}, 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{-9.41546584613896, 80.64277103031048}, {-9.37375062954469, 
         80.17104105085795}, {-9.244750855841898, 
         78.718892670378}, {-9.117502580401773, 
         77.29258794533007}, {-9.045896139204654, 76.49362135072043}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-9.027303915795697, 
         76.28617401532802}, {-8.992029994814782, 
         75.89259650954094}, {-8.836712651898017, 
         74.15986405134794}, {-8.683945960505989, 
         72.46416549308617}, {-8.65434605276986, 72.13732742109906}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-8.63556027975186, 71.92989752338704}, {-8.533729920638704,
          70.80550083475563}, {-8.386064532296158, 
         69.18387007635634}, {-8.257637852612028, 67.78150035406921}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-8.238629939628188, 67.5740906975117}, {-8.09838571018529, 
         66.05171025935148}, {-7.9583722764169655`, 
         64.54118120074591}, {-7.854362506920115, 63.426276574875104`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-7.835016120565392, 
         63.21889821277405}, {-7.820909494173382, 
         63.06768604207158}, {-7.685831004319916, 
         61.62808806662654}, {-7.552970447721945, 
         60.21925055770882}, {-7.444181666707209, 59.07169765536827}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-7.42452482744073, 58.86434848994252}, {-7.422327824379467,
          58.841173515318424`}, {-7.293903134292486, 
         57.49385693945537}, {-7.167696377461, 
         56.17730083011964}, {-7.0437075538850085`, 
         54.89150518731124}, {-7.026853470353838, 54.71779809163405}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-7.006739489641164, 54.51049277208679}, {-6.92193666356451,
          53.63647001103017}, {-6.802383706499507, 
         52.41219530127643}, {-6.684903762622031, 
         51.21606495237751}, {-6.600867947423378, 50.36473716685537}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-6.580407878542335, 
         50.157465718474064`}, {-6.569351911864111, 
         50.045462858660905`}, {-6.45572815422575, 
         48.90038902012664}, {-6.344032489706944, 
         47.780843436774674`}, {-6.234264918307696, 
         46.686826108605025`}, {-6.16621056130497, 46.01253374381818}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-6.145295840374605, 
         45.80530767841832}, {-6.126425440028006, 
         45.6183370356177}, {-6.0205140548678715`, 
         44.57537621781269}, {-5.916530762827296, 
         43.55794365519}, {-5.752502140714269, 
         41.96653961724133}, {-5.720729181991133, 41.66142560193286}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-5.699156778370916, 
         41.45426696915415}, {-5.593206099368267, 
         40.436828291917685`}, {-5.438460147100075, 
         38.965611656845184`}, {-5.288081792220481, 
         37.549691689649954`}, {-5.262563580946151, 37.31163500220013}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-5.2403645484386745`, 
         37.10454258155554}, {-5.141888543040274, 
         36.18587036795816}, {-4.99969790787024, 
         34.87094966939593}, {-4.861327395021167, 
         33.6017315715894}, {-4.79120193103617, 32.96325451008357}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-4.768462910465201, 
         32.75622068512694}, {-4.726594512803846, 
         32.375018052164705`}, {-4.595483666346416, 
         31.19088790798396}, {-4.468030613643898, 
         30.050428187981865`}, {-4.3441298923073965`, 
         28.951953247893464`}, {-4.305933917228527, 28.616405186426313`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-4.282377331793249, 
         28.409462791022833`}, {-4.2236760399480175`, 
         27.8937774434538}, {-3.9926870926050473`, 
         25.891580664460868`}, {-3.802539323240189, 24.271618318884112`}}]}, 
       {Arrowheads[{{0.008141486132287655, 1.}}], 
        ArrowBox[{{-3.778258685530808, 
         24.064759627103644`}, {-3.7742200725038275`, 
         24.030352696883444`}, {-3.5676435434608536`, 
         22.30117327780969}, {-3.3724473623941362`, 
         20.697730653589375`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-0.09238063704083185, 85.}, {-0.09176615174415864, 
         84.24833265848203}, {-0.09086527057789755, 
         83.14999284090936}, {-0.08997315034002203, 
         82.06577943526273}, {-0.08894693284215281, 80.83442497341609}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-0.08877335220062117, 
         80.62614622365399}, {-0.0884782219162526, 
         80.27202052102479}, {-0.08700853307585364, 
         78.51824266195442}, {-0.08556288101074053, 
         76.80198133520852}, {-0.08527370395792092, 76.46057125189544}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-0.08509729020426629, 
         76.25229250451375}, {-0.08414166665694152, 
         75.1240580484015}, {-0.08264453615782101, 
         73.35601230572854}, {-0.08156414236068142, 72.08671756101819}}]}, 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-0.08138686039611921, 
         71.87843881437368}, {-0.0811727149516583, 
         71.62685120994877}, {-0.07972620303845339, 
         69.93657476106215}, {-0.07830500041820626, 
         68.28518295906869}, {-0.07780956302363191, 67.7128639085817}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-0.07762926310488652, 
         67.50458516452787}, {-0.07690910709091694, 
         66.67267580396845}, {-0.07553852305658544, 
         65.09905329576135}, {-0.07419324831521172, 
         63.56431543444742}, {-0.0739944353710905, 63.339010308552595`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-0.07381064678868465, 
         63.130731567548004`}, {-0.07287328286679581, 
         62.06846222002668}, {-0.07157692659564596, 
         60.60810252849832}, {-0.07030247938607047, 
         59.179845235861585`}, {-0.07010987504460706, 58.96515676963018}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-0.06992302108858946, 
         58.75687803135308}, {-0.06904994123806932, 
         57.783690342116465`}, {-0.06781931215164251, 
         56.419637847262955`}, {-0.06661059212679005, 
         55.08768775130106}, {-0.06615737401507471, 54.59130329159191}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-0.06596720751556565, 
         54.383024556312954`}, {-0.06542378116351191, 
         53.78784005423079}, {-0.06425887926180812, 
         52.52009475605212}, {-0.06311588642167867, 
         51.28445185676507}, {-0.062122997926507176`, 50.217449888332105`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-0.061928854171241485`, 
         50.00917115672304}, {-0.06088973412392449, 
         48.8982363160286}, {-0.059805101215745164`, 
         47.74485443986987}, {-0.058739430468031026`, 
         46.61795649318415}, {-0.05800286298182764, 45.84359656501004}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-0.05780474924500313, 
         45.635317837138835`}, {-0.05769272188078207, 
         45.517542475971446`}, {-0.056664975453998276`, 
         44.443612388231735`}, {-0.05565619118767968, 
         43.39616622996505}, {-0.05466636908182626, 
         42.37520400117135}, {-0.05378089633059137, 41.469743338874245`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-0.05357721533028265, 
         41.261464616373}, {-0.053142115192873256`, 
         40.81654289739877}, {-0.051662197681474085`, 
         39.318831747057395`}, {-0.05022488208798562, 
         37.87886293300337}, {-0.04943568484634996, 37.09589023348492}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-0.04922575033842896, 
         36.88761151719302}, {-0.04882843395276472, 
         36.49342883809281}, {-0.047471118816168265`, 
         35.159321845181864`}, {-0.04615120221855311, 
         33.873334337126664`}, {-0.04495985164910281, 32.7220372597905}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-0.04474341544885251, 
         32.51375855015497}, {-0.043616626801694175`, 
         31.43288730700805}, {-0.04240010753213189, 
         30.275343684537155`}, {-0.0412177608144424, 
         29.1607763103779}, {-0.04034769946621992, 28.34818442778193}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-0.040124690533001155`, 
         28.13990572507876}, {-0.040068594559275375`, 
         28.087515013792697`}, {-0.03895161667728052, 
         27.053889624043958`}, {-0.036810257675405925`, 
         25.098865882105464`}, {-0.03555696651348296, 23.97433178788587}}]}, 
       {Arrowheads[{{0.005210637553366347, 1.}}], 
        ArrowBox[{{-0.03532484029679321, 
         23.76605309514434}, {-0.034785747094016, 
         23.28234371866166}, {-0.032872157086004494`, 
         21.595523577032356`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-28.456865460789096`, -5.}, {-28.12330242089518, \
-4.959347472294134}, {-26.830335952979656`, -4.802935386233238}, \
{-25.56917156000384, -4.651483326797332}, {-24.33909903022685, \
-4.504822542277098}, {-24.321082895050534`, -4.502689509041382}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-24.114248682124277`, -4.478201224171338}, \
{-23.139408151907805`, -4.362784280963219}, {-21.969388713305822`, \
-4.225199791146375}, {-20.82833050268001, -4.091900321117249}, \
{-19.97701632848541, -3.9930992093927675`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-19.77012617521231, -3.969088124216641}, \
{-19.499028547007224`, -3.9376253013664604`}, {-18.208933072728122`, \
-3.7889499230862653`}, {-16.95804407984271, -3.6458741862766657`}, \
{-15.746361568350988`, -3.5083980909376606`}, {-15.631564112261126`, \
-3.4954653104487905`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-15.424594545373822`, -3.4721486615647357`}, \
{-14.572213968264979`, -3.376121700060503}, {-13.433929709596697`, \
-3.2486450766364428`}, {-12.331508792346149`, -3.1259682206654817`}, \
{-11.28470455555965, -3.0102742923895476`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-11.077668274103502`, -2.987557711521021}, \
{-9.233518553785828, -2.785367904918974}, {-7.333724186099142, \
-2.5791070423982947`}, {-7.0209157373929445`, -2.5453304916741732`}, \
{-6.936613666629829, -2.5362401821374148`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-6.729535252143979, -2.5139108743396625`}, \
{-6.711779619899745, -2.51199628088235}, {-6.380464044666273, \
-2.4763660189060457`}, {-6.053423969791035, -2.4412411320024057`}, \
{-4.368019546098826, -2.26063245070133}, {-2.799321874016885, \
-2.0933739304757415`}, {-2.587586092749704, -2.0708735715566715`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-2.3804733985775153`, -2.0488644905799926`}, \
{-1.3420376391520756`, -1.9385138584778745`}, {
         0.00912647288873969, -1.7951005218599603`}, {
         1.5335323911792447`, -1.6332148769341055`}, {
         1.7618013780804767`, -1.6088797409073379`}}]}, 
       {Arrowheads[{{0.005299334292266991, 1.}}], 
        ArrowBox[{{1.9689066378963447`, -1.586800812280652}, {
         2.915220215305331, -1.4859168948337809`}, {
         4.163851358876945, -1.3519027391021181`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{30., 24.645332758629092`}, {29.67706628642307, 
         24.292572162476866`}, {28.6945196207718, 23.231892859351113`}, {
         28.1727956619777, 22.67221220133478}, {27.660557670639843`, 
         22.126014850551602`}, {27.158957231681697`, 
         21.599035779700923`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{27.015359362587986`, 21.448172531278896`}, {
         26.90533858244859, 21.332585215182142`}, {26.170739260818664`, 
         20.567607614724903`}, {25.268733252196316`, 19.632964269858252`}, {
         24.396770142778337`, 18.73893380605971}, {24.117492239468117`, 
         18.455842047171345`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{23.971219021731837`, 18.307571303240604`}, {
         23.554849932564725`, 17.885516223329272`}, {22.742972621555474`, 
         17.072711521666943`}, {21.95916776502402, 16.29706086145644}, {
         21.201464918243786`, 15.555105403081477`}, {21.014165812509056`, 
         15.373781782381432`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{20.864522726970712`, 15.228912825447019`}, {
         20.46986408121478, 14.84684514654206}, {19.76436525393699, 
         14.172280091838182`}, {18.424815473769502`, 12.912708289588295`}, {
         17.8347424398444, 12.370362640111694`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{17.68139607971988, 12.229419525454531`}, {
         17.175957422875744`, 11.764862697983052`}, {16.22882663884308, 
         10.914308106952564`}, {15.335552775519062`, 10.128121727687105`}, {
         14.566629513840512`, 9.4638512909344}}]}, 
       {Arrowheads[{{0.0022534568077539198`, 1.}}], 
        ArrowBox[{{14.408447243538484`, 9.328360562566136}, {
         13.69320104581148, 8.720437426232898}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-70., 23.718799452362614`}, {-69.77730827732647, 
         23.677808709232096`}, {-68.63056358370888, 
         23.467200638005387`}, {-67.49145621223275, 
         23.258448837538044`}, {-66.14648797685513, 
         23.01372930602592}, {-65.90238341660555, 22.969430197068625`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-65.69745181857161, 
         22.932240038962544`}, {-64.81232381992928, 
         22.771610587333626`}, {-63.488710695142096`, 
         22.532012843526285`}, {-62.17573295126464, 
         22.294962687248866`}, {-61.59840645818798, 22.19071993517141}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-61.3934419991726, 
         22.15371131086254}, {-60.913811056671044`, 
         22.06710858254945}, {-59.66156068345845, 
         21.841559973560685`}, {-58.41898183162688, 
         21.61831686028258}, {-57.293593281543, 21.416646662570024`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-57.08857259788589, 
         21.379950818936486`}, {-55.9626936299712, 
         21.178700431876585`}, {-54.74869415587598, 
         20.962233738785223`}, {-53.544076078890654`, 
         20.747979163441038`}, {-52.987584187344915`, 20.649254023639884`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-52.78250755105096, 
         20.612872146570957`}, {-52.34883939901522, 
         20.535936705844026`}, {-51.163191593053135`, 
         20.326061826060027`}, {-49.98734013780786, 
         20.118309984154877`}, {-48.821285033279395`, 
         19.91268118012858}, {-48.68050260088765, 19.88790295754688}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-48.475376670354315`, 
         19.8518000441529}, {-47.66502627946774, 
         19.709175413981125`}, {-46.52406592803143, 
         19.507760274145202`}, {-45.40390603062901, 
         19.308403349053485`}, {-44.37484145555135, 19.118683338859313`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-44.170394785474635`, 
         19.078926726485385`}, {-43.3422825776243, 
         18.915780571700648`}, {-41.73320993625141, 
         18.53114150975638}, {-40.24175147712519, 
         18.006346021152872`}, {-40.164714410573836`, 17.968016793013543`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-39.97824123936066, 
         17.875238432657245`}, {-39.216821524669506`, 
         17.496399631276812`}, {-38.30105105403415, 
         17.000895146477895`}, {-37.44767677991508, 
         16.519423574291057`}, {-36.3241876427922, 15.877267316726966`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-36.14336224899063, 15.773912371566094`}, {-35.9629219367, 
         15.670777528668568`}, {-34.55428192929116, 
         14.865729553744453`}, {-33.20471684643657, 
         14.102039449587258`}, {-32.520075152651025`, 13.718765745996059`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-32.338336410645205`, 
         13.617025403030041`}, {-32.10214043515087, 
         13.484799003260987`}, {-31.035089408478047`, 
         12.893433303640766`}, {-30.003563766418075`, 
         12.327942350726598`}, {-29.00756350897097, 
         11.788326144518484`}, {-28.685150468951583`, 11.61557377891675}}]}, 
       {Arrowheads[{{0.0037763612710686265`, 1.}}], 
        ArrowBox[{{-28.501564229559936`, 
         11.517206302387493`}, {-28.04477666727955, 
         11.272454626225011`}, {-27.112891272486642`, 
         10.778197737054768`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-70., 14.566419091662556`}, {-69.88557788597473, 
         14.553481667846347`}, {-68.73342162056166, 
         14.423503117860168`}, {-67.58896981912181, 
         14.29467481989903}, {-66.23531707563122, 
         14.14338963087413}, {-65.86043858049456, 14.10160318745101}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-65.65344173685061, 
         14.078529946366483`}, {-64.89260251487504, 
         13.993721760472587`}, {-63.5605684664, 
         13.845621279417122`}, {-62.23930082035718, 
         13.699104830800156`}, {-61.51333483792486, 13.618593918305438`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-61.306325152447286`, 
         13.595636177755111`}, {-60.9719565028719, 
         13.558554102646378`}, {-59.714362885668784`, 
         13.419431004959755`}, {-58.46651996874788, 
         13.281735537740289`}, {-57.228427752109155`, 
         13.145467700987982`}, {-57.16589688169746, 13.138602768421663`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-56.95886198528241, 
         13.115873505364762`}, {-55.99993930272197, 
         13.010598470669882`}, {-54.78090768755568, 
         12.877098822753037`}, {-53.57133290661028, 
         12.74496875723745}, {-52.81798900118319, 12.662887147430895`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-52.610935569225866`, 
         12.64032735914749}, {-52.371214959885755`, 
         12.614208274123117`}, {-51.18075981596705, 
         12.484789691524941`}, {-50.00017344343909, 
         12.356685327557821`}, {-48.829455842301854`, 
         12.22989518222176}, {-48.46966331355824, 12.191005276999991`}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-48.262590635862075`, 
         12.168622831100565`}, {-47.66860701255537, 
         12.104419255516756`}, {-46.523186722427724`, 
         11.9802374057622}, {-45.39875474014704, 
         11.857329491277481`}, {-44.32479039488598, 
         11.735682530381276`}, {-44.122231276334745`, 11.711147835518172`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-43.915463668522214`, 
         11.686103393176904`}, {-43.330773015817236`, 
         11.615283541392262`}, {-41.71963215038776, 
         11.378178531763478`}, {-40.23043264399639, 
         11.055140486412705`}, {-39.82472779257795, 10.93095932056471}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-39.62556964164423, 
         10.869999508808423`}, {-39.20499151250752, 
         10.74126581922161}, {-38.28800500440888, 
         10.43630263037844}, {-37.433171850071574`, 
         10.139997912051335`}, {-35.940214313802585`, 
         9.615910253787652}, {-35.68321202218979, 9.525726741515724}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-35.48668186618172, 
         9.456763232961253}, {-34.52387994418875, 
         9.11891076323189}, {-33.16714016986763, 
         8.647599094995856}, {-32.056927706186876`, 
         8.266124634457363}, {-31.550397501079328`, 8.09385522148952}}]}, 
       {Arrowheads[{{0.006105505888885348, 1.}}], 
        ArrowBox[{{-31.353210620256885`, 
         8.026792551066874}, {-30.982638183023198`, 
         7.900761969710414}, {-29.944271600376595`, 
         7.55151110075501}, {-28.941827958247057`, 7.21837202759115}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{-70., 5.618273050896378}, {-69.50753189178822, 
         5.596822567240273}, {-68.34530342422039, 
         5.546315636197777}, {-67.1908927902019, 
         5.496260286295607}, {-65.83832435372025, 5.438044695842282}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-65.63023723769889, 5.429110501463127}, {-64.458455115797, 
         5.3788128318079576`}, {-63.1087597652773, 
         5.321030242908941}, {-61.77008007254611, 
         5.263875079573131}, {-61.468470507783806`, 5.250996410043902}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-61.2603813010495, 5.242111041543594}, {-60.49590901975853,
          5.209468224387709}, {-59.23155153904197, 
         5.155618062411688}, {-57.977007630396415`, 
         5.1023245936450685`}, {-57.09856722872204, 5.065106802014005}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-56.89047509080517, 
         5.056290347517728}, {-56.73227729382189, 
         5.04958781808785}, {-55.49720820663215, 
         4.997396333234159}, {-54.27164804614098, 
         4.945738736578122}, {-53.0555968123484, 
         4.894615028119738}, {-52.728592528563595`, 4.880903873654706}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-52.52049655189337, 
         4.872178495361023}, {-51.84905450525439, 
         4.844025207859008}, {-50.65247529527966, 
         4.793958406065454}, {-49.46631335284492, 
         4.744403753008598}, {-48.35855500156181, 4.698197085108227}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-48.1504567451098, 4.689526251691619}, {-47.1252412705954, 
         4.64683089310498}, {-45.979668384412584`, 
         4.598804779061088}, {-44.86318727303367, 
         4.551274999359635}, {-43.98874917970985, 4.510230833262325}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-43.780699414297196`, 
         4.500465443129737}, {-42.86925031417201, 
         4.457684063246588}, {-41.38123276405385, 
         4.366017712234288}, {-40.023614318406445`, 
         4.24455858714816}, {-39.627041041916115`, 4.1984499713278245`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-39.42015587810821, 4.174395933644379}, {-39.008024268629, 
         4.126478388072302}, {-38.10998314375672, 
         4.011683109543788}, {-36.74477271676977, 
         3.8304084992972123`}, {-35.45317880185479, 
         3.6573252376975605`}, {-35.2896294914299, 3.635586160706363}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-35.083166566148606`, 
         3.6081429790943007`}, {-34.20986440579022, 
         3.4920631078231312`}, {-32.33080883562254, 
         3.2465157346088245`}, {-30.95241839205549, 3.0706672368152628`}}]}, 
       {Arrowheads[{{0.00856730738147779, 1.}}], 
        ArrowBox[{{-30.74581407255569, 
         3.0443096402494585`}, {-30.541330172829817`, 
         3.0182225567546612`}, {-28.834584576795812`, 
         2.8060102537725387`}, {-27.20372820690428, 
         2.6087055051743535`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.00999999999999999, 1.}}], 
        ArrowBox[{{-70., -3.044088302403693}, {-69.77388506745226, \
-3.0394281811977795`}, {-68.54020131357784, -3.0140506073539135`}, \
{-67.31451387033611, -2.988886698704264}, {-66.09667922561555, \
-2.9639310869529853`}, {-65.83530071891096, -2.9586076566686472`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-65.62706508087325, -2.954366573819929}, \
{-64.69460994772638, -2.9353754947248505`}, {-63.303105062728264`, \
-2.907097561989343}, {-61.921950190541125`, -2.8790894649138594`}, \
{-61.46234734378761, -2.8697897824971266`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-61.254111145536704`, -2.8655762957333253`}, \
{-60.55121679119167, -2.8513538114426025`}, {-59.1092278310142, \
-2.8221766319203296`}, {-57.678617750876484`, -2.7932950207122573`}, \
{-57.08938475287272, -2.781426736140824}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-56.88114816697348, -2.7772324512518094`}, \
{-56.259386550778544`, -2.7647089778183873`}, {-54.85153423072033, \
-2.736418503238718}, {-53.45496268725795, -2.70841761263394}, \
{-52.716410526501676`, -2.693641497729088}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-52.50817337627298, -2.6894753247453314`}, \
{-52.06957381694747, -2.6807003216647436`}, {-50.69536761978888, \
-2.6532666303311285`}, {-49.33234409578217, -2.626116538633095}, \
{-48.34342718718391, -2.606311374246299}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-48.13519012136992, -2.6021409841113825`}, \
{-47.99055356597244, -2.599244329467215}, {-46.680046351404776`, \
-2.5726442857300604`}, {-45.400822452079176`, -2.5463164074216307`}, \
{-44.15288186799564, -2.520260694541926}, {-43.97049815159001, \
-2.51631568404977}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-43.7622680360004, -2.511811608757451}, \
{-43.28135277241253, -2.5014092779020323`}, {-42.70295436452043, \
-2.4876740160121154`}, {-42.178574889867214`, -2.474014211283048}, \
{-41.278563124390004`, -2.4469189252313264`}, {-40.53328019771607, \
-2.4201203818999066`}, {-39.88291139435747, -2.393615331387675}, \
{-39.59887545883781, -2.380532434464728}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-39.390817226836866`, -2.3709491245280505`}, \
{-38.69130576942578, -2.338729129980578}, {-37.57481775110377, \
-2.285100886544001}, {-36.50077131342908, -2.232702350532195}, \
{-35.45452392824486, -2.18150532456884}, {-35.23006614243746, \
-2.1705497916142336`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-35.02203496996415, -2.160396023245636}, \
{-33.834419521842605`, -2.102429844293577}, {-32.26601278708678, \
-2.0262198700904355`}, {-30.86136412500495, -1.9582953937454632`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-30.653327266688052`, -1.9482588282743385`}, \
{-29.27576518034361, -1.8819884789964574`}, {-27.850550424155873`, \
-1.813770268455222}, {-26.492515400476304`, -1.7490828523333948`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-26.284470318551083`, -1.7392181994865628`}, \
{-24.571501881353612`, -1.6580406955395266`}, {-22.75573141424472, \
-1.5724621928126155`}, {-22.123525205082135`, -1.5428455037492723`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-21.91547455191859, -1.5330990453708706`}, \
{-21.022974169887142`, -1.4912884685045773`}, {-19.373230148280864`, \
-1.4145195226154108`}, {-17.800197864539705`, -1.3417327027031039`}, \
{-17.754393793694412`, -1.3396224619286516`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-17.54633566040351, -1.3300370091899674`}, \
{-16.2975758337775, -1.2725053563256443`}, {-14.86536405599424, \
-1.2068374834830318`}, {-13.503562531189925`, -1.1447290841752658`}, \
{-13.385126036114366`, -1.1393517109083826`}}]}, 
       {Arrowheads[{{0.008140422353163593, 1.}}], 
        ArrowBox[{{-13.17706155912733, -1.12990495756074}, \
{-12.206499070677044`, -1.0858385000393278`}, {-10.968501485768083`, \
-1.029824072712199}, {-9.789569776463047, -0.9766858021938789}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{30., 3.820882509060628}, {29.156946166864937`, 
         3.67610084717912}, {28.610981949359562`, 3.5828286789904937`}, {
         28.076649371518663`, 3.491923084976498}, {27.231333246896153`, 
         3.3495132089853707`}, {26.41617623115343, 3.21291121452117}, {
         25.89287452935606, 3.1255427256021213`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{25.687439220012106`, 3.0912440170629534`}, {
         24.563824947191527`, 2.9036495934120596`}, {22.875231511154592`, 
         2.6241317487145905`}, {21.577885980678822`, 2.410371430124557}}]}, 
       {Arrowheads[{{0.009170841604638859, 1.}}], 
        ArrowBox[{{21.372378074631452`, 2.376510415893948}, {
         21.342721326539596`, 2.3716239490495026`}, {19.95861979684352, 
         2.1433924630375354`}, {18.714963613326788`, 1.9371948034013704`}, {
         17.603789467249833`, 1.7507884828636908`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{30., 40.458848704902266`}, {29.704116247228466`, 
         39.92960347029968}, {28.725167039742598`, 38.194102025819745`}, {
         28.20528486778556, 37.27819200077615}, {27.950648777003135`, 
         36.832270479974135`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{27.8473674254078, 36.651403041928084`}, {
         27.694811757471935`, 36.38424587954825}, {26.946636160738656`, 
         35.093169848854835`}, {26.218672477149838`, 33.84790692694055}, {
         25.75097986886433, 33.05182077391576}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{25.645477772379287`, 32.87223966307734}, {
         25.319666286266724`, 32.3176574268058}, {24.450454003769245`, 
         30.853575067694173`}, {23.61103562965742, 29.4556598496057}, {
         23.51278936622744, 29.294054960004974`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{23.404593421974973`, 29.11608387982615}, {
         22.80141116393123, 28.123911772540357`}, {22.019636039598257`, 
         26.8527228793796}, {21.26376568966606, 25.63648521300486}, {
         21.221130723907777`, 25.568658168487897`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{21.110289126742412`, 25.392322669876496`}, {
         20.533800114134635`, 24.475198773416146`}, {19.829739313003987`, 
         23.368863560613455`}, {19.149889409027846`, 22.312802682182504`}, {
         18.869071961651702`, 21.88112526306209}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{18.75549786219524, 21.706537200281858`}, {
         18.492556524959937`, 21.302339245709007`}, {17.857740660800264`, 
         20.33747325119297}, {17.245441816548823`, 19.41820469863439}, {
         16.44690597899038, 18.239307478435943`}}]}, 
       {Arrowheads[{{0.00013001813498534753`, 1.}}], 
        ArrowBox[{{16.330100402708766`, 18.066864661588674`}, {
         16.299726716340718`, 18.02202327471247}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{30., 13.149980413589658`}, {29.425170117673037`, 
         12.816129783740003`}, {28.885423204418373`, 12.50464094673073}, {
         28.355577366227003`, 12.20072268635998}, {27.565197697609367`, 
         11.754142273597466`}, {26.796852140490866`, 11.323907950697418`}, {
         26.37892689293347, 11.091061879939893`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{26.196981554800843`, 10.989691461846132`}, {
         25.863651491163214`, 10.803977399254785`}, {24.961861990688895`, 
         10.306863918543538`}, {24.091483639067913`, 9.832567508563681}, {
         23.25251643630025, 9.381088169315207}, {22.536287895877113`, 
         9.002096832828379}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{22.352193560773966`, 8.90468357133062}, {
         21.660607356857206`, 8.538731692949153}, {20.177926631892035`, 
         7.771945479382106}, {18.79758781590982, 7.074202569577052}, {
         18.64766263206943, 7.000081864872566}}]}, 
       {Arrowheads[{{0.005120215383979915, 1.}}], 
        ArrowBox[{{18.46095490436399, 6.907776436279375}, {
         17.512704463415645`, 6.438976004496979}, {16.54484996307537, 
         5.970990943373254}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{3.1576618581470757`, -5.}, {
         3.655347270101476, -4.854820376628407}, {
         5.165778997480562, -4.422367533131448}, {
         6.564724046963308, -4.028491260942464}, {
         7.164717351743365, -3.8618992813574704`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{7.365404007542405, -3.806177347463375}, {
         7.857274672799408, -3.669606310466571}, {
         8.139377618219449, -3.5918989163951327`}, {
         8.416154945533057, -3.515837036295834}, {
         8.772444801081996, -3.418366666326019}, {
         9.11955183372694, -3.3235984651309995`}, {
         10.257490443491054`, -3.0129899764998864`}, {
         11.28976894698545, -2.7313789609588985`}, {
         11.382965293765109`, -2.70563762081015}}]}, 
       {Arrowheads[{{0.003655332191391568, 1.}}], 
        ArrowBox[{{11.583726857451344`, -2.6501861800808215`}, {
         13.051427270524153`, -2.244799307366911}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-48.95761267071235, 85.}, {-48.68878248585226, 
         84.7978735805333}, {-47.811125832572785`, 
         84.13959667384864}, {-46.940423556131606`, 
         83.48638944749133}, {-45.98417659758033, 
         82.75589087452182}, {-45.6358711965759, 82.4865204942861}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-45.471114864161436`, 
         82.35910221199491}, {-45.0479507819864, 
         82.03183806567712}, {-43.972890870184486`, 
         81.1572330297324}, {-43.02384154637359, 
         80.29195284014368}, {-42.33871668576798, 79.61885241465558}}]}, 
       {Arrowheads[{{0.002169095566275727, 1.}}], 
        ArrowBox[{{-42.19552300531724, 
         79.46785876869875}, {-41.607273839566105`, 78.78202237742133}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{16.131344069073368`, -5.}, {
         16.643163383690332`, -4.653477590924729}, {
         17.8939823545157, -3.825710588680787}, {
         18.052413853939697`, -3.721504045165246}, {
         18.206357813639436`, -3.620135905832036}, {
         18.483997224456527`, -3.435868337141876}, {
         18.74500029027349, -3.2609799586155375`}, {
         19.587330741771478`, -2.6748076841576616`}}]}, 
       {Arrowheads[{{0.001533833513298083, 1.}}], 
        ArrowBox[{{19.75207168664822, -2.547497467478358}, {
         20.25169826307853, -2.149245129501407}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{30., 70.27765005309391}, {29.64847712214779, 
         69.18731633447015}, {29.11374766760459, 67.53393677314294}, {
         28.71701828252515, 66.31457474424188}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{28.652578042932426`, 66.11651535099345}, {
         28.588662383567236`, 65.92006827393492}, {28.20291509496115, 
         64.74908491799118}, {27.82243897362652, 63.59924381357708}, {
         27.447028267664184`, 62.46947220535664}, {27.344306828506276`, 
         62.161720018172865`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{27.27836391602419, 61.96415585131541}, {27.07675156104053, 
         61.360127678441856`}, {26.61044440093454, 59.96334231545423}, {
         26.151773354714198`, 58.59632732427759}, {25.95544106980738, 
         58.01423429161513}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{25.888875728671373`, 57.816878969690066`}, {
         25.70073842237951, 57.25908270491195}, {25.25733960393047, 
         55.95160845735728}, {24.82157689936708, 54.67390458161361}, {
         24.546941841912545`, 53.87337899639022}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{24.479354707684596`, 53.676371262989846`}, {
         24.393450308689346`, 53.42597107768095}, {23.97295983189726, 
         52.20780794555925}, {23.560105468990823`, 51.01941518524856}, {
         23.154390602369865`, 49.858278435341376`}, {23.113266854613407`, 
         49.741174687410364`}}]}, 
       {Arrowheads[{{0.0020934360331188416`, 1.}}], 
        ArrowBox[{{23.04425643068004, 49.544661000555635`}, {
         22.755318614434202`, 48.7218833344302}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-70., 53.12242384207966}, {-69.74556860927996, 
         53.01754243419788}, {-68.59706754697153, 
         52.545136933584686`}, {-67.24003564460048, 
         51.9909474940023}, {-66.14472644161164, 51.54481417427298}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-65.95183463146346, 
         51.46624689539393}, {-65.89393109419221, 
         51.442662050825476`}, {-64.55849736048228, 
         50.90009894664463}, {-63.23381995522552, 
         50.363318733929646`}, {-62.091731414769626`, 49.90047981756673}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-61.898677901297205`, 
         49.822310761050076`}, {-60.70745594289973, 
         49.34075222115687}, {-59.45882798669012, 
         48.83725584727663}, {-58.21990273044937, 
         48.3389507284005}, {-58.035214870606076`, 48.264854618339484`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-57.84191269101891, 
         48.18730247394907}, {-56.99053278902891, 
         47.845731896569944`}, {-55.77057077728018, 
         47.35749438382645}, {-54.560016695203174`, 
         46.87423819017001}, {-53.97401166858607, 46.640901489185644`}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-53.780508573823376`, 
         46.56385202422995}, {-53.358870542797895`, 
         46.395963315600646`}, {-52.167120296169784`, 
         45.922569623696155`}, {-50.984753931424294`, 
         45.453956978034384`}, {-49.90829062210027, 45.02829188433147}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-49.71457428114313, 44.95178018515002}, {-48.6481728475811,
          44.53107482543895}, {-47.496078517468376`, 
         44.07673244605257}, {-46.35760884720818, 
         43.62702536800346}, {-45.84098746812968, 43.41969520265843}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-45.647693501537276`, 
         43.34212259014812}, {-45.248470367003335`, 
         43.18190661410756}, {-44.184369607056624`, 
         42.74132920718083}, {-42.358597489879344`, 
         41.87361405187099}, {-41.888628777616965`, 41.56502920404132}}]}, 
       {Arrowheads[{{0.0025134447772761697`, 1.}}], 
        ArrowBox[{{-41.71452623673026, 
         41.45071221934748}, {-40.839331992525835`, 
         40.876053363082086`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-70., 84.70145287374388}, {-69.77841692409208, 
         84.55580518755622}, {-68.63074782467447, 
         83.80307335840588}, {-67.27523300585088, 
         82.92036748253278}, {-66.51179801239299, 82.42452348417397}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-66.33712733265678, 
         82.31107648609473}, {-65.93061885224265, 
         82.04705297129311}, {-64.59664978452393, 
         81.1828412336381}, {-63.273410995803374`, 
         80.32782846658404}, {-62.84005291612385, 80.04778544055586}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-62.665121036705045`, 
         79.93474162031032}, {-62.00637418758398, 
         79.50904871260957}, {-60.74902257530236, 
         78.6985319533216}, {-59.50135615895857, 
         77.8962781887202}, {-59.162999350123535`, 77.67926990238709}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-58.9876803367269, 77.56682742253925}, {-58.26337493855256,
          77.10228741880529}, {-57.03493189294605, 
         76.31639273526113}, {-55.815880001000735`, 
         75.53842722977193}, {-55.47790614572739, 75.32328248873269}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-55.30220592003057, 
         75.21143661968608}, {-54.60621926271662, 
         74.7683909023377}, {-53.405949678093705`, 
         74.00628375295841}, {-52.21505305095613, 
         73.25194654720325}, {-51.78473031432545, 72.97998547768164}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-51.608665823212945`, 
         72.86871390583153}, {-51.033511185128006`, 
         72.5052200506413}, {-49.86132408060937, 
         71.76610426327258}, {-48.698491737400204`, 
         71.03459918509711}, {-48.08418555166239, 70.64834132380615}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-47.90786493775638, 
         70.53747605041313}, {-47.547022676971395`, 
         70.31058893263683}, {-46.40892542079385, 
         69.59395762241374}, {-45.29926034194856, 
         68.88463054739643}, {-44.399440490820034`, 68.29207981734993}}]}, 
       {Arrowheads[{{0.005497471846351302, 1.}}], 
        ArrowBox[{{-44.22566515685903, 
         68.17727515309278}, {-43.252018870137135`, 
         67.48759167553521}, {-42.39766454644977, 66.79973326599195}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.005367857786700346, 1.}}], 
        ArrowBox[{{24.672547724270334`, -5.}, {
         24.690099437175874`, -4.912533890453881}, {
         24.84675819584015, -4.043748178314137}, {
         24.86469251382543, -3.932212498539176}, {
         24.881167578389395`, -3.8237531994610965`}, {
         24.905515991134486`, -3.619579808521573}, {
         24.923121138519754`, -3.426308265280467}, {
         24.93231528845029, -2.7847223343005294`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-70., 38.67772218604758}, {-69.59620211027664, 
         38.5565645992304}, {-68.44827217061618, 
         38.21288217220464}, {-67.09169517276274, 
         37.8096366146431}, {-66.00784662715594, 37.488305445964784`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-65.80815886625221, 37.4291035382425}, {-65.74604782175041,
          37.4106893284357}, {-64.4110733926056, 
         37.01590799278878}, {-63.08685746031951, 
         36.625336714633555`}, {-61.818915613364226`, 
         36.25132565315299}, {-61.81306143148131, 36.2496030836375}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-61.613252857841765`, 
         36.19081021304224}, {-60.56068368494085, 
         35.88109595980622}, {-59.31216167504936, 
         35.51464763459323}, {-58.07334958368977, 
         35.15198067751403}, {-57.61605694167562, 35.018443329415334`}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-57.41612812453254, 
         34.96006066239448}, {-56.84409998209808, 
         34.793018566895036`}, {-55.62426544151028, 
         34.43768478106264}, {-54.41384596192637, 
         34.08597932001686}, {-53.416256318262796`, 33.79685619860588}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-53.21620972959131, 
         33.73887835720417}, {-53.21284154334636, 
         33.73790218375768}, {-52.02126053544289, 
         33.39338037527115}, {-50.83911128788863, 
         33.052340897543274`}, {-49.66639380068356, 
         32.71478375057407}, {-49.21370120010588, 32.584778547341145`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-49.01351392565618, 
         32.527288349210515`}, {-48.50310807382769, 
         32.38070893436353}, {-47.35171108074599, 
         32.050063327962334`}, {-46.21465979486345, 
         31.722793810421145`}, {-45.109444242859354`, 
         31.398866138385028`}, {-45.01214303896041, 31.369320707558067`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-44.81284938713966, 
         31.308805353501015`}, {-44.053554451413014`, 
         31.07824606849904}, {-42.25756468652016, 
         30.446794334167393`}, {-40.93949888950944, 29.799826333920063`}}]}, 
       {Arrowheads[{{0.008015750649682392, 1.}}], 
        ArrowBox[{{-40.752831048599525`, 
         29.707553074708823`}, {-39.77007169066736, 
         28.990104542052713`}, {-38.93091215081226, 
         28.28809940867332}, {-38.16416616301148, 27.60309359982781}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-70., 45.802963162184376`}, {-69.02989769846886, 
         45.458645029815045`}, {-67.88937809946384, 
         45.05471750547516}, {-66.54338070420626, 
         44.58141349129714}, {-66.07206871291325, 44.41611504308953}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-65.87552715784467, 
         44.347184027835674`}, {-65.20817834167866, 
         44.11313158324839}, {-63.88351857027392, 
         43.64971785314245}, {-62.56948553719442, 
         43.19122361037481}, {-61.94325012923273, 42.97269565423277}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-61.74660043038206, 42.9040737650527}, {-61.30748311267949,
          42.75084159592886}, {-60.055130346734174`, 
         42.314905186351154`}, {-58.8124272393585, 
         41.883414381641686`}, {-57.811788112562944`, 41.53686157301436}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-57.61497833416633, 
         41.468700155334155`}, {-57.579373790552445`, 
         41.45636918180047}, {-56.3558245514914, 
         41.033679765480024`}, {-55.141634073350744`, 
         40.61525631133286}, {-53.93680235613046, 
         40.20109881935897}, {-53.676572532288716`, 40.111873881201966`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-53.47955278776195, 
         40.04432176799068}, {-52.741329399830555`, 
         39.79120728955838}, {-51.55530997781815, 
         39.38549602663394}, {-50.378838863460345`, 
         38.98387933528851}, {-49.537762339676114`, 38.69735950664187}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-49.340609225890226`, 
         38.630197631614216`}, {-49.21191605675714, 
         38.586357215522106`}, {-48.054541557708525`, 
         38.1929296673347}, {-46.91049610797532, 
         37.80353432620002}, {-45.783560449218314`, 
         37.41810882759177}, {-45.398897732344714`, 37.28305355185058}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-45.202379553941014`, 
         37.214055919357925`}, {-44.696988796749594`, 
         37.03661296719376}, {-43.67403536588122, 
         36.65900654068982}, {-41.9767872828354, 
         35.915304188098496`}, {-41.396459987107825`, 35.54859216564787}}]}, 
       {Arrowheads[{{0.002163373183306991, 1.}}], 
        ArrowBox[{{-41.22038851965956, 
         35.437331633187725`}, {-40.45857193761337, 34.95593552861828}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{-70., 31.76457364393618}, {-69.06499961057592, 
         31.534410920322344`}, {-67.9224453218566, 
         31.253766185509836`}, {-66.57313723601638, 
         30.924702143586273`}, {-65.953899425005, 30.77408011429828}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-65.75152138715191, 
         30.72485413002744}, {-65.23467541288467, 
         30.599137663608317`}, {-63.906805651162344`, 
         30.276965248821234`}, {-62.58961268461581, 
         29.958220731476615`}, {-61.70314722483318, 29.74368607627581}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-61.50071230446804, 
         29.69469453874677}, {-61.32555371791631, 
         29.652304182126954`}, {-60.07117458978222, 
         29.349480427893212`}, {-58.82647530021358, 
         29.049749468775403`}, {-57.59145584921036, 
         28.75311130477351}, {-57.450910121104705`, 28.719438662538835`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-57.24836337791548, 
         28.67091150976702}, {-56.36597009664346, 
         28.45950335335393}, {-55.149871902383744`, 
         28.16886303198305}, {-53.94316126643123, 
         27.88119034066088}, {-53.19663763812064, 27.70367847330571}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-52.99400853437326, 
         27.655496380706577`}, {-52.7458381887859, 
         27.59648527938741}, {-51.55799779258136, 
         27.31468814557592}, {-50.37973520095119, 
         27.035739236639678`}, {-49.211050413895386`, 
         26.759638552578703`}, {-48.940478336398236`, 26.69585282211506}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-48.73775650468311, 
         26.648062376639352`}, {-48.05194343141394, 
         26.486386093392973`}, {-46.90622490460504, 
         26.215938412623565`}, {-45.77770548456684, 
         25.948252063811537`}, {-44.689831329755435`, 
         25.683299040031567`}, {-44.68571287312073, 25.682244074196994`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-44.483948349304114`, 
         25.63056095643349}, {-43.66604859862691, 
         25.421051334358342`}, {-41.9687560111575, 
         24.904561953481934`}, {-40.552287855541316`, 24.282279332907247`}}]}, 
       {Arrowheads[{{0.005273989615089662, 1.}}], 
        ArrowBox[{{-40.368687182494256`, 
         24.18529911695209}, {-39.437814556915896`, 
         23.587097018712008`}, {-38.54950195846771, 22.95472761726995}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{-38.86067962242943, 85.}, {-38.84334572239914, 
         84.95669617412165}, {-38.45205572815532, 
         83.94870000920291}, {-37.929896305950244`, 
         82.50032033208687}, {-37.429665312964715`, 81.08828319549653}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-37.359923971157556`, 
         80.8920277228663}, {-36.92859641354785, 
         79.67847301427413}, {-36.4420396661816, 
         78.30416995978915}, {-35.96694601248862, 76.96626223600013}}]}, 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-35.89714388363539, 
         76.77002837645115}, {-35.47313406899322, 
         75.57848410194705}, {-34.999806418351056`, 
         74.25123366065603}, {-34.53389553301023, 
         72.9477115444517}, {-34.49763985732721, 72.84658486367478}}]}, 
       {Arrowheads[{{0.00999999999999999, 1.}}], 
        ArrowBox[{{-34.427349152475564`, 
         72.65052547332543}, {-34.07477345344391, 
         71.66709847895903}, {-33.62181222012525, 
         70.408575189803}, {-33.175011833054235`, 
         69.17214167698357}, {-33.01516676279833, 68.73163000726319}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-32.9441227923227, 68.53584231104159}, {-32.73437229223089,
          67.95779794050077}, {-32.299672313894966`, 
         66.76478787151602}, {-31.870690614286254`, 
         65.59235536119077}, {-31.5145797336498, 64.62324709204508}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-31.44272337576571, 
         64.42775610473339}, {-31.029882051250443`, 
         63.30922301651871}, {-30.43699820030379, 
         61.71080671911408}, {-29.993726603711302`, 60.52232327813567}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-29.920942029887282`, 
         60.32717596571258}, {-29.85483240982613, 
         60.149925292906026`}, {-29.28338467981746, 
         58.62657873789452}, {-28.722655010277776`, 
         57.140767054079575`}, {-28.452371560447492`, 56.429063434068524`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-28.37842641376471, 
         56.23435292327169}, {-28.172643401207097`, 
         55.69249024146119}, {-27.6333498526054, 
         54.28174830003938}, {-27.1047743644727, 
         52.90854122981411}, {-26.886351954177726`, 52.34518010860357}}]}, 
       {Arrowheads[{{0.008120625291968648, 1.}}], 
        ArrowBox[{{-26.811060471902824`, 
         52.15098623529767}, {-26.58691693680899, 
         51.57286903078542}, {-26.079006095738848`, 
         50.27123374744473}, {-25.580270367386845`, 
         49.000137424283494`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{26.881495509631282`, 85.}, {26.789164633614256`, 
         84.61185596670248}, {26.546592244484756`, 83.59523333255672}, {
         26.306195969198434`, 82.59067447732407}, {25.951566944662975`, 
         81.12487795785268}, {25.908958967655533`, 80.94954858337901}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{25.85977521672118, 80.74716027745022}, {
         25.601779428399844`, 79.68552244903795}, {25.256644603794435`, 
         78.27126747760099}, {24.916225409718283`, 76.88255986796808}, {
         24.87158667117753, 76.70049505980536}}]}, 
       {Arrowheads[{{0.010000000000000018`, 1.}}], 
        ArrowBox[{{24.82198973585635, 76.49820761150605}, {
         24.487445336763997`, 75.13372546362783}, {24.065681874082472`, 
         73.42213887278596}, {23.825746904347074`, 72.45351808269312}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{23.775668130549338`, 72.25134938049712}, {
         23.650935021673703`, 71.74780009544253}, {23.243204779537695`, 
         70.1107091315975}, {22.842491147674444`, 68.51086598125087}, {
         22.766644892492675`, 68.20982990994499}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{22.71575913719868, 68.00786281450402}, {
         22.448794126083953`, 66.94827064440268}, {22.062113714766216`, 
         65.42292312105289}, {21.691471932671153`, 63.97018539131308}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{21.63975250931641, 63.76843020051908}, {
         21.309346715948852`, 62.480827791125805`}, {20.942348114448876`, 
         61.05779253710303}, {20.5993808611961, 59.73486643211516}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{20.546937532159628`, 59.53329821072924}, {
         20.226664700266152`, 58.30460312721631}, {19.877979887583408`, 
         56.97444897135236}, {19.535399671173078`, 55.675255181541345`}, {
         19.48997736213166, 55.50405082953813}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{19.43656662526857, 55.302736744287145`}, {
         19.19892405103516, 54.40702175778327}, {18.868553027169654`, 
         53.16974870007813}, {18.543889129978126`, 51.96081207052031}, {
         18.359796483241794`, 51.278739199310216`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{18.305523724929138`, 51.077655795127185`}, {
         18.224534889862152`, 50.77758793120421}, {17.910490306821725`, 
         49.620076282129816`}, {17.60175538085685, 48.48827712329713}, {
         17.298330111967523`, 47.38219045470616}, {17.209138409468782`, 
         47.05895876711898}}]}, 
       {Arrowheads[{{0.004013161331929595, 1.}}], 
        ArrowBox[{{17.15373698126263, 46.8581833964048}, {17.000214500153746`,
          46.30181627635689}, {16.70740854541552, 45.247154588249344`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.007702961960828279, 1.}}], 
        ArrowBox[{{28.578789843538818`, -5.}, {
         28.538430096328185`, -4.893053919506201}, {
         28.170002867076498`, -4.029239349207837}, {
         28.118650274987385`, -3.918162161287541}, {
         28.067270261917805`, -3.8101471005028458`}, {
         27.961416327907937`, -3.6071218942095205`}, {
         27.85410526094789, -3.414914760477338}, {
         27.438772742899957`, -2.7768265226309996`}, {
         26.96440274954121, -2.2581614615716683`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{14.121731160725767`, 85.}, {13.872794923548147`, 
         83.01435164065256}, {13.68373847754085, 81.52507078961057}, {
         13.599853861056756`, 80.86724575185697}}]}, 
       {Arrowheads[{{0.010000000000000014`, 1.}}], 
        ArrowBox[{{13.57350787641211, 80.66063995129511}, {
         13.497291570742703`, 80.06294997837948}, {13.313351366399742`, 
         78.62659817606854}, {13.131952143429956`, 77.21647905964133}, {
         13.04348893224272, 76.52892067671598}}]}, 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{13.016910278587954`, 76.32234467882998}, {12.9055316974897,
          75.45668226295463}, {12.682823204893719`, 73.73443435367867}, {
         12.482219451169989`, 72.19122755764606}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{12.455325471182473`, 71.98469238627217}, {
         12.248542079734575`, 70.40258519735892}, {12.036969447171419`, 
         68.79298395031515}, {11.912891994879342`, 67.85458495928897}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{11.885590469483938`, 67.64810325442438}, {
         11.829108767952535`, 67.22093159068211}, {11.624960042077927`, 
         65.6864281184598}, {11.424523269547592`, 64.18947353364821}, {
         11.334253849881788`, 63.51917528104883}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{11.30645577330654, 63.31275983910851}, {
         11.227556766628952`, 62.72689292533406}, {11.033818849589423`, 
         61.29551138260404}, {10.84330951842901, 59.89532890545816}, {
         10.746140100850322`, 59.185040612998975`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{10.71790991708575, 58.97868382377866}, {
         10.656028773147707`, 58.52634549389641}, {10.471976613745518`, 
         57.18856114791879}, {10.291153040222442`, 55.88197586752531}, {
         10.14777410592832, 54.85230989148225}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{10.119048849610222`, 54.64602143474713}, {
         10.113558052578476`, 54.606589652715954`}, {9.939191650813624, 
         53.36240250349073}, {9.767843238660024, 52.14676548658242}, {
         9.599302219849815, 50.957029668723784`}, {9.537249523784542, 
         50.52127575537172}}]}, 
       {Arrowheads[{{0.009356807657713094, 1.}}], 
        ArrowBox[{{9.507886209327799, 50.31507715329882}, {9.43356859438299, 
         49.793195049914836`}, {9.270642362259562, 48.65526163015558}, {
         9.110523523479516, 47.543229409445985`}, {8.95321207804286, 
         46.457098387786075`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{8.023956179851183, 85.}, {7.997588820477274, 
         84.62864382317554}, {7.924328252217241, 83.59989592655577}, {
         7.8146317471361995`, 82.0765897550259}, {7.725544530803172, 
         80.84512655206558}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{7.710516378176159, 80.63739060822985}, {7.70647356525925, 
         80.58150632372134}, {7.599792165991216, 79.11317876715279}, {
         7.494608062863827, 77.67209604048337}, {7.407791884110281, 
         76.4828287225992}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{7.392627939179982, 76.27510264694462}, {7.365031622429425, 
         75.89706944994587}, {7.237585020029018, 74.1600142534216}, {
         7.112268255662606, 72.46093045091051}, {7.087040747617853, 
         72.12075046674939}}]}, 
       {Arrowheads[{{0.010000000000000014`, 1.}}], 
        ArrowBox[{{7.071637235367479, 71.91304201833418}, {
         6.9890813293301886`, 70.79981804241262}, {6.868024241031767, 
         69.17667702792794}, {6.761664224539137, 67.75901483022223}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{6.746063342766589, 67.55132111636635}, {6.632299578536907, 
         66.04430918099817}, {6.517632004340471, 64.53508234855308}, {
         6.4307151123497395`, 63.39769857128396}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{6.4148450777309085`, 63.190025246723735`}, {
         6.404955229516425, 63.06060790722651}, {6.294130215403166, 
         61.6176668541238}, {6.185156962000695, 60.206259189244946`}, {
         6.094369894957109, 59.0367951039473}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{6.078249433390056, 58.82914106846625}, {6.078035469309012, 
         58.826384912589944`}, {5.972765737328116, 57.478044024158805`}, {
         5.869347766058007, 56.16123652395151}, {5.767781555498684, 
         54.875962411968054`}, {5.751907099838474, 54.676367954404945`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{5.735394090736067, 54.46874476624166}, {5.668067105650149, 
         53.62222168820846}, {5.570083314092388, 52.39733014364806}, {
         5.47370907840539, 51.19860356926221}, {5.402418642642565, 
         50.31649825444363}}]}, 
       {Arrowheads[{{0.008294224818354949, 1.}}], 
        ArrowBox[{{5.385640563846871, 50.10889631850703}, {5.378944398589155, 
         50.0260419650509}, {5.285789274643681, 48.87964533101413}, {
         5.194243706568971, 47.759413667151904`}, {5.104307694365022, 
         46.665346973464224`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{20.583297430922666`, 85.}, {20.5601153202463, 
         84.87263658325173}, {20.37360417491208, 83.85093998774282}, {
         20.005657364504806`, 81.84444033284726}, {19.830848039931727`, 
         80.9029492427225}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{19.7928261571435, 80.69817032739688}, {19.734886747606097`,
          80.38611925128995}, {19.467827724725556`, 78.95421033524225}, {
         19.204334989626705`, 77.54736954463564}, {19.0267842746938, 
         76.60363760792661}}]}, 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{18.988274962828964`, 76.39894979531337}, {
         18.944456977721707`, 76.16604489282629}, {18.61820498443872, 
         74.43224066798084}, {18.29729555055936, 72.73538956167378}, {
         18.215599376441403`, 72.30566348458761}}]}, 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{18.176699757499307`, 72.1010494885393}, {
         17.981728676083634`, 71.0754915739051}, {17.671504361011536`, 
         69.45254670467482}, {17.3941291879305, 68.00964391310329}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{17.35474343775045, 67.80512296194902}, {
         17.067083409078236`, 66.31751632182947}, {16.772886772217035`, 
         64.80543080821438}, {16.559587548139483`, 63.716145179806624`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{16.51956340616446, 63.51174817446686}, {16.48403269475946, 
         63.33029841313769}, {16.20017372118179, 61.88899811688956}, {
         15.920962395960295`, 60.47840889976014}, {15.71142155250194, 
         59.42531683671083}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{15.67077571758951, 59.22104255091604}, {
         15.646398719094975`, 59.098530761749444`}, {15.376482690585828`, 
         57.749363702857444`}, {15.11121431043286, 56.430907723084175`}, {
         14.850593578636063`, 55.143162822429616`}, {14.849390162141466`, 
         55.137253079050474`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{14.807830706406813`, 54.93316270845024}, {
         14.594620495195441`, 53.88612900089377}, {14.343295060110995`, 
         52.65980625847664}, {14.09631445471864, 51.4615899932792}, {
         13.970173275676455`, 50.8526806670116}}]}, 
       {Arrowheads[{{0.009135823523368539, 1.}}], 
        ArrowBox[{{13.927923449321945`, 50.64873209529384}, {
         13.853375860354287`, 50.2888756034024}, {13.61447927701794, 
         49.141663088846244`}, {13.379624704709595`, 48.01995244961073}, {
         13.148812143429257`, 46.92374368569587}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-59.97311081743351, 85.}, {-59.656424697240354`, 
         84.77820019252229}, {-58.632029724334636`, 
         84.0622145574219}, {-57.44716856284349, 
         83.23962156674237}, {-56.553781896935405`, 82.62089296136621}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-56.38255732132193, 
         82.50230876158105}, {-56.27115262432553, 
         82.42515373404896}, {-55.1037921648183, 
         81.61857861350879}, {-53.945150432309305`, 
         80.81997368706621}, {-52.95388262910166, 80.13667770060533}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-52.78239759861932, 80.0184704586395}, {-52.76894636006901,
          80.00919831514345}, {-51.60172893845352, 
         79.20647677204603}, {-50.443498167462856`, 
         78.41180905777401}, {-49.347614756374654`, 77.6617185480934}}]}, 
       {Arrowheads[{{0.00999999999999999, 1.}}], 
        ArrowBox[{{-49.17582630236318, 77.5439527444102}, {-48.1591075469671, 
         76.84647513573921}, {-47.04316963668427, 
         76.07548896804285}, {-45.946440316248506`, 
         75.31223666923826}, {-45.74987518892383, 75.17441233588106}}]}, 
       {Arrowheads[{{0.007989142045698306, 1.}}], 
        ArrowBox[{{-45.579339814537114`, 
         75.05483912058816}, {-44.86891958565981, 
         74.55671823932543}, {-43.83904932179733, 
         73.80883641016705}, {-42.91060176648973, 73.06845636009923}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-3.759597420641146, -5.}, {-2.6263732255470513`, \
-4.748676188484076}, {-1.4200141576953718`, -4.4842993522248005`}, \
{-0.26786297135300186`, -4.234650474877297}, {
         0.30994749368243757`, -4.1107703445156085`}}]}, 
       {Arrowheads[{{0.0016554128932142558`, 1.}}], 
        ArrowBox[{{0.5135984348979619, -4.067108440357274}, {
         0.8318018192242702, -3.9988869748124163`}, {
         0.9210408261905574, -3.9798639347286056`}, {
         1.0099275660633844`, -3.960931388157784}, {
         1.0991246933074943`, -3.941963285130538}, {
         1.1879653922212046`, -3.923086015839934}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{30., 28.210766135783807`}, {29.873401452071775`, 
         28.052298171563493`}, {29.331616565090197`, 27.378197595359808`}, {
         28.53544354648546, 26.40210341984341}, {27.76088167024673, 
         25.46080916021377}, {27.366224681769545`, 24.983573965777733`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{27.233491978205794`, 24.823068211558894`}, {
         26.80659059363986, 24.30684178907882}, {25.884002866295184`, 
         23.20289152116382}, {24.99311848821272, 22.14895835646879}, {
         24.552937848399665`, 21.63462621989278}}]}, 
       {Arrowheads[{{0.001046969212886108, 1.}}], 
        ArrowBox[{{24.41751162740025, 21.476386508067595`}, {
         24.133937459392452`, 21.145042294993715`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999978, 1.}}], 
        ArrowBox[{{-70., 77.39471328599787}, {-69.32011100780274, 
         76.9867104129734}, {-67.95271457031482, 
         76.17201490106686}, {-66.59636628014681, 
         75.36602803783133}, {-66.42155418525691, 75.26241256881127}}]}, 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{-66.24238406998107, 75.15621399290394}, {-65.2508059121237,
          74.56848099902187}, {-63.91612020797046, 
         73.77946339272009}, {-62.6576043348608, 73.03456895750371}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-62.47835866975042, 
         72.92849794712532}, {-61.382786765769445`, 
         72.28018986922817}, {-60.133886485854674`, 
         71.54131483703637}, {-58.89683050006372, 
         70.80961429121403}, {-58.893210979893034`, 70.80747389645269}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-58.71393266215292, 
         70.70145808385394}, {-57.67161880839661, 
         70.08508823176112}, {-56.45825141085333, 
         69.36773665867769}, {-55.25672830743387, 
         68.65755957196367}, {-55.12811817282225, 68.58156153084856}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-54.94880610782332, 
         68.47560280738266}, {-54.06704949813822, 
         67.9545569716191}, {-52.889214982966415`, 
         67.25872885764399}, {-51.72322476191844, 
         66.57007523003833}, {-51.362262181778156`, 66.35694059654533}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-51.18291429755863, 
         66.25104251271621}, {-50.569078834994286`, 
         65.8885960888021}, {-49.42677720219396, 
         65.21429143393533}, {-48.29631986351746, 
         64.547161265438}, {-47.595570285510725`, 64.13373531085404}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-47.41618431328177, 
         64.02790175898993}, {-47.17770681896479, 
         63.88720558331013}, {-46.070938068535945`, 
         63.2344243875517}, {-44.97601361223093, 
         62.58881767816271}, {-44.94508975998003, 
         62.57060559945857}, {-44.91420786987409, 
         62.55239882010313}, {-44.88336886196314, 
         62.5341973385544}, {-44.8525736743098, 
         62.51600115327082}, {-44.8218232629868, 
         62.49781026271128}, {-44.76041500366157, 
         62.46143906795943}, {-44.69919591978455, 
         62.42508903978074}, {-44.63817425147788, 
         62.388760165856645`}, {-44.041610693590826`, 
         62.026631196319975`}, {-43.83727640460122, 61.896672340476734`}}]}, 
       {Arrowheads[{{0.0005291512940309345, 1.}}], 
        ArrowBox[{{-43.66153151877744, 
         61.784896659581975`}, {-43.4755402512715, 61.66660416720867}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.004979944763797356, 1.}}], 
        ArrowBox[{{21.666735178263284`, -5.}, {
         21.875141562391512`, -4.678178644408993}, {
         21.958480200319226`, -4.550405284599425}, {
         22.039431021309753`, -4.426121727030676}, {
         22.186134374027368`, -4.198545407927348}, {
         22.323479537097207`, -3.982670107399041}, {
         22.76888914754777, -3.242879713927342}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-34.38932997933823, -5.}, {-32.99246673371552, \
-4.84716555854352}, {-32.051506269305335`, -4.744665087147239}, \
{-31.12602353502457, -4.64433212567988}, {-30.2481111182684, \
-4.55019746568303}}]}, 
       {Arrowheads[{{0.00027246594244889047`, 1.}}], 
        ArrowBox[{{-30.04101939403989, -4.527991937345199}, \
{-29.928168510409314`, -4.515891436932914}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-70., 65.3569361406078}, {-69.34391722134599, 
         65.02444141574027}, {-67.9754050842426, 
         64.33587056323663}, {-66.61795764200184, 
         63.654665161765976`}, {-66.27878568828477, 63.48489137111046}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-66.09253671832569, 
         63.39166375223128}, {-65.27131410730772, 
         62.98059770117197}, {-63.93556140926555, 
         62.313744018173395`}, {-62.66229425383998, 
         61.67731626932196}, {-62.36638957956362, 61.52944681341905}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-62.18007846857372, 
         61.43634344261858}, {-61.40086071062522, 
         61.04695281815647}, {-60.151260779621246`, 
         60.4226536646769}, {-58.913494460828055`, 
         59.80441880888327}, {-58.45360752784753, 59.574773870855665`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-58.267268927666294`, 
         59.48172552957438}, {-57.68756175424568, 
         59.19224825077556}, {-56.473462659874095`, 
         58.586141990353795`}, {-55.271197177713304`, 
         57.986100027617965`}, {-54.54019667500359, 57.62136015235903}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-54.35382895497038, 
         57.528370149335466`}, {-54.080765307763315`, 
         57.39212236256807}, {-52.90216705002412, 
         56.8042089952041}, {-51.735402404495716`, 
         56.222359925526064`}, {-50.626099174701764`, 55.66932265419891}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-50.43969245566687, 
         55.57641085341707}, {-49.43737395007131, 
         55.07685467922779}, {-48.30611014117529, 
         54.51319850260756}, {-47.18667994449009, 
         53.955606623673255`}, {-46.71122076488942, 53.718851784426505`}}]}, 
       {Arrowheads[{{0.008194110021534499, 1.}}], 
        ArrowBox[{{-46.52477788160843, 
         53.62601257392485}, {-46.079083360015666`, 
         53.40407904242488}, {-44.983320387752045`, 
         52.85861575886245}, {-44.95238719311158, 
         52.843235188333345`}, {-44.921495744843455`, 
         52.827859093178425`}, {-44.890646958708246`, 
         52.81248747209547}, {-44.85984176847551, 
         52.79712032378263}, {-44.82908112592652, 
         52.78175764693843}, {-44.767651933276746`, 
         52.75104123358553}, {-44.7064109572355, 
         52.720342695700396`}, {-44.64536640395851, 
         52.689662022879986`}, {-44.048510735097786`, 
         52.3838347365017}, {-43.48202716374765, 52.07978256845287}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.0020222293166649447`, 1.}}], 
        ArrowBox[{{30., 43.843046901356026`}, {29.614002385341017`, 
         43.09431355954076}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-23.825781423306676`, 
         42.795204994017375`}, {-23.394562146614824`, 
         41.76893332940524}, {-22.762525296643595`, 
         40.28670156692197}, {-22.19310699047901, 38.9629454046374}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-22.110652497705644`, 
         38.77168304661286}, {-21.388647297694842`, 
         37.10149121514338}, {-20.65486620032681, 
         35.42177686997691}, {-20.447533699916193`, 34.9525290304152}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-20.363358179752943`, 
         34.762017745872924`}, {-19.94622055398212, 
         33.81792586782585}, {-19.26271035866075, 
         32.28993820869018}, {-18.66098855174702, 30.96020714756147}}]}, 
       {Arrowheads[{{0.007047739484895695, 1.}}], 
        ArrowBox[{{-18.574881140144846`, 
         30.770561600123195`}, {-17.964538261839976`, 
         29.435849388545613`}, {-17.34823684552856, 
         28.103322344806855`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999978, 1.}}], 
        ArrowBox[{{-70., 71.3206435897819}, {-69.83895777518887, 
         71.2315015525881}, {-68.69018460777637, 
         70.59699940771924}, {-67.33301166052746, 
         69.85274770912999}, {-66.34923773610504, 69.31467595578557}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-66.1665054128676, 69.21473114212851}, {-65.98676231149867,
          69.11642127305781}, {-64.6511802249309, 
         68.387776355359}, {-63.326350846077204`, 
         67.66689420408146}, {-62.50856711899426, 67.2218670055428}}]}, 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-62.32562266089382, 
         67.12231102640023}, {-62.05834712018455, 
         66.97686317609386}, {-60.80004022649605, 
         66.29379887215747}, {-59.55143016501174, 
         65.6177012922723}, {-58.6630867259076, 65.13791143158318}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-58.47982834625878, 
         65.03893449476864}, {-58.31251693573158, 
         64.94857043643835}, {-57.08315322381755, 
         64.28626551775926}, {-55.8631917144316, 
         63.63064574933869}, {-54.81082744554551, 63.06651345022023}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-54.62724593453108, 
         62.968137179239115`}, {-53.45147530324394, 
         62.339461663273106`}, {-52.259696907051364`, 
         61.7037630355805}, {-51.07727372460514, 
         61.074480938051224`}, {-50.95175577926002, 61.00783449613307}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-50.76780024963283, 
         60.91015936699428}, {-49.904205755905274`, 
         60.45161537068529}, {-48.740493000951766`, 
         59.835166333482704`}, {-47.588063980038974`, 
         59.22503608306172}, {-47.08717613946331, 58.959510866541876`}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-46.90315492661642, 
         58.861959541819644`}, {-46.44884721346126, 
         58.62112687604058}, {-45.33747368257484, 
         58.02337570085028}, {-44.26857436873589, 
         57.43171954592183}, {-43.28369070945497, 
         56.846096581560985`}, {-43.26553975290753, 56.833853004475166`}}]}, 
       {Arrowheads[{{0.0019358134882819142`, 1.}}], 
        ArrowBox[{{-43.092871440101234`, 
         56.71738102722172}, {-42.42436414224262, 56.266444978073544`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.007370825162874092, 1.}}], 
        ArrowBox[{{30., 74.46567574036075}, {29.50024843608049, 
         72.8213039669484}, {29.10270228448909, 71.52934764177238}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-70., 59.584245199033106`}, {-69.4189805858663, 
         59.31578349239057}, {-68.28665822609706, 
         58.79371397030544}, {-67.16189924828046, 
         58.27628012286523}, {-66.21620090568786, 57.842154732528726`}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-66.02689198401345, 
         57.755309043426514`}, {-64.73116151436413, 
         57.164688670083805`}, {-63.42816100588428, 
         56.572284517596465`}, {-62.23490077076723, 56.03112246738533}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-62.04517757719309, 
         55.945185470905315`}, {-60.85269261258185, 
         55.40576972253522}, {-59.60884106795848, 
         54.8430718277089}, {-58.374463283363056`, 
         54.28603210923416}, {-58.24925467897382, 54.22967037640403}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-58.05933088189786, 
         54.14417757532143}, {-57.149559258795605`, 
         53.73465056711103}, {-55.93412899425612, 
         53.188927201339524`}, {-54.728038702051364`, 
         52.648748157057895`}, {-54.25872463073762, 52.43906617488276}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-54.06856251055632, 
         52.35410479671095}, {-53.531154594488115`, 
         52.113999579404435`}, {-52.34347667156636, 
         51.58468146837914}, {-51.165004933286106`, 
         51.06079382398199}, {-50.262864605961404`, 50.66038734245232}}]}, 
       {Arrowheads[{{0.010000000000000002`, 1.}}], 
        ArrowBox[{{-50.07249437209251, 
         50.575893308406116`}, {-49.996644328631234`, 
         50.542227981509285`}, {-48.839299806585615`, 
         50.028875276257274`}, {-47.69297136714924, 
         49.52073570822596}, {-46.55765901032212, 
         49.01780927741537}, {-46.26486501292357, 48.8865257346451}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-46.074816172002514`, 
         48.801311265232535`}, {-45.44746180884204, 
         48.52001689410516}, {-44.37647883544679, 
         48.02727946857506}, {-43.38534439752337, 
         47.539546006970056`}, {-42.51469280245876, 
         47.056765515435124`}, {-42.35192625324242, 46.94234024714266}}]}, 
       {Arrowheads[{{0.002991630287153642, 1.}}], 
        ArrowBox[{{-42.18153827231603, 
         46.82255709436844}, {-41.16206258370339, 46.105863278908245`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-32.584048101659285`, 85.}, {-32.482589719944954`, 
         84.64822752887662}, {-32.18868539549209, 
         83.63212372786944}, {-31.755788514865664`, 
         82.15148382857504}, {-31.41793187683263, 81.00098200421593}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-31.359246743662585`, 
         80.80114176082758}, {-31.32880723893879, 
         80.69748624018663}, {-30.907493999535163`, 
         79.26878341804462}, {-30.49193131938023, 
         77.86582454370222}, {-30.178102674535914`, 76.80653061166149}}]}, 
       {Arrowheads[{{0.009999999999999983, 1.}}], 
        ArrowBox[{{-30.11893936971565, 
         76.60683141012215}, {-29.969633445736985`, 
         76.10286575279092}, {-29.45584655999565, 
         74.37729181790912}, {-28.950570662156224`, 
         72.68910273905682}, {-28.92828523505262, 72.61504582313121}}]}, 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-28.868267895666683`, 
         72.41560162866637}, {-28.453805752218695`, 
         71.03829851623402}, {-27.965551830183088`, 
         69.42487914944073}, {-27.662235845590537`, 68.42843621016667}}]}, 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{-27.60158376087769, 
         68.22918412773667}, {-27.48580889604938, 
         67.84884463867695}, {-27.014576949817588`, 
         66.31019498394267}, {-26.5518559914877, 
         64.80893018523788}, {-26.377797790151128`, 64.24743351363568}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-26.316128550957643`, 
         64.04849389297154}, {-26.097094353444987`, 
         63.34190855584859}, {-25.649740368074717`, 
         61.905988409060754`}, {-25.209794035376895`, 
         60.501169744874375`}, {-25.07472540689024, 60.072199795564096`}}]}, 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-25.012172723983255`, 
         59.87353618643087}, {-24.777255355351514`, 
         59.12745256328946}, {-24.35212432799858, 
         57.784836864306016`}, {-23.93440095331809, 
         56.473322647924036`}, {-23.751715533305685`, 55.90324276671651}}]}, 
       {Arrowheads[{{0.0012906631322166526`, 1.}}], 
        ArrowBox[{{-23.688155196941953`, 
         55.704899248107935`}, {-23.52408523131004, 
         55.192909914143506`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.0031523597571299303`, 1.}}], 
        ArrowBox[{{12.91470318462367, -5.}, {
         13.081110555448353`, -4.91551462192121}, {
         13.327122906561256`, -4.791185369482847}, {
         13.714635944887016`, -4.597425457596769}, {
         14.088580533622217`, -4.411501297442212}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.01000000000000001, 1.}}], 
        ArrowBox[{{-22.130575981283688`, 85.}, {-22.069452139605286`, 
         84.68781039337783}, {-21.671110314048082`, 
         82.66245257829023}, {-21.37818713131685, 
         81.191487717237}, {-21.322589629657447`, 80.91354010382977}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-21.281737154676613`, 
         80.70930704328217}, {-21.089273838107673`, 
         79.74712856561445}, {-20.80421364890872, 
         78.32802291386972}, {-20.523058825557282`, 
         76.93462149852044}, {-20.460664631080782`, 76.6254535565046}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-20.41946189126121, 76.42129087146137}, {-20.1697145597721,
          75.18377399752333}, {-19.822155078314637`, 
         73.47023380224793}, {-19.591469089064482`, 72.33883511888216}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-19.549858313464544`, 
         72.13475520540052}, {-19.48038038118488, 
         71.79400091269423}, {-19.144390468382852`, 
         70.15507532886227}, {-18.814185339908537`, 
         68.55345705075202}, {-18.710723012069092`, 68.05457571489174}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-18.66842832122419, 67.8506364424133}, {-18.48976499576194,
          66.98914607836348}, {-18.171129435943058`, 
         65.46214241169666}, {-17.858278660451894`, 
         63.97244605075156}, {-17.81618813045446, 63.77317466149645}}]}, 
       {Arrowheads[{{0.009499013339581397, 1.}}], 
        ArrowBox[{{-17.77314474000089, 
         63.56939209533594}, {-17.550836546783966`, 
         62.51690683302559}, {-17.248426972434796`, 
         61.09237459601615}, {-16.95104993740438, 59.698849339723274`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999985, 1.}}], 
        ArrowBox[{{2.3269054774058833`, 85.}, {2.3122402521503638`, 
         84.28840178537115}, {2.2904870206491816`, 83.23608057072299}, {
         2.2475944545480533`, 81.17084749674385}, {2.2405330535302515`, 
         80.83531913726247}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{2.236150667826376, 80.62708642506709}, {
         2.2143951051568798`, 79.59335271787671}, {2.1816929252169617`, 
         78.04706072761388}, {2.149466750059159, 76.53024827707144}, {
         2.1480190572587574`, 76.46244240686899}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{2.143573202503186, 76.25421104009588}, {
         2.1177236345731862`, 75.04348978254401}, {2.0807007950982563`, 
         73.30944757096961}, {2.054522812371035, 72.08958655783346}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{2.050054217734608, 71.8813556778116}, {2.0442929622679933`,
          71.61288843174178}, {2.0085001360823957`, 69.95381236486051}, {
         1.9733223165414644`, 68.33221937032582}, {1.9598938439478788`, 
         67.71675509260122}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{1.9553506054908583`, 67.50852582780632}, {
         1.9387595036452003`, 66.74810944813773}, {1.904811697393602, 
         65.20148259829617}, {1.87147889778667, 63.692338820801204`}, {
         1.863733713757807, 63.34395703959222}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{1.8591044266249332`, 63.135729670033506`}, {
         1.8387611048244046`, 62.22067811565281}, {1.8066177384940132`, 
         60.783289098205614`}, {1.7750082187827037`, 59.37696038381427}, {
         1.7658395678282293`, 58.9711974581062}}]}, 
       {Arrowheads[{{0.0018280162397004969`, 1.}}], 
        ArrowBox[{{1.7611344842115078`, 58.76297178744847}, {
         1.7439325456904762`, 58.00169197247877}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-27.393057706680757`, 85.}, {-27.316524760939004`, 
         84.68422841195517}, {-27.069162025013085`, 
         83.66660584569898}, {-26.5811563376018, 
         81.66804205178674}, {-26.404486258772064`, 80.9534311033608}}]}, 
       {Arrowheads[{{0.00999999999999999, 1.}}], 
        ArrowBox[{{-26.35449937030453, 
         80.75123966260715}, {-26.222837619721112`, 
         80.21868242892577}, {-25.86941063500899, 
         78.79546617753236}, {-25.52068456586151, 
         77.39706796752762}, {-25.34833039569694, 76.70900812585828}}]}, 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{-25.29772162285348, 76.5069714464063}, {-25.17672301814666,
          76.0239295756045}, {-24.743460290732695`, 
         74.29461898870866}, {-24.31728756614356, 
         72.60214052897973}, {-24.28304638681774, 72.46686584446228}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-24.231938031274638`, 
         72.2649549638085}, {-23.898204844379237`, 
         70.94649419641773}, {-23.486212125439746`, 
         69.32767999102265}, {-23.20475606769539, 68.22801228952412}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-23.15311255603598, 
         68.02623762452332}, {-23.081309409325083`, 
         67.7456979127945}, {-22.683496696035245`, 
         66.20054796173325}, {-22.29277398557023, 
         64.69223013783893}, {-22.110540358040318`, 63.993243396008474`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-22.057996118857233`, 
         63.79170141362919}, {-21.90914127793004, 
         63.220744441111535`}, {-21.532137790025732`, 
         61.78298222035505}, {-21.16130273876836, 
         60.375834824373456`}, {-20.998952670703126`, 59.76300066935174}}]}, 
       {Arrowheads[{{0.004740299864247054, 1.}}], 
        ArrowBox[{{-20.945615985029768`, 
         59.56166695212067}, {-20.796636124157928`, 
         58.99930225316679}, {-20.438137946194427`, 
         57.653384506734994`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{-12.142285620502514`, 85.}, {-12.087600115499404`, 
         84.49121587232068}, {-11.868293875555263`, 
         82.46007561076246}, {-11.70594789831801, 
         80.97521147357928}, {-11.693152403985694`, 80.85870830015863}}]}, 
       {Arrowheads[{{0.009999999999999985, 1.}}], 
        ArrowBox[{{-11.67041395948139, 
         80.65167441193202}, {-11.545851302470478`, 
         79.51752949696545}, {-11.387915124313288`, 
         78.08563260152933}, {-11.2321690184129, 
         76.67998648040145}, {-11.213468442397007`, 76.51123659690442}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-11.190527770294196`, 
         76.30422501921812}, {-11.038374905938504`, 
         74.93123104769872}, {-10.847759926085978`, 
         73.21981272453156}, {-10.729573466921975`, 72.16423166084839}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-10.706398664048747`, 
         71.95724616318131}, {-10.660324078855322`, 
         71.54573151089997}, {-10.476067364246536`, 
         69.90898740680396}, {-10.29498978225962, 
         68.30958041224349}, {-10.239002666500708`, 67.8179752982667}}]}, 
       {Arrowheads[{{0.010000000000000009`, 1.}}], 
        ArrowBox[{{-10.21543489591369, 
         67.61103417639322}, {-10.117091332894574`, 
         66.74751052721861}, {-9.942372016151403, 
         65.2227777517293}, {-9.770831832030098, 
         63.73538208577555}, {-9.740354484875967, 63.47263844379075}}]}, 
       {Arrowheads[{{0.005814341075076965, 1.}}], 
        ArrowBox[{{-9.716355781197448, 
         63.26574685393159}, {-9.602263653357888, 
         62.28216448901119}, {-9.436460352961996, 60.85996592109003}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000012`, 1.}}], 
        ArrowBox[{{-7.462719343753889, 85.}, {-7.456872150961236, 
         84.91137411337203}, {-7.320723900424371, 
         82.85718701934769}, {-7.219090777614191, 
         81.3430628618847}, {-7.185415189851296, 80.84366440587455}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-7.171402292308295, 
         80.63585750888807}, {-7.118887085513063, 
         79.85707338267633}, {-7.020055480604393, 
         78.39775231459718}, {-6.922615077393712, 
         76.96558841335573}, {-6.889560846698362, 76.47982676173784}}]}, 
       {Arrowheads[{{0.009999999999999985, 1.}}], 
        ArrowBox[{{-6.8754209639766914`, 
         76.27202846663099}, {-6.802867009820541, 
         75.20578284962863}, {-6.685088219963544, 
         73.48364168944511}, {-6.5910730292652255`, 72.1161684951032}}]}, 
       {Arrowheads[{{0.009999999999999986, 1.}}], 
        ArrowBox[{{-6.5767873679508195`, 
         71.90838017104838}, {-6.569278707822722, 
         71.79916493280517}, {-6.455438473398074, 
         70.15235257970878}, {-6.3435675166896015`, 
         68.54320463015597}, {-6.288291012285491, 67.75280617629747}}]}, 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-6.273760526135325, 
         67.54503482912722}, {-6.233665837697304, 
         66.97172108414674}, {-6.12573343642118, 
         65.43790194168106}, {-6.019770312861231, 
         63.94174720275896}, {-5.980452444405324, 63.389797790382566`}}]}, 
       {Arrowheads[{{0.005132141892409364, 1.}}], 
        ArrowBox[{{-5.9656532966700135`, 
         63.18204540662005}, {-5.915647844851797, 
         62.48006229231078}, {-5.813237410227219, 61.04965263526686}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999993, 1.}}], 
        ArrowBox[{{-2.547663758162111, 85.}, {-2.542077344784799, 
         84.75207463647241}, {-2.518235478461882, 
         83.69717213961731}, {-2.4813238763849568`, 
         82.08289302677676}, {-2.4526628152902457`, 80.83550705638807}}]}, 
       {Arrowheads[{{0.009999999999999983, 1.}}], 
        ArrowBox[{{-2.4478784766415735`, 
         80.62728319167417}, {-2.4449607700377034`, 
         80.50029883923337}, {-2.40912298005554, 
         78.94765215501968}, {-2.373818232893327, 
         77.42553211479152}, {-2.351488280701897, 76.46282212726793}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-2.34665857537257, 76.2545993098844}, {-2.332376215748831, 
         75.63884473337193}, {-2.291621734012055, 
         73.89072970158885}, {-2.251554787683, 
         72.1811870194423}, {-2.249409530915571, 72.09015822215655}}]}, 
       {Arrowheads[{{0.00999999999999999, 1.}}], 
        ArrowBox[{{-2.2445024296528246`, 
         71.88193721435499}, {-2.2121753767616656`, 
         70.51021668693227}, {-2.173483501248052, 
         68.87781870405875}, {-2.1458167300274886`, 67.71752993079309}}]}, 
       {Arrowheads[{{0.009999999999999998, 1.}}], 
        ArrowBox[{{-2.140851789243642, 
         67.50931029412135}, {-2.1354791611421593`, 
         67.28399307082175}, {-2.098162356443987, 
         65.72873978722129}, {-2.061533087153536, 
         64.21205885325733}, {-2.040468741545896, 63.34494358914972}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-2.0354106329694974`, 
         63.13672619489475}, {-2.0255460463547577`, 
         62.73064979512992}, {-1.9901559271316056`, 
         61.28121213903906}, {-1.9553627294840794`, 
         59.863745884984766`}, {-1.9333628557854394`, 58.97239994747921}}]}, 
       {Arrowheads[{{0.0006866290585721512, 1.}}], 
        ArrowBox[{{-1.9282237593318539`, 
         58.76418453637729}, {-1.9211664534121802`, 
         58.478251032967044`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999985, 1.}}], 
        ArrowBox[{{-17.26928037989994, 85.}, {-17.233439863796733`, 
         84.765374169897}, {-17.076895766127368`, 
         83.74358339808548}, {-16.76807333954305, 
         81.73694887519592}, {-16.635001045033157`, 80.88299851397723}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-16.602931702381674`, 
         80.67720340957821}, {-16.540419893951835`, 
         80.2760531807819}, {-16.315896808520076`, 
         78.84169904961787}, {-16.094381166678346`, 
         77.43253191988507}, {-15.956923052745832`, 76.56202499574076}}]}, 
       {Arrowheads[{{0.009999999999999983, 1.}}], 
        ArrowBox[{{-15.924437125999225`, 
         76.35629524024556}, {-15.875913940616455`, 
         76.04900331218973}, {-15.602357213248004`, 
         74.31690506311826}, {-15.333282498415418`, 
         72.62174279766847}, {-15.272692704011, 72.2420211023237}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-15.23987413070753, 
         72.03634414936343}, {-15.068689796118694`, 
         70.96351651584035}, {-14.808579106357826`, 
         69.34222621763391}, {-14.57966103487558, 67.92342087006297}}]}, 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-14.546447922455448`, 
         67.71780727371299}, {-14.301803764443685`, 
         66.21045357208607}, {-14.055139112290405`, 
         64.69997122474464}, {-13.875444704753312`, 63.606630920809785`}}]}, 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-13.841666502229643`, 
         63.401109387225176`}, {-13.812956472672989`, 
         63.226424861024924`}, {-13.574964200762306`, 
         61.78669326679983}, {-13.340870651729228`, 
         60.377655227942334`}, {-13.159518476274462`, 59.29176735295534}}]}, 
       {Arrowheads[{{0.00021180333485811283`, 1.}}], 
        ArrowBox[{{-13.125209385329807`, 
         59.08633377728853}, {-13.11067582557375, 58.999310744452416`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.0026083230139033707`, 1.}}], 
        ArrowBox[{{15.187287043775479`, -2.6134443697501113`}, {
         15.377404420637276`, -2.541772108616936}, {
         15.561040329965612`, -2.4720653958310375`}, {
         15.892649804289796`, -2.3429832797019396`}, {
         16.200286089532145`, -2.220641203376429}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999992, 1.}}], 
        ArrowBox[{{-40.759155245340985`, -5.}, {-38.99340228509177, \
-4.853478473522768}, {-37.86016822849964, -4.748449753035935}, \
{-36.79412791228394, -4.645693827529009}, {-36.61031361350427, \
-4.6278036528749125`}}]}, 
       {Arrowheads[{{0.002374971307401378, 1.}}], 
        ArrowBox[{{-36.4030143120171, -4.607627743090424}, \
{-35.418354525864345`, -4.511793329412667}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.009999999999999995, 1.}}], 
        ArrowBox[{{-70., 26.152580180021}, {-69.45716432935129, 
         26.042472583568802`}, {-68.0800264493937, 
         25.765150069066266`}, {-66.71408622073699, 
         25.490810809084074`}, {-65.91625261467541, 25.330980853818456`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-65.71203139453158, 
         25.29006922985089}, {-65.35907826783743, 
         25.219362152558347`}, {-64.0150910492096, 
         24.95083498317705}, {-62.73655619898351, 
         24.695076115470155`}, {-61.62732595660586, 24.473241085350605`}}]}, 
       {Arrowheads[{{0.010000000000000004`, 1.}}], 
        ArrowBox[{{-61.42309091475763, 
         24.43239851693033}, {-60.215199141820484`, 
         24.190894347299835`}, {-58.97237693488354, 
         23.9424714468364}, {-57.74145894237632, 
         23.696493868787456`}, {-57.33830887865032, 23.615953315313806`}}]}, 
       {Arrowheads[{{0.01, 1.}}], 
        ArrowBox[{{-57.134065979499454`, 
         23.575150057120965`}, {-56.52244516429882, 
         23.452961613153004`}, {-55.31533560065104, 
         23.211874679933032`}, {-54.12013025143298, 
         22.973233069127552`}, {-53.04913432288568, 22.759453790322087`}}]}, 
       {Arrowheads[{{0.005480808130926101, 1.}}], 
        ArrowBox[{{-52.84488370751029, 
         22.71868917555788}, {-51.76543219628603, 
         22.503285814760055`}, {-50.60593949035713, 
         22.271980171198035`}}]}}, 
      {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], Thickness[Tiny], 
       {Arrowheads[{{0.010000000000000005`, 1.}}], 
        ArrowBox[{{-46.54400673102591, -5.}, {-45.28076398137426, \
-4.951229344634998}, {-44.175705931237545`, -4.908219340579009}, \
{-43.12469748563183, -4.865582950643039}, {-42.68846925054402, \
-4.844763884712166}, {-42.38197358614956, -4.829011439129617}}]}, 
       {Arrowheads[{{0.0015215136108597932`, 1.}}], 
        ArrowBox[{{-42.17399355822723, -4.817867125437558}, \
{-41.54116898169086, -4.782751331067979}}]}}}}, {{}, {
      {RGBColor[0.368417, 0.506779, 0.709798], AbsolutePointSize[6], 
       AbsoluteThickness[1.6], InsetBox[
        GraphicsBox[
         {RGBColor[0, 
           NCache[
            Rational[4, 9], 0.4444444444444444], 0], AbsolutePointSize[6], 
          Thickness[Large], CircleBox[{0, 0}]}], {13.079316632694114, 0.000030095540836152124},
         Automatic, Scaled[{0.045, 0.045}]], InsetBox[
        GraphicsBox[
         {RGBColor[0, 
           NCache[
            Rational[4, 9], 0.4444444444444444], 0], AbsolutePointSize[6], 
          Thickness[Large], CircleBox[{0, 0}]}], {13.079316632694114, 0.000030095540836152124},
         Automatic, 
        Scaled[{0.045, 0.045}]]}, {}}, {}, {}, {{}, {}}, {{}, {}}}}, {{}, {}, 
    
    TagBox[
     {RGBColor[1, 0.5, 0], Thickness[0.01], Opacity[1.], FaceForm[Opacity[
      0.3]], LineBox[CompressedData["
1:eJwV1Xk81NsbB3BGImVfuoUuaSaG1NiZ8n3GfEdCKkmKuigRylKWLMkWKWmh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       "]]},
     Annotation[#, "Charting`Private`Tag$14525#1"]& ]}},
  AspectRatio->1,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0.},
  BaseStyle->{FontSize -> 20},
  DisplayFunction->Identity,
  Epilog->InsetBox[
    BoxData[
     FormBox[
      TagBox[
       GridBox[{{
          GraphicsBox[{{{{}, {}, 
              TagBox[{
                Directive[
                 Opacity[1.], 
                 AbsoluteThickness[1.6], 
                 RGBColor[1, 0, 0], 
                 Thickness[0.02]], 
                LineBox[CompressedData["
1:eJxF0n0wE2AYAPCZshPrKpKULtsVQ0mcbTLvq5OPNaQYro7ykRC6qCTkq+Fy
dpjkM+4S85VblqK16frAcaF0JPwxXJnQTaXFVq7ufZ+75577/fd8mYXGn4wg
EggEz7+5XpVV9F6NZlFK+B93FoPexyuxGS4pU1Oz2GnTsu/SAexNVmxKegU2
5cmZGwQ69onhjANacQvIzTr9hcRP88jbBaa94YlfkL3O7niU5zaLzCbHFNRZ
yJG/Sn62uRRMIc9MRjVKnMeQnTy5GSuRw8iOc/NXjoa+QebFT8+aH8IeXh4P
IKtfI0dr+pijZdjlhsK12KFXyCrniFtl8CVyZ/GEYGlPN7LOzpGNH+ZlyCer
+692dWLPNXQF8rjY9il2TMZuKfLyYJMHX9WFnJBcGcnqECPX0sLoAjb221Ea
STHRjmxF73hwdwO2XDk0o/QVIdd93NzjN9aCTGBWRhIJ2GdKaaS2/c3Ihn6u
bnqJjcjZA9dfdm+uRw6XTcsOutYgp7OmZU9GqvH/qNQaA2oVckOCfVqfpAw5
5/y9ZLqyCBlQO58WwULkBanw2/guPvKAyHDBwzcX39uafVGjyMb/VXdzTszL
QDa2HRk4lnQFedE9XRBxOhbPe7rZ5GZ+CPKFirO2/bm2uF/yqtbOHi7YEnzK
O1WkAtvNLHIP/7oARkl8OsmVDJtMhe7W7gnAwkYljyw1gj8qosxpcelg8IWN
o7ELFfIo9sLL77JAnLFncN8Rc2gkVFs+Y+QA/bjQzBQHK0h/XHzQR7sA3M9n
RyyV2EKnz5Pljv0lwIqR2uJ3mwl3618iqs+Vgi3e440j54/ANRut6O6fdwEM
ZzZwj7Lg82tUpge1Elj2JPs2p0BYo92usGTVArjswGm1c4WU4pU8hqAeRHMe
uohqj8Nt+7pZJiENIDMgWHaZz4HEjrxvv2lCkBhKBnapXlD+0SRIKm0EaUkx
Tu2BPvA+hWXhpmgB7OHiXeM5vtBgDMppZiIQovYxmnD2h/qUfZJynggosur9
JWJ/uCFGt1RvXgTCdTWCKmsuXF4dYn99/AhEGbYaBJsEwPd7w0RtHDFItNTf
OvU9EAb6r4cY/Nt2EPwD2md9mQ==
                 "]], 
                LineBox[CompressedData["
1:eJwdlmc8Fo7Xxm+3vSVJyEoiUfZI9zmSkpGRkZAyIj8pIyHKXmmIMrKiJEpJ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                 "]]}, 
               Annotation[#, "Charting`Private`Tag$13004#1"]& ]}}, {}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{{{0, 
                 FormBox["0", TraditionalForm]}, {50, 
                 FormBox["50", TraditionalForm]}, {100, 
                 FormBox["100", TraditionalForm]}}, {}}, {{}, {{0, 
                 FormBox["\"  \"", TraditionalForm]}, {1, 
                 FormBox["\"  \"", TraditionalForm]}, {2, 
                 FormBox["\"  \"", TraditionalForm]}, {3, 
                 FormBox["\"  \"", TraditionalForm]}, {4, 
                 FormBox["\"  \"", TraditionalForm]}}}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{0, 0}, {0, 0}}, PlotRangeClipping -> True, 
            ImagePadding -> All, DisplayFunction -> Identity, AspectRatio -> 
            NCache[
              Rational[1, 3], 0.3333333333333333], Axes -> {True, True}, 
            AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, Background -> 
            GrayLevel[1], BaseStyle -> {FontSize -> 14}, DisplayFunction :> 
            Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               FormBox[
               "\"Heat \\!\\(\\*SubscriptBox[\\(h\\), \\(\\\\ \\)]\\)\"", 
                TraditionalForm], None}, {
               FormBox["\"\"", TraditionalForm], None}}, 
            FrameTicks -> {{{{0, 
                 FormBox["0", TraditionalForm]}, {50, 
                 FormBox["50", TraditionalForm]}, {100, 
                 FormBox["100", TraditionalForm]}}, None}, {None, {{0, 
                 FormBox["\"  \"", TraditionalForm]}, {1, 
                 FormBox["\"  \"", TraditionalForm]}, {2, 
                 FormBox["\"  \"", TraditionalForm]}, {3, 
                 FormBox["\"  \"", TraditionalForm]}, {4, 
                 FormBox["\"  \"", TraditionalForm]}}}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {{-1, 4}, {0, 100}}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}]}, {
          GraphicsBox[{{{{}, {}, 
              TagBox[{
                Directive[
                 Opacity[1.], 
                 AbsoluteThickness[1.6], 
                 RGBColor[1, 0.5, 0], 
                 Thickness[0.02]], 
                LineBox[CompressedData["
1:eJwV1nc81t0bB3BuM6O7ISupiLgzImW7Du4bIZSMkkpGJVEqlUQko3okW3Y/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                 "]]}, 
               Annotation[#, "Charting`Private`Tag$12959#1"]& ]}}, {}, {}}, {
           DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
            AxesOrigin -> {0, 0}, FrameTicks -> {{{{-40, 
                 FormBox[
                  RowBox[{"-", "40"}], TraditionalForm]}, {0, 
                 FormBox["0", TraditionalForm]}}, {}}, {{{0, 
                 FormBox["0", TraditionalForm]}, {1, 
                 FormBox["1", TraditionalForm]}, {2, 
                 FormBox["2", TraditionalForm]}, {3, 
                 FormBox["3", TraditionalForm]}, {4, 
                 FormBox["4", TraditionalForm]}}, {}}}, 
            GridLines -> {None, None}, DisplayFunction -> Identity, 
            PlotRangePadding -> {{0, 0}, {0, 0}}, PlotRangeClipping -> True, 
            ImagePadding -> All, DisplayFunction -> Identity, AspectRatio -> 
            NCache[
              Rational[1, 3], 0.3333333333333333], Axes -> {True, True}, 
            AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, Background -> 
            GrayLevel[1], BaseStyle -> {FontSize -> 14}, DisplayFunction :> 
            Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
               FormBox[
               "\"\\!\\(\\*SubscriptBox[\\(v\\), \\(\\\\ \\)]\\)(px/s)\"", 
                TraditionalForm], None}, {
               FormBox["\"Time (s)\"", TraditionalForm], None}}, 
            FrameTicks -> {{{{-40, 
                 FormBox[
                  RowBox[{"-", "40"}], TraditionalForm]}, {0, 
                 FormBox["0", TraditionalForm]}}, None}, {{{0, 
                 FormBox["0", TraditionalForm]}, {1, 
                 FormBox["1", TraditionalForm]}, {2, 
                 FormBox["2", TraditionalForm]}, {3, 
                 FormBox["3", TraditionalForm]}, {4, 
                 FormBox["4", TraditionalForm]}}, None}}, 
            GridLines -> {None, None}, GridLinesStyle -> Directive[
              GrayLevel[0.5, 0.4]], 
            Method -> {
             "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
              AbsolutePointSize[6], "ScalingFunctions" -> None, 
              "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                  (Identity[#]& )[
                   Part[#, 1]], 
                  (Identity[#]& )[
                   Part[#, 2]]}& )}}, PlotRange -> {{-1, 4}, {-100, 20}}, 
            PlotRangeClipping -> True, 
            PlotRangePadding -> {{Automatic, Automatic}, {
              Automatic, Automatic}}, Ticks -> {Automatic, Automatic}}]}}, 
        GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
        "Column", 
        GridBoxItemSize -> {
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
        GridBoxSpacings -> {"Columns" -> {{Automatic}}, "Rows" -> {{0}}}], 
       "Column"], TraditionalForm]], {0, 60}, Background -> None],
  Frame->True,
  FrameLabel->{
    FormBox[
    "\"Speed \\!\\(\\*SubscriptBox[\\(v\\), \\(\\\\ \\)]\\)(px/s)\"", 
     TraditionalForm], 
    FormBox[
    "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(2\\)]\\)\"", TraditionalForm]},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{"DefaultBoundaryStyle" -> Automatic, "GridLinesInFront" -> True},
  PlotRange->{{-70, 30}, {-5, 85}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.729251109178027*^9, 3.729251148810437*^9}, 
   3.7292511795594187`*^9, 3.729251321704451*^9, 3.729251375607045*^9, {
   3.729253751761838*^9, 3.72925378802223*^9}, {3.729269959975806*^9, 
   3.7292699787067127`*^9}, 3.7292934649875097`*^9, 3.7293398619241953`*^9, 
   3.738002164245874*^9, 3.7380035678975058`*^9, {3.738003636057927*^9, 
   3.738003645605933*^9}, 3.7380036826424217`*^9, {3.738003729494989*^9, 
   3.738003773589075*^9}, 3.738003980285433*^9, 3.7380040129003277`*^9, {
   3.738004055187459*^9, 3.738004084256517*^9}, 3.738004157287356*^9, 
   3.7380042454122562`*^9, {3.738004293079627*^9, 3.738004319416994*^9}, 
   3.738004350827181*^9, {3.738004423235725*^9, 3.738004457269125*^9}, {
   3.738004657542314*^9, 3.7380047101770487`*^9}, {3.738004836396352*^9, 
   3.738004856826963*^9}, {3.738004905585532*^9, 3.7380049147507877`*^9}, {
   3.738005184681332*^9, 3.738005209432355*^9}, {3.738005275594541*^9, 
   3.7380053238540773`*^9}, {3.7380053591413097`*^9, 
   3.7380053667848263`*^9}, {3.738005396925673*^9, 3.738005455152577*^9}, {
   3.738005596566207*^9, 3.738005641626934*^9}, {3.73800569617078*^9, 
   3.738005770798669*^9}, 3.738005836481942*^9, {3.738006121397626*^9, 
   3.73800616425082*^9}, 3.738006300276249*^9, {3.7380066343823013`*^9, 
   3.738006661356338*^9}, {3.738006700692791*^9, 3.7380067208625183`*^9}, {
   3.738006759850236*^9, 3.738006770068417*^9}, 3.738006808761518*^9, {
   3.73800687690688*^9, 3.738006921514718*^9}, {3.738006971984734*^9, 
   3.738006989297942*^9}, 3.7380072432557898`*^9, 3.7380073935679913`*^9, 
   3.738007603435158*^9, {3.7380081124589157`*^9, 3.738008138999948*^9}, 
   3.738008380658721*^9, 3.738008453634536*^9, {3.73800851290823*^9, 
   3.738008540832284*^9}, {3.738008614247237*^9, 3.738008622035803*^9}, {
   3.738008664376883*^9, 3.7380087141918583`*^9}, {3.738008777838792*^9, 
   3.738008805200316*^9}, {3.739629497907058*^9, 3.739629535038588*^9}, {
   3.739629586674461*^9, 3.739629601346014*^9}, {3.73963104327684*^9, 
   3.73963106344699*^9}, {3.739631119599773*^9, 3.7396312180128183`*^9}, {
   3.73963131197799*^9, 3.7396313514667788`*^9}, 3.739631500720695*^9, 
   3.740511813724009*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\
eJzsvQdUlduZP3yu5faWMsmkTOZOkklmUm4ymUkmM5nyT6ZkUuebTDLJvSq9
96YoKggqgoKKCig2LIioWAB7QcUGKiggvffeOXR+3/M8794vh3tNJlnrW99a
31ofLA6cfd5372c/ve2XnzmGeLj6OoZ4Oju+88MgxwAPT+fgd/7dP4iGFr5g
sbxwm3/esfDfsFj0i3z9Mb9YFmJ2ehIDA4MYG5+0vKvGpqfGZWx8ctoSKmOW
O/JrESoe30Tc5hgk7juOofGZn8vwK8DMGE4c2InAkDDkP2uRFQpys7GFLt17
JBvjM7D8pZpisKMSUatXYGP8AfSNT6+Yv8CdnKNY+ptfwz0gGr2j03qBp7mZ
cFr6HtbE7cfo1KwscC51J96nSwPCEjE6PbcAZqZw7sBW/Oa9pThw+uYHFrh/
MR2Oy5bCJ2Qz+kanf6aGR3sbEBHoBTsXb9yvaF+ghnOOJMGerg4J3w3rNL6i
hoc7qxHm4wYnjxA8bexd/juX+KkML6aXWVxOT4LdkiWI2H4IE7Ow/M51jFuu
HEvGMrplY9JxTNJoiLHYJXXJDBFwcKAfPT096Ontg3Vi0vKSfPbyPEAGxg3C
jwwNore3F9bxyVfV4tOTExjo76MpejE0MqaHR4b5yh709g1gehavqOHZqQn0
9/Wir38QM8CfqmFrbx1W+3vAztENlwuqFioQbDc2YUCAocF+mriP+ettdffM
1AiKCh+jtKwG08DLanhibFTWYoCHR8dfUsP9LaUgpoejRwAe13YrjJyXX68B
0xOoLH6Iw/uSsWF9JMJWrsTy5cuxfEUowtdFInHPARQUV2JiRriF7nnVxJRf
aDyqKiuQmryN7gtFcMhyrI2Iwv60M2jpGnhR7aqnpRYnDu3Fhsh1CF2xHMHB
IQhbvRY7dx9ASXXzYsW1MxOjyM+9iG2bN2FN2CqEBAcTFCuxPjoWWVfyMDQ2
aVmsoB4fHcD1nJOIjqIpCdoQgnZjzFbceVKJh7mXaDwKmdfvE0MwvAbtx/qb
kLQ9HrGxMUg+ehrWGdm/4OhezhE42i2Dz4oN6BidWqg2qukRGpWC6opi7N6+
GStDVyCENhoeuQFHMy+iq29kgVphdnIEJw7uQnRMLOK2JaGuc1jhjGgxY0Xm
kb2Iid2M6PVr4OJkB3e/lWjon7C8qDDQ1VSJtP1JWBe+FiuWhxA+Q7B6bQS2
Ju5B/tMqZiA1H8vtOPbHR2DpkmXYcfiComqOgmRytAfHdm+Bi6MjHBzsYbds
Gakqe3t7+syO9mlnZwcHJ1ckHCDNNDFtWajwypR1sreHp48/AgN8sXTpUrh5
+iIowA/2dN8yO3v4BoWhsLpNQfIaqh7lYoW/l8y5jH686N4gutfB3k7GXDx8
ceJKgdBigbpncqQXB3dshKODA8MGJxc3YotgeLg6Yxm9t6fxNbHJaB0YU7C9
jvGBNiRuCuNd0DV28PDyRaC/L92/lNbww/LgACx77z3EHz3Ha2myt5Xmwo2Q
7cBLObjg4oNKkyVmp0aRFL1Slow7lC0gGst9VGjvaO8Ab78g+Pl6YQkhmtES
4OetUGiPkNXrUdU2oCR1FiV3cuBqv5TQtgwbE9NZky9U9C+6kUkfLcMS+ig+
5TD2bIvEEnt3XHtUa3J1bXEegnzcCdN2gmlvWm55SBDxiqOA6Eja4viFOyzz
Jh8UXiaKOSwjWYxC+8h0sMEH2fLrLTJYo0hPjiZa2MPJyUk2sG3XHly5cQtP
nj7Bw/x7yDhyAGtDg+BMvMK43XU4izWYotXriicc4ObqQhC4Iin1FOqb29Hd
1Y57184g2Ndd5g8Oj0fXyJRx21+gv7kMob5ucKBpPXyDkHHhJlraOtHT2Y7H
927QkoFwos8c3f1xT1lBIghyDu8gBDC4zli/bS+eVtSLum6qJ+HYmwBXZ2cB
M3b3STYK5n2Ze+Nl3MnJDclHCMQWApHWyruciUBvVzjSfU4kCgnp2XPs8SKK
aHduTg5wcXEhcBwQtDoO3aNTWn8Pd1YgxMuNOMcNOXmli+YxhyNcXWhSJ08c
OnlBNtfV0Yob547Cz9OVgLHDms37MDSpoJydJiucQAhxEDyeu126QGnIwfYq
Mgee8lHg6k3oGp1EQfZh2C95HzuOX1mkKDEx3I3YMH9hZQ//UJy9dhettGp/
Xw9qyoqwMzYczk6M0kAU1nZrFulpKIQfCZa9iy/ulLTMY5HFqHxwCa6OBnsE
h8WipKZVMeRijPa1ImVzuLCGM9HpcV2PRSs7zRaOdN+2/WdBfoZF683K/Mvw
cnUirDnh+OUCtf0ZnD+8jdBCyHb3I8av1vaks+YRAtydsPT99xG+NZWnwmBz
KYI8ieMcHLFhxxEMT8xoJYXZcRwh5bFs6RIsc/RCQXWnLNBdXUDTOBMWnZCY
loMpU5oXozTvHDxdnGg6kwMsr2jVTO9yjibDnkRz0/YErF8ZiGVE3EPn71s0
H1TS/W5O9nDxDkBRfd8iNa1WEo5OLjiQedNGgSzCoysZdAvJFDHklYeVC5RI
Tg51Im5tMImMA7yC16K220ofTOAw7YhVtZOrH26VNMqOumoK4OnsgOC12zA0
PTd1feElMldLsNTOBedulWpCj3TWYBUz6zJ7HL6Qp4cnB9qxMdhTVEpqTp6i
f5baAsvO8Z2RonLdfVaipLHPYroOTcUI4gntXXA0q0D7X0J60lFu3stR2jas
ych+7d7YVaL012zdL9I5be1GdIiPSObGXUdZdS1S1o7Rnkc2fH/qEVy79RAz
dPnDSxlwtmeb4U9o7rVo36Cv8RkO7NmLk2dySLB7BTk3Tu4jJJAd8F2Bmu5R
i6YJpoexY/1y0ZjzSU2O0uwEDu1ch/dJmR+5eBsPLhg7cQ8IQ23nsPakrqan
iDvgFxyOduuURiRT24EtXFA4Ggcn9YKz433YsjZADFnMgbNipg1UvYmWsvvw
JzZmaseknMCD62fgyYqWeHTfqWvQCmza2oMtYWQ0PQPIR+7XhO5vrUbWqXTs
3pfK2l0D0lrxEMEehopJOXvN9AlmrdgTHy4737D37AcIPTs5hLjlPnj//fcQ
kZAqVkQTenqkDWsC2LA5Yl/GFVtCO5KU+a9NIDdhdrHC4u2sVMLDMniHxKCX
PGVrVwUCyW4xm6TnPHxFE4Ll6tgO4Qe/FfEYmJi1zH02jWN7NgmoK2IOYMx0
L437TqVuxxJSB/MJ+Aqmx/oQT3hastQZZ68/JZbrRfRKf+HtbQez5m1KZJrm
DwzbioHJWVsq2tOmVsZKVGG76umD2+WO4PAkjExpeXsJt04fEOPg5uYGD08P
sSOrNiahb2zGDEqI/ZG5fyuh1x6nbhTqqIKHu9qbUVyYj/QDSeQpeYvVsLN3
xYX75XOrk+wkRIpjExaTKrFLkC39KJSgSK2u/Bnu3c1DcWXtSzZw38tJgztp
N3vyb9LOP7bMox9FQ8HRKRQIQkvT3QvHRHI8SdwbB6cw2lWOALLizi6uWB66
lj1ksoybNm0i+KOjo7E5fhd6rGPISU+gJcice/pjY/QmxGzaZFz2EqIio3Dh
TqFs98CW1ULz0LgjEssuVtBcztgHO3LQths01SQd7a3FCm93CSZvFDWLODzN
PUW+KylDtwAUVHUqD1mxTcpmmT6Yo7+pOU9I6EqbXbvrBLOBXjXrcCIcCKsB
y9eje0wZkRdJEQyRaYsUN8OF6OEZuJpUX4+erOJOFimGJYjalTGns17FYE8b
ci+eRXzsBgST78n+K/s+rN4YM9FJ6RicmJmj6gyO74mDHbnRH6DqVcVaE9Yh
1FaWIOPQbjKZBAu5KS4+wShtGfgQGQM37Ga2/K1k7CyDP5HR1dVV3ACSLXH3
7ehaBwLOkRDq4bsOvWMTJJdMSidy6lwNd3OZHS1kXGunnMUlSxxw/OJDg6bx
awTpq7al2YSCBvdlpyWR4/2+pquS1VfRUZEHTzLrbj6BZCaGDEVHaN+5YSXp
SjuEx+3n8H2xDbIyD2gBfD5tVydksFn/IG3959OWueRUUhyJrBPh0wlBkYkY
moJpJrtqsIICYu+QCLQMm8FeW2UhwoN9xbtilLCj4kgz+AUtR9zWXbh+9zFG
JqbnwJ1EamK0aLBVGw9yvK5pe1F+vUaWdRyNddW4d/Mq9iXvxLq1q+BONHYk
A+AknoEHjl/Kt4mMdDqEdWs0+aEzmta5Z/dLAOazPJa0DjDe34Dlvp5C1627
j6Cmupq9lEqObaqrKSTftUEY03/1dpLBWVzN3CdetadPCO4WlaGqqnKhuryq
qgqFednwJp/VztEd5+9UCaUyDsRLoBMcmcxcN0fxaRxN2kDcsfQD2nkRnpLL
4+qwFL7BkejQoQC5K0U34O1ieELnH1S+qIbPH91N1CP9HBqH/on5+ll4YNf8
dckq7NsqVjYkIpk5x9TPZfcuiL/JwuPEPyTU+05em+eOYYqMI3kn75PHeKu4
WbvesxPD2LORGJIcPtZ/YeHrsf/wcRQUlqC9q/dlW/28w9DPa+PSxLdU1D6v
Fhgf7sONC5mIjoqAl4fbAmYkYkZWDRwDsYsYuoa05O0i9hA0WIYvxW6fF648
rjN9qSlyYqJChBHXJRyCxBBTI0gmx4blMzxuL8Mw50tZsZMuZ7GKTj4m9Kt6
cBFuokO9ca+izfSlSm+eFlfWmXysJ439cu39rKPid7l6BqKkecAU74n+RoQH
eomj8UFi56TvJju6FCEb9jIxdFwg3vn29cI6gau3cDBlWoC8zIO02WXEH+Fo
G53nVzkSDlw8AvCwplsvPjXSiY2hPqJ34lV0rsk21FGNtUHe4rWuWhePlF1b
SNzt4ejqi+tF9cYUC5F7Yp+oppTTuWbgMtJThzAvUnuOLkg+miV5JU2NgfYG
FBQ8QkV1LcamTJacHe8nlzJYqB9zKEc5VjlKzEe6m5AQsUoUh/HjKFGRj38Q
1kfH4MDhDDx+Wo6BkXEzstLRkzNdFxIRj+Zeqwkgc/rDSxSWkupiIDNvPDU/
e3Q1g+6zIy73wJHz94QPdVKFPfk7WUfgSqrFgUTtYn61EHdyuAMbV/iKgVoe
uQ2NPSNmwqe/pQrrQwOEz8IoWLWqdPEgJw19XCWW2pR4FEPj02odMp2To8jY
t01gt4moTVGZncThxCgsJQWx+aDhDmv8dtc+RqAnez9OOJR9T/NF05Or5L+Q
AHoFoLDuA9EVDRMQa7fsRc/opA2SpnAtY48YOgdCRm5RvfrsVQq0R5C6LUqI
4ejqg1vPWijsasPGlX7CML4rIlHXNbJQCUR7+R14ONlhxfpkjM7I9jHW14wI
fzcstXfD2dxiM45krX8ieRP5pu/BOzAcHaMzFlu7ssqblKidM05efzQvzn6F
3LdxpO2IErPCOsovOAwpqekoKCpBS3snJmcMd9E25eLu6iL6I2RNDG7ef4zy
ijKcPbYf3qTrOBBZsX4XBsZmdKZmarQHiVErRdE7unhga/J+PHj8FCVFj3B4
93a4E644bRVJ3j+5g5pvSm9nwcPRcGCCVoYj63Iunj17htxL57A62F8SeU6e
Qbhf3qxQ/Ibw6KX0JFEMzOvhMTuRl1+Iokd3kbx1vdgeVqc2/GHR0dXM+AC2
r/HD0qUOOJpzx9ZZyjq0TZZzD1iFajN7Srp1oAlr/D0oLHdF1q1inRBhBnEi
BuHUlB3ha/WGBNyjDZeXlyB93064OzsKZ0fuOIKxaXPDBRePkndpCOqOI+eh
aI6Gp7fg6+EkwVpkwhGpkxj3fMQQouWecPIOwbPWYeMGCniP7ooSteDpvxxH
T2XjaXEJnhYW4GDSVslmsiWLTTk7L2fXWHSVhJt8ANK2j2t6PpCQGWwuRqCX
i/ge4bFJaOoasmiTOTYyhN7efljHxxmlekNGHeg3CFy7EbsToiU449TtMvWb
KbsyYjMqmnpNIDi3k7pjkyBi2dKlC/hCGl66bKkoj20px9A9PG5aT9rAoxvn
sNzfky3wQrl6Ie3cHgGh4cgrqjInnrb2I42cXlZDdKkx8YsUsZGGiYjBpo1r
BSnztAYJT08Ngjyc8R4FdufzKrWeZJkK83enqOp9xO45Sb7n7JwskqI5unM9
lpGiid13xkbRvIazqTuw5DfvYeXGrdgRGy5JYt4ae2ucnWW9FrFpJ5pIF2qV
0vLsAfzdnOQa/7BNaBucmNOtBOu1jBTxwXgnnOyZ1sE7qaK05Fi8974jsm4X
q3sWYqC1EnHhK1hGLAtN9C6DHVFj7cYE1sO2zs3Fo4niDgWFx7M7ZJnHFovQ
VX4ffu7Ez87uyLpXq4Pca6f2ICAwCFGbUtA/Oq1VYFtDJS5duIC8x2VSFyq4
dRlJCdsQFxeH7TuTcOXWAwyMTugSDVeBnj2+i327d2ILXcKXJe4+iAdPKtn1
MC57Cb3tjcg5lYb4eOOS+K3bcSr7Gjr6RhSLqoLS0wIc2p8s18VvTUBmznX0
Do7gZGo8ac4lH9II4yNduHH9Ki5dvYHmnlHN7ZXFBbh0+TKu37jLdUzNYNUP
LpBjYwevwAg0D0xq/72+4qls+UFpHcnJAG5fzsbObfEC6I6kFNx6UMj+u+bo
uuJCXLp0CVdogWf1bZoS0+NDuJN7DVeu0Lq5DySA1X5sybVT5Ju/j5iU08xs
2hcZG+lHft51pOzeRTuOpx2TP3LgMO7kP8GgdUobuWlrLzavCSQWcMD+c3kh
88nbV/sQfp5s8F1x9NJDHfCK2VruS2p7KQIjd2B4ctby1zYKM33f5nkY/bTW
sWNGTmrpMheyXyV/qoYH28oQTCGZ74qN6LTOvKWGG0ghsQVw812Fqo6ReaC9
SCjpRdzqQPFifQJDcfNhKTtHOtrqbq3FwYSN4g7YkzI+nHWXQZmDcvpDUH5G
rfsk96RE2cujdnF+6XNqeFaCxBAscfLBvbL2N/VMMxM4lBAllZjEtMsy07y6
1xuSePZxdhBQnd08EL5+I5JT9uNQ6kFs37oZIX7eklFmo7oyZrc4p3/zewDK
ECVtXIUly5yQfbdMAypWMC1ZXMzU7Lw31XBb+V14uRCDLl+Hpl7rclsYDVkv
uXcZ4SsDSMc7sKNsMZTkYlEP7CC4engibs8RtPaPWb5tA1/anmj8+n9+rWtc
ls+qFTuqHpHqohVDNqJtYEzD1/T0OuH3PSzfwPHS7OuaEycGkRy9knStE3Lu
lama/wX59QpGB7vx9PF9ZKQdxo4d27Ft23bsJhxeuHYLNQ0tYsm+Y4OAhqpS
3Mm7g/Lals8pzffw2hnExsSj4FmTRcMySSh8+OA+HhYWc0SqYRloq0RC3GYc
OXuF8/4KFtGqef/f+ttHfr0kdGqofobrVy7gREYGTmWeJVXwGD2DVpWafIk8
dSvKnz7G+exzyDiejsyz2SgsqcQ4eRzf1TxHirS6rBRFT56itWvAuPVFdLbU
49aNqzh5IgMZGSdw/fY9tPcO/5VC/UBnK4qfPkFxcTGpJn5diKdPnqChrcuk
GU/T2lCFG1cv4cSJ4/RzEjfvFhCEY3+jPrYO9aIw/y7Ons7E8fR0ZF24goq6
lr9Tq3Q11+Pp06cfWqWtZ0BdYUwz3NeJgnu3ceb0KZrmOHIuX0dNU8efGxjz
VhxnHejA0eQ4eLo5i7vCBlrcF5KE4NAI5D4qN6PX4e5G7I6NFLdFrllmXOvo
5IpNCXskuPlbtdMpawfW+Ljjf96zw6Ez+cYUr0qcdDsrHYHe7nS7zXKSJVyN
y/eLWbi+oWapuJUpWt/eCO9ekjL6Qix579fYmpZlE5VSYDw1hsvH95MT6co+
lYiz4Yc5ICRsHW4/qbZ8S13bXPYQG1cFU4Bjp1ZfKr9dPbyRcuwshaVT5kbu
ntpN4dQSHWFqEN5/7z0cufpALtIgVD++jYgQf3FU5qZdBncvPxw6fQmjZEC+
YKDfS369honhLiRvXC2esqOzG9bHbsPpc1lIP7KfFKanKEtODBRUtJv+lRFq
rDJDjfhde3Hx4kXs3bEZri5OEv2v3pyCwckZU1lMWTsRFeRLMZUL0s491OR4
dPkEXDl/Sjo7OCwSp87m4EzGEaykS3lpR3c/3Clt/oZiqYGWYgRRlOXi6gZX
V3f4+frRj+9i+Pj4WN6Ch5sbkk5eMgsrbCRzT+6TKg+7wavWbcLZ7Is4mXYA
QbI5O7j4LEdxQ4/lm2pzfU3PsIY/I3S7UUi6lwL4iznnEL9hjdLY9khKvywO
53cUWA0lN+BJPr0rre9GlsefwPKdA8vdzR0ZNx6ZQLVVPsRyruDQEp6+IUg9
dgrns05j07qVQuVlBOrhbDGkls/bkmsxhfgHJUZydPJAatZt0RnahW2tKkJ4
iLfgbdWmPWRUZ0wXtujGSUkdODp74kj2HU4dqK8p5GYfFbLZO7jhXF6ZSbKZ
8W6sVyQ7lvVIO0njAxQdB3lJABUatRPNvaMmCJ2NzxAeGiAR4OqYFAqiZlWv
3Esieaf3bZEAy4n82P0nrqKzqwvt7dxO0tbWRgzc1tqK3oFhE7jhjgqs4EyE
A3nscQcoKJlLAjRWFGBFoLdw7sZdGeyqqrUWS7k9c+8W+czVazlyi2rM+6Yo
Aj2ye4sQ08UzBMWNfSYhZyeHkbJ5tezNyc0Xp6/ko6urc7GA9zJaCbyB4THF
WmNI3R4pCTkP/9XIL2/WK4yTTO2WFAR/tBY1XcOajp7qkhlyqzavDpLAdd2W
fdKPpNN/7Bi5OnFW0Bf5NZ1qNStSNoVJj01k/H6M6yTiYqMZaLNRdVkVm4KR
qVmzP3HcOoLBoUEMDQ3RO359g16H0ddVh7WBvqRkXXDwxC0MDw9jeNRqCs6z
O9nSF+DqLm1jZnhXcTeb4moHwU1eRec3FAgj3XWIDPUXz8vNLxiXHpSZmcL7
2UeE8zy8V7B7qWcqOH8UzrSCi2cwipsH31XD1j7OOXpILfJAZq6+eqKvCZEh
XlLp25Vx7W/Vuh11jxHi4yE5de/l4XhQ1myGFQMtZVjhzakBZ2RceahnGmot
xyo/N1rAAannH8wjC8VZldxFwMlqV5zNK9d2Z6y7CisZKkdnpF8vERRZOysR
yl18DjR2uchMcxZcOS76xtVnNep7Rr+uKMGOAXdAhCwPpYtWrVpFlAgLC8Oq
0BVwdzfqNr5+gfJ+Q2Iap2hEfZ07uEWy3sHkJY/aFEUmBhopNua6vjNSz9z5
pmLg9vonWBli1DEc3X2RceEee1ZmCW12AqkJ6yRVvDrusGQQTcy0P0OQp5uk
Wc7dKtYUqS+6DDdnno2rcV22lYB0insZthXrEjFK0qfJUvnkJvzIvjL/s3q9
crfUrMuW5mXCyYHV7kqUtQzOTTeOlC3rxAyvizskgP2ZQZv3FAatXfXYFR+N
9Rs2GqVJGtu4Pgpxu9MwYJ01A7VS5l2uYpGNyC0zOwynhhuxegWxvJ0T9mbc
Ehq2PLkNPxd7ihZ8UdjQbdKwsyJf2MDJ1QO3K1q1Z8v0uHkmFZFR6xUEr9Dr
RkRt2ITbxaqLifByPCFcrL6LswuXeuhOrga8LuJhmAg3KU3ZLX0fAVGJBq2n
R7EnMpi8BnvsPHyWJdHEDQl46uZV4u3E7k0XH/xPNEizk8hO200gbTCREr2R
QIregie1PWpHL6Kt7inCVxiK2cHBFXuOnsHI+LQZno5SlLfSR8LTQ9m3dAKG
I58dEUHiyii7avm6lmsui5OhDwiNQod1Rs9UdOkYnIm+PiFhqB+Y+K5av5Iw
HSIlKwc4kw1Kz7nBpUR91zXu+6JFVkbGY2DaHM47lSLprKC1G3mNDzDEUONT
BLgt5a462juXLxdi2fu/geuKGDIUcwxx90KqWH/uM7xcWG8KdVc1QgMNAU7N
fii0K87jHj470XtlbX0mQ/TXFSHY21n0QubtCluGyEhYjV+/976C4JPi/Pxm
iQMy86oVQ8ziZibtg5Di7hmEq3cLUVlRjvJy+qmoQOmT+1jp7y3l+10HzqKy
sgLV9a3SETNl7cL6YF9RVinHzpsFBKb68R0RovJXxu4V62FyBNml3RuCCKYl
JlZYSH9DYp1b3KZSNS+iv60Gu8jxc1SFi+jEw+gZmdDawNrXgFW+hiLOuHTP
XHmK2HTTClk5Mklq7SZHnDu4k4hoh+BV0eibMIlYfvOUmDNnnxA8qe//O7V+
a2UhNpEFFE3l5IxdR7Mwovu8VMC7M0Y01Zr1CaJf9IyPclJFh7gFrUV1h/UD
bDEx1IVrl7KRnZPDXdX0uhA52Vm4eOOeOMDaSudptuAqh9qKLqk9ukJuKbfq
kZ9y/WmTkPHJ7Sw4E3HdfNeQYh8xoRltL8cKf3cyDq44dbN8jjdmUV54G+fO
ZdGEDMYrOJeVg4rmPuivyZEeJKwLFbO2dd8Jm+YhAmSy1/S+0nMKdeZqarQD
64LYcjvj8Lm7i23QdfZArOiI0BipydnoiGkU3b9Oq2crSBYiK/sCGruGFS2M
1ylrP9L3bRNrylQJ37IXnUNmFni0rw6h3h7knboh63aJuTJpp4PbI2Tldbvm
c0TmgQSpEoZGJTGPaozVP7ooJsXZOwRFdf1/r9Yf7W1B8tYoFeg4YcveUxge
n7Et+hxK2ESx1TJygQzbpWcsuXXS4IjAtahq1xxhWPWPmpR25SZWV08cPptL
E08rIsygisi0MsBLunz8wjaha3hSUTwHLkLxdWjpserFJgdINIK9NcF1qNhZ
W4hgLm8Rfs7ceqLp+IHAZ46OnQYd7ci5PlswR8dZXMjYJQGkpuNfaypNW3H6
aOIcfbbuR9+oWWgfJYk16OOOi7fLF9ug7WhKjMz4QfqcPrBDWtxXRu7lbii9
wdaK23DjipxBn+/JMIV91l7s2xVt9EgQfeIPnDZLhsx/hxNihAvWx6WbNYvK
xxd+K2FeR975g+IB+/kHSA8ZN16uidqEA4cOIXHbZvh4uBi7dfXGhfvP9E5Z
El1oITefCDTN0WW8p47iRi9Nl28qWX4g9bRl8PQLQ4Xq1/4AUSwfki6iytGz
+bZUyUnbMY8qf6Owwp75yYMJ0tPBDk9S+iWzpjQnMu44f6tsnv4+nBT9XJqI
zAhNUjA2R5Pmkpu2NPkHTRMKxVMo1HBUbYUZ1x6qtZWwEJqi4o6JZjEV8oPs
30GT+1fTRWYDIhPw+NF9RK8JFtO8VKU0WJB8glbh8r2nc3lwoskt1o5sOQPJ
cvbrtQYanpCH7iKG04Ym3M2Qui1CkhMRxMYjhIHZsd9Ck5EORAQqI5h+0RaH
GYnrjGYzRRMjW/oqZscHkRKzVrK9zl7BKGkyOh1Ge+soJmCjRpi6/GCeUYsJ
lak+RI79CcqoxaB/cs6okRsrRs0gxz+qhcf6WhEbFigi4r0iCs39EyIah7Zv
UpZsJ1sy05BdPPRbKfEqqgquw9N+KbnKq9FIE40N96Oo4C5OnUjHkaNpuHDt
Ntp6hrTFrrx3CR7sWZPvUtLSq9foqy1CkJczHMj7ufK00UgVcg9FFdYEeYo7
fOTCQwrO+56npma4vXW5n9T6ktNybJF/LMFoNl2fdERi7+8o2rZX3Ie/m1GT
PZIj+VFMDLZinUQrjjh28a7FFvO7N66QebYezZnnYF4+rEpi5E706P7TRSiT
7kA7eAaGorJr7J/UqmV3cuDOQkDO7aX8clk1M2mLsG7Y+u0YtvEfCrIPwpE0
gl8YUWhoeh7aF2GwsVixLLmLTxp0lWxyctImrwQMNJJLqDj7zJ1KPfezexfg
JlQIIir0Gwm/l1B+77wRUFM4VFBaho2hARJ8zzG68uoSjRho1ZZ9XLSeq6uO
dSN6hT8xkQOSjl3UwdnspBU3c85id9IuFkidVWP+j1/pJ77o9uPZBsAUYOyO
DRU2jEo+NdfYSIqznwvsXoo69/Xk5Xcy4eJkhHBPGwdsy5XnFW0CSSqINkrw
KCod6sXFzBPYtXMX7j8zXe1RTjf4uEqu5Oi1fAHn4aVDJJ/kEwdxgmTMYhtY
Hk/cLD5r2IZdGJ4xI0GdPOEm752RKyQVt2HnUeE+7blVPs7F2lWrELl+Gxq7
jUzSLCNvVYC4WXEpmSYfnDsQJygKitiK/rEZTStu8zhzcKtgasXqSIryfaS7
mWmlUZaXfViaMLhpvqZnTA93Vj6Aj7sTHMhvvPiwTqejOI7autoX7733Hjbu
OSlsrrM9s2RVY1b4ivJJPHFRcdcssg/vlPSVd1Ckbfd33aPL0tng5OaD+xUd
mlZ9TcUI8HAWOE/dKDKROTGIbZHLhaW4Ss4La1qN9zRirZ8TfvP++9iTedPM
sbdVYRXnTUjd6qRlS/k9eJHDZu/ojssF1SYWZrgvYpWfZKV2Hb86L1dJYnb5
qLSoOpHLdf5eqcnmpPv3xa8R4+cWFGVTaV+E3JMp0tPp7huKx7Ud+pYWiseD
ucecTcCJG7IN7RWND7Zh05og8RiloZUUAFFKY2Cg5RmWe3IvkzMS0y6Jbtce
5cz4EA4mbJAsvM/yDegcmZrLIJJxO3Nom/CYm3cwHla1m9vm6MCD89zSkFKq
ge+ovA9fbs4hjXAk+64GfnK4GzuiwyRtGxy+HYOTs+YqfAZt/5Zw1dK8Fe1D
46bdK7h6Ch5EaTtHD1x7XPsdDRhnArdGSJbXb/k61HQMm4l5lp3Lx3fDmRxZ
e2dfEsFWod/M2AB2RBpR2+pNu9FnnbLppZrBzbOHJNxxcPFDfmXb/KTz6yTV
HYgjLmJceHj5If3sJVTX1supyNRdsdJCzbWAvSeuz7kEr0lWMDzAQ9LcPiER
uH7vMRoaGpB/8xL5zz40bk/cHY667hGzztlUegd+3Mw5R0nLInN3M7hwKMEo
Vbh4YveRMwYY5SXYt2OT4QMRF6RfzFfZ/NfRW/8Uyylw54Sub9BKZF29hdr6
BtRWVSA7Yz98mTVICwWuiUX78ORcN90E0nduEISxpB3KvCi3VZYUYufmCMnk
OJCbef5emVk4aHxyE94u9tJdErYxAY9KKtBQV4vLZ4+SI2uc1wiPTeEjYSpT
9jrqCm/Ai+5xJLBDSNVczctHfUMjqipKcZw8D2kiIhgitu7D0NSsBq/8bo4Y
GXti6si4PXhaXo362hpkZeyDB5leviUm8ZgcrFC09Fbqpr+lEjERoXIJN+m5
uLnDlbiMXTtGUvSO/XyaXKvTivxrZAzdjUOPZNA9PTzEpLLEe/gF4XZxrcXk
TJLL65n7idGX4f2ljhRm5Vu0RRofbMfuTRFyBIuXcnXzoGWdjHYcWjYh9SQX
qf9KXV5KGwzxM46V8iVuHp7k/RoFQlYCwWHr8aSmXevQ4c56bKM4mkWMZ+fL
WQb4b25Q23fqEmdBv6ku54A4N/MQPF2dpETm4OQCD3c30Ui8Ykj4RtS0D3zX
ZIZpOWTh4+kmVknOn3p6yclMabDiqGXjdtR2DJqH4DgqvnAkWTq9eAlHZ1ei
jKuxAYJydfRWNPeNqmKcUT1+mTy8XlzLPoVtcZsRuS4C4RHrELMlHudv3Id1
Ylp34nQ3V+P4wT3YsD4Ka8PDsX7jJuxNPYaq5k6zgDwz1o9jSduxLioaV/LK
tBczNT6Mu1fOIX5zDMLp1nWRUYjfvhPX7j7G+PTsX6vLetsbcDrtIGI3bkD4
2rWySnTMZmScu8ylbD3bxEg/rmefwJaYaDXbemzbkYS8RyWM72+py1hwa0sK
sHfXdtrWOro0QmY7lpmDjoHR76nLWuvKcOzAHkTztmjR8IgI2v1Wktk8DFsn
F5uzTaH80R0kJ8RjnUbS5jiczL6CvpGxLxoo9VN4YKYcs1oxOmpl3WSc/FyI
yYlxGhrFxNS05XtqjC+dmprG7OysqiIslIOLfJ11bHwOtVMTNDaCERqfmpnV
U87OTMulY+MT6tKFGB8zVuYjtf+sbp+ipUfodr7WBiIB0ipAWr5k7EF09//D
jQo/UMulpKQIySIjI0lI+XUhoqKi+C9599bvOfb2/3/v/yv3LuLXF1guXsDh
w4dfmE9NpuSdO3dQX19P1OTXhXKkXo+9pcaCgoJw//59efemGquro6B4xQoU
FBQQhMZYbW0t/P398fDhQ/Pe6upq+Pn5obCw8ENjRUVF5r2VlZWydklJiXkd
J7t9fX1RWlpqjpWVlcnYs2fPzHu585jH6HrzOppH5quoqDDHnjx5ItdVVVWZ
9xIMAgvBZF736NEj2UdNTY05RnuSh1zQHs17Hzx4gMDAwHm4unv3rqxrO5aX
l2eO6Xtv374tlTzb627cuIHQ0NB5Y1evXuW63xyNXuChF7ho8wFqMs2bmppM
s8pjJ06ckGd78Lu31FhGRgb6+/vnjUWQ0uzo6JB3b6ux9PR0qfDaXnfs2DHR
QB8cs1qt88amp6dld3T/vLG0tDQOiT80NjU1Za7LITOP0WfmdSMjIzKf7b1j
Y2NyHStefS/DxvDYwsJ74L3YjnV1dQn32+53YGAAx48fn3ddX1+f4NB2jJ8s
oMf0vSwNGzZsmHdde3s7MjMz541xK8CZM2fmaPQCM+0LiImJeQ41idry7i/U
GO1UeKGlpcXyQzU2Pj4ufEkUtfy7zU54jDBkjrW1tWHlypWYmZkx7+VjXBoL
f2lAQ6L2h0DD+CL+MmfUtCM6mCszb2i66zHmP6YJ007fy/g6efLkHwgNv2D1
H3a5q+aMqWH0TUphxfKx/3UKDkL43RJ5/SjGJybR2tmPpvZeNLb1ormjD21d
A+joHkRX7xB6B0bQPzTKT/zBiHUCV+4+Q25+OTrps+kZI9k7qxsyXsHU9Iw5
XXv3AHr7R+TWsfFJEoUZzMzqNnZi/Qmj1GDcCcO96xuWe3npgWGr3DczMyso
flNdw/O0KDAZvFECi8f4ml/KNYtknLfA99P4H2kq0lsenpicUokV4rMhK7k4
EzZgEGVpbNbIeFk+osZGrOMmuC8rUHhp26+kmiR8+eKXUT1crar+C2VuBs+c
/wVW9c+jz/r168VKkW5T9PkYJskp66PN9PQPo6tvCB09g7TxfkFAE9GrobUH
dc1dqG7sRE1jFyJ3ncN/+yVi896LeFbTKlCX1bbxtSrs/RhLjyCok+bieepp
Dr6/nK4rqWrBs+pWVNS1o7qhE83tfTiWk4+V8ZlE9woMDhuYMYiidfRbQuQO
IngzEa+2qQtlNW0opbn4d1VDB2oJRuYvhp/XST1zV9YghlEFk7dkTmYY3l99
S7d8XiJztKo5ugUeZg7e18OSetx/Uks8PGX5qaLL8Og4rdMj6/L+GRamuHVM
GMEg5ovMAAKO3irzLPGK7tllji+ubEEDzUS00x4xcyYDM0ELaraoI6A6ewfn
sUVZbasQTn8tebAEn8z6JHometRmF8pmeXVGgO7bOXToENasWSNqLy4u7jni
y4aZ1L7FXa3ELMDomJg0VmN1xntjlBje9RtCbnovqOkfHEXGxQKsiDuJxGM3
aJPNGCUGZVQxmzDa6L0ShNdkF8zkjBBeh/F07X4ZfumfhIDo4zh3vUjUwqh1
XK33tsQRPNZHazGLMZ7rCUvbUq/iP1y2IWLnOZTSzhkmLcN8/ZQhw/8h07wq
SzO4jHTmGEZWDXFpO93CIDPHEfe/pSjKu2Nm5st4J8woNKtuFGd088f5T2tp
xj5NUdY3TyuaGQbTDDL+iont5ijzoiw8qLrfxmbG8LXLX8P3c7+vZZyls7ap
04YJFoknwgr7+vXriI2N/R1+zho1ZsMyZlaQZY3HeXv0+00FD7M/s/UwIcGI
2yg0nFYPSvuoSA9rgzYiF+s3noFRzWSorOsQyWSSV9Z3iIRoydTXFpU3slj8
q9oQr8AfMQKr6JYLt4rxC99EJKfnMke8rS5jqvAq5bXtQgZmTrYT+U/rmEE/
ZaNIWY3YIovNEN/CgBMPmJ5GJ2uCHsXsxtabFaz8VTJQgsUnFiO6LFqTgrfE
sBpMhN/TOcnSvEs8yNtgA8D8zuaQEcS7jkrMwo/dExCz94JIPcPcTdcwIzLP
EIt9X22K2fvw2Xs4eu4+8h5XyZR8C+OZ1MxbakM8A6+S96hK8Bkad0q0ESvW
L5gMMCtKnqe0jk+8qYDnYdaNZF1MzDAwvAJ/rXi6AosyFuFx32OtcVjeeJZZ
qOe//V6+xmXFUiwlTyuahEIs2TwbE5gNB7NSaRVpUpI7Nhp1dE1LR7+IhWJc
PClrYsX8jzZMwFSkLSlV+jJ6SBgZFRdvl+DWw0phbhZjvm5ycvrz6ta+wREU
EzSEOYtGB5sNNhEGIoxXpktTSz8qhyvx+qnX8ev7vyb/Y0ajgy0V8xf+IHRI
8xxBzPgXpUqLsAJjrcRkYiCYhKGkYP/Taye2H76GFsO4zEMHMYvlP20A1STW
xog45h3FAbR1wWwN8SG5XG8oqM5eKxS9CO2Fc/ctQVTf1Afnh0546eRLKB4o
Ng0Oe2vMMSTMltd/7/1qMzdlo5tyFL0YBwXFdXj8rEGERHtSCg8LeEOcR2VX
griEOYe3ptHAwLIJJ61i+ZGSiBEa52u0LeKpxOUgdGnjzDLJc17KK2EN/5qC
kJmRh+fwwY1EQPTlvbAcs8Cn0EfrCDYpzFj87vdHhTHpnwkp2Z3hLbNQM7ez
kmI3qpF+mpQbzftgH/jIuXti8y7fKZWxKeXSsRQxynh/zAKME7a1jEJeY5x0
CjuOrD5ZHNiWip8r5oE86QXi8i7UnqreswDeTsZBGSyL5hibEq4lXok120V2
xIeew8dMAL+N6aKako7lii5nTcZ+KF8/big9Xl9bCqYpX8b6ko0Mq6OsG09w
9d4zvvQzCpIHZIV/4r4du4/fJBgM5E7OTCKmaCv+JPxf8a83/o1jGpN3WQRK
yFVhqXnjDyTYjwVpjAtGNnsUrEB6lU/NOqen33ivCZJ+Ph8hm0+Ij8q4YOfK
8LO7xQdly8oMzZtkc8NcJx4KqUG2ffEHLuPHbtvJYGTjETE4E3Tu8za5ppzu
4fsq6ttlHsZ3Nf2wkCSn38SvA3cjbv8luZ6NC5te9msZDonTiIVbFJMZ8dqA
MAjvKfPKY8QRDLdJl7KDww6gMJjEcONCQ46E2Pzw3KyPyPAtYESRDJaQ48ty
yXxphnizhruvAyRGFfMovzOOIn5MrmVe5ftZHnhJ5mcG29ZKlKvQok65850q
1hseHcNt4vOGlh6VMH5J7DFvaUNSNv7LZxfiD16W7TLjf0oxPMsNu3XRe87j
UWnD24r2A5MDsM+3F9m3u+SFrvEuk59YLBlLNLVhQv4gXaiixXmyxRtmwWd7
bPhuvxDZYN5jgWccK8dcEMfxCNOB6cFKj5XD0az75Hk1iUvAG9dxH9OQx5i+
7PSxjLJnxyaWEcgIOUS86h5xGLvSrovy5HUkLiREM49WCo+2m3ER2xq2Btrm
JKXl4ofOW7E24YwQkXmD+ZL5jz+vNPm0U+ZkXmWnmI0S75vXtwvdj8S0G7I+
SyzzJ8M3x6NGToH3o/MKLJeMz3tFNRJMMP9rP1gxnW5lZDXHKGR06dhCh5sl
tA23tYco9E1CSsYtmZ75l5dlcaf4hP1j1ppGfeIVmZ2xy7zA1GNouuk9Y4gi
BGYrk92ZSrxrmtKkOIPALE7TGkaEuKt3ohdHG47i3UvvwpJuwdrStZicndB2
59DZu4JgjpZ+f7b7vhrTrsMc233bDNsZmFllBz7MahMih7wJljEGmnHDqo5t
KLPMzYJKQQSzazenGZjNuuezGaudBiJPnajATmGvlBO3xc1Zt+sc7hbWyHpa
HQrLsFqja7WtZPVlsGy/sMGFWyXYceQauRH1GCLYDNtGmkRFyGpPpuDqOJff
GbmejxveJXmmDA/Tm1xK2SvDzezErK8DHoatRvki/DnDwERnG8WEJ7HT5XhG
G6OANfSdx9W8FYt+9hyxEUnnqEzHTjHzyusKROYplioCS/EPhWtTIzjedBxf
vvBlWNIskiNKa0zTUSgvlfugnJWCkWT9EF/8jdKHM5NWlBTm42zmSRw+lIq0
9BO4k1+EobFpM+FkyzuBaozFTie+DPX0ZaE145NpxvzB5oF5gnmJN9EpqaYB
QUJa9gM4rz6IzfsuooBsA7sMZTbpIls1wYLCJpJNJeOZvS1Wtqu2Zoprz3My
bZlGbIYmlZ/DYzOzRq5PuzFsrhXNLT9XeoDtDMNs67IwbzIs9iv3Y8nyvdh/
Kk/2wUKtg1ueizE9ZeQhv6mWmCYrZh2dVlrBGGPxGDfSkyZdbfOEuhpdMVQh
kdY7598Ref/apa8hoymDbY851+yce/ZbiPvXau2R3mY54stnw5byM16lT2GJ
NHas3RiPsqa59JEtkSO1ghgZF+aH6Qd+VZDK9oeVAUPPypN1LiOmV/k954j5
l285QcJ8S4SAlUeNUiyl1S2mndD+CxO6SojcKcb9YOYduJLyZfXGAs/rMQP1
KSXMazLBWFA/QGhBC9uJrr5hy78JzH8k67OykIwE3c+Km22lKHy6tq6pmwKi
dnEmnhG8FfUdSqh7jOQzEXx/Zp54mcxkzFB/rijWMtCC08WnkXQnERuvbkRq
fiquVl7F2OSYeujBK+I53Oq+hc0Vm/GDmz/Aq6dehSXDgn+/9e/YV7sPg5OD
xgGDD1HSqPq/humxfqREr5GuIXkgUeJ+XL+Ri2MHEuHlYTx5MCg8Dh3Dk2aV
y5aiCWqMqaZ5x6D8V8QMMhbZwrIYMmaGR42UCquxrQevICf3qahZpgSbSMkH
NRmegEFVbf2NDC2PsYrek3ETvwpIRkzKBRFrFj3GOEewrD605R4Ud80Q3wkl
viyWOk9HlP5nLa3ThrQOkrRqc8u5BJfVqfCIOCKOg1hz0lDiTLBHyNI6ZDWl
nLaqH0jRPtSOwDOB+HT4p2HxJV1m8bYQCi1eFlgCLHg39l2kFqRynG/5I6Ws
x2fG8ajvEXbX7MYv7v4Cn8r6FN+XYSEEs6GmwBAFvQWWd34HSRej7G4WXBz4
FLEHDp69ZfMAskUovJ0FL3fuPXLCkfMPnkfRTJN6syb1mLo3Cypw8vJDPCG/
r1P5fRxfsZJs6ewT5WlQr8vILajcGlOQ/TGKoCjWSMCa7WdQWNYoMlZL8sHU
5PtY+bF8sZLk+TnW0fUcRu998rsu33kmhn5qWjv7MJqR3pTpmBoswvpjvk1T
TOfHWO9nXHyIM1cfs+I0XPOXUdhSKCQhIsHiY2GKkU2y4IXAF5hcC3iQEMXD
9sfsMTg+qLKwr5MnMIvyoXIcazwG5wJnfP7C57Ho5CJRs58//3n8z/3/QUpt
CsoGy2Cdtn7+ucT7K0U87mk7vDVSNOqa6CSbZygaTYAnkzfKgwO4G7bXOmOa
nw9nfj4vWudRab1oGpYB1maMTdGoJBvdukrTabhN7PLUKpeJXaGkYzfwM88d
iNh5VqoXLD+VKhrU7lKNuEsGBVmbMTdwFeYEoVilSMV8LZBE//zI/hPK0tT1
1uGLG75o4v0LG76AyMuRKGopQllHGa5VXoNjuiNeW/EaLH4WoZHDMQeS42n1
7yFeR5u1DXe77+JIwxH4Ffnh3cvv4tXMV4UInzj3Cfzo9o8QWx6Lh30P0T/R
/6XfQQQ+yNyAiOXectLlwLn7ZlP7vfNw4SetuQejtKn3eah/auyVMG55VfSd
/prU7ouNDuwX92VkgeQHF0kQvy31ipCMOPjHSpdOktn/ZeovDc4k7Pxi/y/Q
PtiuE2m51bn4k8g/MRiWfo48PKIU9ZuSqGgYbcCd7jtIrknGsvxl+Oqlr+Kj
Zz6KBScWCHI+cuYj+Kcb/4RVxatwo/MGOsY6jP+l88a8wpBIG3MgawUu00wa
ZRod3rDUclC++HcitqvyEYLd7OHg7Il75c3m+ZOmUoRKl74zLjyqeh5iBQDd
kHu/4T4WBC6Q/X5n63cwMj6ifMqPIb8uH2+Hvi3M9M0t30TbSBsK+wuR2ZyJ
uIo4qXB94cIX8NaZt/DCCRLu4xZ8Ludz+Lfb/wq/J37YX7cf+b35aLW2mg6V
zi3AdFc+YZYW+TNGlKrfirBl5z5BSOwJ+v2UhKJvTiXWtatyo+GisFqsV7kF
TonTfL8bf9WFN+DODwx19sajmjbzcGNbJVYHuMnD/A9ffPy/4G8R/E/7Czst
8l+E7NLsBXpL/LuvDriyAkilYG7f99BdsBk3em/iW0l/JehmtH867VN4/dxr
4mksOrUAX7j4efz83k8RVroKqXWpKB56ir6pXgwMjmF8SFXcP6/4R/0wZ03J
86IwNTaLCeuMfN7VOYLrtysRuT0Hl24+Q3v7IJpaSDU19aG+sQd19T2oqe9G
VS1p8ppOVFSRm0A/9Y29mJ6YRUlZK/Ycu42Vm0/j8q0yDA2OY3RkEuOkR6fl
afd4fhpVY7jy8TW4ydMUV6CsuU9jeKqfNAI/6NSeMHzhuRjWY2StcJi+d2Kn
5QoSkbgASUh6n/8iO5NEv5Nsv2eTkTyegj3YTT/JC3mIbpjll5lkyz8iZWYv
3t37DVg8Lfjo+o9h+9AubGtPxZpTGbh/KwzTCZ8FVhN919LPGgsOxr2Lvzlo
j89n/YX4GUy0Pz3xRfyo9L/hUOGFwJo1iGqIx+62ozjQnYEDMwexqzwdK/ek
4z3/fQi+sAtxzbsRW5+MTXVJiK5NxIaanYiq2YF1VQkIr9qOiJptiKjbhqjm
bdgxsQsrSLH+/GgofrAhDAG34hA9uAXrBzYjeigOMSPx2GLdhvjx7dg+tQM7
Z3bJxncjWb75b9o49iNF3m2bTCAkJgsWkGRZKBhT32SG+XUhdtD3Wfo28f5b
6Vn1mCRGdPYqVDUPmOl2azui1hj/RMKk52Lpa+AuO+7P4v4n7m/Qzwocoe+1
9O0BD0sKvOFNY77wkW9+94Ya4/eB8KNvX3pHYzwkLz6L+AZaxmPSiz9AAF3k
T2PGjXTDj9SfPOhnzEzr89jnZC0/tSLf7DnrBY8ZT7hNesDF6gGnIQ849LnD
rs0LP9q2Bt/fHIqf5PjCqc8T7kO+cKtfDu+GMPjWr4V37Wp4VofBrswPH4/5
Y1GWr69/C98t+zn+687PkL36WxhbRQwVzttfZ+EMZrgF56J/CrvURCwrdTN4
i277h+wfILgvHP69K+HXuwI+fSHw6g+E12AAvKZ94NkdBM9iQlvmVng8ioDX
GO133A/eE/R7in5maDuzBgoXyYZflO3xRgPoNWAmEL7jAfzJAt47v3i/auLa
W3+TbPHrK3Cj7230rb8OHjwotGSahoSEcLuC5bcJvXsoyueYZGaoBetW+X+Q
SVjouRWxublZCuM9PT0mk7AvOErfxCyWMH5dQNrA+jr/tZCH2bmgEVJIsBqX
LeI/XuKr6LPG/g60j/TIZ/SzSOZZjGH6PTw7LD9D/DMzTCsOzgyR8zQ4PYS8
sjKcvpOPooZadI/1yfVd9LtjtFemaxvuRstQF5oHO9HU34kGWqa+t53mqOvh
B/ocu3oX7jEHkHzuKvKrq9A/NYjytiY8a2nEs9ZGDEwPUcjLsHxRdsfgEQx4
2lSP6s4Wmr+HoUH3eD+q6H1pSwN9VofC+lo8qq2WOQvop6iuDmVNzahtp/U7
OrHr6A2kZxaiqY72NjaG3sl+5Hc/QkbTSURXxOC9gvfwlWt/ibfPk62OekF0
2QtrF+O99DdRuZlwHqHY81VD/a0juq5/E+N3ItE3OYQbDTdg8Tf8xcQHiYzv
xYxJfhaOfDOehuhnkP4asnxVdviyKHD9xY2LTGOmdW5urk17hMk7j4h3HNgk
+5BJbp973gCZ5EB3wyTPNxi6mSJS8VNHJ7lP9CP2UbVyLeC/FrCp5PNHM3K6
ATPT5G5MzWJSHhk1MT5NNjvvYTVSM+/ifmEtunqGxbj291vR00v+Pb3v7B4i
34x8/A6K0trJz2/tQyMZ1Cb63do+gOM5BVgSvBcbk8+j6FmTzF/X1L0A1fWd
lj9DVR2F4rUd9EO2toZsbQ25//RTVt0u47z0zz12InJHFu48qsH05CxqGrro
7i7UNnRLAqS+qQcNLb2yLC/fQssyOF3dw7h4qxRrt5/FiQuPBCTe6sCgVbbQ
P2AVBBgVuzflM6t1UrbV0NyLkJiT+E3AHmw/eI3e92CUPuugrfbRvcPD4xgf
m+LtGNmIT6F9tAP3B+5gNxm2pflL8OcX/hxvnn5DvBh2Aj+T/RlxhF0fu+Eb
e76Lj1CksXP1AsxGLhLlR3zGDGcY250UQJST/eknb2nM6PBYc36NRVxSIvPF
Mn1EEJa/N+xTWVnZ8+xTU/Ed+DrZU7DuhQdVrZp9RlorEObnKqfFzz2oeJ6/
obsCbXtxdMbfNhmpx5ql0dFo/9K5OeG4WZjV2VlO3JJTy/WXJxXNqmowY2Ry
Zti7Jx9/sfQbfUkqb5wl5TCQU5Ds/XKax6oz+WM6k//hbD7/Pn+rGFv2X5KC
EoeevBEOR1s7VdNgu9E0yGEkV651JVtX6A+dvYf/8kmUbC0n0Dg8JY96ATe+
EXi2tSOdQdJ1T078cqL4/eAUSRRzLWtSMlDGsvPrlYOSQOBomdNCUg8i/HIa
nJO3nNDnccabVdUrGQ2cM2EazOUSpWlMWwpeQu3aJJFtEk2fY8HUONBSABTu
B0Y6jNa112SzvCpnEivqjAwj/2boGULOrzGBOOo2kvcfRedYp6SXTpJ6Xf50
Of7u+t/h4+c+bkrAn+b8KX6c92OpBZ1pOYOyoTKuRZoPSniQG42HYZyOIJWr
hCKC9nPOBRhu01mKpr4mfHbdZ8U5+GzkZ9Ex1GH5h9/po1k7q7A6yF2HL1oG
aopy4cn/MMDFFwU1Hc+TAePSjxu9AapWaVtEGhlV7Dcyx378N3ekcA6Za3mc
Z5qrYUodcwGnDy0fMUqZ8jNoljT5NzdMrYrPxOmrhcKRTAxJoqgyIhOBkyGN
0spKVKZIkgnVoHou9p68DbuV+7Hz6HVJRHIwLRxOc3GsWNvUuYCzMMQYzOzV
qpLJmWxmfM6k/V/eu6RVg7mP2YavM6r0HYQj+msBMzq/tFn+WD5NPpYrTY2r
t53Wvahmw5jRG9AhBe9y1dAiubuqVrNwsifjFn7qnoDIxGzJxbHIczKNrl/A
C1rekWl4OrPk2mhILO/5+PkCKftyUomvYZRzhrX9OeVWXQ/hlPqg6jfJL64j
shVxzV00C6su1Q6gRUtSAAtYv7gJX9D70W6g4hxw3hdI/Cqw4RWA/dryM+aD
XnkyJpquITCGmQ/4Pwi/pjRo42gjzredR3hJOL53/Xv42NmPYfGpxZJAeS3z
NXz32nfh+sgVB+sPSqdf30SfmS3H+ABwdSWw8XUlOgsNO7KDbEjFGfNIfTc5
aT/c/UMjC0YeC9uTf/wdcrNY/Ru1VcbDArYZ/7tIn36+nLZTjkHyk3I6hid/
u/AY5UNNeKmM1bFnSLTk/xyqmj2qVRGFq6rJx3PhGHZAvDemODNSY2uP4vRF
Umhhikt3UXufqDpyMpnInBlkdc2NvaxfWS8ykZnYpFNpCiK95W2RxV79o3te
6IerBbvSbgj/McMY/TJWg1HkZ4wZZgELO5+SHzV4h9UAkznvUbXkZpjEkhCd
5QdNMaEXmiqbFeYCqT6+LEm7SdUSwXkeNidFZY1Spyd+0+kh6XI3stKmKmft
o9S5OqH9kkB86vIjftIeHj9rFBDk6MHAsOrYIO0+RtxSQZ7FGQdg2+cMJavD
e+19XA7SzwjmnTHz8u6YdgwK/a35lutDVzqucNcpvnPtO3jr9Fui6RefXIxv
X/02BWQe2Fm9UxJ/zdZmTM1qa/ExoPEOkPK3klSQlZX/M0s/h1Za4Lrnh8hr
LMDkjGG0evgf2hYewzc2f8NIRhIPfzv+2+gb7fstfPwtxauPLh+Xh0/yP5e5
UVSrDUlb1WOE8j8zsOOH7V2weR7D85td9CkMW6fH9uSG8bD0N82yFOOMTSjj
r0YpQs69Ll2+F74bjkn3uO5MIA4wpnxZFM8UeeIjNXcxcymE5PiLc1TS8fJr
BsoYdaxukr9BnqwByePSBgTHZsA76igekBpmp+s1ZdQ5X5vbSVFGRSy+cP4L
ol7YODOp/Iv8xSjXj9RjYmbC/L/ImCCn/ybFEhskCFqgNQwtPbHlk/Be87ry
Sl/B4pDF+FL0l/CVmK8YKWM/i0mpr8V8DaXtpXP/d5ewpNmerSmD+Y3fQUUC
fqgDm8MC5JEH7r4rcPbKbVRVVeNe7gWsCvGVBwl4+Yehsn3wuZXEQnl9S1a2
qe9IxpkNLPtfbFhZFVWogj6zPBtV1RFuCjMbHjWHxZZu/AzHdgo+228fxGDK
v2Ai4qX5dHt9jm4scBsJy/uJea8QmeuuyjljFmIuhTENC8sadU9n93g30hvT
8ffX/p7xfZwdpK9f+jrCisNQOlDKJHtTOStofQQc+Of5ghWuVjz+X5jpq0ZO
1XV8K/6vzfCVs39SOfQ03r8Y/CLs0+y5SPya2h+zM2sXDzKyQZsypLbGelUa
vmdnv/Zc4umCfnNZgfxnNXkmNZkTV1ebU/R+gcgtqn5uQV+ePEJYYweMvRhW
6txQ7L0+TUq0HarRjzUue1GsoAkgOf1FMRn7EGzs61vJXHSTb9bfjZpzMeiP
+ypm1tpoPR17acLEfBRI+wlQkESKpxLSGkFf/D+4ymqNJl5VbVEc/bJ4s24P
3aQaxIL1xfNfxPaq7dIZMTI1ojtcbJsgzP/aOTUG3NkMRL/FIBis8qYBTewn
gYdJmJminQyNS5xunbIiq/QcXDNc8bN9P8P3E7+PX6X+CqHZoShsLnxT4YxL
3lwI5UCEjSPrIN28wHaXO3S7yCNiwpIYfvm5BNTtNsM9rcg+cQRbYmMki8ln
7Q8czUB1S9dz223uK6ll14kdAJauRrOb1gCCAUo4co0AzJcS1R8ro8P3HMl6
gF8GH8SaLcdQdTYWs8nfWDAnRi8aDM34WU+rp/4fID+RomXzv36xXuUTPV19
Q0qTvcTGB7uqd+Ht02/j5VMv41f3foVTzaekRWXhc6ijlQjHkxyH8smYhUqJ
oLMEOPwfBrOE28gYg3TkP4zPYaRbuJF/fVK2uNdERTOXNzM7V/X5I6VKWCVy
IMFagNGlWxQ4qBxSfQP8ns07F8r5+Ofzq/Xf0TuanpZDpVMzs2Yjji2h9ins
6HI8WzT2YfZRDHGroJL7ytX/mHjTtr3abKdhSKW3jPucFaTsoTHB2QGZnp7R
G7bNJHxCSQ27UNzhUtbQI0H2oehgjGx/10Do2jlyq+oDtpLLctHf0HEz05pE
zGHcSkE+nCL3YimZ/+T2T6Tr9V9u/gsX6UwVw7Ir/Tm6oig9/JB47cHTOvQO
T8o/W0X+TpLAj88J5SIDik2kHu7F8T+60Y4Sdyp0qhN9zN+sqCYmpj+rZJGx
y0BOKoxxcPjfvolymJCVCfuyTFurIYuffS5Jn9cSmWiSZla6g9gv7KWJuKWP
8cpMJ6cZKfLgHR88fUd6WjiuI0X5aS2mCj6OGAM3HZcTamz8mOcaFWx8Mo3b
zo0nihptoxxRSdtMfRe6B4najfcMxRm1kOXBwNoCJh+LDkdI97fxA91NncHw
MiNzP6n+h+wsGHx+lAX1jcw3EF8Zz/ZNa1BOmlTOO+GykP9HD6oL82BN/YlF
9AST1VapH/xnoO2R2YbIe+UMSanq2GO7QTj4nBJDZmiOYZmBmVzsA5Sp+I1P
jXGqiD1ryV9NGQduP/F702yrUiIzimYceXCXOisJVtY8M1ut4qpm0wMxxkbE
IeeUzvNk6pPyqs4LktJix5O9mWfq5ClH2Ex7FlVisncUHVmKmV3Z4akmx2aE
uwqG2ygMCDQC2jWKjoxT7UckfZ1czb0cfJpPSdEHUQlE03tk558F8Ae5P8CT
/ie2UOvoRZPQqtJ5sDWMLJScmIr/zDwZFN+J7Nyt9Ww731AqbEh19TPfp56+
K7jkzn9m2neUIDLO2eAxzrmriPHCLbEcoOoTO0x5dsGILz/yexN1kyKqrSCK
929zbk5q88xC9Dcfadi057xYaKM1D+pcz+tmqo+9G25+YeD4PnY7eUynTfmL
VJmRqX1bMMrws+FjoR3X2b4nh4DtXzA80YgPGKuEPze8nPFB2zZNnoJzVJqO
+X35ePXkq/jhrR9yj5E2lywbfEZkSo5LGGO3H1bh9JXHnJuc+68o/YSkk78x
VrXNdRMEMylkqpruqDDrJYkIOP7mMCkyMUuoOTAkTd2WLyp1JZ12dB1zeMLh
q3LGJOHwNZFLToQxXOow/B9wrGmdIiGjlk94X737TNJCHarti3lFDLJNZMAZ
b87WjhrHduequTZn5D+j5JITHMyP3B7O97NDq7NhHHkwTxI5v6Qul9BobFzk
knXe9Iwyvz0V5Mf/t5bFeYYplhyJG+EUiHTpwIHRwZ6EMadBzQHrMP4q+2/x
yXOfRO1wrXaamOWOZt+XsyA6e8WKkdudQ7eeRffAKFCaDmx7h3lJrfyyIY7r
afLrqzEy0IOTV58K7ji1SfL2tpqKu8s5C8noqlLeQiM55twy/iWleGtVJwuj
U56AoI6y6cMZ/DnjYmhYK16lQH4vAofJ65tGgxEJC3t2rFg556cTody/z8e8
OPXOG5icMmSZfhsHUV82Tzz2qEc0sAT8yHW76G/JjM4ob5qfB0cbYOeRT4Nw
Rp9TPjPaj+KQ/cEOYPMnbPC5aK7WyBLT9czsEiK2ZAafi+gXIjYvGZ+O+Xuc
aD1uKlIdDxlYN+h+8X4Ndu1Jw+jxJTT1ArWETcon+ZtA7TXdxsloZvnjttS2
rv6PK0XN5Qbt5HDKVh3n/EsbvFhVSyR/xIRk5mW+J5X4/Naj59EpUKkNvY7q
1xeKszA2qMc0VEgmka6gfbJuZIveo56zIa3bTZ2ixbTaEC9n3NCrNerRDMZZ
6x4BmvmADzEwVxmbMg6SciWJCcyt1HPnBkitdZMkpv10fhSgMcoWsvyMTeXe
/DItpra8BnRKNmf68A8Hfoll22NoYNY8szqtz6xqTfsKZsrOYGrbF+cH+gxK
JN11kZBo7TMtKSt0rtkwSslX/YSiKJOLXUUtX4wZgupralXmVn3w5Pl9MM8j
n6O8flodLTF6r6eNFLroVmlnozBDH3/nDGynKsyxqtIdu+wTcUUgKilLzKR+
QgsrBk7b8xxkKjX78V5YN8gJO372QY087MMoVk5MfV0RVM4wEqFZi7P0FpU3
zj1un/f6aA9J5Cfn/I2XDQRvIApdCeX/CyxEpHhKHoxB/K8NJ7MKP0riXmGt
2dp3vesaFqS+iL35J02ya3/OxCqz0kgnkONFCy76kIXErq8AlTnmIwJs+2QJ
J59U+2dnVVeBuAjF2oyjMKN2ajTn/V70+5m8fllVb2eNUI/oxunEm2QXOfPD
e2WaMv3YL2VdqI/JsMvDdOTWQyk5qYIqnwD/uddOrE04K89VYIKxK1Sino6i
n8HAG5BObcIR05qzTBx8cGqTA1/OwX1V4Y0T0hyqcs3q3PUnAk+r6jeWExPk
K+vj0pzl51gj3zgN8YZiCBYtZgQWEb51xvwHs0SWwSbg1PMdF+z9LtBwy5Rw
4jHZilGOMJZkk8qnMd8L3sM00VzhVeiFxWmvIL+m3OQKjknZyWPlYy5ffYmo
//X5nptI+EL0HlmKoa5m0xRwBMoxMClLdSB0scx5/EKBkXJenyYFw/+dD/jp
V2xk9D8UVKUMG379upk5NU92Ts+1qY6qyihnC/lIGx955sMM4+r0rnF0zihF
yunhBuMEsRyXU4Uifs9HXH9C8i9uskF3MYB1qptfntDE5zF6BoXR++QkpVGl
Yd1yh3wtTrKrSo75bHKGWR6SQveykDBPuYcfltiITcZcvPCi8L+uDLEfxPxP
WlEnGRgNXGFk3uEGCF5Gu1OoyCL3+ksfNu3r6e7ra4HJUdt4iB/kQJrQoh8F
yWKbceEh17Qs+l9lTs1MSVX969nfYinUz4riTbASlS8r+XqXQygCl6zJXAaF
WSiBXJiyU/w/f/Ckso2RoM0OQyBHKEkOSS4/pbbPuSs+hM2FWBbRVhI3Uj9/
qe4ytMOMPJ3v+U9xCggI4CeDqW6Sz4g336pOWNjahCk5qmnwj2EXxlT/OusV
4xQI05qB4RNWSem5ogMZSww3A6iPW5YZbgNtncSR4nJDt7TL2pw0ZlofOH1H
dISu8ElJeNAoCes4kqv9rOd0hwUTm+doofto1/8iW3rVPMHXqlwetqWVqlam
PRFSZX+mUMozMudqz4g1HF2qScwb5o94IUKIaR8mhoy+6cjF8503VkS7vwXU
55pJTG1Xh81AfKHZdcJyrZfiM7qfzvk0lubZc4OzftLRCG27rIEurbthTP3B
sJH/Pm0HDDTNhTujRhqHE+JaybG6LSZviuTDoo/B6E531osMEu+URV01uHxJ
QXbgwAF5Mh4/A+z5j38qKCjgp/mpx568a3CiSmFyBo8Zl43hhLZTIx/mJ+NJ
Ar3G0wykNULZqUNXxU7xuRTWqGynjDyK0bFQVmvYqmp19JfTnfp0N1OTo1+e
QzKJhAQjkDMeZaGfMqBaCnQCU852qRPN/6lIPqseeMT6RZa3eSgKX88NU19U
eohNJKtRdmr4c64yv6GQyddq80p41494lxT1wf/z4TIReyAX/MnR6Tf9IpYE
jmL4QDlNrZmKN8TPhzIfRsFHCIar8ULGC9hUshmNjQPaENJsGM4KwmzUS/PK
iMxb8WSgnx6x2OKCq+Bs5k3FR2Rl8vA+aA+fVdtmaWUq8LbZqgxbxxVKFslz
Mvn5jLdu3fotT51qbGxU8/DrO6J/xAdVj+nSvovRG9Nho2PaBZn8dIufeCSI
gVcAm8e7G83j3QPKPg1/4AmC4/KIh+tz9sk2zlNf6uF3r8jY6auPsTX1ihBB
52ZZkcjTKaRjztg4R0uaV0itiYQskASrkTvVz4QyG0g4PWQ4vPPKu9hGKqss
06IfRc8wsEvOJpnooMHV4mtoN2OMub3JeP6S2X9ys+um9AYcrz/BjKG6ARUg
jbc/2Aug0ri0eMavgN6aefNzPoglk4MxXYpn7DIscynqF41De4Rd/RAdlnyS
KgnkP9Qy+dsfnPJ/0/YeYHpV17nwGHW6MS6ADY67HSdx2o2TOE+S/0+cmzhx
bMdxAPWCQEINGRBCCIRACBASAqFeUO+9S6DeuzSjmZGmSRrNjGY0vbfvm3X3
u/Ze+6xzvk9iuM9z9TxIzJmvnLP32qu+61338bHFNsLJ0oQNtQ75IUcbmT+o
IohMvvMHXnK6D79HvY0xhub3cI0Gv76UjjDYqVX6cltckI2DhahHUtVoidcu
KzwbEHG9M3c7+w2d5Vybk0bbnjXr+IVwaYrLv79BB453UbBvnx7NoI17znm1
DbFCxtjejb0GqwoYpd7P9QXr6QurU2hX0W7KvVLO6+7bH5qqifaOtenjsQEs
abI5uGfmoc7ta1FYTfCkBFvZmQMPbBX6KOFZYeXMon7d3ROSQ9gMLD7yaShT
wegaBzvlMbu17Yhy3ua/77QkRCaCgf6QchsIjOD1CfOeiTS/7x4bqcn/GTnb
7NwSdhzx2Pe5x8ZBBtzz2fHLcIN+R0rMys3/WWKc/uY9tuwbb/U7gp2HUWwR
biqXOoDtMTbMRwuwbcWhGLITzc2dS53WdKTj5ccpK7dUOaPmHq4f436rqLaP
GQV88uWfUGHmKf99wueBn2Sg/e7D6dyr+c7cHdgOcVJhXhEWGvc+RRglIf/w
BQaZFfrt8JmsGo18P9runZng9hm1QcQN0LsXvbdUw4bhR+7LcBKwDlJTRt7f
KLn73JJARHDwYTuKbarWKxFKW0E06aGw3oM9QpnKuFOiHyFq+AzYW1E2ZYpl
TbYEh6bJ4YNkSyZlTqJu67pRZk0GY9xbfelGkDXjLQpkbFBiwQ5NfogurxlH
y7ccp7KaZv+1eJxPzHk1J8DvDMzCpr3nOJoyO9PNfTN2AfQ1YChElhUCJSl2
aC8kg2ANpB6BcwiV/Ei7t2mce3p88YqtJ7jcgrIJdCHcKITvxsz92N0QPHXc
CNirkH/BLt7vngGJPXhS2GVzc5LgohZjqT4ZZRamQ6IqW/skUe2N0C7h7TEF
koNDCN1iHDi/SzjSMAd4VlFXr6e/Tnevv5ty6nJwK3aDzGkoPHVrIM3SXyA3
y9jl4jLkgSvEA4LftnDDYRNwL4e7eK+/3MYKAnbL6F0NhEJgc8EsC9Q89MmX
3O9gqaVAhegSS/ZQu/dnrNsftjvmi7HACF9//exHbMfhophblbxYDaeMin25
AdWML7p7hzJOvWRdSwHCYn+qjAO19N+SKDazeEcns57X+5Pm9udedQ0N4foU
VTuXjrz17cq9w/euv5cKm65TWk4Z1VQbE3fYKPC37k0ozb/9FZtTj7dIbAKb
nJZ1PSQZkHYwpCzacMQLIQIzqyuYXVCKJXi7VNXMvgW58FaO8LA3UFDu/LS/
CjzaLaK1P/X8Hdr+iKdovEk3Da2zY2qqc9xpRe5LSbaJTbd5O9bPuBF+fMWV
/UQffj9R0QEhnLfHK0TsenSLEKcgzYmAglULN5/LJOnnzj9H9218gErbauiT
dSvoxnt/mVh+h0As/rk5Jhe8MFxTGVDZEknqI30mkEscCKw74LaScoF6geBg
zeBpAwLzoPsdhEeqDjhUAOA+2O4decGJG+I15JEQ113KE9tzk3148+1CpAvH
bO/xS4zpNKf2frs6WDzLvYobMSbM0frZFIsoOXOj3UTsT043JuCexKh+xX8i
/SibgxOMBCgsiJDCooB91dX2xJ+CTEoZXRDYT58fSg+uv58q94+l+IT7VF5I
8Cxfsuc11uwBFchGmljXF9hcRipui5B+J6HsYHeN3+J3DVYKMmNUlvMpOvEt
TV+2j55+dRGzu0G72F3rwgdPmKxRG0UFGeuOxbu/3bs3wi0DUt9ooADaAWRL
Jey21/J2uLqwjw/wLO6M0dn0q5wVMqZLuIXhHgMLBVQMinygFTLn6kteM8Q5
6LZakbrKPsCubxsczhlLYP3pywAT+iWFSEHAsRzCuozwU3IBsquaaE8C+GlH
nqHNb6ckghjx80KzREVn/ftxsEDTpbcODi7E2j4rOV1pjztg8qJVsOUIh+Fi
GUdYn8M3Z27l+js3GhkH/ivud3jpsDeXM8QJqC4vtO3ayWecXpC6A+o8ONkl
jtUXCvoSJyQL6eX31zFDJb4FDLqPuceBTAkJNuJ1bKXR5OIXYj3PZ16nHi/O
44cwyjbkvyLAhPcEmhHskVEJ/rxWXSVa9M9ho4f/RwidtsIDm8whwMGA3yU7
C9Xd1NIS2lmo8G0HLri1dn8Dbnr8A2oDDPXVcPL4LXObh4zpizWJDw4BDtO9
2mOZYQ2ED+KwjPDLzTFzOsl+O6BggYLtzBsL1xv+stRE/OSAzrwTGz4963h6
CzicNW9vPxlpD/77qz55jC3GduGDgYubZuLiHQdTLa2MOXFSGshwxlHoz/Md
Y2a1w+VDbeOwxz1DbmdbenSTGFxtBq+93/0aMIKsKyX8sfBxwClk3iIaG3v4
0uS13Ax1+EyWLDhnK6Ylsaez/9wcujN+wW2bUQPfkIgAvgVJnICWvoNRLSfp
nXk75NOtcNzMCErLujvCfE983s/QsuctJ8SsPqTyOzgMmD3wcj/QyxdsP5c3
Slh4SSQZlybIt8U4IMaamaPzVbdeOJE4SZkqnxJ3rlK79v5X/PdDniEVjZHs
bLouGJsMr+LkUe71gFyW027SNJZt8ctIfODoozQDGRByeMg59Ol3ZZPN481a
td+oivX0kdHkDk0g6g2xv/hTZse+7C5DA+AS4qfDZ7IF5U1nF1iY9tiIwl3z
BLrBZOI1vEMkTLDVDSJvtoVk+IQViKL97uPWn319KYhdg9AwHrN+AZAhysGF
FTFfXr1tDF3LLxQfDTExTiEpRY6Dfdq4C3r/kclIc3T+YsPAyvvipDW0cc9Z
1HBl/5Hw5ZqPWQFzCr7mZAupLjjscKfhHTVKYPU56Du/wZusuX+kBoT8K74B
YU+pI0hDEk1oNrHpsLfoMERjLvjd4GghHwRtBI8PNDeVLn8BJe+QYr424uj2
+acfuBXD91q2/iLueUTTsDk7Qp8rOFcZEwBdKVKCx8hxeANzG3fK6Y01W1P/
2h2JLsC+V7G/fleAuPp5/ymwYN6Dgvi/8sEGiJBHxeKIIPnkiOttX8KK/7Tu
dpeQMKZPuY+a8g9QjdEJ2fmlAXk0p7PqQooi7sjQYadEenGCsMjbjRb24Z5l
0s7k0NnN18Hdbz7O6vFU2hWfkahwcoZ9Mx8rsH6pZVx0NZ8qO1qm/bAg27J8
r6dG8jLT4GSmwsoM8u4TZm01xn0uH0CcDWPQLAv73ZSZZ2M8jDQpKqlip1BS
XhA/qERk9iBS5mv+0p18WwmutzGym+kAswNpMxsingVuDBomLauQs06oiH1F
HVSE/6iISVsN12sB9IrE0HHjk8cvLBPMB74JNS04JMagiaCwrjSPi93z8Glz
BxlXEFW3WYyuzXFZJdLFaquJX6TZ8x6mH2x+jOoIfJitzOqqsbjz1h7imw+m
BFR4sJJc+3jdIfrtsBk4lSF0S14kqIfNEJdWcv7Ic8MaSedxkF7rGCRFgGco
q35YKTBHi3wLIrBkYmMTUA9ZeignNvhygTsCmrfz0EV+QFzLEZvj9J80KjNj
br4t92Hd8VBrdp7m3BcCWpjV/88tD0qGEBCWdfNwlQxgdYF6J0tM7NC6eeYj
oUe/og7fJYfuMdpLam1UlkU0728UmsBWaeLTfkTx/GN+qaHwLjiPLug58rrW
q52Y8/RhDOQ70L6Wff4Y0erfujD+znBIOscchusn6X9O9aYvbf4Kz3/BaTGW
QndWDDLWzJhNFTe6cRsmGpdrWLDtB9Oo0INlbCVJsgJymwhn7XCgmLeYkEJg
4wE0F53D7ArGhwF1srF932y3dFigx8MscgCZwCOBloKEMOe6m58F6dCGiNvZ
vUdic6hg10PuH4cUBrjVdfOIVlGse3CAoHiwy/gIfKV3Smx2CexuSLcD2HzT
srd91WtiSx0KcKNk7enKPqL3v5XglbYu/Dm1VeWHQIdw6xEayLW4Q7TqMyuV
UPwkAtJyegE1vqVLhXcF6N9PRxPo2PCnx/Ee3AfXFLcwXfjVQcLVSgTQQUfP
5fidtuYgTHIdj7dJAUgJc5uUy/01maWFn3RYhKSq+V2KKGc8O7IPsK0I7HFI
kvPX3o713hVc+ac7nHLxNH1uggQshZ0qVhliLcW/b83aRr8cNI3rxjy5xiXM
8Vq8x7IF25EBTmzY5kpCs0p9/y/w9x3uaMFrly6iPMdmYjxiSSe3uFFf8Pfg
OCNn81V3fuzoqyKH1XW1aLO85xcmuLstL6dQ7ozfUktDjZcfx+mCLj65hi4k
oOgR/ci1mMsmojdAZEGYQ4PV7GZ5b9Y+YRVPFHYHSEreHufRdWbCRStrTRiO
wlkB83kiQtwQ4tDQ2rxJxCzihxMGTa2PABYeZxk4467qdi39TWtKkCKOOz71
m/jqe916Y+/ghzwzbjFvBTap/Z1dVis+EgqTmfTfPBAPITPOBPQA1EOf0fPZ
G8YeyIwN4aPJcrM0oB1xTgAUYy5qxyCAGjOUF85Td7dMCJNfnrKO+o35mJZs
Osafae7jS6KdnOlCbQW6EcrcCKtoJ8gZD0cyGuZueRY0Ox58M9EjfrML7Z86
gLKulYbMFZYTblIXt8S4BndqyBvL6ZMjGWIyZGSBfZFTLubrwd3T3Nrqjwxd
WBppW3DpFMBRgJZrrJROPi1P+APLZU6bz5CZQ45l1cYM13CozXX/ENgCdg29
PHWkI2ezeV4cYkpzFOTZsCuIOWB+fOHBJr9lsJWIFDZCGE/wO9QzP7til5OT
w2lye+QesMORoJSc6yW8oRJdS6eFzNTb8MlZBti6aFBAwQPdikFXIViHpn7L
yPvW/Rfwa1E7UIn4Nhx828cS94lCHHu47XuNogA0D8l/6wSaVWg2kcqWp8Mp
EPP/LRO+RC2pq0x0E8P7ZcFx+K6GJqTZuiKGOvR8cR5kXqsrrB48Nrvt9/Az
LTGm4YVJa3nbubYFlNurX0iC7f9jI427/Hwtnmq46avUFLMi4+IpUS2cOHWF
YREZ9IoAhwhYjp6PmebgVBrrDUZrFFfNdXkCGE8MKdlxMM0b50oHikH7jtS0
AJuWwZPmaUXbQ59gVm9qauotcJuYl7x8+XInMrbODgut3Rl1KuJx72KmCDlO
s+vXFywSFA9PLGhu8RXOBgfpTWVNwtMQXBu4dekwYQ54o0NnsiTbRbU3bGYs
4gg3TfkONeUd9vYfwptzLTyJELuQ5gZgmA2X1bTV0VKlRe7mAsikhZ/S9JUH
qe3i6uQNdNxoMcLEcOUyeS4qClAD5iG7qJvCt2lRALAOsAUQTMgdXWMIfKW6
eet25Fu4on8gbAUUNPK6DY1+Ahg0MJbdeM/ea7lZXs3iUWiuSawxf/58niKM
qdfJcZaYnV1VVZUyyt0yJAcuRpbD7cMtNqsqDPOinwBe4lxsZDoRZPHUxauA
vvn9LDhONPPPEuBnjbP+hppKsvx+3nAZGnhC2lJgL6EGdfviRfaqmp303slV
+pz0C1S/sofFRUVqbQ2Tv0dVZ9fJy6UjQNgAnjz+JE8tFZOQZbNAsqlw9aWM
3Vnd2dXC8pCXbYsr10O5X7ZzpXpoqvVcGUzbENCwSFHCTR7zwAnzkfBuEJ8a
+XnQXcY85pKSEp78fnvs4wtu46pdFSzN1Tqhl0RJYzkqqxv4dxDeAENsV1uY
AMUdwqIJuNd8jqQpKXO98SXvD2000tl1i39DzTWlfknQSsJl6HiAEoMekROq
KyfZVzVSwOzcxXXU+O4fJNgMC2odQtdysqikulVejjvPYxZ5SrrROIJGbGWj
m5psw2ab8htr6pq8LxnMUjW+pFM9crcSbxtj6a/JRqMiI5lXnHxMRgL3W2ll
rWw0Dg9MM+IHoxhdUbsdCMYR7s5wUNGIseNQGmfeG5ssPRusr4kbpLqDRUYy
BOYezdwO0CiHFecbsFXzJH674RFA/uCHee/XbPfpWda9GhtsNzhXqtY9Sy1N
jd5sQe1LbkgWENUMnBQU00Us0rO5YUE+nZU0t6nDRRjXIdFIo0IDbjbzJyPv
ZgB9toh9nYCWbW+O2yqra2iRu3EzjPinLv5uCjlJru8ayk3Atbpwi3RMs+An
UoL6eJ2alYRp4mgx3LT3nC/OwVmCdoO++Ox55rLhQ9z3C8MS3AKcRnTkwpS+
+uFGjhNgar/qDk+D6xMCf98q82/ANNaRTfY1xr8UBLglmw7EFplg1IXXZhlO
zTRb0Cm0FTGz5ZVbX0a/nHZskctsU+vEWtusaZXngbAGT46W3XFzT5e3mJ39
YSLkCE2tmwZa74DID5WOebf3Ttadx87n3HLbIcSX84plO6HSK6rDJTTpPtXb
jkAKBgdqUW4duglfH1esKwjncdqDtgzbP3T0bI7lv3MhouSAeAKvec/eY5k2
CdLMREvtr6P3UWvr/vh1lCNQpxgush1XCNYh22EtoR4QIeLGAmlpZhuBB0Q+
Qef+G5yHdd1C2QT+Dz8UL7eAHacjXFQIcjHYZI1Kfa0zVe2fSq1+0KKFn6Ok
1nf0AjqXke/lEGPbC3R/e1deNcXMZpsrtw+1ViDSfAD+g4y1KVIfgkOV7YCd
Ijd7j2fSuyY+u5XcLNpwFIgTkQeBKWi5QYRobVogD4iJip3p906rm+JH6mgI
RQrkRvQw55bt5HBfykXmUhr9jL1sv5z04r+FjyTOfXEolCKIxjg8xHfQ0uk5
RT48xA1ANgAUQCrkEbdi0gOB1EBJyFewwApEZOjxMzsocYRsME+3uGmT/sah
u08WobXBdsaODTvf8Xe+RjVnVsK386YIBhVl3nEfbQZVenDyrDlBDCyz4Nl7
sDba/kGr5fQfJ+l2Miu3oS9RdYHPMOA8IbqxX0okDD9I9gx4ZZHvcooKCm5r
0LglOjbE+Yu6DwiI4ATpa0LQg5/Ecl5m37EqQVjORYQFsBMsKnw6ERb0JiEy
xqGUJpHPUcEP1xSEFUuUCpQAzA4iAA7D8kvcCE2bZ0CiA018400QDIIN21Nv
3vmYkiLxRvEhkCLRMLiGN4PsNetqiSwGnGgoMLgMXnQazClc/d8JFJPF4x+l
+qungvnfWPR821iKdLE2SunZBYqcqAs/H8AaR1ILiBrN5+98TpryIuSIj1Jb
2gofEODz5bSLzOCz4E0h099gEwReZlramL6EDyBmUxpnQ2QGywzdrOWjVrmh
cvuws58al4+Ugom5GAS9BHINuWrIQ52SGfg2eJ2RLz+XWLjcsIVYamxb+9lV
bFf5lz09Jh6+0PjXyHxBEneaMLjCTY2SRBS+CQuHJ8F1eAT1jkYLfxiPUlWL
4S/kp35fL3XpBCs30pyBqBXDNXFIjZXr6t6CPcbHQsmjU6FV4bWopsCSy+ms
odEJp5//Ju3esQuqR8Tnmso2eD+npCIStFj+oSWbT9B/DptrAt91RHOSNFia
f+uX/Y7yMs7pkeVvz90BFWwlioc62exm5wQ9U2+JjPyIYrOqEqMFzQpBTson
E4zZHDZhOU9BjAfuGi5Ls5VcgwsLVyEWcRQlc2ieUhAC2Ae8HdWG9k+Xt1iR
e3Viif8IVkRwS7BBmuvMpTJtrb8zs2hi3RDK4HFdq/GP3S1DObGUYxCnc61c
FsMxFQs7q3dDcF4fHzmbzYyRGy8qKM/O0lkMKypXpvw9vT55CcaSiqiApzLD
JTJkPeEfccDjLZTNjZ4+k0r7JvwnxUMaxjWJTHmMKHWp8YCq6UZ50NcCXwGt
Okaa3bU72Vt3eaeQlhGJwX4aaygSA60BFK6WGEbjOLdGXvfegp30jDFoN8tq
vCLl7nsXp3mtE4+zHMC7l/iQOdXM+cbiChpJutCxPGYTurVbXJgA2A1xb3U0
BMB2vDFzC0/MRp2eWzCNKbzoKrawSDwRtdSCybEGjtZCygY1Ci1kO47s/IJm
rnCUsT7B20q5fTnudQ1eg7W6YPSQ+UpJ4uBbMED3XSORNytqZMW0KfUFi6Kz
Ecy+cZCMB1T08RNUdKOEblY2yttRDmQMcWtQyYfJr3UtXF6eruyn1ul/alVN
qMnSyNPq3xFV5LLMXczmodlens6kX+VeRTB2izzh4eFB3UqecIKyrhaLnCCZ
AUJilDJ0I46gAgKXuIy/DvBjiYwRcgHdGzyKrZgAqXXoTBb2QoyWtNfAkD3o
rkH5pdrems8BVbPUF1/h9If+I0E1NCyqO7gRNDVZCoJiz1WFlD+uQf6mLvrU
diGZ97hhr3/ltgQyMtisC5BKMEAxDwO3wgI7BhH1VSGLL0JkKgocEaYcMxho
aF/AdiSgoav7iSZ/I5yGMYopf9mznJyUZWZ08KV8RUvfgU1peVWtOvKutXPP
GKI3ugaxVBerkN77OtG5BSQCXW8rkSH8KcAzROQFCUGvwuQlCFKTRcOIgGCw
AnpmzdkNYCNXi0UW/TVJ9Mc9V1ZHrguOmbqe5q4+iFuRRUOB938PmIqD6XWT
7TzkdU+RnCp0GEI2bK+xPO1nHbPNO1/0EAHoeji1ILdDKd61LLLHDGAllCKq
90InIFBGKErZVd0P8FMnGXCqmNPSPDfSdycu5IV6m+Cyuf552WB8NB+Okkrv
+QnFAHlt1NVmXd5+MJQ3j73WgfLWvEwVtU0iQ5LghpqXrzhlVCSwhDj63WSP
8o8Yx+ent2SopvIs/6T4TEn7Oc/HLJYVqbv4zCmqvQTx0d1+QQXfAkMg6d3U
NZF0EQxsNvbFfpO9hjQdwx1Tr3hlBPHF5AiX2pfmHBx5VEKBMRFlVF3XYGvt
xpVqP4DNMod8mTdR5XJ87h3LA++Wk+TmprNVSZcJTpmrsJSVOPip8DuEGwh/
/sktLAtPSQVrHEh+K3NUtIlBw1fBScK6lZTVyIbb/qwCfka5JkwHiEA7iPxc
WGKbAlVisGVcV8re+DZV1ceCYoLtWigWVzHFdlJhxeetOegdVe6w2TfOctJH
+v/efcgyeLXFJVrPzS8R7kRv06CbJVXb2e0wlqtJZY2issS4SvOauKpLXFE5
QrmGBRBAi1xrcaCrllgsYHoz5x0RhyMtkAcGHl0wMhLzIvX3+kebqPsLcxAw
f9mvVySx1y5xsv1rD3jGZ3x4LbvSNdwLAwTbzBX72EGzCkLRXd6sivpKclBd
QoR/slLVybdeCCNp0IRsK9vYAnju5pDLqqAuIWGfX5WOLJPz1hxijiZzU16w
Tnxkq7BKsJrfuJcubZ9B1Y2+bIHvkLStrDNkd+W2E+zWeB6KghPRTv2Ah2KZ
iWBLM0UE+TOQF5/y8S62E2LluFrgoi0rWl0EEJBMtLzH53Am8mAUTSW67stP
jqbLE2BlhehRjpBOIAbOYK2HeItEQbGhEnDUkk883G7psdv3IBv3eDC31kMI
JSgL5mEXh5QRfkYvM4ioZ63Yz9bb+B6/djsgU7LE8wnapzqxkkbpCm+DIobr
I8+NfJmAH6SUhluCzvulCYbM13qZOTgxIeHcNPFBuvTpUqppJpEZxDuAAOuV
hFbEt8BPE7A8tZjjf3AC5u8kcBS/8xUroQFTOaQe6/7KBxu8xGgjJbyrFxnz
GixvMolRUhUUI+ptw5SXGHPtZGoez7I32xG4imZtUKSHEfSWP/cGS5x+YrjU
CJaCnmB7cuH8XshkmHH7O9LtxjwQCuJReEb49N78XUywBgwtOk9g1WWGMUdp
ZZZoF9fdyAnvIigO7F85WbEQpzLf9IW0juQ+EYIhQH533k5oWREhpqHPLVLU
G9bucUBq7uRs+jWPT4Ti3fNKQIflxKjh3W9Q+sFNVNsS9DUDk3jTthB6aYWF
hgto79X9XXSG6ON/TKp7yqf/HTVeP8+vFLnDYoAhb/Gmo7gdsWw4JNI/H6Bz
4p7BQoQnmUDh6cNJoQ5sOaOVLORzn3plEe05lhlSMsKIIY/Z4o6LZgVDnlas
qLhKnGGCZyFDINolTXbh7vd0vJAkgCI14zZcH0hROveMlXBpA6wyUCHYBPO+
J+VxzZZWOYgNMuhI00D6i0oZsiZJUDuWzOayAW/V8VK1GwMH/0W2H6YAhxnN
0L65D6MFdo4Mi4/RF01Tf0QZx/dSXYseq1jB34Nskawhtj7DwZ0TZohMVDNE
OnlW6KYDk+ji5XyulugWgCz2RmMhGKxYHN02hGSfHWd1a/HBZ4mrLqKC92F7
tUjh8/AdmGIvj4QDJpwzmokIdsCzeJtr6ArJdLpSxAeqBJtsds7WKG8rPlev
XlXi040z3VhMHoli7qrEzvrhu7bEQ0IHGqbmetKtEVw9+LtoFP3N0BlMEmwO
obj8RY4dEtBoqfpycdrcMEgM8Z9WwvVulIVRGYG8YEbjlmcS6hhN0/+Mqq4b
GYxRSGNBXvq8tABZT1k3QdIjDLMiY26m+LztZI7SF+PnRf8/UckFunazgW6U
BahueKeoT5GSI3hWUq/SXAFQ44gxbiczOKhRzAR8GHSW6ms8Hs1hI/Vxy3BM
VbJ88IlE/XmfyOzqZWcTdUCD58Cux11z823FJjs7G5BJN2ytqx8JiQODD5Ku
5K37zsNHk6xBrWsDx0s8rt7GjM+/s4o5SMyj6rmqMg3DJ3DgXwCI+gp7oZzA
SR/zXVq1Zgsm3Pv0O+QYBcYX31uLm5OHR3YKC0p+Izra9kQM4kB/+SvhHM5b
D1g1EmshWFXhA/EoW7NfFa6F0ONbbbY2tP8w02iRoc/Yf9hokR0N7JK6ifgr
wBtIkkeHhnLtHnWt2FlWWYIrhbb/gthc2GswEtye3xL4BUDEtrS00IULF26B
ih02bBgtW7Ys5Sl3bzF2YizjuZ22UWxbxswn41RgP803SLcoZIZx8xYYJzsH
+Yf4IP1mzkPggNr++yYeOeaEAdk3W9EMPE1zZE+P/gH1HfEeXbpWLjks3A80
slFAfiWg05Biwinyvgx4IJf8a6IWgDSA/ajwtN+tEgV/8dVIh7fUMyDibQH6
xoPnjImWU307iYB0wYnREoFshVQ3RSKEHElLBKQQxhaWSpYR1oGdkIaARwvS
JLUMkYhSF0HAWZEYFfjYUaNG3QYfe+7cOaqpqUnp7SQOEgFOOrCPAKTtkkI+
McxlYDfCw/fGWmcOL8VNxQO43TXXQhi0AHRgjDuX3lRXMxe6gYmOVJ+q5/8L
7d57nFbtOq+bxSGewQHpylPlca1KErF+9NGXE/IroI9BtNPaJF8OFdcagcfh
8SQM8fwTju5boyeRXxcY3e2EoiUW9yomDBmzgqfDGsCXcKxF6KGKXKTqBQD3
l3Y5zBaGwyEuiAgFilmMvalr9LnU6upqKi0tpaNHj34GuPYJ9508V8u1CgPh
YuNiSyKKkaVA7YB6Bs2OTGJrtvYR920xl9PnDvPGZtEZ+Dhs2RVGr7bpGuxl
12ZmFtrLB+bULv5nVci2IL2KBb+k1PRsaolzSBOaLsoTovzw6Lvd0IRSKyCl
GUTL/yO5zpj/t8B0S4qE3+ZYZsSI5Luqm5YOqFApoAeNE0W053jmZ0oH3HUA
CrV6cBjt0DV8741IRhc6GQSS4IiTM6JbH2VJ0LOzcc+5ED6gkYdd1DF+100K
agci91dOwuC+lHNpvtWndvFpbEgw3eLKDT9kHBJwg2sEDbaOFG/jQcTfcPtu
OQpq+DNNFCUPgpQ2dBoKPeIto10c1s9Jhv277qb1+MaEzUr54scpNSMPk4Tk
IyUFEgCMbGf/hexim4xA8nXS1xL0BrgukbJtqdcz+ibM3ApWK3+m0xnT1hKS
Aum409fmrT3IFMufJRkgUATgw0sB05f5fueGZt82KtpiwbrD5pN3M9pBnlkY
XoPXdeTVxnh3lCGNdhCLAYQi8ICuYbf9uKp/57/vdeXlGDcy40PAhIMW+yFv
LGMZbOSJHRV8fqCdXA3QzqbpxG9BtRXwBMCG2ijwECEkea50aB5Ps/BBjbR6
utCOmARvyaHHpLgJbq9xHmJ5H7P514xeaPOLgxQ0DioCHLmWe6OOSrLOGlfl
v5KPY5v7VzzzqZO6M+QxwLpt/BU9EkHw9kEAUi/1RZ8KwQlC+PXCpDX4qNsJ
BNBGQI9pnDG8DahlrRawRlG8HUAkQEib8Mo/KUQed47cmqgKrP+81Qf51Ilc
QIgx9LePcfiNO95+ufi5k4tYTGYW1XNMiQqhzUPIWLobPtUOGcbv/XCUjmzE
nhg5m4ufETw/D0IxobOk9yBCCzccoRFvrYQW9CIBZPWCv4uKRMXqgQwea2wJ
8jmQJmnF85bJWPrG43OI3nsEHxHWDXZ2FDXXyvlGwR9PARyCbvLOj+BqcVrm
rz3IVHFd/DfZSdpIHbCeJBafaDkHMgcziRKM4lkQHJ7XGCkdPBGNFobyqnra
degiXH7/3Nv2X6D/GTELxDuheByr7GgMRR5wg+jpg19onKD2s2f9vXt+Ocxg
sAD9K5K8jlXfzUTqxPYUMlEhA8qM7fpjpyiEKxJ7leXafwOa2UZB4fpnO3Im
m/7L6KGdhy6meFLhmkJLKjxGuQDm34o1gxj60hwLkjSQqnCw3o3ipdlUu+hX
DGxJaN+Y/RfMwqt7NtO5tTuovmUySWBTSCIQfvUcNY8LAfJeWFRhv7udcoAn
mhMpnmw2axv1I5pde512mXAGHebcX0NIMWLiSujwwJa4LgC49NLowXTfdpbQ
5wBU/rXTDPE2BeXnMbt2iDW0A1Ld//PcLC45AFgjlDnGT5Tp6DguVxzVl3Ef
RAswi6+Rr1qeYBGTvAnE6bIjYzPLINzwVF1glPpfJ9iLdUONIBSyvRBBgG8J
4dIC13Z+McXf+0Y4fuH27K526kUwnZB7NQvC9DItric77gsotgkNvnX/VxZC
a8hLcWTEmfgsUZAARkRhnDH1Ow6kha5hkV3Y5F0I3CJS5IEoSP9eA6tr869I
A/w1wVaKNNgk0PWgT6Rd0vAT/vsBXosqx4bmdtrOkiyt9mcduWsB8l/zQH5b
V4EUGf/if7n7FoJKNztEHsdy35yi5yauQAlRHGJkc1BFwkZ4u4ERSpjxGBaN
qo3PUXpusfnOwG4Id02tb4xyoyPX9Ug+gYmn1n3izyW3g9o4yesIrKYkLDWU
8aIrfsk1VAfknN9OMCSYbyPV8Gi+eNR7a43FXKHHY4ABQ7IlmssdqgLZCHls
mV4c1GctJttytcW8YMjJMUFCSvsp9/7IyWGry1UBZoTDAm6H/i8vpI/XH+Gw
A6oDRg4hiRt4mPIz94D4WaZeKIgL1hqQhIXrj/iHwR5gLeEQ+VEjoMwEOWLI
TnyBare+SKlZRSa6DwgSUQuUcRJ3yfvTVtppFAljsDpb/H1jhT+QtYoN0w9m
M3LVHKG3gUBLJ7bnbDDvq3dO322zEa4gEnR8WcZEeC2wwx7OYJcjOunWQYrl
fDh3oi6So7ZA4csuhypygQxaOpfP2rxc4PMdFUdK+yGz33OfiztEUAcpxF1g
YXKuCYLI0W2CDMLIBnD6CLTNIv2Du32GwrpWjQrp2unk8usWi4RPM5LnnwEq
CdIEVyUQkWvBsCERkfEdqGb7aKptBNAkSMrA9oQgYY6+QYN3WOts6B2egiFq
A6MZs3d468Pjs1weWbMMXYw0IV/m+lZj6HVQo9IKdDuRCcBDAQuSnhErkTiM
uagXeZ0CoXp5gR4Q3SKvwwkOU6fboQSi1kSu8BrpG5I9wa5fdmgHkSt4Bhlc
V7sVdPbb7pU5qadpz549tG8fHDb83YF/vuaiKvt0XUzwX0UnDu2lpYs/phnT
p9OceQto557DVFbT5B24RHKue3ml0Li820TXJ9xUJeHtTHdwW1h2hAhCB2sc
RQ9DMgKHjxBqe108RDMjNhHCKALWzDXbApR+gyk56AUB/5lOkRgddmhqb5q1
2kQqLXHxkRBCgGUKPYNGFdgHu5uhr4WltXYj09cRfZBsdKf51G1DkbALFZBd
5Usk8bzZfQAlSCk53aUs0uksyC2ls4N6r2CP5Br0AnqCge3r5F9X4DtJRBLB
2H0j1NjUgSdog2OruTXgeYo50pUWdQ2OSqZT1rqam+ry8KGA0kn7A/7+2liz
GN1kZecW0tmJdiycRI8/8QT16tWL/+vZs6fRGz169DCf8vjjT9DGUIqxG1UW
5dCU116iPr174VXUp08f6tmju3lvb3rhlfF0JqvI63ItrQ87aZUUTq1L4eDO
ZXY00jh9Ri+g9bvPsg6TSejmaf6F396ZX4ahHpjzdNQsJMg8zOYEJNK1vP/A
yMs19iDA6WaCHq9REa/P++uIRr2DNr/xOP1i8Aw6l1ng348GNGQ2TqTmpQiT
SVWtCRCvVlC81gR5m58S5ibd40bTMJh0S8BHX1zpU4s6hwPK27dmbQ3QkBh8
nRdG5cqQG8uffxtR5SG4sZCoxmJtDOMG3YmIFnw+QWaKWGKc4vuLdvP3yjUo
9X/qOxkc3H5T8RwF7jnk8yCmYcRoB25mpVAuylYMLjrkuVe4bhpUmyJOFV/c
G4Rbiu/lUztpYL8+9NRTT9HAp5+l0S+NNt82atQo8/kjRz5Pn57j5gj+01JX
Sh++9iL16t2b+g18lmYtXEnHT5ykTas+pmHPPk29jUgPe2kCXa9q8k+WiO57
wI2os48mI2BBli25Qsk8CbcPng6CKegs/M78v7Ad4kzjJCBkAPJq+dbjkPov
qrVIZ0Ma5NaFGwOJOi/S6OMOUlBOc95Bdbtfo93HsmjZ1hO+SoOKD0oYW/en
BgQ8d1JlXQs1pW0wovuDhL67+KtfoKoVvc3JKQ68Wau0EJ9JBwQiCpT30IvQ
1ub5pxh4FRkJBMOTEanVJRNqCz3WDcW29icCp4sp12+Uh65h6u2Q8cu4v857
k5V1XH3Mu34zxKUozq0ftVcfICg0cw2EX9ducS9XXdDt877mhdg4bNqD6ntD
9uEWQt2Z2pqqacZEo2P79KUBg56jXcfSqbGxsRPV1YEwp662LgSYvbB/HfUz
stt3wGBatfukpB0yT31KQwc9ZTRzX1qw4WAyiba3e4+f+Q6dgP5dKGIwzee6
BhRIMXSXDX9st8Uv3WZK8zWcJjuPp5DzmzB75iSIGMP/hCdifuVZl3AY4JvD
mvnpaKjGYUBDOCKu3zGGzptoqK6xxb8drpr0IAhOHWY69dw5qlrZl13khFnu
H32fcnbNpvKaZn+aILPZEUYaaFGGvyjHAuH+tQi/hYZ/3U6IsYJ1DuolgogG
3/Coa6shhbdHrsGZQ34KEbnsItwoScGIcKKSKPBmeR3cVoGkyOsQpCDVDb6F
gLKlwFPi+2IYC7Z93uQ4VpmwWZxzhp4fOoj69u1Lzzw3mg5eyEuRHmIjzbRg
0qvU0zgXr707l5rbAlzexnnvUu9ePWn4K5PoZn1MHliLaFcRURehS4ofJkxy
bemuCAjYNKKwXMsD5IqJHT0cqdQOGLyDuQht5lNmhYrlYeguQ6XrQoN2oMBQ
A/Ji2mAs4OJ/iYppw/YX7PDghqCXT2YUalJEMEaEt+8uajYn+vInC+n62Ieo
Ler6IlLbPIAqC/Mo81ploI+8EghEEqLmusYC1FBlXQJFVH5heUKQ7zrKOMK6
nTjjuEBUtZgCqSR+qFxj9HaObefV841KXRIj8J0LvY6XazgGgIFVeyPn6GSy
rb8vBS48A4qAcAnN93keU7PhkjiS4APL8Pw7q3m+mxGI5HBaGY2Qk3qIhg95
hj3c/kYLb91/DusiX9tUlkdjnx9MPY2SXrTtpAjGpRO7aCCU8cDnKPVqWTKR
FuoUPDDEWDNMclXCBIaQQwiOEXudWJG9/oWTGTwkJhngQd1UIF4PfFS61baO
kDXmidZliiLKRzojARv24eJPub0F7bLescDMzGW/sE6tqFK0BWx7jvPXNfVB
QhExiysSKTva5Mf42MW7m7V89ZqB1DTmCyHQJh+nqUatpK9mVZ6Wo8by2paP
Smf2g+PV4uoNQa9nrgLEya1ZDdwUeW+zOYaaRCm5uOepTiavqesaPHbDJxRU
wsNr76oAFCqvgy2VoqoIDu4XjQjTluyBRpKX3lAMYLoijF3asPtMQJXawTOK
kNLhq41TicLxuYz8W6DHv+fEPffiURo1/FkW9379BtLi9buAnZXvLL50ikY+
1Zv69B9Exy8XyOWa6xk0eugA6t23P209efnW4t7RJ98b7Dia3zgRto16tt0J
BRSoAvQ6gJZ01Y6TrsbCg6E9+yXUm0x6luliriyDqa+PPzcLouKzE+iIW/Gr
BABY85ahXImrqmvyBXSzCQiWzOaqsU8W1GHMdzAeM/cToul/rBqHuwQcPOt7
2gyb+VNQUgWdqAZKIINVxMVG3Y4rWSi5FuAGYwrSZfl29XuxOELMfDsB5kKG
0/WyRw0OcqYFE3z7Fe7gyOvgs0pBT17nupdD+4vPQ6snkryq58LxT4W+Bsbc
paQCWjvzkQKGlzob9PXRs9mcEDUqKTl+/ftOgEuupNPkcS+yAPfp24/e/3g9
aHDF18g6s4ee7mMiv/7P0umcG3LX9UWXacyIgdSrTz9avP2MFmABw/+O/77b
kxvABYFBB4uhDCUUen74UECY+8EMlkcDkAEUQUxMICkaPD9SOaiHe0kFnHnd
kwmlvpbNg/i15TWNslwI//q+vIAWbTzinTioOOmc8RUmoB9B4mxJMkIZClQN
UpeFqjeproHL+5mNzT6joKvNuflhCDIqYyJMIpzNUg1SJAZQAtVO2G8nsIql
zAsitzI4AKufnFkaBH0+G2FsaTSY497uCM2w6mn1rwPsAJyz+nU4ANyf2hq0
gkAOgLNCJUfiCJ6F6yofbtRlenq6FlUZqtNYVUzzPpxgRdX4D2/PWknVjTGJ
3C6f+ZR9iH6DRlFmQaWIamvVNRo3agj16q1EtROLalZWllnuZmpqAty01QVn
d7MnLK2peFQYQMm2XXTDMLGENVbJftM9CVqzQcJ/4FSW94KhklBwgTrzahC9
Fxv6JDCHt24cwKNsS6saZOMxUQCzL9DGpKemSMDiYROY1GC5YiIecIodBVOZ
54VESAC0kMD7WbvrTKg2AfYklLu1wOK9YoI15agEXwFHZYsvud1OYLGyZRGv
1g3JCd1ftfoOeR2UiQSycg0/Y320IELBXIvUNdCjCubKU0aNdFGvk3WVa5j2
CLCDOeBeYJGYksBXWriA8Yck4T/gt43wpjjp/aG7mbhxCBfOfMdL73vz1lJD
a5s0UGSd2UtPQ3qfHk1Z16uCiOkGjX/lOerZu6+WXnQOjBw5kl5++WV64YUX
mFfbZsbusoTY5tDCNcJaAKjxq2en8xjxbJ7FYIEdOJjfdl/DAblROtl28JRI
b6sr14DpxEsvBoltG5KgbWNGotMv55sgpV7SWtCqUPHYYXO8fYre+CxSfvBo
D7jLn7wk9K4hhQuqkfOLgujI8RNo+cCzPjdxJRSRl0G4s2jz334w1ZdyobzE
XMrrcHciM3INBJo4zp8lv6Dfl9fJ4zUyD0JYfpNFdNXshRQnvDfDQel1SjiN
gWfxkOy/MWMr2IJCdcOaUA3Tvu73b6+ig6cve5XEgw6dwyvTg+bNm0cvvvgi
y9OIESPQmSDy+yP3kriJ3edNfYOzFfBb1+4967t/vOp92qjefK96Y9UFNO6l
YVHhheoFTTwopSsqKjg/98/8O9vsAIuDTcGhhXWUZAVsP67vO36JTly4gtd+
T4kUt7gZPSmuAufJjJjBXbLnuaudoCbJLacj29b3oMzs63SjrE62v1r4j3zw
1cENl7IcHx1k064dIpr9l8mb+1f9F1FFTkiE4BfMXXOQUXCylYdOZ1P35+cw
5anGLIOn3txDgBBTiCRNghXlhUAmEnMMP0t05689xCNb9BAdMJFJwiMcnYUL
dHFunbPIOVkfm58Pt2whOC4pDbtWgl50aAfRtNUOPNjWFoBwY0zU0iinVhSw
wIMBThABrq2tZVmCTB0/fhxdFCLAf8j/3Gk0TAFNfGmE8XL70NCX36biWlvb
v3zaCG8SF/eGcnF3hFxcacawgIV7mBoLTjesWYNDYvCkZwhvTpHvqoDVZdCk
Eas/dJ9n+3EKQ+A9aIFUxzzgJffwOwm94bTmv6mxvoZqG2Mel2K8R+ZcMh8n
b4U36Yys/dNsQpq9rxK92S3Qtc4Feftr1HZ6Lio0sl8w7zAhgKqZ653UfcNi
gBhLvvy6A8BoAimgjsSqyjUwJoubKgQsEIkJs7YxtN68P5nkiraBxM9Yvo9G
T1mHsEvuaLq5hFymFl6ug0bmS8OPkCycdoijPcq4I0ikviaIAFI+Qo7rv9LX
kOaws64DGJLQtePwO+7tiKP7Xf/KmOQovYd3Ye86egquQ79n6OBFlj+6nnaE
hvXvTX37D6ajlwp8TFlbkEmjhz3FanrLyaxk6QXLbneXZYQ2DwoRBhnKfw6e
Rr9/ZzWX26FAYVjrbUbN4Xw7+oVxjUIitZbUMZ8HH3upPT3T8mirbFXdrJ/R
8nWfUk5BeZjJ/jpiRPfWe3hahuvjsn+uH7fT6qIMT+b/b07/Ryq/cj7EjIpq
zLb9qSFRgDkgpStlUmWr59Dp4KxMOAuGM4BuAMDvZTU1J4+XTC5glbnENd1O
iJGXkKkXKnE1fvoWemrsQlYHcg0vi1YooFXzb4TryU0KQxwEtwGYVL9OhsLo
yMxavGAEGhzxa5GWxibOD9tBEg9YIU5ajutI1Teu0aJZ02j862/SyexCyYuW
56XSC0/3M7LZjzafvMQ721iaQ6/8/hkO0T7ectLLcZbRzEg+9H1qOJ3JLUkm
xz/1chxjTmaoH8jlJcfSAPWL3QCkZOX2Ewxx+DP3OQgWLjjYg1QyuEbsZh12
ERlIXUb0epfQkKnCCd+nQS9OoQlzdofw45cUgbJQ9SDVDKp8/oNcxf7xRBPu
Uh60I1WY9DWq2f++bTeV998B3zSlg5hW9zWBmEvmQnuzkjgNQKy2rTEY6dmB
th1IZe8435NI2GB1wbpDjAbVfESSxP2s1INERWI6cDzw8JYRqEWXLd5bsCsk
k3i78E/IKdYlGbmGtLw4zV4pK9ZzPeRRMN1yTSrv2FtxhmsVWvqLt5XnmoJ0
en5wH+res5dxZk9KOaIw/RgNG9DXeBUDaNdZNwkgXk8z3hpDvcxLX5s0j5ra
SJZk26L3zeWeNGLsu7eq3VnY9b0ex9Pq/sXuoFqU54ofIt44olDTronvL903
wRnBr2GejH4VAYflwyLgAHsBBxef5lLjmXh/RFnnT9DYj7bDYnr5gksn5Ph2
De5jNYr57b97bg5lFZiNKDxl+7yTkfEt+zeKl2ZQWl4Z1/sCa2vpFaMzHUVR
idxmMlIz3DwBAyVpNO1joN0Hveo689Hv5Y85/RRQud3k1ORnyTej9yPRmnDL
6msgH/+PZ5gdyl9jqruQUujABZko+Idz1VmFIarUZMpakKRG4YVGRqQ5Qnrd
3iRn10/xdnS1rcILekuQELXW0rS3Rhut3IeGj3qdLhdV+sCntb6SPp46nvoa
j2TAs6Mpq6jGW7YL+9bRAASDA4fS9mPpEuFfST1MI4c8Tb169aGZKz5NBqyw
DsZdLPHY0z3HMriRGZH9VkdojnVkaXdEpT91H29bXm30bJSEwEekRoJhKQLY
4WTZxAfC4v7ht81RPkqX8ystkWGAwilxk0Db/Cp2Zg990sK9NGH6emo7ZDzz
t+4N2lM72098+8tExz/kfMnVYnYvdcZZ6gUeXGbkEPO0SOlyAElFKermYvGd
vY9dXe8zYSKvMISb95zniFhkPUuhjQNZfyJB1nVDgi4+MNpYnU8oToSpRj69
fGHfpGAo1yoCWt9wVi7icV8pSPSucTZt5iQA9hXcqPAsdZoKQMabdVHfK/eS
fHaFhWLcTdmnPqHB/XtxYm7Ei2Now449dD41jY4d2kPvG03er18/xmpOX74d
DCl3uC2J1ZfRB+OeZ2zcgEEjaNn6HUz18cnWNfT74YOot7k+9PnX6EpZXVJs
3A+VwONGAc+H/ykjfOG9YbIBSLkw3gIG/G+c2GCDjX9LHyz5lJUv8hIi9TgI
6OzFsPeuIlJQypjbPTZIfdCUh6kk9VO6eKU8hNnR+Q+7mPfS9bJGumIcsrqZ
fxsenCH0PiADKE7lXYZX7NK4gb6r900UQbar1ScCRZYRNwv2V2QerUtSzfWv
Kyz3WewO6rHDmfEOfn6pfl3/fUPoO8t/YuxywImjGzDknm1oEA99Htf8zaMh
7g1eV0jrdp0OyTJmHl2OQI1kZEuAw3D6PVtPaLQaJ8rbCHEQe6HtwLlM7jVV
jk8VHTp92W3arWUeaxunE7vX0HPDBlNv45J0796D+kLOe/ag7j16Uv8Bz9C0
j9dQZUPMR6EleWk0cczzjGPu3qMHJwN7dO9OPXtB0F+i45n5SXHMtkTyRfZh
NMUjngAnF0+sBR9aD3l2aDZG3rcJcJRcB5Gl1EfVFONPcUAa/AGwbN6ACKPW
Z7xZ7+jczCCa+q3gDMACvPslKj+3hdLMGUCUqzt8oOAafCbF+FQ1RmmtHkVt
E+8PgMuu4xjER0cmmUVtkcrg9WDeX8gVYPCecn1yWPWHyaniCtruWf7NQzEE
3my3XNP4DBFlLsiEXPFwU4m87vmNk+lP5/wbNVK9vxZTTSXaD49WBlEaKywJ
F1/gujz+3GwmYZP3LtpwhCcm1PtVtP56dGKlTqzo4WdRFhjpe9YEUpgli7kv
gKtK6hBJc/AogNzVfFfyZujvua+ruHGFtqxZQR99MBWZb5o8ZQrN/XgJnbqY
jUBM4rjm2grat30DTZ/2oXnZZPrwoxm0euM2KiirSdpq8pg7aHgGmKuxH240
97SRKWKhDkE8J+GVE3L3Hpv6BMUj6OjNen7D3QIss51MbtstYUXBvoS6nVD4
IrcPjtKDp7ICDx9t1TP/JEAjQfCNz1J5aiVdyC0LRYYyESXYHtBrH6Xm2X+d
qPjxeQv/kejGWV8Qh4ijV2Xz3vOh2pqEY177N7ckePew2NLnqlshP1yyh4nN
1CxjC+xg5H6oDCSOQSD5iej+vgeeoW+v+GNjABr9NdtGWaiIWAXBFHbUoISj
2Rg4nWDH23/ikn8vSrcDX12kyICtkamPOEc+yFEODuz57JUHeFvlGk5buDxp
W2n/e/hM+mDxJ1Cr8pEn064wtu/AqcspySX/B345rD7WvLdKP/svT+xJCZwW
aZ+WmBQWHagNzPpCb2GbF+tunl8ci8hsYldthhxTL4CCAWrxIfeI0PmQQ0Rt
luuqgC0vVOfX3H1dc30wrR5k0M0SmllmokBO3+hGdcfm0fmcMh4W7MEW5l62
7L0QUh0MUgV3RCQ9zlR2jqoq1iTRDvwDxJn/bmI+c3d+ug4owhz6IaTn3ZAl
Paw1zAXQkW9q7c7TDM00H68pAsRDEeHGuRJmfd1lle4EWV7X+1B/+tbKP2SB
l2vauxFBxmdJpBpE4S1JPDdLo6JxCcw5l1MYGjqMvZVIJzhU0Xx5R16afxnw
Pq3YdpLUFGV8hayOnCEj1NywF1hQO4sAgC64DUZk2k94oEtKIvN2Zy28H2mp
ZClFRC5R3wQO+Dfc2YCcAzAO7h4Am1AZkcwL5BXPj4we9ujL7j3yOfgjROol
3Pd/01eRsD8wpQ/7tSz1uAgv/6BiBJou1NJiTOfBKXQ+u5QReVKhh48FihsU
DX2F3vwyZ7cMUE5M4EDdF5wM1fOQ3cR8CAUk1qMObqfxG5uDpLVoIDdaPHRQ
UPGX/IvuZ4nGALo/JpD+AQnSz2XNCHa6VGGxtcMmbNU6CRmdzoy8azQmBVXG
O3N3hN6LNRAMoKajgrY8lRbQVrH0NYZZbvG6NOf8BO9t9DCr9lM73O9kDvIN
8BY2D909kFMYPBhCRFgVKtPyB044JKUipGKYIgAjBKwQfIc2P6C7G9sINB6O
n7GZIbpQiXiKfNeJ1KLas5Bhu2aDRr8K+Pww1YL5+5NRCajq5p0vMl1YdZ0f
wgI90fPFuTy1y8P64AZte5bo9Q4Jqh3E6kcng6VU46Z58pjaZh5GejkcwgFQ
If6s5oUTxSy+OiKKDJdIkmulSeD/ukAZCk/zihQNRnKxTuarY1OEg0bumbns
6sNFUCAc7Bj7MFGzTKL1/rsR/Z/3n4KUnKLibPEcWpr7QGpPuqaEtJTm34If
nBVSYrbx3N5L2+cgprjL7UHMcTvy6haUccsLVgY17OFvreBBZOb333Jvirki
KLwVbDiwxjzOy9wUNLUMb/Nk4kY+GZJZa08B4nwsqKW4WkHH7AQEP4MMBh3F
VdRBzCJpSlPc2ZXCMifwXS1Hpi7zY+7jmh58xCtqGsVFECQxQkxjwz0e5eJq
O+IraEMM8CggVyy5GNpxy7xnSRl1crI8YrIReTrz5CUcDy64ED0jTPAjcg0n
oSQCogaFgLDf6eSNxb3SbSUcRkB8Ao23jfZ1CaOdvpbOeNYwRgXvk9MWKPM6
3szzmfmhBOPuw+nsamqFDEEJkpPWF4EQfLRsL7apq/oasYfykTLI1EpUe4Vc
+CkE51fmOGHQtCZ+Aqo0yPRzM0w8zolFVAYkjrRUPq38HyySDHpCsHIHj4S0
1hVhKiTZ6vO7PTE+7AK+UzhomSPZLLYd4dHGdkVmyqfY5J8MbNSNrAhjUd70
0p++1lZaNYR1+b9SSXEx3axqENET/l0U8jyAENMS1z4hFsGrdpyEKY8SnZmH
AT6y8hCikvKwcPAM6vzwmAOeSRrxRLBmgj8Uj4U5rB0dmOZxkmx7KBiNhYPR
BlW9up3gw2+WZkN9gKNZS811rTHDxZEKFOgmox4LmxmHU5Rrb83eZg7D4VAG
Xo+elWuw/wNfXQy5CTbZATtApqdPAuZC+fd+jtEMXTx0TACBjKmyUu5mtt7p
yXExlgH1I0SjcAcg6XhqRK3mNV91WyizhQGKxcZCgBne5ODe2FwcMgZ2trU9
5O4Omeq0COWTgO2Dkb9dLUhQl5vMvy3Tf0JnTp4CS64Vl3v5LDgya/snbvTj
qRlEkx5OZClCYyMYrCrzNIll1K/kRp9IAhIOyITZW0OJxRXbTyZM+JEaYzC6
pINgCELS2xqTQSCBY4L1lSYvudbrcD/65urvG4luUtiC8gRTgyRiLBKV6hOi
o83oadXzH2Vd0D8frYGCtOG3xmOFtpPXMQDmUhgAY9uKLXhfPNK6hqZIacQm
a7FWgAd9Xom275Y4XCSY5+EYkUR8hieH4cK52XfyEk1ZuJs9Ey+K3fjtkF6E
mmBUHPDKQna7IbFurpab0RWgt65a9JZ+fjcbOxiqh9lU7z8WYju6+dqDNG7c
u7Rqd6pqHryHrYHTJvYPZs8s/nnSSRBtH/4Aqj4Ew8LaI4MvawpySDyOXin4
Yr1GzadpSz8NsoPmn/1mVZ74/RysmKelh8jkhUct6a7zgDHYlvXblKhKx5IW
3yePdaeHNj7CZVLfWWM+TzZOd8c0RPxvFg8370a3x0WxWpeVJ+LLn7UNCaKf
X1SBOTnsjsoS8uAuF0d0U/dSESGhQt4+yqIOA2cxXU23oL1JJr4WrGgR2/Vu
/iSUiO/tgok11+ptmoNlwgiM+M+cBcRsHEh4XjGnUAUvO2f1Aej2lEfdFiBH
gI1yWRc9TbE0NNTeUdTM+vNwonvSl2jxB+9QrzHLmQdQ5q4jxnDxGFGT0bwH
3pBCfqjjEXNJ0XbbVlssX33VgfyCbbaJEPQDYJSz8Yt807pZA7SdHjmbEzC7
GcmZbvxDlKhM1CWCwsanLdw5gGycdCfcpV4nkzB0XVLS3AEFQr33BOTa4F0v
0Q8X/Y3Rw/X+WjGDCcO1+GpH+KivZSaZysEFqMg1ZiiKEGpCJBojrWTMOO8Q
tr5NzoG0jDcW6vUUnSvXIF5RfxrrIs3rndstyLY2eSevNFAm2w+mcQQHTQ+t
xrmQwBd+2L1cXGFbcyhj+53uehpZ7u00u8ecjGAtUZJHPgjz/UAsJNIk1c+g
/NjNgrQxQ0Nn8d7sRkX759L5HCbHc+/vapG3WTeYc5/y9hDN+SudupMIsHX2
X9DSDyfS8YsFobRaWpbWTTalDYkd+uYyLL3sFtYAO9vWFszLQUoC50CrVAg8
Gqg1Lx2nuZ0v7NMh5kSXV4b70BAoSq5ZrgEFBNJ1fe2NpSvp76b24dKlXNu8
7zyt330mJGF4vCiRB/a0JFJ+BKlImBRFexMqVaFQK1pti4chr0PsJdx3IrHM
v5Efpg0VTLj2j6HSMhxtVafPlGJpt/26E0utjiFTwMGhFoSxwMBiYnO953An
Hy0oLSSrwbmNG8cm4wjmBn6vYMKwJthvDBoeNmE5o+s8iZE5H2B3A1rrenGF
F2RM/tjULyzIrxslseNNxp0ErKcgdWqj1Nwyqiu54vJ0HYM8ncCqvki1O1+h
iR+tpZ6jl2CHw9M7CrkNXQoLLa02ykTwEw9g1i0OiYGoQeTRzhcK1zng1Tno
rpczIQOPq+l7eG+UbQkD4tEVb38KbhFr99LktT4piR0ZNWkt/de4t6kp3iRv
R7vesDeXh7wGJJSl3UyuwckXAKNW3tmRyReX1fQKHe5FwYVAxAroTI9cq4yM
1IKhroyIfZ3Lh+jqPMRZFL8jcIq0PWhxvnTpEpooXZrtLu8II9GV5dtpijj4
QggAf0lmCUa9YRw4vH7QuCXsNjr+En7td9w64LXQ4MjhIq/LuIablVBWXkei
GfDXQ6bTpj3nvMqlI++GG8mMn1C5fgilZhdTa7zNvuxeZuOAV1O8fxbRh99J
XlCBl3zjDNUb8Zmz+hCt3HZSvtlS9oRDdBzqG5G8FtLmRZFxA1cUykLEGSpJ
ssMiZzWqDVHEGaUASbtrUCB6KibN3+lFFyoc/WzwZYxHK7mYlpY2emL57+kv
Zv2SGloa5TLcfAADAE4wx1ZuHjoDbGO6VIptEWH1JdV43LvRerbg1Qi5FNgY
xC3USc1oKtoKq9XveiqUwEu09yE9o0LBjz7fxsZGOnv27C3meg0dOpSWLl3q
qhv3cHIcn8QZN9cjBuuUc2uX2Q3suTPINRdbXxkZPrynwJF5nLT8pSLTUFA8
+8Z8NE63nUxdr4r8liMiw02CMbfjcxVAgo/vEpLR2qX/zbwJTS1xyVVU5J6m
khn/HIixJqKZbEzRyRnG2bfEO9A7INEwdxVU3Vt5Uiz4crqolY9i41rdiGut
pYOWnbgqXLSyUtDYcfjMUZowLEyUTgyHv9/LC7jDW7e8oQ+C6fiItJsMwdIZ
6gEHhtA3V/0wAUmCj8AEDHm8xRuP0gvvroZh9I8Ho4FBH81qWGamwgMETAqu
RErhUiDsmhZy4ZwjpaV5yo9bhlCsGKG1AgADKTLyGqQjNwWjudw1BCfR1mlp
adTQ0OB4c2xpELpp1HtrqLfRuO8v+oRLinhSuGFBHqIbbySkVNLI6TqN3GAT
et9zz4fPZQp8I8lIEMESwPbgNZ7GutzOtgM6zmvpm8Z0v/dQIKOYiDrrp3Qh
9RLVNcUkHGOqm8PvUuuE+6MNkeDjpXU90ckr+CY8oNTcRVEjdyxGThvc8sqw
74mWrYJIWRASGAUUQczCXRbI3BX6wWYifjiX+20Xlb+G0VO9XpwH6nCFLi8N
G2Hnz5dF/O/++4bSt1b+OJR3Rg47JzL+t6bWzh3QlW2ILQBPx8/nhhDY0ZRG
tYyEIw31K/Q61h8FBn+EqadanCBo0WWa12wef+h9Ubym7+gFtMSYG3O8fNms
vp5nrZ08efIz3Ok73d++NMgzOUt96hkbBhWBLJuRbtHUSPUAlA0Th6mt0NRY
v1xnk1wK+bvuASD/CG8AE0FNEksIW45UP5YpJk0aKbZYlO4mLnv5BlRp7k9D
2Y6W975Oqcf2UXWDe2yzJlf326EqkWGv/DP4mC5t8sqr3gEs9Qg8OFGQNL07
NXWJPJ+w0IhmWtV0XQ1w8tGgcUOqI9e4UuIKyBrLgalT63afDsHvztkp4SEv
Pcp+r6F7t5NuqKbsSPHZOZTq/ux4iqdfXcy5KcXThJdF58XgFiWdoiHd0WIL
dj/K/oOliurmem7tCdN1g2cU9qS8uk7mu9zGqw6XDm1BWorXRpcKtaOu+GmW
effHTkI2tyDYFEn5wcHAuqC3areJljC87vvu8Zko3SwQnGrQcWJiFCJHHmrQ
GpNBqTwV3WxDNie2yQs4gscNvUJ4j/gb3Shj1wK6WdMqx51xHduHGdelUwKu
Y8LdllikoUK3Obp5qV5h4Ptxe8icXy0oC1D3RQnmGPo7Orqp2aOY2kK1uSjx
EnS9cG/oDrQnn59Lq3eGpTyauRO+f000hZWvqQ0z+iaTctiNy5G0r4aEd1LP
ge8wohoEieY1cNs1hBs2cOKc7QyO17kMYJFbVfCH56+LzOrGvaDNOchgWah8
lCQWkog1QCa4/Yi+Tm6vkKfMcFUTuBQObfd1t206RoTMBXFluZ91wzOuzANa
bW0zfjD0EHtHlMPvY049Y+QwzM0sqHRaygghY/OdNjSrd/jtcNho5Dlv9ctU
VCGdfFgRc+LSlpt48XvJ48WP/54o/4hsGbSKiKNIM5Qa2BGAvDdiI7sG6YvC
JLj24vBjorPxQFGycoZ2RBDcoMNFSkJLHywcFkIPOoC0CBhK8+NlOpqzUHja
EGb2SSbNvj9NFU9QEauNnFT8nBsBPkEfjXx7FeDZPkmE09bdnEAg4VTjHwr6
LZH+AyxDlPUYsx1RfkLhW+eiZDSxxvqWaJzY5yoTtgXwUJcduZulGKgt2yLM
mQ329rlkaKQz03W/Mw9va+z77rbb3ASZUkcsIDSqEH7YZZzgr8oiOGpf470E
UnxpM9HrXUOSeWPBf9O1G5WBFANqtPI3HqEXChFR0j7+gcba8QihCB8ppBii
ZMLiSA+37sqxNS1RHnpIjqPHDSWDGyJOMEQQnBfHzueEetGjbb1QROURikfd
dqw7AaKONtrNoiJsa5E3Qrg6PIM45Lo7QOI8sd5476jJa5m00yhsuYzHwwQP
5BzNDuqCSt71MK2ZFPcb1FSr0xevMJC9vKo2RByA/kOdDsG3p7q+qPZL8WNO
9HDswS2CnBx4RjbtOceqGs+NB4B3K2IKecD+Iy/NrNOYg2AcfQHCIG5+yD08
j5wze+TyGV5Sb160TY8Ke4E+lpqKm/70c6UF7Dpvfyk0YlaiP4CKyrJ0ZsoS
7LSEJnvWRKKcYs6/h3UPjqeEqKJrbS0vnHWGjoKXoPtv4ZzA4poF8NcQ5Ug1
IhDAAOLm2fNqGxMEmpvLIrROyQRVN4TpAyf6PNq7HlBm2U1B5Jhh/engpbax
w9ySlzR0sEDN6CWUWgRR2D+W8yDvRW4FaDucdU+pbFS6dNW0H1r3iJfSMMSN
W1TS8jh1DxAnjKVtoenKuhe+NPTsW7O30n8MmkYzV+yXUtnX3dfgI0vtfvkp
UTZ8+ytVcO5ARS/fR+eP7FVra24/d3dQ04tOnvroD4ky1nmvCTa0JAJGFj9d
L640qOjeUdgDqduKfOZeD4rsIjsgU1lmPEJ9rYqT9BUhe55MaUqRRnuxPNUu
ku3QSLnbyadMv9OYeCnJ6udlNF6k/KHjPH9NUZ7KmiK9jcDAOAQKG9Tga/W+
Jg2uwyQE2gBLr9l5KgCHG3dNgrz244W+4vaFe2abW3zHgaQkcNIEpoY/uDfz
dN9ztxNzHi+P23T+AYQFp+x85jV2x7/utgCLh8mzaLtDM1kw8rmDDcnW91Ls
pWYxRt9B08ePorLamA+YqSKXaNMAbj2JJNXib5iV2PWCkf8yHR+LayrL1OLm
grcoxC264GQekE4dyzZqmoT0SLAEVwZ1IJBEaqYoqWJpxrtoMY9dztywu6rV
oBbvUPHWXBvALqwFc2r1G8UOQbdF59UzcDNCiZCVpJKnXXZZKxQuJ87Zxghb
uYb1xMx5LaIwF0K9onMOaMg7k35NkWcWemas9uOEpNUET4tADKgbgDChEPFp
2CWeR2+MZbnLEf/Q3R92USaNcsTlCh94WniHMEqPub3DkYDr869PTaV1u87w
09wr93pqZqh1tc38t+2dfrR2T7rbOSNzrWZFT06XadIJHGPlH/wl1V7ap3nF
Ua/ROErcojj9mqBbmsA9ZsZsoFCR+SmebW0J0TiEYcz762nvscyEfqRWNfNM
A9t8Pi0JYy6KplHmX6gFfq9CayQTWJ0t0PgdAdkFAVJiHxRCkoLIoa3nnoqi
0FphuwFuQ6whcHq870kTXB08nYU1l+XHV9xwgA0/v+B6Yq2jqdl28TcJ/0u7
ZPZe9xnSAgjPHLVPtDkh84ZaK5wnGM8fuHuwzFQlfDqRbkcqhesVmARonLQa
G1h9060gnlVaiQHAwUE3zq6eDy50DzJunG6Yczvxi94FwLiTyqVPsqfS0uqa
QIwsXj1g2ZeSjcB+/1Eq2fkOXc4tYKUuy6TJ7HQfuLQryQ6h1hBFimEbMIfe
WDpvJPC6aBsSfs61ZFSha1HvVxekdT0k6ukmm6aCTbkUySoM2JsozcwKEmkE
EYYbHZJh8+VedMedmCqd5xKTETAyNUcQ2R3ZAAMfg3671qAg2uK40nXSvcUV
P4N6lnVsoIV9R1q7pFmqH7b82cSyZRbvDnyUO2FoN2ZD39b2Q/cQiNQg03uP
Z3KE/Oz4ZVyjcHDlb7m14+MBDlM3tg23aD5FvhNZiRVbT7AdMpr8DlkNVNzm
/22Q1zWy2jjtT6ihqjTFd3RgTPOWQUTjwyAgnmnZiX2L2qIspi9ojXscM/Tj
im0ncNshLDvqEnUCcFVtq8+YQLRBQG4WjAMykd+NmIWXi3ZG1yVG4KBfUePI
ogALaP/8iJzyhLVINg1aLvreZKkD/BxlYhqwd5j3goPMWaJLcDGJiwGFJjnp
AL0e9yw8sopcPb8ZVqVIJoWZnSzDH16H8xQX2IvtvQK4P5A+e4SjJG0IEK5r
FsvP0QBlcT44jPAGLDbIEsfoyVM/Uq/FAnG7nqs2QzvDjsDPQdO6iDQWnbFD
ubaZCt6HOY2i2xBdvTlzC53NuOZktXNCT2rszXuoKe+wtJJb32KGpTKP+haQ
ZwSBObsIwx8vZPPMs1A/2SwTT6JhwayhyDQX8SMxDmzv4NeXAjqm5Jw4tQNq
ZxNP+XANjbpE7if7UhxllGZenLRW07VLKg2KKNw0F6YVzXEwE31NR106YrNV
wsCDwZJfiWSX+xx8ih5d+21qjjepc1Pue6qCOnHA8CTX7FlqDV1L5jbXJhnA
wf3+18Po5SsFAStViDz2cgHPodZ0PJLC868zC4g0IxDN7RfycB3Dur1wO1zv
ksi1NNsVOVw/s4YB74i2Vctj5wDOtmUV5wCesnSGCLc6gAloZJIJSPDQ020u
LRDyrO12PrrqRIofmeyFHLR6yfwOpjZ9iOjwJKIWK3ZArwedJtbYIfu+YN2h
oKbmKGk1mBC3jJHomEKpK9FZkTQsUobbD6YqubOgexTbD5zK0uKdDPbJ0aNL
KvhjQHIMAhNgk2jhSBGGBaupHeq4o3PQ39H9aE96ZP2j3FGiE3/RhASOhUDX
9DVJrNzOybZ5Xh7iHBALxKzYam4ZSIR0eYtuFrwNKX0ts260n2IpvVTTwudr
fgoIwVze15JnVDl6TDyloOwvZgd8vnUuV/xt97wQlvlrD7L6e2PGFt+qBvkV
rlfoceHU8s4yZnBjarYU5Yywtq38tdWNaCnd1F/YAsJlZSCTkQUpz5JKeSlz
s4ZL9/CMIAwawQZhC7ethFvlk2EWg2xsnIHB+04EESH7qEman6PsGyzokXMS
cMqontKY9aG1ACMLHJ00CBUDRLm+NmLrm/Tjj/+Bcfk61RG1VFbQ46FrxWVV
fihR6GxHJuBqv0uHg5L1DHpUS/w6B1ghm30Ee5/sh8blJ2dETSbAf+zWGysI
wUKp9TdDpgMeix2/A1ImgMxGx1ua5XgCUE0HMRmI0qRaDO5KZu3xc33vt6m2
tY8H0Hlo1WnfIypJIzo6hejdryZ3J+b8L6LsHcGQnWYfjPn8eG2Dy/mQAsA3
+7ZN3QIZbStFbkgCQ23Aoaz1tFVutCgLN1qkqzYgnUeLlps1gj3AQQajHHWz
iQD05b1Q8qgn6GsTFmykf5g8MCSYc1cf4AE/+tlg5KO4SgAsrkRQ2MEEjMBp
xppmRQYhWZxmOM2Bg5juhryIFq107bt6P5jy0SmA5PSlyQTTe7xG+1mPt9y3
6aMgBWw3Vijutaf1jrHT8NnFI4DqqjV3Cm0MjSlkFvgZyGK4TW1CbH1fQoqN
xpvH3djXzotPVrdADdh6BCkiqDgbs1buY49KmyvUKVBulGgMjxUlG0EaMerd
QXOUVyVOl5KEqkbWiGGI8vRo8heZFao/D4nr4ghjFrRTtDCMtg3Mtgi+1y4l
uuuBKzPPKZeRDRg6cQn917iJ1BxrlsvQmS9NXkcvvLtGgzpQjxJp93bf/BMl
EL2sGF+ijcuxCNgvSjyEOoG49jrGkwJNULFv9lW39kusVChknDj3qF51CIa8
G6xe2Zc1rxKVKojgbIcIxtbgZ+T5BLoAg8UAnKJytw3IoZ0P5dBsW12XpMix
N8zljf2Mic8RQQHY5ddDPqL1u8/6Z8ZZEFMrJxcQUFSu9RoCTRLtvGW/KwIb
iwnAXSV4Ue2OasMbPMMvrDVjrtM4pubyQA9ESQCWWHrGkDBCB4z9YCN7UGYn
vDCat0PBQlGa2/WiG2ujJzY9Sz9a+DNqbG2Uy9iWnYcvch+lWX55zjU7T/GU
VpBRy3pgLcWlkNcVJaliwLRLe50oBRy6aNtHlUK/e+4Z604EMnoH1NpnS6ag
gL9p39PCFJN4NmDXHJ2nnoddG/JGO7E2RwgiXXVIPN3BQDY76EjOptAY4sRj
zzE/W/bIpsh+xp5nZ93GyfivvH2hDUW/KorT5eYDZJFssrBIHVDbgoPNAArT
fJlOmkUJ5WErSiIpKgtLD4fpsHiVEYIFfG2dQ8XqtG5UKeJ7kSpGTOUtv3kd
ptguWHfY1xLB5nou4xrLjPl/j0kztyMsLj47tn+Yb8jQtZBoaASU/OxVB+B3
+UeGfkYjhH4djHVUJLF9uCUtkp7bWRXR9DKIugAvNODe+lo8bmswWAbH2Xwb
MG9GRgYmVrrCV1ffWfz0a4vppffW0r7jmZx2xYKb333XPQ5P86msZb2EhlDU
M/Cw0P0Pud2zGbUmfhA0juLmVQcw7RsnvijUhh1cIvb8g+9akp14q88OAk+A
ZBtCZIWraxHWKc9jbBGLE40phFusWClKHQWb3hE5LFrJQc1HO3uEukwPKQso
zoIuIxRqJK8ZCHUxd8zq4fWQtBkr9tGnRzNginRKKjphp7CkIsEp6L9vGP1B
pAxhiQQj2CyiCBuaTbOCt2zcR5sgYEFt0Y9H8rIJbIaAFkUONfGo71CuCoCM
IoenjWhgKuax87lBId1snGD1ZbMwLxWtFKdPn75F99uQIUO4+00ANTLJDVEO
lDSkHRQWNlS3+/Ed91qGBzU0Kd5X224BoMKe4xkMyX3E3QlOGJRF/zELsdey
hlRw0g40eY0VZlhQJ95nR/vWBahClILQ4NCsaJAhAjKQQRYDPhBsuKY4FecR
tLJyDb5zUYmeVO7C79Dw5zBRguceUzpWU6aGiejtrKkpH+9mgiPzO5+ZNaIj
kbWW5ijZXz5zZ4bVezIR1eSBmsshzA3RkckN1+0+zbTHxqzLS3ceuugTp3IN
Z1yoXTStjtRuA6tkoT2IKWVX4AuCcPLAyUs+HNhvVLk0QYmhmzt3LveuDR8+
/Ba9a0bDooXTeYt3JaK7jWhx0tVSrvLvsebwQr/t7hOLgDMMYLRQr4Hayr6e
vuFWFxoGFaALRsRmLN/L83S8qCKWn/kTNvMdNPQQ4rril+DRiUoapE9n6aJe
j8AMNboTeyD8MBoCxon4CEdxFO6Fwo/0uHhiNC6+hrUe6tAYBxJYc+tVYm9A
CGG+R14qCG79kdjqaI4JqLDopJRkUoq5p6LNdMAjet073CaMyIvk9gHWm7Xy
QOgakJZAfIFKQJYa9jQWDwdVxQpZJ+B7ntDi5riaxxelCRl5/LlZPCfbyJG8
uqGhgYdXnjp16jOc0QfdN9uWo0Z+DgnW4Qw7gMG33TnA7sZt7M7LyohLowik
0RhANWMOH3Xrg0+tcMO1IGTwefC0Qfxr5LLeCND+N+ysg7Fhjhxo1pl/Ciii
h2OYdRHPyfdSOziG7ja4roqF3sNyXQlwEQLoV2UCBqDV2fhYXE+NavE0pl7B
KxSOjr7hAfY3+xwLyNNxAqIMTrV1QZOYFtcofXYOD5MKn4oBScRVwwrCcU44
px9zdHKa0AxjLp98fg5Tb8g1mFK49WiKk+U/a/xlmcmulzXKE8C12iJdq+3I
cf2Yqevpg8WfQnYcr3A7Gszudx8AFTLDnCvkqpdtOc6lyZQOAiDiF33H3Rnk
c+nm41xex7GzJbVWYeJ7zC06EgBIZQnbJJbZc6liXcF6voboox9L00wYyf3e
wxbk3VzrUbFQnREoMSNWXf1O0/ZGOQGwaNEWP2xoFMGFBa+JzBplqF4EPQ1L
nBPqAbZNesCJwFwq1RkAwOLq7bUJI841MZ+8zlJShl3dZPKJvMTlCMRFU8Nr
2EtzJIbHdyLu1Uk8qOb6Rvu9AYFTCY9Wz1LD5aCjpGVatkSaSmFVNGuy+GHt
J72+232/DBaATcxyGhGTkEGCzrB7c9qk85zbZCpsJQyvxTwTzGAxm5UiUC4e
ymE+C1ky5KLgMRip9s2JJalEK38t2fkOMtocUjn7z4nKs/1z2RGq4foaTJiI
lahM7E1ZpLQBT0D0keyFpXhNJPESM+YToA4g06gI+KYt3cN4H/1eVAc4+ark
x/L2hilIcVBlMGVIphyUJUQo1hTWtcnkkctUruEr4JWpYUCjlkfEUlFOGqxV
NJ+JDGN05HuhuTbAhBGrd5wK5mDVNdCHRgdiZK+ewhMly4S9kA7d9vfECEMS
1zd5bKf1IjMcYpBrnGZHTRjtexBhpiUlIawJudItbnaVB0XGXddBV74xHFq8
hFn1HZ4IfpX5GE+AgJEBR9+XFpiOIqLwQd+6x/igp/2jSvm4VpkaHMUlm46G
+r5BFySFD33kk1EQgTm2Tg1EgvpApB2aP2cePMpgi+oj5m5gdHqQ7oz7Mema
KzQ3whWajEYaqjE7Mlw0WZcs8LFREYUnIvPxuoa+Nxw7wfwKaDyEtoqoVmQa
ozRMjW6+GeZXytoDrPP6R5tDQZJu7+L9uAPy9HlbDruyWmAikxt21ne6I8OF
n9gi7YQdXK9sHWpkKQAVFjlrIW0UWk/uO2HRhEhWHT6bDVkVShouty/7N6kW
dRIhxI/7x4XOG+xJUQSeBn/nd8aebDuQGgJVC/BPN2SMNRo8IBu1LvuCtYfo
lakb8NCyp0UlVQwEXLr5WECFbqlsQjKC1MFHy/bwvngKrrrEAiZCw+gcUJjy
qHxpufGvywrGGN1ODrFnLP+qMKkRAr67uro+QTZRZgjxkTsT3xhhwE5TfAvy
XjRhIQMNZRXQwdd6N1cHp7aBs+VzNGaJT4QnwQYi7jKnQSpHCIeYpOJSPm8G
NCT8aTy0RUfH3PgKSyAN6cx041xw4DE2HrUJ3+OS+wnRlG9yj0tnba/n/AU8
yAA64Hpp9OJgsDIgvsjlixzi0F+JEGLCjvQZvcC4yDtDPhaKgfPXHgq4vYyN
A53IiQt5ofjhg0WfhLpg8R3RqWpWsYS5wpIRcvjhnspXhH2NQlnJjRZqVbQv
gKOKECaLjbQvkhmBkwu8Va+LtM1reLqGo+oJG3JNf16u7Q71a8/NmY5GRvYN
wp+hq/LtEsI/cs+D1UJKFJl0dASILkOAIFIGzQP7jeyeQKOxQ1DT98u6pC4l
evOeAHv0mu1Mib3RzXdW2eFVd4JEXElTlVdB4mTK/OxaS/mtKY+jsQssM0bQ
gR9IFg4CAQUazMGyThLc2oDuyipKzHHBgANVg+au2+YwuSvWPRpH+9hFyY+m
ptAUG0Ivr0MpK6O3lz3dWRXtd9bDkYPBPkHBxvqj4eY/DRH1dE8OlBnsgHSm
FoXkrMq1UOAnPyrgWmT81edAdXT1de9LCsOMn5FnNZrum+5jsU+4ISSO8eDM
gmG+FOXxB+R2srYZ0bor3Bs9/i4qnvdran3rgdAIEtr9gicfNroVoqLXA2uJ
uwGjiuhQfGUUpiWMonp9sbbRsQYyqR23K6ofOh3kudOWforfhxvkixKG1ogN
1HgOjvbV65LZWU7DRDKOyT5vwN7hRvR+HBI9sMW0RmAXTELQEu4M4SE9EVaU
fBUyhRLgDr7pGXfV/HMttrWhGo2FbEgo5LVBi7SUxD6H6H3P3ZO0bUMZ40l5
DlphGYcevrGpK//a9ktf8dhVOAGu589mMY2QVOQRvf/N0CjW2KRHqPjIUmpa
9G8hyjaa9adEjVUh1Q8kzL4Tl/yzIYt4JdK7zIMczB3qxkaYiIuRebv2Wrgq
CNkI98zbZLY1nw1aBIsZiRGhz8Z4goj7BymPihtAj5IkDcOMwlkaZOSg93X0
3OtwX3pkw6MMkPfuKSb1ODRuCPnjxENXqEojJcEK5RIGwMoy/zpdc5Cl7ubf
W+czpJpQVwg2ZUuwVrnX1Bq0SwSl3hJ3MFQEczgYEHKsCqd3icT4trqyDBI6
qGeCHIDb8Um6qO/BMBiiRf8Uok5rfvshar5+mtpQ51ZGmQ3w1YM+PQp5QSm2
z+j5+H+fqam3oyEgWqIFHQtAaK2y+TSEtSASj3L8tRxEs8ncXhnBIlqVEK7P
6AyMBgVHJyLhe6OcI/jOKFqdJ2pF6Nsx0uMba7/DIz3kWp1DDOpnsyNXwurO
UleEszewbQJY8c5KdX1kIKwQTVlrrkkAHfeHl7UrhaVe7rU3GKpbfQ6K+C6M
mUInGzrEzl+6zuoQq4cyxbfca6BktYWGYocuPHI2249RosZKone/bIWL+bA7
U+slY47PzLH98tr07n9dDhQeBhCYE6l5Ifg9LLxxSL3QAX0FCJpeSNxqdDZK
wIKt5pGb43UxO5w/ASC2JjIiS7ObBdwJhQlCopWZXLNAvfDr2KkNce7Z16Ge
rF83av2H9Cfz/oUaqM5fQ5kjKkytFvwfuqYhSD6+NQIX7dwUCB4Osqw9wopo
yhWHSRSh7zUkShA6HAo7pbntcwid5PDiLpSAyoZTBdpJzFnCEFSzgyJ3Ngtd
FYwAcyVBnJKvu9tpubTdypeAxd9/NOBZF5kDwGfZv6Nnzc/bckQMjU3NIWid
cHZIiRPPjvD3l4OngeNR3s4sE5E5JDDXAIPorYXnUBhBTTQnEbNkA66sixaO
YMXr1zTD1dZ0h74D4vnR0j2hqATtcuBX1N/x5sxt9M/vDqMmqvfXMGNckJTa
3qJrNiRSRmcJglbEBzsUbVCAyyFuW1B4bkgYJiBpWJ1yhWqQjL1cK3HjC+0G
tVf0hEldWPAYZZvtwggjY5A1WAnk1cToog6E3ZMRuRAQrCwUjvCKYOWZ8+FK
GV0/vAKdNS7SNfvz+h3hyYeQwxl/Yk5TUeDUMoNadWh1atnqFoTYrXFkMAoC
u2OeXoNMMtx0Mw2qwNt1Z6+EH7rjEdFTdPIDHLzobKlkjh/kTfA3cg3+Ohqj
NYrt6NlsJpJDd4pcQ5oHEB/jRns/FCFz77c/oF9OGGsOSLNGGCF7NGHWVi8n
e45m8Pgz7QLboD5sozVtQzd/rc6fUR/pEUmzu6KzqYjMOu3IkgKQqW0qpwfa
LXpfcSuMnOMNUWdu1huczCCV15VRYtBLgCoePH2ZDw4meUCRmPjqUfcymCSc
NWwp0tfIBrWhtWbZLyBlHnUjHAnT/4io7LKvj5snk64Yvwpx21dX441uR/4W
mb7aJvgO29kVnQ7CE9MjCqyyOhHina5YkeVa3LHgo3tW5FD3NOj8c5SjC0pp
6BvLQnEOZHDEWyuZl0rkC8cHG3j0XC4eRy5DZnrtGkzfWv5H1BRvlMtQBkiF
uQZCeUjU9H87fAZTicpiLNp4JCHfByMdpdMWCiN9DQ9zPQInkaFlcT+SxpK3
P2seElx25nC3X/Lud18nIFh8ENQzFBtW2Cq1CgEmfNstrUQ5vV6aT/3GfMzF
K/MRj7pfw3Zib4S6Blk1I8PS8sLwL/Qfvsx4hTE25/cFS51YFXDvVLt+Le2S
XDfq6Kpze8T1g1hVRtDykjTXag/n2DVOezFKhunC5mLkgAbTwBmRE6FtcrTS
DDcUqxF8nuWgeHfeTu4yMLvXWb0doSekWoch0dB4+KGX6CcbfkrNKuQoZRR4
OJS9wpNvclmTyjKgMw9TePXSOBR36BrG4QgGJGh8DRLVd6rvELdGIkNo1XzX
cGUetf3Cd59bTYgLbD3Iy0F7s2zLMRY4qD2JgnEOcS2Pc8sF/HqIGI63US2P
uJcxw0xtgzfKuFdUtK7Y2m8XWdiqa0SHJhKt7020ayRR9k4MatMZZIC1US7T
gb0Io9Dvy4g3v5J34FRqEIf8tnOSd+jEX7QBWl8TMnSZoKFFiwGcxjLatvc2
/fakX9MWJmVqaG2kmpZwJKxfJ7NskUgUj+rLIkbx4BZ9oTyeKFr6Ue5Wr5Nm
ti+2W16E4JK9/rLq0EjUOav2wyz63mh8I861UA3ZCWWcjUsRNYU7g60HywuY
JlAgME/5iPtqfPzNijAuCmpAKpdL3bXykkIqjqSVYs2NVHAtn+qbWlP+9jMf
UNCOXd3fggZn+nvXAC4sEF4L23oLhJ3n+GDmyVXb/Au37jH3jLhhHFqZbYWW
pjMXrwpDI85tdHg13GlJickz3sg6QSOfHUQbD6b78ktLXRm99+rvadLsNWRE
42/sY94GMCfo406yR9zzXs969aJj5oP7g3yGnHvkdBD0Ae0HVlYsiwWssVsk
jwnhlNm0+Bh4G2oWMw9nNY+kCT2luz7o/7fwMwAzIBHmI5e6y/GmGpo2/nka
8dpUqm6KywHPPLqZ+vQZQLvP5KT81L0U0NaamppbQFt1m4Av7zqKKHieZuf8
kCYHMMBELeTz0ChigVrkNxcHAb4fvBBoX9hZc+0r7tsQB4G5AIgxeWoB9gV9
KBYFBB969qr9KcvctYxDG6l3jz605XCG9zLizdU05bURNHLcVKpqbvsrd/mz
YeeZmZk84EoKOtBilhrnhps0WMa5Bjsrvk0GdgsTHvLAzPMBpLkxjrDfX3Vf
Lk4LjKFZMt/CbTxBOadBz3slywfmFI9x1xqqb9Km1Stp38kMV+8zK99QRbs2
rqK9JzmctT9vWGVek5kiLsyFYwdo3eZtVNkU91MDKotzadXK1ZTJ88TdIzTX
0qFdW2nOrJk0ffp0mr9omQkPcjAjK+DiNQp4+oQXadDIcVRU0+rposyLMs4e
pcUL59PMGTNo9tx5tGnHPqqoa/a3cXrnUurZqz/tOZubItshjSpnzpz5DHXz
ffdNkHrkKy+5aY6IiRy2yolaR1aGdojbOowIugOH1O5BJzZqiMPhbGDMIyrR
2tMFyQk8Yp0aggwiNf2Ku1ZReJGe7v4/NG7mBr8RDWX59FL/x821jbwR+HkU
/7zJLTBe2UZLp71FfZ4ZQVcqW4SX5WraJ/T4756gTQeY9pHqywvoowmvUK+e
3Wnw0JH02qtjaWD/vtSr39O0YP0B3g9rAO+lsivn6dm+PenteZvJm1Hzin2b
l1K/Pr2p34Bn6NVxr9NLI4dTz549afTEGVRS3SR3VFWQQSOf6kkTZ23A21kx
tAtHrE8+jq5nKPdJLSF+lHFXdZx2wVSJZ15bwq4nXCahh0ZFDygp9AkZtSrc
SlAiYDwC7icW9z5PUM5sTBkrEl2UQcP79aYJczf7TWksv06vDe5jrm3hdcHP
r+LneVtDm7J61iR6eviLdLXKb8q19L3Uu1cf2nY4lV+yedFU6v5ED5oydynd
NDfb2tpKBVlnafTwgfRk3yF0LrcsgBt9sox6du9Jmw6dc1/TjWqLc+j5/j1o
4PBXKc2oEixcS2MNbVs5g7qb1647cN7fUltTBU0Z9xwNGfUmlTTE3K58DhLv
WKyNDwGYeOB0YhlhQpAPdDNsfXci94+xYbbOBxOuGkOHKMsEKg+5c2MtUAG/
7KolWwohtkZOXInNDY0oEHrt/ydb1MVv0faj6RRvKKM3fj+QBr8wnkoaySud
3HPHafWaDZRXVOqNGD5u/ezJ1L3PEDqReUNUYn1VCW1atZx2HEnz39za0kQH
Nn1MvXo8SYt2HgluqJUWfTCBeg9+gdIL6tq/QeLNNbnkycvvr2NSEvCimijw
D9yvOXgAWTqQAcZRggNh9uNhtxc2S1frfl3Mw0nF7iGWhJlCjBmPxzUAFpkY
qMlX/2+2Y/629m7HjmPp1FRxjUY/3Y+Gv/wW7T10GI7awYMI3Y4epSOHj1BW
fonajjgt/+ht6v3M83Txeq3cSbOxZKeP7qdlixbQ+FdHG23Wi3o9NYQOXbwa
upPNcydTj75D6dSlkvbvwyPyuCZW4PAr2zLTYQgOUiWgyhRUJNQXDtBF566V
WHftEbcZMEjIZyHZC7cNLdpyCGDVEZvV1gXXoKWhLeHoSGyGzRSu92G33J17
ku7Oa8/2pXEz1ivt30ZrZr1nFM2LMDIpotDyM/b57Wkov0ovDR5AAwY+Rc8M
GkyDBw+iQYMGmX8H0zNPDzSWpxct2XksvEXT/RZ1cKoj59wBGv3CcPOxPah7
j570zOChNHHydDp87jJuR87gjvlTqIc5a6cuFae0f4u+5pYfRlm4d4Rcyrih
UvGD7kF5CW3b6JYWNmLkPx9xHyEqDn4ZsoL4OONbSkoGHh5AiWiBkWvMOeRS
KHINiUaMRMDODf+/2KVRby4g315jVnTZzHeo18DnKO16jd+lvDPbqXfP3rQD
Oq3+Jr0+YgANeeFVyrhWREWF5tYLjE9YUkJbFkylHk/idRdDem3l9Hep51PP
0YUrlWJ52poqaer4kdSr7yCaNncJHT5+inP0TU08//r/8PYe4Hllx5Ug3CS7
W2rlYNleydpJnhnPrLPHEzz77cysZy3ZlmVLstQkkXMkAWaCAcw5x2bOOTcB
5pxzAAgQiSSIDBJEzuFsnXtfvfd+EKTYblvSBzbw/viq6lauUyam8A5UD7Yu
nYXg2BF4+Ky+f26py/7yeSHyn9mcy7/vh4Pf9nGQiUGaD92K2dreqcpO67EE
XSI2P/eVijvwW847UlWaBRSvmuRrihkKsgUregw9vV5+w3bSlXGO2uUYP9lo
vW5vDSEDT+IIiKJ8Cxd/vV8uTkmJQmT8CNx4XGF52PYSC8RQDw2OwMYD56EJ
hfN71gh3QnD0Mse7urBtyTQ5ATESoDxUSrfXV2LB5BEIjx+J3LIGdR2uHVyH
oUOjcFbCNGVgT2MVZo6ORVr6ErS48tOJbavmYuSk2SisbPQY2NWIJdNHIzZt
AkrqOvtnoGZFSvPvYHxKIvZdfuiEO/0lXD80pRDmItnOf8OiZRgfgJqzTRlp
V/VSk2njLrUi/UHCcOhR5HO4lYipM4KZON0/mjbSdkgCTCvDOJOtc3duw1en
beb3VwSpfGvrbWb1zYz9LtrEM58QG4ypnxy2jJW/JydFIjwyEvFJI7F+y3Ys
nz/duM+JScMRH5uAucs+wZb1q5ESFylGKBV3ikwaAi+e3DMeYKi42cvWbhZX
YzemjU0Tjy4UG/ado0C4zR15lxElHv3aQxddzqK7DbuWzzTyM3fpauzbtw+r
l8xD2NAhGDlxMV65EdtA40COiQ3HhHmbqEX656x6ZFQFzc3+dboD8ej6SaQl
x8uHibd5NUcXu/V0daKpqVGYzHWdvTqv19JUj4K8R7h96ybuPcgxbeMaJ72e
F33fZAYIY/r3KSvFwd/CFggGASobDI/pVdKboQp+4oRtPW7x0Sbq6fUwtDt4
6q5BmhJPSNEBtTmOalplwyAR9SnKFJZU4dil7AB5Mf3ETufK8DfKxjfQISH2
6rnTsOHwRcPfdvEJV86dgT2Zp3BgyydISRRDmZCIqbOXig9TjkfXTmPsiGGI
jYtD6ugJOCohXDdTq/auq0oeY83SuUgS+xonTxkxbjIyz99GR68XUXc1v8Cs
sYkYOWUZmrvdl7a+qsJ++cS04cnGNCelpGLJ6i0oLnvlOrePLh9E8NAQ7Dl7
L+i/vEUeeHdtWL9kPlZu2o1nla8GuQTrwuXMHUgSsQ4LC0NM8kjcKKxU0Si+
fxHDxB1ISJ2CworGQSq1Pe04f3gXxkhMGRMdhfDwcERGRSF5+Ehs3peFhjav
RtBfStRFpHZgoegIMx6kbnf7Y50UerGzIlkrudTk33WeQ++KeRJt39YBO/q4
33A+n21NFBri7ih0KoVG0WH8HaQG4NsH6tTjRJn06FKday0vC43QzNqQ5TyP
KYUuRXQwB6+7u9vNs7S2NKOxqYkJaPdaZzvTbqbsH+BhNTc3mXRcW0eXZu0u
H9yAkLB4XM+vcmcB29ta5GlNaJWvpW3fZMmGuRMRPTwdz1+1v00Y3jfCsHJG
OgYPGYrEYSOwfscBPKt2/AV5uLMZh0XyYsLDEBoahrTx03C3sEzh5QrunkFM
SDDCY8ehoLTBfgMJM3o7cWLbJ4gICUFoWDiGjxiLZctXYLJow3DzTqGY88lu
tHZ7RH991u59wzAW89w0oelm6Py+8yTtcaVJ4kM82MzOGf7Lf8k/1Sc6MU8s
W8oI7ZH4HWr9mEWic8CeaBUNvo1ipqkI260Fgb3uTHnoOHCyI44NNc9w+OBB
HDlyxPzs3rYOcZERGDVptrBersirDx06gFOX76G1oRZbly/CjmPXHZGnR1CG
ycNjMWPZLip4d9FA/jXEhYdgw5HLQf/1LXwdYE7z0Z1rER8dJR8oBBeFnTR8
BDbtOYInT4uxZeVchMspD5PzmjFvDUprmr7lfHbh3bOIDQ1BRNx4P1PL8q4h
OYqviETGwvUof2F6NNHW+BK7xAONiAiXx+Jw4lZRv0zV5DnLJ7qmIdt36js6
ulxQb2p/TlL/ffIKM5VOkvdoftVGzMz1WWVgp/jl4W87N0BvkAwlv0UGvuJc
prjQr1wbuBSWGaq+sG5dDo4hs1Ipzvcuk5CWcSc1HH8iIiIRGxsrWi9SKCxX
5NUhEvyMmboe9S/KkR49FJNXHXb6HwYgh4np0Gicu//MQ5/oaMLqmWOQkr4A
tS1d/bP0i+6pktizMBfb1izDsIQ4+QIRCJcfWoQokS2m99buykRzR2+QkqLw
3jnEkJfx41FY3jjA5YTEyusXyPcNwfCx01Fe3x6kj/W2N2DF9LHmsUnz16Gl
2xs9ftOUV77XauR2VmoyUDw2utns8Nlrl90FWXf+QyMKDK6o/LnPnIEBmVdp
Mdy/rd9InsfMVcayw5i6/IgZ/lInkVAlfxm1yJTQvK4LC6zHhg+9xqBdGxI0
qm5vqsWj7GzSWzgo/77HbKf5TT6V69ILnpSatE/Bo2y2Mbu8FMbh2oVTuPno
qdfe0FSHc8eyUPj8xRsqZ192bru24hnWLZyICHEyo8RWRstPZFwy1u0UH7iq
VgOWjroK7Fi/AstXrBQyr1y5Uozm6tWrMWdGhn1ZdALmLFiC5cuX46TtJJMw
sRoz01MRLMH98m0nlUe3T+1EuPAzMknEoKrpzewMrMDqlACzHsz5KRY/AUAc
qDQ+X/15vpT6ly1Mf5u4DLskDBe79hvOl+A7MJ6LnriJUbe6csTZ4Q6IFt9M
MT/wZR9gG7McxmnYruqXvtan+JKR7nsXs8QnSUKEnNT4xBTjrBl9Jz+JKWn4
ZMseFIkK6dH1xQPRWpmPcUkRCAmlhQoZiMGDB8uxCw4JRQzPeUy0OFhD8NOf
/QNWHrhmbr7uyQOMTghHaEQMTt0rds9ETeEdpMVGIEyun8951h+9FemtV1Ou
z+3wD50c1kZ5m6rvGLqWOFknxlrsd5T46zcc+tDuUd4LnZ1ijHqVuqZa9SRw
YKvZ6cTyX6NPpe2N/VPXZg+/LGFKvbi/qxAbESakCsXoiXOQ97wa1c+LsGvd
CqTExxgDHyqUjk0cjvPZzxwVNgiddaWYOjpBHovA2AmzkZl13DGHX8LRzExs
WrMU0aLKomKGYeP2fcZ03iuw8fUTcUATxNuKiEzE7aIKV/1U5CN9eIx4RhHY
cfp+f6TW5h8W72lpHpqSc5URSFFHSmUqfbqNHoB/PcHwtCphlp5K2GBmSlra
/YuDSUw/0jydVaYVTl/Nda+xpZBM4l/V/RL4i873eFVeiBVzJhlRpfc0felG
VLxqUf1c/uSxmIClSIqNltByiIRv2S59Kfl3z+xDlKj8+OFj8Ki0LkgXRjx9
eMGadTEFT6pa9XL+7VPWQsSm4eGzF26fWE0RJo6IFw5HYHPmHT9ZtQr3fUeC
KX60q4u3nMKWw1eN2aVR9ToWBpm/C021v9zCGbS0B2k1gWxhV4TNqVaZQo76
ZWRTTQA2hQU55Wf9OHE5WehXXAzr+PIaS+A+tSvP5+3A+nlTTQ0sPDwKa3Yc
QVO7iylUKjZ27bL5OHZLl9IMMj71jtWzESwEHzN9OV61dLnBeB9/ySXsnTOW
sHHiG5fVu859SwWmpg9HcGg4tmQ5hB1kCEuLU19fb35aWlrcPAlvuMYpibMV
y+RKKmq9bhAYuWXS2WCNiAoQBarkZTeUaagU3UmnibPcbtaOGZo+C2tpPVkr
4kyCHAn/FLP2nOr+hebmZvcL37hxg6QOCqA1X9yGVRJfhMip3X/8BgNiJ3Xw
AWx85DbeABI7NbeYnRNORPxFtNQ+w/TRKRgqWnjN7lNuZvudiN7gdhu1VGLK
60RnV0NaWhrGjx+PkSNHYvv27U6q+UMjlZTkfJMnLjPuKs81SSlfWosGDFFO
X8s1pWI2YBC5ka0hbAVRoE6qbx4AxiqkNhWLUFaRjz0N4i335KRZ34W0Tvta
AAfWrVtnWhh4B8OHD2cbQ1DfSKC3BRtWL8e52/luiNhcW47De7djz+HjaO+F
kin//lUsnDkFk+YtR12nAwH6BRTdOY2kyBCExaTgUvbz/ugf5DHgNGJMrTkF
d4ur9Z3bqgsxYUSc0dKbM2/7pT4/P5/NNeans1Nl832jMDXiL1Ynv6dXpb7Z
QeVixwv3Ezstbir1LOtzqTpxQdnWyDyAZpGZd+o7bqVM8Pc0spRw9podDVAo
3I6ODvfb3r1793WRJyG4h67N/Ysvq3xyH5NGpODjn/8MaVPmobZDH3vfPP/y
0a1IiA4TByMYo6bNxyuP+ozksravMB0Aw9PnoqZJgp8H5/qlfvHdc4gX6ocb
G1n5mo0Mj8DeCzn9KXN/ft4rcNlBULdB1nr1NKFumsXZPENXW0mvqZrTVx8h
SbjD1UvamkYXI6/PEsInz2v6gLzbpmbC5P4kZSVDddM2+5o+/4rznXu7W7B6
3gTx1KKxYdcRcaUqqWeUvjeO7xSdEIyEpGQkxkZi1PQFpO8XnIPe1fICS6aM
wpChIVixPROPH1xGbNhrmqW+JBtjkiMRKgbj0JU8JW1F3k0Mi5bINyIOF3Of
9+d+aOacDmydWbxb6+IcFTt45HL2/c19lHUDdlVgof3Fi/4th2ZmMyetZWGZ
SY7anSudpu6riS4+rmgLKsxMkBnU1E6vFd0NfdHrWlcmwzYfvGpQVzo7ux3K
93FVNKRuqynGuJQIzF1zkOltLdcW3DmLxOgQxI2YKJ/5CLMmpRqpF6o7rsoH
qCy8jbSESETGDsPylauQFB3RR5wZir7ArAlpYqhDMW/NIWMYVEKuZW1BWEgw
YlMn4enLlv4Ir+lokowdWhQm4kTydxGw76vId1iR107EV6Za3qsFdrKJqpgP
U/kT0VZTJbSVNIrOLJ3biQro4hhfYyzck6Kmts3ZF89tDsL2t9Fa1H/xA6RG
BuPgtTyHCB+ivOAORiTHIjQmVTRzmej6OkxPT1Fif+Tc4VXRLhHiTUZFxyAu
WmjuF23rNZ7YthyhQs7EtIkorG5yWdDRWI15E0eYKvCMpdvQ6eJL9J/PdcMZ
B+qfscf6fZe4CthteGCVnDyh8JMkzNuKeP6W8zAtL/VEroPpyu5XsbjqszCK
f9YHHJWf+KTPoK1Cw/oPgYmQnCin9q2S3SoGa1xyuIjdYbJTizQlctzHDU8Q
VROLQ3bYEeIr+4kepFTv7WzGhoWTxY+PYJJIqa75NLZbjUmKlofDMXbaEuSX
VJky7MuKJ1i9cKrNM4kev/Dweb/5NA0XKJ86MGP6Q0QhdHsjDdQuBE3lEjyO
j9CPE4nXjgXqe76DtiOL8g7SvAvbkhSuggorYAmVvK7vUivXhvogapuavbDn
1VsoLme1s1E8xfEYGh4rWlz0cH4eMvdtxfDEGNMquCvziltT7UvyLznfuKGi
AONTExAusWmEzUkHuUlp4eP1rF2IDQ81cWtc4jBMnpyB4UkJwgO5JnxYv/8k
06390ltb8Nt1dM4svKgweS9fQy8rU7SQd3KeIXriZizfdpbx/G85csWGksWb
T2HGqqOcXXjPcwQHYvvR6wZui5gtQl8/ztD8DSfYaxIwgd4XnIpnRVes9k/q
rzpqoyL/NsalJWLw4CEmbTtk8GBExafiwMkbXsVK6NZWjcmj45E8YRZqO6Gz
UzmXjiI1IRYJwzNQWN7gVoKEO49unsecKelITEgwudGExESMSZ+MT89eRXuP
91VfTzwNclGGH3nZeTfEpPI0NtFxxqmuWyw0VJCqDTYIsx/k8Jl7BnL15OVH
1M/a60mB5Ww68Y1X7jjHyN6lJrX+0NHrzCpGb/y43d2z7ffAdbAk2vnYl88L
sHPDWixevEjs2GqcunQLnT296vDUVxdjx/atuJlb5C6QaKotw/5dO7Fr924h
565du+Tarp07sG3HfjytbHBahN83zzu8dweWLlmMRYuXYPOOfSgur/2e8zY5
V09j54FM1Da/aVvy15x7f1XxFFkH92Hr1m04cOQYCkqqXDuKriZ5bCd2f3qK
qV5lMpPNtTXVqKp+yXXFWgnu6WxHZXkpioufoLS8Eq0+HPX+son0OuwCIG0y
fN94K2zfN/bWlPKaySiNdslnE3SJg0PILibDxKFRotB4FDvmmM4pRUNe7R/T
ZTuvPBwwk5JrD0dAjjjbQd2Ldo/FLVHucQgOi8LkKdMwcliCeIVhWL41C52A
hg/Pc85g8C9+ik8Onw3SFFzt82wkhQ4VRSWOY1QUoqJYFIiMjJTnR4oyGhqa
iCsPypzg5kO8eP4Ik0YPw1DxbMZMmIwpk8cjPGQo4pJH4ML9Ip1yOLhsKobE
jkJRddtnwID51w6pTBa1rtkdN6EiEYb40wq8lO1ADjGPI6TSW6IiY9DLPho6
lL29vYEzRQ4EqR+iSWfp/XO4OpERpXqiqwVrZo9HcEQ8Mq9k22HrF88xb+oY
BIu9u/G40o3USnPPI1zIuv7oBbcHjOtZty+diaFDhmLK0k0okrt+Ulz8HoqK
iniWi56iyRnDtG6aGMruVmxcmIGPh0Rg28HzaJVb6+7uwP2LR5ESHYqEUTNQ
VtemZ/bYmrmISJmA0obez0B1d7RaRJ7+CP9LZVH83INhVavLeRi7DKnMLvPs
6HTDJ0U9J1voGXmj0nayzUDmtXirX/hZVGp+RUXv6uFjuyMr2jnRr54/QHJk
KCYv3U47qgXokgenEBEyBMt2He+X7Pq1GkWRTU1PlRgyDhv2nTZmUlOjHXXP
MWtsAtImzmFk6+/I3P/JHAweEi1C/URzem11VfhU1NrOnVR8O3fulHefmT5S
LNAwrFi3CVmnrnpG+DO0Or9vhHzCkkNIm7XbzPnTpIjT4tYn5D/sHtMsLrNf
vpSBXRVuBzscZB63eYx1YLYEEFvWj8CTvugADpy646oaxnZaZvKAnLrcObKf
O9eKrn2KsOCh2HHyuhu8t716jvT4CIyetZnq5jf7YYbGJK/KHmPahBH4eHAo
FqzaLiag07UuvT3deFldIeq52vXUz+1eZToET97Oc0uDtU+zMSzsF6LtItiy
8h4N9nuIiYkxKisCGXNWoe0zsUET6ZR2+v/0dbi4hvkxUQ5qqKmOuNdu1a5z
ZuzTuKCtTpnoAwcxv90FQ+A7mT3lgBsLGRwVssl1iew0J7NwxLMQ/8EPkaLN
znqM2LemMCfKkezTu83c0JELD12OdErwMyMtGsPGzkNdV29/HNET3fiiDGvn
ZiBYXKnJ81ahoq7NoYcwtq4M89KHY0h4Im4WVn7bkY7O5lqsmDoawbGpcjwK
UFNVherqSuxYNBURSWNx41GJBCv1HrDuOzFB8wRUP6rd2SL50raNmw4H5YRp
iqhvNmj0LNgxiy8k1wPB48T9ddy6zlwY+2207qq7ycXjcqvZCuB6XZjqGxe2
YGl2zNCdCGDXrQPkohy4eWQTgodG4fT1QpcDaG/A0qnDkTxyqmiWfjmgcBWs
S+39ZLa8xWCkz1mJqsYOR0GJTLXW41TmQRw8uBezJ48VpzcaK7YdNA0oapJr
iu8hNTYcU5dsQpsTaBwV7UVL8PRl57sbAvVUSI46k0GuNIqezqkoeu1I4e2b
tEN+mckhMFCTaNlvBjj8yz7m0fP3ETbBLepxcJZm4Gn5C3fA2XShvAZl0eui
aSvluxSLREzDL5xr1w6sR7DYxuOX81zK97S8woL0ZKH8NLzsn/K6MYVThtuX
zxANMxhLNn2K7l6vY7unuRqLpo1ERHiYaQsfN2stmrugh/3GsZ3yySHYfuyG
Ifinq2cLwdNRXPNZHJ6+yUtWmQw2S6PxaFRCmJfXyT1aVlpHPQoNzkI6yjS9
Fsa+opSU4jQVxKv1b3PRcNe/iJJKiIOPL/zt42YVhk1YKMVzzoi2GRKMA2fv
uBTvaKjE1JQopKYvZfOf5sFflufj/NXb8jG9qCq4pNT/bedV7aJcpo1OQnjS
GORXNav4dLS3oaQoD6tYSIyIxcGLD4OU6PTANi+ajLCY4cgprcXx9fP/EUTX
tCYFqsOBmCGZqLPpvxsKd3aruL/B29QaCVURhynMiPyTKmNchZZaZWU2k0m2
dt/0p+3F8u/tsrXBdXsvmtZ8UVf+sW1iOpFVH6sKenQekULLFbtOuSxoqHyE
4VHiIy3fTR9JWfD84SmR0qGYOm81jh/bh6jwELJAGxt6Rf6z9m7Exh0H0NLr
jjpkbliCwcEJuJZd5hpdYrcX5NzBKQmIW7pdT6lOwodhEUMxeeEu3rUenqbq
IowfFoP0uSuxddkMRA2bQCb9ch6VlJT4eDTIVEAIfEtrzEYbwkzp6SXJipw6
C1V1u/j06mfQiJhQTRQGu3T9uU+KdakHG+RiXzS3msSf3x2lakucug1rdl9w
TwUPmabsPnbesq2hHJOGxyBx9AzUtHSri3r5wAbx9kOw78xdV7m2NdTg0LY1
iGamJyraNGj7WILuJiyamobBEcm496TW9Ui7myX2mIihkSm4U/Ty275nL585
BkMiUrxni0otuImkcIkylux1KZJ3LQuxosuioyMROyLDf2beMil5//597g1y
bv59d1KSrhBdoKkrjjDfr0VFujv0No9fyjZ99szZOc6qu0xN+9/K7f4K5Qq5
y7oXHVMJj11wzV6LrsX0nvqq9AjYCkEYYT8IJ7nHZrzB5ppN7Jzd/4lxbaYt
WIUHuXk4dWgnEiNCkGQipw43Esi/fQ7jhsWa0rqwQ6Gp7p89gDAJMlLHT8PZ
S7fx+NEDbFo1HyFDh2L8nLVo7Ohx7fCD8/Lc4CEYNXkurtx8gPu3rmDmuDQJ
laNw7NpjZQSHHg5tWmy86Ji0yYYRqgXYOFtbW4tr165hzpw5/cyyJycnm2rv
Rw7FmxyUlGynw4YUp9Kgy6MuHoMvInz8IHqxwRQU8roOBq0sm5MIgPepRB58
P6dg6Z59JjL2i9/LEoQcKj0IdIX6rpDT7AQHl/R53K6obaZDnI/taq3DvvVL
ER8XLRIZbTqvR4ybhjsFZW7J7cn9c0gMC8baTzWY+9DMGpz/dCdGJMUjMjLK
vlZ+Zi5ag5JqJ9fCp7XjzJFtGJYQK28djRh5SnxyKnZ+eh6dPVBRbG+swNwJ
aYhKlfNQ7UINsTY9evRorUv3cywKCgo4O+u48F7uVJvBWQUQLmg2hO6M7eGt
DHqPZyfILlNSeCxVm6Z7UwwzF9akTN9h0nu92h46yBqoZ1UmJUQe+bHkdTN6
tw9vgd9INZV/V4EiWAa7EikGuvQJ7t65g5y8AjS3dQbpV+djxbk5RADyQoZa
kbcH93Hnzl2xiKUQ+x6kaeK6F+V4cO8eHjzMZY31t523qaspR+7jIrR2eJsu
OXzMqjR1zNvH5rXT39RoJEZjtSDbyaaKS+kuwHMSqVoPI5iZhtC289YWG1iY
5GZAoaGKuIGHMvBz5VRYGiyQl1osCEhR5NsUhVKfzyl4an3Yyl+qVPs2ompH
AAdk5QDp7TQ1e7kW5pXpQrgsMFSwHeFkM4/7r/uOu6oECwzrIdqw7K3YlCom
z32hvzffaTOP7G3sv6vuzTc0QIFmzF/u+KLjJz1yCvCOWVA3VqeBdRu3CZx7
e/WeiLZjQFcKy0xI5kGI2OkIXe8z0P0G9vuTSe5qABGBh4/tEVHGOafS/PXu
9/l9h36UGsoj5VAhHEyltbXD5RS9FM4K0hNhRo2GTI29wU2XG3bge92FFqI9
CA/Fp/qXdeg+JX//Qd/9Rwqd7b9GL0ZXFL77TWoHHJl58PRds4NgxJzdZIPL
VMWbJGnp1fJkyUn7tvM19UBeFC+OTREs8pBGTAy4ECe9Fj2bzYud3v6xk1ce
mZf475f3ppUNd9+TsGDRppPUfb65ui4XYaz/jsU3A6HaPH2ZA2Z16U4BVu08
x3hMBZWqnXUwkoLgb+Z+et1qDQ/lkFFrEZG+yaI093rCxl2ITx0wU/+qA7Yb
c2BAxMgF96Q66DMuSLnnrTa5IzPWPeK34H5pdQla60pN5Sbz2GlkizqvfvHS
dKfJJwX9gb5ORKmuro7OhjCa/w7Qv81f3/0c177nXOO+SdUC7x6dKZ2Z1FQt
Ru3UYbc7+zNArKIwOBovLiNXLLpAPDZjaiBA2V0spoA9gfIu2hVJHlMZcWCL
i6y73QlMi0i0du8FzPoky798wixZcIbv/MOaulRAIzEeia2HrxmQvraOTvuJ
H6GhIhtJcREm+c95pCjxSEaMHof5i5Zgw6YtOJJ5HA8e5aO1syfoP+pH1tcj
NTUV48aNE6KmpxNEcuzYscYHHD9+vBA/8Br/0mtjxozp91pKSor5S9+PXYQL
Fy40n/juO0o0mKFGqnGUOvtBeDh8FTGj+6peubqPSuhVQ7MqdfKQ0ZTW01gc
0DaGO49K8PcpKww6rthF11YRjLDcIMsFVMnYUER8An+nOG1Fr2+rCF1jVtgI
DCjyoZzp6WrH06J8XLtyCccyj2LLxrWYMXUSRowYgWFJtvk+OiEFD8sbXM68
evWKXGEfqVCSzX8DUFpaajhBvK3vOtdIL3qShGLSa/Qd+Tz+pdeI0yX8MH/p
+z18+BCzZs36jJxRX7Gtw0MjZQBMgmk6icZSG4PK7NEKUv1F74aRGT0c+o4s
Zn/FeUwxJO7llWDTwSsmia1M0F1HvUBAYa2pDyCttq97OtBi3TloH04n2CDU
PC/A2kVTTINDXOpoFNQ0BVCffaOWWvYaUcDWr1/vUNpeIybTzZs3zV96jUqp
77WGhgazZJx/6fsRQOuzU/8bzr1q9ZgbXVm0sY2z3coAk7N7WhVQsFEGUP3Q
jJIBJDaZowwgQZlQohfDDIa/r4XvYyCsfRsn6PRy/sjf12KARAv8rXN2G4li
W+raoPamlzh+cAfSkmIRGh6N+Ss2mU4fMrgvI0h09fSPHz9umMG/xjnXcnNz
/xHE/JpDTGYGMpYdMatiWQBx9gV/15EhKmDt6nylUD8D7byEGGCCoYhQf9W5
bPrNxWZQtoXUWn23iQsLdO1fFLBQ7O3qXeddMS94Vu2O8Q/0PU8XMijAZndH
C66dPooJo4YZYKT0qfNx7UG+Qb36vbdQLzMz85+IeiozrU6X1ZEz90095M6j
Z26phZQ0G9pEGdBHozKmE07HUxGSqaT5+vMSMNFRYdRvVkaK7ClR6bDmOPPN
8nnqmFPMCRxDEVZCUxwJrsc9BYEiWRYgkhTvcqcT9MvOVyGacu6dy5g7ZRxC
hgxGUlo6Dp++xhEI17H55yWqulj0iSkGtHn0EylVvAs2aqjjz8dpvVifOnDq
rulf1RYFEpmbiNnYyUjUg/bw0MuZUKbrwmBCIwOKKesn/jWMZA6pys/2B2AO
vIhvNNRb0qWf1ViZi4ToUETEJpkG5KrapqA/+pVQUscs/Nl1BxnYTfBqkMuA
lfkpyox/dIwBHkWOZTuRnwAKMgg2hSm7nt2r34k6uJlt0D88HOgOmzuxvLXX
TOMIEHDQy6vr3V11WtCtr8jF8tXr8fhZVdCf/Eoo52JbtHrAAib93dHlxjCk
AMGFLRy0hZmRS2pjKB4vCL3lQICS6NqTzvPOzO6aPReweMtpY4t86zP5MF9C
yezxsOwKfVN4eqwpmLpLUkmoOy8Yl+u4un9w81dDQn/nHjsh6dfzCFODq42m
I0QBUtwGtqmr8Pkd1yLHcf2qj7Y8vuyTZCDI+V432yBsoBdKjAgVSCZccxxP
VSnH0ikXI/f49s0z+nviZFv/96+QSjZvok0HSp12B62cx8YJ+l3qdPtdSPnG
VFba0U5ek9JU9/Q6GA5X1NRpXMZonrpsuhBv97Gbxhwr8SjH9X1wwyn/zEts
+/S6e822WJSZzeDfVGZ2tBuwCkZUDU12k87v/7MSUQtZ/1K/gdOSzFDIGaNy
aw/0YJj2ddw9T5J6LaCsEz2x40/DI6Z+IsZvxMSlh6i+vHSW1+fpbx3nNiFx
Gl0aUUB1BbF1sz5CW3MD7lw9j43rPsGsaRkSGQ5DUnISho8YiakzZmHN+s24
dOMBR0jf6gC+I+3k0ptox/GkxsbGIJ3dYbKCkJsMq1fsOOv4bl0mt6KRKAWO
jiIXxFIoqdNFySgtKRR6Yunt+MMau4be9rsxCyVOpCt0ur6xxQdgb7AlbRE4
IA9Dbcrn2c/8KrraGnA2ax/GjxxuxqMio+MknB+BseMnIGPyZIyXcDx1+DDT
ZskZntRRE3Hg+AU0tne7QFb/GAJrIoPC/uLFC1y5cuUNxSQmA1hM0v4nk1QR
u8CWe9YgaFh9jZU8ncyG/TBmsRkZ5AlzCSwv1RFl8qfNJbCtbWvVz5dc5zHo
u5/CrjkoCzjk5hw40YnlyzdNl++z3JuYPn4kQsOiMGXmQpw4e0mEuswYxm5x
dig23V1dBgSqMC8bJzIPYkbGeISFcPZ7Nu4561//3T8BrRl6Mr3CdE3/JaPC
wkKDqaO5EUVcpLDy4JMS8l+lNQlB34eFVv7czH7qnFRFx7QKVBSvyjFZQFBA
lvOIwE/5VFq7zWTd3pIiFix0Z4jSusQOifpoLe/bVo/F41IwefYK3Mt9Yrpk
1H3r7W5H3oObWDh9PMYu2Gp65f8p6En+sT704MGDd1oiNMhZyvvCKFgmNfy4
vMw7M0PE0y0CqMaI1oS9McQtZaMBiSR6xe9GEoRRbRyjaB1UM4WhusDCUHOL
s4jQR0+qLTbt9/ow/nq7OvC0qMjgZ7mroLvb8Ox5uaHt56HfZ03hDXK3lT3y
5SJcw+QAjlEA5XdtyqCAZJ5/gB9ELzIgN1SYfqKxyMShbYo0HQPthaH7oxum
vIC6yhVCVaZ0LOxC9OsucflVtNbh7cfpNsSQHxFI/ss8EGGbYZ7xqyHkt3zH
z/W5mYuob3GFk+U0rW4pUoCmN+hoUmAfOhQjZSVW09Nn1kCL/NY3WnRjegHa
kEyvTDfB+qXwUR8ppLM+beWnJvb3a1WLC9bhWTG5Ba1JD3RI3VSVh2kZEzBx
4kT5mYD09PEYP26cEDQdE+TapEmT+Nh7mmMePRqbDp/73Ir1s+bcrCAz40Af
SPGEtSrNaJB5OJNlbm1XQSbtSqs8HUydoYLMVrwV289iknhY1x88Mc6G0p3l
frZp+5uq853WMPjozrDshalz9rjXyMt8x0Vzu5xvPHYnEOy1r6KtrgRT00eZ
hpSo2ARkTJmJRUuWYPrUyUiIiTQoJfHDxJsYMw6jRo1Haloa1h8+/SskvFKR
oTkTHRy8tXvPet2OBjKEA2W7sm4QVMQwQjS1y4Auzwjyv11uWDjQvJRn4Scp
K7hf7Nedy+QTcXqYyfftX+HQ/SNnXM8/w6N7m/xd1QpSrORnGUd7enXorr2x
EtPTUzEyY74pJDh98PKRcloL72N2+jCkTZiNivq2oPeMYR+gO1zMOyhGQkdr
M17W0q/vCVLwgPbmehTkPsLD7By5nWrfdPCvKinISiq9h12ZNzFi9m5qXFdX
8VAwBvth7GJME0eQs8Bv5Fd3t+sB6mZyxmk8CKLLAiCklTJ6YDjMHDJmvRl4
8g6RxHgNgTEeD1HffY20GDStfi5ScfGzGdvp8wquZSE6Kha3il+6157dOmbm
iS/mVrkVgDtZ2xEdk4Brj2uCbCHvAzzPu4XpY0eYMdfoqEhx32OxfMN+1Lf1
BGmn5D8vt77kHKJ6X4svU61U8a1tnXrG6F4/91UMOD8o3qV6i+XVll+0Mb5E
uFk4L2/KJJoEoDqISipeu1csTstZmgvfNi/bJKM7F+VD/cP4fY+ebZKx/qZ/
uS/bz0RzetrQAeX1vzbnzEHERicir8pLXpbeP4WomFice1DmMu3u0W0IC4/B
1ccvHEibD9Fa+xSTRsQjLDYJ+7LO4+H9e1g2bwp+MTgYGw5f+dXwzXWOe204
pS0vNBfaBej2IwnTmFLvcrOyNi1P9jAHTl7Q9DO55p02u8OmwHHbxOK5vnpv
r2E0EefW77sYUM/g25pRoMZWNx1f1M8yNsZl2vbtb8dg2Hc/z5vppjcSuMOe
+GE3ER8eimlLtqKitkmL4jWlhZg3aRQi4kegoLpJJ+IZxTXU1eLly5dMSsi/
H+LcnrUIj4jF8euPUfvKJmFvCKcJEbv16DVtiO1oqMC0sYmIS52MisZO7Xz9
ZYzVfCXbmZ3/BSV+LmZrOrY7IF9oat0us01sYlK1pSZIpj+gKpVZCW5GZBqL
VKaxUib36UpT7c3sjba/NTiIa/4tFtpb7l8+qrvE3MPoNGr6F5JSnph1oz/v
Fbe6jYx6NvQjCfrasHXFbHw8eAhSRozBqjXrsHnzZqxavtgMvQ8eEo6Nhy+Z
Ypc7vdHRjCfFRWbWcZD5930JiYtEt7VLgPkK8yXAjI6NI6SgHT/9EFFs3IyJ
MfmRxOGT8bK5BZsWT0Z4XCoeVzW73epbl2NoWCwu51QGvasYfKjCUHkHODna
7kFc/+fAjh8BR6LtprrCLOBFHtBczdHNoJjPJSYezG6PMzxTaoJtxkd+wI5C
B36i2hlcVTGhkjcw5OKLbDpwRfRCkRvclzgYIB7euA15Ge7SExbeq9yzfqnw
TP4y/VFxtJp8+2CZqtT5V3/EQANPkfHrCi2J2JPwBXS2vMKRXZswZkQqYmOi
Ld5oXDxGpU/BwVPX0NHjxb21z24iJiqULTHypcPCwoK+bkr+vxgcjiPn84gL
icUThiM4Mg4rNu3AwQP7ceDgASyfPVWkJAaLVm/GkazTaGlpwiczRopHPJnL
ZlwDfevIFoQMDsOnFx69Jhx02voTDnsfXwcuzwamf9lua+XPRGdV+njnd64P
niqUmC8MXPtnwJ5/AE6L6Xi43S7cbH0ZFP5PIDS28Y1TC11uU7dto2cSiIZB
GKPRJH1bC5pmO+wpb3J2FeXENuxZPIJT4o+zJa3edrAFrJhlNJNrdhO1+tcV
8WUiFu7gHE3K5oNXTJAkWqZvbMkkoH/P5uM+cY95XpF/za8YxpZGPH/2BAUF
hXheVoH2Tg+HWp1w/uXuzGyqwYVzZ3DmzBl5Nf99HydPnZNDYZQgCm+fRoxo
kGXbs9RJuJe53ZiYawVGcNHT+grzxsQjecwiNHT0quw8vnQA4UOHYvfxay5k
HmWHzTts9hF50W4Rv/hoCgsXZ1gxmWR+3jPLVwdaSZrgSNDEILONmppoYpD3
EF8xVZ66+F/Y7cGnxwMFoo0ayxmABA39XELlgdnYEs4Z8fUPnrpjfGoXqH6Q
K0imh4KC5Nb7uUapCamzduEnyStNH7s3cGz73zTZK86PO8gkl511Ci7r6Hz8
Iu0T9hK5YmJWbPWpYFCHqZOioqNjb96BHYDml89w7vItA9Wnotj0ohTb1q1G
XmWTE5Pxi/Yga8syDA2OxMkbFn/2zqdbjUxcyTUdo+huqcWcUbFIGbsUzZ1w
FcrTG5mICAkOEAom2tlrRyS+69ev9ycU9ut8E3i0R/TGILsFmixfLrH61fnA
7TViiEaJAfobYNP/Ayz9HWDut0X/fGCfN94nNZPMf/nxE4JIJL7X3G8Bm/83
cGYC8OQs0PJCx8U+j5QMMiIQPn4DQseuN50HATbpLSLCbgMaBjr3+47fNvZK
nVTG6jQctFH0Vfie/k112c5sj9sPLT40gR3LqusCMGO0t8zfC6ylVM9JrXZb
NHVZQV3pPTFMkViwagfxSd9z30Ts2+3zmDAqWRyKaNPwZ2OsLxmstQWT0xCT
OhFl9e24n7UjUFwcFZKYNgMv2ty9y/eO70LYkGDsOXErQIXQ/FA03NWLgdIy
UMWfS3MXfk91BbDy/wLqntl7+8g6sfXPgedXgexdVuPsHwKs+j1gjghExq+p
TrF6xpUYWq6FwuLdPwGuL7HWqrPlZ59LYrQ0zJCAngc9GSoH8VoCvJg3SUy3
Lw/K/3a7td+BxgGevvoohs3cyXXh7uIMJzvf1NwW5DdTZsClw7M9xhkqDuzd
LfFtMw9wdp0Gc3UROxrKMG/KKGIqI3VcBq48KERLUy2O7FyD6LAQhEXHY8Pe
LDS2dzkplI9QJVFQing1s9cewPWjuxAR6UkKIT3WzBmLmGSxIg2drmK5tH8D
hg6NlLin6J3dWE0o4WCIZTQ1w2zRMhV3nQPFPReiDuuf2YXLV+YCO/8WWPTb
1sD4hYN3rF7ONKHSJ38MZEpslHsAaCBCW+/ffS750FzsS6fxhIgVjc1tam9o
fnQPgmG/TzRo96kw/JUYdXTpV7B4Ez5uI9v1VWJM96XE0E6tXdULW8YLS3zw
pO/54e8oguR/ty9fy2lgHahQ5MXWhhfC/3VISYiVoCUZ6WNHITI8HOOnLsDN
3Kf2JHwRV49uESc1GhPSRyMqNskTAVE0hzYvwZCQaJy799xDHenEhkWTEBY7
HLkVje8qBC4Y3tNz1h2d7JiKG0ud3LiQuK3OPk4B2PYDYN537PPSA0yKJ0Rz
RIi2/H/AuQzg2UWak6AffS7ue61HvU4PZplm4x10gIEmpU7Y08nLDjN7+DXf
S7QO96z8RUBHrBmJe1Jld9GJS0AEcW0modSwvEdUMk5scEmqxh02F2LnFD0t
0WoUl19LUEMEjmwoSn+Zb6T7fcO7rSvmITQkxGC0xSaMxN2iau1kI6LeugUZ
BpI9IjaFkuCuT6rIu4y4iKFIn7EM5bXNcl47cffMIcSHBmPC/C2EuX1nheBu
P+npsnye4MgCY9uuNm28R5M4Tvmf2tD3kz8CZn7Z2obXrcSi70twLAf/8hyg
9LoIwssf/qPkQPthtD/da6EqdZtbXNfTyTKzl4NuJu2+XxVoH43WF90+A1Hf
CkBUW9+sl6kKMpYdMsnm55W1ajyoZEqc0NVNW8onM0V58VZ+ABZFrglmvLwy
wxD1Kr7o8LGu8gnWLpiBiPBQMy68dMEcxMjvCaljceTMDRP2as9yQ2U+JgyL
wcfhcbiUU6WBCXo68enGJQgdMhjDRo3D7FnTEBE8FHEpY/Dwac27Zi9dh+bp
eWDKQHvSMwYyo+FusDASQrN/Zx2wT3zFxd+3z033hSVf8BTEFOHp4v/TWo8L
U8XHFGXSVMG3CfqLNwvEW5p82HAvjrM7lU9yaglUHLmvO5KseQ/mS9j6buCo
Wzv8PQ+8RMtRaLuPgwL6IZxiBT2F3l5fT4P8QRF7VGgX1ZdUvHTr82bfZX6p
zwoMNAwnPAaLIuK4uEEto5A+6Wv2VXU4FSZrMD5Ca90zTB6bgo8Hh2DOsvUo
JapMbweuyzlPTYg2aGqzlmxATZM3eZt76xyWrViLx6X1QS7iclcb7l45g1VL
F2PO3HnYuusg13a8a/HIFYx9P/dUw5b/RR/Beb7wra3eRhAXZ0pE8f/2NRU+
DfGB1RCMUjb+DyArCbi3SYTqocl8/I9+pEJDY37PqqoqXLp06Q2dSdxsvmPH
DrefXieoabtPXM4xJTvOx/JQ+tWGnZwo1dSHqzaoEriJLWPFEVOP7PVlWdlZ
qbUTcRVUbfDjHjrQud097nK/4teGLq10XL1bhI0HrlA4/XEr3RP4jAe/+MxP
Mk2pWfd31JXeNZ12Oz+9gLYuaNK8trwAqxZMR2RUHG4/ffHmnrsv+Jls/1dx
R0LHLzi5B6Hvo33OMokPbRaByv/sRGDD/y0M/HXL4PGBCYkJPneAvuKSfykm
RZT/8VTg/mag8h7QXCX+bKfdGvMGXm/YsMFkTDho1n9nVHFxscmIK694/ljd
/cvoRdgsJoC9en4ea62LvU4espPV88TQ/OmwlSxguoWu5nZ3yYgEBcpefkqB
GaYvpxOieDmsrfVFz2Qxi46B/1pre6ezfMnjLb8AgUqmLD/ihiNtDazRPPMd
P75DL+pfvUTew9vYsmYxwiVC3HT4wmdicGaSxx168x1NznJ5efuGUmHwUeD8
NDnd/xtY8H/Qo3+PLyCR/f6en8lT3rOpzA3/HTgQYqPJvENODryG0WbQn76F
0abdjjMGDx/+El9QlbCOOjE0YwvE8Us5/TC6tA+jLU47O2yYW2AthJvu/e0y
PPw6ykLUamW5Fsf4nuIoaluSaSxu9Cfv7DibOgd+pH0FpVKW0+6wJfLQ6XvO
V/gC2lubUfa0EMeO7MMScQKS42MN0suw1JFYtHwdcopL39JA+2Egr9teWdM8
yWHU8eH2paI7Wmutb35rFXAoUqL+P3Ci/oB0kT3PX/FYTbZPdjLXzC2sl9O7
9xfA6bHA3fX2LV89ocsv5qZdh5U+z7zMIDfXaI6to5qV06Y65VSWS22N2ut0
1Con23LrW9SyU+HuP3kHydN3GAQaAmHocX/lTHLRa5ePUSazgbTgaeA6Ia2B
+TfgsC5791GJfpC5ZkaRnxsoDteio7cbdS+rcff6RWxctxqTxo00wNfxCUlI
nzIdew9l4V72YzS0tAf9jvM+3npFXyfDLxOA55dtHocsmyLfsuTSHygTenuY
DRK37hhwfbEIQTiw+g+txdbz/u2+aUNPEDTTTHmhraB7t/6/2qQQ1cuVeUDO
bnH7r3FflK2DdTSbDPS/+VxSofVx0toDDK03aWStY/BAnr+Zj092nTcNRg4i
pgpGW4fFg3Aqo24OSShcLjJEszFuwX5TydQxE34Sj7p/GqjTjqcEcITXdETF
g2RvfK1VmZCN6/dfCnitwW5zmsB0DcaDG2cwb9Z0JMRGISo6Fqlpo7Fy7RZc
uHJTtNFL0/Kpqrv6aS42r15B+mHegkU4dPwCWjq63+zf9REWxnPKbmaRe3us
xv6yFZZGcdhLLlo3jYUqVjuX/Vvrwk0b5BW3JrgJ5klGgvxS41chlMvpcp8L
v2sFb6uEAvsHA8eG24Dx/lag+KSNM5jKbKmhoTJBg4L8fL6iu236tTNQVXbV
oqtXaLU5yPR3ScvNTit2X6j4UB89cZqFRXn4a/Ha2kQjw/qVC4rfa4voBFli
JxvzVPIcP66OM5zu4VUYYJLOAKnRgQJ/epKN2X8Tv5RQlb7etb6pSLtv5dje
VRg3eRYOZp5Cdh4Bdbp+1yFe+eNbGJPCZSkxmDF7HiaMSTWzp3NW70VrD94c
PX5ghait3cQXJvGnuaAbS4P+3Dznq3T0rLqhgWCJ88I0m3hc919smmDON6xR
USlK7yNJ75lfv/O6KKkSogMy80vWn1n1+1aCmXs4FGElmwrpvohuQSZQfhOo
LRKRLmO0YRWTiJUe9s9XpNcdD6YQYbFZgjQg9XpGLS7FNYsZqpJF/+JBfqnW
NdQqmU13BeXGjPha9umbsm3y7xKXG7QTP3IvpYnRAq+ppLBn7m5uie8M2OoI
y/p+KXsqsr350BU2orgSxeiZnVtwNfCX0dXZAa+mCiNhFSXFyMnO1ZEL0+1x
4VSWxELPTafiv9B3kOvr5qZjaHg8jl19ZJ7b1liDlfMmYWhoDM7ffxb0S2WO
XZdVD2zCmWIw4yMGkEH/S7UW2VpbKDJ3QWzRLomyFkigmQzs/JHVOCxiUO6o
hWwME2Tt3gB/kdUvf78VKH9+46gqjULMBOgSCZlW/5Ejhz8WYQ+10c/F6eJ0
rWZQZZOq1Tn2YDCrxkRrF7Vxr+bscguefo7SPzUcOcw4QzWbWylxZsa8dLid
TGaTLeWPHZKMYs1eNd+4NmtstIT8ERWml3VJwA4xbKKKdOKTSu9e3nMzctam
uXLbJbD1yDVETdjIoq0LxiH/oSfHtnJ3YKqUQOKBcbC/9G8lntFwN07v32TK
9SEhoUgcOQH3n9Wgt7UaY+LCERIRh/2nb/0L543qy3MwLDoMExdv8S9/qM6/
gtiwYMzf5FuA8pbcCDtTry10pEPEZs2fGueOz/iB+fcbsFRttBqH7lD+EfGV
N9gQiTUStg9RDS791xJt/SYw+2ueSKa76lBTrBP5MSqP3wiUR79jNtmnF2cI
eeb/pq0Xs9dkq8R1e34GfBqF3M3JmDVn3hfeWbY0F2+8JWdQs8Rpf3c3L9S3
GFwdtqUxqPbLD62n2fopdkzcbXW+iMPFsixliKbPK+sONG8RMX6DMcQSYqtk
0Igyw7ty5zm3HcnfKOL3yvsiP7Gox+Fd//P8o8Tayd1QkYuUmAhMnrsCO9Yv
Q2TIUExbtQed3e24c/EExg6LR3TSWDx71eLsjR2AktvHzPO2ZF4KcjG1m6ow
JSUaqRlrCb/85m6i95GZlWURyWi9lLunx9n66jetJWVE/eKxiNNV29tBi3p9
KXB2gjA1xr50w59bhi+SMG2e+GGzvmI1pSdW/Wo7T7psos5rOslN+zJmzV34
7qKi6XorKvVODabW9ID56zPVtQ0mRUII22OXst3WNFVTLOf7xaf4eY1Cvmh0
zqw+xYQAoBK1ewtjakw/ZW1dsysiZpNpn40N9Nn6tonzU3S4yL9OTEHtVUTy
r2SalvBbTyTa7qrDrDGJIhLjUFJvu0QfntuPiMgYXMgud0Uk78J+hAeHikK6
64pIYBdAT9+mIcIZtre367TlsROn0PmqVNj7m54P9ORkuJ7R7lazcxO1eeLu
XJeHjgN5e0TxiOm5LCbopHjZh4PFFv5Q4jZRWiskzlwiIrhAXjtXiD1TyDXV
USPO2xeM/Ar5H9S/AOjYCGMFsyqw3UOe6OnqRJuEGZz51F7T16egbHXXCslL
klpNlin6OtPyNGlUJ+oEse6Wb4vBRgg8gAoLN6ADB+Kd+8t+tDKM6Pl2jOnc
nTjyEVqy83bitJn5H78guB2wXV47Y0eX1+2qOopmsa/APDp/xKwJyqmymy33
rpuHwSHROHPvufm7/vltxCckmnZ1FZh7x3cgdGgEsi56WOUEtF49k22LEz3c
YK+hiBBT69ev/x4NlXzvRUuWGuTYzBF/hMw0+Rn358jcvyPcPPxN0TrHuJcY
mcdOIvP4aWSeOIPMk+fk56z9m9f5eGYWMo8eRebhA8jcswmZW5Ygc+1UZC4f
gcz5Ucic+XNRHJkzfiZfc/24n2LO3PkeMV8Tmt9xHmutr8aJI3uwZOE8TMnI
wJSp07F05RpcvJktqtZZWv+B2eizb/smzJ09C5MnT8LU6TOxdtNO5D+vcSn+
+io8WwCgy8EQ7Yb4NTzqdKopj1o/5t+moPOsigZI7RJlb87aY6aNaY8DKuDC
Ab1qdMyfyRZp9wD5rWlmUSD+hjVNA3gd9B4GnIoWm/6L+nTP0iHj+nH/8/gc
DrV7z/sIlY8uIDoyDBsOnDbucd6FQ4gYOgTLtmUZ0bqdtd10vl7Lr3ZF6/bR
rQgZEoojZ70VEL0djVgyebiI1iRUeaKl5kr0EPGzvmfgyt7H4cyTeLUrHG3j
JahOl5/tP5GD1Z7kPNzWxmDYBMRm919bZw8rFQPR1s3Pv5/z+Je4uDZh9EVU
5N/H9LHDERoaLLHpUETHxCIqMhxDhg5FWHgUlqzfhabO3oEOiUtybiA9JUG8
wWBTO4+PT0C4vDQ4OARxyanIuvbIJebrUmPzjnPWZuFvJb7acOCyCehVWrx5
pQr+rgEcnWPal9lrsrjXTAWFYR9zzpQteRfVTwaK2pkeFKWhgkLDo23Weq2l
1Rs58LrYKl9LKes6aH/zLF0r+klr9lxwu/A7W2owe1wyfvGLodhz+gY6m8sx
PiXW7qVcvhyp8ZFIHjcHL1q6XEEpuHTQFJTZvaiC0tXyEjPTYpE0ZiHqO3pf
85c7O91mwMwDO9E697etOaHDcfuToDHO8395xG23O30JDdVFmJKWYGAQY5JG
Yueh43hcUITcnLtYs2iGSHe43d59+IrnwH+ElpclmDYi0Qw+xiSPxpGTl/Gs
pAR3Lp9C+uhhpm08Nnkc8iob3UPXX9WBLiLNDJlMVOs9x265MkEe5Tv5ZjnU
moyk+6lzGDzrjnerM1MGT084TrgE5oqbfDiGPDH8pMeW08acvkf5UMN67kae
u/wuYIbXMVfepNTr+JP8qlwjfOTMfbf7vupJDpbPm42sCw+MrF3N2oqUxFiT
nB4+agKuPXrmhPCipwqvIyY8BAs2HXXFobnmMdJiw5G+ZDt3Zr4uDt2eOGxb
htaxjncxW2hY9/Qzi8NAnNqxQkQhBJHRKTh1q0jbmXram7Bl6VTL1uGT8PRF
i9tCeT1zC8LkJVFxw3H2brG+pPrJfYwdHm9ix2Vbssz8yZtXfg4y0YdxSmxk
6+tttW3M9UzaFJpeEr1MNUBbQSdBfFrVDnRfuOCcXbL3cku+EvBsa0bkTVxf
SqwLszjspNdrJy7lmLFWf9aZWqS2PhAEluUN7YX2tzfm2GZ9d1V8ry+rU132
TPjxGLWNrf/Sd+inj0lCjDgez161KZe5sIBbTfacvOUKxKu6eoxPi0PH1r9h
e7J8wI6//oh96cLW7T/kF9vxV8jM+CFaJzqBxsHQoLHvLAb/yrm97pZqzBo/
3DBv1ordpolbZ9Brim4ZdRYaFolDV/PsXXU3Y8WMcWZx3Uy7GUyBPk/tWGZW
wiaMnoHyhs7+REBL7+xkz3EwYuV46oGnfmD1YfWu89xfY2oCQlA/Mg/t+YN8
i8PoIf8NNA4KmcvFl2IZVBSoQrTjqMeDeqZL4yBWuKLAJB33QC7cfNLbUOob
w3KBjhy0FsAHCV3qRTzK1N4usWgPs82uAnctWEsdcvKKCYbvoL98iOvHtyJs
8GCMnzYf1+/cRdbeLYgPD0bSyOkorWt3c3l1DWJnwtAh0ef3THw5yESemWm/
h9YJwtUZcs+V9z+zCIgzVnAHaTFhCA2PxIHLj+x9fgG9LZWYxhmgkDCslviS
/2utLEB6aixCRCJ2n3ngdmI8uXfezB+GRyXjTnFVf6zXaVaeJG3/cRsA7Ijz
wVN38YOYxWb/Lx3Mr/leQoXBg+kDaqp3ECid5K7Jx3llAxhflatoCSfwrOyF
ZzoGGGvCtnqu5/G3wF+8lW/2BPjhVfvCenN33vHLOQGqgBqHeWbGV35NunTc
cIycPAtnrj1AowRLbgmupQn3rpzBNHl8zMLtBr/le45EsWnx+O71GJ4Ub/Ys
0FcbS9ycwnJvXJ3CkCzCMNYIgzvhkjn8d9E67euca3j3WVqVg8c3jiE6LBzh
EZHIvF2gcsCtrtMnpRk5WLzeesMVudcxLIp74xNwq7DClYPm8sdmAQ0Xxx+4
8qg/OXBhkhqtYeXUiVhvN8na47Wjs+Zz+U5hQPno8ROb6RJu6dHXBULsZ2hq
bvN3mizceAJ/HbeEfSn+vCq1Oye6xfroydRF3n6uKmqef7SdMkgtceNBccBi
FF2lZW/566h6moNFM8abPdgjxmdgy869uJudh6rqF2hobEJrSyuaGhvwoqYa
BY/uY9+uLZg8bqQo0FBMnb8SBWUvHfdR5L+mArmPHqGg+JmEAC5W+6tXdRg/
KhXdt9ZQ6dxbJ599b72I3/318s3ub+BvG+XJD8w/myiY2VtwbMN0dJTeDRrv
vMvjx78siFD5uHN+t5nKDxfmbsu6qfLRUlWE8cPjxHcMx7rD14185HP6SzyI
COqDokpXPloq8pE+nPpD/MysO3750E5Vr/rfbuDY2UmiwmENgAMNZGEO3ZhD
u1cpU4wxRDu4xqErAAmrWS/zrahX+Ha3c54pND51xcb9lzF56SGyVfsTm32I
gZrgcCJQH+cHmColEV+flnklSSo7zZzZG/wqejqacetcJqZPGGUW0zPQioqJ
w8hRYzBhwgSMGTUSsTExxqRSNadPnSty/ADtEvv5ccpGjRqNZ+U14h5WvGDL
4o7d+/CkpBQVFRVB48y/A3Dx4kXMmDHDz+Q+PaLqD9y5sMcwOSoyAsPGz0bZ
q7YgDQvP7Ftj1sKHRcbhQnaJ5fQd4bT4hBHxY5FfXu9yuqexFFPGpSBYpGKL
cnqQ4TRxoMvLy1FWVsYbcKtVPt/JPfL0FbML3J5jvcxNkVwQRTqLCQhwEByg
ZqpuD/7JTubS7jBxIAda1QHP+O6sm/hR/DJcuVukhUx6ltpRoEyk2nE6F1wp
fS5OKSXLv9NN8U/84yzdHaLtHt7Bkf27MX/2TIwbN9bkJseNG49Z8xdh36FM
PBTHoKO7121S4lYi0mviRGaUJ06ctNr8OsDkp7gsx/sigzjFb4jKnwsXLrC/
MyiAtd9wWRsTHWWiuXHTFuNu3hM0NjWhvrYKJ/ZtRGJstET6oRg9Yynq2m2X
RsGds4gli+2CdOWwOAOYOiG1L4fZRjpq1CgDUMQ75LpqzVK+cjx71k1b2zq9
TDaMX8dAbqw449zX4wIutNrlEwz0xBvzK3eGhuRoQ3Pbl90PsF1INndZptzU
qWw/N9mOynZHP9inDqL09Nnmo6PW7tYrByaNKdM/5LUNZPb7zu1s3LjRsIgU
IJr9/PnzA1nxJWHFbgm+QjFs1HjMnznJLKWKiI7DGAn1Rg5PFhUrp0wejx8x
AbcLKjUAM4ctTDgRMxI5JbXKic66EkwenWS06pZArfrkyRMjh+/x3284z6cm
ynUqRj7TW6tuVqk5Iaap298zyOyug/AUEGvz1LG77IEpODQqL3hUyCKzz6bN
3Yzo5H3MX3pi2OdD0NZlW894yTw5+ToK/4H72kq3s8OAFZq0za8hOzv7dV32
EfJunUBUaDBiRs1AwfMqHNu9wUzH8wBEREYhPikFsxZ/Ymythl2u5YpMxO2i
ykDDFWNIvO3Evf4cG6WuglIznhAnR3MctGdKdJ/zwgbMuMlbkTZ7F5P3bjtd
g8WaoG5xUckGmGYbklmiHRcTj3nWvruF+DxCyUgw5RLU+eAAwpvtxg6GTP8r
aiwtv4jqfAYJoaL7k3G72LAFzQ2vUPA4Fw8lynnyvNIfC1bm3UBqtDw9QkxF
TomSsb5Ewu3EKGPPjt0t6o+MqstNofvwNQNxRfRRbpVSWmpiyOSLGlr86p8N
bRckhGRQz+hOVQALIyQ/SxYqoS1azjCjA11K0G4HRMe/rJxdGWVVgYGAJV6Z
6c7w73OucPDT30ZQMTyN5Zg2NsW41RuPXlVvisBVxUVFZga/zYJjobO+BJNG
J8pTwxmJuTY25+pRkW8q5hF4WFLbHzW1ctPhLGefvvIoMpYfNmQISK442AW+
riwVQQey37QWaAqHY8aVDqUpa36qMj4ucfbUCnO+5VLGm/vxrxBhBOcfB6Ou
5Vv6xZRvSTFlFqz/zULqvrCT5uCauQgJCUHKOOYhFGbvi8i+dBiRoj3Do1Lx
4IkpJ5hpkE0Lphg3fez0pWjUOQD7VrtXzJSHgjFKTGV9h0KJ9Q8XZSBGKmu1
Zmai1lbFXLNtHjy6bF6S+/HbN5OotKfTA8ftwpx1x/B3ySsM/D8xiJTAHMDQ
wQmhoBKY7Sf8AP8mCobIj58GDsroHF2XL+XV2Nzu6pD+Cfyvnfcoy7uChKgw
40jMX7MDdW1d7nxL0wsxqZNHGsuVPG42qpr0sY9QdOsk4pghEN9x0+ELcBtA
5fjcOnMQ8bFRwrRwbD3qQUq/njmyE0R2JtXCr/sb1DkWpEVQmhhOCiqdaY0o
yTRwbvPEQBf7hS01OzNvKIk5aWJgfuRdhCvuZnbmoxygRk+GYbLMEle4xSmL
NRkI70Rx0H6xD3zv52C0vZXs8vk9HcjavRrhYppI+vSps7Hv4BEc2r9LwsZU
k2amUt1/WvcDy2s6m7FpYYYR4PDIWMxfvhZZWVnYuHqJQ26R+amLUNPc2S/J
FW3E+OD5qgi6XK9N/k8QksEj1piqDdOgfTUx5ZH/Zcykot3lQ6qgi826oHrj
RHxMX3zQbPkS46/+FrPE9BH8om1wP50srV7jnmu7S9aXrH9W9Zq/QZrfcMAl
a/qluxbO2FR2fP9mDEuIw9AhQ0zBbKj5CUZcwjDsOHKGAZlGSM215diweDZi
WFuTpxNFkv8NFbdh4qwFKKyq77dw5kIkEPnV5EUNfJB6Zm1mz9sLHDh5B4u3
nPJBu4szJ3Jm1XSNh7xtvZAHzki/cEMFm57wySs5Zk3W4ycVfsg0OudsdGTy
1dvSbmGO6Jl7IjHAZGb6rsCj/rFhjyfgh0/fxdKtp81f/RNaW7CrnhfjwpmT
2LdnN3bs3Imjx0+i6HnlB0qenk7kP7yNIwf3Y8eOndh/6Aiu3XmA5o6efuvX
rmsshuuxM7PiTr2/H2DyKN58mtBAPVqaNo6sO83Gfuw+6y8w4dipvjGzC/RU
6Y3w1BMPShPdpMYSIQAxe09deaRJUAov2wRjJm5mYKJk7dJBeHcvWmCDjf/a
T1NWYcP+S0Ev+iXrW3sbhVE6eONvJlK1yrkfnjR3oFMe44w4DyU3BPjHPrp8
alXeU3MllA2efSGke7bbHHwjytKJyzmqXeiSjlmwF6Pm7eGnKimYm6Ee939x
qlrm6ZiPU6ZTzncevY7bOU8/Aym+43w4FYgeHnEu/MskeAtcxsG7pm5XR7LK
ubWKmjo3AvIcyWovt2CXnvAMch2MmhCeR07Hi9FxT1N/bhCvqWlw84wijn2z
0RQZNUml73z/un/VjHSJV8x0hw+g17ZN2zUSlBS6d3qvPBd0WvhF5Au6+EM9
Pe7iM3m5Mr3FCTBY65OvqlTgi/m5vfAK9Wx97DsqxJnTV/2kYZyivksFHhDq
n89GBfWcjACbGnOr6xQbaXVwOoVK/g6oA6fumG65dXsvGadYKaNbuB2/TNOJ
ZI6iHbuIn1YQ+Ob+lap8al6RyWK7JOBUFIvN/lUIvNWcgkDEHe1f4OEoe2cS
KMcpaiQi2+qFDKYw4o8PdIdvbZ3bd0qZ432NnrsXE5Yc9JHCnkon7nfPv+K0
86z19LjQIMwc8HtT4+g1s4UWcF7oSRKDOvZjiH5UUlBp9Q3Mmh09zb/enRRe
31KzYS+h0LMuZhsnQUlR5Ww3K6t+5Y0Z2FY63hoPAAHjGl1gHDsrQzJxmooF
SmYK/clHOrE0Q/IeGuWT2H1JwvqCgiW7OVaxIrezn5q3ld891WF7wdt9sy78
FIXdeXeS+CWb77hmz3lW1JQa9c5t87u5dTm7yVOj8wavHkMT8lexiw10fXNr
h58GFu7DV6Gz98a4nKfdV7gzLUJrswLwM5mPUjBbF5OslXonsJWjx3dCyt+Z
Bhry2ulXN38T0M5G/5L5CjJOftfLZAQ3Qjx8HNBF2Wn8hRcG55eNu+SThjfU
L/QldohJU9wvFQvtxqZz5i55F5MQPm4D5q4/HlCMftmnQG2i6j4OG+mmx+Td
6aGeTUBzjpeDoSd15lquYRI9SR6FAHkR95w3KETwnIVGDRTcGPdTEZa/jFpk
nEf5JP/eaFrPOnf1gdU13Np06mrua/VYzrcrCch+miK/6Phni385CZ4/N22m
bim729dnIu6CZqeokkbN22tWydd6oaZJWYuDwER0o3csjO9QrE5ll4objwWP
BM82AVmY+tCzQdKTwdyEIcLjeibiMhHT2B/9kDjaOukF+62mp84vC8byyLdg
AbvCEuItICJXr17lihs3bKl2Bvie26YMNSo8JhQwhi5UjXSM9ctyuxUfYybT
33WsSBLCYWU6vREzHujK/UBjq4iizhqdnEjte+9x95x1BSSN1V/o74goCbj6
dtHmk+avMudjampqTGHy7Nmzb0DM4OYZljhUJ7c79+XoaxV9HotiZ+24OAG6
9Y3uM4nHphd2P/BIChX8WBjZzpSIbxkcpbvIbE2q8EBZBuCQBFvc8XjqSm6Q
Ztt5topLfcBbQQNcn8xPEI08unzA4fQDuOxq/oYT9nDIR2/atMlszCXmYv+w
En2jjXbfGjNPMfZaxWgn9jzI9DpETtiE4DHr6JH2hYygfLa0trsYtkyoWcwR
V4Jsg7r1MeTkKBWMg11gpz/1jimQut5Ir9FWM/rxf3+KCfPPYr+DKu3JeAct
qWsT1JN2VF5gfqTOsIFsY8+JijYfo0PBD5bToZe7TDnFUkFuU5luB4lKTbn7
m76vrGvG/L0MJuvnQyan2ep2Wuz9g298LQ3Pn+gjvV0oKXpsCrf3HuTghcQz
B96ZFFr80/jP8aiV6dZ3cimkt0uXiQuCuBNL9KveLu2dCSxf1LtM9x+5Lg96
wDK9nG2iXgRV73Vq6DXmuTm43tUn6FY47z92nt3dWo+965cgKjQUkVHRphMy
OW08zt0qCNr/ztTQb0cXnq6Et+bBOk5FjuPksxA0M8z8/LWc7WMXspUUPJ7E
YPNWfg1wt+9y06FuTaEJYIuU/575Oj2UfglZsOEEZqzODAThMq5kl0MHxqy9
OLX3E5MOm75kPXLzCnD9fBZS4qMQlTIBRTUtQfvemR56IhSrna3Be+XH3/9F
CVUcQl/3p868kFmivNXhJrl4z8fEdzdL5nt6AkQlzzG2ImxKoh5nJoW3qSQy
uUQHacbfDpYwdRvW7L4QqE2d2vIfKyObKjElNQ4JY2ajuqlLOwJvn9qJkKFD
sfnTi5+ZQgONGR8ycg3iM7ZSSbnnp7nN6YLzOVX2TvOduoKoCz1Wd3Of42fD
V0kUtdvDavOSGv5Eh012Q3WA62L0dSeomLSuqNdo3Tm8ylSREoqKtbLGf6Yk
ess5j6iwYCzbfTxIK7CttcUYHReBcQu2shN67zsTSvNxnU4+jow+deURB+hc
IpLTvAGnb8ArYcPVpC9fNell3i4dMOJNyFf3Yy2T7MW2J0EJRmBvNhD6pyW1
luhPWXUb59TfH+J0GVQGouL54zhd0Prk+lFEBgdj94nrQf5JgllpMQZH2zdJ
IF8NePgQePAg6Pvm3wH2bweVTKdx0SBhwbNnQHZ20Mf6vKIiOP+zX/szwM44
cU+NpWaFZ955xBmH0Ml58arRHzxRgOmmdHmzQN5RrfJyajZRwTehbThy9oEP
tsZq7U/lGqMDlToSttTJDygDqBm4HY5/KQMcsxrAgNZ+HKVXL+UrFRSYVQof
mn8HmB2DRcVP0SI++ved590/sROhQ8Px6flHLqM4G7RsaqqZDapucdVCd1UV
yn/jN1Dy1a8Gfc/8OxAl3/gGSuWn5NvfRsm+fd+hFyr0LZEIpKSiAiWVlfaH
v+/fjxJxx0oiIlDyF3+Bkv/wH1Dy67/OMZ5vfvM9vpO83de/PgglX/vaAP4m
Hym/8oPMh32L/w7kpe/wN/Pgl8wj8utXvoIXP/iBR6nPFCIyddiP80OflM0J
jI+4aarHp6B5NjQd19DUpvpJa0mcRtWnFjow5kQjcpv6rMkqFnPHBKt74sS0
NbcEqih+yt8nr2Ck7QpBm6KL+cwi1Vbf/LupMm+Zj198PFT+4vqEAWbdQnR0
FFt33Gts8QmLiceD8gZXMO5mbUfIkHBkXch1BYPziKtmjjLziD7BMPOISUmY
lJgY9F1kJCUJ8TISE5Hx8ccYIUpg0s9+hoy0NLH0GRkZ8jYZU6ciY9Yss+U0
Y/DgAcj4yU94+W//Fhl/9VfI+Ou/RsaPfvQeMn78Y738ox8h42/+hg+9x+cE
fQMZP/whMoTl5ocP/fjHyPjpT5Hx85+bD84QA5YhH54h95YRHo4METvz+z/8
g33O4MHIiI2Vt4uLk28QHy+flJDwPr/4B+YeBtqXhITYn5iYb+utJSfzRfbd
+BMRISLPxwaYx0bGxGDuvHlvmKLtTxDdDUribFnQOfYeua5nlwM5lDBlK7Ye
vup2i4lCevC4T2DR3uFusuvsdq0stQsl/MiZ+9Q+/uCWciSKyudPdHCwzZRJ
Vd6o8VfYjU/utf7kjcqprQ+iDd2wu5eysHLV6qD3sHbtWqHg+nVrMWXiaIN3
NHfJCjYJOo8NkH/XYO26zSh91ebK4gNRUsRJ33vCmzvhMPXcMQlITJuOF63d
AYNIY8ags7CQUJnPzEZD0YP4gz9ApmictqAgYOdOt7KAdjluoplA7fHFL35A
FhEE5AP57TvfAf7NvwH+038CRMLk6EACSmD6dGDpUmDjRmD3buDgQSAzEzgp
Qfk5UdeXLgFXrwI3bgC3bwN379Jc2d8lQDfPuXwZyMuTb52fz1viNxTtLD/s
RCjimFNxsXzzJ0+Ejk+fkpo0fXwXCW7MT14erxHG9enXzI0O5JsBt27Zn3v3
vmQuC1vkQ2fNnv0ZtaM2wDPy0n4RMYda6zVgSDbCMb/7lzxQDbL0yg4Q8U/7
xoDeQtDXPF01kQwamEBjgKDZG8ZUYxfsM0V80Xx+l0QbcfwNO31Ty23tnpXU
2Pz0vg2IiIrHo6omF7Ss7P4pRIYGY+Ph866wdTRWYHJyFFKnrukP3KFDLMP3
VKD+5/9E5r//92iloG3YoLUbIyD//b8b8Rpk/pXv+lsiaH/2Z8Dw4VYGr1+3
bG5tDfq587pcYek/Fh5moLvywIKUuvBoTWaA0I41dSjc0ECzV37cwgNIm72b
brqb+Wu1kQPNY7cCoBIwyPriZJEmMOzashdkuqsomOdg/fjCrfyAnUK2UarL
vWarIYH42pQYrZooz07tWWd49rC83uHZQDS/KESa+OKjpn+Ctl4X66Xs4VkJ
g4di6Y5jb8J6cdkmhifz3/07y7alS7XHDjU1gOhzDBrEvyzzfu3XjDoRawac
OgWUlQUF681+rkU+dBpVf/oni32Va88bbTf566iJm1iKU6boDj6mWQKPWKXh
tq/zgk+lVeG6KDlDWucma/hMZ3u0f4JAl/PqNab76CT5OabDkm/n2BdMo8T2
FdMwNCRC1Po1Y/pqy4uxaOIoDA1LxLXciqD+4KFcfompz/y3/9bya+ZMFUCj
c3/v9wyn3jP/DiTvgL//e+D4caCtLexzsUoTZozcqf5MhQ3QmonnF5ahsamN
sb9XmRFteDvnmVmmRWH3L30244LOYdJTyhiQM2FcrCev0eIrs16BQF0OlHCT
fz+V0z9XZOsIrnG3nHkjdxSt4VVpDqaMSBLuhGLilKlIS4rHkCFhWLv7GLp6
+8WKcxkjzlLm7/yOZcy4carQkZUFSJDgMUau/bf/Zo2m/B3xubiiuTuqqlyn
T6C9vbNvBsY0GQF+M5U8bQcGj/iEbtBbTZJlB40aJ7J3Z91UdjCF2xf0wY9H
pIfFLBnvg1uk+575l0rCmb3rDTtyqjzI3vqaUhw7tAfLlizBmg1bcPlmNvHi
+8N9dNkQH++dj+RkxcnA0aOABFTgZf7wbKSnA42NQVGfiwWaMNRiioet6SR5
nrJIGoCOYPr7iypNd96NB0+UAjxDpD/Pjtaqmp3xCtOzABdIgRqowMkg6zVG
0RWOY+pHCdJ97Kps+elpc3abKQ4F6W9uqEOlxKtEH+dPtfzs37RMGBKHiw+L
UF1dxexSlf23Bh1ddru2f87pNU6MGuU5BOHhWlIxHuI3v+lxglzZvj3mczFB
V9fTkDCHxbFxjpaSAaLX3TQSbBrpgXHp3MWRlPCn4ikwG91kFJRXVlbDwuoP
iwUelOYAt0TS4Nuzw7fP69M2YjSSs1TS3Tra7eX79VjsO3HbAF4yIaZHimHE
0e3CiYgo0R/x8fFyG/HxcRLKRsi1CETHSBTHywMQJ7FZXFIaHlU0Bv2HtzFG
wtDM3/1dy5if/vTLyhgO+IkCcxnzta/x2MT+oxijpVg9CfSj/iF1temUEfXj
dey1+dqP3LCNiYlsZ6mNMMNtrBbeTFp2GD9OXEavSs8ImU6SM/br9nqY6Jzz
vemg6zXb5FsVcEaYDdNcu4tcL9f42iNn7rGk5WfGhWPbkT5hkr3P94SWU0W9
TJVbnuL7kXgfU2fORvGL5rezYuFCZP7H/2hZ8Zd/qa3qJjUo4b/LCkZle/fG
vZkVeXl5b2LFZQm5qqurvR0PDogP1QrBesvdNSID3IKmKG0v5dPjpXzcTisH
7U4ovvPoDWaJ9ExoAYh1E20KodVmM4XXSWxbsLXt1/OYKyw+nM9UFD7z+mr+
1xspKXxbswaZ4gAZSv75nxs4Zq04YOVKj5T8mTUrKL4fWmrkR03IwazTp0+/
oarMsbHdu3e7FX+zFCHfjTdUsbC9nx1b9H4cgDXX3vmr5t7KBU3zN3l1eusK
U7jZFCC08NK4veYDnb4ApSwTGVoY8ScyuD6o1Qeewy+kTWoa3FLAG+rqUFtb
K2fFbBkOUqjzfqm+cycyf//30crQQP4r39rReu8zkLepBKX6j39MwX4b4bkt
d+LEiWY+sf/qNbHigMAulwKnaOmb2hLtgI9HrDHDSb56Acdi2NnDcMsd5tC5
9Uojky44myVktlPA9vfz6NSbXuPfNQGVavu9xktIyRXGPb1u6xcL2s8cEDb7
XalahLsPrmHlorkYIzc+YkQa0kaOwdxFK3BDbC950B8uvsuDTz9F5h/+oeXB
v/pXQJe3NRRhYR79f+M3TJ4l4c1a5NGjR++asqPwaV6j5lWjiiqNL8NpoksJ
TVTY+WxS2K9rSAsKO3dTqSqnn04cGTpTLW0dKtKU8lvyrh2dXb6XN7j4c0p1
cozNxruP3aJY+/GAAlscvoCbJ3Yj1gwbxSAxKdHgHI4ZM9pkQELDE3DkwsO3
U/38eWT+0R+h9T3x6r/7XaC52UWPMC7OBx94lF+69J9km/ZAt5HR1mLcjH2z
k6kw2c/Obp+iHeQuHj124aGBRen0LYmj4DNkcARfmUj1s/XQVZMPuXS7UJUc
S0bc0RKZvolxtTKCIZxWZlTfsMSX36dXmF9My2r2tR+h5UUxRidFInnkFNx9
XIwjO1YjNn4kSl6IZF0/jZHJsYhNy+BuybfY0UEmxZj5J39iuUE5r6nx4MFp
zP/u7zxuCNfQ0vL5GKKOgmYp6Cz4OgtNp5TTbe223dvuQWbxfpy43ETD/kjY
DIQ8tiVZzcKwtzh49DpsO3LN1TY0kiNm7zKo6MoC+kuE8vOQjqz7o+vq/TO7
GrMpqxg6dtsNDEGK4/jk5glER0bizD1ztzi9dx1i40ahosmG0XdO7ZTQIAaX
c6vezpbHj5H5p39q2fKtb9HFdD5XHrtyBXj/fcsSqi4xp0n/BDyxvaWaGHWB
xhu9Ti3fIIlOnQmBWbFUejLH7xhb1zS2O14mz5Iz9Ruwx4N94Xx32vzubg/X
gAFExvIjZoBY6OxfSK+djf7FSH19Iqo+zSspe7LPHkJsbBweVVt0i1N71hr2
lDcYHYe6JzcQF59gYDbfyh4hXKb4SoY9DMPy8jz2BAd7J+Y//2fICz8ne7Ty
QJrTcXSMsHKIcwt2Qr3BX2bmvRuY7VJmVzv0ZNQ4xoOxstt8aiY4nxvXU204
d+oylyShtpel8O0ochtS5UvlOMGCf4KNNSUPCfUjlGdfRHR4+P9f3LcGZXll
a5IYk3SSPn1JnTPTp7q7euZ0TfXU+dU/zv+ZHz3dfWqqu+pUenoSlfsd5Cag
oEIURTEa76hRo8ELBrwjgqICKoKAgNxBREHkfgc/7qzZz97v2u/+8JM2baqG
Kkm+zX7f7333WnvtdX0Wnbp6Xy71rXNH1dKPqp1RkHmUvLzFzmj4Gzvj2TPK
/t3v1KH94YeIlejuDTK4D+OLlz8tzW3lGy39x9Zi4rSUDjzV+s3MfFVuii4b
hf8dGfuFrN+UmmV3wLa1Ucw2gDq404PV4JwJxTAxOLqZANK73TPoxPsSo8dS
rN43ruX+tEyAWccAbV8fQSu8g+mbjEv01b5tFBiyhp4PjVLeuRMU6O1O4fEp
1P9ienECdHdTtjCxJAEghu7etQkABzcv/q9/TTQ8/IYEYOwBruPDThcrrXUZ
K8ParNxC+iRS8qFFapgCVTFcbZU3makYWHaVok/skVJ91lRxDi99vYtIJYjJ
TlQd5USCnZUM9K51h57WGtqWEEsrUDjpvoICxLI/6XxKawO9KSAshkrqn1qt
fpfS9MQYNdVVU4lQhUpKywW5BzQUymh/F1WU3qd7xSVU/6hVgq292qUnrurv
p+xPP1WmHURVXp4bY3kItYtIGNCaXBs2uIW9Eak0vsHEtFxQgM8ABGLOQHrH
goP9m5XeZFbOQrI1qMoaWXGjc+QsYw0+JjFu2hOgPErQOGT2wjFpZTnMa7px
BZtJNw6Pz87NG5XNXQxL4Ma1mbOT41RVeo8yz5ymM2ezaHRikiru3aVnvaMW
vd6nzsc1lLJhrayz9/X3Jy8Pd/IPiZIdOmc5sPQeNVcUUnyEQjoASgfgNlL2
plHfmN2x2SUJR0Yo29tbkRD/Ll2ySQhPOHYhxj8S4qSu7nsh4TvS9Aa6GHxG
WjlTpYvSRTE0Zjg+xvW24s0q6SDWF4qcoJ4uiLG6oIDKghE4RxGE77dcrUwN
mN1dC7ASoAM6N05ewoqAQbX3aXy4n3oGR6zhOaqrKKaLFy7QrTulND45oyok
P6ap8R7aujaSli33ocOnLlOzsLqrSgtpQ0yooJIv5dyrlzcY72mmNWF+5BO6
inJvl9Pjlmb6en8KffrZcjqQcUtama+OEy6FxkzZoaE2BdPTtdlOfn72BvzD
H8LfiHi6Y50VdgAF0rPvI6qkqYV1hXQzbRkmi3Qi2YqCRLl52iML5ljVxjHF
kSQmH9RgRg9jsnBFypQZSRKkYrPTTgkZXJB1+QE9qiyQqGurd56Q97khFAWF
7ryMlotNtiU1nV7MzHNYrbUki9w//YQ27E6jadL7rbellMIDPClq/R5yiLsU
XTxOK5Z7UEZehUZ9nXP00db14eQfFk/tw5OLEnF6mrJjYmwifv21lso0IBbk
V7+yCSn+9maUNJ1jMobR5aR744C786BZEs2okoEtU21Bf7LKgSApJCKqrsQZ
aQJt3C5vlqJ4ZkaD8MjKp6fSF2wnVAtJPTTivDsZ6drcnWCDM4LbzAA9OHGr
sK4q69us+31IU2PdlBQdQl4BIXQ6p4ReDDyl2BBfiohPpluFhbQrKY48fYKo
rKXPCp0uoaHnrXTr+jWqe/LcEpbvyW5BB5KjyTdkFT3pH6LjOxPIOyiKmvsc
WqDmnk6VnYNuVz9ffIsKBslOTLSpu3evTV3Ev3gcllh7+xtSlz1wpjqv0eXf
kVv2r5EHaefx62boS4ZaOlScWKOLqvKb7UdzZXlM7t1aJvD1u7Wy2CRJaKA6
SXqJNOTgmwB6EhN4RLYyeG48mmr3hAPWJDAsvXW7Ljjt35vFDfRHv10yIsYE
7qwTir6vN10oUHjRHZXXydfXh7KLm+XnnsY75B8YJG2snzMx5ybp0JYY8hEH
Z3NHLx3eEk1BEZ9Tz8SsJmZZ1gly/8yTLhXUvERMqBi/tF49e+tWm5DJyRrU
LTDQpuOf/xzxRiTkjdBrmV4o2mB9Bc4eFPkBr1fbBJZPVO1lfU5y7B8VtOfz
KmwoCwfdKqmntbvOQwSYyiqyvlFZKaQB049hIc3nguOmtV2Z2radMCYhpVMO
5+h5eHbkC+PwZvrVF2ZJG5lbUVReTSd/f0T71ZE61IZWFMF0u7ZLb9CZyRGq
qrhPZZVNeoMOtFbSqmBfifbb3d9LX64JopWrd9Ho9LymaXPRJfKy4OPNhgKr
V6+WlBkZGeGAT/aePTZZ4+MZlI/GBJf+67/apD182O3NaMsewwmrjgUCUFsc
S63cpk4ZIJbYvLNzbqbJjSMN5BAilsk8YqH3wHoT21gXAgldBhwBl62B14rZ
jOBrg3SNSMFs7lEwD7cFNytdYMijaaBpMw5aApxp3HAni/x8/Ki0Rbq56Oqp
fRQQmkSDljZ1XQjOoIi1OBUtGv+QXvS3UHSgD3n5hNDR9IvU3NJK5UU3KSEm
QnZeOHKxUGzjUdoWE0hhq3ej64Kmc2vJVfIWhs+3ufc0nZEDHBYWJovuysrK
NJ3377fpHBam6YwExSVL1PAPxVrV178hne2IpYXo0/TM7vxpgRsosEXbEakC
TccvFEnwjOLKlp8as2VoUElnJjH8AzAcH6u2e7ooxSpmAogAkxi8BNJNa6zn
JdKK5dpmJjF4i7NCzOQ4fI199n5I3Q1FFODtQetSDlCNWKA9SdG08vO9Mj0Q
TVoCvbzokKW+Monnp8Zob2IU+QQE0MqQIImvhGIoL99AOnjyPI0BN3NyiLbH
BVNIZBL1GeK5IsfKuL1e9pJ4npmZscWzSV9vb01fYLjyMDIchUT/PuirfCEQ
spCFJt4NDlKMz83pDu2gIkwfJN9n5pYxcbk1N47fOUYcWiLTQzhgayJGQjJI
xWp2ViMNPR/Q5ynvXzAAOsjA9WyWbsKdZxLXYWShatDViWHav2WN1IkBdgXQ
UyBr4v+BzOTu7kmRaxKppf+FJi6a4Z0+uIV8giPpfm0zVZaX0r17xdTQ0s6Q
FKoF4xfx5Be6mtqGpjRxC88eFbq3D10vbXWpSLkk7l/+ogHn4CVHujT/af16
t8g3Ii67RGEgtFkhebGQWkhbkVysp9x7Ru6JNGIVYomN7DevlCurTQrvU7l9
1W002aBlsx+INTm4LxC3C0j4Bue8E7gf8unEltbBBfHtC3PxJkf7qPBmLmVm
ZojVzcjIEG+QmZEhDMVTdPhQKm3YmCRTU/6TNf/OuWPk7uFHd+q6tRST2S4n
99MyUKns8dt6WChW2+LJKzCKmnrGX5t2f/iDpl13tx2MhgC+du3vpB1ntnDq
HSQZ6AZbdY4hR5boNCNg1vAO5KiYZbryDsTWgFuorbNfW7g4PiFH+zVW1RK6
K0wdCO1ZI40C8hLXmirSmAGvohMlFZq/05ZEz+GKikoanjSQHGemxb2Uecu2
aduDHPL19KCDaeeoobHxbYSJxQPU1NRyDa7sRBHqt4JiErbRI8Gt6PV+5/Ip
8luxTJi0Z1x2TNFEW+pMNCt5g0ELBaXsHYfQXk/PYpRbJBEGsMtdXV06Yw9N
LkA5QGDo5OAple7VonK+bS/2BAcntBeBazKh4ejCErHVEHSD589MLP42p1R6
oirq2z4yptYuKF4zUWCYSshZ4MiEmvcuDQ/0UHNzC1Xey5WB6/SrRdT6uOUd
VL7BFfX4CY1OqM3Nu22su57C/LwhV8Un/P6Q/vp//i+lZRVKCqK3582MI7K9
Y+DKCEpYF0fuQh8Ki/2cmp/bIOB/k3xIEBennt6669bZ5Pv976NcUI7dSIDG
RqneNUFx12k3yAvJzMzUqEjTVtQG/0A5u+GIDcWLzGLegKzZYocYNfowaix4
Pqcqf8jSk1klcAByzg1k5IUbFfSlMGsFf3xkfBmDp75Um21EPhCGBEiAPe9d
mhrtoe3rIuhTsdru6P0E96unx1Icg26oUfOihC2HaMAxo4k5Nz1BD+7dpcLb
t90keLyQEQUFhdTyrJvsnxlqfHifTh47QqmpB2Vn7Od9I4v2TDfpqDJJLN4Q
AuHf/12nLwtKWD8ulRumZ1paGiUmJkozyHU2D/cU4N1XVNkiy6ejtnwL0WLG
p6S7XSUms9MAkSyY80jyKa1uNSEUUeYLyo3b4IBwSPzvwD0SrMXoNAN5DFt3
RtN+iQz9LozNmg54pib4gyEuuZHfSPcTunThHF3OukKZJ74iP7E9d6Z+Q1eu
ZEEVvnxZPMrFC2dp09po8hAKaWnrgKswlSLJh84k+cUvVLwDP3196jNHz69e
dXO1t1w3E1gMSwqaQVHFI7GqmWBp3k4ccBV6nRagQKNEsTpahfHq4ziM3Z5J
/xG6H8LVhLsEUWCmC4nGq488FqwiPtnHodJTySjsR0CeYZvN8Gy9FZ7lI3Ki
r4mihZC412g3+C67ki47JBU397qMCLpc6p/9TC0xfoqL7fiE5TpbZKm/A2TV
rJE8IjOeDLA6/A1yySpH+al1icw0EOwJyB6wLlxG7GdlXK8LeQ+QAMdRKZZk
Dcq0klqkXn9xzHHUlaUhzEVeaxOjh9VFXbfksLux6UznmUnq7kIIym4e+mK4
n+rq62h0cmaR9X/Pef1Vsoha/9277coJZCIo0IM3VL15BTgNE+5ms5gF+tuF
G5V07PxdSBEn7JZqJ3NJZc06h2/V8Q66irNDcfbbUPvMImjo1CbsgFnc/AN1
hXiI/7nYih08qHI3OFu7sVGtmDg49IqFhZH184YrxvoMB1rqpMNXy1ds/Ijk
dOn0FVyonYNzVrRMoZSYxyvMGtzEMamd/wNWCgcObd3MQexzsDXawnFVjem6
N8E/FgbWVF9dJcn/x2IrefQoOZCGgZXEfysr1en3b/9mr+Tx49/TSvIOGjR4
T2OwCQ0Bb5Zf2oiVMBVQ2ThDs6mCqLHC/nphoEFaGRhutqaptKRnXQPafHSF
QQfJz5CmvIDW4v2NBfyAssVZ71BlTiqdAiWdqCHkPBakQ5aUrHqjdWPFAkoY
Tg6JrzWhQw4qttDP4pR3rOpW1WG0xLA93maxDpRJrDzubCAajspq83ajKsfu
Q2JGmHA5QxL9wPhqVhpevZHfpezTp8nxy1+qlcKGFpaKOHY056FedkBpl292
8pgoUhKqsGdIc97Y+KQckylyRLyBJXrTY8sist2+WGwVBe+ysSUVD7Eo5AOd
W8QIYaEzG5GJurB7CMIw2ao9p9Mhv+1wjmwzpkuKhakyKJZjamZukQNFrGpG
Bjl+8xvS5gdqVg8e1KuKqmSLtb+fVTXLWM2SI662GH0xYYJf4RzvN44RHVvR
4gA5HnPynDeBWpkikAkzto2KbwLQvRjWS4pzHI1bbtyr10wpllKWVpbXPrW+
5j0aHR6gp60tdP9uAZ34+ivampxEUTFxrywl0kt84QI5fvtbe4kvXSIKDdVL
vHLl37HE/425YnaCWhtr6UbuVaFOZ9GV7Bwqq6yl4fFJnduCzIiOpy10p/AW
ZV/Joty8m9Tw6CmKNV3ijrPHDdk9dRKIDq5T3XkHZwjQZ6CuGp5ucDUUhSHD
1Mc2uXSz0jiqFFbklfyHFL45HV7vfzQuZwxotifQIQtQucDFtqtZe6SDB446
pZ98RBMvRulZ+xOqKCumjNPHaef2bRQXE0Xenh60fPky2Z4kLGIVbdz6BbX2
jy9KLLGGDpSeMrEOHYKLTBPr8OG/g1gMxI9+evu2J5Gfj/QxiH/L5X89PL1o
dXwSFZTWgUMZiH/aMUgZX+2hYH9f1cV6uZru4xdA21OP0bP+cZdA/GYmI8w2
yBphVJvq8YH0fPqPlamUmVsudV0mDgQ5Vv2LI7nYAyYarrxEGCyXblaZHSYA
gANAdcEJLHsgs8asMCXz14DVXhCgC0zKTolQP2a9LX7/kKpL8iT5EtatEcvk
BQwa8vHylL0KIsVm23foGN0ouEO19U2CAYdfWfjxS+uu2bm55Pjd72x6rl+v
0hW5vjU/3y36tQnJnSw6H5VTXFgAuXt4kJ9/ECV/sZPSMzLp6Fd7KSosmDzc
3cnbL4guFFS6cSeL+ZkXlL53K3mscJftyhM3b6eMzLOCITbJIDoovDblIA1N
2uiVrmpocV7COYpoJFMaIO2w8oH1bjRKEPtGmvO7jufhGDbbzJ4Ssw/L2Tpn
C8NIUIAdNDLqYGoioJiw96Lc13ziIECJrGGbcipZ2+Fk/qiynXPHUsjdy5/i
1q6nXfsO0Z6UjbLl5pkrBdQvVIvfLka9GzfI8ac/2dT77DOV/maYma9PvX+x
9vj89CgdTImXoZSAoCi6WVKLVi7sTO15Ukdb1sfK7tGBEfH0qHtEd4B5/CCP
ArxAQD+xqpdobHJOSYO5Kbp5+YQkpIeHL53Lr3ZJRN0p/sWk7CFgRZw/tr6a
USA54jw3b+OmgO7I87pZ0oDLTTsM5Hgks2WnpbFrFr9BeENj00iBylWUdCBL
xjDEsImBV2s1jmOiMggQMr64Zq2n8yk9ftohiD1Ds45+2hK3ivanX+PG4LPT
U+KAd4ZlhJ9iYmJCfJtdyOuS3kKnc/z1rza94Sjl+geE/mdmvjO9BWM3l1O4
n6cgmhcdvVCg6PIBddbdo/BAH3IX0vfE9UpFR8EI6JeEztCrP/8Sm1FHR+an
6JsvE+U+Xb1pH41MzeuMXFeJlTgiPVYfpY37L5uatkrhV6qyWWEBHVGpj3N8
esJ5AKXcrK1DEhAcCjj+WP+xUMGsm5Gl/0zLrNyTl4pBUI38ZmCH/kA/kV3w
wl/TXnmTAgID6WHHqL7l7PQkdXc+o7raehqZmNHf3veY9u7eQZcLS62p79GM
Y4Ryvk2jDYkJtE5I3JTtu6n44SMprZdYnPG0tpT2btsi24Qmfr6R0jKyaGBs
clHfK9jDx8dmD9RjsG3/yScx35kz6u/nSChUb79Iqn7Sz/3LaEpwdcIqqTfs
Pn5NruzMSAdtQKszD086lFmoo3HVhRfIG+I+KJYaOoZf3b9MtYC+UVRHCXsu
QlMyrX+ZEd3aaWYRDRkOE15rVfvaLvM8dRKJZXvB6cjzIMobnIoC1BnepIDo
QQfmCPDc0IIEeLQXHV7QKN7K5zSY7EOqyb9IvoIeuffrqa+nix411lH+tWw6
lLqXkjYkUHCAH63w8afKDjtnauBpKfl4fErbT16yYXfeF6fjGKXt2yz7EsV9
nkKHDuynlYG+tMIrlPKrnvC01qpCsWe9yDsgjPalHqKUpLW07LNllPjlN8hC
eXUAZgllFxSQIzwc5McLKHUO2oD1Uq9vdjP31ALHUhwS6GTZ0D6ouWd6gLYm
Rkvu2XlE9Zruf1RB0YFW19naNk2UwSfVFBPsQ57evpRX9fjVrdmW2rm7EuRx
Wnov2KwZtbqp2Q46pf0hKxviW8w3HQC4DawgI76qQHc7pA1lOpDAWSb8Ak4h
Rpd2wgIV3wJLn1kITF1njWngYmHPchoTs1BvSzmt9PMgH6FFhYUGy0bB6E/l
6eNL0avjKHnbDjpzIZv6x2fsVupt5RTo60G70q/YLPRTelJ2XUbmNu1NoxGr
7euTmiIKE+ses3E/+EO2wjqwaTW5+4ZR4cNWOWd2cpSO70umZe7IemhelIfy
88mhgnU2D6WlvQEPtYkHDEajVMEAZ29VMA/1NJdSZJCvjHUdF2IcP4+t/vSy
q6fRr9y5rWeFKx5iR65KT1MeMtbvQNEaJ9ePVSwDVfBZn90ixPaIABJwoY+j
8YlUSU2Ig4UNbpB6gVScKQPiA648bpjjlHNs5T0x78Dscy7xe19CepfdyqLk
zUm0ecs2OnYqk+6WlFHz4ydCKjo+tm66gF3Uz/wsZR7+QoiXQCpp6nFj+QJF
Jf1AMrkLBbWybZTGnldTqLh2w750m9WEEGstpSDvFbT1yDk0DH112H4J5eDM
Ar6eYhb1e6mqjcaM76rOLJU61/bPV0neCIlcR+UN7dah+gENd7XQF0irFoea
f1gcerXJ120SeqvscB0YTbXtuunu1EArJcQEi1u91HT32bNnBlFsZ7SV9saW
B+OKqLQ3jf/GEQAbskqNcd8LFjvQOcFo4ChmHTApionMigIchswmzDoqsmia
j87JAWYfDSmKhGb8q8V4YtZBX21dTf4r46lD1+q8SyWX0oTp7U3X77dR18M8
KWNOXr3L8H/T4z2UFO5HEQmH6MXL8H9zGv5PqErj47Rj/36ZuarFx09+AjNG
ztC+kOFhOnHihPzE16I39qlTp+Snn1tjPT09lJ6e7jSv6WVMwAXpHmzEttcV
U3xkEHl5e1NQaBSlHjtN+YIrM06n0ZpVK8lbqMsBQRGUV1KjMxWaHtyy+CiO
mjuGdUqSbKMdsbCN9saNG4V9nU+NjY14CCQvaP+0qiVReVuCt1g9ht8ALn9o
Myx2ELCAYYpKY2YmXN5kVR8zM0FuQJ6AwUx4VDjz/BPShAZQzbzTbDS3tDHR
FJ/MGLFSSydz4qcRIy1zMX4CUvLuhDAKjtpC/Tp98l2qvpEh0yfP5VdSU9Fl
8lrhQedvVjI/zTmGaAeyLqOSFmKXRkVFQSgIWosVFWPFxcUUifzp/fvFhY3/
/M8ww4XJ1FhdLWf8ozXvzp07FBERIT/xtaAL+n7g08+tsby8PNkUw5yXk5ND
m5GxqQX5UpneBXqCrvi70aedQRcHO4UgWh9NPkI9FBbT21ZODdCYgiJj6U4N
yyzw1E3NU012a/a5sU7aEP8STyHFBXnEeCYgCJ07d04fMBJrQ0gd5FmytwtG
FNTo3Wk3JCaiCSeAUjRE0zCfGQtS5ca9enkcsurFaEBHz96R+FNQauyqjBn6
8th1Ctt8GlksToHKZmeAGbNnjYkGtxChH/zOQmwxBgOnbJep9ntobGpeM1jb
g1whpFbQ2ZtlVHPrLHkI4ZVzu8EGanbQoa2xEqi51wZqHhsbQwYKbdq0SRxe
YnnFmBAatDk2ljb/8Y/ik/Xb01MuPmb8kznPGvu5NZacnMzjLsd+YY1BSLBg
YwY7efKkPIRwzzVr1pjd51l6zc9MUV7mEQoRNoantx+tT0qhb06k0d4dWygQ
vdF9/WnLviPUMzZlS6/yPKsv+kp6YPdFd3Q309rIAKlAfZNdbp6CnMjIUzn+
1aJgtPgURBL/n4L3UvLBKybOO85MeHhQXJ+0oOmkhKM4kkOfRh2i4qoWVqeQ
L45+NQGJaTDLmMtA8xYrD0GwhwbZFMKzu8855QMCtddKLNbFKwOjMupnijuz
D/1iXDb7YoBSYgIpJDqFBifmNJc1CMPXS2jq4LLKvAzy+MyDLt6s0jjxkyO0
a30448T/mkUoNFJo0FCJcEwJkUZHjmzAn19xUv2Emsuvk58Xmgb7UeqpHNvr
RrNUkX+ZQv2FobjCnQ6mXyf+y5Oq2xQiezWHUOlCbTncnzy8vOl8Ub0rbVkn
ZYgzhlOXtKdViBioQNeFHS9IaHZTgDv1k/BUs5UT4Aa3Hc1FXpVWmJHJiuPj
WlEtiv7ZhGuxYFVNUs7IxgvO/W5U52tVb6lruJ73vdQemPsrwYWodNGPaKSr
kc6cu0Rdgh3GOqte1oBmxil10yoKDFtHXeMzTOmyrJPkvsyTsouaqa38Knmv
WE7pOfd064bxPkqO9KeVa3bR6NS8614Xv7YmXz22Q6auh8dtpu7xOdZbQcmT
OzdK8y9uy04atVprj3U2UFyEn9iaPnTmVjUTsa3mLoX6eEo/8r2m566I+DNr
qsyLg29N7Vi2cMatUlbsCrGhOZsc6gKIA0qA/Gb3QuivMpdVnBasriDnYiHA
JyABUAVgjo0pZ7nTGI4Ia+WdvCycXsBUQxWWn/syCo1eT2cyTlKQn6cz1ZDt
f2CrsFlCqbJ1iIuyLh7fScth3jwaoLH2Cgn6kHL4olHE/A6NdtVRhLhd4v4z
iAa6Jp3dln6ezu7ZLGkUvWknDU6zKfYBXT3yhSwhWZ38JQ1bCZE0PUzbE2PE
zvSgZGE/zXJk6x0qOPcVeYjpwbFJgC1yRb//bI1xtkuPkTeETFI+552cFeha
3zfiVMMM6wLZpToCLGQyxHVLW6/RspQN0xknHxjjYZlwQYDYIkOMIr+PHSKc
KTM35aAHhbm0RqIAeMg45G5FMTf2VlQXnBcH8zIhz7K1zBrtbKaE8AAKid1K
g5PzNDc5TNvWhpNPyGpq7LLL3K+fTKXly4TWmF/lugUP77bb5w/IGFVASAxV
tPSyK3tyqIM2r4mUYaoNXx6lqXmbJe5ePEZegsL+oTFU3tLNlwyLR0uMXimx
D7YfPg9iuvR+cz68LLOw0vaM0tZZCxcFp+KMjejOjZHQo1f3ChNTsRVhWQoC
Mf3gWGpo6ZIWI7s1egfG5F3JkJ0IM6OxHixQpjMaMSIcbe44+D5DN56SxZr/
xXrZoeePaOfGaAniset0lkG39yW2ys7ESFq+wpsOpH1LBTev0YbYcImAfPZm
JU+rKjhLPss/o8g1G+h6fiGd+TqVfFcso6h126lndHoxsn1IPY8rKDLQWwYs
wuM3053yGurp7aXWhiravSVR8JMXeXj7U/a9BjcOLzr622jDqmAZ1FoZu0Fc
Uyvsw16Z3pycECMDqX5BUUJC9LmMTJk1/jULCi2wDzgQwYYV6IA1hyU1y1BE
HLOQyDlaSE5bgaVO3UhbxYMnnVpDKxcDAMf/En4A9+FdB48TEF9z7tRo6xGJ
AueuPaA/C6XreffQf7WGR4Um97nYdPu+lZjuLAqHOprp0K4ttDI4SNa7RsWs
pTNZBYBJdmMUAUTw7l7NpLWxUWJOAAWHhtGmbfupqWPgFZ3RmFrYkcV55yjY
z1sebZ7ePhQWES6j/Pjs5eNPqadzaWrWlpeNJXkUFeSn5nv5UHh4OPl6e8nP
3v6BdLHgAV7AFaHYb9dlFTKOGPkWXdY+shuWqo1QYxHPGUftmezRzFRSFkuH
EygpvG5DVutqs+07cNnQ/cYxMWXWnqKZJerDTSphC18trIas/hfecr3d4glG
rEn8e5Z6ugTbtckDlu/gGB2i9rY2QeNeSEnXDfsYmPxpfQUd3L2d4uPWUIww
Y1evgf94FxWW1ZHgtHetaV2t9XT8wC5aFx8viyXi1q6j7btTqbRWBqhenVGh
iuU59m7jZc7JsSblAOVl5yXGGWXWnj21+iJPT89qVOwXykQF1Xjl71c9lnEi
NP5j8YUGeOwD5WWHCduxoDWU7K5hHV2dLlfsN9YDjY+N0ODggKDxKJaXv8gx
Pib9DWPjNlSeuRzsqYOWBFMD2VTMguxtQ505zwMLyRj09KybmS6kfD/28uIM
x1w7kUtlp34Sloo+vHohVOtwZxwDyKKFOrCZ/d7lciFeneSvrDec7uijDUBC
bBYTooG/UZCEhSLcj+U1T5VqZ2dWYHZlQ5ss6RenHtsSOPXgUsgW22PeLjbl
ndT0pEu/newAtiBvd9bwa5rIK1xB+l3fWEGDovjAP+Ebu2ungvfOvVNDq1Iy
JBiy2TUaKhHaJHuvPQbpwZyO54378hwtjzmMdeI3xit4rDlKIRtPgkN1UFsc
EBBbM0ZBtMT+swII/MYjLgIDCsJx4Du+MT+nAnqTR5Pd3VqBe8Z+kUnxgvQa
81MVEmIRruQ/dKqBQjYsMCDyiur5TfFKkAoXb1TikZnrcVr2WK4dpq2NMWyj
oUNzXdjY1eTw139TzgWZdUakY/ohPwyvhSUcNDpgWxkJCqzRYZRTLrVSEKTP
nrHjtXYtcZXFu5hZ/lhbxhM3ccfZRtK+1scv+1olj4sdjO/vfu135juOWgnh
zw34aMgnri81xPXo+MvFizwG8F2dDTWsmnej3IFfcMgCtjaNRWCMjS8wH9jX
ZxbtQF/iSP3rv6DOnZbgwip29yPjqaUGJrQtDcJv6NcvIRM4pvTboTUC9xA1
g35VYhVcZcubLIutBIFusiy4i/uAvf7bsT7IsSXLdP+R8ZDyZcRL29qoakzT
rA5hc3Mil6pB1eh/bAxjz6KDrJFvI/tHi9W0y8UVo/JbuTpqdHzSqB1+/TfV
uVBWrkeP4SBUjKo68xiM6uCsdKPIQdbRtKCOZkCTEp4MnH1tRqKQ6p/83InJ
G590SRA3k630yWIE72WJbYsqse35my/I0UMTmcFqAPcSo3b22YyqfCztTkhk
3MoOiqmG/xNyprpRdqy3386SFd26rbIVsX7kLFtls5XHzqeIGdOx3q6xsdHV
28FdjThJe3u7fjt8M+cum/oN3m5MbDl+u97BMd3Z6h+Mp5GJ/xP2NoR+o2AO
bDV+3jKoOw10cGw5bDGTObHV2f3Lb4fTmMHXuyz2Aki8ICBduXLlFYXEcLwj
uvJP+qkkBI78xG+EguKFb27Ok2/0tl2Qqt6DPVx648kuvfNO72GOvedijN/j
9OnT8mkRa3VdQMu8iF+0VhF3kQp43pvm9NfYyt9x+m+M5Th27BjCu26/t8am
p6fR9RDhYrf/pVlsVrZbQDiZx6ampvT9+FqHw6Hx///7az8NM/Lx48dlaxuT
OBjr7XUuf8RTY8E7OjqcGPTrr7+G4aCvxVMfPXoUAW2D2DNybHTUzlebnJyk
2NhYp3kYO3z4ML148eKlsYkJe2PgjTEm/mYjQ4yMyPthnhY3o6NyVYFQ82Nj
Hp4FY/o0HxqS72FjmYpN1dlJcXFxcoyv7evrk5Qz1woB+eOqBM7pWvRswCe+
Fs13UfVtzkOoCXEvcwyUBINrGn0noYsuETzGd0S2JZ7IHMOT4MnNJ8Tb9qni
Xj0PNepYnYWcgHGxkvpaBNIRogX/8rXgaRjbglp2+afgX4yBcnwtsoQxJubr
eYID5P1mNayPoiYobFIEaRN4Fhs8X6VN4F3M98B7JSQkOL0v2pngO8x5grvl
GppjqMZfeC120aZNm5zmgcI4KswxhMx5nkXNRQ6ZgoICGYJfagXi8RZA58Cn
HxljaF1jjkFsFxUVOY3hm7FaxcXFeqyurk6OlZaWvjRWVlYm3k6N1dTUSIo8
ePBAz6uurpaJApWVlXrs4cOHcqyqqkpfK/5fjon5el5FRYW8n7ivHisvL5dj
SG7ga8VzyWcBkArPKykpkWP19fV6DEkQoLp4R30t1gTrYK7B7du35XqZY1hj
yDF84mtv3bold4k5Dwc+OMEcAwIHdo6m0VvIhXjrFYepdAR6eYmZ+L2E/Pz8
ZDIEPv3oNcd+/D1f+w/WmGyRpcb1tebYj19jnvm95tjCa1817//3tchT4TFJ
o7eQsfIW7dixw6Km21v/D4dJd0s=\
\>"],ExpressionUUID->"89ba704f-ae54-488b-98a7-2d3d99fda4c8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"times", "=", 
     RowBox[{"{", 
      RowBox[{"0.25", ",", "1", ",", "4"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{
       "\"\<180614_wormStreamPlotPlusTrajectory_0034_reduced_N402_Model \
6_time\>\"", "<>", 
        RowBox[{"ToString", "[", "#", "]"}], "<>", "\"\<.pdf\>\""}], ",", 
       RowBox[{"wormStreamPlotPlusTrajectory", "[", 
        RowBox[{"rReduced", ",", "100", ",", "#"}], " ", "]"}]}], "]"}], 
     "&"}], "/@", "times"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.729214306650403*^9, 3.729214395065954*^9}, {
   3.729214571456513*^9, 3.7292146338669033`*^9}, {3.7292156961820602`*^9, 
   3.7292157016791563`*^9}, {3.72921575510835*^9, 3.729215755700152*^9}, {
   3.729215825484276*^9, 3.729215876790557*^9}, {3.729216193220894*^9, 
   3.729216295464376*^9}, {3.729216388015839*^9, 3.72921643789443*^9}, 
   3.729217373234707*^9, {3.7292510536102543`*^9, 3.7292510601815853`*^9}, {
   3.738002677939286*^9, 3.7380026895827513`*^9}, {3.7380027308885202`*^9, 
   3.738002847322585*^9}, {3.7434376084920073`*^9, 
   3.7434376089043503`*^9}},ExpressionUUID->"fccc2ea2-6806-45df-8a93-\
9a6ace2ed805"],

Cell[BoxData[
 TemplateBox[{
  "NDSolve","mconly",
   "\"For the method \\!\\(\\*RowBox[{\\\"NDSolve`IDA\\\"}]\\), only machine \
real code is available. Unable to continue with complex values or beyond \
floating-point exceptions.\"",2,1488,673,20424172381961725373,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.738002848929997*^9, 3.7380074206114273`*^9, 
  3.738008145425602*^9, 
  3.738008844481649*^9},ExpressionUUID->"0b44d22a-dd10-4414-a76f-\
573ebb04d4ab"],

Cell[BoxData[
 TemplateBox[{
  "NDSolve","mconly",
   "\"For the method \\!\\(\\*RowBox[{\\\"NDSolve`IDA\\\"}]\\), only machine \
real code is available. Unable to continue with complex values or beyond \
floating-point exceptions.\"",2,1488,674,20424172381961725373,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.738002848929997*^9, 3.7380074206114273`*^9, 
  3.738008145425602*^9, 
  3.738008847970128*^9},ExpressionUUID->"62e107c7-4a65-43b3-a583-\
555f7c63c1b4"],

Cell[BoxData[
 TemplateBox[{
  "NDSolve","mconly",
   "\"For the method \\!\\(\\*RowBox[{\\\"NDSolve`IDA\\\"}]\\), only machine \
real code is available. Unable to continue with complex values or beyond \
floating-point exceptions.\"",2,1488,675,20424172381961725373,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.738002848929997*^9, 3.7380074206114273`*^9, 
  3.738008145425602*^9, 
  3.738008851393745*^9},ExpressionUUID->"bf0c47ac-2fb6-4956-b928-\
b87cca6b534d"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"NDSolve\\\", \
\\\"::\\\", \\\"mconly\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,1488,676,20424172381961725373,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.738002848929997*^9, 3.7380074206114273`*^9, 
  3.738008145425602*^9, 
  3.738008851412713*^9},ExpressionUUID->"836901a1-c3fa-4f01-b78b-\
702ce7ea3439"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"180614_wormStreamPlotPlusTrajectory_0034_reduced_N402_Model \
6_time0.25.pdf\"\>", 
   ",", "\<\"180614_wormStreamPlotPlusTrajectory_0034_reduced_N402_Model \
6_time1.pdf\"\>", 
   ",", "\<\"180614_wormStreamPlotPlusTrajectory_0034_reduced_N402_Model \
6_time4.pdf\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.738002859062038*^9, 3.738007430449091*^9, 
  3.738008154728204*^9, 
  3.7380088539630013`*^9},ExpressionUUID->"7ba9a031-0ac2-4e9b-b130-\
12b2b5740b78"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"USED", " ", "FOR", " ", "MAIN", " ", "TEXT"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"times", "=", 
       RowBox[{"{", 
        RowBox[{"0.25", ",", "1", ",", "4"}], "}"}]}], ",", 
      RowBox[{"speedmin", "=", 
       RowBox[{"-", "70"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"Export", "[", 
       RowBox[{
        RowBox[{
        "\"\<181219_wormStreamPlotPlusTrajectory_0034_reducedThree_N402_Model \
6_time\>\"", "<>", 
         RowBox[{"ToString", "[", "#", "]"}], "<>", "\"\<.pdf\>\""}], ",", 
        RowBox[{"wormStreamPlotPlusTrajectory", "[", 
         RowBox[{
         "rReducedThree", ",", "100", ",", "#", " ", ",", "speedmin"}], 
         "]"}]}], "]"}], "&"}], "/@", "times"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7405118400136213`*^9, 3.740511843727027*^9}, {
  3.7405119251850243`*^9, 3.740511927272993*^9}, {3.754225071350884*^9, 
  3.754225071810657*^9}, {3.754225224659883*^9, 3.7542252347455683`*^9}, {
  3.754225362796212*^9, 
  3.75422536793818*^9}},ExpressionUUID->"b6a831ee-7c40-4a90-a8c3-\
f27c30b0e412"],

Cell[BoxData[
 TemplateBox[{
  "NDSolve","mconly",
   "\"For the method \\!\\(\\*RowBox[{\\\"NDSolve`IDA\\\"}]\\), only machine \
real code is available. Unable to continue with complex values or beyond \
floating-point exceptions.\"",2,61,32,20516479564487750790,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.740511844850232*^9, 3.740511930025275*^9, 
  3.75422507425033*^9, 3.754225237719852*^9, 3.754225357507607*^9, 
  3.754225446649563*^9, 3.7542255460839233`*^9, 
  3.754225781020534*^9},ExpressionUUID->"be4d999b-0ae0-49ed-b610-\
03f65ad336ff"],

Cell[BoxData[
 TemplateBox[{
  "NDSolve","mconly",
   "\"For the method \\!\\(\\*RowBox[{\\\"NDSolve`IDA\\\"}]\\), only machine \
real code is available. Unable to continue with complex values or beyond \
floating-point exceptions.\"",2,61,33,20516479564487750790,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.740511844850232*^9, 3.740511930025275*^9, 
  3.75422507425033*^9, 3.754225237719852*^9, 3.754225357507607*^9, 
  3.754225446649563*^9, 3.7542255460839233`*^9, 
  3.754225781057073*^9},ExpressionUUID->"8d7b06ad-8550-40c1-890a-\
c000fd1112d1"],

Cell[BoxData[
 TemplateBox[{
  "NDSolve","mconly",
   "\"For the method \\!\\(\\*RowBox[{\\\"NDSolve`IDA\\\"}]\\), only machine \
real code is available. Unable to continue with complex values or beyond \
floating-point exceptions.\"",2,61,34,20516479564487750790,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.740511844850232*^9, 3.740511930025275*^9, 
  3.75422507425033*^9, 3.754225237719852*^9, 3.754225357507607*^9, 
  3.754225446649563*^9, 3.7542255460839233`*^9, 
  3.7542257833825417`*^9},ExpressionUUID->"7b0747e0-39ce-45e8-b16e-\
bd124f217bb7"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"NDSolve\\\", \
\\\"::\\\", \\\"mconly\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"",2,61,35,20516479564487750790,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.740511844850232*^9, 3.740511930025275*^9, 
  3.75422507425033*^9, 3.754225237719852*^9, 3.754225357507607*^9, 
  3.754225446649563*^9, 3.7542255460839233`*^9, 
  3.7542257834059896`*^9},ExpressionUUID->"2d7b86e4-003d-4f0b-a964-\
eb766645738e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"181219_wormStreamPlotPlusTrajectory_0034_reducedThree_N402_\
Model 6_time0.25.pdf\"\>", 
   ",", "\<\"181219_wormStreamPlotPlusTrajectory_0034_reducedThree_N402_Model \
6_time1.pdf\"\>", 
   ",", "\<\"181219_wormStreamPlotPlusTrajectory_0034_reducedThree_N402_Model \
6_time4.pdf\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.740511853016473*^9, 3.740511936740535*^9, 
  3.754225082527519*^9, 3.7542252446434937`*^9, 3.754225364529628*^9, 
  3.754225453518304*^9, 3.754225552950551*^9, 
  3.75422578782747*^9},ExpressionUUID->"ce3f4f05-0fb0-47b4-8a3e-20ecf97e8733"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.743616645782805*^9},ExpressionUUID->"fbd4b83e-bad3-4fd0-91ae-\
660f11ccbbd0"]
},
WindowSize->{808, 901},
WindowMargins->{{122, Automatic}, {Automatic, 65}},
Magnification:>1.25 Inherited,
FrontEndVersion->"11.1 for Mac OS X x86 (32-bit, 64-bit Kernel) (April 27, \
2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 698, 13, 197, "Input", "ExpressionUUID" -> \
"ed9e3406-2c26-4024-89b8-60bb754a91a8"],
Cell[CellGroupData[{
Cell[1281, 37, 302, 9, 93, "Input", "ExpressionUUID" -> \
"e7adc6f2-dc12-4a07-b7d3-dd3c2e979824"],
Cell[1586, 48, 497, 10, 50, "Message", "ExpressionUUID" -> \
"5c427e5c-5c86-4df6-8083-4d64de76366a"],
Cell[2086, 60, 440, 9, 29, "Message", "ExpressionUUID" -> \
"446d5e0e-bf7d-4a45-b3b6-08cff0cbcb39"],
Cell[2529, 71, 665, 12, 50, "Message", "ExpressionUUID" -> \
"8462fcd7-da85-4990-bbcd-dcd0b7e5d7c8"],
Cell[CellGroupData[{
Cell[3219, 87, 610, 12, 78, "Print", "ExpressionUUID" -> \
"040c18e5-f4b7-41fb-8594-ae0dec27e6f2"],
Cell[3832, 101, 1828, 48, 80, "Print", "ExpressionUUID" -> \
"5a79d840-d9be-488a-8bb1-260408f230d5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5709, 155, 1122, 24, 171, "Input", "ExpressionUUID" -> \
"5fee470e-e640-4a98-b40a-fd7c2acf551e"],
Cell[CellGroupData[{
Cell[6856, 183, 1759, 38, 126, "Print", "ExpressionUUID" -> \
"0065c9f7-d8bf-42ff-8df7-da7eab464885"],
Cell[8618, 223, 1756, 38, 126, "Print", "ExpressionUUID" -> \
"0bc6c44b-0db7-4875-9aa7-e6f6b2f92a0c"],
Cell[10377, 263, 3622, 85, 342, "Print", "ExpressionUUID" -> \
"27aba094-1425-45f1-9ce6-62e2b957672b"],
Cell[14002, 350, 1801, 38, 126, "Print", "ExpressionUUID" -> \
"2d1969c6-d911-4625-8d25-c64c98d16e5b"],
Cell[15806, 390, 3619, 85, 342, "Print", "ExpressionUUID" -> \
"62da4400-94d0-4878-94b6-93137e4faedd"],
Cell[19428, 477, 1757, 38, 126, "Print", "ExpressionUUID" -> \
"44830dc1-4673-4630-b208-d44833566c56"],
Cell[21188, 517, 1759, 38, 126, "Print", "ExpressionUUID" -> \
"b373cafb-fbf2-4f89-9c84-117cd2ffd567"],
Cell[22950, 557, 3620, 85, 342, "Print", "ExpressionUUID" -> \
"0e7067dd-ecbb-43f2-b4ea-1fca2b98fa7c"],
Cell[26573, 644, 1799, 38, 126, "Print", "ExpressionUUID" -> \
"9eea8c6f-66fc-4168-aefc-8291fa8a27ec"],
Cell[28375, 684, 1757, 38, 126, "Print", "ExpressionUUID" -> \
"b1d45bd5-c3e1-452c-9e25-7e21bb6982d8"],
Cell[30135, 724, 1757, 38, 126, "Print", "ExpressionUUID" -> \
"18fcf7e7-bd70-4119-9ff5-42595f39a5cf"],
Cell[31895, 764, 3620, 85, 342, "Print", "ExpressionUUID" -> \
"57a44ac7-c844-4153-a3de-75ec94f2be68"],
Cell[35518, 851, 1798, 38, 126, "Print", "ExpressionUUID" -> \
"62c8ca6b-3a50-4d41-981c-344f1ce774cc"]
}, Open  ]]
}, Open  ]],
Cell[37343, 893, 4025, 93, 483, "Input", "ExpressionUUID" -> \
"9b49d7c6-5494-4938-8225-5500a00a0b92"],
Cell[CellGroupData[{
Cell[41393, 990, 397, 7, 40, "Input", "ExpressionUUID" -> \
"720b071a-c4ea-470a-92f4-bf2cd4928bb0"],
Cell[41793, 999, 349962, 6087, 470, 255848, 4546, "CachedBoxData", "BoxData", \
"Output", "ExpressionUUID" -> "8619f8a0-8c7f-42f0-a733-978d8706c080"]
}, Open  ]],
Cell[CellGroupData[{
Cell[391792, 7091, 275, 6, 40, "Input", "ExpressionUUID" -> \
"d9186b22-e5af-4a6f-b7a7-9d346f3b1cde"],
Cell[392070, 7099, 637, 12, 50, "Message", "ExpressionUUID" -> \
"4e851c55-479c-4362-b611-ae7fe11ab4e5"],
Cell[392710, 7113, 371078, 6386, 470, 255508, 4491, "CachedBoxData", \
"BoxData", "Output", "ExpressionUUID" -> \
"49f573be-35e5-4db1-8584-300c8cf86795"]
}, Open  ]],
Cell[763803, 13502, 2386, 59, 301, "Input", "ExpressionUUID" -> \
"f4e277e9-a177-496f-96a3-c1c9eb21e518"],
Cell[CellGroupData[{
Cell[766214, 13565, 324, 6, 40, "Input", "ExpressionUUID" -> \
"3061a571-d99d-4d35-9a5c-6bff3a4fb206"],
Cell[766541, 13573, 7294, 133, 257, "Output", "ExpressionUUID" -> \
"5bcd3dc0-2a83-4ada-94b0-055d3981cdcc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[773872, 13711, 230, 5, 40, "Input", "ExpressionUUID" -> \
"7b9d8949-e628-42ce-91a5-fc66463939b0"],
Cell[774105, 13718, 7166, 131, 256, "Output", "ExpressionUUID" -> \
"fa0e5eab-fa02-463d-9978-8005a4609fa4"]
}, Open  ]],
Cell[781286, 13852, 10205, 230, 873, "Input", "ExpressionUUID" -> \
"7ae02db7-cf0f-4a65-a857-87e8e2e3a2cb"],
Cell[791494, 14084, 355, 8, 67, "Input", "ExpressionUUID" -> \
"684303b3-7e8f-4760-b348-40ad0fc3f44b"],
Cell[CellGroupData[{
Cell[791874, 14096, 1219, 22, 67, "Input", "ExpressionUUID" -> \
"090c3d20-033a-4f24-a64b-fd5577492928"],
Cell[793096, 14120, 417, 9, 50, "Message", "ExpressionUUID" -> \
"edeca283-9138-48d5-b76e-3ccbb4b74412"],
Cell[793516, 14131, 417, 9, 50, "Message", "ExpressionUUID" -> \
"b6215f31-d743-4e7f-89d7-ed6bdc9a2ac4"],
Cell[793936, 14142, 407622, 7045, 469, 289872, 5120, "CachedBoxData", \
"BoxData", "Output", "ExpressionUUID" -> \
"89ba704f-ae54-488b-98a7-2d3d99fda4c8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1201595, 21192, 1308, 28, 171, "Input", "ExpressionUUID" -> \
"fccc2ea2-6806-45df-8a93-9a6ace2ed805"],
Cell[1202906, 21222, 490, 10, 50, "Message", "ExpressionUUID" -> \
"0b44d22a-dd10-4414-a76f-573ebb04d4ab"],
Cell[1203399, 21234, 490, 10, 50, "Message", "ExpressionUUID" -> \
"62e107c7-4a65-43b3-a583-555f7c63c1b4"],
Cell[1203892, 21246, 490, 10, 50, "Message", "ExpressionUUID" -> \
"bf0c47ac-2fb6-4956-b928-b87cca6b534d"],
Cell[1204385, 21258, 476, 10, 29, "Message", "ExpressionUUID" -> \
"836901a1-c3fa-4f01-b78b-702ce7ea3439"],
Cell[1204864, 21270, 507, 11, 171, "Output", "ExpressionUUID" -> \
"7ba9a031-0ac2-4e9b-b130-12b2b5740b78"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1205408, 21286, 1245, 32, 223, "Input", "ExpressionUUID" -> \
"b6a831ee-7c40-4a90-a8c3-f27c30b0e412"],
Cell[1206656, 21320, 577, 11, 50, "Message", "ExpressionUUID" -> \
"be4d999b-0ae0-49ed-b610-03f65ad336ff"],
Cell[1207236, 21333, 577, 11, 50, "Message", "ExpressionUUID" -> \
"8d7b06ad-8550-40c1-890a-c000fd1112d1"],
Cell[1207816, 21346, 579, 11, 50, "Message", "ExpressionUUID" -> \
"7b0747e0-39ce-45e8-b16e-bd124f217bb7"],
Cell[1208398, 21359, 565, 11, 29, "Message", "ExpressionUUID" -> \
"2d7b86e4-003d-4f0b-a964-eb766645738e"],
Cell[1208966, 21372, 610, 11, 171, "Output", "ExpressionUUID" -> \
"ce3f4f05-0fb0-47b4-8a3e-20ecf97e8733"]
}, Open  ]],
Cell[1209591, 21386, 128, 3, 40, "Input", "ExpressionUUID" -> \
"fbd4b83e-bad3-4fd0-91ae-660f11ccbbd0"]
}
]
*)

